/**
 * 创建应用
 */
var App = function() {
	var tpl = [
				'{@each List as item,index}',
				'<td style="float: left;">',
				'<div style="height:90px" data-AcNo="${item.No}" data-type="0" data-Remark="${item.Remark}" class="ui-box-shadow ui-border ui-card-w ui-margin-b-15 ui-margin-l-30 ui-border-ra-10">',
					'<div class="ui-h-card-t-color"></div>',
					'<div class="ui-card-icon">',
						'{@if item.appType == 1}<img src="./images/zic.png">{@/if}',
					'</div>',
					'<div class="ui-padding-r-16">',
						'<div class="ui-margin-t-15">',
							'<span class="name-font">${item.DeptSeq|SimN,item.BankAcType}</span> <span style="margin-top: -24px;" class="ui-card-right">尾号${item.No|fmtAcctNoEnd}</span>',
						'</div>',
						'<div class="ui-margin-b-15 ui-margin-b-10">',
							'<span class="name-font" style="font-size: 12px;color: #999">${item.Remark}</span>',
							'{@if item.DefaultCardFlag == 1}<span class="ui-card-right" style="font-size: 12px;color: red;{@if item.Remark != ""}margin-top: -16px;{@/if}">默认支付卡</span>{@/if}',
						'</div>',
					'</div>',
				'</div>',
				'</td>',
				'{@/each}'
		     ];
		var tpl4 = [
					'{@each List as item,index}',
					'<td style="float: left;">',
					'<div style="height:90px" data-AcNo="${item.No}" data-type="1" data-Remark="${item.Remark}" class="ui-box-shadow ui-border ui-card-w ui-margin-b-15 ui-margin-l-30 ui-border-ra-10">',
					'<div class="ui-d-card-d-color"></div>',
					'<div class="ui-card-icon">',
						'{@if item.appType == 1}<img src="./images/zic.png">{@/if}',
					'</div>',
					'<div class="ui-padding-r-16">',
					'<div class="ui-margin-t-15">',
						'<span class="name-font">${item.DeptSeq|SimN,item.BankAcType}</span> <span style="margin-top: -24px;" class="ui-card-right">尾号${item.No|fmtAcctNoEnd}</span>',
					'</div>',
					'<div class="ui-margin-b-15 ui-margin-b-10">',
						'<span class="name-font" style="font-size: 12px;color: #999">${item.Remark}</span>',
						'{@if item.DefaultCardFlag == 1}<span class="ui-card-right" style="font-size: 12px;color: red;{@if item.Remark != ""}margin-top: -16px;{@/if}">默认支付卡</span>{@/if}',
					'</div>',
					'</div>',
					'</div>',
					'</td>',
					'{@/each}'
			     ];
		var cardType = Fw.getParameters("cardType");
		$("#xyzh").hide();
		$("#mg3").hide();
		$("#hqzh").hide();
		$("#dqzh").hide();
		$("#mg1").hide();
		if(Fw.util.Storage.get("app_type") == 2){
			$('#xyzh').hide();
		}
    return {
        /**
         * 依赖组件
         */
        requires : ['Fw.app.Session'],
        viewConfig:{
        	title:'账户管理',
        	leftButton:{
        		text:'返回',
        	}
        },
        leftButtonHandler : function(){
        	if(cardType == '0'){
        		Fw.redirect("../myAsset/main.html")
        	}else if(cardType == '1'){
        		Fw.redirect("../myDebt/main.html")
        	}else{
        		Fw.redirect("../../pageMenu/moreMenu.html")
        	}
        },
        /**
         * 初始化
         * 应用入口
         */
        init : function(require) {
        	//初始化数据
        	this.queryAccount();
        },
        /**
         * 获取账户数据
         */
        queryAccount : function(){
        	//查询所有活期
        	App.getTypeCard(0);
        	//查询所有信用卡
        	App.getTypeCard(1);
        },
        getTypeCard : function(type){
        	Fw.util.Ajax.query({
                service: 'accountService.getAccount',
//                method: '',
                //数据源（服务接口）
                //请求参数
                params: {
                	type : ""+type,
                },
                //是否使用数据挡板（默认false）
                staticData: false,
                //请求成功后回调
                success: function(data, result) {
                	console.log(data);
                	//初始化菜单
                	App.initAccount(data, type);
                }
            });
        },
        initAccount : function(data, type){
        	juicer.register('SimN', function(bankId,cardType){
        		return Fw.SimN(bankId,cardType);
        	});
        	var list = data.List;
        	
        	if(cardType == '0'){
        		$("#hqzh").show();
        		$("#mg1").show();
        	}else if(cardType == '1'){
        		$("#xyzh").show();
        	}else{
        		$("#hqzh").show();
        		$("#mg1").show();
        		$("#xyzh").show();
        	}
        	for(var i=0;i<data.List.length;i++){
        		data.List[i].appType = Fw.app.Session.getAppType();
        	}
        	var html = Fw.template(tpl, data);
        	var html2 = Fw.template(tpl4, data);
        	if(null != list && "" != list){
            	if(type == 0){
            		$('#saveList').html(html);
            	}
            	if(type == 1){
            		$('#creditList').html(html2);
            	}
        	}else{
            	if(type == 0){
            		$('#saveList').html(html);
            		html = '<td onclick="App.onClick()" data-type="0" style="height: 127px"><div class="noCard"></div><div class="nocard-ct">您还未下挂此类账户，请点击加挂</div></td>'
            	}
            	if(type == 1){
            		$('#creditList').html(html);
            		html = '<td onclick="App.onClick()" data-type="1" style="height: 127px"><div class="noCard"></div><div class="nocard-ct">您还未下挂此类账户，请点击加挂</div></td>'
            	}
        	}
        	//初始化事件
            App.initEvents();
        },
        /**
         * 初始化事件
         */
        initEvents: function(){
        	$('#btn').on('click', Fw.bind(this.onClick, this));
        	$('.ui-box-shadow').on('click', Fw.bind(this.toDetail, this));
        },
        toDetail : function(e){
        	var el = $(e.currentTarget);
        	var AcNo = el.attr('data-AcNo');
        	var Remark = el.attr('data-Remark');
        	var type = el.attr('data-type');
        	if(cardType == '0'){
        		Fw.redirect("../../pub/account/DetDel/main.html",{'cardType' : '0','AcNo' : ""+AcNo,"Remark" : Remark})
        	}else if(cardType == '1'){
        		Fw.redirect("../../pub/account/DetDel/main.html",{'cardType' : '1','AcNo' : ""+AcNo,"Remark" : Remark})
        	}else{
        		Fw.redirect("../../pub/account/DetDel/main.html",{'AcNo' : ""+AcNo,"Remark" : Remark,'cardType' : type,'exit' : "1"})
        	}
        },
        onClick : function(e){
        	if(cardType == '0'){
        		Fw.redirect("../../pub/account/add/main.html",{'cardType' : '0'})
        	}else if(cardType == '1'){
        		Fw.redirect("../../pub/account/add/main.html",{'cardType' : '1'})
        	}else{
        		var el = $(e.currentTarget);
            	var type = el.attr('data-type');
        		Fw.redirect("../../pub/account/add/main.html",{'cardType' : type,'exit' : "1"})
        	}
        }
    };
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);