/**
 * 创建应用
 */
var App = function(){
	var new_list,feeTotol;
	var step,tpl,tpl2;
	var confirmData,totalAmt;
	var page_data,page_params,tplPageFoot,tplPageMain;
	var temp_files;
	var dropDownList,select_obj;
	var selectPayeeWindow;
	var noteflag = "F";
	var card_Balance,stateFlag=false,fileFlag=false;
	var select_data_validateType=[
							        {'value':'U&AP','option':'U-key支付'},
							        {'value':'S&AP','option':'短信验证码'},
        ];
	return {
		requires: [
		           'Fw.Steps',
		           'Fw.DropDownList',
		           'Fw.Upload',
		           ],
		viewConfig: {
			title: '批量转账文件上传',
			leftButton: {
        		text:"返回",
        		handler:function(){
	    			App.back();
	    		}
			}
		
		},
		back:function(){
			var urltemp = Fw.getBasePath() +'/page/pageMenu/moreMenu.html';
	     	Fw.redirect(urltemp);
		},
		init: function(require){
			var data = [
			            {name: '选择文件'},
						{name: '交易信息'},
						{name: '确认结果'}
			];
			step = new Fw.Steps({
				contentEl: 'step',
				data: data
			});
			dropDownList = new Fw.DropDownList({
             	displayNo: false,
         		displayName: 'option',
         		cursorBtn:false
         	});
			var powerData = Fw.util.Storage.get('powerData');
			powerData = Fw.decode(powerData);
			noteflag = powerData["wdjzp"];
			tplPageMain = require('../tpl/002.tpl').join('');
			tplPageFoot = require('../tpl/pagefoot.tpl').join('');
			this.initUpload();
        	this.initEvents();
        	this.getAccounts();
        	$('#step_div_1').show(); 
		},
		initEvents: function(){
			$('#input_filePath').on('click', Fw.bind(this.clickFile, this));
			$('#download_mould').on('click', Fw.bind(this.fileDownload, this));
        	$('#save_mould').on('click', Fw.bind(this.analyseFile, this));
        	//$('#input_filePath').on('click', Fw.bind(this.clickFile, this));
        	$('#successButton').on('click', Fw.bind(this.successJum, this));
        	$('#Step_div_2_next').on('click', Fw.bind(this.Step2Next, this));
        	$('#Step_div_1_next').on('click', Fw.bind(this.analyseFile, this));
        	$('#Step_div_3_next').on('click', Fw.bind(this.clickStep3, this));
        	$('#AccSelect').on('click', Fw.bind(this.showfadeSelect, this));
        	$('#fade_TransTime').on('click', Fw.bind(this.showfadeSelect, this));
			$('#fade_validateType').on('click', Fw.bind(this.showfadeSelect, this));
			$('#refresh_balance').on('click', Fw.bind(this.refreshBalance, this));
        	dropDownList.on('itemClick',Fw.bind(this.itemClick, this));
        	upload.on('success', this.onSuccess, this);
		},
		clickStep3: function(){
			$('#step_div_3').hide();
			$('#step_div_2').hide();
			$('#step_div_1').show();
			step.step(1);
			$('#input_filePath').val("");
        	$('#Step_div_1_next').addClass("disabled");
		},
		Step2Next: function(){
			if($('#fade_validateType').attr("data-value")==""){
				Fw.Tips.info('请选择验证方式');
				return false;
			}
			if(Number(confirmData.totalAmt) > Number(card_Balance)){
				Fw.Msg.cfm('总金额'+Fw.util.Format.fmtAmt(confirmData.totalAmt)+'大于可用余额!', function(code, btn, win){});
			}else if((Number(confirmData.totalAmt)>300000)&&($('#fade_validateType').attr("data-value")!="U&AP")){
				Fw.Msg.cfm('大额汇款交易需要使用U-key密码验证!', function(code, btn, win){});
			}else{
				
				var type = $('#fade_validateType').attr("data-value");
	        	var showInfo = [
	        		{
	        			label: '账号',
	        			value: $('#AccSelect').attr("data-value")
	        		},
	        		{
	        			label: '总金额',
	        			value: Fw.util.Format.fmtAmt(confirmData.totalAmt),
	        			color: '#F03737'
	        		}];
	        	var smsParams = {
	        			tranType : '080108',  //080103-互联网银行客户端非转账类交易验证       080104-互联网银行客户端转账交易验证   080108-互银客户端批量转账
						payerAcct : $('#AccSelect').attr("data-value"),  // 付款账号 交易类型080104-必传
						payeeAcct : '',  // 收款账号 交易类型080104-必传
						payeeAcctName : '', // 收款人  交易类型080104-必传
						trsAmount  : confirmData.totalAmt, //交易金额   交易类型080104-必传
						trsCount  : (confirmData.TransList).length, //交易笔数   交易类型080108-必传
						signcontent:Fw.encode(confirmData.TransList)//需要签名的内容(目前为全部报文);
	        	};
	        	var cardNews = {
						passwordType:'T',//借记卡  T  信用卡  B
						cardNo:$('#AccSelect').attr("data-value"),
				}
	        	
	        	var templist = Fw.encode(confirmData.TransList);
				templist = Fw.decode(templist);
				for(var i = 0;i<templist.length;i++){
					templist[i].conName = "<![CDATA["+templist[i].conName+"]]>";
					templist[i].transUseInfo = "<![CDATA["+templist[i].transUseInfo+"]]>";
				}
				var params = {
                	"Amount":confirmData.totalAmt,
                	"TotalCount":confirmData.total,
                	"AcNo":$('#AccSelect').attr("data-value"),
                	"bankAcType":$('#AccSelect').attr("data-type"),
                	"TotalFeeAmount":feeTotol,
                	"tesType":type,
                	"list": templist,
                	"tranType":"executeBTTrans"
                }
	        	
	        	Fw.device.Device.payControls(type, showInfo, 'App.transSubmit',smsParams,cardNews, params);
			}
		},
		transSubmit : function(record, type, isObject){
			if(!Fw.isEmpty(record.tranStatus)){
				App.showStep3();
			}else{
//				var templist = Fw.encode(confirmData.TransList);
//				templist = Fw.decode(templist);
//				for(var i = 0;i<templist.length;i++){
//					templist[i].conName = "<![CDATA["+templist[i].conName+"]]>";
//					templist[i].transUseInfo = "<![CDATA["+templist[i].transUseInfo+"]]>";
//				}
//				Fw.util.Ajax.execute({
//					service: 'BTTrans',
//					method:'executeBTTrans',
//					params: {
//						"Amount":confirmData.totalAmt,
//						"TotalCount":confirmData.total,
//						"TrsPassword":record.pwd,
//						"AcNo":$('#AccSelect').attr("data-value"),
//						"bankAcType":$('#AccSelect').attr("data-type"),
//						"TotalFeeAmount":feeTotol,
//						"dyPassword":record.sms,
//						"tesType":type,
//						"DataBase64": record.signcontent,
//						"CertificateBase64": record.certstr,
//						"SignatureDataBase64": record.contentsign,
//						"CertDn": record.keyDn,
//						"list": templist,
//					},
//					success: function(data, result) {
//						App.showStep3();
//					}
//				});
			}
		},
		showStep3 : function(){
		 	$('#step_div_1').hide();
			$('#step_div_2').hide();
			$('#step_div_3').show();
			step.step(3);
		},
		showfadeSelect: function(e){
			var El = $(e.currentTarget);
			select_obj=El;
			var temp_select_date=[];
			if(El.attr('id')=='AccSelect'){
				temp_select_date=select_data_Account;
			}else if(El.attr('id')=='fade_validateType'){
				temp_select_date=select_data_validateType;
			}
			dropDownList.show(temp_select_date);
		},
		fadeSelect_set_value: function(id,option,value,type){
			id.html(option);
        	id.attr("data-value",value);
        	id.attr("data-type",type);
        	if(id.attr('id')=='AccSelect'){
        		App.refreshBalance();
			}
		},
		itemClick: function(data, index){
        	if(index==-1){
        		
        	}else{
        		App.fadeSelect_set_value(select_obj,data.option,data.value,data.type);//+" "+data.value.substring(data.value.length-4));
        		if(select_obj.attr("id")=="selectAcc"){
        			App.refreshBalance();
        		}
        	}
        },
		successJum:function(){
			if(noteflag =="T"){
				var urltemp = Fw.getBasePath() +'/page/pub/accountBook/Note/writeNote/main.html';
				var param = {
						AddParam:{
							AcNo:$('#AccSelect').attr("data-value"),
							Amount:Fw.util.Format.fmtAmt(confirmData.totalAmt),
						},
						pageParam:{aimUrl:'/page/pageMenu/moreMenu.html'}
				}
	        	Fw.redirect(urltemp,param);
			}else{
				 Fw.Msg.info(Fw.contentMsg.repairedInfo);;
			}
		},
//		clickFile: function(){
//			var id = "xls_upload";
//			var formId = 'jUploadForm' + id;
//			var fileId = 'jUploadFile' + id;
//			var frameId = 'jUploadFrame' + id;
//			var html ='<form  action="" method="POST" enctype="multipart/form-data" style="display:none;" ></form>';
//			var html2 ='<iframe id="' + frameId + '" name="' + frameId + '" style="display:none;" />';
//			var form = $(html);
//			var iframe = $(html2);
//			form.attr("id",formId);
//			form.attr('action', 'http://localhost:8080/fjnx/channel/httpUpload.do');
//			form.attr('method', 'POST');
//			form.attr('target', frameId);
//			form.append('<input id='+fileId+' type="file" name="'+fileId+'" />');
//			form.append('<input  type="submit" />');
//
//			$("body").append(form);
//			$("body").append(iframe);
//			$("body").find('#'+frameId).on('load',function(){
//				var tt = eval('('+$('#jUploadFramexls_upload').contents().find('body').html()+')');
//				temp_files =tt.result;
//				$('#jUploadFramexls_upload').remove();
//			});
//			$("body").find('#'+fileId).on('change',function(){$('#input_filePath').val($('#'+fileId).val());$('#'+formId).submit();});
//			$("body").find('#'+fileId).trigger("click");
//		},
		
		fileDownload: function(){
        	var id = '7C4397A968C24D7C896A0351583D77AF';
        	var url =Fw.getBasePath()+"/channel/download.do?fileId="+id+"&fileName=excel.xls";
        	$('body').append("<iframe style='width:0; height:0; position:absolute; top:-500px;left:-500px;; id='download_temp' src='"+url+"'></iframe>");
    		setTimeout(function(){
    		$('#download_temp').remove();
    		})
        },
//        analyseFile: function(){
//        	var files = temp_files;
//        	Fw.Logger.debug("1"+Fw.encode(files));
//        	Fw.util.Ajax.update(files,{
//        		service: 'BTFileAnalyse',
//        		method: 'executeWebService',
//        		success: function(data,result){
//        			console.log(data);
//        			console.log(result);
//        			if(result.error){
//	        			if(result.error=="BT000001"){
//	        				var text ="";
//	        				for(var i = 0;i<(data.message).length;i++){
//	        					text +=data.message[i];
//	        					text += "</br>";
//	        				}
//	        				Fw.Msg.info(text, function(){});
//	        			}else{
//	        				var text =result.message;
//	        				Fw.Msg.info(text, function(){});
//	        			}
//        			}else{
//        				App.initStep2(data);
//        			}
//        		}
//        	});
//        	return false;
//        },
        initUpload: function(){
        	upload = new Fw.Upload({
        		contentEl: 'file_xls',
        		fileType: 'xls',
        		mulit: false 
        	});
		},
		
		clickFile: function(){
			$('#file_xls').find("input[name='file']").trigger("click");
		},
        analyseFile: function(){
        	juicer.register('fmtFee',App.fmtFee);
        	var files = upload.getValue();
        	Fw.util.Ajax.update(files,{
        		service: 'BTFileAnalyse',
        		method: 'executeWebService',
        		success: function(data,result){
        			if(result.error){
        				$('#input_filePath').val("");
                    	$('#Step_div_1_next').addClass("disabled");
	        			if(result.error=="BT000001"){
	        				var text ="";
	        				for(var i = 0;i<(data.message).length;i++){
	        					text +=data.message[i];
	        					text += "</br>";
	        				}
	        				Fw.Msg.info(text, function(){
	                         
	        				});
	        			}else{
	        				var text =result.message;
	        				Fw.Msg.info(text, function(){
	                         
	        				});
	        			}
        			}else{
        				var tempdd = data;
        				new_list = data.TransList
        				for(var i = 0;i<new_list.length;i++){
        					new_list[i]["Seq"]="9438"+i;
        				}
        				Fw.util.Ajax.get({
        					socketAdapter: 'batchTransfer/mCBatchFeeAmountCompute',
        	                params: {
        	                	"Amount":data.totalAmt,
        	                	//"acName":"和啊哈",
        	                	"TotalCount":data.total,
        	                	
        	                	"AcNo":$('#AccSelect').attr("data-value"),
        	                	"bankAcType":$('#AccSelect').attr("data-type"),
        	                	"list": new_list,
        	                },
        	                success: function(data, result) {
        	                	
        	                	$('#step2_fee').html(App.fmtFee(result.result.PayableAmount));
        	                	feeTotol=result.result.PayableAmount;
        	                	Fw.each(result.result.List,function(v){
        	                		var temp = v.Seq;
        	                		for(var i = 0;i<new_list.length;i++){
        	                			if(temp == new_list[i].Seq){
        	                				new_list[i].feeAmount = v.PayableAmount;
        	                			}
        	                		}
        	                	});
        	                	fileFlag=false;
        	                	tempdd.TransList=new_list;
        	                	App.initStep2(tempdd);
        	                },
        	                failure: function(status, textStatus, error) {
        	                	fileFlag=false;
        	        			Fw.Msg.cfm('查询转账手续费失败:'+error, function(code, btn, win){
        	        				$('#input_filePath').val("");
            	                	$('#Step_div_1_next').addClass("disabled");
        		              });
        	        			
        	        			return false;
        	        		}
        	            });
        				
        				//App.initStep2(data);
        			}
        		},
        		failure: function(status, textStatus, error) {
        			$('#input_filePath').val("");
                	$('#Step_div_1_next').addClass("disabled");
        			return false;
        		}
        	});
        	return false;
        },
        
        initStep2: function(data){
        	confirmData=data;
        	page_data=data.TransList;
			page_params={
                    id: 'transList',
                    limitSize:5,
                    pageSize:6,
            };
			totalAmt=data.totalAmt;
			App.page_refreshPage();
			$('#step2_Acc').html($('#AccSelect').html());
        	$('#totalAmt').html(Fw.util.Format.fmtAmt(data.totalAmt));
        	$('#step2_balance').html(Fw.util.Format.fmtAmt(card_Balance));
        	$('#totalItem').html(data.total+"笔");
            $('#step_div_1').hide();
			$('#step_div_2').show();
			$('#step_div_3').hide();
			step.step(2);
        },
        onSuccess: function(){
        	fileFlag=true;
        	$('#input_filePath').val(upload.fileLocalPath);
        	if(stateFlag&&fileFlag){
        		$('#Step_div_1_next').removeClass("disabled");
        	}
        },
		
		
        getAccounts: function(){
			Fw.util.Ajax.get({
        		service: 'accountService',
                method: 'getAccount',
                params: {
                	type:'2'
                },
                success: function(data, result) {
                	if(data.List.length==0){
               		 Fw.Msg.cfm('您的加挂账户均未开通转账权限，是否前往设置？', function(code, btn, win){
               			 if(code=='yes'){
               				 	var urltemp = Fw.getBasePath() +'/page/pub/account/add/main.html';
               	        		var url = '/page/pc/batchTransfer/transfer/main.html';
               	    	    	Fw.redirect(urltemp,{"aimUrl":url});
               			 }else{
               				 App.back(); 
               			 }
	                     });
	               	}else{
	               		App.setAccounts(data);
	               	}
                }
            });
		},
		setAccounts:function(data){
			var list = data.List;
			select_data_Account=[];
			for(var i = 0;i<list.length;i++){
				select_data_Account[select_data_Account.length]={
						 option : list[i].option,
						 value : list[i].No,
						 type : list[i].BankAcType
				}
			}
			App.fadeSelect_set_value($('#AccSelect'),select_data_Account[0].option,select_data_Account[0].value,select_data_Account[0].type);
			App.refreshBalance();
		},
		refreshBalance: function(){
			Fw.util.Ajax.get({
				service :'accountService',
        		method :'getAccountInfo',
			
				//socketAdapter: 'accountService/mCAccountBalanceQuery',
                params: {
                	"AcNo":$('#AccSelect').attr("data-value"),
                },
                success: function(data, result) {
                	$('#step1_accState_tr').hide();
                	stateFlag=false;
                	if (data.AcctState == 0){
						if (data.PasswordLossStatus == 0){
							if (data.CertLossStatus == 0){
								if (data.SealLossStatus == 0){
									stateFlag=true;
								}else{
									$('#step1_accState_tr').show();
									$('#step1_accState').html("挂失");
								}
							}else{
								$('#step1_accState_tr').show();
								$('#step1_accState').html("挂失");
							}
						}else{
							$('#step1_accState_tr').show();
							$('#step1_accState').html("挂失");
						}
                	}else{
                		$('#step1_accState_tr').show();
						$('#step1_accState').html(App.AcctStateTran(data.AcctState));
                	
					}
                	if(stateFlag&&fileFlag){
                		$('#Step_div_1_next').removeClass("disabled");
                	}else{
                		$('#Step_div_1_next').addClass("disabled");
                	}
                	card_Balance=data.AvailBal;
                	$('#AccBalance').html(Fw.util.Format.fmtAmt(card_Balance));
                }
            });
		},
        //页标签工具
        page_refreshPage: function(page){
			var pageLimit=Math.floor(page_data.length/page_params.pageSize);
			console.log(pageLimit);
			if(page_data.length%page_params.pageSize!=0){
				pageLimit++;
			}
			var currentPage=0;
			if(!page){
					page=1;
			}
			switch(page) {
				case 'first':	currentPage=1;break;
				case 'prev':	currentPage=page_params.currentPage-page_params.limitSize; break;
				case 'next':	currentPage=page_params.currentPage+page_params.limitSize; break;
				case 'last':	currentPage=pageLimit;break;
				case 'go':		currentPage=$('#'+page_params.id+'-number').val();break;
				default:		currentPage=page;break;
			}
			if(currentPage<1){
					currentPage=1;
			}
			if(currentPage>pageLimit){
				currentPage=pageLimit;
			}
			if((page=='go')&&($('#'+page_params.id+'-number').val()=='')){
				 return false;
			}
			currentPage=new Number(currentPage);
			page_params.data=page_data;
			page_params.pageLimit=++pageLimit;
			page_params.currentPage=currentPage;
			page_params.subData=page_params;
			page_params.subTpl=tplPageMain;
        	var html2 = Fw.template(tplPageFoot,page_params);
        	$('#'+page_params.id).html(html2);
        	if(page_params.jumpPart){
        		$('.paging-body .page-part .jump-part').show();
        	}
        	$('.paging-body .pageLibA').on('click', Fw.bind(this.AClick, this));
        	$('#'+page_params.id+'-number').on('input', Fw.bind(this.numberLimit, this))
        },
        AClick: function(e){
        	var that = $(e.currentTarget);
        	App.page_refreshPage(that.attr("page"));
        },
        numberLimit: function(e){
        	var $that = $(e.currentTarget);
        	var t_val=$that.val();
        	var Reg =/^\d*$/;
        	if(Reg.test(t_val)){
        		return true;
        	}else{
        		$that.val(t_val.replace(/\D/g,""));
        	}
        },
        fmtFee:function(v){
        	if(v==0){
        		return "免费";
        	}
        	return Fw.util.Format.fmtAmt(v)
        },
        AcctStateTran: function(v){
        	var dict={
        			"0":"正常", 
        			"1":"销户",
        			"2":"合并",
        			"3":"冻结",
        			"4":"止付",
        			"5":"挂失"
            	};
            	return dict[v];
        },
	};
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
