/**
 * 创建应用
 */
var App=function(){
	
	var param,pwd,type,FixedAcctNo,FixedFund,DetTermType,cancelType;
	var paymentData = {};
	var List = [];
	var taxParam = {};
	
	return{
		requires : ['Fw.Form','Fw.DropDownList','Fw.TableView','Fw.PayControls'],
		viewConfig : {
			title : '贵宾卡理财转回',
			leftButton : {
				text : '返回',
				handler:function(){
	    			App.back();
	    		}
			}
			
		},
		
	    
		init : function(require){
			
			Fw.LoadMask.hide();
			param = Fw.getParameters();
			this.WriteMes();
			this.initEvents();
		},
		WriteMes : function(){
			
			
			$("input[name=field1]").val(param.AcctName);
			$("input[name=field2]").val(param.inquiry_account);
			$("input[name=field3]").val(Fw.util.Format.fmtDate(param.SignDate));
			var term = param.DepTerm;
			if(term=="007"){
				term = "七天";
			}else if(term=="003"){
				term = "三个月";
			}else if(term=="006"){
				term = "六个月";
			}else{
				term = "一年";
			}
			$("input[name=field4]").val(term);
			
			$("input[name=field5]").val(Fw.util.Format.fmtAmt(param.CancelAcctCorpus));
			$("input[name=field6]").val(Fw.util.Format.fmtDate(param.OpenAcctDate));
			$("input[name=field7]").val(Fw.util.Format.fmtDate(param.ExpireDate));
			$("input[name=field8]").val("");
			$("input[name=field9]").val("U-key支付");
			
			FixedAcctNo = param.FixedAcctNo;
			FixedFund = param.FixedFund;
			DetTermType = param.DetTermType;
			
		},
		initEvents : function(){
			dropDownList = new Fw.DropDownList({
				result : List,
				displayNo : false,
				displayName : 'value',
				cursorBtn : false,
				disableFieldValue : '1'
			});
			
			$("#confirm").on('click', Fw.bind(this.confirm, this));
			$("#back").on('click', Fw.bind(this.back, this));
			$("input[name=field8]").on('blur', Fw.bind(this.formatAmt, this));
			$("input[name=field8]").on('input', Fw.bind(this.numberLimit, this));
		},
		selectClick : function() {
			dropDownList.show(data0);
		},
		
		formatAmt: function(e){
			var El = $(e.currentTarget);
        	El.val(Fw.util.Format.fmtAmt(Fw.util.Format.unFmtAmt(El.val())));
        },
        numberLimit: function(e){
        	var m = Fw.util.Format.unFmtAmt($("input[name=field8]").val());
			//保留小数点后的0
			var v=$("input[name=field8]").val().trim()+"";
	    	if(v.indexOf("¥")==0){
	    	   v=v.substring(1,v.length);
	    	}
	    	v=v.replaceAll(",","");
	    	var money;
	    	if(v.indexOf('.')>11){
				money = v.slice(0,v.indexOf('.')-1)+v.slice(v.indexOf('.'), v.length);
			}else{
				money = v.slice(0,v.length-1);
			}
			if(!/^[0-9]+\.?(\d{2})?$/.test(v)){
				if(/^(([1-9]\d*)|0)(\.\d+)?$/.test(v)){
					if((v.length-v.indexOf('.')-1)>2){
						$("input[name=field8]").val(money).change();
					}
				}else{
					$("input[name=field8]").val(money).change();
				}
			}else{
				if(!/^[0-9]{1,11}([.][0-9]{1,2})?$/.test(m)){
					$("input[name=field8]").val(money).change();
				}
			}
        },
        //点击确认按钮
		confirm : function(){
			var a= $("input[name=field8]").val();
			if(a==""){
				Fw.Msg.info("转回金额须大于0！");
				return;
			}
			a = Fw.util.Format.unFmtAmt(a);
			var b = Fw.util.Format.unFmtAmt(param.CancelAcctCorpus);
			a = parseInt(a);
			b = parseInt(b);
			
			if(a<=0){
				Fw.Msg.info("转回金额须大于0！");
				return;
			}
			
			if(a>b){
				Fw.Msg.info("转回金额不得大于分户余额");
				return;
			}
			if(DetTermType=="D"){
				if(b-a<50000&&b!=a){
					Fw.Msg.info("非全额转回，剩余本金不得低于50000元!");
					return;
				}else if(b==a){
					App.fullWithdrawal();
					cancelType="1";
				}else{
					App.partialWithdrawal();
					cancelType="3";
				}
			}else{
				if(b-a<50&&b!=a){
					Fw.Msg.info("非全额转回，剩余本金不得低于50元!");
					return;
				}else if(b==a){
					App.fullWithdrawal();
					cancelType="1";
				}else{
					App.partialWithdrawal();
					cancelType="3";
				}
			}
			
			
		},
		//全额支取
		fullWithdrawal : function(){
	    	Fw.util.Ajax.query({
            	socketAdapter: 'vipCardService/mCTotalDrawInterestTaxQry',
                params: {
                    'FixedAcctNo': param.FixedAcctNo,
                    'FixedFund': param.FixedFund,
                    'RewindMode': "1"
                },
                success : function(data, result) {
                	
                	taxParam = {
                			IntRate:data.IntRate,
                			PayableInt:data.PayableInt,
                			TaxRate:data.TaxRate,
                			IntTax:data.IntTax,
                			ActPayInt:data.ActPayInt,
                			CorIntTotal:data.ActPayCorInt
                	};
                	App.pay();
                	
                },
                failure : function(statues,textStatus,error){
					
                },
	        });

	    },
	    //部分支取
	    partialWithdrawal : function(){
	    	Fw.util.Ajax.query({
            	socketAdapter: 'vipCardService/mCPartDrawInterestTaxQry',
                params: {
                    'FixedAcctNo': param.FixedAcctNo,
                    'FixedFund': param.FixedFund,
                    'DrawAmt': Fw.util.Format.unFmtAmt($("input[name=field8]").val())
                },
                success : function(data, result) {
                	
                	taxParam = {
                			IntRate:data.IntRate,
                			PayableInt:data.PayableInt,
                			TaxRate:data.TaxRate,
                			IntTax:data.IntTax,
                			ActPayInt:data.ActPayInt,
                			CorIntTotal:data.CorIntTotal
                	};
                	App.pay();
                	
                },
                failure : function(statues,textStatus,error){
					
                },
	        });

	    },
	   
	    pay : function(e){
	    	var showInfo = [
							{
								label : '交易金额',
								value : $("input[name=field8]").val(),//Fw.util.Format.fmtAmt(payMoney),
								color : '#F03737'
							}/*,
							{
								label : '收款账号',
								value : param.inquiry_account_datavalue//App.accountData.No,
							},
							{
								label : '交易金额',
								value : $("input[name=field8]").val(),//Fw.util.Format.fmtAmt(payMoney),
								color : '#F03737'
							}*/ ];
	    	var tempcount = {
	    			accountNo:param.inquiry_account_datavalue,
	    			cancelAcctType:cancelType,
	    			fixedAcctNo:param.FixedAcctNo,
	    			fixedFund:param.FixedFund,
	    			corpus:param.CancelAcctCorpus,
	    			intRate:taxParam.IntRate,
	    			payableInt:taxParam.PayableInt,
	    			taxRate:taxParam.TaxRate,
	    			intTax:taxParam.IntTax,
	    			actPayInt:taxParam.ActPayInt,
	    			corIntTotal:taxParam.CorIntTotal,
	    			drawAmt:Fw.util.Format.unFmtAmt($("input[name=field8]").val()),
	    			pwdType:"1"
                };
			var smsParams = {
					tranType : '080103', // 080103-互联网银行客户端非转账类交易验证
					// 080104-互联网银行客户端转账交易验证
					payerAcct : "",// 付款账号// 交易类型080104-必传
					payeeAcct : "", // 收款账号// 交易类型080104-必传
					payeeAcctName : "", // 收款人// 交易类型080104-必传
					trsAmount : "",// 交易金额 交易类型080104-必传
					signcontent:Fw.encode(tempcount)//需要签名的内容，（目前为全部报文）
				};
			var cardNews = {
        			cardNo : param.inquiry_account_datavalue,
        			passwordType : 'T',//T代表借记卡 B代表信用卡
        	}
			Fw.device.Device.payControls("U&AP",showInfo,'App.onPayControlsSubmit',smsParams,cardNews);//"U&AP"
	    },
	    onPayControlsSubmit : function(record, type, isObject) {
	    	if (Fw.isEqual(isObject, "false") || !isObject) {
				record = Fw.decode(record);
				
			}
	    	var paymentData = {
					_AuthMode : "U",
					accountNo:param.inquiry_account_datavalue,
	    			cancelAcctType:cancelType,
	    			fixedAcctNo:param.FixedAcctNo,
	    			fixedFund:param.FixedFund,
	    			corpus:param.CancelAcctCorpus,
	    			intRate:taxParam.IntRate,
	    			payableInt:taxParam.PayableInt,
	    			taxRate:taxParam.TaxRate,
	    			intTax:taxParam.IntTax,
	    			actPayInt:taxParam.ActPayInt,
	    			corIntTotal:taxParam.CorIntTotal,
	    			drawAmt:Fw.util.Format.unFmtAmt($("input[name=field8]").val()),
	    			pwdType:"1",
					pwd : record.pwd,
					CertificateBase64:record.certstr,
					DataBase64:record.signcontent,
					SignatureDataBase64:record.contentsign,
					CertDn:record.keyDn
				}
				//定转活执行
	    	Fw.util.Ajax.execute({
            	
	    		
	    		service: 'vipCardService.executeVipCard',
	    		
                params: paymentData,
                success : function(data, result) {
                	
                	Fw.redirect("success.html");

                },
                failure : function(statues,textStatus,error){
                	
                },
	        });
	    },
		
		back : function(){
			Fw.redirect("queryInfo/queryList.html",param);
		}
		
	};
}();

Fw.onReady(App);
