/**
 * 创建应用
 */
var App = function() {
	var tpl = [
			'{@each List as item}',
			'<td  style="float: left;" onclick="App.toMyCard(${item.index})">',
			'<div class="ui-hand ui-box-shadow ui-border ui-card-w ui-margin-b-15 ui-margin-l-30 ui-border-ra-10">',
				'<div class="ui-h-card-t-color"></div>',
				'<div class="ui-card-icon">',
					'<img src="./images/zic.png">',
				'</div>',
				'<div class="ui-padding-r-16">',
					'<div class="ui-margin-t-15">',
						'<span class="name-font">${item.DeptSeq|SimN,item.BankAcType}</span> <span class="ui-card-right" style="font-size: 12px;color: #999;margin-top: -20px;">${item.BankAcType|cardType} | 尾号{@if item.BankAcType == "PPDC" || item.BankAcType == "PDBC" || item.BankAcType == "PSDC"}${item.CardNo|fmtAcctNoEnd}{@else}${item.ActNO|fmtAcctNoEnd}{@/if}</span>',
					'</div>',
					'<div class="ui-margin-b-15 ui-margin-b-10">',
						'<span class="money-color">${item.CCDCactBal|fmtAmt}</span>',
					'</div>',
				'</div>',
			'</div>',
			'</td>',
			'{@/each}'
	     ];
	var tpl2 = [
				'{@each List as item}',
				'<td  style="float: left;" onclick="App.toMyCard(${item.index})">',
				'<div class="ui-hand ui-box-shadow ui-border ui-card-w ui-margin-b-15 ui-margin-l-30 ui-border-ra-10">',
					'<div class="ui-d-card-t-color"></div>',
					'<div class="ui-card-icon">',
						'<img src="./images/zic.png">',
					'</div>',
					'<div class="ui-padding-r-16">',
						'<div class="ui-margin-t-15">',
							'<span class="name-font">${item.DeptSeq|SimN,item.BankAcType}</span> <span class="ui-card-right" style="font-size: 12px;color: #999;margin-top: -20px;">${item.BankAcType|cardType} | 尾号{@if item.BankAcType == "PPDC" || item.BankAcType == "PDBC" || item.BankAcType == "PSDC"}${item.CardNo|fmtAcctNoEnd}{@else}${item.ActNO|fmtAcctNoEnd}{@/if}</span>',
						'</div>',
						'<div class="ui-margin-b-15 ui-margin-b-10">',
							'<span class="money-color">${item.TDCCActBal|fmtAmt}</span>',
						'</div>',
					'</div>',
				'</div>',
				'</td>',
				'{@/each}'
		     ];
	var powerData = Fw.util.Storage.get('powerData');
	powerData = Fw.decode(powerData);
    return {
        /**
         * 依赖组件
         */
        requires : [
            'Fw.app.Session'
        ],
        viewConfig:{
        	title:'存款/财富',
        	leftButton:false,
        	loadMask: true
        },
        
        /**
         * 初始化
         * 应用入口
         */
        init : function(require) {
        	//初始化数据
        	this.queryAccount();
            //初始化事件
            this.initEvents();
        },
        /**
         * 获取账户数据
         */
        queryAccount : function(){
        	//查询数据
        	Fw.util.Ajax.query({
                service: 'myAssetService.getMyAsset',
                //请求成功后回调
                success: function(data, result) {
                	App.data = data;
                	$("#allMoney").html(Fw.util.Format.fmtAmt(data.TotalActualBal));
                	//初始化菜单
                	App.initAccount(data);
                }
            });
        },
        initAccount : function(data){
        	juicer.register("cardType", function(data){
        		var name = '未知';
        		if(data == 'PMCT'){
        			name = '定期一本通';
        		}
        		if(data == 'PTIM'){
        			name = '定期存单';
        		}
        		if(data == 'PSDP'){
        			name = '存折';
        		}
        		if(data == 'PSDC'){
        			name = '储蓄卡';
        		}
        		if(data == 'PDBC'){
        			name = '储蓄卡';
        		}
        		if(data == 'PMCS'){
        			name = '存折';
        		}
        		if(data == 'PPDC'){
        			name = '储蓄卡';
        		}
        		if(data == 'SAT'){
        			name = '存折';
        		}
        		return name;
        	});
        	juicer.register('SimN', function(bankId,cardType){
        		return Fw.SimN(bankId,cardType);
        	});
        	var list = data.List;
        	var data1 = [];
        	var data2 = [];
        	for(var i=0;i<list.length;i++){
        		var cardType = list[i].BankAcType;
        		if(cardType == 'PTIM' || cardType == 'PMCT'){
        			data2.push(list[i]);
        		}else{
        			data1.push(list[i]);
        		}
        	}
        	//渲染模板
        	if(null != data1 && ""!= data1){
            	var html = Fw.template(tpl, {"List":data1});
            	$('#saveList').html(html);
        	}else{
        		$('#saveList').html('<td><div style="height: 41px;line-height: 26px;margin-left: 30px;color: #999;cursor: default;">您当前未加挂活期账户，可在账户管理中进行添加</div></td>');
        	}
        	if(null != data2 && ""!= data2){
            	var html = Fw.template(tpl2, {"List":data2});
            	$('#regularList').html(html);
        	}else{
        		$('#regularList').html('<td><div style="height: 41px;line-height: 26px;margin-left: 30px;color: #999;cursor: default;">您当前未加挂定期账户，可在账户管理中进行添加</div></td>');
        	}
        	Fw.LoadMask.hide();
        },
        /**
         * 初始化事件
         */
        initEvents: function(){
        	$('#account').on('click', Fw.bind(this.toAccount, this));
        	$('#accountBook').on('click', Fw.bind(this.toAccountBook, this));
        	$('#myAsset').on('click', Fw.bind(this.toMyAsset, this));
        },
        toAccount : function(){
        	if(powerData.zhgl == 'T'){
        		Fw.redirect("../account/main.html",{'cardType' : '0'})
        	}else{
        		Fw.Msg.info("尊敬的客户，由于系统升级，该功能暂时停用，给您造成的不便，敬请谅解，具体开启时间请关注我行公告。");
        		return;
        	}
        },
        toAccountBook : function(){
        	if(powerData.wdjzp == 'T'){
        		Fw.redirect("../accountBook/main.html",{pageParam:{aimUrl:'/page/pc/myAsset/main.html'}})
        	}else{
        		Fw.Msg.info("尊敬的客户，由于系统升级，该功能暂时停用，给您造成的不便，敬请谅解，具体开启时间请关注我行公告。");
        		return;
        	}
        },
        toMyAsset : function(){
        	Fw.redirect("../../pub/myEcharts/main.html",{'cardType' : 0})
        },
        toFinance : function(){
        	Fw.redirect("../../pageMenu/moreMenu.html", {'scoll' : "1"})
        },
        toMyCard : function(data){
        	Fw.redirect("./myCard.html", {'data' : App.data, 'index' : data})
        },
    };
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);