/**
 * 创建应用
 */
var App = function() {
	var card;
	var data = Fw.getParameters("data");
	var indexs = Fw.getParameters("index");
	var powerData = Fw.util.Storage.get('powerData');
	powerData = Fw.decode(powerData);
	return {
		/**
		 * 依赖组件
		 */
		requires : [ 'Fw.Card' ],
		viewConfig : {
			title : '我的储蓄卡',
			leftButton : {
                handler:function(){
        			Fw.redirect('./main.html')
        		}
        	}
		},
		/**
		 * 初始化 应用入口
		 */
		init : function(require) {
			juicer.register('SimN', function(bankId,cardType){
        		return Fw.SimN(bankId,cardType);
        	});
			card = new Fw.Card(
					{
						contentEl : 'card',
						data : data.List,
						activeCard : indexs,
						itemTpl : [
								'<div class="selection">',
								'<div class="card-title">',
								'<label>${item.DeptSeq|SimN,item.BankAcType}</label>',
								'<span style="float: right;">尾号{@if item.BankAcType == "PPDC" || item.BankAcType == "PDBC" || item.BankAcType == "PSDC"}${item.CardNo|fmtAcctNoEnd}{@else}${item.ActNO|fmtAcctNoEnd}{@/if}</span>',
								'</div>',
								'<div class="card-content">',
								'<div>',
								'<label>${item.Remark}</label>',
								'</div>',
								'<div class="content-h">',
								'<label>可用余额</label>',
								'<span style="float: right;" class="ishide1">${item.ActualBal|fmtAmt}</span>',
								'<span style="float: right;" class="ishide2">********</span>',
								'</div>',
								'<div class="content-h">',
								'<label>账户余额</label>',
								'<span style="float: right;" class="ishide1">{@if item.BankAcType == "PTIM" || item.BankAcType == "PMCT"}${item.TDCCActBal|fmtAmt}{@else}${item.CCDCactBal|fmtAmt}{@/if}</span>',
								'<span style="float: right;" class="ishide2">********</span>',
								'</div>','</div>', '</div>' ]
					});
			$("#khh").html(data.List[indexs].OpenActBranchName);
			$("#zhjb").html(data.List[indexs].CCDCActFlag);
			if(data.List[indexs].IsOpenFlag != "1"){
				$('#zz a').html('未开通动账权限')
			}
			if(data.List[indexs].AgentFlag != "1"){
				$('#hfcz a').html('未开通支付权限')
			}
			if(data.List[indexs].BankAcType == "PPDC" || data.List[indexs].BankAcType == "PDBC" || data.List[indexs].BankAcType == "PSDC"){
				App.AcNo = data.List[indexs].CardNo;
			}else{
				App.AcNo = data.List[indexs].ActNO;
			}
			if(data.List[indexs].BankAcType == "PTIM" || data.List[indexs].BankAcType == "PMCT"){
				$('#zz-t').hide();
				$('#hfcz-t').hide();
				$('#zhdj').hide();
				$('#mx-d').removeClass('ui-border-b');
			}else if(data.List[indexs].BankAcType == "SAT"){
				$('#zz-t').hide();
				$('#hfcz-t').hide();
				$('#mx-d').removeClass('ui-border-b');
			}else if(data.List[indexs].BankAcType == "PSDP" || data.List[indexs].BankAcType == "PMCS"){
				$('#zz-t').show();
				$('#hfcz-t').hide();
				$('#zhdj').show();
				$('#zz-d').removeClass('ui-border-b');
			}else{
				$('#zz-t').show();
				$('#hfcz-t').show();
				$('#zhdj').show();
				$('#mx-d').addClass('ui-border-b');
			}
			card.on('change', Fw.bind(this.onZoomChange, this));
			Fw.LoadMask.hide();
			// 初始化事件
			this.initEvents();
		},
		onZoomChange : function(record, index, z) {
			indexs = index;
			if(record.BankAcType == "PPDC" || record.BankAcType == "PDBC" || record.BankAcType == "PSDC"){
				App.AcNo = data.List[indexs].CardNo;
			}else{
				App.AcNo = data.List[indexs].ActNO;
			}
			if(record.BankAcType == "PTIM" || record.BankAcType == "PMCT"){
				$('#zz-t').hide();
				$('#wkqk-t').hide();
				$('#hfcz-t').hide();
				$('#zhdj').hide();
				$('#mx-d').removeClass('ui-border-b');
			}else if(record.BankAcType == "SAT"){
				$('#zz-t').hide();
				$('#hfcz-t').hide();
				$('#mx-d').removeClass('ui-border-b');
			}else if(record.BankAcType == "PSDP" || record.BankAcType == "PMCS"){
				$('#zz-t').show();
				$('#hfcz-t').hide();
				$('#zhdj').show();
				$('#zz-d').removeClass('ui-border-b');
			}else{
				$('#zz-t').show();
				$('#wkqk-t').show();
				if(record.BankAcType != "PSDP" || record.BankAcType != "PMCS"){
					$('#hfcz-t').show();
				}
				$('#zhdj').show();
				$('#mx-d').addClass('ui-border-b');
			}
			$("#khh").html(record.OpenActBranchName);
			$("#zhjb").html(record.CCDCActFlag);
			if(record.IsOpenFlag != "1"){
				$('#zz a').html('未开通动账权限')
			}else{
				$('#zz a').html('立即转账')
			}
			if(record.AgentFlag != "1"){
				$('#hfcz a').html('未开通支付权限')
			}else{
				$('#hfcz a').html('立即支付')
			}
		},
		/**
		 * 初始化事件
		 */
		initEvents : function() {
			$('#xq').on('click', Fw.bind(this.xq, this));
			$('#mx').on('click', Fw.bind(this.mx, this));
			$('#zz').on('click', Fw.bind(this.zz, this));
			$('#hfcz').on('click', Fw.bind(this.hfcz, this));
			$('#gdgn').on('click', Fw.bind(this.gdgn, this));
		},
		xq : function() {
			if(powerData.zhgl == 'T'){
        		Fw.redirect("../../pub/account/DetDel/main.html",{'cardType' : '0','AcNo' : ""+App.AcNo,'Remark' : data.List[indexs].Remark,'data' : data, 'index' :indexs,'aimUrl' :'/page/pc/myAsset/myCard.html'})
        	}else{
        		Fw.Msg.info("尊敬的客户，由于系统升级，该功能暂时停用，给您造成的不便，敬请谅解，具体开启时间请关注我行公告。");
        		return;
        	}
		},
		gdgn : function() {
        	Fw.redirect("../../pageMenu/moreMenu.html")
		},
		mx : function() {
			if(powerData.jymx == 'T'){
        		Fw.redirect("../../pub/account/businessDetail/main.html",{'AcNo' : ""+App.AcNo,'data' : data, 'index' :indexs,'aimUrl' :'/page/pc/myAsset/myCard.html'})
        	}else{
        		Fw.Msg.info("尊敬的客户，由于系统升级，该功能暂时停用，给您造成的不便，敬请谅解，具体开启时间请关注我行公告。");
        		return;
        	}
		},
		zz : function() {
			if(powerData.zzhk == 'T'){
				if(data.List[indexs].IsOpenFlag == "1"){
	        		Fw.redirect("../../pub/transfer_accounts/bank.html",{'AcNo' : ""+App.AcNo,'data' : data, 'index' :indexs,'flag' :'1'})
				}else{
					Fw.Msg.info('您的账户无转账权限功能，请至我行任一网点开通');
				}
			}else{
				Fw.Msg.info("尊敬的客户，由于系统升级，该功能暂时停用，给您造成的不便，敬请谅解，具体开启时间请关注我行公告。");
				return;
			}
		},
		hfcz : function() {
			if(powerData.hfcz == 'T'){
				if(data.List[indexs].AgentFlag == "1"){
	        		Fw.redirect("../../pub/lifeService/recharge/main.html",{'data' : data, 'index' :indexs,'flag' :'1'})
				}else{
					Fw.Msg.cfm('您的账户未开通支付权限，是否前往开通？', function(code, btn, win){
		                if(code == 'yes'){
		                	Fw.redirect(Fw.getBasePath() + "/page/pub/quotaManagement/payLimit/main.html",{'No' : ""+App.AcNo,'BankAcType' : ""+data.List[indexs].BankAcType,'data' : data, 'index' :indexs,'flag' :'1',option:""+Fw.SimN(data.List[indexs].DeptSeq,data.List[indexs].BankAcType)+"  "+App.AcNo.substring(App.AcNo.length-4),})
		                }
		            });
				}
			}else{
				Fw.Msg.info("尊敬的客户，由于系统升级，该功能暂时停用，给您造成的不便，敬请谅解，具体开启时间请关注我行公告。");
				return;
			}
		},
	};
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);