/**
 * 创建应用
 */
var App = function() {
	var card;
	var data = Fw.getParameters("data");
	var indexs = Fw.getParameters("index");
	var powerData = Fw.util.Storage.get('powerData');
	powerData = Fw.decode(powerData);
	return {
		/**
		 * 依赖组件
		 */
		requires : [ 'Fw.Card' ],
		viewConfig : {
			title : '我的信用卡',
			leftButton : {
                handler:function(){
        			Fw.redirect('./main.html')
        		}
        	}
		},
		/**
		 * 初始化 应用入口
		 */
		init : function(require) {
			if(data.List[indexs].CardType == 0){
				$('#zqke').html('本期应还')
			}
			if(data.List[indexs].CardType == 1){
				$('#zqke').html('总欠款额')
				if("-" == data.List[indexs].BalanceFlag){
					$('#yh').html(Fw.util.Format.fmtAmt("0.00"));
				}else{
					$('#yh').html(Fw.util.Format.fmtAmt(data.List[indexs].Balance));
				}
			}
			if(data.List[indexs].LastBillDate == "00"){
				$('#zdyf').html("无");
			}else{
				$('#zdyf').html(data.List[indexs].LastBillDate + '月');
			}
			$('#zd').html(Fw.util.Format.fmtAmt(data.List[indexs].MinRepayAmt));
			if(data.List[indexs].CardType == 1){
				$(".fq").hide();
			}else{
				$('#yh').html(Fw.util.Format.fmtAmt(data.List[indexs].CurRepayAllAmtCny));
				$(".fq").show();
			}
			juicer.register('SimN', function(bankId,cardType){
        		return Fw.SimN(bankId,cardType);
        	});
			card = new Fw.Card(
					{
						contentEl : 'card',
						// 指示点 (默认true)
						// indicator: false,
						data : data.List,
						activeCard : indexs,
						itemTpl : [
								'<div class="selection">',
								'<div class="card-title">',
								'<label>${item.CardTypeName}</label>',
								'<span style="float: right;">尾号${item.CreditCardNo|fmtAcctNoEnd}</span>',
								'</div>',
								'<div class="card-content">',
								'<div>',
								'<label>可用额度</label>',
								'<span style="float: right;font-size: 16px;" class="ishide1">${item.AvailLimit|fmtAmt}</span>',
								'<span style="float: right;" class="ishide2">********</span>',
								'</div>',
								'<div class="content-h">',
								'<label>信用额度</label>',
								'<span style="float: right;" class="ishide1">${item.CreditLimit|fmtAmt}</span>',
								'<span style="float: right;" class="ishide2">********</span>',
								'</div>',
								'<div class="content-h">',
								'<label>还款日期</label>',
								'<span style="float: right;" class="ishide1">{@if item.LeastRepayDate == undefind||item.LeastRepayDate == ""||item.LeastRepayDate == null}暂无账单{@else}${item.LeastRepayDate|fmtDate,"yyyy-MM-dd"}{@/if}</span>',
								'<span style="float: right;" class="ishide2">********</span>',
								'</div>', '</div>', '</div>' ]
					});
			card.on('change', Fw.bind(this.onZoomChange, this));
			Fw.LoadMask.hide();
			// 初始化事件
			this.initEvents();
		},
		onZoomChange : function(record, index, z) {
			indexs = index;
			if(data.List[indexs].CardType == 0){
				$('#zqke').html('本期应还')
			}
			if(data.List[indexs].CardType == 1){
				$('#zqke').html('总欠款额')
			}
			if(record.CardType == 1){
				if("-" == record.BalanceFlag){
					$('#yh').html(Fw.util.Format.fmtAmt("0.00"));
				}else{
					$('#yh').html(Fw.util.Format.fmtAmt(record.Balance));
				}
			}
			if(record.LastBillDate == "00"){
				$('#zdyf').html("无");
			}else{
				$('#zdyf').html(record.LastBillDate + '月');
			}
			$('#zd').html(Fw.util.Format.fmtAmt(record.MinRepayAmt));
			if(record.CardType == 1){
				$(".fq").hide();
			}else{
				$('#yh').html(Fw.util.Format.fmtAmt(record.CurRepayAllAmtCny));
				$(".fq").show();
			}
		},
		/**
		 * 初始化事件
		 */
		initEvents : function() {
			$('#xq').on('click', Fw.bind(this.xq, this));
			$('#zdcx').on('click', Fw.bind(this.zd, this));
			$('#hk').on('click', Fw.bind(this.hk, this));
			$('#yj').on('click', Fw.bind(this.yj, this));
			$('#fq').on('click', Fw.bind(this.fq, this));
			$('#gdgn').on('click', Fw.bind(this.gdgn, this));
		},
		xq : function() {
			if(powerData.zhgl == 'T'){
        		Fw.redirect("../../pub/account/DetDel/main.html",{'cardType' : '1','AcNo' : ""+data.List[indexs].CreditCardNo,'Remark' : ""+data.List[indexs].Remark,'data' : data, 'index' :indexs,'aimUrl' :'/page/pc/myDebt/myCreditCard.html'})
        	}else{
        		Fw.Msg.info("尊敬的客户，由于系统升级，该功能暂时停用，给您造成的不便，敬请谅解，具体开启时间请关注我行公告。");
        		return;
        	}
		},
		gdgn : function() {
        	Fw.redirect("../../pageMenu/moreMenu.html")
		},
		zd : function() {
			if(powerData.jymx == 'T'){
        		Fw.redirect("../../pub/creditCardManage/billQuery/main.html",{'acNo' : data.List[indexs].CreditCardNo,'data' : data, 'index' :indexs,'flag' :'1'})
        	}else{
        		Fw.Msg.info("尊敬的客户，由于系统升级，该功能暂时停用，给您造成的不便，敬请谅解，具体开启时间请关注我行公告。");
        		return;
        	}
		},
		hk : function() {
			if(powerData.xykhk == 'T'){
        		Fw.redirect("../../pub/creditCardManage/creditCardPayment/main.html",{'acNo' : data.List[indexs].CreditCardNo,'data' : data, 'index' :indexs,'flag' :'0'})
        	}else{
        		Fw.Msg.info("尊敬的客户，由于系统升级，该功能暂时停用，给您造成的不便，敬请谅解，具体开启时间请关注我行公告。");
        		return;
        	}
		},
		yj : function() {
			if(powerData.yjxj == 'T'){
        		Fw.redirect("../../pub/creditCardManage/cashAdvance/main.html",{'acNo' : data.List[indexs].CreditCardNo,'data' : data, 'index' :indexs,'flag' :'1'})
        	}else{
        		Fw.Msg.info("尊敬的客户，由于系统升级，该功能暂时停用，给您造成的不便，敬请谅解，具体开启时间请关注我行公告。");
        		return;
        	}
		},
		fq : function() {
			if(powerData.zdfq == 'T'){
        		Fw.redirect("../../pub/creditCardStaging/checkInstalment/main.html",{'acNo' : data.List[indexs].CreditCardNo,'data' : data, 'index' :indexs,'flag' :'1'})
        	}else{
        		Fw.Msg.info("尊敬的客户，由于系统升级，该功能暂时停用，给您造成的不便，敬请谅解，具体开启时间请关注我行公告。");
        		return;
        	}
		},
		getAlreadyBillHead : function(data, type){
			Fw.util.Ajax.execute({
				socketAdapter : 'creditCardManageService/executeMCCreditAccountInfoQry',
				params : {
					AcNo : data,
					pwdCheckFlag : '0',
				},
				success : function(data, result) {
					
				},
				failure: function(status, textStatus, error) {
					$('#zd').html("暂无账单");
					$('#yh').html("暂无账单");
					$('#zdyf').html("暂无账单");
                }
			});
		},
	};
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);