/**
 * 创建应用
 */
var App = function() {
	// console.log(Fw.getParameters());
	var record = Fw.getParameters();
	console.log(record);
	return {
		requires : [ 'Fw.Tab' ],
		viewConfig : {
			title : '预算单位工资查询',
			/**
			 * 左边按钮（默认显示） 如果为false，则左边按钮不显示 leftButton: '左边按钮'
			 */
			leftButton : {
				// 自定义按钮标题（默认'返回'）
				text : '后退'
			// 自定义按钮点击事件（默认App.leftButtonHandler）
			// handler: XXX
			},
			loadMask : true
		},
		/**
		 * 初始化 应用入口
		 */
		init : function(require) {
			// 表单回显
			this.showForm(record);
			this.initEvents();
			// 手动隐藏等待层
			Fw.LoadMask.hide();
		},
		/**
		 * 初始化事件
		 */
		initEvents : function() {
		},
		showForm : function(data) {
			var items = $('#form').find('[data-name]');
			var name = '', el;
			items.each(function(index, item) {
				el = $(item);
				name = el.attr('data-name');
				if (name == 'JobWageAmt' || name == 'GradeWageAmt'
						|| name == 'MeritWageAmt' || name == 'JobSubsidyAmt'
						|| name == 'PoliceLevelSubsidyAmt'
						|| name == 'WorkSubsidyAmt' || name == 'LiveSubsidyAmt'
						|| name == 'JhlSubsidyAmt'
						|| name == 'JobLevelSubsidyAmt'
						|| name == 'ZoneSubsidyAmt' || name == 'TimeRewardAmt'
						|| name == 'IndustrySubsidyAmt'
						|| name == 'JzSubsidyAmt' || name == 'HoldWageAmt'
						|| name == 'FloatWageAmt' || name == 'OtherReceAmt'
						|| name == 'DeductWageAmt' || name == 'AgentDeductAmt'
						|| name == 'HouseFundAmt' || name == 'EndowmentAmt'
						|| name == 'UnemploymentAmt' || name == 'MedicareAmt'
						|| name == 'IndividualTaxAmt'
						|| name == 'UtilityBillsAmt' || name == 'HouseRentAmt'
						|| name == 'OtherDeductAmt' || name == 'ActWageAmt'
						|| name == 'BaseRetireAmt'
						|| name == 'LiveAllowanceAmt'
						|| name == 'LiveSupportAmt' || name == 'ZoneSupportAmt'
						|| name == 'ElderSupportAmt' || name == 'NurseAmt'
						|| name == 'TrafficSupportAmt' || name == 'WaterAmt'
						|| name == 'ElectrictityAmt') {
					// 格式化
					el.css("color", "#ef2525");
					data[name] = Fw.util.Format.fmtAmt(data[name]);
				}
				el.html(data[name]);
			});
		},
		/**
		 * 左边按钮点击事件
		 */
		leftButtonHandler : function() {
			// history.back();
			params = {
				"indexDetail" : "1",
				"YearMonth" : record.YearMonth
			}
			Fw.redirect("main.html", params);
		},

	};
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
