/**
 * 创建应用
 */
var App = function() {
	// 下拉框
	var dropDownList;
	var data = [];
	// 获取当前时间，控制日期组件范围
	var newStartDate;
	var newEndDate;
	// 带参数资金账户
	var soarOwnerName;
	var clientLoginType;
	return {
		/**
		 * 依赖组件
		 */
		requires : [ 'Fw.Form', 'Fw.Calendar', 'Fw.Select', 'Fw.Keyboard',
				'Fw.app.Session', 'Fw.DropDownList', ],
		viewConfig : {
			title : '住宅维修资金查询',
			leftButton : {
				text : '左边按钮',
			// 自定义按钮点击事件（默认App.leftButtonHandler）
			},
			// 隐藏等待层
			loadMask : true
		},

		/**
		 * 初始化 应用入口
		 */
		init : function(require) {
			if(Fw.isTouch){
				clientLoginType="MB";
			}else{
				clientLoginType="PC";
			}
			this.newDate();
			// 查询账户下拉框
			// this.queryCard();
			// 实例化下拉
			// this.initDropDownList();
			this.drowDown();
			form = new Fw.Form({
				// EL
				contentEl : 'form',
				// 是否激活重置事件（默认false）
				// 单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
				resettable : false,
				// 校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
				msgTarget : 'tips'
			});
			// 初始化事件
			this.initEvents();
			// 手动隐藏等待层
			// Fw.LoadMask.hide();
		},
		/**
		 * 初始化事件
		 */
		initEvents : function() {
			// 点击下拉框
			// $('#payAccount_select').on('click',Fw.bind(this.showDropDownListClick,this));
			$('#payAccount_selectId').on('click',Fw.bind(this.showDropDownListClick, this));
			dropDownList.on('itemClick', Fw.bind(this.itemClick, this));
			$("#next-btn").on('click', Fw.bind(this.nextBtnClick, this));
			this.onMouthDay();//默认显示一个月内的，经业务确认30天为准
		},
		onMouthDay:function(){
			var now=new Date();
			var getMouthPage1=now.getMonth()+1;
			var getDatePage1=now.getDate();
			if (getMouthPage1 < 10) {
				getMouthPage1 = "0" + getMouthPage1;
			};
			if (getDatePage1 < 10) {
				getDatePage1 = "0" + getDatePage1;
			};
			var endDateDay=now.getFullYear()+'-'+getMouthPage1+'-'+getDatePage1;
			$("#endTime").val(endDateDay);
			var startDateDay=new Date(now-24*60*60*1000*30);
			var getMouthPage2=startDateDay.getMonth()+1;
			var getDatePage2=startDateDay.getDate();
			if (getMouthPage2 < 10) {
				getMouthPage2 = "0" + getMouthPage2;
			};
			if (getDatePage2 < 10) {
				getDatePage2 = "0" + getDatePage2;
			};
			startDateDay=startDateDay.getFullYear()+'-'+getMouthPage2+'-'+getDatePage2;
			$("#startTime").val(startDateDay);
		},
		newDate : function() {
			var date = Fw.getDate();
			var myYear = date.getFullYear();
			var myMonth = date.getMonth() + 1;
			var myDate = date.getDate();
			if (myMonth < 10) {
				myMonth = "0" + myMonth;
			};
			if (myDate < 10) {
				myDate = "0" + myDate;
			};
			var dateYear = myYear + "-" + myMonth + "-" + myDate;
			myYear = myYear - 2;
			newStartDate = myYear + "-" + myMonth + "-" + "01";
			newEndDate = dateYear;
			$("#startTime").attr("data-start", newStartDate);
			$("#startTime").attr("data-end", newEndDate);
			$("#endTime").attr("data-start", newStartDate);
			$("#endTime").attr("data-end", newEndDate);
		},
		drowDown : function() {
			// 下拉框，查询账户列表
			getdict();
			function getdict() {
				var getName = Fw.app.Session.getName();
				var getIdentno = Fw.app.Session.getIdentno();
				var getIdenttype = Fw.app.Session.getIdenttype();
				Fw.util.Ajax.query({
					// service: 'demo1Service.queryCard',
					service : 'specialQueryService/executeHouseList',
					staticData : false,
					// 请求成功后回调
					params : {
						 /*SoarOwnerName : '叶云',
						 GlobalId : '35012719701218436X',
						 GlobalType : '1'*/
						ClientLoginType:clientLoginType,
						SoarOwnerName : getName,
						GlobalId : getIdentno,
						GlobalType : getIdenttype,
						//GlobalType : "1"
					},
					success : function(data, result) {
						// 这里必须是data，不能是result
						// 回显第一个，即默认的预约账户值
						if(data.List.length=="0"){
							Fw.Msg.info('未查询到相关信息',function(){
//								Fw.redirect("page/pageMenu/moreMenu.html");
							});
						}else{
							$("#payAccount_select").val(Fw.util.Format.fmtAcctNo(data.List[0].MainFundAcctNo, "true"));
							soarOwnerName = data.List[0].MainFundAcctNo;
							// 执行余额查询函数
							App.queryUseMoney();
							App.data1 = data;
							// console.log(data);
						}
					},
				});
			};
			dropDownList = new Fw.DropDownList({
				// 必须参数：结果集
				result : data.List,
				// 可配置参数：1.false,随内容撑出高度，2.num：固定高度，超出滚动显示,默认[220]
				// fixedHeight: false,
				// 可配置参数：账号，1.false 不显示账号,2.cdopac 具体显示字段名，默认[cdopac]
				displayNo : false,
				// 可配置参数：从后截取账号显示,1.false 不截取，2.num：截取长度,默认[5]
				lastSubNo : 4,
				// 可配置参数：名称，默认[brchna]
				displayName : 'MainFundAcctNo',
				// 可配置参数：显示时是否重新渲染，默认[false]
				// reload: false,
				// 可配参数：选择完成后是否自动关闭,默认[true]
				// autoClose: true,
				// 可配置参数：是否显示手工输入按钮，默认[true]
				cursorBtn : false,
				// 可配置参数：设置不可点击,1.默认[false]不限制,2.cardtp具体字段名
				// disableField: 'name',
				// 可配置参数：设置不可点击参数值，1.默认[0],2.具体值，"不可点击字段“值等于"不可点击参数值"该项不可点击
				disableFieldValue : '1'
			});
		},
		queryUseMoney : function() {
			Fw.util.Ajax.query({
				socketAdapter : 'specialQueryService/queryHomeAccountBalance',
				params : {
					//MainFundAcctNo : '3501810047007219'
					MainFundAcctNo : soarOwnerName,
					ClientLoginType:clientLoginType,
				},
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					$("#queryUseMoney").text(Fw.util.Format.fmtAmt(data.AcctBal));
					$("#residentialAddress").text(data.SubDistrictName + data.BuildingName+ data.HouseName);
				}
			});
		},
		// 下拉框
		showDropDownListClick : function() {
			console.log(App.data1);
			// 显示组件Fw.util.Format.fmtAcctNo(data.List[0].MainFundAcctNo,"true")
			// dropDownList.show(Fw.util.Format.fmtAcctNo(App.data1.List,"true"));
			dropDownList.show(App.data1.List);
		},
		itemClick : function(data, index, e) {
			if (index != -1) {
				console.log(data.MainFundAcctNo);
				$("#payAccount_select").val(
						Fw.util.Format.fmtAcctNo(data.MainFundAcctNo, "true"));
				soarOwnerName = data.MainFundAcctNo;
				// 选中账号后再次查询余额
				this.queryUseMoney();
				// Fw.Logger.debug(data);
			} else {
				// 手工输入
				Fw.Logger.debug('点击了手工输入');
			}
		},
		nextBtnClick : function() {
			if ($("#startTime").val() != "" && $("#endTime").val() != "") {
				// 带账号、起始日期、结束日期
				var startDate = $("#startTime").val();
				var endDate = $("#endTime").val();
				startDate = startDate.replaceAll("-", "");
				endDate = endDate.replaceAll("-", "");
				// 时间跨度不超过6个月且不允许跨年查询
				var y1 = parseInt(startDate.substring(0, 4));
				var y2 = parseInt(endDate.substring(0, 4));
				var m1 = parseInt(startDate.substring(4, 6));
				var m2 = parseInt(endDate.substring(4, 6));
				var dYear = y1 - y2;
				var dMonth = m2 - m1;
				var nowYear = new Date;
				nowYear = nowYear.getFullYear();
				if (startDate <= endDate) {
					if (dYear == "0") {
						if (dMonth <= 6) {
							params = {
								'SoarOwnerName' : soarOwnerName,
								'StartDate' : startDate,
								'EndDate' : endDate,
							}
							Fw.redirect('mainNext.html', params);
						} else {
							Fw.Msg.info('不支持时间跨度超过6个月，请重新选择日期');
						}
					} else {
						Fw.Msg.info('不支持跨年度查询，请重新选择日期');
					}
				} else {
					Fw.Msg.info('开始日期不能大于结束日期，请重新选择日期');
				}
			} else {
				form.submit();
			}
		},
		/**
		 * 选中记录时触发
		 */
		onSelect : function(record, index, item, e, cmp) {
			alert(Fw.encode(record));
		},
		/**
		 * 渲染到页面前触发
		 */
		onBeforeAddItem : function(record, index, cmp) {
		},
		/**
		 * 触发查询事件前触发
		 */
		onBeforeSearch : function(value) {
			form.submit();
		},
		onBeforeQuery : function(ajax, message, url) {
		},
		onQuery : function(ajax, data, result) {
		},
		leftButtonHandler : function() {
			Fw.redirect("../../../pageMenu/moreMenu.html");
		}
	};
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
