/**
 * 创建应用
 */
var App = function() {
	$("#pageA").show();
	var step="0";
	var values = {};
	//省下拉对象
	var provinceList;
	var province=[];
	//市下拉对象
	var cityList;
	var city=[];
	//获取的结果数据
	var fromValues={};
	//添加联系人页面跳转标示
	var flag;
    var emptyTpl='<div class="font-size-18"><div class="ui-no">未查询到相关记录</div></div>';
    var tplc = [
           	    '<div id="emptyTpl" class="font-size-18" hidden="hidden"><div class="ui-no">未查询到相关记录</div></div>',
           		'<div class="bank">',
           		'{@each List1 as item,index}',
           		'<div onclick="App.select2(${item|JsonToStr})" class="ui-border-b ui-select-bank ui-list-q ui-hand a" data-role="close">',
           		'<div>${item.PayeeBankName}</div>',
           		'<div class="ui-branch-left">',
           		'<i class="x-glyph-e624"></i>',
           		'</div>',
           		'</div>',
           		'{@/each}',
           		'</div>'
           		
           		];
	var tpl = [
	    
		'<div class="bank">',
		
		'{@each List as item,index}',
		
		'<div onclick="App.getBranch(${item|JsonToStr})" class="ui-border-b ui-select-bank ui-list-q ui-hand a" data-role="close">',
		'<div>${item.PayeeBranchName}</div>',
		'<div class="ui-branch-left">',
		'<i class="x-glyph-e624"></i>',
		'</div>',
		
		'</div>',
		'{@/each}',
		'</div>'
		
		];
	var tpl2 = [
	        '<div id="emptyTpl2" class="font-size-18" hidden="hidden"><div class="ui-no">未查询到相关记录</div></div>',
	   		'<div class="bank">',
	   		'{@each List as item,index}',
	   		
	   		'<div onclick="App.select(${item|JsonToStr})"  class="ui-border-b ui-select-bank ui-list-q ui-hand a" >',
	   		'<div>${item.BankName}</div>',
	   		'<div class="ui-branch-left">',
	   		'<i class="x-glyph-e624"></i>',
	   		'</div>',
	   		
	   		'</div>',
	   		'{@/each}',
	   		'</div>'
	   		];
	var tpl3=[
			'{@each List as item,index}',
			'<option value=${item.ProvinceCode}>${item.ProvinceName}</option>',
			'{@/each}'
	          ];
	var tpl4=[
			'{@each List as item,index}',
			'<option value=${item.CityCode}>${item.CityName}</option>',
			'{@/each}'
		      ]
    return {
        /**
         * 依赖组件
         */
        requires : [
            'Fw.SelectWindow',
            'Fw.SearchBar',
            'Fw.Select',
            'Fw.DropDownList',
        ],
        /**
         * 初始化
         * 应用入口
         */
        init : function(require) {
        	flag = Fw.getParameters();
        	// 定义查询工具条
			searchBar = new Fw.SearchBar({
				// EL
				contentEl : 'searchbar',
				// 最少输入字符个数（默认4）
				// 满足该参数时，触发查询事件
				minChars : 1,
				// 最大输入长度
				maxLength : 25,
				// 输入框占位信息
				placeholder : '请输入收款行'
			});
			//初始化市列表
			this.cityList();
        	//查询银行列表
        	this.queryBankList();
        	this.initEvents();
        	
        },
        /**
         * 初始化事件
         */
        initEvents: function(){
        	//查询网点列表
//        	$("#next").on("click",Fw.bind(this.queryBranch,this));
        	//返回
        	$("#prev").on("click",Fw.bind(this.prev,this));
        	//查询工具查询事件
        	searchBar.on('search',this.judgeQuery,this);
        },
        //判断查询是否有数据
        judgeQuery:function(KeyVal){
        	if(!Fw.isEmpty(KeyVal)){
  			   values.PayeeBranchName=KeyVal;
//  			   if(!Fw.isEmpty($("#province").val())){
//  				   if(Fw.isEmpty($("#city").val())){
//  					   Fw.Tips.info("请选择市");
//  					   return;
//  				   }
//  			   }
  			   App.queryBranch();
  		   }else{
  			   return;
  		   }
        },  
	   //查询银行列表
	   queryBankList:function(){
	         //查询数据
	       	Fw.util.Ajax.get({
	       		socketAdapter:'transferService/MCRcbApsBanksQry',
	               //method: 'query',
	               //数据源（服务接口）
	               //请求参数
	               //params: {},
	               //是否使用数据挡板（默认false）
	//             staticData: true,
	               staticDate:false,
	               //请求成功后回调
	               success: function(data, result) {
	               	 App.bankList(data);
	               }
	           });
	   },
	   bankList: function(data){
	   	juicer.register("JsonToStr", function(data){
	   		return JSON.stringify(data);
	   	});
	   	//为1则是联系人跳转过来，选择收款支行时不显示常用银行
	   	if(flag.pageFlag=="1"){
	   		$(".hide").hide();
	   	}else{
	   		//常用收款行
		   	var json={
		   			PayeeBankId: "402391000068",
		   			PayeeBankName: "福建农信行内转账"
		   	}
		   	var List1=[];
		   	List1.push(json);
		   	data.List1 = List1;
	   		//渲染模板
		   	var html = Fw.template(tplc, data);
		   	//添加到页面
		    $('#list3').html(html);
	   	}
	   	
	   	//渲染模板
	   	var html = Fw.template(tpl2, data);
	   	//添加到页面
	    $('#list2').html(html);
	      
	   },
	   //银行搜索框事件
       query:function(){
    	   var keyVal =$("#key").val();
    	   if(keyVal.length!=0 && Fw.isEmpty(keyVal.replaceAll(' ',''))){
    		   $("#key").val(keyVal.replaceAll(' ',''));
    		  return;
    	   }
//       	alert(1);
    	$("#emptyTpl").hide();
    	$("#emptyTpl2").hide();
    	$("div.bank").show();
       	//关键字
       	//过滤需要的信息
       	$("div.bank").children('div.a').hide();
       	var bb = false;
       	$("div.bank").children('div.a').find("div").each(function(){
       		if($(this).text().indexOf(keyVal)!=-1){
       			$(this).parent().show();
       			bb=true;
       		}
       	})
       	if(!bb){
       		$("div.bank").hide();
       		$("#emptyTpl").show();
       		$("#emptyTpl2").show();
       	}
       },
       select2:function(data){
    	   fromValues.PayeeBankName=data.PayeeBankName;
    	   fromValues.PayeeBankId=data.PayeeBankId;
       },
       select:function(data){
    	   values.PayeeBankId=data.BankId;
    	   values.PayeeBankName=data.BankName;
    	   $("#pageA").hide();
    	   $("#pageC").hide();
    	   $("#pageB").show();
    	   step="1";
    	   // 省下拉对象
    	   this.provinceList();
    	   //查询省
    	   App.queryProvince();
       },
       //查询省
       queryProvince:function(){
   		//查询数据
       	Fw.util.Ajax.get({
       		socketAdapter:'transferService/queryCity',
       		staticData: false,
            //请求成功后回调
            success: function(data, result) {
//            	App.province(data);
            	province = data.List
             }
           
       		});
       },
	   //根据选择的省查询市
	   queryCity:function(ProvinceCode){
		  //查询市
	      Fw.util.Ajax.get({
       		socketAdapter:'transferService/queryCity',
              params: {
               	ProvinceCode:ProvinceCode
               },
               staticData: false,
               //请求成功后回调
               success: function(data, result) {
            	   city = data.List
               }
	       });
	   },
	   //查询网点
	   queryBranch:function(){
		   $("#pageA").hide();
		   $("#pageB").hide();
		   $("#pageC").show();
		   step="2";
//		   if(Fw.isEmpty(values.PayeeBranchName)){
//			   values.PayeeBranchName = $("#searchbar input").val();
//		   }
		   
		 //查询数据
		   Fw.util.Ajax.get({
			   socketAdapter:'transferService/queryBranch',
               params:values,
               //是否使用数据挡板（默认false）
//               staticData: true,
               staticData: false,
               //请求成功后回调
               success: function(data, result) {
               	App.branch(data);
               }
		   })
	   },
	   branch:function(data){
       	juicer.register("JsonToStr", function(data){
       		return JSON.stringify(data);
       	});
       	if(data.List.length==0){
       		$('#list').html(emptyTpl);
   		}else{
   			//渲染模板
          	var html = Fw.template(tpl, data);
          	//添加到页面
          	$('#list').html(html);
   		}
       },
       //省下拉
       provinceList : function() {
			// 实例化下拉
			provinceList = new Fw.DropDownList({
				// //必须参数：结果集
				result : province,
				// 是否显示账号
				displayNo : false,
				fixedHeight:200,
				// 显示字段
				displayName : 'ProvinceName',
				// 是否显示手动输入
				cursorBtn : false,
			// //可配置参数：设置不可点击参数值，1.默认[0],2.具体值，"不可点击字段“值等于"不可点击参数值"该项不可点击
			});

			// 点击显示组件坚挺---付款账户
			$('#showProvince').on('click', Fw.bind(this.showProvince, this));
			// 监听select点击事件
			provinceList.on('itemClick', Fw.bind(this.provinceClick, this));
		},
		showProvince : function() {
			provinceList.show(province);
		},
		provinceClick : function(data, index) {
			//
			if (index != -1) {
				$("#province").val(data.ProvinceName);
				$("#city").val("");
				var ProvinceCode = data.ProvinceCode;
				//查询市
				App.queryCity(ProvinceCode);
				
			} else {
				
			}
		},
	   //
		cityList:function(){
			// 实例化下拉
			cityList = new Fw.DropDownList({
				// //必须参数：结果集
				result : city,
				// 是否显示账号
				displayNo : false,
				fixedHeight:200,
				// 显示字段
				displayName : 'CityName',
				// 是否显示手动输入
				cursorBtn : false,
			// //可配置参数：设置不可点击参数值，1.默认[0],2.具体值，"不可点击字段“值等于"不可点击参数值"该项不可点击
			});

			// 点击显示组件坚挺---付款账户
			$('#showCity').on('click', Fw.bind(this.showCity, this));
			// 监听select点击事件
			cityList.on('itemClick', Fw.bind(this.cityClick, this));
		},
		showCity : function() {
			if(!Fw.isEmpty( $("#province").val())){
				cityList.show(city);
			}else{
				Fw.Tips.info("请选择省份")
//				break;
			}
		},
		cityClick : function(data, index) {
			//
			if (index != -1) {
				$("#city").val(data.CityName);
				values.CityCode= data.CityCode;
				 values.PayeeBranchName = '';
				App.queryBranch();
			} else {
				
			}
		},
		//获取网点数据
		getBranch:function(data){
			fromValues.PayeeBranchName=data.PayeeBranchName;
			fromValues.PayeeBranchId=data.PayeeBranchId;
		},
		//返回
		prev:function(){
			$("#pageB").hide();
			$("#pageC").hide();
			$("#province").val("");
			$("#city").val("");
			$("#pageA").show();
		},
		getValue: function(){
           return fromValues;
		},
		goBack:function(){
			if(step=="0"){
				return step;
			}else if(step=="1"){
				$("#province").val("");
				$("#city").val("");
				provinceList.hide();
				cityList.hide();
				$("#pageB").hide();
				$("#pageC").hide();
				$("#pageA").show();
				step="0";
				
			}else{
				$("#province").val("");
//				$("#searchbar input").val("");
				searchBar.doCancel();
				values.CityCode="";
				values.PayeeBranchName="";
				$("#city").val("");
				$("#list").html("");
				$("#pageA").hide();
				$("#pageC").hide();
				$("#pageB").show();
				step="1";
			}
		}
    };
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);