/**
 * 创建应用
 */
var App = function() {
	var lookkey,certPs;
	var pk10s,pass;
    var ndn,smdn;
    var ncn ,no,nou,nc;
    var newCn,newC,newOu,newO;
    var pian = 0,userInfo;
    var oldCnup,newCnup;
    //
    return {
        requires : [
            'Fw.Form',
        ],
        viewConfig: {
			title: '证书更新',
            leftButton: {
            	 handler:function(){
 	    			App.back();
 	    		}
            },
            PrightButton:"",
		},
		back: function(){
			var urltemp = Fw.getBasePath() +'/page/pc/login/main.html';
		    Fw.redirect(urltemp);
		},
        init : function(require) {
        	param = Fw.getParameters();
        	this.getInfo();
        	this.initEvents();
            //Fw.LoadMask.hide();
        	var keyDns = param["Dns"];
        	 var keyDns = keyDns.split(",");
			 Fw.each(keyDns,function(v){
	        		if(v.indexOf("CN=") != -1){
	        			ncn = v.replace("CN=","").trimLeft().trimRight();
	        		}
	        		if(v.indexOf("C=") != -1){
	        			nc = v.replace("C=","").trimLeft().trimRight();
	        		}
	        		if(v.indexOf("O=") != -1){
	        			no = v.replace("O=","").trimLeft().trimRight();
	        		}
	        		if(v.indexOf("OU=") != -1){
	        			nou = v.replace("OU=","").trimLeft().trimRight();
	        		}
	        	});
			Fw.each(keyDns,function(v){
        			ndn = v.replace("cn=","CN=").replace("ou=","OU=").replace("ou=","OU=").replace("o=","O=").replace("c=","C=");
        	});
			
        	
        },
        initEvents: function(){
        	$('#nextOne').on('click',Fw.bind(this.updateq, this));
        	$('#idtNaE').on('input', Fw.bind(this.wordLimit, this));
        },
        getInfo: function(){
        	Fw.util.Ajax.get({
        		socketAdapter: 'certificate/mCCertUserInfoQry',
        		params: {
        			CertDN: param.cn,
        			MCBodyChannelId: 1 == GetBrowserProperties("InternalVersion") ? "PIBS":"PMBS",
        		},
                success: function(data, result) {
                	oldCnup = param.cn;
                	var keyobj = App.getKeyStat();
                	if(keyobj == false){
                		return false;
                	}
					
                    var ret = keyobj.HCOMGetKeySerialForKey('0'); 
                    $("#key_seral").html(ret);
                	$("#idtt").html(App.dictionary(data.IdType));
                	$("#idtNo").html(data.IdNo);
                	$("#idtNa").html(data.CifName);
                	userInfo = data;
                	
                },
                failure:function(xhr, textStatus, error){
                	Fw.Msg.info(error, function(code, btn, win){
			              App.back();
                	});
                	return false;
                },
//                timeout:function(){
//             	  console.log("hehe");
//                },
            });
        	
		},
		updateq:function(){
			pass =  $("#pasios").val();
			var nameE = $("#idtNaE").val();
			if(nameE.length==0){
				Fw.Tips.info('请输入姓名拼音');
				 return false;
			}
			if(pass.length==0){
				Fw.Tips.info('请输入U-key密码');
				 return false;
			}
			if(pass.length<6){
				Fw.Tips.info('请输入正确的U-key密码');
				 return false;
			}
			if(pass.length>16){
				Fw.Tips.info('请输入正确的U-key密码');
				 return false;
			}
			try {
				var keyobj = App.getKeyStat();
            	if(keyobj == false){
            		return false;
            	}
                var rkey = keyobj.HCOMVerifyPin(ncn,pass);
                if(rkey!=0){
                	 Fw.Msg.info('请输入正确的U-key密码');
                     return false;
                }
            }
            catch (err) {
            	 Fw.Msg.info('请输入正确的U-key密码');
                return false;
            }
			Fw.Msg.info('更新中请勿拔出U-key，耐心等待1-3分钟至证书成功安装,提前拔出U-key会导致U-key更新失败!', function(code, btn, win){
	              if(code == 'ok'){
	              		App.update();
	              }
	  		});
		},
		update: function(){
			Fw.util.Ajax.get({
        		socketAdapter: 'certificate/mCApplyCertForOriginal',
        		params: {
        			UserName: userInfo.CifName,
        			EngName: $("#idtNaE").val(),
        			UserIdNo : userInfo.IdNo,
        			IdTypeCode :userInfo.IdType
               },
               success: function(data, result) {
            	   lookkey = data;
                   App.getp10();
               },
               failure:function(){
            	   Fw.Msg.info('证书更新失败,请重新插入U-key后重试或至营业网点更换U-key.', function(code, btn, win){
			              App.back();
            	   });
            	   return false;
               },
               timeout:function(){
            	   Fw.Msg.info('超时', function(code, btn, win){
			              App.back();
         	   });
         	   return false;
               },

               
            });
		},
        dictionary: function(v){
			var dict={
				"P00": "公民身份证",
				"P07": "户口簿",
				"3": "工作证",
				"P01": "军官证",
				"P04": "士兵证",
				"P03": "警官证",
				"C": "（港、澳）回乡证、通行证",
				"D": "（台）通行证、其他有效旅行证件",
				"E": "（外国）护照、主管部门的批文或证明、港澳居民来往内地通行证",
				"P13": "台湾居民来往内地通行证",
				"M": "中华人民共和国旅行证",
				"N": "中华人民共和国护照",
			}
			return Fw.isEmpty(dict[v]) ? v:dict[v];
		},
		getKeyStat:function(){
			 var keyobj = undefined;
				var keyFlag =0;
				
				
				try {
					var haitai = $("#haitai")[0];
					var feitian = $("#feitian")[0];//document.getElementById('feitian');

		            var haistats = haitai.GetUsbkeyState();
					var feistats = feitian.GetUsbkeyState();
					var result = 0;
					if((feistats==4)||(haistats==4)){
						result = 4;
					}else if((feistats==3)&&(haistats==3)){
						result = 4;
					}else if(feistats==3){
						keyobj = feitian;
						result = 3;
						pian = 1;
					}else if(haistats==3){
						keyobj = haitai;
						result = 3;
					}else if((feistats==2)||(haistats==2)){
						result = 2;
					}	
					keyFlag = result;
		            }catch (err) {
		            	keyFlag = 0;
		               
		            }
				
				
				
				
				if(keyFlag<2){
					var msg = "";
					switch(keyFlag){
					case 1:msg="未检测到U-key驱动程序,请重装应用尝试解决该问题!";break;
					case 0:msg="未检测到U-key控件,请重装应用尝试解决该问题!";break;
					default:msg="应用异常,请重装应用尝试解决该问题!"
					}
					Fw.Msg.info(msg, function(){});
				}else{
					
					if(keyFlag==2){
						Fw.Msg.info('请插入U-KEY', function(){
	                           
						});
						return false;
	            	}else if(keyFlag==4){
	            		Fw.Msg.info('请拔出多余的U-KEY', function(){
	                           
						});
						return false;
	            	}
				}
				return keyobj;
		},
		getp10:function(){
				
			  try 
			   { 
				  var keyobj = App.getKeyStat();
              	if(keyobj == false){
              		return false;
              	}
              	 var keyDns = lookkey.Dn;
              
              	keyDns = keyDns.replace("cn=","CN=").replace("ou=","OU=").replace("ou=","OU=").replace("o=","O=").replace("c=","C=");
              	keyDns = keyDns.split(",");
    			 Fw.each(keyDns,function(v){
    	        		if(v.indexOf("CN=") != -1){
    	        			newCnup = v;
    	        			newCn = v.replace("CN=","").trimLeft().trimRight();
    	        		}
    	        		if(v.indexOf("C=") != -1){
    	        			newC = v.replace("C=","").trimLeft().trimRight();
    	        		}
    	        		if(v.indexOf("O=") != -1){
    	        			newO = v.replace("O=","").trimLeft().trimRight();
    	        		}
    	        		if(v.indexOf("OU=") != -1){
    	        			newOu = v.replace("OU=","").trimLeft().trimRight();
    	        		}
    	        	});
					//var ret = keyobj.GenPkcs10Req(rsa_dn_cn,rsa_dn_o,rsa_dn_c,rsa_dn_ou,
					//								sm2_dn_cn,sm2_dn_o,sm2_dn_c,sm2_dn_ou,
					//								1024/2048, "key_password");
					
				 // var ret = keyobj.GenPkcs10Req(ncn,no,nc,nou,smcn,smo,smc,smou, 2048, pass);
				  var ret = keyobj.GetPKCS10_Original(newCn,newO,newC,newOu,pass);
					if(ret.length<20){
						Fw.Msg.info('证书更新失败,请重新插入U-key后重试或至营业网点更换U-key.', function(code, btn, win){
				              App.back();
				  		});
					}
					if(ret.indexOf("{") == 0){
						pk10s = Fw.decode(ret.replace(/\n/g,""));
					}else{
						pk10s = Fw.decode("{"+ret+"}");
					}
					
					App.getCert();
		       }catch (err){
					Fw.Msg.info('证书更新失败,请重新插入U-key后重试或至营业网点更换U-key.', function(code, btn, win){
			              App.back();
			  		});
				}
			
		},
		getCert: function(){
			
				Fw.util.Ajax.get({
	        		socketAdapter: 'certificate/mCCertSignForOriginal',
	        		params: {
	        			RefNo:lookkey.RefNo,
	        			AuthCode:lookkey.AuthCode,
	        			Dn:lookkey.Dn.replace("cn=","CN=").replace("ou=","OU=").replace("ou=","OU=").replace("o=","O=").replace("c=","C="),
	        			Pkcs10:pk10s.Original_PKCS10,
	               },
	                success: function(data, result) {
	                	certPs = data;
	                	App.write();
	                },
	                failure:function(){
	                	Fw.Msg.info('证书更新失败,请重试或至营业网点更换U-key.', function(code, btn, win){
				              App.back();
				  		});
	                	return false;
	                },
	            });
		},
		write:function(){
                	
                
                	  try 
                	   { 
                		  var keyobj = App.getKeyStat();
                        	if(keyobj == false){
                        		return false;
                        	}
                        	 var ImportCertValue = keyobj.KeyUpgrade_Original("",certPs.SignCert, "", "");
                        		 //keyobj.UpdateCert(pass,certPs.EncCert,certPs.SignCert,certPs.EncPriKey,certPs.RSASignCert,certPs.TEMPUKEK);

                			
                			if(ImportCertValue===0){//((pian-ImportCertValue)==0){
                				
                			var EndDate = App.getFullDate(0,0,1095);
                			
                				Fw.util.Ajax.get({
                	        		socketAdapter: 'certificate/mCCertBandForOriginal',
                	        		params: {
                	        			OldCertCn:oldCnup,
                	        			NewCertCn:newCnup,
                	        			ExpireDate:EndDate
                	        		},
                	                success: function(data, result) {
                	                	Fw.Msg.info('证书更新成功.请重新插入U-key.', function(code, btn, win){
	                      		              App.back();
	                      		  		});
                	                },
                	                failure:function(){
                	                	Fw.Msg.info('证书更新失败,请至营业网点更换U-key.', function(code, btn, win){
                				              App.back();
                				  		});
                	                	return false;
                	                },
                	            });
                				
                			}else{
                				Fw.Msg.info('证书更新失败,请重试或至营业网点更换U-key.', function(code, btn, win){
          			              App.back();
          			  			});
                			}
                       }catch (err){
                    	   Fw.Msg.info('证书更新失败,请重试或至营业网点更换U-key.', function(code, btn, win){
                    		   App.back();
                    	   });
                       }
                	
               
           
			
		},
		getFullDate : function(yc, mc, dc) {
			var temp = Fw.getDate();
			var y = temp.getFullYear();
			var m = temp.getMonth();
			var d = temp.getDate();
			if (yc != undefined) {
				y += yc;
			}
			if (mc != undefined) {
				m += mc;
			}
			if (dc != undefined) {
				d += dc;
			}
			temp = new Date(y, m, d);
			y = temp.getFullYear();
			m = temp.getMonth() + 1;
			d = temp.getDate();
			y += "";
			m += "";
			d += "";
			if (m.length == 1) {
				m = "0" + m;
			}
			if (d.length == 1) {
				d = "0" + d;
			}
			return y + "" + m + "" + d;
		},
		 wordLimit: function(e){
	        	var $that = $(e.currentTarget);
	        	var t_val=$that.val();
	        	var Reg =/^[a-z]*$/;
	        	if(Reg.test(t_val)){
	        		return true;
	        	}else{
	        		$that.val(t_val.replace(/[^a-z]/g,""));
	        	}
	        },
    };
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
