/**
 * 创建应用
 */
var App = function() {
    var echarts,listView;
    var dropDownList;//下拉对象
    var dict_menu2={},menu2;
    var shenmeTemp;
    var url2 = '/page/phone/accountBook/Note/main.html';
    return {
        requires: [
            'Fw.ListView',
            'Fw.Calendar',
        ],
        viewConfig: {
            title: '我的记账簿',
            leftButton: {
	            handler:function(){
	    			App.back();
	    		}
            },
            loadMask:true,
    	},
	    back: function(){
	    	Fw.gotoIndex();
	    },
        init : function(require) {
        	params = Fw.getParameters();
        	this.initEvents();
        	echarts = require('echarts/echarts');
        	require.async(['echarts/chart/bar']);
         	juicer.register('BookTimeListTran',App.BookTimeListTran);
         	juicer.register('BookTypeListTran',App.BookTypeListTran);
         	this.initDictMenu2(); 
           
        },
        initEvents: function(){
        	$('#month_show').on('click', Fw.bind(this.doMonthClick, this));
        	$('#month_val').on('change', Fw.bind(this.doMonthChange, this));
        	$('#month_left').on('click', Fw.bind(this.doMonthClickChange, this));
        	$('#month_right').on('click', Fw.bind(this.doMonthClickChange, this));
        	$('#writeNote').on('click', Fw.bind(this.jumpToWrite, this));
        	$('#NoticeDiv').on('click', Fw.bind(this.jumpToNotice, this));
        	$('#echart_in').on('click', Fw.bind(this.echart_in, this));
        	$('#echart_out').on('click', Fw.bind(this.echart_out, this));
        },
        doMonthClick: function(){
        	$('#month_val').trigger("tap");
        },
        jumpToNotice: function(){
        	var url = Fw.getBasePath() +'/page/phone/accountBook/Notice/main.html';
        	Fw.redirect(url);
        },
        jumpToWrite: function(){
        	var url = Fw.getBasePath() +'/page/pub/accountBook/Note/writeNote/main.html';
        	var temp = {"aimUrl":url2};
        	Fw.redirect(url,{'menu2':menu2,'pageParam':temp});
        },
        doMonthClickChange: function(e){
        	var El = $(e.currentTarget);
        	var val = new Number(El.attr("data-temp"));
        	var month_val = $('#month_val').val().replace("-","");
        	var new_temp =new Date(month_val.substring(0,4),new Number(month_val.substring(4,6))-1+val,1);
        	var y =''+new_temp.getFullYear();
        	var m =''+(new_temp.getMonth()+1);
        	if(m.length==1){
        		 m='0'+m;
        	}
        	$('#month_val').val(y+"-"+m).trigger("change");
        },
        doMonthChange:function(){
        	var temp =$('#month_val').val().replace("-","");
        	$('#month_show').html(temp.substring(0,4)+"年"+temp.substring(4,6)+"月");
        	listView.loadData();
        },
        echart_out:function(){
        	App. refreshEcharts(shenmeTemp);
        },
        echart_in:function(){
        	App. refreshEcharts(shenmeTemp,1);
        },
        refreshEcharts: function(data,type){
        	var dayList=[];
        	var dayInList=[];
        	var dayOutList=[];
        	var dayNoList=[];
	       	var month_val = $('#month_val').val().replace("-","");
	       	var month_date=month_val.substring(0,4)+"-"+month_val.substring(4,6)+"-01";
	       	var dayLong = new Date(month_date.split('-')[0],month_date.split('-')[1],0).getDate();
	       	for(var i = 0;i<dayLong;i++){
	       		 dayList[i]=i+1;
	       		 dayInList[i]=0;
	       		 dayOutList[i]=0;
	       		dayNoList[i]=0;
	       	}
	       	Fw.each(data.result.List,function(v){
	       		var date = new Number((v.BookTime).substring(6,8))-1;
	       		 if(v.BookType==1){
	       			dayInList[date] += new Number(v.Amount);
	       		 }else{
	       			dayOutList[date] += new Number(v.Amount);
	       		 }
	       	});
	    	if(Fw.isEmpty(type)){
	       		dayInList=dayNoList;
	       		$("#monthIn_point").html("○");
	       		$("#monthOut_point").html("●");
	       	}else{
	       		dayOutList=dayNoList;
	       		$("#monthIn_point").html("●");
	       		$("#monthOut_point").html("○");
	       	}
	       	 var options = {
	       			padding : 0,
	       			calculable : false,
	       			color:['#FF8254','#9BC63D'],
	       			grid:{
	    			    	x : 0,
	    			    	y : 15,
	    			    	x2: 0,
	    			    	y2: 20,
	    			    	borderWidth:0
	       			},
	       			xAxis : [
	       			         	{
	       			         		type : 'category',
	       			         		data : dayList,
	       			         		splitLine:{
	       			         					show:false
	       			         					},
	       			         		axisTick:{
	       			         					show:false
	       			         		},
	       			         		axisLine:{
	       			         					show:true,
	       			         					lineStyle:{
	       			         								color:'#d6d6d6',
	       			         								width:1
	       			         					}
	       			         		},
		       			         	axisLabel:{
		       			         		erval:4,
			       			         	textStyle:{
						       			         	color: '#c0c0c0',
						       			         	fontSize : '9'
			       			         	}
		       			         	}
	    			        }
	    			    ],
	    			    yAxis : [
	    			        {
	    			            type : 'value',
	    			            show : false,
	    			        }
	    			    ],
	    			    series : [
	    			        {
	    			        	name:'收入',
	    			            type:'bar',
	    			            data:dayInList,
	    			            stack: 'money',
	    			            barWidth:3,
	    			            barGap:'90%'
	    			        },
	    			        {
	    			            name:'支出',
	    			            type:'bar',
	    			            data:dayOutList,
	    			            stack: 'money',
	    			            itemStyle: {
	    			                normal: {
	    			                    barBorderRadius:0,
	    			                }
	    			            },
	    			        },
	    			    ]
	       	 };
	         echarts.init('bar').setOption(
	               		 options	 
	         );
	         Fw.LoadMask.hide();
        },
        initNoteList: function(){
        	listView = new Fw.ListView({
                contentEl : 'listNote',
                ajax : {
                	socketAdapter: 'accountBookService/mCAcBookMgmtQry',
                    rootProperty: 'result.List',
                    page:false
                },
                groupField: function(v){
                     return v.BookTime.substring(0,8);
                },
                groupHeaderTpl: [
	                '<div class="bookNote_list_div_group  ui-border-t">',
	                    '${item.BookTime|BookTimeListTran}',
	                '</div>'  
                ],
                itemTpl: [
                    '<div class="bookNote_list_div_li my-border-b">',
						'<div class="div2" style = "overflow: hidden;">',
							'${item.BookMenu|BookTypeListTran,item.Remark}',
						'</div>',
                    	'{@if (new Number(item.BookType) == 0)}',
							'<div class="div_listRight color-83AF22">-${item.Amount|fmtAmt,2,false,""}元</div>',
						'{@else}',
							'<div class="div_listRight color-EF7134">+${item.Amount|fmtAmt,2,false,""}元</div>',
						'{@/if}',
                    '</div>'
                ]
            });
        	listView.ajax.on('query', App.onQuery, this);
        	listView.on('itemclick', this.listItemClick, this);
        	listView.ajax.on('beforequery', this.onBeforeQuery, this);
        	
        },
        onBeforeQuery : function(ajax, message, url) {
        	$('#listNote-loadmores').remove();
             ajax.setParams( {'CurrentDate': $('#month_val').val().replace("-","")});
        },
        listItemClick:function(record, index, item, e, cmp) {
            var url = Fw.getBasePath() +'/page/pub/accountBook/Note/writeNote/main.html';
            record["aimUrl"]=url2;
        	Fw.redirect(url,{'pageParam':record,'menu2':menu2});
        },
        onQuery: function(ajax, data, result) {
        	var monthIn=new Number(0);
        	var monthOut=new Number(0);
        	if(data.length==0){
        		var html='<div id="listNote-loadmores" class="x-loadmore ui-loading-wrap ui-border-t"><p id="listNotice-loadmore-text" class="x-loadmore-text">未查询到相关记录</p></div>';
        		$('#listNote').append(html);
        	}
        	Fw.each(data,function(v){
        		if(v.BookType==0){
        			monthOut += new Number(v.Amount);
        		}else{
        			monthIn += new Number(v.Amount);
        		}
        	});
        	
        		$('#monthIn').html(App.fmtAmt(monthIn));
        		$('#monthOut').html(App.fmtAmt(monthOut));
        		shenmeTemp=result;
        	App.refreshEcharts(result);
        },
        fmtAmt:function(v){
        	v=""+v;
        	v =Fw.util.Format.fmtAmt(v,2);
        	v =Fw.util.Format.unFmtAmt(v);
        	v=""+v;
        	if(v.length>13){
        		v=v.substring(0,v.length-11);
        		return Fw.util.Format.fmtAmt(v,0)+"亿";
        	}
        	if(v.length>9){
        		v=v.substring(0,v.length-7);
        		return Fw.util.Format.fmtAmt(v,0)+"万";
        	}
        	return Fw.util.Format.fmtAmt(v);
        	
        },
        initDictMenu2: function(){
        	Fw.util.Ajax.get({
        		socketAdapter: 'accountBookService/mCAcBookMenuQry',
                params: {
                	QryFlag:'',
                	PmenuId:'',
                },
                success: function(data, result) {
                	menu2=data.List;
                	Fw.each(data.List,function(v){
                		dict_menu2[v.MenuId]=v.MenuName;
                	});
                	var y =''+Fw.getDate().getFullYear();
                	var m =''+(Fw.getDate().getMonth()+1);
                	if(m.length==1){
                		m='0'+m;
                	}
                	App.initNoteList();
                	$('#month_val').val(y+'-'+m).trigger("change");
                	
                },
            });
        },
        BookTimeListTran: function(v){
        	var temp = new Date(v.substring(0,4)+'-'+v.substring(4,6)+'-'+v.substring(6,8));
        	var result=temp.getDate()+"日/周";
        	switch(temp.getDay()){
	        	case 1: result+="一";break;
	        	case 2: result+="二";break;
	        	case 3: result+="三";break;
	        	case 4: result+="四";break;
	        	case 5: result+="五";break;
	        	case 6: result+="六";break;
	        	case 0: result+="日";break;
        	}
        	return result;
        },
        BookTypeListTran: function(v,remark){
        	if((v=="0801")||(v=="1101")){
        		if(remark.trim()!=""){
        			return remark;
        		}else{
        			return "其他";
        		}
        	}
        	return dict_menu2[v];
        }
    };
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
