/**
 * 创建应用
 */
var App = function() {
    var echarts,listView;
    var dropDownList;//下拉对象
    var calendar_div=$("#calendar_div");
	var calendarDom;
	var remindList_data={};
	var signList=[];
	var ResultList=[];
	var url2 = '/page/phone/accountBook/Notice/main.html';
    //
    return {
        requires: [
            'Fw.ListView',
            'Fw.Calendar',
        ],
        viewConfig: {
            title: '预约提醒',
            leftButton: {
	            handler:function(){
	    			App.back();
	    		}
            },
            loadMask:true,
    	},
	    back: function(){
				Fw.gotoIndex();
	    },
        init : function(require) {
        	 
        	this.refreshCalender();	 
        	this.initEvents();
        	juicer.register('RemindTransTypeTrans',App.RemindTransTypeTrans);
        	juicer.register('RemindTimeTrans',App.RemindTimeTrans);
        	var y =''+Fw.getDate().getFullYear();
        	var m =''+(Fw.getDate().getMonth()+1);
        	if(m.length==1){
          	   m='0'+m;
        	}
        	App.initNoticeList();
        	$('#month_val').val(y+'-'+m).trigger("change");
        	
        },
        initEvents: function(){
        	$('#month_show').on('click', Fw.bind(this.doMonthClick, this));
        	$('#month_val').on('change', Fw.bind(this.doMonthChange, this));
        	$('#month_left').on('click', Fw.bind(this.doMonthClickChange, this));
        	$('#month_right').on('click', Fw.bind(this.doMonthClickChange, this));
        	$('#writeNotice').on('click', Fw.bind(this.jumpToWrite, this));
        	$('#NoteDiv').on('click', Fw.bind(this.jumpToNote, this));
        },
        doMonthClick: function(){
        	$('#month_val').trigger("tap");
        },
        jumpToNote: function(){
        	var url = Fw.getBasePath() +'/page/phone/accountBook/Note/main.html';
        	Fw.redirect(url);
        },
        jumpToWrite: function(){
//        	 Fw.Msg.cfm($('#listNotice').html(), function(code, btn, win){
//        		 App.back();
//             });
        	var url = Fw.getBasePath() +'/page/pub/accountBook/Notice/writeNotice/main.html';
        	var temp = {"aimUrl":url2};
        	Fw.redirect(url,{'pageParam':temp});
        },
        doMonthClickChange: function(e){
        	var El = $(e.currentTarget);
        	var val = new Number(El.attr("data-temp"));
        	var month_val = $('#month_val').val().replace("-","");
        	var new_temp =new Date(month_val.substring(0,4),new Number(month_val.substring(4,6))-1+val,1);
        	var y =''+new_temp.getFullYear();
        	var m =''+(new_temp.getMonth()+1);
        	if(m.length==1){
        		 m='0'+m;
        	}
        	$('#month_val').val(y+"-"+m).trigger("change");
        },
        doMonthChange:function(){
        	var temp =$('#month_val').val().replace("-","");
        	$('#month_show').html(temp.substring(0,4)+"年"+temp.substring(4,6)+"月");
        	listView.loadData();
        },
        initNoticeList:function(){
        	listView = new Fw.ListView({
                contentEl : 'listNotice',
                ajax : {
                	socketAdapter: 'accountBookService/mCRemMsgQry',
                    rootProperty: 'result.List',
                    page:false
                },
                disclosure: true,
                itemTpl: [
                    '<div class="bookNotice_list_div_li my-border-b">',
	                    '<div class="div_listLeft" ></div>',
	                    '<div style="margin-left:30px;border-bottom: 1px solid #e0e0e0;" class="" >',
						'<div class="div2">',
							'${item.RemindTime|RemindTimeTrans}',
						'</div>',
							'<div class="div_listRight">${item.TransType|RemindTransTypeTrans}</div>',
							'</div>',
                    '</div>'
                ]
            });
        	listView.ajax.on('query', App.onQuery, this);
        	listView.on('itemclick', this.listItemClick, this);
        	listView.ajax.on('beforequery', this.onBeforeQuery, this);
        	
        },
        onBeforeQuery : function(ajax, message, url) {
        	$('#listNotice-loadmores').remove();
            ajax.setParams( { QryDate:$('#month_val').val().replace("-","")});
        },
        listItemClick:function(record, index, item, e, cmp) {
            var url = Fw.getBasePath() +'/page/pub/accountBook/Notice/writeNotice/main.html';
            record["aimUrl"]=url2;
        	Fw.redirect(url,{'pageParam':record});
        },
        onQuery: function(ajax, data, result) {
        	signList=[];
        	var temp =$('#month_val').val().replace("-","")
			var y = temp.substring(0,4);
			var m = new Number(temp.substring(4,6));
			var temp_long=new Date(y,m,0).getDate();
			ResultList=result.result.List;
			if(ResultList.length==0){
        		var html='<div id="listNotice-loadmores" class="x-loadmore ui-loading-wrap ui-border-t"><p id="listNotice-loadmore-text" class="x-loadmore-text">未查询到相关记录</p></div>';
        		$('#listNotice').append(html);
        	}
        	Fw.each(ResultList,function(v){
        		var temdd =v.CreateTime.substring(0,10).split("-");
        		var createDate = new Date(new Number(temdd[0])+"-"+new Number(temdd[1])+"-"+new Number(temdd[2]));

        		if(v.FreqMenu1==0){
        			console.log(v.FreqMenu2.substring(6,8));
        			signList.push(new Number(v.FreqMenu2.substring(6,8)));
        		}else if(v.FreqMenu1==1){
        			for(var i =1;i<=temp_long;i++){
        				var tempDate = new Date(y+'-'+m+'-'+i);
        				if(!(tempDate<createDate)){
	        				if(new Number(v.FreqMenu2)==(tempDate.getDay())){
	        					signList.push(i);
	        				}
        				}
        			}
        		}else if(v.FreqMenu1==2){
        			var tempday =v.FreqMenu2;
        			tempday=""+tempday;
        			if(tempday.length==1){
        				tempday="0"+tempday;
        			}
        			var tempDate = new Date(y+'-'+m+'-'+tempday);
        			if(!(tempDate<createDate)){
        				signList.push(new Number(v.FreqMenu2));
        			}
        		}
        	})
        	m=""+m;
        	if(m.length==1){
       		 	m='0'+m;
        	}
        	var tempdate = ""+y+'-'+m+'-01';
        	Fw.LoadMask.hide();
        	App.refreshCalender(tempdate,signList);
        },
        refreshCalender: function(dateN,list){
    		calendarDom = calendar_div.find("#div_calendarContent");
    		calendarDom.empty();
    		var today,d; 
    		if(!Fw.isEmpty(dateN)){
    			dateN=new Date(dateN);
    			today=new Date(dateN);
    			if(Fw.getDate().getFullYear()==dateN.getFullYear()){
    				if(Fw.getDate().getMonth()==dateN.getMonth()){
    					d = Fw.getDate().getDate();
    				}
    			}
    		}else{
    			today = Fw.getDate();
    			d = today.getDate();
    		}
    		var 
    	    y = today.getFullYear(), 
    	    m = today.getMonth()+1, 
    	    monthLong =  new Date(y, m, 0).getDate(),
    	    firstday = new Date(y, m-1, 1), 
    	    dayOfWeek = firstday.getDay(), 
    	    str_nums = Math.ceil((dayOfWeek + monthLong) / 7); 
    		calendar_div.find(".div2 .span_date").html(""+y+"年"+m+"月");
    		$("#calendarDate").val(y+"-"+m);
    		var html="";
    		html +="<table class='table_calendar' cellspacing='0'>";
    		html +="<tr><th>日</th><th>一</th><th>二</th><th>三</th><th>四</th><th>五</th><th>六</th></tr>"; 
    		for (var i = 0; i < str_nums; i++) { 
    			html +='<tr>';
        	    for (var k = 0; k < 7; k++) {
	        	    var idx = 7 * i + k; 
	        	    var date = idx - dayOfWeek + 1; 
	        	    (date <= 0 || date > monthLong) ? date = '&nbsp;': date = idx - dayOfWeek + 1; 
	        	    date == d ? html +='<td class="today"><div data="'+date+'" class="calendarDay day-'+date+' todaydiv">' + date + '</div></td>' : html +='<td><div  data="'+date+'"  class="calendarDay day-'+date+'">' + date + '</div></td>'; //高亮显示当天
        	    }
        	    html +='</tr>';
    		}
    		html +='</table>';
    		calendarDom.empty();
    		calendarDom.append(html);
    		$(".calendarDay").on('click', Fw.bind(this.calendarClick, this));
    		App.signDate(list);
    },
    calendarClick:function(e){
    	var that = $(e.currentTarget);
    	
    	var day = that.attr("data");
    	if(!(0<day)){
    		return;
    	};
    	$(".table_calendar .clicked").removeClass("clicked");
    	
    	that.addClass("clicked");
    	for (var i = 0;i<ResultList.length;i++){
    		var v = ResultList[i];
    		$("#listNotice li").eq(i).hide();
    		if(v.FreqMenu1==0){
    			
    			if((''+new Number(day))==(''+new Number(v.FreqMenu2.substring(6,8)))){
    				$("#listNotice li").eq(i).show();
    			}
    			
    		}else if(v.FreqMenu1==1){
    				if(new Number(v.FreqMenu2)==(new Date($('#month_val').val().substring(0,4)+'-'+$('#month_val').val().substring(5,7)+'-'+day).getDay())){
    					var temlis = v.CreateTime.substring(0,10).split("-");
    					if(!(new Date(new Number(temlis[0])+"-"+new Number(temlis[1])+"-"+new Number(temlis[2]))>new Date($('#month_val').val().substring(0,4)+'-'+$('#month_val').val().substring(5,7)+'-'+day))){
    						$("#listNotice li").eq(i).show();
    					}
    				}
    			
    		}else if(v.FreqMenu1==2){
    			if((''+new Number(day))==(''+new Number(v.FreqMenu2))){
    				var temlis = v.CreateTime.substring(0,10).split("-");
					if(!(new Date(new Number(temlis[0])+"-"+new Number(temlis[1])+"-"+new Number(temlis[2]))>new Date($('#month_val').val().substring(0,4)+'-'+$('#month_val').val().substring(5,7)+'-'+day))){
						$("#listNotice li").eq(i).show();
					}
    			}
    		}
    	}
    	
    },
    //日历插件
    signDate: function(list){
    	if(list){
	    	Fw.each(list,function(v){
	    		calendarDom.find("div.day-"+v).addClass("singdiv");
	    	});
    	}
    },
    RemindTransTypeTrans: function(v){
    	var dict={
    		"0":"贷款到期",	
    		"1":"理财到期",
    		"2":"缴费",
    		"3":"信用卡还款",
    		"4":"预约转账",
    		"5":"其他"
    	};
    	return dict[v];
    },
    RemindTimeTrans: function(v){
    	var dict={
        		"0":"08:00-11:30",	
        		"1":"11:30-14:30",
        		"2":"14:30-18:30",
        		"3":"18:30-08:00"
        	};
        	return dict[v];
    },
    };
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
