/**
 * 创建应用
 */
var App = function() {
    var pageFlag="0";
    var cloudcardTpl="";
    //XXX 本机测试数据
    var benList = [ {
		"OpenAcctBranchName" : "福建农商行",
		"EntityCardNo" : "6228480661464946016",
		"CloudCardNo" : "6228480661464942145",
		"CloudCardLastFour" : "2145",
		"CloudCardStatus" : "1",
		"AcctState" : "0",
		"cardType" : "PSDC",
		"Flag" : "1"
	}, {
		"OpenAcctBranchName" : "福建农商行",
		"EntityCardNo" : "6228480661464946017",
		"CloudCardNo" : "6228480661464942146",
		"CloudCardLastFour" : "2145",
		"CloudCardStatus" : "1",
		"AcctState" : "0",
		"cardType" : "PCRC",
		"Flag" : "0"
	}, {
		"OpenAcctBranchName" : "福建农商行",
		"EntityCardNo" : "6228480644464946016",
		"CloudCardNo" : "6228480661464942147",
		"CloudCardLastFour" : "6224480661464942147",
		"CloudCardStatus" : "0",
		"AcctState" : "0",
		"cardType" : "PSDC",
		"Flag" : "0"
	}, ]
    //
    return {
        /**
         * 依赖组件
         */
        requires: ['Fw.app.Session'
        ],
        /**
         * 视图设置
         * 设置标题栏、按钮等
         * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
         */
        viewConfig: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: '交易信息',
            /**
             * 左边按钮（默认显示）
             * 如果为false，则左边按钮不显示
             * leftButton: '左边按钮'
             */
            leftButton: {
                //自定义按钮标题（默认'返回'）
                //text: '左边按钮',
                //自定义按钮点击事件（默认App.leftButtonHandler）
                //handler: XXX
            },
            /**
             * 是否自动显示等待层（默认true）
             * 需手动隐藏等待层
             */
            //loadMask: false
        },
        /**
         * 初始化
         * 应用入口
         */
        init : function(require) {
        	cloudcardTpl = require("./other/tpl_cardList").join('');
        	this.initJuicer();
            //初始化事件
            this.initEvents();
            //手动隐藏等待层
            Fw.LoadMask.hide();
        },
        /**
         * 初始化事件
         */
        initEvents: function(){
            this.getCloudList();
        },
        //取客户端获得的POS机交易信息
        getPosInfo:function(){
        	//页面回显交易金额信息
        },
        //从安卓客户端获取本级云闪付卡列表
        getCloudList:function(){
        	//页面回显默认支付卡卡面信息
        	
        	Fw.each(benList,function(item){
        		//XXX 如果是默认支付卡
        		if(Fw.isEqual(item.Flag, "1")){
        			var html = Fw.template(cloudcardTpl, {
        				'List' : [item]
        			});
                	Fw.Logger.debug(html);
        			$("#cloudCard").html(html);
        			$("#pageB").show();
        		}
        	});
        },
        initJuicer : function() {
			juicer.register("fmtAccLastThree", function(EntityCardNo) {
				return "****　****　****　" + EntityCardNo.substring(EntityCardNo.length - 3);
			});
			juicer.register("JsonToStr", function(data) {
				return JSON.stringify(data);
			});
			juicer.register("fmtAcctNofour", function(acc) {
				if (Fw.isEmpty(acc)) {
					return '';
				}
				acc = String(acc).trim(true);
				var tmpStr = '';
				while (acc.length > 4) {
					tmpStr = tmpStr + acc.substring(0, 4);
					tmpStr = tmpStr + '　';
					acc = acc.substring(4, acc.length);
				}
				return tmpStr + acc;
			})
		},
        /**
         * 左边按钮点击事件
         */
//        leftButtonHandler: function(){
//        }
    };
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
