/**
 * 创建应用
 */
var App = function() {
    var pageFlag="0";
    //
    return {
        /**
         * 依赖组件
         */
        requires: [
        ],
        /**
         * 视图设置
         * 设置标题栏、按钮等
         * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
         */
        viewConfig: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: '云闪付卡注销',
            /**
             * 左边按钮（默认显示）
             * 如果为false，则左边按钮不显示
             * leftButton: '左边按钮'
             */
            leftButton: {
                //自定义按钮标题（默认'返回'）
                //text: '左边按钮',
                //自定义按钮点击事件（默认App.leftButtonHandler）
                //handler: XXX
            },
            /**
             * 是否自动显示等待层（默认true）
             * 需手动隐藏等待层
             */
            //loadMask: false
        },
        /**
         * 初始化
         * 应用入口
         */
        init : function(require) {
            
            //初始化事件
            this.initEvents();
            //手动隐藏等待层
            Fw.LoadMask.hide();
        },
        /**
         * 初始化事件
         */
        initEvents: function(){
            //选项卡切换后触发
            $("#back").on("click",Fw.bind(this.onButtonClick,this));//添加显示申请
        },
        /**
         * 点击按钮时触发（保存、重置、重发验证码）
         */
        onButtonClick: function(e){
        	Fw.redirect("index.html");
        },
        /**
         * 左边按钮点击事件
         */
        leftButtonHandler: function(){
        	Fw.redirect("index.html");
        }
    };
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
