/**
 * 创建应用
 */
var App = function() {
	var tab;
	var dropDownList;
	var pageFlag = "0";
	var tabFlag = "";
	var form;
	var paramSub;
	//
	return {
		/**
		 * 依赖组件
		 */
		requires : [ 'Fw.Tab', "Fw.DropDownList",// 底部划出下来组件
		'Fw.Keyboard', 'Fw.Form',// 表单验证组件
		'Fw.PayControls',// 支付控件组件
		'Fw.app.Session',
		/* 'Fw.Keyboard' */],
		viewConfig : {
			title : '云闪付卡申请',
			leftButton : {},
			loadMask : false
		},
		/**
		 * 初始化 应用入口
		 */
		init : function(require) {
			// 定义选项卡
			tab = new Fw.Tab({
				// 选项卡EL
				contentEl : 'tab',
				// 默认选项卡（默认0）
				activeTab : 0,
				// 是否锁定tab标题
				fixed : false,
				// 是否禁用切换tab
				// enabled: true,
				// 是否重新初始化加载
				reload : false
			});
			// 初始化事件
			this.initEvents();
			// 手动隐藏等待层
			dropDownList = new Fw.DropDownList({
				// 必须参数：结果集
				result : [],
				// fixedHeight : false,
				displayNo : "false",
				// lastSubNo : 4,
				displayName : 'option',
				reload : true,
				cursorBtn : false,
			});
			dropDownList.on('itemClick', Fw.bind(this.dropitemClick, this));// 对下拉列表监听
			$("#select1").on('click', Fw.bind(this.clickDrop, this));
			$("#select2").on('click', Fw.bind(this.clickDrop, this));
			$("#PDSC_btn").on('click', Fw.bind(this.checkAccStatus, this));
		},
		/**
		 * 初始化事件
		 */
		initEvents : function() {
			// 选项卡切换后触发
			tab.on('tabchange', this.onTabChange);
			this.testForm2();// 初始化信用卡表单
		},
		/**
		 * 选项卡切换后触发
		 */
		onTabChange : function(tab, index) {
			if (index == 0 && (!Fw.isEqual(tabFlag, "0"))) {
				tabFlag = "0";
				App.queryAccountlist('0');
			} else if (index == 1 && (!Fw.isEqual(tabFlag, "1"))) {
				tabFlag = "1";
				form.reset();
				App.queryAccountlist('1');
			}
		},
		dropitemClick : function(data, index) {
			App.subData = data;
			if (tabFlag == "0") {
				$("#select1").html('<div id="bankName" class="">' + data.option + '</div>');
				// + '<div id="AcNo" class="ui-bankName-acctni">' +
				// Fw.util.Format.fmtBankAcType(data.BankAcType) + ' '
				// + Fw.util.Format.fmtAcctNoEnd(data.No) + '</div>');
			} else {
				$("#select2").html('<div id="cardName" class="">' + data.option + '</div>');
				// + '<div id="cardno" class="ui-bankName-acctni">信用卡 ' +
				// Fw.util.Format.fmtAcctNoEnd(data.No)
				// + '</div>');
			}
		},
		clickDrop : function() {
			dropDownList.show(App.cardl);
		},
		/**
		 * 加挂账户列表查询
		 */
		queryAccountlist : function(type) {//
			Fw.util.Ajax.query({
				service : 'accountService.getAccount',// 查询加挂账户列表
				// 请求参数
				params : {
					'type' : type,
				},
				staticData : false, // 是否使用数据挡板（默认false）
				success : function(data, result) {

					// 遍历删除不是借记卡或信用卡的账户
					for (var le = 0; le < data.List.length; le++) {
						if ("PPDC_PDBC_PSDC_PCRC_PCFC".indexOf(data.List[le].BankAcType) == -1) {
							data.List.splice(le, 1);
							le--;
						}
					}

					if (Fw.isEmpty(data.List) || data.List.length == 0) {
						App.cardl = data.List;
						Fw.Msg.info("当前无符合条件的记录", function() {
							tab.movePrev();
						});
						Fw.LoadMask.hide();
						return;
					}

					for ( var index in data.List) {
						if (Fw.isEmpty(data.List[index].Department) || Fw.isEmpty(data.List[index].Department.Name)) {
							data.List[index].Department = {};
							data.List[index].Department.Name = "福建省农村信用社联合社";
						}
					}
					App.cardl = data.List;
					App.subData = data.List[0];
					if (tabFlag == "0") {
						$("#select1").html('<div id="bankName" class="">' + data.List[0].option + '</div>');
						// + '<div id="AcNo" class="ui-bankName-acctni">'
						// +
						// Fw.util.Format.fmtBankAcType(data.List[0].BankAcType)
						// + ' '
						// + Fw.util.Format.fmtAcctNoEnd(data.List[0].No) +
						// '</div>');
						$("#form1").parent().show();
						$("#form2").parent().hide();
					} else {
						$("#select2").html('<div id="cardName" class="">' + data.List[0].option + '</div>');
						// + '<div id="cardno" class="ui-bankName-acctni">信用卡 '
						// + Fw.util.Format.fmtAcctNoEnd(data.List[0].No) +
						// '</div>');
						$("#form2").parent().show();
						$("#form1").parent().hide();
					}
				},
				// 请求错误后回调
				failure : function(status, textStatus, error) {
				}
			});
		},
		/**
		 * 提交云卡申请 per.MCCloudFlashCardApply 01 身份证 02 军官证 03 护照 04 回乡证 05 台胞证 06
		 * 警官证 07 士兵证 99 其他证件
		 */
		doSubmit : function(data, type, scope) {
			Fw.LoadMask.show();
			if (Fw.isTouch && Fw.isEqual("false", scope)) {
				data = Fw.decode(data);
				Fw.apply(App.subData, data);
			}
			App.subData.tesType = "AP";
			App.subData.dyPassword = data.sms;
			if (Fw.isEqual("1", tabFlag)) {
				var date = new Date("20" + App.subData.CardValidDdl.substring(2) + "/"
						+ (parseInt(App.subData.CardValidDdl.substring(0, 2)) + 1) + "/01");
				date.setDate("0");
				var month = date.getMonth() + 1;
				if (month < 10) {
					month = '0' + month;
				}
				App.subData.CardValidDdl = date.getFullYear() + "-" + (month) + "-" + date.getDate();
			}
			paramSub = {
				"cardType" : tabFlag,
				"productCode" : "",
				"cardHolderName" : App.subData.Name,
				"cardHolderIDType" : App.convertIdType(App.subData.IdType),
				"cardHolderID" : App.subData.IdNo,
				"phoneNo" : Fw.app.Session.get('mobilephone'),// 手机号
				"mailBox" : "",
				"pan" : App.subData.No,// 主账号
				"expiryDate" : App.subData.CardValidDdl,// 有效期
				"verificationNumber" : App.subData.Cvv2,// CVV2
				"verificationPin" : ""
			};
			Fw.util.Ajax.get({
	       		service:'loginService.getCurrentSession',
	               staticDate:false,
	               //请求成功后回调
	               success: function(data, result) {
	            	   Fw.device.Device.cloudApply(paramSub, "App.nextClick");
	               }
	           });
		},
		/**
		 * 下一步事件 跳转激活页面
		 */
		nextClick : function(data) {
			data = Fw.decode(data);
			if (Fw.isEqual(data.STATUS, "1")) {
				var simName = Fw.isEmpty(App.subData.option) ? "福建农信" + paramSub.cardType == "0" ? "储蓄卡" : "信用卡" : App.subData.option
						.split(" ")[0];
				if(simName.indexOf("金融卡")!=-1){
					simName = simName.substring(0,simName.length-5) +"-"+ simName.substring(simName.length-5);
				}else{
					simName = simName.substring(0, simName.length - 3) + "-" + simName.substring(simName.length - 3);
				}
				data.DeptName = App.subData.OpenAcctBranchName || App.subData.Department.Name;
				data.EntityCardNo = App.subData.No;
				data.CloudCardNo = data.CARDID;
				data.CloudCardLastFour = Fw.util.Format.fmtAcctNoEnd(data.CARDID);
				data.CloudCardStatus = "1";
				data.simpleBankName = simName;
				data.AcctState = "0";
				data.AcType = paramSub.cardType == "0" ? "PSDC" : "PCRC";
				data.Flag = "0";
				Fw.redirect("flashPayActivate.html", data);
			} else if (Fw.isEqual("ERROR_NOT_INITIALIZED", data.MSG)) {
				setTimeout(function() {
					Fw.device.Device.cloudApply(paramSub, "App.nextClick");
				}, 1000);
			} else if (Fw.isEqual("ERROR_CPSLIBRARY_OTHER_USER", data.MSG)) {
				Fw.Msg.info("您的账号已经注册过云端支付平台", function() {
					Fw.gotoIndex();
				});
			} else if (Fw.isEqual("[发卡行]帐户非法", data.MSG)) {
				Fw.Msg.info("该账户状态异常");
				Fw.LoadMask.hidden = false;
				Fw.LoadMask.hide();
			} else if (Fw.isEqual("[发卡行]用户状态不正确", data.MSG)) {
				Fw.Msg.info("该账户状态异常");
				Fw.LoadMask.hidden = false;
				Fw.LoadMask.hide();
			} else {
				Fw.Msg.info(data.MSG, function() {
					Fw.LoadMask.hidden = false;
					Fw.LoadMask.hide();
				});
			}
		},
		regxNumber : function(e, t) {
			// var endval =
			// $(e).val().substring($(e).val().length-1,$(e).val().length)+'';
			// if(!/[0-9]/.test(endval)){
			// $(e).val($(e).val().slice(0,$(e).val().length-1))
			// }else if(Fw.isEqual("1", t) && $(e).val().length>4){
			// $(e).val($(e).val().slice(0,4))
			// }else if(Fw.isEqual("2", t) && $(e).val().length>3){
			// $(e).val($(e).val().slice(0,3))
			// }

			var ddd = $(e).val().replace(/\s/g, "");
			var fl = !/^[0-9]*$/.test(ddd);
			var phoneNum = $(e).val().replace(/[^0-9]/g, "");
			$(e).val(phoneNum);
		},
		/**
		 * 申请云闪付为贷记卡时，校验贷记卡信息per.MCCreditInfoCheck CheckCvv2Flag CVV2校验标志 Cvv2
		 * CVV2 CardValidFlag 卡片有效期标志 CardValidDdl 卡片有效期
		 * 
		 */
		checkCard : function(recode, type, scope) {
			Fw.LoadMask.show();
			// if (Fw.isTouch && Fw.isEqual("false", scope)) {
			// recode = Fw.decode(recode);
			// }
			// Fw.apply(App.subData, recode);
			App.subData.CheckCvv2Flag = "1";
			App.subData.CardValidFlag = "1";
			App.subData.CheckCardStatusFlag = "0";// XXX 账户状态暂时不校验 后面在校验
			Fw.util.Ajax.execute({
				socketAdapter : 'creditCardService/MCCreditInfoCheck',
				// 请求参数
				params : App.subData,
				staticData : false, // 是否使用数据挡板（默认false）
				loadMask : true,
				// 请求成功后回调
				success : function(data, result) {
					var cardNews = {
						passwordType : 'B',// 借记卡 T 信用卡 B
						cardNo : App.subData.No,
					}
					var showInfo = [];
					Fw.device.Device.payControls("AP", showInfo, "App.doSubmit", {}, cardNews);
					// App.doSubmit(App.subData, "AP", "true");
				},
				// 请求错误后回调
				failure : function(status, textStatus, error) {
					Fw.Msg.error(error);
				}
			});
		},
		onButtonClick : function() {
			form.submit();
		},
		testForm2 : function() {
			form = new Fw.Form({
				// EL
				contentEl : 'form2',
				// 是否激活重置事件（默认false）
				// 单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
				resettable : false,
				// 校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
				msgTarget : 'tips'
			});
			form.on('submit', this.showPayControl, this);
			form.on('beforesubmit', this.beforesubmitFn, this);
			// 点击按钮时触发（保存、重置、重发验证码）
			$("#next_btn").tap(Fw.bind(this.onButtonClick, this));
		},
		beforesubmitFn : function(values) {
			form.setValues({
				"CardValidDdl" : $("#CardValidDdl").val(),
				"Cvv2" : $("#Cvv2").val()
			})
		},
		/**
		 * 显示支付窗体
		 */
		showPayControl : function(values) {
			Fw.apply(App.subData, values);
			var cardNews = {
				passwordType : 'T',// 借记卡 T 信用卡 B
				cardNo : App.subData.No,
			}
			var showInfo = [];
			/**
			 * type
			 * 
			 * S&AP 短信验证码+账户密码 U&AP U-key密码+账户密码(pc端) AP 账户密码 CTP 信用卡交易密码 SMS
			 * 短信验证码 IC&AP IC卡+账户密码(手机端)
			 */
			if (Fw.isEqual("1", tabFlag)) {// 信用卡
				App.checkCard();
			} else {
				Fw.device.Device.payControls("AP", showInfo, "App.doSubmit", {}, cardNews);
			}
		},
		/**
		 * 检查账户状态 是否正常
		 */
		checkAcStatus : function(data) {
			if (Fw.isEqual("0", data.AcctState) || Fw.isEmpty(data.AcctState)) {
				if (Fw.isEqual('0', data.PasswordLossStatus) || Fw.isEmpty(data.PasswordLossStatus)) {
					if (Fw.isEqual('0', data.CertLossStatus) || Fw.isEmpty(data.CertLossStatus)) {
						if (Fw.isEqual('0', data.SealLossStatus) || Fw.isEmpty(data.SealLossStatus)) {
							return true
						} else {
							return false;
						}
					} else {
						return false;
					}
				} else {
					return false;
				}
			} else {
				return false;
			}
		},
		checkAccStatus : function() {
			Fw.util.Ajax.get({
				socketAdapter : 'accountService/mCAccountBalanceQuery',
				// 请求参数
				params : {
					"AcNo" : App.subData.No
				},
				staticData : false, // 是否使用数据挡板（默认false）
				loadMask : false,
				// 请求成功后回调
				success : function(data, result) {
					Fw.LoadMask.hide();
					Fw.apply(App.subData, data)
					App.showPayControl({});
				},
				// 请求错误后回调
				failure : function(status, textStatus, error) {
					Fw.LoadMask.hide();
				}
			});
		},
		/**
		 * 检查账户状态
		 */
		getMCAcStateCheck:function(unsign){
			Fw.LoadMask.show();
			if(Fw.isEqual(tabFlag, "1")){
				App.checkAccStatus();
			}else{
				Fw.util.Ajax.get({
					socketAdapter : 'smsBankService/getMCAcStateCheck',
					// 请求参数
					params : {
						"AcNo" : App.subData.No,
					},
					staticData : false, // 是否使用数据挡板（默认false）
					LoadMask:false,
					// 请求成功后回调
					success : function(data, result) {
						App.checkAccStatus();
					},	
					// 请求错误后回调
					failure : function(status, textStatus, error) {
						Fw.LoadMask.hide();
					}
				});
			}
		},
		/**
		 * 证件类型转换
		 */
		convertIdType : function(type) {
			var tp = '';
			switch (type) {
			case "P00":
				tp = '01';
				break;
			case "4":
				tp = '02';
				break;
			case "E":
				tp = '03';
				break;
			case "N":
				tp = '03';
				break;
			case "C":
				tp = '04';
				break;
			case "D":
				tp = '05';
				break;
			case "B":
				tp = '06';
				break;
			case "5":
				tp = '07';
				break;
			default:
				tp = '99'
				break;

			}
			return tp;
		},
		/**
		 * 左边按钮点击事件
		 */
		leftButtonHandler : function() {
			Fw.LoadMask.hidden = true;
			Fw.LoadMask.show();
			Fw.redirect("indexApply.html", Fw.getParameters());
		},
		/**
		 * 账户列表数据
		 */
		cardl : []
	};
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
