/**
 * 创建应用
 */
var App = function() {
	var dropDownList;
	var dropDownList1;
	var pageFlag = "0";
	var tabFlag = "";
	var bankType = "储蓄卡";
	var form;
	//
	return {
		/**
		 * 依赖组件
		 */
		requires : [ "Fw.DropDownList",// 底部划出下来组件
		'Fw.Form',// 表单验证组件
		'Fw.PayControls'// 支付控件组件
		],
		/**
		 * 视图设置 设置标题栏、按钮等 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
		 */
		viewConfig : {
			/**
			 * 标题栏标题 如果为空或未设置，则标题栏不显示、左右按钮不显示
			 */
			title : '云闪付卡申请',
			/**
			 * 左边按钮（默认显示） 如果为false，则左边按钮不显示 leftButton: '左边按钮'
			 */
			leftButton : {
			// 自定义按钮标题（默认'返回'）
			// text: '左边按钮',
			// 自定义按钮点击事件（默认App.leftButtonHandler）
			},
			/**
			 * 是否自动显示等待层（默认true） 需手动隐藏等待层
			 */
			loadMask : true
		},
		/**
		 * 初始化 应用入口
		 */
		init : function(require) {
			// 初始化事件
			this.initEvents();
			// 手动隐藏等待层
			this.initAcName();
			this.initAcNo();
			$("#PDSC_btn").on('click', Fw.bind(this.doSubmit, this));
		},
		/**
		 * 初始化事件
		 */
		initEvents : function() {
			// 选项卡切换后触发
//			this.testForm2();// 初始化信用卡表单
			$("#pageA").show();
			App.queryAccountlist("0", "0");
		},
		/**
		 * 初始化账户类型下拉弹框
		 */
		initAcName : function() {
			dropDownList1 = new Fw.DropDownList({
				// 必须参数：结果集
				result : [ {
					"tpname" : "储蓄卡",
					"selType" : "0",
					"phFlag" : "0"
				}, {
					"tpname" : "信用卡",
					"selType" : "1",
					"phFlag" : "0"
				}],
//				fixedHeight : '140',
				displayNo : false,
				lastSubNo : 4,
				displayName : 'tpname',
				reload : true,
				cursorBtn : false,
			});
			dropDownList1.on('itemClick', Fw.bind(this.dropitemClick1, this));// 对下拉列表监听
			$("#select0").on('click', Fw.bind(this.clickDrop1, this));
		},
		/**
		 * 卡号下拉监听
		 */
		clickDrop1 : function() {
			dropDownList1.show();
		},
		dropitemClick1 : function(data, index) {
			$("#bankName").text(data.tpname);
			bankType = data.tpname;
			App.queryAccountlist(data.selType, data.phFlag);
		},
		/**
		 * 初始化账号下拉弹框
		 */
		initAcNo : function() {
			dropDownList = new Fw.DropDownList({
				// 必须参数：结果集
				result : [],
//				fixedHeight : false,
				displayNo : false,
//				lastSubNo : 4,
				displayName : 'option',
				reload : true,
				cursorBtn : false,
			});
			dropDownList.on('itemClick', Fw.bind(this.dropitemClick, this));// 对下拉列表监听
			$("#select1").on('click', Fw.bind(this.clickDrop, this));
		},
		dropitemClick : function(data, index) {
			App.subData = data;
			$("#select1").html(
					'<div id="AcctNo" class="">' + data.option + '</div>');
//					+ '<div id="AcctNo">' + bankType
//							+ ' ' + Fw.util.Format.fmtAcctNoEnd(data.No) + '</div>');

		},
		/**
		 * 卡号下拉监听
		 */
		clickDrop : function() {
			dropDownList.show(App.cardl);
		},
		queryAccountlist : function(type, phf) {//
			Fw.util.Ajax.get({
				service : 'accountService.getAccount',// 查询加挂账户列表
				params : {
					'type' : type,// 0储蓄卡，1信用卡
				},
				// 是否自动显示等待层（默认true）
				// 允许自定义等待层提示信息（loadMask: '请稍后...'）
				// loadMask: true,
				// 是否使用数据挡板（默认false）
				staticData : false, // 是否使用数据挡板（默认false）
				// 请求成功后回调
				success : function(data, result) {
					
					Fw.Logger.debug(data)
					
					//遍历删除不是借记卡或信用卡的账户
					for(var le = 0;le<data.List.length;le++){
						if("PPDC_PDBC_PSDC_PCRC_PCFC".indexOf(data.List[le].BankAcType)==-1){
							data.List.splice(le,1);
							le--;
						}
					}

					for (var index = 0; index < data.List.length; index++) {
						if (Fw.isEmpty(data.List[index].Department) || Fw.isEmpty(data.List[index].Department.Name)) {
							data.List[index].Department = {};
							data.List[index].Department.Name = "福建省农村信用社联合社";
						}
						// if (Fw.isEqual("1", phf) &&
						// (data.List[index].No).indexOf("6228025")) {
						if (Fw.isEqual("1", phf) && (data.List[index].BankAcType).indexOf("PCFC")) {//判断信用卡为普惠卡
							data.List.splice(index, 1);
							index--;
						}
					}
					if (Fw.isEmpty(data) || Fw.isEqual(data.List.length, "0")) {
						App.cardl = data.List;
						Fw.Msg.info("当前无符合条件的记录");
						$("#select1").html("")
						return;
					}
					App.cardl = data.List;
					App.subData = data.List[0];
					$("#select1").html(
							'<div id="AcctNo" class="">' + data.List[0].option + '</div>');
//									+ '<div id="AcctNo">' + bankType + ' ' + Fw.util.Format.fmtAcctNoEnd(data.List[0].No) + '</div>');
					Fw.LoadMask.hide();
				},
				// 请求错误后回调
				failure : function(status, textStatus, error) {
					Fw.LoadMask.hide();
				}
			});
		},
		/**
		 * ios跳转apple wallet
		 * 
		 */
		doSubmit : function() {
			if(this.beforeSubmit()){
				Fw.device.Device.toAppleWallet({"data":"data"});
			}
		},
		onButtonClick : function() {
			if(this.beforeSubmit()){
				
			}
		},
//		testForm2 : function() {
//			form = new Fw.Form({
//				// EL
//				contentEl : 'form1',
//				// 是否激活重置事件（默认false）
//				// 单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
//				resettable : false,
//				// 校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
//				msgTarget : 'tips'
//			});
//			// form.on('change', this.onChange, this);
//			// 触发提交事件前触发
//			form.on('beforesubmit', this.beforeSubmit, this);
//			// 触发提交事件触发
//			form.on('submit', App.doSubmit, App);
//			// 点击按钮时触发（保存、重置、重发验证码）
//			$("#PDSC_btn").tap(Fw.bind(App.onButtonClick, App));
//		},
		beforeSubmit : function() {
			if (Fw.isEmpty($("#AcctNo").html())) {
				Fw.Tips.info("请重新选择账户类型");
				return false;
			}
			return true;
		},
		/**
		 * 左边按钮点击事件
		 */
		 leftButtonHandler:function(){
			 Fw.redirect("indexApply.html", Fw.getParameters());
//			 Fw.redirect("./indexApply.html",{"clientPFlag":clientPFlag})
		 },
		cardl : []
	};
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
