/**
 * 创建应用
 */
var App = function() {
	var tab;
	var tabFlag = "0";
	var dropDownList;
	var pageFlag = "0";
	var cfmFlag = true;
	var tpl;
	// var onClickItem;
	var emptyTpl = "<div style='text-align: center;color:#999;height: 22px;line-height: 44px;'>未查询到相关记录</div>";
	var phoneType = Fw.isAndroid;
	var benList = {}
	// 银行编号：借记卡：1417 贷记卡：6517
	var bankCode = "1417"
	var bankCode1 = "6517"
	return {
		/**
		 * 依赖组件
		 */
		requires : [ 'Fw.Tab', "Fw.DropDownList" ,'Fw.app.Session'],
		viewConfig : {
			title : '云闪付',
			leftButton : {},
			loadMask : true
		},
		/**
		 * 初始化 应用入口
		 */
		init : function(require) {
			Fw.device.Device.checkCloud('App.checkCloud');
//			 this.initEvents();
			this.initJuicer();
			if (phoneType) {
				tpl = require("./other/tpl_cardList").join('');
			} else {
				tpl = require("./other/tpl_cardList_ios").join('');
			}
		},
		/**
		 * 初始化事件
		 */
		initEvents : function() {
			App.MCCloudFlashCardListQuery();
			App.perdata = {};
			// 选项卡切换后触发
			// 手动隐藏等待层
			// Fw.LoadMask.hide();

		},
		/**
		 * 检测是否支持云闪付
		 */
		checkCloud : function(data) {
			if (Fw.isEqual(data, "yes")) {
					App.initEvents();
			} else {
				Fw.LoadMask.hide();
				Fw.Msg.info("您的手机版本暂不支持云闪付功能", function() {
					Fw.gotoIndex();
				});
			}
		},
		checkDefaultApp : function(data) {
			data = Fw.decode(data);
			if (Fw.isEqual("1", data.STATUS)) {
			} else {
				Fw.gotoIndex();
			}
		},
		/**
		 * 选项卡切换后触发
		 */
		onTabChange : function(tab, index) {
			tabFlag = "" + index;

		},
		esbCloudAll : {},// esb查出的所有云卡申请信息
		/**
		 * 新一代 云卡列表查询
		 */
		MCCloudFlashCardListQuery : function() {
			Fw.util.Ajax.query({
				// 数据源（服务接口）
				// service : 'cloudFlashService.queryCloudFlashCardList',
				service : 'cloudFlashService/queryCloudFlashCardList',
				params : {},
				// 是否使用数据挡板（默认false）
				staticData : false,
				loadMask : false,
				// 请求成功后回调
				success : function(data, result) {
					App.esbCloudAll = data;
					var sl = 0;
					if (Fw.isEmpty(data) || data.List.length == 0) {// 没有云卡数据数据，直接跳转申请界面
						Fw.redirect("./indexApply.html", {
							"nullFale" : "1"
						});
					} else if (phoneType) {// 如果是Android手机 加载安卓页面
						App.initialized = "1";
						benList = {
							ALL_CRADS : [],
						};
						// App.loadAndriodPage();
						Fw.device.Device.queryCloudList("App.queryCloudListCallback");
					} else {
						App.loadIosPage(data);
					}
				},
				failure : function(status, textStatus, error) {
					Fw.LoadMask.hide();
				}
			});
		},
		/**
		 * 安卓手机当前手机云闪付列表查询回调
		 */
		queryCloudListCallback : function(data) {
			data = Fw.decode(data);
			if (Fw.isEqual("ERROR_NOT_INITIALIZED", data.MSG)) {
				setTimeout(function() {
					Fw.device.Device.queryCloudList("App.queryCloudListCallback");
				}, 1000);
			} else if (Fw.isEqual("ERROR_CPSLIBRARY_OTHER_USER", data.MSG)) {
				Fw.Msg.info("您的账号已经注册过云端支付平台", function() {
					Fw.gotoIndex();
				});
			} else if (Fw.isEqual("设置默认卡成功", data.MSG)) {
				setTimeout(function() {
					Fw.device.Device.queryCloudList("App.queryCloudListCallback");
				}, 1000);
			} else {
				if(data.ALL_CRADS.length > 0){
					// 检查默认支付应用
					Fw.device.Device.checkDefaultApp("App.checkDefaultApp");
				}
				benList = {
					ALL_CRADS : [],
					DEFAULT_CARD : {}
				};
				var cloudList = App.esbCloudAll.List;
				// //筛选本机云卡 和 其他手机云卡
				for (var k = 0; k < cloudList.length; k++) {
					if (Fw.isEqual(data.DEFAULT_CARD.CARDID, cloudList[k].CloudCardNo)) {
						benList.DEFAULT_CARD = cloudList[k];
					}
				}
				for (var j = 0; j < App.esbCloudAll.List.length; j++) {
					for (var i = 0; i < data.ALL_CRADS.length; i++) {
						if (Fw.isEqual(data.ALL_CRADS[i].CARDID, App.esbCloudAll.List[j].CloudCardNo)) {
							benList.ALL_CRADS.push(App.esbCloudAll.List[j]);
						}
					}
				}
				var cardallstr = Fw.encode(data.ALL_CRADS);
				App.esbCloudAll.List = $.grep(App.esbCloudAll.List, function(val, key) {// 返回其他手机云卡
					var f = false;
					if(cardallstr.indexOf(val.CloudCardNo)!=-1){
						return false
					}else{
						return true;
					}
//					if(Fw.isArray(data.ALL_CRADS)){
//						for (var i = 0; i < data.ALL_CRADS.length; i++) {
//							if (Fw.isEqual(data.ALL_CRADS[i].CARDID, val.CloudCardNo)) {
//								return true;
//							} else {
//								return false;
//							}
//						}
//					}else{
//						return true;
//					}
				});
//				App.esbCloudAll.List = cloudList;
				App.loadAndriodPage();
			}
		},
		/**
		 * 加载显示安卓云卡列表
		 */
		loadAndriodPage : function() {
			var androidform = '<div><div class="pagesel" id="pageB"><div id="tab" class="ui-tab">'
					+ '	<ul class="ui-tab-nav ui-border-bDoub ui-border-t"><li class="liDoub">当前手机</li><li  class="liDoub">其他手机</li>	</ul>'
					+ '	<ul class="ui-tab-content" style="overflow:scroll;"><!-- 当前手机内容取 --><li>'
					+ '	<form id="form1" class="ui-form ui-border-t x-form ui-magin-top15 ui-padding-b15">'
					+ '	<div class="x-form-fieldset ui-border-b"><p class="ui-text-font1">默认支付卡:</p>	</div>	</form>'
					+ '	<form id="form2" class="ui-form ui-border-t x-form ui-magin-bottom65 ui-padding-b15" hidden="hidden">'
					+ '	<div class="x-form-fieldset ui-border-b"><p class="ui-text-font1">其他支付卡:</p></div>	</form>'
					+ '	<div class="ui-btn-div" id="toapply_btn"><img alt="" src="./other/shenghuo12121_09.png" class="ui-img">'
					+ '	添加新云闪付卡</div></li>	<!-- 其他手机内容取 --><li>'
					+ '	<form id="form3" class="ui-form ui-border-t x-form ui-magin-top15 ui-padding-b15"></form></li></ul></div>'
					+ '</div></div>';

			var data = App.esbCloudAll;
			var benothlist = [];// 当前手机其他云卡
			var html1 = "";
			var html2 = "";
			for (var i = 0; i < benList.ALL_CRADS.length; i++) {
				if (benList.ALL_CRADS[i].CloudCardNo == benList.DEFAULT_CARD.CloudCardNo) {
				} else {
					benothlist.push(benList.ALL_CRADS[i]);// 其他支付卡
				}
			}
			if(!Fw.isEmpty(benList.DEFAULT_CARD)){
				// 默认支付卡页面渲染
				benList.DEFAULT_CARD.Flag = "1";// 默认支付卡字段
				html1 = Fw.template(tpl, {
					"List" : [ benList.DEFAULT_CARD ]
				});
			}
			// 其他支付卡渲染
			if (benothlist.length != 0) {// 没有其他支付卡则不显示此项
				html2 = Fw.template(tpl, {
					"List" : benothlist
				});
			}
			// 从全部云卡列表中去除当前手机的云卡
			// 其他手机渲染
			var html3 = Fw.template(tpl, App.esbCloudAll);
			if (Fw.isEmpty(html1) && Fw.isEmpty(html2) && Fw.isEmpty(html3)) {
				Fw.redirect("./indexApply.html", {
					"nullFale" : "1"
				});
			} else {
				$("body").html(androidform);
				App.initWidget();// 显示tab表
				// 默认支付卡显示
				if (Fw.isEmpty(html1)) {
					$("#form1").html($("#form1").html() + emptyTpl);
				} else {
					$("#form1").html($("#form1").html() + html1);
				}
				// 其他支付卡显示
				if (!Fw.isEmpty(html2)) {
					$("#form2").html($("#form2").html() + html2);
					$("#form2").show();
				} else {
				}
				if (Fw.isEmpty(html3)) {
					$("#form3").html(emptyTpl);
				} else {
					$("#form3").html(html3);
				}
				$("#toapply_btn").on("click", Fw.bind(App.onButtonClick, App));// 添加显示申请
				$("div.ui-form-marg").on('click', App.perCardclick);
				Fw.LoadMask.hide();
			}
		},
		loadIosPage : function() {
			var data = App.esbCloudAll;
			var iosform = '<div><div class="pagesel" id="pageA"><ul><li>'
					+ '<form id="form" class="ui-form x-form ui-padding-b15" style="padding-bottom: 60px;"></form>'
					+ '<div class="ui-btn-div" id="toapply_btn"><img alt="" src="./other/shenghuo12121_09.png" class="ui-img">'
					+ '添加新云闪付卡</div></li></ul></div></div>';
			var html = Fw.template(tpl, data);
			if (Fw.isEmpty(html)) {
				Fw.redirect("./indexApply.html", {
					"nullFale" : "1"
				});
			} else {
				$("body").html(iosform);
				$("#form").html(html);
				$("#toapply_btn").on("click", Fw.bind(App.onButtonClick, App));// 添加显示申请
				$("div.ui-form-marg").on('click', App.perCardclick);
				Fw.LoadMask.hide();
			}
		},
		perCardclick : function() {
			$(this).attr("data-value");
			// onClickItem = this;
			var perData = JSON.parse($(this).attr("data-value"));
			App.perdata = perData;
			// 支付类型：
			// 1 = 银联TSM Apple Pay
			// 2 = 银联TSM 三星Pay
			// 3 = 银联TSM Andiord Pay
			// 4 = 银联HCE
			// 5 = 万事达
			// 设备卡状态 CloudCardStatus：
			// 1 = INITIAL（初始）
			// 2 = LINKED（正常）
			// 3 = SUSPENDED（锁定）
			// 4 = UNLINKED（注销）
			if (Fw.isAndroid) {
				if (tabFlag == "0") {
					Fw.LoadMask.show();
					if (perData.CloudCardStatus == "1") {
						perData.indexFlag = "1";
						Fw.redirect("flashPayActivate.html", perData)
					} else {
						Fw.redirect("flashPaySet.html", perData);
					}
				} else {
					dropDownList.show();
				}
			} else {
				if (perData.CloudCardStatus == "1") {
					Fw.Msg.info("此云卡暂未激活，请激活后再对此卡进行操作");
				} else {
					Fw.redirect("flashPaySet.html", perData);
				}
			}
		},
		/**
		 * 点击按钮时触发跳转申请页面
		 */
		onButtonClick : function(e) {
			Fw.redirect("indexApply.html");
		},
		/**
		 * 组件初始化
		 */
		initWidget : function() {
			tab = new Fw.Tab({
				// 选项卡EL
				contentEl : 'tab',
				// 默认选项卡（默认0）
				activeTab : 0,
				// 是否锁定tab标题
				fixed : true,
				// 是否禁用切换tab
				// enabled: true,
				// 是否重新初始化加载
				reload : false
			});
			tab.on('tabchange', App.onTabChange);
			dropDownList = new Fw.DropDownList({
				// 必须参数：结果集
				result : [ {
					"tpname" : "注销",
					"index" : "0"
				}, {
					"tpname" : "取消",
					"index" : "1"
				} ],
				// 可配置参数：1.false,随内容撑出高度，2.num：固定高度，超出滚动显示,默认[220]
				// fixedHeight : false,
				// 可配置参数：账号，1.false 不显示账号,2.cdopac 具体显示字段名，默认[cdopac]
				displayNo : false,
				displayName : 'tpname',
				// 可配置参数：显示时是否重新渲染，默认[false]
				reload : true,
				// 可配置参数：是否显示手工输入按钮，默认[true]
				cursorBtn : false,
			});
			dropDownList.on("itemClick", Fw.bind(App.dropItemClick, App));
		},
		dropItemClick : function(data, index) {
			if (Fw.isEqual(index, 0)) {
				App.MCCloudFlashCardCancel();
			}
		},
		initJuicer : function() {
			juicer.register("fmtAccLastThree", function(EntityCardNo) {
				return EntityCardNo.substring(EntityCardNo.length - 3);
			});
			juicer.register("JsonToStr", function(data) {
				return JSON.stringify(data);
			});
			juicer.register("fmtDataFn", function(data) {
				return data.substring(0,4) + "." +data.substring(4,6) + "." +data.substring(6,8);
			});
			juicer.register("fmtAcctNofour", function(acc) {
				if (Fw.isEmpty(acc)) {
					return '';
				}
				acc = String(acc).trim(true);
				var tmpStr = '';

				while (acc.length > 4) {
					tmpStr = tmpStr + acc.substring(0, 4);
					tmpStr = tmpStr + '　';
					acc = acc.substring(4, acc.length);
				}
				return tmpStr + acc;
			})
			juicer.register("splicCloudNo", function(acc, num) {
				if (Fw.isEmpty(acc)) {
					return '';
				}
				switch (num) {
				case 1:
					tmpStr = acc.substring((num - 1) * 4, num * 4);
					break;
				case 2:
					tmpStr = acc.substring((num - 1) * 4, num * 4);
					break;
				case 3:
					tmpStr = acc.substring((num - 1) * 4, num * 4);
					break;
				case 4:
					tmpStr = acc.substring((num - 1) * 4, num * 4);
					break;
				case 5:
					tmpStr = acc.substring((num - 1) * 4, num * 4);
					break;
				}
				return tmpStr;
			})
		},
		/**
		 * per.MCCloudFlashCardCancel 注销
		 */
		MCCloudFlashCardCancel : function() {
			cmfFlag = true;
			Fw.Msg.cfm("注销后将无法凭此云闪付卡办理退货，您确定要将该卡注销吗？", function(code, btn, win) {
				if (Fw.isEqual(code, "yes") && cmfFlag) {
					cmfFlag = false;
					if (App.perdata.AcType != "PCRC" || App.perdata.AcType != "PCFC") {
						App.perdata.BankCode = bankCode1;
					} else {
						App.perdata.BankCode = bankCode;
					}

					Fw.util.Ajax.execute({
						// service
						// :'cloudFlashService.executeCloudFlashCardApply',
						service : 'cloudFlashService/executeCloudFlashCardCancel',
						// 请求参数
						params : App.perdata,
						// 是否自动显示等待层（默认true）
						// 允许自定义等待层提示信息（loadMask: '请稍后...'）
						loadMask : true,
						// 是否使用数据挡板（默认false）
						staticData : false, // 是否使用数据挡板（默认false）
						// 请求成功后回调
						success : function(data, result) {
							Fw.LoadMask.show();
							Fw.redirect("cloudSuccess.html");
						},
						// 请求错误后回调
						failure : function(status, textStatus, error) {
							Fw.LoadMask.hide();
						}
					});
				
					
				} else {
					return;
				}
			})
		},
		/**
		 * 检测默认支付卡是否为农信卡
		 */
		checkMrCard : function(data) {
			if (App.perList(data)) {// 如果不是农信卡
				Fw.util.Ajax.query({
					// 数据源（服务接口）
					socketAdapter : 'smsBankService/MCCardBinQuery',
					params : {
						BinNo : data.DEFAULT_CARD.EntityCardNo,
						QueryFlag : "2"
					},
					// 是否使用数据挡板（默认false）
					staticData : false,
					loadMask : false,
					success : function(data2, result) {
						if (Fw.isEqual("0", data2.BankType)) {
							// 如果是本行卡 正常走
							App.loadAndriodPage();
						} else {// 如果不是本行卡 提示付款时使用本行卡
							var cfmff = true;
							Fw.Msg.cfm("是否触碰付款时一律使用福建农信，而不是：XXX？", function(code, btn, win) {
								if (cfmff && Fw.isEqual("yes", code)) {
									cfmff = false;
									App.loadAndriodPage();
								} else if (cfmff && Fw.isEqual("no", code)) {
									cfmff = false;
									Fw.gotoIndex();
								}
							});
						}
					},
					failure : function(status, textStatus, error) {
						Fw.Msg.error("交易繁忙，资金类交易请五分钟后查询交易明细", function() {
							Fw.gotoIndex();
						});
					}
				});
			} else {
				// 默认支付卡是农信卡 正常加载
				this.loadAndriodPage();
			}
		},
		/**
		 * 
		 */
		perList : function(data) {
			// 遍历本机云闪付卡 是否已设置默认支付卡
			if (Fw.isEmpty(data.DEFAULT_CARD)) {
				return false
			}
			return true;
		},
		leftButtonHandler : function() {
			Fw.gotoIndex();
		}
	/**
	 * 左边按钮点击事件
	 */
	};
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
