var App = function() {
	var accont = Fw.getParameters();
	var deleteData={eflag:"1"};
	var dataVaules={eflag:"1"};
	var formValue={eflag:"1"};
	return {
		requires : [ 'Fw.Form','Fw.PayControls','../eAccountReset/smsDiy.js' ],										// 依赖组件
		viewConfig : {
			title : '电子账户销户',
			leftButton : {
				text : '返回',
			},
			loadMask : true															//是否自动显示等待层（默认true） 需手动隐藏等待层
		},
		//初始化 应用入口
		init : function(require) {
			
			this.initform();
			this.queryEAccount_msg();												//查询e账户信息										
			this.initEvents();

		},
		/**
		 * 初始化事件
		 */
		initEvents : function() {
//			form.on('change', this.onChange, this);										    // 表单值改变时触发（包含文本输入框、多行文本输入框、单选、多选、下拉框）
			$('#submit-btn').on('click', Fw.bind(this.btnClick, this));
			$('#cash').on('click', Fw.bind(this.goCash, this));
			//短信验证码按钮
            $('#resend-btn').on('click',Fw.bind(this.smsCountDownClick,this));
		},
		//初始化form
		initform:function(){
			form = new Fw.Form({
				contentEl : 'form',
				resettable : false,	
				msgTarget : 'tips'														// 校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
			});
		},
		
		//查询E账户信息
		queryEAccount_msg : function() {
			Fw.util.Ajax.query({
				service:'eAccountManage/queryEaccountCifInfoQry',
	       		// 请求参数
				params : {
					eflag:"1",
				},
	       		staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					if (Fw.isEmpty(data)) {
						Fw.Msg.info('您没有开通e账户，请开通后再使用此功能', function() {
						});
					} else {
						$("#eaccount").html(Fw.util.Format.fmtAcctNo(data.EAcNo));
//						$("#primaryAct").html(Fw.util.Format.fmtAcctNo(data.AcNo));
						$("#ename").html(data.UserName);
//						$("#idNumber").html(data.IdNo);
						
						//保存客户号
			        	formValue.EcifNo=data.EcifNo;
			        	formValue.accountNo=data.AcNo;
						
						deleteData.EacctNo=data.MobilePhone;
						deleteData.EAcNo=data.EAcNo;
						deleteData.AcName=data.UserName;
						dataVaules.eAcNo=data.EAcNo;
						dataVaules.acctFlag="1";
						
						formValue.IdNo=data.IdNo;
						formValue.EAcNo=data.EAcNo;
						formValue.UserName=data.UserName;
						formValue.MobilePhone=data.MobilePhone;
						//查询账户余额
						App.queryEAccount_bal();

					}
				}
			});
		},
		smsCountDownClick:function(e){
			//短信验证码参数
			var params = {
					DeviceId : formValue.MobilePhone,  
					TranType : '370017', 
					DeviceSn : formValue.MobilePhone,
					Mobile : formValue.MobilePhone,
					eflag:'1'
			};
			App.smsDiy.smsCountDownClick(e, params);
//			

		},
		//查询电子账户余额，余额为零时，方可销户
		queryEAccount_bal : function(){
			Fw.util.Ajax.get({
				socketAdapter : 'eAccountManageService/queryEMoney', 			// socketAdapter : 过路交易，不需要对数据处理
				params :dataVaules,
				staticData : false,															// 是否使用数据挡板（默认false）
				success : function(data, result) {		
					// 请求成功后回调
					$("#ebalance").html(Fw.util.Format.fmtAmt(data.Balance));
					$("#eAvailable").html(Fw.util.Format.fmtAmt(data.AvailbalAll));
					if (Fw.isEqual(data.AvailbalAll, "0")||Fw.isEqual(data.AvailbalAll, "0.00")) {
						$("#cash").prop('disabled', true);
						$("#submit-btn").prop('disabled', false);
						$("#showSms").show();
						
					}else{
						$("#cash").prop('disabled', false);
						$("#submit-btn").prop('disabled', true);
						
					}
					
					
				}
			});
		},
		//点击提交按钮
		btnClick : function() {
			if(!Fw.isEmpty($("#smsCode").val())){
				formValue.OtpPassword=$("#smsCode").val();
				Fw.Msg.cfm('是否确定注销e账户', function(code, btn, win) {
					if (code == "yes") {
						var showInfo = [];
						var card={
							passwordType : 'T',// 借记卡 T 信用卡 B
							cardNo : formValue.accountNo,
						}
						Fw.device.Device.payControls("E_AP",showInfo,'App.goResult');				//调用客户端的支付控件
					}
				});
			}else{
				Fw.Tips.info("请输入正确的验证码");
				return;
			}
		},
		//销户，并跳到销户结果页
		goResult : function(record, type, isObject) {
			if (Fw.isEqual(isObject, "false")||!isObject) {
				record = Fw.decode(record);
			}
			formValue.pwd =record.pwd;
			App.deleteEAccount();
			
		},
		//销户
		deleteEAccount:function(){
			Fw.util.Ajax.get({
				 service : 'eAccountManage/getDeleteEAccount',
				// 请求参数
				 params : formValue,
				// 是否使用数据挡板（默认false） 
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					Fw.redirect(Fw.getBasePath()+"/page/phone/eAccountManage/eAccountCancellation/cancellationResult.html");
				}
			});
		},
		//跳到提现页面，并传参
		goCash : function(params) {
			Fw.redirect(Fw.getBasePath()+"/page/phone/eAccountManage/eAccountCash/eAccountCash.html");
		},
		leftButtonHandler : function() {
			Fw.gotoIndex();
		}
	};
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
