var App = function() {
	//获取上个页面带入的重置绑定卡申请的信息
	var updateData =Fw.getParameters();
	var facedata;
	var backdata;
	var holdfacedata;
	
    return {
    	 //依赖组件
        requires : [
        	'Fw.Form',
        	
        ],
    	viewConfig: {
    		title: '重置绑定卡',
    	
    		leftButton: {
    	   		text: '返回',
    		},
    		/**
    		* 是否自动显示等待层（默认true）
    		* 需手动隐藏等待层
    		*/
    		loadMask: true
    	},
        /**
         * 初始化
         * 应用入口
         */
        init : function(require) {
        	updateData.eflag="1",
        	
        	 form = new Fw.Form({
                 //EL
                 contentEl : 'form',
                 resettable: false,
                 msgTarget: 'tips'
             });
            //初始化事件
            this.initEvents();
            // 手动隐藏等待层
			Fw.LoadMask.hide();
           
        },
        /**
         * 初始化事件
         */
        initEvents : function() {
            form.on('change', this.onChange, this);
            $('#submit-two').on('click',Fw.bind(this.btnClick,this));
            $('#myid_face').on('click',Fw.bind(this.myid_face,this));
            $('#myid_back').on('click',Fw.bind(this.myid_back,this));
            $('#hold_myid_face').on('click',Fw.bind(this.hold_myid_face,this));
        },
        btnClick : function() {
        	if(Fw.isEmpty(facedata) || Fw.isEmpty(backdata) || Fw.isEmpty(holdfacedata)){
	        	Fw.Tips.info("请拍照或选择照片")
        	}else{
        		Fw.util.Ajax.query({														
	        		service : 'eAccountManage/executeEaccountIdPic',
					params : updateData,
					staticData : false,														
					success : function(data, result) {
						if(Fw.isEqual(data.status, "1")){
							Fw.redirect("resetResult.html");
						}else{
							Fw.Msg.info("图片上传失败");
						}
						
					}
				});
        	}
        	
        },
        //身份证正面
        myid_face : function(){
        	Fw.device.Device.uploadIdPicture('App.showPhoto');
        },
        //把身份证正面赋值
        showPhoto : function(data){
        	updateData.facedata = data;
        	facedata="1";
        	$("#myid_face_client").attr("src","data:image/png;base64," +data);
        },
        
        //身份证反面
        myid_back : function(){
        	Fw.device.Device.uploadIdPicture('App.putmyid_back');
        },
        //把身份证反面赋值
        putmyid_back : function(data){
        	updateData.backdata = data;
        	backdata="2";
        	$("#myid_back_client").attr("src","data:image/png;base64," +data);
        },
        
        //手持身份证正面
        hold_myid_face : function(){
        	Fw.device.Device.uploadIdPicture('App.puthold_myid_face');
        },
       //把手持身份证正面赋值
        puthold_myid_face : function(data){
        	updateData.holdfacedata = data;
        	holdfacedata="3";
        	$("#holdmyid_face_client").attr("src","data:image/png;base64," +data);
        },
        leftButtonHandler:function(){
        	Fw.redirect(Fw.getBasePath() +"/page/phone/eAccountManage/eAccountReset/eAccountReset.html");
        }
    };
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
