/**
 * 创建应用
 */
var App = function() {
	var container = $('body');
	var tab;
	//var tabPage;
    //var buttons = $('button[id*=btn]');
	var index =1;
	var accountBankAcType;//卡类型，PS：PDSB
	var accountNo;// 下拉账号
	var data1;
	var listView;
	var zqflag=0;//1 提前支取，2销户支取，0非法支取
	var selectInfo;//选中当前定存
	var subAccInfo;//当前子户的信息
	var selectLxInfo;//当前子户利息信息
	var accountNow;
	var accountOption;
	var accountName;
	var accountBankName;
	return {
		/**
		 * 依赖组件
		 */
		requires : [ 'Fw.Tab',  'Fw.DropDownList',
				'Fw.ListView', 'Fw.Select', 'Fw.app.Session','Fw.PayControls','Fw.Keyboard'],
		/**
		 * 页面配置
		 */
		viewConfig : {
			title : '定活互转',
			leftButton : {
				handler : function(){
					App.back();
				}
			},
			loadMask : false,
		},
		/**
		 * 初始化 应用入口
		 */
		init : function(require) {
			// 定义选项卡
			this.tab = new Fw.Tab({
				contentEl : 'tab',
				activeTab : index,
			});
			dropDownList = new Fw.DropDownList({
				result : data1,
				displayNo : false,
				displayName : 'option',
				cursorBtn : false,
				disableField : 'cardtp',
				disableFieldValue : '1'
			});
			// 初始化事件
			this.initEvents();	
			// 查询账号卡信息
			App.getAccountList();
		},
		/**
		 * 初始化事件
		 */
		initEvents : function() {
			// 选项卡切换后触发
			this.tab.on('tabchange', Fw.bind(this.onTabChange, this));
			$("#selectQuery").on('click', Fw.bind(this.changeAccount, this));
			$("#selfCardTran").on('click',Fw.bind(App.selfCardTranfer,this));
			$("#selfCardTranCf").on('click',Fw.bind(App.selfCardTranferCf,this));
			$("#success").on('click',Fw.bind(App.successFull,this));
			dropDownList.on('itemClick', Fw.bind(this.itemClick, this));// 监听select点击事件
			$("#showAllMonk").on('click',Fw.bind(this.showAllMonk,this));
			$("#tranBal").on('blur', Fw.bind(this.formatMoney, this));
      Fw.Keyboard.onHidden = function() {
      	App.formatMoney();
				// 1.定位设置页面y轴 解决表单不悬浮提示
				$('body').css({
					'top' : '0px'
				});
				if (Fw.isEmpty(this.target.val()) && !Fw.isEmpty(Fw.util.Storage.get(this.target.attr('name')))) {
					this.target.attr('placeholder', Fw.util.Storage.get(this.target.attr('name')));
					Fw.util.Storage.remove(this.target.attr('name'));
				}

				// sm 是否重启动键盘
				Fw.Keyboard.showKeyboard = true;
				
				if(Fw.isEqual(this.target.attr('name'), "field")){
					var momey = Fw.util.Format.unFmtAmt($("#tranBal").val());
					if(Fw.isEqual(momey, '0')){
						Fw.Tips.info('金额不能为0')
						$("#tranBal").val("").change();
					}
				}
			};
		},
		/**
		 * 查询账号卡信息(改)
		 */	
		getAccountList : function() {//查询下拉账户集合
			Fw.util.Ajax.get({
				service : 'accountService',
				method : 'getAccount',
				params : {
					type : '8',
						// 0借记账户1贷记账户2动账借记3动账贷记null全部5贷记卡带信息4缴费支付权限6所有借记'卡'7非定期借记账户8有动账权限的借记卡（不包括存折）
					//无折IC
				},
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					if (data.List.length == "0") {
						Fw.Msg.info('您的账户无转账权限功能，请至我行任一网点开通。', function() {
								if (Fw.isTouch) {
					        		Fw.device.Device.gotoIndex();
								} else {
									//更多功能
									Fw.redirect("page/pageMenu/moreMenu.html");
								}
							
						});
					} else {
						data1 = result.result.List;
						accountOption = data1[0].option;			
						$('#selected').val(data1[0].option);
						accountBankAcType=data1[0].BankAcType;
						accountName=data1[0].Name;
						accountNow=data1[0].No
						accountBankName=data1[0].Department.Name;
						console.log(data1[0].Department.Name);
						App.getTransferList(data1[0]);
					
					}
				},
				// 请求错误后回调
				failure : function(status, textStatus, error) {
					Fw.LoadMask.hide();
				}
			});
		},
		getTransferList:function(data){
			accountNo=data.No;
			$("#selected2").val(accountOption); 
			$("#ll").show();
			$("#list").html("");
			$("#listPP").hide();
            //分户查询
			
			if (Fw.isObject(listView)) {
				listView.ajax.setParams("CardNo", accountNow);
				listView.ajax.setParams("QueryMark", "05");
				listView.ajax.setParams("FixedAcctIntRateQueryFlag", "1");
				listView.loadData();
				return;
			}
			/*
			'<div style="font-size: 12px;line-height:25px;text-align:left;">币种 {@if item.Ccy=="01"}人民币{@else if item.Ccy=="13"}港币{@else if item.Ccy=="14"}美元',
			 '{@else if item.Ccy=="27"}日元{@else if item.Ccy=="38"}欧元{@/if}</div>',
			 */
			itemTpl=['<div class="financial_body">',
			           '<div class="content" style="margin-left: 0px;margin-right: 0px;padding-bottom:0px;border-bottom:0px;">',
			            '<div class="day" style="width:35%;height:50px;line-height:50px;text-align:left;font-size:16px;padding-left:5%;color:#60B2FB;">',
			             '${item.Balance}',
			            '</div>',
			           '<div class="type" style="width:55%;">',
			             '<div  style="font-size: 12px;line-height:25px;text-align:left;">储种 ${item.ProductName}</div>',
			           '</div></div>',
			           '<div class="content" style="margin-left: 0px;margin-right: 0px;padding-top:0px;">',
			             '<div class="day" style="width:35%;text-align:left;padding-left:5%;font-size: 12px;">',
			             '开户日期  ${item.IntStartDate|fmtDate,"yyyy/MM/dd"}',
			             '</div>',
			             '<div class="type" style="width:55%;">',
			               '<div style="font-size: 12px;line-height:25px;text-align:left;color:#60B2FB;" >利率  ${item.TimRate|fmtPercent}</div>',
			             '</div>',
			        '</div>'];
			 listView = new Fw.ListView({
				contentEl : 'list',
				ajax : {
					service : 'fixedCurrentTransferService',
					method : 'queryCardSubAcctInfoQry',
					params : {
						CardNo:accountNow,
						QueryMark:"05",
						FixedAcctIntRateQueryFlag:"1",
					},
					// 分页参数
					pageSize : 5,
					page : true,
					rootProperty : 'result.List',
				}, 
				// 数据展现模版
				itemTpl : itemTpl,
			});
			// 加载数据
			listView.loadData();
			listView.on('itemclick', this.onListSelect, this);
			// 查询数据后触发
			listView.ajax.on('query', this.onListQuery, this);
			// 查询数据失败
			listView.ajax.on('queryerror', this.onListQueryError, this);
			
			listView.ajax.on('error', this.onListError, this);
		},
		itemClick : function(data, index) {
			if (index != -1) {				
				$("#selected2").val(data.option);
				$("#list").html("");
				$("#list").show();
				accountOption = data.option;
				accountBankAcType=data.BankAcType;
				accountName=data.Name;
				accountNow=data.No
				accountBankName=data.Department.Name;
				console.log(data.Department.Name);
				this.getTransferList(data);
			}
		},	
		/**
		 * 选项卡切换后触发
		 */
		onTabChange : function(tab, index) {	
			if(index=='0'){
				Fw.redirect("main.html");
			}
			return;
		},
		//账号选择
		changeAccount : function() {
			App.id = "selected2";
			dropDownList.show(data1);
		},
		//列表操作
		onListSelect:function(record, index, item, e, cmp){
			selectInfo = record;
			//定存详情显示
			if(record.Ccy!='01'){
				Fw.Msg.info("手机银行暂不支持外币业务");
				return;
			}
		    this.showSelectInfo(record);
		},
		onListQuery:function(ajax, data, result){
			$("#selected2").val(accountOption); // 更换账户查询
		},
		onListQueryError:function(ajax, data, result, error){
			if (error == "该账户查询无记录！") {
				$("#selected").val(accountOption); // 更换账户查询未查询到相关记录
				$("#ll").hide();
				$("#listPP").show();
			} 
		},
		onListError:function(ajax, status, textStatus, error, xhr){
			$("#"+listView.contentEl+"-loadmore-text").html("未查询到相关记录");
        	if(Fw.decode(xhr.response).error=="20202009999"){
            	return false;
            };
		},
		showSelectInfo:function(record){
			$("#tranBal").val("");
			//子户信息查询
			Fw.util.Ajax.get({
				socketAdapter:'accountService/mCAcSubInfoQuery',
				params: {
					AcNo:accountNow,
					AcctCode:record.AcctNo
				},
				// 是否使用数据挡板（默认false）
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					console.log("子户信息");                  
					subAccInfo=result.result.List[0];
                    var toDay=Fw.util.Format.fmtDate(Fw.getDate(), 'yyyy-MM-dd');
                    //var toDay="2025-12-24";
                    toDay =toDay.replace(/-/g,"");
                    var eDate=Fw.util.Format.fmtDate(Fw.getDate(), 'yyyy/MM/dd');
                    //var eDate=(new Date('2025/12/24')).getTime();
                    eDate=(new Date(eDate)).getTime();
                    var bDate=record.IntStartDate;
                    bDate=bDate.substr(0,4)+"/"+bDate.substr(4,2)+"/"+bDate.substr(6,2);
                    bDate=(new Date(bDate)).getTime();
                    var sub=Math.floor((eDate-bDate)/(24*3600*1000));

                    var tranflag=true;
                    var html="提前支取未到期的定期将损失部分利息，支取的资金将按活期计息，是否确认支取？";
                    if(subAccInfo.ProductKind=='001'){
                    	html="实际存期未满足通知期限，支取的资金将按活期计息，是否确定支取？";
                    	if(subAccInfo.NoticeKind=="1"&&record.IntStartDate>=toDay){
                    		tranflag=false;
                    	}
                    	//此处判断7天需要优化                	
                    	if(subAccInfo.NoticeKind=="2"&&sub<7){
                    		tranflag=false;
                    	}
                    }  
                    if(subAccInfo.ProductKind=='002'&&record.ExpireDate>toDay){
                    	tranflag=false;
                    }
                    if(subAccInfo.ProductKind=='005'&&record.ExpireDate>toDay){
                    	tranflag=false;
                    }
                    if(!tranflag){
                    	Fw.Msg.cfm(html, function(code, btn, win){
                            if(Fw.isEqual(code, "yes")){
                            	$("#selfCardInfo").show();
                    			$("#selfCardTranInfo").hide();
                    			$("#result").hide();
                    			$("#tab").hide();
                    			$("#bal").text(Fw.util.Format.fmtAmt(record.Balance));
                    			$("#productName").text(record.ProductName);
                    			$("#timRate").text(Fw.util.Format.fmtPercent(record.TimRate));
                    			$("#accountName").text(accountName);
                    			$("#accountNum").text(accountNow);
                    			var viewConfig = {
                    					title : '定期转活期',
                    					leftButton : {
                    						handler : function(){
                    							App.back();
                    						}
                    					},
                    				}
                    			Fw.device.Device.applyView(viewConfig);
                    			
                            }else{
                            	$("#selfCardInfo").hide();
                    			$("#selfCardTranInfo").hide();
                    			$("#result").hide();
                    			$("#tab").show();
                            }
                        });
                    }else{
                    	$("#selfCardInfo").show();
            			$("#selfCardTranInfo").hide();
            			$("#result").hide();
            			$("#tab").hide();
            			$("#bal").text(Fw.util.Format.fmtAmt(record.Balance));
            			$("#productName").text(record.ProductName);
            			$("#timRate").text(Fw.util.Format.fmtPercent(record.TimRate));
            			$("#accountName").text(accountName);
            			$("#accountNum").text(accountNow);
            			var viewConfig = {
            					title : '定期转活期',
            					leftButton : {
            						handler : function(){
            							App.back();
            						}
            					},
            				}
            			Fw.device.Device.applyView(viewConfig);
                    }
        			
				},
				failure:function(xhr, textStatus, error){
					  
				}
			});
			
			
		},
		//全额转出显示
		showAllMonk:function(){
			$("#tranBal").val(($("#bal").text()));
		},
		formatMoney:function(){
			var inputVal = Fw.util.Format.fmtAmt($("#tranBal").val());
			$("#tranBal").val(inputVal);
		},
		//校验金额
		checkMoney:function(){
			//支取金额判断
		    //4a、输入转账金额为0时，提示拒绝信息“请输入转账金额”；
			//4b、输入转账金额大于选定的付款账户余额时，提示拒绝信息“余额不足”；
			//4c、输入转账金额小于起存金额时，提示拒绝信息“转账金额不能小于最
			//低起存金额5
			//001   通知存款 
			//002   零存整取 
			//005   整存争取
			//Fw.Msg.info($("#tranBal").val());
			
			var money=Fw.util.Format.unFmtAmt($("#tranBal").val());
			var bj=parseFloat(Fw.util.Format.unFmtAmt($("#bal").text()));
			if(money==""||money==0){
				Fw.Msg.info("请输入转出本金");
				return false;
			}
		  /*if(!/^\d+\.?\d{0,2}$/.test(money)){
				Fw.Msg.info("请输入正确的转出本金，金额只能到小数点后2位");
				$("#tranBal").val("");
				return false;
			}*/
			money=parseFloat(money);
			if(money>bj){
				Fw.Msg.info("转出本金不得大于总本金");
				return false;
			}
			if(subAccInfo.ProductKind=='001'){
			   //通知存款 
				if((bj-money)<50000 &&(bj-money)!=0){
					Fw.Msg.info("剩余金额小于最低起存金额，不允许，请销户支取");
					return false;
				}
				
			}else if(subAccInfo.ProductKind=='002'){
				 //零存整取 
				var toDay=Fw.util.Format.fmtDate(Fw.getDate(),'yyyy-MM-dd');
				 toDay =toDay.replace(/-/g,"");
				if(selectInfo.ExpireDate<=toDay&&bj!=money){
		            Fw.Msg.info("存款已到期，请销户处理");
					return false;
		        }else if(bj!=money){
					Fw.Msg.info("该产品不支持提前部分支取");
					return false;
				}
				
			}else if(subAccInfo.ProductKind=='005'){
				//整存整取
				if((bj-money)<50&&(bj-money)!=0){
					Fw.Msg.info("剩余金额小于最低起存金额，不允许，请销户支取");
					return false;
				}
			}
			return true;
			
		},
		/**
		 * 卡内转账逻辑
		 */
		selfCardTranfer:function(){
			if(!App.checkMoney()){
				return false;
			}
			var money=Fw.util.Format.unFmtAmt($("#tranBal").val());		
			money=parseFloat(money);
			if(subAccInfo.ProductKind=='001'){
			   //通知存款 
				if(money<50000){
					Fw.Msg.cfm('转出本金小于最低支取金额50000元，将损失部分利息，支取资金将按活期计息，是否确定支取？', function(code, btn, win){
		                    if(Fw.isEqual(code, "yes")){
		            			    App.selfCardTranferTrue();
		                    }else{
		                    	return false;
		                    }
						});	
									  
				}else{
					App.selfCardTranferTrue();
				}
			
			}else{
				  App.selfCardTranferTrue();
			}	
		},
		selfCardTranferTrue:function(){
			selectLxInfo="";
			zqflag=0;
			//判断是销户还是部分提前支取，分别调用不同接口
			if(parseFloat(Fw.util.Format.unFmtAmt($("#tranBal").val()))<parseFloat(selectInfo.Balance)){
				//提前支取查询
				Fw.util.Ajax.get({
					service : 'fixedCurrentTransferService',
					method : 'executePartPreDrawQry',
					params : {				
						ParentAcctNo:accountNow,
						SubAcctNo:subAccInfo.AcctCode,
						TranAmt:Fw.util.Format.unFmtAmt($("#tranBal").val()),
						TranDate:"",
						PwdCheckFlag:"N",
						SerialNo:"000",
						AutoReservFlag:"1"

					},
					staticData : false,
					// 请求成功后回调
					success : function(data, result) {
			             selectLxInfo=data;
			             $("#selfCardInfo").hide();			 			
			 			 $("#tab").hide();
			 			 $("#selfCardTranInfo").show();
			 			var viewConfig = {
            					title : '定期转活期',
            					leftButton : {
            						handler : function(){
            							App.back();
            						}
            					},
            				}
            			Fw.device.Device.applyView(viewConfig);
			 			 //App.showBxHj();
			 			$("#t_bxhj").text(Fw.util.Format.fmtAmt(selectLxInfo.FootingAmt));
						$("#t_bal").text(Fw.util.Format.fmtAmt($("#tranBal").val()));
						$("#t_lx").text(Fw.util.Format.fmtAmt(selectLxInfo.ActPayInt));
						$("#t_cz").text(selectLxInfo.ProductName);
						//$("#t_nlv").text(selectLxInfo.IntRate+"%");
						$("#t_nlv").text(Fw.util.Format.fmtPercent(selectInfo.TimRate));
						$("#t_acct").text(Fw.util.Format.fmtAcctNo(accountNow,true));
						$("#t_acctname").text(accountName);
						$("#t_racct").text(accountNow);
						$("#t_bankname").text(accountBankName);
						zqflag=1;
			 			 
					},
					// 请求错误后回调
					failure : function(status, textStatus, error) {
						Fw.LoadMask.hide();
					}
				});
			}
			if(parseFloat(Fw.util.Format.unFmtAmt($("#tranBal").val()))==parseFloat(selectInfo.Balance)){
				//销户支取查询
				Fw.util.Ajax.get({
					service : 'fixedCurrentTransferService',
					method : 'executeAcctUnRegisterInfoQry',
					params : {				
						AcctNo:accountNow,
						SubAcctNo:subAccInfo.AcctCode,
						RemarkCode2:"",
						TranClass:"2",//1转账，2销户
						OppsAcctNo:accountNow,
						OppsAcctName:accountName,
						//InputCancelAmt:$("#tranBal").val(),
						InputCancelAmt:subAccInfo.FixedCorpus,
						GageSerialNo:"000",
						PwdCheckFlag:"N",
						AutoReservFlag:"1",
						CancelAcctDate:""
					},
					staticData : false,
					// 请求成功后回调
					success : function(data, result) {
						 selectLxInfo=data;
			             console.log(selectLxInfo);
			             $("#selfCardInfo").hide();			 			
			 			 $("#tab").hide();
			 			 $("#selfCardTranInfo").show();
			 			var viewConfig = {
            					title : '定期转活期',
            					leftButton : {
            						handler : function(){
            							App.back();
            						}
            					},
            				}
            			Fw.device.Device.applyView(viewConfig);
			 			 //App.showBxHj();
			 			$("#t_bxhj").text(Fw.util.Format.fmtAmt(selectLxInfo.ActPayAmt));
						$("#t_bal").text(Fw.util.Format.fmtAmt($("#tranBal").val()));
						$("#t_lx").text(Fw.util.Format.fmtAmt(selectLxInfo.PaidInt));
						$("#t_cz").text(subAccInfo.ProductName);
						///$("#t_nlv").text(selectLxInfo.IntRate+"%");
						$("#t_nlv").text(Fw.util.Format.fmtPercent(selectInfo.TimRate));
						
						$("#t_acct").text(Fw.util.Format.fmtAcctNo(accountNow,true));
						$("#t_acctname").text(accountName);
						$("#t_racct").text(accountNow);
						$("#t_bankname").text(accountBankName);
						zqflag=2;
					},
					// 请求错误后回调
					failure : function(status, textStatus, error) {
						Fw.LoadMask.hide();
					}
				});
			}
		},
		/**
		 * 转账结果显示
		 **/
		successFull:function(){
			$("#selfCardInfo").hide();
			$("#tab").show();
			$("#selfCardTranInfo").hide();
			$("#result").hide();
			//此处需要重新获取购买列表
			App.getTransferList(data1[0]);
			var viewConfig = {
					title : '定活互转',
					leftButton : {
						handler : function(){
							App.back();
						}
					},
				}
			Fw.device.Device.applyView(viewConfig);
		},
		/**
		 * 确认转出
		 */
		selfCardTranferCf:function(){
			//调用密码和短信控件
			var showInfo = [];
        	//发送短信参数
        	var smsParams = {
        			tranType : '080104',  //080103-互联网银行客户端非转账类交易验证       080104-互联网银行客户端转账交易验证
					payerAcct : accountNow,  // 付款账号 交易类型080104-必传
					payeeAcct : accountNow,  // 收款账号 交易类型080104-必传
					payeeAcctName :  "<![CDATA["+accountName+"]]>",// 收款人 交易类型080104-必传
					trsAmount  : Fw.util.Format.unFmtAmt($("#tranBal").val())//交易金额   交易类型080104-必传
        		};
        	var cardNews = {
					passwordType:'T',//借记卡  T  信用卡  B
					cardNo:accountNow,
			}
        	//发送短信验证码需加以上参数
        	Fw.device.Device.payControls('S&AP', showInfo, 'App.onPayControlsSubmit',smsParams,cardNews);
        	
        	
		},
		/**
         * @param record 控件信息
         */
        onPayControlsSubmit: function(record, type, isObject){
        	if(!isObject){
        		record = Fw.decode(record);
        	}
        	var pwd=record.pwd;
        	$("#selfCardTranCf").attr("disabled","disabled");
        	if(zqflag==1){
       		 //提前支取
       		 Fw.util.Ajax.execute({
    				service : 'fixedCurrentTransferService',
    				method : 'executeDepositPartPreDraw',
    				params : {				
    						ParentAcctNo:accountNow,
    						SubAcctNo:subAccInfo.AcctCode,
    						DrawAmt:Fw.util.Format.unFmtAmt($("#t_bal").text()),
    						DrawDate:'',
    						AheadDrawIntPlan:"",
    						DrawCertType:"",
    						AbstractInfo:"",
    						TranType:"2",
    						CrParentAcctNo:accountNow,
    						BillKind:"",
    						FootingAmt:Fw.util.Format.unFmtAmt($("#t_bxhj").text()),
    						PwdE:pwd,
    						FeeFlag:"2",
    						BookFlag:"1",
    						FeeAmt:0,
    						SerialNo:'000',
    						IntStartDate:'',
    						OddCashAmt:selectLxInfo.OddCashAmt,
    						Interest:selectLxInfo.PayableInt,
    						IntTax:selectLxInfo.TaxAmt
    				},
    				staticData : false,
    				// 请求成功后回调
    				success : function(data, result) {
    		             console.log(data);
    		             $("#res_bal").text(Fw.util.Format.fmtAmt(selectLxInfo.FootingAmt));
    		             $("#res_cz").text(selectLxInfo.ProductName);
    		             $("#res_lv").text(Fw.util.Format.fmtPercent(selectInfo.TimRate));
    		             $("#res_acct").text(Fw.util.Format.fmtAcctNo(accountNow,true));
    		             $("#res_racctname").text(accountName);
    		             $("#res_racct").text(accountNow);
    		             $("#res_rbankname").text(accountBankName);
    		             $("#selfCardInfo").hide();
    					 $("#tab").hide();
    					 $("#selfCardTranInfo").hide();
    					 $("#result").show(); 
    					 var viewConfig = {
             					title : '定期转活期',
             					leftButton : {
             						handler : function(){
             							App.back();
             						}
             					},
             				}
             			Fw.device.Device.applyView(viewConfig);
    					 container.scrollTop(0);
    					 $("#selfCardTranCf").removeAttr("disabled");
    				},
    				// 请求错误后回调
    				failure : function(status, textStatus, error) {
    					Fw.LoadMask.hide();
    					$("#selfCardTranCf").removeAttr("disabled");
    				}
    			});
       	 }else if(zqflag==2){
       		 //销户支取
       		//定期销户
    			Fw.util.Ajax.execute({
    				service : 'fixedCurrentTransferService',
    				method : 'executeAcctUnRegister',
    				params : {				
    					AcctNo:accountNow,
    					SubAcctNo:subAccInfo.AcctCode,
    					GageSerialNo:'000',
    					PayCertNoType:"",
    					RemarkCode2:"99",
    					TranType:"2",
    					OppsAcctNo:accountNow,
    					OppsAcctName:accountName,
    					ConSurvivalNo:selectInfo.ContinueSurvivalNo,
    					OppsCertNo:"00000000",
    					//InputCancelAmt:selectLxInfo.CorpusAmt,//"输入销户金额",
    					InputCancelAmt:subAccInfo.FixedCorpus,//"输入销户金额",
    					PayableInt:selectLxInfo.PayableInt,//"	应付利息",
    					IntRate:selectLxInfo.IntRate,//"	利率",
    					PaidInt:selectLxInfo.PaidInt,//"	实付利息 ",
    					IntTax:selectLxInfo.IntTax,//利息税
    					TaxRate:selectLxInfo.TaxRate,//税率
    					ActPayAmt:selectLxInfo.ActPayAmt,//"	实付金额",
    					OddCashAmt:selectLxInfo.OddCashAmt,
    					ActPayOriAmt:selectLxInfo.ActPayOriAmt,
    					Amt:0,
    					CashTicketInfo:"0",
    					AssCashAmt:0,
    					FcOddCashAmt:0,
    					OddCashTicketInfo:"0",
    					OddAssCashAmt:0,
    					Corpus:selectLxInfo.CorpusAmt,//"本金",
    					GageSerialNo2:"000",
    					IntStartDate:"",
    					SuppleBillNo:'00000000',
    					Corpus2	:selectLxInfo.CorpusAmt,//"本金2",
    					AgencyInt:0,
    					CancelAcctDate:"",
    					FeeFlag:"2",
    					FeeAmt:0

    				},
    				staticData : false,
    				// 请求成功后回调
    				success : function(data, result) {
    					 console.log(data); 					 
    		             $("#res_bal").text(Fw.util.Format.fmtAmt(selectLxInfo.ActPayAmt));
    		             $("#res_cz").text(subAccInfo.ProductName);
    		             $("#res_lv").text(Fw.util.Format.fmtPercent(selectInfo.TimRate));
    		             $("#res_acct").text(Fw.util.Format.fmtAcctNo(accountNow,true));
    		             $("#res_racctname").text(accountName);
    		             $("#res_racct").text(accountNow);
    		             $("#res_rbankname").text(accountBankName);
    		             $("#selfCardInfo").hide();
    					 $("#tab").hide();
    					 $("#selfCardTranInfo").hide();
    					 $("#result").show(); 
    					 var viewConfig = {
             					title : '定期转活期',
             					leftButton : {
             						handler : function(){
             							App.back();
             						}
             					},
             				}
             			Fw.device.Device.applyView(viewConfig);
    					 container.scrollTop(0);
    					 $("#selfCardTranCf").removeAttr("disabled");
    				},
    				// 请求错误后回调
    				failure : function(status, textStatus, error) {
    					Fw.LoadMask.hide();
    					$("#selfCardTranCf").removeAttr("disabled");
    				}
    			});
       	 }else{
       		 Fw.Msg.info("非法操作");
       		 return;
       	 }
        },
		/**
		 * 返回按钮
		 */
		back : function() {// 应该从显示 的来判断
			if($("#tab").is(":hidden")){
				if($("#selfCardInfo").is(":hidden")&&$("#result").is(":hidden")){
					$("#selfCardInfo").show();
					$("#selfCardTranInfo").hide();
					$("#result").hide();
				}else if($("#selfCardTranInfo").is(":hidden")&&$("#result").is(":hidden")) {
					$("#selfCardInfo").hide();
					$("#selfCardTranInfo").hide();
					$("#result").hide();
					$("#tab").show();
					var viewConfig = {
	    					title : '定活互转',
	    					leftButton : {
	    						handler : function(){
	    							App.back();
	    						}
	    					},
	    				}
	    			Fw.device.Device.applyView(viewConfig);
					
				}else{
					$("#selfCardInfo").hide();
					$("#selfCardTranInfo").hide();
					$("#result").hide();
					$("#tab").show();
					//此处需要重新获取购买列表
					//Fw.Msg.info("重新请求列表");
					App.getTransferList(data1[0]);
					var viewConfig = {
	    					title : '定活互转',
	    					leftButton : {
	    						handler : function(){
	    							App.back();
	    						}
	    					},
	    				}
	    			Fw.device.Device.applyView(viewConfig);
				}
				
			}else{
				var viewConfig = {
    					title : '定活互转',
    					leftButton : {
    						handler : function(){
    							App.back();
    						}
    					},
    				}
    			Fw.device.Device.applyView(viewConfig);
				if (Fw.isTouch) {
					Fw.device.Device.gotoIndex();
				} else {
					Fw.redirect(Fw.getBasePath()+"/page/pageMenu/moreMenu.html");
				}
			}

			
		}
	};
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);