/**
 * 创建应用
 */
var App = function() {
	
	// 表单
	var form;
	// 付款账户
	var account;
	// 付款账户下拉对象
	var accountList;
	// 存款种类下拉对象
	var depositList;
	// 存款种类
	var deposit;
	//MyCard页面参数
	var MyCardData;
	//产品代码
	var productCode;
	//利率产品代码
	var rateProductCode;
	//利率
	var ExecIntRate;
	//利息计划
	var IntPlan;
	//客戶號
	var CustNo;
	//到期指示代码
	var ExpireIndiCode;
	//预约转存标志
	var ReservRedepositFlag;
	var AcctClassFlag;
	//印鉴卡号码
	var SealCardNo;
	//凭证号码
//	var CertNo;
	//数据集
	var formValue = {"BookingFlag":"REAL","Code":"CNY","BranchId":"","PayeeBranchName":"","PayeeBankName":"","BankId":"","_LoginType":"O","_AuthMode":"O"};
	
	return {
		/**
		 * 依赖组件
		 */
		requires : [ 'Fw.Form',
		// 列表
		'Fw.ListView',
		// 导入底部滑出下拉选择
		'Fw.DropDownList', 'Fw.Tab', 'Fw.Steps',
		// 支付控件
		'Fw.PayControls', 'Fw.app.Session',
		// 安全键盘
		'Fw.Keyboard',
		],
		viewConfig : {
			title : '定活互转',
			leftButton: {
                text: '返回',
                handler:function(){
        			App.back();
        		}
			},
			loadMask : true
		},
		back: function(){
			Fw.gotoIndex();
        },
		/**
		 * 初始化 应用入口
		 */
		init : function(require) {
			// 页面传值
			var params = Fw.getParameters() || {};
			App.sccparams = params;
			this.form();
			// 付款账户下拉对象
			this.accountList();
			// 查询用户付款账户
			this.queryAccount();
			// 存款种类下拉对象
			this.depositList();
			// 监听事件
			this.initEvents();
		},
		/**
		 * 初始化事件
		 */
		initEvents : function() {
			// 点击显示组件坚挺---存款种类
			$('#depositClass').on('click',Fw.bind(this.showDropDownListClick, this));
			// 监听select点击事件
			depositList.on('itemClick', Fw.bind(this.itemClick, this));
			// 点击开户按钮
			$("#acctRegis_btn").on('click', Fw.bind(this.queryAccountReg, this));
			// 零存整取续存
			$('#contDeposit_btn').on('click', Fw.bind(this.contDepositList, this));
			//跳转到定期转活期
			$('#fixedToCurrent').on('click', Fw.bind(this.fixedToCurrentList, this));
		},
		fixedToCurrentList : function(){
			Fw.redirect(Fw.getBasePath() +"/page/phone/fixedCurrentTransfer/fixedToCurrent.html");
		},
		itemClick : function(data, index) {
			if (index != -1) {
				if (data.BookingFlag == "REAL" || data.BookingFlag == "NORM" || data.BookingFlag == "NDAY") {
					return;
				}
				if(data.flag == "0" || data.flag == "2"){
					$('#contDeposit_btn').hide();
					$('#zeroCycleMoney').val('000');
				}
				App.InteRate = data.InteRate;
				App.FloatIntRateFlag = data.FloatIntRateFlag;
				App.FloatIntRate = data.FloatIntRate;
				App.BookingFlag = data.BookingFlag;
				App.flag = data.flag;
				App.dateFlag = data.dateFlag;
				if(data.flag == "1"){
					$('#contDeposit_btn').show();
					$('#startAcount').val('5');
					$('#zeroCycleMoney').val('001');
					$('#ProductGroupClassMoney').val('6');
					$('#IntRateProduct').val("2011030101");
					ExpireIndiCode='';
					ReservRedepositFlag = '1';
					if(data.BookingFlag == 'oneYear'){
						$('#deptTermMoney').val("零存整取/一年");
						$('#intRateMoney').val(data.rate);
						$('#productCodeMoney').val("2011601");
						$('#deptDateYearClass').val("Y");
						$('#deptDateYear').val('001');
					}
					if(data.BookingFlag == 'threeYear'){
						$('#deptTermMoney').val("零存整取/三年");
						$('#intRateMoney').val(data.rate);
						$('#productCodeMoney').val("2011602");
						$('#deptDateYearClass').val("Y");
						$('#deptDateYear').val('003');
					}
					if(data.BookingFlag == 'fiveYear'){
						$('#deptTermMoney').val("零存整取/五年");
						$('#intRateMoney').val(data.rate);
						$('#productCodeMoney').val("2011603");
						$('#deptDateYearClass').val("Y");
						$('#deptDateYear').val('005');
					}
				}
				if(data.flag == "0"){
					ExpireIndiCode='1';
					ReservRedepositFlag = '2';
					$('#startAcount').val('50');
					$('#ProductGroupClassMoney').val('1');
					$('#IntRateProduct').val("2011010101");
					if(data.BookingFlag == 'threeMonth'){
						$('#deptTermMoney').val("整存整取/三个月");
						$('#intRateMoney').val(data.rate);
						$('#deptDateYear').val('003');
						$('#productCodeMoney').val("2011101");
						$('#deptDateYearClass').val("M");
					}
					if(data.BookingFlag == 'sixMonth'){
						$('#deptTermMoney').val("整存整取/六个月");
						$('#intRateMoney').val(data.rate);
						$('#deptDateYear').val('006');
						$('#productCodeMoney').val("2011102");
						$('#deptDateYearClass').val("M");
					}
					if(data.BookingFlag == 'oneYear'){
						$('#deptTermMoney').val("整存整取/一年");
						$('#intRateMoney').val(data.rate);
						$('#deptDateYear').val('001');
						$('#productCodeMoney').val("2011103");
						$('#deptDateYearClass').val("Y");
					}
					if(data.BookingFlag == 'twoYear'){
						$('#deptTermMoney').val("整存整取/两年");
						$('#intRateMoney').val(data.rate);
						$('#deptDateYear').val('002');
						$('#productCodeMoney').val("2011104");
						$('#deptDateYearClass').val("Y");
					}
					if(data.BookingFlag == 'threeYear'){
						$('#deptTermMoney').val("整存整取/三年");
						$('#intRateMoney').val(data.rate);
						$('#deptDateYear').val('003');
						$('#productCodeMoney').val("2011105");
						$('#deptDateYearClass').val("Y");
					}
					if(data.BookingFlag == 'fiveYear'){
						$('#deptTermMoney').val("整存整取/五年");
						$('#intRateMoney').val(data.rate);
						$('#deptDateYear').val('005');
						$('#productCodeMoney').val("2011106");
						$('#deptDateYearClass').val("Y");
					}
				}
				if(data.flag == "2"){
					$('#startAcount').val('50000');
					$('#ProductGroupClassMoney').val('2');
					ExpireIndiCode='';
					ReservRedepositFlag = '1';
					if(data.BookingFlag == 'oneDayNotice'){
						$('#deptTermMoney').val("一天通知存款");
						$('#intRateMoney').val(data.rate);
						$('#deptDateYear').val('001');
						$('#productCodeMoney').val("2011201");
						$('#IntRateProduct').val("2011060101");
						$('#deptDateYearClass').val("D");
					}
					if(data.BookingFlag == 'sevenDayNotice'){
						$('#deptTermMoney').val("七天通知存款");
						$('#intRateMoney').val(data.rate);
						$('#deptDateYear').val('007');
						$('#productCodeMoney').val("2011202");
						$('#IntRateProduct').val("2011160101");
						$('#deptDateYearClass').val("D");
					}
				}
				$("#deposit").val(data.dateFlag).change();
				flag = data.flag;
			}
		},
		// 付款账户下拉
		accountList : function() {
			// 实例化下拉
			accountList = new Fw.DropDownList({
				// //必须参数：结果集
				result : account,
				// 是否显示账号
				displayNo : false,
				// 显示字段
				displayName : 'option',
				// 是否显示手动输入
				cursorBtn : false,
			// //可配置参数：设置不可点击参数值，1.默认[0],2.具体值，"不可点击字段“值等于"不可点击参数值"该项不可点击
//				disableFieldValue : '1',
			});

			// 点击显示组件坚挺---付款账户
			$('#showAccount').on('click', Fw.bind(this.showAccountList, this));
			// 监听select点击事件
			accountList.on('itemClick', Fw.bind(this.accountClick, this));
		},
		
		// 存款种类下拉
		depositList : function() {
			// 实例化下拉
			depositList = new Fw.DropDownList({
				// //必须参数：结果集
				result : deposit,
				// 是否显示账号
				displayNo : false,
				// 显示字段
				displayName : 'brchna',
				// 是否显示手动输入
				cursorBtn : false,
			// //可配置参数：设置不可点击参数值，1.默认[0],2.具体值，"不可点击字段“值等于"不可点击参数值"该项不可点击
//				disableFieldValue : '1',
			});
		},
		
		// 查询用户付款账户
		queryAccount : function() {
			Fw.util.Ajax.get({
				service : 'accountService.getAccount',
				params : {
					type:'2',
				},
				staticData: false,
				// 请求成功后回调
				success : function(data, result) {
					account = data.List;
					if (Fw.isEmpty(account) || account.length == 0) {
						Fw.Msg.info("您的账户无转账权限功能,请至我行任一网点开通",function(){
							if (isPhone) {
								Fw.gotoIndex();
							} else {
								Fw.redirect(Fw.getBasePath() +"/page/pc/transfer_accounts/index.html");
							}
						})
					} else {
						for (var i = 0; i < account.length; i++) {
							$("#account").val(account[i].option);
							formValue.AcNo = account[i].No;
							formValue.BankName = account[i].Department.Name;
							formValue.ParentAcctNo = Fw.util.Format.fmtAcctNo(account[i].No,true);
							break;
						}
						App.queryMoney();
					}
				},
			});
		},

		/**
		 * 付款账户
		 */
		showAccountList : function() {
			// 显示组件
			// 1.直接显示
			// accountList.show();
			// 2.显示时传入值
			if(account.length!=0){
				accountList.show(account);
			}
		},
		/**
		 * 存款种类
		 */
		showDropDownListClick : function() {
			if(deposit.length!=0){
				depositList.show(deposit);
			}
		},
		
		accountClick : function(data, index) {
			if (index != -1) {
				$("#account").val(data.option);
				formValue.AcNo=data.No;
				formValue.BankName=data.Department.Name;
				formValue.ParentAcctNo=Fw.util.Format.fmtAcctNo(data.No,true);
				//根据账号查询余额
				App.queryMoney();
			}
		},
		//根据账号查询余额-----刷新余额
		queryMoney : function() {
			var acno = $("#account").val();
			Fw.util.Ajax.get({
				service : 'accountService',
				method : 'getAccountInfo',
				params : {
					AcNo : formValue.AcNo,
				},
				// 是否使用数据挡板（默认false）
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					AcctClassFlag = data.AcctClassFlag;
					ExistStatus = data.ExistStatus;
					CvnLockFlag = data.CvnLockFlag;
					CertLossStatus = data.CertLossStatus;
					ActiveFlag = data.ActiveFlag;
					AcctState = data.AcctState;
					ConfiscateCardFlag = data.ConfiscateCardFlag;
					CardExistStatus = data.CardExistStatus;
					StopayBlockedFlag = data.StopayBlockedFlag;
					AcceptNopayBlockedFlag = data.AcceptNopayBlockedFlag;
					PasswordLossStatus = data.PasswordLossStatus;
					PartialFreezeFlag = data.PartialFreezeFlag;
					
					if (Fw.isEmpty(data.AvailBal)) {
						$("#balance").show();
						$("#balanceMoney").val("查询失败");
					} else {
						$("#balance").show();
						$("#balance").html("<span style='padding-left:80px'></span> 人民币 &nbsp;&nbsp;活期储蓄&nbsp;&nbsp;" + data.Balance);
						formValue.PayerAccountAcName = data.ClientName;
						formValue.Balance= data.Balance;//账户余额
					}
					//开户利率查询
					App.queryRate();
				}
			});
		},

		// 表单一
		form : function() {
			// 定义表单
			form = new Fw.Form({
				// EL
				contentEl : 'form',
				resettable : false,
				msgTarget : 'tips'
			});
		},
		//点击开户
		acctRegisterList : function() {
			var params = {
					ClientName: Fw.app.Session.get("name"),  //收款人
					PayNo: formValue.AcNo,			 	 //收款账号
					ParentAcctNo: formValue.ParentAcctNo,	 //付款账号(隐藏)
					BankName: formValue.BankName,		 //收款行
					Balance: formValue.Balance,	     	//账户余额
					StartMoney: $('#startAcount').val(),  //起存金额
					DeptTermMoney: $('#deptTermMoney').val(),  //储种或存期
					IntRateMoney: $('#intRateMoney').val(),		//利率
					InteRate : App.InteRate,
					FloatIntRateFlag : App.FloatIntRateFlag,
					FloatIntRate : App.FloatIntRate,
					BookingFlag : App.BookingFlag,
					flag : App.flag,
					DeptDateYear: $('#deptDateYear').val(),		//存期
					ProductCode: $('#productCodeMoney').val(),	//产品代码
					IntRateProduct: $('#IntRateProduct').val(),	//产品利率代码
					ZeroCycleMoney:$('#zeroCycleMoney').val(),	//零整周期
					ProductGroupClassMoney:$('#ProductGroupClassMoney').val(), //产品组
					DeptDateYearClass: $('#deptDateYearClass').val(),		//存期类型
					IntPlan: IntPlan,							//利息计划
					SealCardNo: SealCardNo,					//印鉴卡号码
					CustNo : CustNo,							//核心客戶號
					ExpireIndiCode:ExpireIndiCode,				
					ReservRedepositFlag : ReservRedepositFlag,
					ExistStatus: ExistStatus,
					CvnLockFlag: CvnLockFlag,
					CertLossStatus: CertLossStatus,
					ActiveFlag: ActiveFlag,
					AcctState: AcctState,
					ConfiscateCardFlag: ConfiscateCardFlag,
					StopayBlockedFlag: StopayBlockedFlag,
					AcceptNopayBlockedFlag: AcceptNopayBlockedFlag,
					PasswordLossStatus: PasswordLossStatus,
					PartialFreezeFlag: PartialFreezeFlag,
					
				};
				Fw.redirect("../../phone/fixedCurrentTransfer/accountRegister.html",params);
			},
		//零存整取续存
		contDepositList : function() {
			if(Fw.isEmpty($("#deposit").val())){
				Fw.Tips.info("请选择零存整取续存存款种类！")
				return;
			}
			var params = {
					ClientName: Fw.app.Session.get("name"), //收款人
					PayNo: formValue.AcNo,			//收款账号
					ParentAcctNo: formValue.ParentAcctNo,	 //付款账号(隐藏)
					BankName: formValue.BankName,		 //收款行
					DeptTermMoney: $('#deptTermMoney').val(),  //储种或存期
					DeptDateYear: $('#deptDateYear').val(),		//存期
					Balance: formValue.Balance,	     	//账户余额
					StartMoney: $('#startAcount').val(),  //起存金额
				};
			Fw.redirect("../../phone/fixedCurrentTransfer/continueDeposit.html",params);
		},
		// 定期开户查询
		queryAccountReg : function() {
			if(Fw.isEmpty($("#deposit").val())){
				Fw.Tips.info("请选择存款种类！")
				return;
			}
			Fw.util.Ajax.get({
				socketAdapter : 'fixedCurrentTransferService/mCTimAcctRegisterInfoQry',
				params : {
					ProductGroupCode : "",// 产品组代码
					ProductCode : $('#productCodeMoney').val(),// 产品代码
					ParentAcctNo : formValue.AcNo,// 总户账号
				},
				success : function(data, result) {
					IntPlan = data.IntPlan;
					SealCardNo = data.SealCardNo;
					CustNo = data.CustNo;
					App.acctRegisterList();
				},
			});
		},
		// 定期利率查询
		queryRate : function() {
			Fw.util.Ajax.get({
				socketAdapter : 'fixedCurrentTransferService/mCTimDepositRateQry',
				params : {
					"BranchId" : "",// 机构代码
					"ParentAcctNo" : formValue.AcNo,// 总户账号
					"EffectDate" : "",// 生效日期
					"ArraySize" : "11",// 数组条数
					"EduDepIsOffer" : "2",// 教育储蓄是否有优惠 1-有优惠 2-没有优惠
					"BakField" : "",// 备用字段
					"list" : [ {
						"UpLoadNo" : "01",// 上传序号
						"DepProductCode" : "2011101",// 存款产品代码
						"IntRateProductCode" : "2011010101",// 利率产品代码
						"Ccy" : "01",// 币种
						"TranAmt" : "0",// 交易金额
						"DeptTerm" : "000",// 存期
						"DepTermUnit" : "",// 存期单位
						"LevelValue" : "",// 档次值
						"Bak" : "",// 备用
					}, {
						"UpLoadNo" : "02",// 上传序号
						"DepProductCode" : "2011102",// 存款产品代码
						"IntRateProductCode" : "2011010101",// 利率产品代码
						"Ccy" : "01",// 币种
						"TranAmt" : "0",// 交易金额
						"DeptTerm" : "000",// 存期
						"DepTermUnit" : "",// 存期单位
						"LevelValue" : "",// 档次值
						"Bak" : "",// 备用
					}, {
						"UpLoadNo" : "03",// 上传序号
						"DepProductCode" : "2011103",// 存款产品代码
						"IntRateProductCode" : "2011010101",// 利率产品代码
						"Ccy" : "01",// 币种
						"TranAmt" : "0",// 交易金额
						"DeptTerm" : "000",// 存期
						"DepTermUnit" : "",// 存期单位
						"LevelValue" : "",// 档次值
						"Bak" : "",// 备用
					}, {
						"UpLoadNo" : "04",// 上传序号
						"DepProductCode" : "2011104",// 存款产品代码
						"IntRateProductCode" : "2011010101",// 利率产品代码
						"Ccy" : "01",// 币种
						"TranAmt" : "0",// 交易金额
						"DeptTerm" : "000",// 存期
						"DepTermUnit" : "",// 存期单位
						"LevelValue" : "",// 档次值
						"Bak" : "",// 备用
					}, {
						"UpLoadNo" : "05",// 上传序号
						"DepProductCode" : "2011105",// 存款产品代码
						"IntRateProductCode" : "2011010101",// 利率产品代码
						"Ccy" : "01",// 币种
						"TranAmt" : "0",// 交易金额
						"DeptTerm" : "000",// 存期
						"DepTermUnit" : "",// 存期单位
						"LevelValue" : "",// 档次值
						"Bak" : "",// 备用
					}, {
						"UpLoadNo" : "06",// 上传序号
						"DepProductCode" : "2011106",// 存款产品代码
						"IntRateProductCode" : "2011010101",// 利率产品代码
						"Ccy" : "01",// 币种
						"TranAmt" : "0",// 交易金额
						"DeptTerm" : "000",// 存期
						"DepTermUnit" : "",// 存期单位
						"LevelValue" : "",// 档次值
						"Bak" : "",// 备用
					}, {
						"UpLoadNo" : "07",// 上传序号
						"DepProductCode" : "2011601",// 存款产品代码
						"IntRateProductCode" : "2011030101",// 利率产品代码
						"Ccy" : "01",// 币种
						"TranAmt" : "0",// 交易金额
						"DeptTerm" : "000",// 存期
						"DepTermUnit" : "",// 存期单位
						"LevelValue" : "",// 档次值
						"Bak" : "",// 备用
					}, {
						"UpLoadNo" : "08",// 上传序号
						"DepProductCode" : "2011602",// 存款产品代码
						"IntRateProductCode" : "2011030101",// 利率产品代码
						"Ccy" : "01",// 币种
						"TranAmt" : "0",// 交易金额
						"DeptTerm" : "000",// 存期
						"DepTermUnit" : "",// 存期单位
						"LevelValue" : "",// 档次值
						"Bak" : "",// 备用
					}, {
						"UpLoadNo" : "09",// 上传序号
						"DepProductCode" : "2011603",// 存款产品代码
						"IntRateProductCode" : "2011030101",// 利率产品代码
						"Ccy" : "01",// 币种
						"TranAmt" : "0",// 交易金额
						"DeptTerm" : "000",// 存期
						"DepTermUnit" : "",// 存期单位
						"LevelValue" : "",// 档次值
						"Bak" : "",// 备用
					}, {
						"UpLoadNo" : "10",// 上传序号
						"DepProductCode" : "2011201",// 存款产品代码
						"IntRateProductCode" : "2011060101",// 利率产品代码
						"Ccy" : "01",// 币种
						"TranAmt" : "0",// 交易金额
						"DeptTerm" : "000",// 存期
						"DepTermUnit" : "",// 存期单位
						"LevelValue" : "",// 档次值
						"Bak" : "",// 备用
					}, {
						"UpLoadNo" : "11",// 上传序号
						"DepProductCode" : "2011202",// 存款产品代码
						"IntRateProductCode" : "2011160101",// 利率产品代码
						"Ccy" : "01",// 币种
						"TranAmt" : "0",// 交易金额
						"DeptTerm" : "000",// 存期
						"DepTermUnit" : "",// 存期单位
						"LevelValue" : "",// 档次值
						"Bak" : "",// 备用
					} ]
				},
				success : function(data, result) {
					accoutData = data.List;
					deposit = [ {
						brchna : '---整存整取---',
						BookingFlag : "REAL",
						flag:"0",
					}, 
					{
						brchna : '三个月 /' + Fw.util.Format.fmtPercent(accoutData[0].ExecIntRate, 2),
						rate : Fw.util.Format.fmtPercent(accoutData[0].ExecIntRate,2),
						InteRate : accoutData[0].ExecIntRate,
						FloatIntRateFlag : accoutData[0].FloatIntRateFlag,
						FloatIntRate : accoutData[0].FloatIntRate,
						dateFlag: '整存整取/三个月',
						BookingFlag : "threeMonth",
						flag:"0",
					},
					{
						brchna : '六个月 /'+Fw.util.Format.fmtPercent(accoutData[1].ExecIntRate,2),
						rate : Fw.util.Format.fmtPercent(accoutData[1].ExecIntRate,2),
						InteRate : accoutData[1].ExecIntRate,
						FloatIntRateFlag : accoutData[1].FloatIntRateFlag,
						FloatIntRate : accoutData[1].FloatIntRate,
						dateFlag: '整存整取/六个月',
						BookingFlag : "sixMonth",
						flag:"0",
					},
					{
						brchna : '一年 /'+Fw.util.Format.fmtPercent(accoutData[2].ExecIntRate,2),
						rate : Fw.util.Format.fmtPercent(accoutData[2].ExecIntRate,2),
						InteRate : accoutData[2].ExecIntRate,
						FloatIntRateFlag : accoutData[2].FloatIntRateFlag,
						FloatIntRate : accoutData[2].FloatIntRate,
						dateFlag: '整存整取/一年',
						BookingFlag : "oneYear",
						flag:"0",
					},
					{
						brchna : '两年 /'+Fw.util.Format.fmtPercent(accoutData[3].ExecIntRate,2),
						rate : Fw.util.Format.fmtPercent(accoutData[3].ExecIntRate,2),
						InteRate : accoutData[3].ExecIntRate,
						FloatIntRateFlag : accoutData[3].FloatIntRateFlag,
						FloatIntRate : accoutData[3].FloatIntRate,
						dateFlag: '整存整取/两年',
						BookingFlag : "twoYear",
						flag:"0",
					},
					{
						brchna : '三年 /'+Fw.util.Format.fmtPercent(accoutData[4].ExecIntRate,2),
						rate : Fw.util.Format.fmtPercent(accoutData[4].ExecIntRate,2),
						InteRate : accoutData[4].ExecIntRate,
						FloatIntRateFlag : accoutData[4].FloatIntRateFlag,
						FloatIntRate : accoutData[4].FloatIntRate,
						dateFlag: '整存整取/三年',
						BookingFlag : "threeYear",
						flag:"0",
					},
					{
						brchna : '五年 /'+Fw.util.Format.fmtPercent(accoutData[5].ExecIntRate,2),
						rate : Fw.util.Format.fmtPercent(accoutData[5].ExecIntRate,2),
						InteRate : accoutData[5].ExecIntRate,
						FloatIntRateFlag : accoutData[5].FloatIntRateFlag,
						FloatIntRate : accoutData[5].FloatIntRate,
						dateFlag: '整存整取/五年',
						BookingFlag : "fiveYear",
						flag:"0",
					},{
						brchna : '---零存整取---',
						BookingFlag : "NORM",
						flag:"1",
					}, 
					{
						brchna : '一年 /'+Fw.util.Format.fmtPercent(accoutData[6].ExecIntRate,2),
						rate : Fw.util.Format.fmtPercent(accoutData[6].ExecIntRate,2),
						InteRate : accoutData[6].ExecIntRate,
						FloatIntRateFlag : accoutData[6].FloatIntRateFlag,
						FloatIntRate : accoutData[6].FloatIntRate,
						dateFlag: '零存整取/一年',
						BookingFlag : "oneYear",
						flag:"1",
					},
					{
						brchna : '三年 /'+Fw.util.Format.fmtPercent(accoutData[7].ExecIntRate,2),
						rate : Fw.util.Format.fmtPercent(accoutData[7].ExecIntRate,2),
						InteRate : accoutData[7].ExecIntRate,
						FloatIntRateFlag : accoutData[7].FloatIntRateFlag,
						FloatIntRate : accoutData[7].FloatIntRate,
						dateFlag: '零存整取/三年',
						BookingFlag : "threeYear",
						flag:"1",
					},
					{
						brchna : '五年 /'+Fw.util.Format.fmtPercent(accoutData[8].ExecIntRate,2),
						rate : Fw.util.Format.fmtPercent(accoutData[8].ExecIntRate,2),
						InteRate : accoutData[8].ExecIntRate,
						FloatIntRateFlag : accoutData[8].FloatIntRateFlag,
						FloatIntRate : accoutData[8].FloatIntRate,
						dateFlag: '零存整取/五年',
						BookingFlag : "fiveYear",
						flag:"1",
					},{
						brchna : '---通知存款---',
						BookingFlag : "NDAY",
						flag:"2",
					},
					{
						brchna : '一天通知存款 /'+Fw.util.Format.fmtPercent(accoutData[9].ExecIntRate,2)+'（以支取日为准）',
						rate : Fw.util.Format.fmtPercent(accoutData[9].ExecIntRate,2),
						InteRate : accoutData[9].ExecIntRate,
						FloatIntRateFlag : accoutData[9].FloatIntRateFlag,
						FloatIntRate : accoutData[9].FloatIntRate,
						dateFlag: '通知存款/一天通知存款',
						BookingFlag : "oneDayNotice",
						flag:"2",
					}, 
					{
						brchna : '七天通知存款 /'+Fw.util.Format.fmtPercent(accoutData[10].ExecIntRate,2)+'（以支取日为准）',
						rate : Fw.util.Format.fmtPercent(accoutData[10].ExecIntRate,2),
						InteRate : accoutData[10].ExecIntRate,
						FloatIntRateFlag : accoutData[10].FloatIntRateFlag,
						FloatIntRate : accoutData[10].FloatIntRate,
						dateFlag: '通知存款/七天通知存款',
						BookingFlag : "sevenDayNotice",
						flag:"2",
					} ]
					return;
				},
			});
		},
	}
}();
/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);