/**
 * 创建应用
 */
var App = function() {
	// 判断卡是否处于异常状态，4个标示，查询余额是回显的
	var passwordLossStatus;// 密码挂失状态
	var certLossStatus;// 凭证挂失状态
	var sealLossStatus;// 印鉴挂失状态
	var acctState;// 账户状态
	var clientName;// 提交时候 的AcName
	var params = Fw.getParameters()||{};
	var tansferParams;
	var queryMoney;
	var queryNumber;
	// 用于判断是哪一个选项卡
	var tabNub;
	// 判断信用卡的类型
	var form1;
	var form2;
	var dropDownList1;
	var data1 = [];
	// 接口参数
	var acName;
	var acNo;
	var arr;
	var iPhoneNum;
	var cifSeq;//余额查询时候 的返回的客户号
	// 根据是否是成功界面调用不同的返回函数
	var pageDetail = 0;
	// 拼接模板
	var tpl = [
			'{@each data as item,index}',
			'<form style="width:100%;border-bottom:1px solid #e6e6e6;padding:5px 0;"  class="ui-form ui-margin-t-15 ">',
			'<div class="appointQuery" data-value=${item|JsonToStr}>',
			'<div class="ui-form-item ">',
			'<label>预约账号</label>',
			'<div style="text-align:right;">${item.AcNo|fmtAcctNoSl}</div>',
			'</div>',
			'<div class="ui-form-item ">',
			'<label>预约码</label>',
			'<div style="text-align:right;color:#ef2525;">${item.OrderCode}</div>',
			'</div>',
			'<div class="ui-form-item ">',
			'<label>预约时间</label>',
			'<div style="text-align:right;">${item.OrderTime.substring("0","19")}</div>',
			'</div>',
			'<div class="ui-form-item">',
			'<label>失效时间</label>',
			'<div style="text-align:right;">${item.DeadTime.substring("0","19")}</div>',
			'</div>',
			'<div class="ui-form-item">',
			'<label>预约金额</label>',
			'<div style="text-align:right;color:#ef2525;">${item.OrderAmount|fmtAmt}</div>',
			'</div>', '<div class="ui-form-item">', '<label>交易状态</label>',
			'{@if item.OrderState == 1}',
			'<div style="text-align:right;">待取现</div>',
			'{@else if item.OrderState == 0}',
			'<div style="text-align:right;">待取现</div>', '{@/if}', '</div>',
			'</div>', '</form>', '{@/each}' ];
	return {
		requires : [ 'Fw.Tab', 'Fw.DropDownList', 'Fw.Form','Fw.Keyboard',
		 'Fw.app.Session',
		'Fw.ListView','Fw.PayControls' ],
		/**
		 * 视图设置 设置标题栏、按钮等 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
		 */
		viewConfig : {
			title : '无卡取款',
			leftButton : {
				text : '',
			// 自定义按钮点击事件（默认App.leftButtonHandler）
			},
			rightButton : false,
			loadMask : true
		},
		/**
		 * 初始化 应用入口
		 */
		init : function(require) {
			this.initJuicer();
			// 查询预约账户
			this.drowDown();
			// 定义表单1和表单二
			this.formNewForm();
			// 初始化tab
			this.initTab();
			// 初始化事件
			this.initEvents();
			// 手动隐藏等待层
			//Fw.LoadMask.hide();
		},
		/**
		 * 初始化事件
		 * 
		 */
		initEvents : function() {
			iPhoneNum=Fw.app.Session.getMobilephone();//获取客户手机号
			// 点击余额刷新事件
			$("#refresh").on('click', Fw.bind(this.refreshMoney, this));
			// 表单值改变时触发（包含文本输入框、多行文本输入框、单选、多选、下拉框）
			form1.on('change', this.onChange1, this);
			form2.on('change', this.onChange2, this);
			$('#submit-btn1').on('click', Fw.bind(this.btn1Click));
			$('#submit-btn2').on('click', Fw.bind(this.btn2Click));// 查询附近ATM机
			form1.on('submit', this.doSubmit1, this);
			// 点击预约账户下拉框，展示账户列表
			// $('#payAccount_select').on('click',Fw.bind(this.showDropDownListClick1,this));
			$('#downListAccount').on('click',
					Fw.bind(this.showDropDownListClick1, this));
			// 下拉框中选中其中一条后的事件
			dropDownList1.on('itemClick', Fw.bind(this.itemClick1, this));
			Fw.Keyboard.onHidden = function() {
        		var inputVal = Fw.util.Format.fmtAmt($("#buySum").val());
    			$("#buySum").val(inputVal);
    			
    			$('body').css({
					'top' : '0px'
				});
				if (Fw.isEmpty(this.target.val()) && !Fw.isEmpty(Fw.util.Storage.get(this.target.attr('name')))) {
					this.target.attr('placeholder', Fw.util.Storage.get(this.target.attr('name')));
					Fw.util.Storage.remove(this.target.attr('name'));
				}
    			
				Fw.Keyboard.showKeyboard = true;
			};
		},
		initJuicer : function() {
			juicer.register("JsonToStr", function(data) {
				return JSON.stringify(data).replaceAll(" ", "");
			});
		},
		refreshMoney : function() {
			// 执行余额查询函数
			App.queryUseMoney();
		},
		/**
		 * 选中记录时触发
		 */
		onSelect : function() {
			var data = $(this).attr("data-value");
			data = JSON.parse(data);
			Fw.Msg.cfm('确定撤销预约？', function(code, btn, win) {
				if (code == "yes") {
					// 调用撤销接口
					Fw.util.Ajax.del({
						// 数据源（服务接口）
						// 目前只能用execute
						service : 'noCardWithDrawService.executeDrawCancel',
						params : {
							'JnlNo' : data.JnlNo,
						},
						staticData : false,
						// 请求成功后回调
						success : function(data, result) {
							if (data._RejCode == "000000") {
								Fw.Msg.info('撤销成功');
								App.initListView1();
								// onTabChange(tab,1);
							} else {
								Fw.Msg.info(data._RejMsg);
							}
						}
					});
				}
			});
		},
		formNewForm : function() {
			form1 = new Fw.Form({
				contentEl : 'form1',
				resettable : false,
				msgTarget : 'tips'
			});
			// 定义表单
			form2 = new Fw.Form({
				contentEl : 'form2',
				resettable : false,
				msgTarget : 'tips'
			});
		},
		// 查询预约账户
		drowDown : function() {
			// 查询借记卡
			Fw.util.Ajax.get({
				service : 'accountService',
				method : 'getAccount',
				params : {
					type : '8',
				},
				// 0借记账户1贷记账户2动账借记3动账贷记null全部5贷记卡带信息4缴费支付权限6所有借记'卡'7非定期借记账户8动账借记'卡'
				// 数据源（服务接口）
				// 请求参数
				// params: {},
				// 是否使用数据挡板（默认false）
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					arr = [];
					if (data.List.length == 0) {
						Fw.Msg.info('您的账户无转账权限功能，请至我行任一网点开通', function() {
							Fw.device.Device.gotoIndex();
						});
					} else {
						Fw.each(data.List, function(item) {
							arr.push({
								"Name" : item.Department.Name,
								"AcName" : item.Name,
								"AcNo" : item.No,
								"Option" : item.option,
								'No' : Fw.util.Format.fmtAcctNoEnd(item.No)
							});
						});
						if(!Fw.isEmpty(params.AcNo)){
							for(var i=0;i<data.List.length;i++){
								if(Fw.isEqual(params.AcNo, data.List[i].No)){
									$("#payAccount_select").val(arr[i].Option);
									acName = data.List[i].Name;
									acNo = data.List[i].No;
								}
							}
						}else{
							$("#payAccount_select").val(arr[0].Option);
							acName = data.List[0].Name;
							acNo = data.List[0].No;
						}
						App.data1 = arr;
						// 执行余额查询函数
						App.queryUseMoney();
					}
				}
			});
			/*
			 * //下拉框 getdict1(); function getdict1(){ Fw.util.Ajax.query({
			 * service: 'demo1Service.queryCard', staticData: true, //请求成功后回调
			 * success: function(data, result) { //这里必须是data，不能是result
			 * //回显第一个，即默认的预约账户值 $("#payAccount_select").val(data[0].name);
			 * //执行余额查询函数 App.queryUseMoney(); data1=data; //console.log(data1); },
			 * }); };
			 */
			dropDownList1 = new Fw.DropDownList({
				// 必须参数：结果集
				result : data1,
				// 可配置参数：1.false,随内容撑出高度，2.num：固定高度，超出滚动显示,默认[220]
				// fixedHeight: false,
				// 可配置参数：账号，1.false 不显示账号,2.cdopac 具体显示字段名，默认[cdopac]
				displayNo :false,
				// 可配置参数：从后截取账号显示,1.false 不截取，2.num：截取长度,默认[5]
				lastSubNo : 4,
				// 可配置参数：名称，默认[brchna]
				displayName : 'Option',
				// 可配置参数：显示时是否重新渲染，默认[false]
				// reload: false,
				// 可配参数：选择完成后是否自动关闭,默认[true]
				// autoClose: true,
				// 可配置参数：是否显示手工输入按钮，默认[true]
				cursorBtn : false,
				// 可配置参数：设置不可点击,1.默认[false]不限制,2.cardtp具体字段名
				// disableField: 'name',
				// 可配置参数：设置不可点击参数值，1.默认[0],2.具体值，"不可点击字段“值等于"不可点击参数值"该项不可点击
				disableFieldValue : '1'
			});
		},
		// 查询余额
		queryUseMoney : function() {
			// 上传参数
			// var payAccount=$("#payAccount_select").val();
			// 查询卡余额
			Fw.util.Ajax.query({
				// 数据源（自定以URL）
				// url: '/data/demo1Service/XXX.json',
				// 数据源（服务接口）
				socketAdapter : 'balanceQueryService/executeAccountBalance',
				// 请求参数
				params : {
					No : acNo,
					// No:'6221272702001679339',
					PwdCheckFlag : '2',
				},
				// 是否自动显示等待层（默认true）
				// 允许自定义等待层提示信息（loadMask: '请稍后...'）
				// loadMask: true,
				// 是否使用数据挡板（默认false）
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					cifSeq=data.CifNo;
					console.log(data);
					// 判断卡是否处于正常状态
					passwordLossStatus = data.PasswordLossStatus;
					certLossStatus = data.CertLossStatus;
					sealLossStatus = data.SealLossStatus;
					acctState = data.AcctState;
					clientName = data.ClientName;
					$('#queryUseMoney').val(Fw.util.Format.fmtAmt(data.AvailBal));
				}
			});
		},
		// 下拉框
		showDropDownListClick1 : function() {
			console.log(App.data1);
			// 显示组件
			dropDownList1.show(App.data1);
		},
		itemClick1 : function(data, index, e) {
			if (index != -1) {
				acName = data.AcName;
				acNo = data.AcNo;
				$("#payAccount_select").val(data.Option);
				// 选中账号后再次查询余额
				this.queryUseMoney();
				// Fw.Logger.debug(data);
			} else {
				// 手工输入
				// Fw.Logger.debug('点击了手工输入');
			}
		},
		/**
		 * 表单文本输入框、多行文本输入框输入时触发（不含单选、多选、下拉框） 失去焦点时出发
		 * 
		 * @param {String}
		 *            输入框名称
		 * @param {Object}
		 *            值
		 * @param {Object}
		 *            旧值
		 * @param {Fw.Form}
		 *            Form组件
		 */
		onChange1 : function(name, value, oldValue, field) {
			// Fw.Tips.info(name + ':' + oldValue + '->' + value);
			if (form1.getValues('field9') == 3) {
				$('#form1Input').show();
			} else {
				$('#form1Input').hide();
			}
		},
		onChange2 : function(name, value, oldValue, field) {
			// Fw.Tips.info(name + ':' + oldValue + '->' + value);
		},
		btn1Click : function() {
			form1.submit();
		},
		doSubmit1 : function(values) {
			// 判断金额是否是100的整数倍
			queryMoney = $("input[name='queryMoneyField']").val();
			queryMoney = Fw.util.Format.unFmtAmt(queryMoney);
			// 判断预约码是不是6位数
			queryNumber = $("input[name='queryNub']").val();
			if(queryMoney == "0"){
				Fw.Tips.info('预约金额不能为0');
				return;
			}
			// passwordLossStatus=passwordLossStatus;
			// certLossStatus=certLossStatus;
			// sealLossStatus=sealLossStatus;//返回是空的
			// acctState=acctState;
			if (passwordLossStatus == "0" && certLossStatus == "0"
					&& acctState == "0") {
				if (queryMoney % 100 == 0) {
					if (queryNumber.length == 6) {
							var showInfo = [{
								label : '预约金额',
								value : Fw.util.Format.fmtAmt(queryMoney),
								color : '#FF0000'
							}];
							var smsParams={
								acNo:acNo,
								tranType : '080103', // 080103-互联网银行客户端非转账类交易验证
								// 080104-互联网银行客户端转账交易验证
								payerAcct : "", // 付款账号 交易类型080104-必传
								payeeAcct : "", // 收款账号 交易类型080104-必传
								payeeAcctName : "", // 收款人 交易类型080104-必传
								trsAmount : "",// 交易金额 交易类型080104-必传
								
							}
							var cardNews = {
									passwordType:'T',//借记卡  T  信用卡  B
									cardNo:acNo,
							}
							/**
							 * type
							 * 
							 * S&AP 短信验证码+账户密码 U&AP U-key密码+账户密码(pc端) AP 账户密码 CTP 信用卡交易密码 SMS
							 * 短信验证码 IC&AP IC卡+账户密码(手机端)
							 */
							Fw.device.Device.payControls("S&AP", showInfo,'App.showNotePayType',smsParams,cardNews);
						
					} else {
						Fw.Msg.info('请输入6位预约码', function() {
						});
					}
				} else {
					Fw.Msg.info('预约金额需为100的整数倍', function() {
					});
				}
				;

			} else {
				Fw.Msg.info('此卡已挂失！');
			}

		},
		showNotePayType : function(){
			Fw.util.Ajax.insert({
				// 数据源（服务接口）
				// 目前只能用execute,调用per.MCNoCardWdOrderQry接口
				service : 'noCardWithDrawService/executeDrawSubmit',
				params : {
					'Mobile' : iPhoneNum,// 预约手机号
					'OrderCode' : '02' + queryNumber,// 预约码
					'OrderAmount' : queryMoney,// 预约金额
					'AcNo' : acNo,// 预约账号
					'AcName' : clientName,// 预约姓名
					'_CifSeq' : cifSeq,// 余额查询时候返回的客户号，全局变量
				},
				// 请求成功后回调
				success : function(data, result) {
					pageDetail = 1;
					$("#noCardDraw").hide();
					$("#detail").show();
					// 查询回显详情
					App.tabFirstDetail();
				}
			});
		},
		tabFirstDetail : function() {
			queryMoney = Fw.util.Format.fmtAmt(queryMoney);
			$(".appointMoney").text(queryMoney);
			$(".appointNub").text("02" + queryNumber);
			var acNoBank = Fw.util.Format.fmtAcctNoSl(acNo, "true");
			console.log(acNoBank);
			$(".cardBank").text(acNoBank);
		},
		btn2Click : function() {// 查询附近ATM机
			Fw.device.Device.noCardATM();
		},
		/**
		 * 实例化tab
		 */
		initTab : function() {
			// 定义选项卡
			var tab = new Fw.Tab({
				// 选项卡EL
				contentEl : 'tab',
				// 默认选项卡（默认0）
				activeTab : 0
			// 开启认证权限
			// isAuthent: false
			});
			// 选项卡切换后触发
			tab.on('tabchange', this.onTabChange, this);
		},
		onTabChange : function(tab, index) {
			if (index == 1 && index != tabNub) {
				tabNub = index;
				this.initListView1();
			} else if (index == 0 && index != tabNub) {
				tabNub = index;
			}
		},
		// 查询详情记录
		initListView1 : function() {
			Fw.util.Ajax.query({
				service : 'noCardWithDrawService/queryDrawQuery',
				params : {
					AcNo : acNo,
				},
				staticData : false,
				success : function(data, result) {
					$(".noData").hide();
					// 编译内容模版
					$("#list2").html(Fw.template(tpl.join(''), {
						"data" : data.List
					}));
					$('.appointQuery').on('click', App.onSelect);
					Fw.LoadMask.hide();
				},
				// 请求错误后回调
				failure : function(status, textStatus, error) {
					if (error == "无有效预约信息") {
						$("#list2").html("");
						$(".noData").show();
					}
				}
			});
		},
		/**
		 * 左边按钮点击事件
		 */
		leftButtonHandler : function() {
			if (pageDetail == "1") {
				$("#noCardDraw").show();
				$("#detail").hide();
				$("input[name='queryMoneyField']").val("");
				$("#input_left30").val("");
				pageDetail = 0;
			} else if (pageDetail == "0") {
				Fw.device.Device.gotoIndex();
				if (tansferParams.flag == "1") {
					/*
					 * params={ }
					 */
					Fw.redirect('page/pc/myAsset/myCard.html', params);
				} else {
					Fw.device.Device.gotoIndex();
				}
			}
		},
	};
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
