/**
 * 创建应用
 */
var App = function() {
	var record=Fw.getParameters();
	var villageFlag,form;
    //
    return {
        /**
         * 依赖组件
         */
        requires : [
            //表单
            'Fw.Form',
            //安全键盘
            'Fw.Keyboard',
            //日历组件
            'Fw.Calendar',
            //支付控件
            'Fw.PayControls',
        ],
        viewConfig: {
            title: '设置登录信息',
            loadMask: true,
            leftButton : {
    			},
        },
        /**
         * 初始化
         * 应用入口
         */
        init : function(require) {
        	form = new Fw.Form({
                contentEl : 'form',
                resettable: false,
                msgTarget: 'tips'
            });
            //初始化事件
            this.initEvents();
            Fw.LoadMask.hide();
           
        },
        /**
         * 初始化事件
         */
        initEvents: function(){
        	   $("#btn").on('click',Fw.bind(this.doSubmit, this));
        },

        doSubmit:function(){
        	var password=$("#password").val();
    		var password1=$("#password1").val();
        	var loginName=$("#loginName").val();
        	if(loginName!=""){
        		if(!Fw.isEmpty(password)){
	        		if(!Fw.isEmpty(password1)){
	        			//验证密码是否相等
	        			if(form.getValues("field1")==form.getValues("field2")){
	        				 //验证登录密码
	        				if(8<=password.length&&password.length<=12){
	        					//验证登录名
	        					if(6<=loginName.length&&loginName.length<=12){
	        						var a=/^(?![0-9]+$)(?!a-zA-Z+$)[a-zA-Z0-9]{6,12}$/;
	        			        	if(!a.test(loginName)){
	        			        		Fw.Msg.info('登录名格式不正确',function(){$("#loginName").val("")});
	        			        	}else{
	        			        		Fw.device.Device.getAppType("App.accountRegist");
	            						//this.accountRegist();
	        			        	}
	           			        }else{
	           			        	Fw.Tips.info('请设置6-12位的登录名');
	           			        }
	       			        }else{
	       			        	Fw.Tips.info('请设置8-12位的登录密码');
	       			        }
	        			}else{
	        				Fw.Msg.info('两次登录密码输入不一致，请重新设置',function(){$("input[type=password]").val(null)});
	        			}
	        		}else{
	        		   Fw.Tips.info('请再输入一次登录密码');
	        		}
        		}else{
        			//Fw.Tips.info(password);
        		 	Fw.Tips.info('请设置8-12位的登录密码');
        		}
        	}else{
        		Fw.Tips.info('请设置6-12位的登录名');
        	}
        },
        accountRegist: function(data){
        	data = Fw.decode(data);
			villageFlag=data.app_type;
        	var loginName=$("#loginName").val();
        	var passWord=form.getValues("field1");
        	Fw.util.Ajax.insert({
        		service : 'registService/executeRegist',
        		params: {
        			acctName:record.name,
        			accountNo: record.accountNo,
        			identityType:record.identityType,
        			identityNo: record.idNo,
        			loginId: loginName,//xiami789
        			"cifPassWord":passWord,
        			telephoneNo: record.phone1,
        			openType:"MB",
        			loginType:"MB",
        			//新加字段
        			isInnerCardFlag:"0",
        			pwdCheckFlag:"0",//默认不校验密码   1的时候必须有PassWord 校验密码
        			app_type : villageFlag
        		},
        		staticData: false,
        		//请求成功后回调
        		success: function(data, result) {
        			Fw.redirect("success.html");
        		},
        		failure: function(status, textStatus, error) {
					if(status=="10223010809"){//校验登录名是否被使用
						Fw.Msg.info(error,function(){
						});
						$("#loginName").val('');
						//Fw.Msg.info(error,App.nameChange());
					}
					if(status=="10211010544"){//校验密码强度
						Fw.Msg.info(error,function(){
						});
						$("#password").val('');
						$("#password1").val('');
					}
                }
        	});
        },
        nameChange:function(){
        	$("#loginName").val(null)
        },
        leftButtonHandler : function() {
              Fw.redirect("main.html",record);
		}
    }
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
