/**
 * 创建应用
 */
var App = function() {
    //
	var params=Fw.getParameters()||{};
	var addFriendData = params.addFriendData;
	var formValue = params;
    return {
        /**
         * 依赖组件
         */
        requires : [
           'Fw.app.Session'
        ],
        /**
         * 视图设置
         * 设置标题栏、按钮等
         * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
         */
        viewConfig: {
            title: '转账信息',
    		loadMask: true
        },
        /**
         * 初始化
         * 应用入口
         */
        init : function(require) {
            params.noticeflag = params.flag;
            $("#account").html(Fw.app.Session.getName() + " " +Fw.util.Format.fmtAcctNoSl(params.AcNo));
            $("#money").html(Fw.util.Format.fmtAmt(params.Amount));
            $("#name").html(params.peeAcName);
            $("#bank").html(params.bank);
            $("#card").html(Fw.util.Format.fmtAcctNo(params.peeAcNo));
            $("#use").html(params.manual);
            Fw.device.Device.getAppType("App.getType");
            //初始化事件
            this.initEvents();
        },
        /**
         * 初始化事件
         */
        initEvents: function(){
        	$("#next3").on("click",Fw.bind(this.tallyBook,this));
        	$("#share").on("click",Fw.bind(this.share,this));
        },
        getType : function(data){
			data = Fw.decode(data);
			if(data.app_type==1){//villageFlag 1代表省联社，2代表村镇
				$("#share").removeClass("but_none");
			}
			//是否加入联系人登记簿
			if(addFriendData.addFriend){
				if(Fw.isEmpty(formValue.BankId)){
					addFriendData.PayeeDeptId=formValue.BranchId;
					addFriendData.PayeeDeptName=addFriendData.bank;
				}else{
					addFriendData.PayeeBankId=formValue.BankId;
					addFriendData.PayeeBankName=addFriendData.bank;
				}
				addFriendData.BankType=formValue.noticeBankType;
				addFriendData.PayeeType="P";
				addFriendData.PayeeAcType="0";
				if(Fw.isEqual(addFriendData.peeAcName, Fw.app.Session.getName())){
					addFriendData.PayeeFlag="0";
				}else{
					addFriendData.PayeeFlag="1";
				}
				
				Fw.util.Ajax.get({
	                socketAdapter:'transferService/insertFriend',
	                params:addFriendData,
	                staticData: false,
	                //请求成功后回调
	                success: function(data, result) {
	                	if(!Fw.isEmpty(formValue.dataflag)){
	                		Fw.Msg.info("受理成功！您的交易需开户行网点工作人员审核后再转出，请联系开户行网点");
	                	}
	                },
	                failure: function(status, textStatus, error){
	                	if(!Fw.isEmpty(formValue.dataflag)){
	                		Fw.Msg.info("受理成功！您的交易需开户行网点工作人员审核后再转出，请联系开户行网点");
	                		return false;
	                	}
	                }
	            });
			}else{
				if(!Fw.isEmpty(record.flag)){
					Fw.Msg.info("受理成功！您的交易需开户行网点工作人员审核后再转出，请联系开户行网点");
    			}
			}
			Fw.LoadMask.hide();
		},
        tallyBook:function(){
			Fw.redirect(Fw.getBasePath() + "/page/pub/accountBook/Note/writeNote/main.html",{AddParam:{AcNo:params.AcNo,Amount:params.Amount},pageParam:{aimUrl:"/page/pub/transfer_accounts/bank.html"}});
        },
        share:function(){
        	Fw.device.Device.share({height: '460',width: '365'});
        },
        leftButtonHandler:function(){
        	
        	Fw.redirect(Fw.getBasePath() +"/page/pub/transfer_accounts/bank.html",params)
        }
    };
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
