/**
 * 创建应用
 */
var App = function() {
	var params={};
    return {
        requires : [
        	 'Fw.Keyboard',
        ],
        viewConfig: {
            title: '新增关联账户',
            leftButton: {
                handler:function(){
        			App.back();
        		}
        	}
        },
        back: function(){
        	if(!Fw.isEmpty(params.aimUrl)){
        		if(!Fw.isEmpty(params.aimParam)){
	        		tempParam=params.aimParam;
	        	}
        		urltemp = Fw.getBasePath()+params.aimUrl;
        		Fw.redirect(urltemp,tempParam);
        	}else if(Fw.isPhone){
        		Fw.device.Device.accGotoIndex();
			}else{
	        	var urltemp = Fw.getBasePath() +'/page/pc/account/main.html';
	        	var tempParam={};
	        	if(!Fw.isEmpty(Fw.getParameters("cardType"))){
	        		tempParam["cardType"]=Fw.getParameters("cardType");
	        	}
	        	Fw.redirect(urltemp,tempParam);
			}
        },
        init : function(require) {
        	params = Fw.getParameters();
        	params = (params != undefined ? params: {}) ;
            this.initEvents();
            Fw.LoadMask.hide();
        },
        initEvents: function(){
            $('#submit-btn').on('click',Fw.bind(this.onButtonClick, this));
            $('#accNo').on('input', Fw.bind(this.numberLimit, this));
        },
        onButtonClick: function(e){
        	if(Fw.isEmpty($('#accNo').val())){
                Fw.Tips.info('请输入账号!');
                return false;
            }
        	if($('#remark').val().indexOf("'")!=-1){
        		Fw.Msg.info('您输入的数据包含无效字符,请重新输入!', function(){
              		
                });
        		return false;
        	}
        	var showInfo = [{
    			label: '账号',
    			value: $('#accNo').val()
    		}];
        	Fw.util.Ajax.query({
				// 数据源（服务接口）
				socketAdapter : 'smsBankService/MCCardBinQuery',
				params : {
					BinNo : $('#accNo').val(),
					QueryFlag : "2"
				},
				loadMask : false,
				success : function(data, result) {
					
					if(data.BankType == "1"){
						Fw.Msg.info('账号不存在!', function(){
	                  		
	                    });
						
					}else{
						var cardNews = {
								passwordType:'T',//借记卡  T  信用卡  B
								cardNo:$('#accNo').val(),
						}
						try{
							if((data.CardType == "00")||(data.CardType == "10")){
								cardNews.passwordType= "B";
							}
							Fw.device.Device.payControls('AP', showInfo, 'App.onPayControlsSubmit',{},cardNews);
						}catch(e){
							Fw.Msg.info('账号不存在!', function(){
		                  		
		                    });
						}
					}
				}
			});
        	
        	
        },
        onPayControlsSubmit: function(record, type, isObject){
        	if((isObject=="false")||(!isObject)){
        		record = Fw.decode(record);
        	}
        	
        		Fw.util.Ajax.get({
                  service: 'accountService',
                  method: 'getAddAccount',
                  params: {
                	  'AcNo':$('#accNo').val(),
                      'TrsPassword':record.pwd,
                      'dyPassword' :record.sms,
                      'Remark':"<![CDATA["+$('#remark').val()+"]]>",
                      
                  },
                  success: function(data, result) {
                  	Fw.Msg.info('添加成功!', function(){
                  		App.back();
                      });
                  },
                  failure: function(status, textStatus, error) {
                     if(error=="输入的卡号不正确"){
                    	Fw.Msg.info('卡号不存在!', function(){
                      		App.back();
                          });
                    	return false;
                     }
                  }
              });
        	
        },
        numberLimit: function(e){
        	var $that = $(e.currentTarget);
        	var t_val=$that.val();
        	var Reg =/^\d*$/;
        	if(Reg.test(t_val)){
        		return true;
        	}else{
        		$that.val(t_val.replace(/\D/g,""));
        	}
        },
    };
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
