/**
 * 创建应用
 */
var App = function() {
	
	var isPhone = Fw.isPhone;// 判断手机还是PC
	var endDateEl = $('#endT');
	var beginDateEl = $('#beginT');
	//查询人账号、查询内容、查询协议号
	var checkAccDropDownList,quContentDropDownList,protocolDropDownList;
	//查询人账号、查询协议号
	var checkAccList,protocolList;
	var quContentList=[{'option':'余额查询','code':'01'},{'option':'明细查询','code':'02'}];
	var protocolDetail={},detailInfo;//签约的协议详情，跳转确定页带的数据
	var errorInfo;
	
	return {
		requires :['Fw.DropDownList','Fw.Calendar','Fw.Form',],
		viewConfig : {
			title : '跨行账户查询',
			leftButton: {
                //自定义按钮标题（默认'返回'）
                text: '左边按钮',
                //自定义按钮点击事件（默认App.leftButtonHandler）
                //handler: XXX
                handler:function(){
                	App.back();
 	    		}
            },
			loadMask : false,
		},
		
		back:function(){
			if(isPhone){
				Fw.gotoIndex();
			}else{
				Fw.redirect(Fw.getBasePath()+'/page/pageMenu/moreMenu.html');
			}
		},
		init : function(require) {
			
			this.queryAccList();//查询我行账号列表
			this.initDropDownList();
			
			$('#fade_input_content').html(quContentList[0].option);
			$('#fade_input_content').attr('data-value',quContentList[0].code);
			
			
			this.initEvents();
		},

		initEvents : function() {
			$('#queryContent').on('click',Fw.bind(this.showQueryContent,this));
			quContentDropDownList.on('itemClick',Fw.bind(this.selectQueryContent, this));
			
			$('#queryAcc').on('click',Fw.bind(this.showQueryAcc,this));
			checkAccDropDownList.on('itemClick',Fw.bind(this.selectQueryAcc, this));
			
			$('#queryProtocol').on('click',Fw.bind(this.showQueryProtocol,this));
			protocolDropDownList.on('itemClick',Fw.bind(this.selectOneProtocolNUm, this));
			
		//	$('.calendarInput').on('change', Fw.bind(this.dateLogic, this));
			$('#search_btn').on('click',Fw.bind(this.search_btn,this));
		},
		
		//跨行查询(余额或者明细)
		search_btn:function(){
			
			var content=$('#fade_input_content').attr('data-value');
			
			if(content=="02"){//明细查询
				var beginT=$('#beginT').val();
				var endT=$('#endT').val();
				
				if(Fw.isEmpty(beginT)){
					Fw.Tips.info('请选择开始日期');
					return;
				}
				if(Fw.isEmpty(endT)){
					Fw.Tips.info('请选择结束日期');
					return;
				}
				protocolDetail.myBeginDate=beginT;
				protocolDetail.myEndDate=endT;
				
				/*protocolDetail={
					"myBeginDate":beginT,	
					"myEndDate":endT,	
					
				}*/
			 }
			detailInfo={
				"content":content,
				"protocolDetail":protocolDetail
			}
			if(Fw.isEmpty(protocolDetail.protocol)||protocolDetail.protocol==null){
				Fw.Msg.info(errorInfo);
				return false;
			}
			Fw.redirect('secondPages.html',detailInfo);
		},
		
		queryAccList:function(){
			
			Fw.util.Ajax.get({
				service :'accountService.getAccount',
				params:{
					"type":"2"
				},
				staticData: false,
				success : function(data, result) {
					
					if (Fw.isEmpty(data.List) ||data.List.length == 0) {
						Fw.Msg.info('您的账户无转账权限功能,请至我行任一网点开通', function() {
							
							if(isPhone){
								Fw.gotoIndex();
							}else{
								Fw.redirect(Fw.getBasePath()+"/page/pageMenu/moreMenu.html");
							}
						});
						
					} else{
						
						checkAccList=data.List;
						
						for(var i=0;i<checkAccList.length;i++){
							checkAccList[i].option=checkAccList[i].option;
						}
						$('#fade_input_account').html(checkAccList[0].option);
						App.queryProtocols(data.List[0].No,checkAccList[0].Name);
					}
					
				}
			});
		},
		
		//查询协议号
		queryProtocols:function(accNum,accName){
			
			Fw.util.Ajax.query({
				socketAdapter:'acrossBank/queryProtocol',
				params:{
					"CustType":"03",		//客户类型01收款人02付款人03查询人04被查询人
					"SendFlag":"01",		//发送标志01-本行发起02－他行发起
					"AgtStatus":"02",		//协议状态	为空时，默认全部
					"AgtType":"AIQC",		//协议类型	CAPT-授权支付协议  AIQC-账户信息查询协议
					"AcctNo":accNum,		//账号  (协议号未输入时必输)
					"AcctName":accName,		//户名  (协议号未输入时必输)
				},
				staticData: false,
				success:function(data, result){
					
					protocolList=data.List;
					for(var i=0;i<protocolList.length;i++){
						protocolList[i].option=protocolList[i].AgtNo;
					}
					//默认第一个协议
					$('#fade_input_protocol').html(protocolList[0].option);
					protocolDetail.protocol=protocolList[0];
				
				},
				failure: function(status, textStatus, error) {
					
					if(error=='查询无返回记录'){
						error="查询无协议记录";
						Fw.Msg.info(error);
					}else{
						Fw.Msg.info(error);
					}
					errorInfo=error;
					
                }
			})
			Fw.LoadMask.hide();
		},
		
		showQueryContent:function(){
			quContentDropDownList.show(quContentList);
		},
		selectQueryContent:function(quContentList){
			$('#fade_input_content').html(quContentList.option);
			$('#fade_input_content').attr('data-value',quContentList.code);
			if(quContentList.code=="02"){
				$('#detailQuery').show();
			}else{
				$('#detailQuery').hide();
			}
		},
		/**
		 * 显示查询账号（我行）
		 */
		showQueryAcc:function(){
			checkAccDropDownList.show(checkAccList);
		},
		/**
		 * 选择查询账号（我行）
		 */
		selectQueryAcc:function(checkAccList){
			
			$('#fade_input_protocol').html("");
			protocolDetail.protocol=null;
			$('#fade_input_account').html(checkAccList.option);
			App.queryProtocols(checkAccList.No,checkAccList.Name)
		},
		
		/**
		 * 显示协议号列表
		 */
		showQueryProtocol:function(){
			protocolDropDownList.show(protocolList);
		},
		/**
		 * 选择协议号
		*/
		selectOneProtocolNUm:function(protocolList){
			$('#fade_input_protocol').html(protocolList.option);
			protocolDetail.protocol=protocolList;

		},
		
		initDropDownList:function(){
			checkAccDropDownList=new Fw.DropDownList({
				//必须参数：结果集
        		result: checkAccList,
        		//可配置参数：1.false,随内容撑出高度，2.num：固定高度，超出滚动显示,默认[220]
        		fixedHeight: 220,
        		disableField: 'cardtp',
        		//可配置参数：设置不可点击参数值，1.默认[0],2.具体值，"不可点击字段“值等于"不可点击参数值"该项不可点击
        		disableFieldValue: '1',
        		displayName: 'option',
        		displayNo: false,
        		cursorBtn: false,
			});
			
			quContentDropDownList=new Fw.DropDownList({
				//必须参数：结果集
				result: quContentList,
				//可配置参数：1.false,随内容撑出高度，2.num：固定高度，超出滚动显示,默认[220]
				fixedHeight: 220,
				disableField: 'cardtp',
				//可配置参数：设置不可点击参数值，1.默认[0],2.具体值，"不可点击字段“值等于"不可点击参数值"该项不可点击
				disableFieldValue: '1',
				displayName: 'option',
				displayNo: false,
				cursorBtn: false,
			});
			
			
			
			protocolDropDownList=new Fw.DropDownList({
				//必须参数：结果集
				result: protocolList,
				//可配置参数：1.false,随内容撑出高度，2.num：固定高度，超出滚动显示,默认[220]
				fixedHeight: 220,
				disableField: 'cardtp',
				//可配置参数：设置不可点击参数值，1.默认[0],2.具体值，"不可点击字段“值等于"不可点击参数值"该项不可点击
				disableFieldValue: '1',
				displayName: 'option',
				displayNo: false,
				cursorBtn: false,
			});
			
			
		},

	}
		
}();
/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);