/**
 * 创建应用
 */
var App = function() {
	
	var record=Fw.getParameters()||{};
	
	var mainTpl,pageInfo;//模板，渲染到页面的数据
	var content;
	var successPageInfo;
	
	return {
		requires :[],
		viewConfig : {
			title : '跨行账户查询',
			leftButton: {
                //自定义按钮标题（默认'返回'）
                text: '左边按钮',
                //自定义按钮点击事件（默认App.leftButtonHandler）
                //handler: XXX
                handler:function(){
                	App.back();
 	    		}
            },
			loadMask : true,
		},
		back:function(){
			Fw.redirect('main.html');
		},
		
		init : function(require) {
			
			this.initJuicer();
			content=record.content;
			if(content==1){
				mainTpl = require('../tpl/001.tpl.js').join('');
			}else{
				mainTpl = require('../tpl/002.tpl.js').join('');
			}
			
			this.showPage();
			this.initEvents();
			
			Fw.LoadMask.hide();
		},

		initEvents : function() {
			$('#certain_btn').on('click',Fw.bind(this.certain_btn,this));
			
		},
		
		showPage:function(){
			var accName=record.protocolDetail.protocol.AcctName;
			var accNo=record.protocolDetail.protocol.AcctNo;
			accName="*"+accName.substring(1,accName.length);
			accNo=accNo.substring(0,4)+"****"+accNo.substring(accNo.length-4,accNo.length);
			pageInfo={
				"accName":accName,
				"accNo":accNo,
				"protocolDetail":record.protocolDetail,
			}
		
			//渲染模板
		   	var html = Fw.template(mainTpl, pageInfo);
		   	//添加到页面
		    $('#content').html(html);
		    $('#button-show').show();
		    
		},
		
		certain_btn:function(){
		
			
			
			var	protocolNO=$('#protocolNO').html();
			var bankCode=record.protocolDetail.protocol.RecvBranchId;
			
			if(content=="01"){//跨行余额查询
				Fw.util.Ajax.query({
					socketAdapter:'acrossBank/queryBalanceAcrossBank',
					params:{
						"AgtNo":protocolNO,//协议号			必输项
						"BankCode":bankCode,//行号			必输项(付款方或者被查询方，协议查询返回有)
						"DrawType":"O",//支取方式				必输项
						"FeeChargeType":"1",//手续费收取方式		必输项
						"FeeAmt4":"0",//手续费金额4				必输项
					},
					staticData:false,
					success:function(data, result){
						
						successPageInfo={
							"content":content,
							"data":data
						}
					//	Fw.LoadMask.hide();
						Fw.redirect('success.html',successPageInfo);
					}
				});
			}else{//明细查询
				
			    var	beginT=record.protocolDetail.myBeginDate;
				var endT=record.protocolDetail.myEndDate;
				var oppAccType=record.protocolDetail.protocol.OppsAcctType;
				successPageInfo={
					"content":content,
					"beginT":beginT,	
					"endT":endT,	
					"protocolNO":protocolNO,	
					"BankCode":bankCode,
					"oppAccType":oppAccType
				}
				
				Fw.redirect('success.html',successPageInfo);
			}
		//	Fw.LoadMask.hide();
			
		},
		
		initJuicer : function() {
			juicer.register("frmAccType", function(data) {
				
				if(data=="AT01"){
					return '银行卡（存折）';
				}
				if(data=="AT02"){
					return '信用卡';
				}
				if(data=="AT00"){
					return '对公账号';
				}
			
			});
			
		}
	}	
}();
/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);