/**
 * 创建应用
 */
var App = function() {
	
	var form;
	var sign;//页面显示标志
	var isPhone = Fw.isPhone;// 判断手机还是PC
	var recePersonDropDownList,payAccTypeDropDownList,busiTypeDropDownList;//收款人账户、付款人账户类型、业务类型
	var recePersonList;//收款人列表
	var endDateEl = $('#endT');
	var beginDateEl = $('#beginT');
	var serialNumber;//流水号
	var recName;//收款人姓名
	//业务类型
	var	busiTypeList=[
          {'option':'电费','code':'00100'},
          {'option':'水暖费','code':'00200'},
          {'option':'煤气费','code':'00300'},
          {'option':'电话费','code':'00400'},
          {'option':'通讯费','code':'00500'},
          {'option':'保险费','code':'00600'},
          {'option':'房屋管理费','code':'00700'},
          {'option':'代理服务费','code':'00800'},
          {'option':'学教费','code':'00900'},
          {'option':'有线电视费','code':'01000'},
          {'option':'企业管理费用','code':'01100'},
          {'option':'薪金报酬','code':'01200'},
          
          {'option':'贷款还款房贷类','code':'02025'},
          {'option':'贷款还款车贷类','code':'02026'},
          {'option':'贷款还款信用卡类','code':'02027'},
          
          {'option':'其他','code':'09001'},
          {'option':'收款','code':'02029'},
          {'option':'服装类消费','code':'02030'},
          {'option':'其他类消费','code':'02043'},
          {'option':'慈善捐款','code':'02024'},
          {'option':'理财股票类','code':'02002'},
          {'option':'理财其他类','code':'02008'},
          
	];
	//付款人账户类型
	var payAccTypeList=[
	      {'option':'银行卡(存折)','code':'AT01'},
	      {'option':'信用卡','code':'AT02'},
	      {'option':'对公账号','code':'AT00'}
	];
	
	
	
	return {
		requires :['Fw.DropDownList','Fw.Calendar','Fw.Form','Fw.Keyboard',],
		viewConfig : {
			title : '跨行支付协议签约',
			leftButton: {
                //自定义按钮标题（默认'返回'）
                text: '左边按钮',
                //自定义按钮点击事件（默认App.leftButtonHandler）
                //handler: XXX
                handler:function(){
                	App.back();
 	    		}
            },
			loadMask : false,
		},
		
		back:function(){
			if(isPhone){
				if(sign==1){
					//Fw.redirect(Fw.getBasePath()+'/page/pageMenu/moreMenu.html')
					Fw.gotoIndex();
				}else{
					App.showPage(--sign);
				}
			}else{
				if(sign==1){
					Fw.redirect(Fw.getBasePath()+'/page/pageMenu/moreMenu.html')
					//Fw.gotoIndex();
				}else{
					App.showPage(--sign);
				}
			}
			
		},
		
		init : function(require) {
			sign=1;
			this.showPage(sign);
			this.queryRecePerList();//查询收款人
		
			recePersonDropDownList = this.initDropDownList(recePersonList);
			busiTypeDropDownList = this.initDropDownList(busiTypeList);
			payAccTypeDropDownList = this.initDropDownList(payAccTypeList);
		
			//付款账户类型默认	银行卡(存折)
			$('#payAccKind').val(payAccTypeList[0].option);
			$('#payAccKind').attr('data-value',payAccTypeList[0].code);
			
			//this.initForm();
			this.initEvents();
		
		},

		initEvents : function() {
			$('#showAccount').on('click',Fw.bind(this.showList,this));
			$('#bussiKinds').on('click',Fw.bind(this.showList,this));
			$('#payAccKinds').on('click',Fw.bind(this.showList,this));
			
			recePersonDropDownList.on('itemClick',Fw.bind(this.seleOneRecePer, this));
			busiTypeDropDownList.on('itemClick',Fw.bind(this.seleOneBussiKind, this));
			payAccTypeDropDownList.on('itemClick',Fw.bind(this.selecAccType, this));
			
		//	$('.calendarInput').on('change', Fw.bind(this.dateLogic, this));
			
			$('#payAcc').on('change', Fw.bind(this.change, this));
			
			$('#signsLimit,#dayMonLimi,#monthMonLimi').on('input', Fw.bind(this.paymentClick, this));
			$('#payAcc,#dayNumLimi,#monNumLimi,#payTel').on('input', Fw.bind(this.numberLimit, this));
			
			$('#dayNumLimi,#monNumLimi').on('blur', Fw.bind(this.numberLimit1, this));
			$('#signsLimit,#dayMonLimi,#monthMonLimi').on('blur', Fw.bind(this.formatAmt, this));//金额格式化
			
			$('#payBank').on('click',Fw.bind(this.validateOppAcc,this));//路由他行账号信息
			$('#next').on('click',Fw.bind(this.next,this));
			$('#certen').on('click',Fw.bind(this.certen,this));
			
		},
		
		change:function(){
			$('#payPeoBank').val("");
			$('#payPeoBank').attr('data-value','');
		},
		//校验短信验证码
		certen:function(){
			var smsCode=$('#smsCode').val();
			
			if(Fw.isEmpty(smsCode)){
				Fw.Tips.info("请输入对方行提供的验证码");
				return;
			}else{
				Fw.util.Ajax.get({
					socketAdapter:'acrossBank/querySmsCodeValidate',
		       		params: {
		       			"OriTranPlatSeqNo":serialNumber,
		       			"AuthCode":smsCode,
					 },
					staticData : false,
					success : function(data, result) {
						
						Fw.redirect('success.html');
					},
					failure: function(status, textStatus, error) {
						
						Fw.Msg.info(error, function() {
							Fw.redirect('./main.html');
							
						});
						return false;
	                }
					
				});
			}
			
		},
		next:function(){
			
			var recPeoAcc=$('#recAccount').attr('data-value');//收款人账号
			var recPerName=$('#recPerName').val();//收款人姓名
			var recPerBank=$('#recPerBank').val();//收款人银行
			var recAcc=$('#recAccount').attr('data-value');
			
			var payAcc=$('#payAcc').val();//付款人账号
			var payName=$('#payName').val();//付款人姓名
			
			var payPeoBank=$('#payPeoBank').val();//付款人银行
			var payPeoBankId=$('#payPeoBank').attr('data-value');//付款人银行行号
			
			
			var payAccKind=$('#payAccKind').val();//付款账号类型
			var payAccKindId=$('#payAccKind').attr('data-value');//付款人账号类型ID号
			
			var payID=$('#payID').val();//付款人证件号
			var payTel=$('#payTel').val();//付款人电话
			
			var bussiK=$('#bussiK').val();//业务种类
			var bussKind=$('#bussiK').attr('data-value');//业务种类ID号
			
			var validate=$('#validate').val();//认证方式
			var beginT=$('#beginT').val();//协议生效日期
			var endT=$('#endT').val();//协议失效日期
			
			var signsLimit=Fw.util.Format.unFmtAmt($('#signsLimit').val());//单笔金额上限
			var dayMonLimi=Fw.util.Format.unFmtAmt($('#dayMonLimi').val());//日累计金额上限
			var dayNumLimi=$('#dayNumLimi').val();//日累计笔数上限
			
			
			var monthMonLimi=Fw.util.Format.unFmtAmt($('#monthMonLimi').val());//月累计金额上限
			var monNumLimi=$('#monNumLimi').val();//月累计笔数上限
			
			 if(payAcc==null||payAcc==""){
				 
				 Fw.Tips.info("请输入付款人账号");
				 return;
			 }
			 if(payName==null||payName==""){
				 
				 Fw.Tips.info("请输入付款人名称");
				 return;
			 }
			 if(payPeoBank==null||payPeoBank==""){
				 
				 Fw.Tips.info("请选择付款人银行");
				 return;
			 }
			 if(bussiK==null||bussiK==""){
				 
				 Fw.Tips.info("请选择业务种类");
				 return;
			 }
			
			 if(Fw.isEmpty(signsLimit)||signsLimit==""||signsLimit==0){
				 Fw.Tips.info("单笔金额上限不能为空或为0。");
				 return;
			 }
			 if(signsLimit>=50000){
				Fw.Tips.info("单笔金额上限不超过50000元");
				 return;
			 }
			 if(Fw.isEmpty(dayMonLimi)||dayMonLimi==""||dayMonLimi==0){
				 Fw.Tips.info("日累计金额上限不能为空或为0。");
				 return;
			 }
			 if(Fw.isEmpty(dayNumLimi)||dayNumLimi==""||dayNumLimi==0){
				 Fw.Tips.info("日累计笔数上限不能为空或为0。");
				 return;
			 }
			 if(Fw.isEmpty(monthMonLimi)||monthMonLimi==""||monthMonLimi==0){
				 Fw.Tips.info("月累计金额上限不能为空或为0。");
				 return;
			 }
			 if(Fw.isEmpty(monNumLimi)||monNumLimi==""||monNumLimi==0){
				 Fw.Tips.info("月累计笔数上限不能为空或为0。");
				 return;
			 }
			 
			 if(beginT==null||beginT==""){
				 
				 Fw.Tips.info("请选择协议生效日期");
				 return;
			 }
			 Fw.util.Ajax.execute({
        	   socketAdapter: 'acrossBank/executeMCIBPSAgreementSign',
        	   params:{
        		   AgtType:"CAPT",					//协议类型
        		   AcctNo:recAcc,					//账号
        		   AcctName:recName,				//户名
        		   AcctType:"AT01",					//账号类型
        		   CustType:"01",					//客户类型(01 收款人02 付款人03  查询人 04 被查询人)
        		   OppsAcctNo:payAcc,				//他行账号
        		   OppsAcctName:payName,			//他行账号户名
        		   OppsOpenBranchId:payPeoBankId,	//对方开户行号
        		   DrawType:"O",					//支取方式
        		   FeeChargeType:"1",				//手续费收取方式
        		   FeeAmt4:"0",						//手续费金额
        		   AuthType:"AC03",					//认证方式
        		   OppsAcctType:payAccKindId,		//对方账户类型
        		   
        		   
        		   SingleLimit:signsLimit,			//单笔限额
        		   DayMaxBussNum:dayNumLimi,		//日累计业务笔数
        		   DailyTotalLimit:dayMonLimi,		//日累计限额
        		   MonthMaxBussNum:monNumLimi,		//月累计业务笔数
        		   MonthMaxAmt:monthMonLimi,		//月累计限额
        		   BussKind:bussKind,				//业务种类
        		   EffectDate:App.frmDate(beginT),	//生效日期
        		   VoidDate:App.frmDate(endT),		//失效日期
        		   PayerIdentInfo:payID,			//付款人身份信息
        		   PayerPhoneNo:payTel				//付款人电话号码

        	   },
               staticData: false,
               success: function(data, result) {
            	   
	            	serialNumber=data.SupNbankSeqNo;
	            	
	            	sign=2;
            	   
	   				App.showPage(sign);
	   				
	   				$('#recAccount2').val(Fw.util.Format.fmtAcctNo(recPeoAcc,true));
	   				$('#recPerName2').val(recPerName);
	   				$('#recPerBank2').val(recPerBank);
	   				$('#payAcc2').val(payAcc);
	   				$('#payName2').val(payName);
	   				
	   				$('#payPeoBank2').val(payPeoBank);
	   				$('#payAccKind2').val(payAccKind);
	   				$('#payID2').val(payID);
	   				$('#payTel2').val(payTel);
	   				$('#bussiK2').val(bussiK);
	   				
	   				$('#beginT2').val(beginT);
	   				if(Fw.isEmpty(endT)||endT==""){
	   					$('#endT2').val("2099-12-31");
	   				}else{
	   					$('#endT2').val(endT);
	   				}
	   				$('#signsLimit2').val(Fw.util.Format.fmtAmt(signsLimit));
	   				$('#dayMonLimi2').val(Fw.util.Format.fmtAmt(dayMonLimi));
	   				$('#dayNumLimi2').val(dayNumLimi);
	   				
	   				$('#monthMonLimi2').val(Fw.util.Format.fmtAmt(monthMonLimi));
	   				$('#monNumLimi2').val(monNumLimi);
	   				setTimeout('App.certainIsSuccess()', 10000);
               	 }
			   });

		},
		
		/**
		 * 查询流水(判断对方是否接受请求)
		 */
		certainIsSuccess:function(){
			Fw.util.Ajax.query({
				socketAdapter : 'acrossBank/querySignRuquestIsSuccess',
				params:{
					"TranType":"5",			//交易类型
					"SeqNo":serialNumber	//流水号
					
				},
				staticData: false,
				success : function(data, result) {

					if(data.List[0].BussStatus=="7"){
						Fw.Msg.info('交易已撤销,请重新发起签约交易', function() {
							Fw.redirect("./main.html");
						});
						return;
					}
					if(data.List[0].BussStatus=="b"){
						var reason=data.List[0].RejectReason;
						Fw.Msg.info(reason, function() {
							Fw.redirect("./main.html");
						});
						return;
					}
				}
			});
		},
		//路由付款人信息
		validateOppAcc:function(){
			var payAcc=$('#payAcc').val();
			var payName =$('#payName').val();
			if(payAcc==null||payAcc==""){
				 Fw.Tips.info("请输入付款人账号");
				 return;
			 }
			 if(payName==null||payName==""){
				 Fw.Tips.info("请输入付款人名称");
				 return;
			 }
			
			Fw.util.Ajax.query({
				socketAdapter : 'acrossBank/queryOppsAcctValidate',//路由他行信息
				params:{
					"AcNo":payAcc
				},
				staticData: false,
				success : function(data, result) {
			
					if(!Fw.isEmpty(data.BankName)){
						$('#payPeoBank').val(data.BankName);
						$('#payPeoBank').attr('data-value',data.BankCode);
					}else{
						
						App.collectingBank();
					}
				}
			});
			
		},
		/**
		 * 查询收款人列表
		 */
		queryRecePerList:function(){
			Fw.util.Ajax.get({
				service :'accountService.getAccount',
				params:{
					"type":"2"
				},
				staticData: false,
				success : function(data, result) {
					
					if (Fw.isEmpty(data.List) ||data.List.length == 0) {
						Fw.Msg.info('您的账户无转账权限功能,请至我行任一网点开通', function() {
							if (isPhone) {
								Fw.gotoIndex();
							} else {
								Fw.redirect(Fw.getBasePath()+"/page/pageMenu/moreMenu.html");
								
							}
						});
					} else{
						recePersonList=data.List;
						for(var i = 0;i < recePersonList.length;i++){
							recePersonList[i].option =recePersonList[i].option;
						}
						//默认显示默认支付卡,未设置默认支付卡的，显示第一张加挂账户(支付款默认显示在第一张)
						$('#recAccount').val(recePersonList[0].option);//默认第一个账户
						recName=recePersonList[0].Name;
						
						var showName="*"+recName.substring(1,recName.length);
						$('#recAccount').attr("data-value",recePersonList[0].No);
						$('#recPerName').val(showName);
						$('#recPerBank').val(recePersonList[0].Department.Name);
					}
				}
			});
		},
		paymentClick:function(e){
			
			var $that = $(e.currentTarget);
			var m = Fw.util.Format.unFmtAmt($that.val());
			//保留小数点后的0
			var v=$that.val().trim()+"";
	    	if(v.indexOf("¥")==0){
	    	   v=v.substring(1,v.length);
	    	}
	    	v=v.replaceAll(",","");
	    	var money;
	    	if(v.indexOf('.')>11){
				money = v.slice(0,v.indexOf('.')-1)+v.slice(v.indexOf('.'), v.length);
			}else{
				money = v.slice(0,v.length-1);
			}
			if(!/^[0-9]+\.?(\d{2})?$/.test(v)){
				if(/^(([1-9]\d*)|0)(\.\d+)?$/.test(v)){
					if((v.length-v.indexOf('.')-1)>2){
						$that.val(money).change();
					}
				}else{
					$that.val(money).change();
				}
			}else{
				if(!/^[0-9]{1,11}([.][0-9]{1,2})?$/.test(m)){
					$that.val(money).change();
				}
			}
		},
		dateLogic : function(e) {
			
			var beginday = new Date(beginDateEl.val());
			
			var yb = beginday.getFullYear();
			var mb = beginday.getMonth();
			var db = beginday.getDate();
			
			//var newday = new Date(yb, mb + 6, db);
			
			var endday = new Date(endDateEl.val());
			
			var ye = endday.getFullYear();
			var me = endday.getMonth();
			var de = endday.getDate();
			
			var nowDay=Fw.getDate();
			
			if (beginday > endday) {
				endDateEl.val(App.newDate(yb, mb, db));
			} else {
				/*if (newday < endday) {
					if ($that.attr("id") == "endT") {
						beginDateEl.val(App.newDate(ye, me - 6, de + 1))
					} else {
						endDateEl.val(App.newDate(yb, mb + 6, db - 1))
					}
				}*/
			}
		},
	
		newDate : function(y, m, d) {
			var newday = new Date(y, m, d);
			var yn = newday.getFullYear();
			var mn = newday.getMonth();
			var dn = newday.getDate();
			mn++;
			yn += "";
			mn += "";
			dn += "";
			if (mn.length == 1) {
				mn = "0" + mn;
			}
			if (dn.length == 1) {
				dn = "0" + dn;
			}
			return yn + "-" + mn + "-" + dn;
		},
		
		frmDate:function(date){
		
			var nums=date.split('-');
			var newDate="";
			for(var i=0;i<nums.length;i++){
				newDate+=nums[i];
			}
			return newDate;
		},
		formatAmt: function(e){
	    	var El =$(e.currentTarget)
	    	El.val(Fw.util.Format.fmtAmt(El.val()));
	    },
	    //纯数字（账号）
	    numberLimit: function(e){
        	var $that = $(e.currentTarget);
        	var t_val=$that.val();
        	var Reg =/^\d*$/;
        	if(Reg.test(t_val)){
        		return true;
        	}else{
        		$that.val(t_val.replace(/\D/g,""));
        	}
        	
        	
        },

        numberLimit1:function(e){
        	var $that = $(e.currentTarget);
        	var t_val=$that.val();
        	var regex=/^[0]+/;
        	var a=t_val.replace(regex,"");
        	$that.val(a);
        	
        },
        
		//选择收款行
		collectingBank:function(){
			if(!Fw.isEmpty($("#recAccount").val()) && !Fw.isEmpty($("#recPerName").val())){
				if(isPhone){
					App.phoneCollectingBank()
				}else{
					App.webCollectingBank()
				}
				
			}
		},
		//手机端选择收款行
		phoneCollectingBank:function(){
			//查询收款行
			App.queryBank();
			
		},
		queryBank:function(){
			Fw.util.Ajax.query({
				service:'transferService.queryBankList',
	       		params: {
	       			InterbankType:"PAY2G",//渠道，代表网银互联
				 },
				
				staticData : false,
				success : function(data, result) {
					data.flag="PAY2G";//渠道，代表网银互联
					data.json={
            			PayeeBankId: "402391000068",
	           	   		PayeeBankName: "福建农信行内转账"
		            };
					Fw.device.Device.showBankList(data,'App.getBank');//App.getBank选择之后的回调方法
				}
			});
		},
		//客户端收款行选择回调
		getBank:function(data){
			data=data.replaceAll('"','\"');//把所有的""转换成\
        	data=JSON.parse(data);//转换成json字符串
        	var bankId=data.PayeeBankId;
        	$("#payPeoBank").val(data.PayeeBankName);
			$("#payPeoBank").attr('data-value',bankId);
		},
		//web收款行选择
		webCollectingBank:function(){
			
			Fw.Window.show({
				title : '收款行选择',
				url : 'page/pc/transfer_accounts/bankList.html',
				autoCloseHandler: function(win, content, app){
					if(!Fw.isEmpty(app.getValue().BankId)){
						var bankId=app.getValue().BankId;
						$("#payPeoBank").val(app.getValue().PayeeBankName);
						$("#payPeoBank").attr('data-value',bankId);
					}
					
                },
			});
	
		},
		
		/**
		 * 选择收款人账号
		 */
		seleOneRecePer:function(recePersonList){
			
			$('#recAccount').val(recePersonList.option);
			$('#recAccount').attr("data-value",recePersonList.No);
			
			recName=recePersonList.Name;
			
			var showName="*"+recName.substring(1,recName.length);
			$('#recPerName').val(showName);
			$('#recPerBank').val(recePersonList.Department.Name);
		},
		/**
		 * 选择业务种类
		 */
		seleOneBussiKind:function(busiTypeList){
			$('#bussiK').val(busiTypeList.option);
			$('#bussiK').attr('data-value',busiTypeList.code);
			
		},
		/**
		 * 选择账号类型
		 */
		selecAccType:function(payAccTypeList){
			$('#payAccKind').val(payAccTypeList.option);
			$('#payAccKind').attr('data-value',payAccTypeList.code);
			
		},
		showList:function(e){
			var el=$(e.target).attr('id');
			
			if(el=="recAccount"||el=="showAccount"||el=="recAccount1"){
				recePersonDropDownList.show(recePersonList);
			}else if(el=="bussiK"||el=="bussiKinds"||el=="bussiK1"){
				busiTypeDropDownList.show(busiTypeList);
			}else if(el=="payAccKind"||el=="payAccKind1"||el=="payAccKinds"){
				payAccTypeDropDownList.show(payAccTypeList);
			}else if(el=="payPeoBank"||el=="payBank"||el=="payPeoBank1"){
				payPerBankDropDownList.show(payPerBankList);
			}
		
		},
		showPage:function(sign){
			if(isPhone){
				$('.ui-form-item label').css('width','112px');
				$('.ui-form-item input').css('padding-left','115px');
				$('.ui-form-item').css('padding-left','18px');
			}
			if(sign==1){
				$('#main_page').show();
				$('#sub-page').hide();
			}else{
				$('#main_page').hide();
				$('#sub-page').show();
			}
		},
		initDropDownList:function(data){
			var drownList = new Fw.DropDownList({
				//必须参数：结果集
        		result: data,
        		//可配置参数：1.false,随内容撑出高度，2.num：固定高度，超出滚动显示,默认[220]
        		fixedHeight: 220,
        		disableField: 'cardtp',
        		//可配置参数：设置不可点击参数值，1.默认[0],2.具体值，"不可点击字段“值等于"不可点击参数值"该项不可点击
        		disableFieldValue: '1',
        		displayName: 'option',
        		displayNo: false,
        		cursorBtn: false,
			});
			return drownList;
		},
		initForm:function(){
			//定义表单
			form = new Fw.Form({
				 //EL
				contentEl : 'form',
				//是否激活重置事件（默认false）
				 //单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
				resettable: false,
				//校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
				msgTarget: 'msg'
			});
		},
	
	}
		
}();
/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);