/**
 * 创建应用
 */
var App = function() {
	var tab;
	var buttons = $('button[id*=btn]');
	var actionsheet = $('.ui-actionsheet');
	var del = Fw.getParameters() || {};
	// 下拉框
	var dropDownList1;
	var dropDownList2;
	var dropDownList3;
	var dropDownList4;
	var dropDownList5;
	var dropDownList6;
	var form;
	var form1;
	var form2;
	var listView;
	var data1 = [];
	var List = [];
	var pre = "0";
	var ConsignPrjCode;
	var ConsignPrjCode1;
	var UserNo;
	var UserName;
	var SignAcctNo;
	var AccountNo;
	var UserNum;
	var IdType;
	var IdNo;
	var ClientName
	var CifNo;
	var AcNo;
	var ReservField;
	
	return {
		/**
		 * 依赖组件
		 */
		requires : [ 'Fw.Tab', 'Fw.DropDownList', 'Fw.Form',
		'Fw.ListView', 'Fw.app.Session' ],
		viewConfig : {
			title : '自动缴费管理',
			leftButton : {
				text : '返回',
			},
			loadMask : true
		},
		/**
		 * 初始化 应用入口
		 */
		init : function(require) {
			
			
			Fw.LoadMask.hide();
			App.data = {};
			this.queryAccountList();
			this.initWight();
			// 初始化事件
			pre = "3000";
			if (del.flag == 3) {
				App.List1 = del.TypeList;
				App.List2 = del.AreaList;
				App.List3 = del.CompanyList;
			} else {
				this.queryPayment();
			}
			if (del.flag == 3) {
				if (del.back == "onselect") {
					$('[name="select4"]').val(del.record.UserNo);
					this.queryPaymentFlag3(del);
				} else if (del.back == "left") {
					$('[name=select1]').val(del.BussType);
					$('[name=select2]').val(del.RegionName);
					$('[name=select3]').val(del.TraderCodeName);
					$('[name="select4"]').val(del.UserNo);
					App.data.ItemCode = del.ItemCode;
					App.data.ItemCode1 = del.ItemCode1;
					App.data.ItemCode2 = del.ItemCode2;
				}
			}else if(del.flag == 2){
				if(del.ItemCode == "208"){
					$(".ui-form-item-checkbox").show();
					if(!$("#check").is(':checked')){
						$("#sure_sign_btn").attr("disabled", "disabled");
					}else{
						$("#sure_sign_btn").removeAttr("disabled");
					}
				}else{
					$("#sure_sign_btn").removeAttr("disabled");
					$(".ui-form-item-checkbox").hide();
				}
				$('#tab1Form').hide();
				$('#tab1Success').hide();
				$('#tab1Form1').show();
				ConSignPrjCode = del.ConSignPrjCode;
				pre = "01";
				$('#paymentAccount').text(del.UserName);
				$('#paymentPhone').text(del.UserNo);
				$('#useAddress').text(del.UserAddr);
				App.data = del;
			}
		},
		// 初始化组件
		initWight : function() {
			form = new Fw.Form({
				contentEl : 'form',
				resettable : false,
				msgTarget : 'tips'
			});
			form1 = new Fw.Form({
				contentEl : 'form1',
				resettable : false,
				msgTarget : 'tips'
			});

			form2 = new Fw.Form({
				// EL
				contentEl : 'form2',
				resettable : false,
				msgTarget : 'tips'
			});
			form4 = new Fw.Form({
				// EL
				contentEl : 'form4',
				resettable : false,
				msgTarget : 'tips'
			});

			tab = new Fw.Tab({
				contentEl : 'tab',
				activeTab : 0
			});
			// 实例化下拉
			dropDownList1 = new Fw.DropDownList({
				result : List,
				displayNo : false,
				displayName : 'ItemName',
				cursorBtn : false,
				disableFieldValue : '1'
			});
			dropDownList2 = new Fw.DropDownList({
				result : data1,
				displayNo : false,
				displayName : 'ItemName',
				cursorBtn : false,
				disableFieldValue : '1'
			});
			dropDownList3 = new Fw.DropDownList({
				result : data1,
				displayNo : false,
				displayName : 'ItemName',
				cursorBtn : false,
				disableFieldValue : '1'
			});

			dropDownList5 = new Fw.DropDownList({
				result : data1,
				displayNo : false,
				lastSubNo : 4,
				displayName : 'option',
				cursorBtn : false,
				disableFieldValue : '1'
			});

			dropDownList6 = new Fw.DropDownList({
				result : data1,
				displayNo : false,
				lastSubNo : 4,
				displayName : 'option',
				cursorBtn : false,
				disableFieldValue : '1'
			});
		},

		/**
		 * 初始化事件
		 */
		initEvents : function() {
			
			// 选项卡切换后触发
			tab.on('tabchange', this.onTabChange);
			$('#pay_phone').on('click', Fw.bind(this.QueryPaymentList, this));
			$('#check').on('click', Fw.bind(this.checkBtn, this));
			$('#pay').on('click', Fw.bind(this.agreeMent, this));
			
			// 点击按钮时触发（查询 ,确认签约）
			buttons.tap(Fw.bind(this.onButtonClick, this));
			$('#sure_sign_btn').on('click', Fw.bind(this.sure_sign_btnFn,this));
			$('#sure_terminate_btn').on('click', Fw.bind(this.sure_terminate_btnFn,this));
			$('#select1').on('click', Fw.bind(this.select1Click));
			$('#select2').on('click', Fw.bind(this.select2Click));
			$('#select3').on('click', Fw.bind(this.select3Click));
			$('#select5').on('click', Fw.bind(this.select5Click));
			$('#select6').on('click', Fw.bind(this.select6Click));
			form.on('change', this.onChange, this);
			// 监听select点击事件
			dropDownList1.on('itemClick', Fw.bind(this.item1Click, this));
			dropDownList2.on('itemClick', Fw.bind(this.item2Click, this));
			dropDownList3.on('itemClick', Fw.bind(this.item3Click, this));
			dropDownList5.on('itemClick', Fw.bind(this.item5Click, this));
			dropDownList6.on('itemClick', Fw.bind(this.item6Click, this));
			
			$('[name="select4"]').on('blur',Fw.bind(this.RegxValue,this));
			$('[name="recommender"]').on('blur',Fw.bind(this.RegxRecommender,this));
			
		},
		checkBtn : function(){
			if(!$("#check").is(':checked')){
				$("#sure_sign_btn").attr("disabled", "disabled")
			}else{
				$("#sure_sign_btn").removeAttr("disabled");
			}
		},
		agreeMent : function(){
			if(Fw.isTouch){
				App.data.flag = 2;
				Fw.redirect("agreement.html",App.data);
			}else{
				Fw.Window.show({
					title : "用户委托代扣协议",
					url : 'page/pub/autoPaymentManagement/agreement.html',
					autoCloseHandler: function(win, content, app){
                    },
                    buttons : [
					           {
					        	text : '确定',
								cls : 'ui-btn-default',
								dismiss: false,
								handler : function(btn, win, content, app) {
									win.hide();
								}
							} ]
				});
			}
		},
		RegxValue:function(){
			var phoneNum = $('[name="select4"]').val().replace(/[^0-9a-zA-Z+-]/g, "");
			$('[name="select4"]').val(phoneNum);
			App.oldValue = '';
		},
		RegxRecommender:function(){
			var phoneNum = $('[name="recommender"]').val().replace(/[^0-9a-zA-Z]/g, "");
			$('[name="recommender"]').val(phoneNum.substring(0,6));
		},
		onChange : function(name, value, oldValue, field) {
			if (Fw.isEqual(name, "select1")) {
				form.setValues({
					select3 : ""
				});
			}
		},

		leftButtonHandler : function() {
			if (pre == "10") {
				$('#tab2Form4').hide();
				$('#tab2Form2').show();
				pre = "1000";
			} else if (pre == "001") {
				$('#tab1Success').hide();
				$('#tab1Form').show();
				form.reset();
				form1.reset();

				App.List2 = null;
				App.List3 = null;
				form1.setValues({
					"recommender" : ""
				});
				$('[name=select5]').val(App.data.data4[0].option);
				$('#tab1Form1').hide();
				pre = "1000";
			} else if (pre == "01") {
				$('#tab1Form1').hide();
				$('#tab1Form').show();
				form1.setValues({
					"recommender" : ""
				});
				pre = "301";
			} else if (pre == "1001") {
				$('#tab2Success').hide();
				$('#tab2Form2').show();
			} else if (pre == "301") {
				$('#tab2Form2').show();
				form4.reset();
				$('#list').hide();
				pre = "001";
				return;
			} else if (pre == "310") {
				$('#tab2Form2').show();
				$('#list').hide();
				pre = "3000";
				return;
			} else if (pre == "200") {
				$('#tab2Success').hide();
				$('#tab2Form2').show();
				pre = "3000";
			} else {
				if (Fw.isTouch) {
					if (pre == "001" || pre == "1000" || pre == "01" || pre == "1001" || pre == "3000"
							|| pre == "210" || pre == "300") {
						Fw.gotoIndex();
					}
				} else {
					if (pre == "001" || pre == "1000" || pre == "01" || pre == "1001" || pre == "3000" || pre == "300" || pre == "210") {
						Fw.redirect(Fw.getBasePath() + '/page/pageMenu/lifeService.html');
					}
				}
			}
		},

		/**
		 * 选项卡切换后触发
		 */

		onTabChange : function(tab, index) {
			pre = "210";
		},

		/**
		 * 点击按钮时触发（）
		 */
		onButtonClick : function(e) {

			// 判断是否切换选项卡
			switch (e.target.id) {
			// 查询签约账户信息
			case 'query_btn':
				var reg = /^[\d]{7}|[\d]{8}|[\d]{11}$/;
				if (Fw.isEmpty($('#select1').val())) {
					Fw.Tips.info('请选择缴费类型');
					break;
				} else if (Fw.isEmpty($('#select2').val())) {
					Fw.Tips.info('请选择缴费地区');
					break;
				} else if (Fw.isEmpty($('#select3').val())) {
					Fw.Tips.info('请选择缴费单位');
					break;
				} else if (Fw.isEmpty($('#select4').val())) {
					Fw.Tips.info('请输入缴费号码');
					break;
				} else if ($('#select1').val() == '电信话费') {
					if (!(reg.test($('[name=select4]').val()))) {
						var payPhone = $('[name=select4]').val();
						Fw.Tips.info('输入缴费的缴费号码为7,8,11位');
						break;
					}
				} 
				App.checkPhoneNum();
				break;
			// 查询自动缴费列表
			case 'query_list_btn':
				listView.ajax.setParams('AcctNo', AccountNo);
				// 加载数据
				listView.loadData();
				pre = "310";
				// 查询数据后触发
				// listView.ajax.on('queryerror', this.onQuery, this);
				// 选中一条记录到详细页面
				listView.on('itemclick', this.onSelect, this);
				// 查询数据后触发
				listView.ajax.on('query', this.onQueryAfter, this);
				// 查询错误后触发
				listView.ajax.on('queryerror', this.onQuery, this);
				break;
			case 'reTrans_btn':
				Fw.redirect(Fw.getBasePath() + '/page/pub/accountBook/Notice/writeNotice/main.html', {
					pageParam : {
						aimUrl : '/page/pub/autoPaymentManagement/main.html'
					}
				});
				break;
			default:
				// 隐藏分享菜单
				actionsheet.removeClass('show');
			}
			return false;
		},
		// 自动缴费签约
		sure_sign_btnFn:function(){
			var phoneNon = $('[name="recommender"]').val();
			App.phoneNon = phoneNon;
			var cardList = Fw.app.Session.getAcList();
			var cardNews = {
					passwordType:'T',//借记卡  T  信用卡  B
					cardNo:AccountNo,
			}
			/**
			 * 校验字母加数字 成功后调用支付控件 M
			 */
			if (Fw.isEmpty($('[name="recommender"]').val())) {
				var showInfo = [];
				/**
				 * type
				 * 
				 * S&AP 短信验证码+账户密码 U&AP U-key密码+账户密码(pc端) AP 账户密码 CTP信用卡交易密码
				 * SMS 短信验证码 IC&AP IC卡+账户密码(手机端)
				 */

				Fw.device.Device.payControls('AP', showInfo, "App.onPayControlsSubmit", {}, cardNews);
			} else {
				if ((/^[a-zA-Z0-9]+$/.test(phoneNon) || /^(?=.*?[a-zA-Z])/.test(phoneNon) && /^(?=.*?[0-9])/.test(phoneNon))
						|| (/^(?=.*?[0-9])/.test(phoneNon))) {
					// 判断是否是有数字和字母组成·
					var showInfo = [];
					/**
					 * type
					 * 
					 * S&AP 短信验证码+账户密码 U&AP U-key密码+账户密码(pc端) AP 账户密码
					 * CTP信用卡交易密码 SMS 短信验证码 IC&AP IC卡+账户密码(手机端)
					 */
					Fw.device.Device.payControls('AP', showInfo, "App.onPayControlsSubmit", {}, cardNews);
				} else {
					Fw.Msg.info('推荐人需是字母加数字组合或者是数字或者字母');
				}
			}
			return false;
		},
		sure_terminate_btnFn:function(){
			var cardList = Fw.app.Session.getAcList();
			var cardNews = {
					passwordType:'T',//借记卡  T  信用卡  B
					cardNo:AccountNo,
			}
			var showInfo = [];
			/**
			 * type
			 * 
			 * S&AP 短信验证码+账户密码 U&AP U-key密码+账户密码(pc端) AP 账户密码 CTP 信用卡交易密码
			 * SMS 短信验证码 IC&AP IC卡+账户密码(手机端)
			 */
			Fw.device.Device.payControls('AP', showInfo, "App.onPayControlsSubmit1", {}, cardNews);
			return false;
		},
		checkPhoneNum : function() {
			var payPhone = $('[name=select4]').val();
			if(App.data.ItemCode == "208"){
				$("#sure_sign_btn").attr("disabled", "disabled")
				$(".ui-form-item-checkbox").show();
			}else{
				$("#sure_sign_btn").removeAttr("disabled");
				$(".ui-form-item-checkbox").hide();
			}
			/**
			 * 判断缴费号码正确
			 * 
			 * 
			 */
//			Fw.util.Ajax.execute({
//				socketAdapter : 'lifeService/queryPhoneSurpluse',
//				// method: 'query',
//				// 默认为query，方法名称必须是query开头
//				// 请求参数
//				params : {
//					ItemCode : App.data.ItemCode,
//					ItemCode1 : App.data.ItemCode1,
//					ItemCode2 : App.data.ItemCode2,
//					phoneNum : payPhone,
//				},
//				staticData : false,
//				success : function(data, result) {
//					if (Fw.isEmpty(data)) {
//						Fw.Tips.info('缴费信息不正确!!!');
//					} else {
						// 中间业务委托项目信息查询服务 查询ConSignPrjCode委托代码
						Fw.util.Ajax.execute({
							socketAdapter : 'autoPaymentManage/queryDelegateProInfo',
							// 请求参数
							params : {
								ItemCode : App.data.ItemCode,
								ItemCode1 : App.data.ItemCode1,
								ItemCode2 : App.data.ItemCode2
							},
							staticData : false,
							success : function(data, result) {
								
								App.result = result.result;
								ConSignPrjCode = App.result.ConSignPrjCode;
								Fw.apply(App.data, data)
								var userNo = $('[ name="select4"]').val();
								$('#paymentPhone').text(payPhone);
								// 查询缴费用户信息
								Fw.util.Ajax.execute({
									socketAdapter : 'autoPaymentManage/queryUserinfo',
									params : {
										ConSignPrjCode : ConSignPrjCode,
										UserNo : userNo,
										ReservField : ReservField//"数2"
									},
									staticData : false,
									success : function(data, result) {
										Fw.apply(App.data, data)
										$('#tab1Form').hide();
										$('#tab1Success').hide();
										$('#tab1Form1').show();
										pre = "01";
										$('#paymentAccount').text(data.UserName);
										$('#paymentPhone').text(data.UserNo);
										$('#useAddress').text(data.UserAddr);
										
									}
								});
							},
							// 请求错误后回调
							failure : function(status, textStatus, error) {
								// alert(status);
								// return false;
							}
						});

//					}
//				}
//			});
		},

		queryAcctList : function() {
			Fw.util.Ajax.get({
				service : 'accountService',
				method : 'getAccount',// XXX
				params : {
					// null全部
					// 0借记账户1贷记账户2动账借记3动账贷记5贷记卡带信息4缴费支付权限6所有借记'卡'7非定期借记账户8动账借记'卡'
					type:'2'
				},
				staticData : false,
				success : function(data4, result) {
					Fw.Msg.info("---888---")
					App.data.data4 = data4.List;
					App.data.data5 = data4.List;
					$('[name=select5]').val(data4.List[0].option);
					$('[name=select6]').val(data4.List[0].option);
					AccountNo = data4.List[0].No;
					Fw.Tips.info(AccountNo)
				}
			});
		},

		/**
		 * 查询数据后触发
		 * 
		 * @param {Object}
		 *            Ajax对象
		 * @param {Object}
		 *            响应数据（result[Fw.Ajax.rootProperty]部分）
		 * @param {Object}
		 *            响应数据（全部）
		 */
		/*
		 * onQuery : function(ajax, data, result, error) { if (error =
		 * "201010020101AER0004") { Fw.Msg.info('未查询到相关信息'); } },
		 */

		onQuery : function(ajax, data, result, error) {
			// if (error == "无符合条件的记录") {
			pre = "300";
			// $('#list').show();
			// $("#list").html("<p style='height: 45px;line-height:
			// 45px;text-align:center;'>未查询到相关信息</p>");
			// Fw.Msg.info("未查询到相关信息", function() {
			// })
			// }
		},
		/**
		 * 查询数据后触发
		 * 
		 * @param {Object}
		 *            Ajax对象
		 * @param {Object}
		 *            响应数据（result[Fw.Ajax.rootProperty]部分）
		 * @param {Object}
		 *            响应数据（全部）
		 */
		onQueryAfter : function(ajax, data, result) {
			if (Fw.isEmpty(data) || data.length == 0) {
				$('#tab2Form2').show();
				$('#list').show();
			} else {
				$('#tab2Form2').hide();
				$('#list').show();
				$('#tab2Success').hide();
			}
		},
		queryPayment : function() {
			// 查询数据
			Fw.util.Ajax.query({
				socketAdapter : 'paymentInfoManagement/queryPaymentType',
				// method: 'query',
				// 数据源（服务接口）
				// 请求参数
				params : {},
				// 是否使用数据挡板（默认false）
				// staticData: true,
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					var filterArray = $.grep(data.List, function(value) {
						if (value.ItemCode == '102' || value.ItemCode == '105' ||value.ItemCode == '107' 
							||value.ItemCode == '108' ||value.ItemCode == '202' ||value.ItemCode == '202' 
								||value.ItemCode == '207' ||value.ItemCode == '203'||value.ItemCode == '208') {
								return true ;
						} else {
							return false;
						}
					});
					App.List1 = filterArray;
					// App.data.ItemCode = App.List1[0].ItemCode;
					// $('[name=select1]').val(App.List1[0].ItemName);
					// if (Fw.isTouch) {
					// if (Fw.isEmpty(del)) {
					// // $('#select1').val(App.List1[0].ItemName);
					// } else if (del.sign == 2) {
					// }
					// } else {
					// if (del.sign == 2) {
					// $('[name=select1]').val(del.BussType);
					// } else if (Fw.isEmpty(del.sign)) {
					// // $('#select1').val( App.List1[0].ItemName);
					// }
					// }
				}
			});
		},

		queryPaymentFlag3 : function(dataFlag3) {
			// 查询数据
			Fw.util.Ajax.query({
				socketAdapter : 'paymentInfoManagement/queryPaymentType',
				// method: 'query',
				// 数据源（服务接口）
				// 请求参数
				params : {},
				// 是否使用数据挡板（默认false）
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					var filterArray = $.grep(data.List, function(value) {
						if (value.ItemCode == '101') {
							return false;
						} else {
							return true;
						}
					});
					App.List = filterArray;
					App.data.ItemCode = dataFlag3.ItemCode;
					/**
					 * 福建电信手机缴费 福建电信固定电话缴费 福建电信宽带缴费 福建移动手机缴费 福建联通手机缴费
					 */
					form.setValues({
						select1 : dataFlag3.BussTypeName
					});
					// 查询缴费地区
					Fw.util.Ajax.query({
						// service :
						// 'autoPaymentManage.paymentArea',
						socketAdapter : 'paymentInfoManagement/queryPaymentArea',
						// method: 'query',
						// 数据源（服务接口）
						// 请求参数
						params : {
							ItemCode : dataFlag3.ItemCode
						},
						// 是否使用数据挡板（默认false）
						// staticData : true,
						staticData : false,
						// 请求成功后回调
						success : function(data2, result) {
							App.data.ItemCode1 = dataFlag3.ItemCode1;
							App.List2 = data2.List;
							form.setValues({
								select2 : dataFlag3.RegionName
							});
							// 查询缴费单位
							Fw.util.Ajax.query({
								socketAdapter : 'paymentInfoManagement/queryPaymentCorporation',
								params : {
									"ItemCode" : dataFlag3.ItemCode,
									"ItemCode1" : dataFlag3.ItemCode1,
								},

								// 是否使用数据挡板（默认false）
								// staticData : true,
								staticData : false,
								// 请求成功后回调
								success : function(data3, result) {
									App.List3 = data3.List;
									form.setValues({
										select3 : dataFlag3.TraderCodeName
									});
									App.data.ItemCode2 = dataFlag3.ItemCode2;
									Fw.LoadMask.hide();
								}
							});

						}
					});

				}
			});

		},

		queryAccountList : function() {
			Fw.util.Ajax.get({
				// 0借记账户1贷记账户2动账借记3动账贷记4null全部5贷记卡带信息4缴费支付权限6所有借记'卡'7非定期借记账户8动账借记'卡'
				service : 'accountService',
				method : 'getAccount',
				params : {
					type:'2'
				},
				staticData : false,
				// 请求成功后回调
				success : function(data5, result) {
					console.log(data5);
					if (data5.List.length == 0 || Fw.isEmpty(data5)) {
						Fw.Msg.info('您的账户无转账权限功能,请至我行任一网点开通', function() {
							if (Fw.isTouch) {
								Fw.gotoIndex();
							} else {
								Fw.redirect(Fw.getBasePath() + '/page/pageMenu/lifeService.html');
							}
						});
					} else {
						App.data.data4 = data5.List;
						App.data.data5 = data5.List;
						$('[name=select5]').val(data5.List[0].option);
						$('[name=select6]').val(data5.List[0].option);
						//账号姓名
						ReservField = data5.List[0].Name;
						
						AccountNo = data5.List[0].No;
						
						App.initEvents();
					}
					if (Fw.isEmpty(listView)) {
						listView = new Fw.ListView({
							// EL
							contentEl : 'list',
							// 数据请求对象（为空时，可通过loadData加载静态数据，但不支持beforequery、query事件）
							ajax : {
								// 数据源（服务接口）
								socketAdapter : 'autoPaymentManage/executeSignInfoList',
								// 请求参数
								params : {
									QueryType : '1',
									AcctNo : AccountNo
								},
								rootProperty : 'result.List',
								// 分页参数
								pageSize : 10,
								// 是否使用数据挡板（默认false）
								staticData : false,
								page : false,
							},
							disclosure : false,
							// 数据展现模版
							itemTpl : [ '<form style="width:100%;border-top:1px solid #E6E6E6;" class="ui-form">',
									'<div class="ui-form-item" style="padding-left:0px;height:34px; line-height: 34px;">',
									'<label class="overHidden" style="text-align:left;margin-left:15px;color:#333;">缴费单位</label>',
									'<div style="margin-left: 200px;text-align: right;overflow: hidden;text-overflow: ellipsis;white-space: nowrap;">${item.ConsignPrjName}</div>', '</div>',
									'<div class="ui-form-item" style="padding-left:0px;height:34px; line-height: 34px;">',
									'<label style="text-align:left;margin-left:15px;color:#333;" >签约时间</label>',
									'<div style="text-align: right;" >${item.SignDate|fmtDate,"yyyy-MM-dd"}</div>', '</div>',
									'<div class="ui-form-item" style="padding-left:0px;height:34px; line-height: 34px;">',
									'<label style="text-align:left;margin-left:15px;color:#333;" >缴费户名</label>',
									'<div style="text-align: right;" >${item.UserName}</div>', '</div>',
									'<div class="ui-form-item" style="padding-left:0px;height:34px; line-height: 34px;">',
									'<label style="text-align:left;margin-left:15px;color:#333;" >缴费号码</label>',
									'<div style="text-align: right;color:#ef2525;" >${item.UserNo}</div>', '</div>', '</form>' ]
						});
					}
				},
				// 请求错误后回调
				failure : function(status, textStatus, error) {
					// 回显详情信息
					// App.queryFinance();
				}
			});
		},
		/**
		 * 显示组件
		 */
		select1Click : function() {
			dropDownList1.show(App.List1);
		},
		select2Click : function() {
			
			if (Fw.isEmpty(App.List2)) {
				Fw.Tips.info("请选择缴费类型");
			} else {
				dropDownList2.show(App.List2);
			}
		},
		select3Click : function() {
			if (Fw.isEmpty(App.List2)) {
				Fw.Tips.info("请选择缴费类型");
			} else if (Fw.isEmpty(App.List3)) {
				Fw.Tips.info("请选择缴费地区");
			} else {
				dropDownList3.show(App.List3);
			}
		},

		select5Click : function() {
			dropDownList5.show(App.data.data4);
		},
		select6Click : function() {
			dropDownList6.show(App.data.data5);

		},

		/**
		 * 监听select点击事件 缴费类型
		 */
		item1Click : function(data, index) {
			form.setValues("select1", data.ItemName);
			
			App.data.ItemCode = data.ItemCode;
			App.data.ItemName = data.ItemName;
			Fw.util.Ajax.query({
				socketAdapter : 'paymentInfoManagement/queryPaymentArea',
				params : {
					"ItemCode" : App.data.ItemCode,
				},
				// 是否使用数据挡板（默认false）
				// staticData : true,
				staticData : false,
				// 请求成功后回调
				success : function(data2, result) {
					
					App.List2 = data2.List;
					
					App.List3 = null;
					form.setValues("select2", "");
					form.setValues("select4", "");
					App.data.ItemCode1 = data2.List[0].ItemCode;
				}
			});
			// 手动关闭下拉
			// fwSelect.hide();
		},
		/**
		 * 监听select点击事件 缴费地区
		 */
		item2Click : function(data, index) {
			form.setValues({
				select2 : data.ItemName
			});
			App.data.ItemCode1 = data.ItemCode;
			App.data.ItemName1 = data.ItemName;
			Fw.util.Ajax.query({
				socketAdapter : 'paymentInfoManagement/queryPaymentCorporation',
				params : {
					"ItemCode" : App.data.ItemCode,
					"ItemCode1" : App.data.ItemCode1,
				},
				// 是否使用数据挡板（默认false）
				// staticData : true,
				staticData : false,
				// 请求成功后回调
				success : function(data3, result) {
					App.List3 = data3.List;

					form.setValues("select3", "");
					form.setValues("select4", "");
					App.data.ItemCode2 = data3.List[0].ItemCode;
				}
			});
			// 手动关闭下拉
			// fwSelect.hide();
		},
		/**
		 * 监听select点击事件 缴费单位
		 */
		item3Click : function(data, index) {
			form.setValues({
				"select3" : data.ItemName
			});
			form.setValues("select4", "");
			App.data.ItemCode2 = data.ItemCode;
			App.data.ItemName2 = data.ItemName;
		},
		// 签约账号
		item5Click : function(data, index) {
			AccountNo = data.No;
			form1.setValues({
				select5 : data.option
			});
		},

		item6Click : function(data, index) {
			AccountNo = data.No;
			form2.setValues({
				select6 : data.option
			});
			listView.ajax.setParams('AcctNo', AccountNo);
		},
		/**
		 * 过滤特殊字符 校验输入特殊字符
		 */
		oldValue:"",
		stripscript : function(type) {
			if (Fw.isEqual("1", type)) {
				var ddd = $('[name="select4"]').val().replace(/\s/g, "");
				var fl = !/^[0-9a-zA-Z+-]*$/.test(ddd);//验证输入的不符合规则fl: true,符合fl:false
				var phoneNum0 = $('[name="select4"]').val();
				var phoneNum = $('[name="select4"]').val().replace(/[^0-9a-zA-Z+-]/g, "");
				var l = phoneNum0.length - phoneNum.length;
				var d = phoneNum0.substring(phoneNum0.length-1,phoneNum0.length)
				if(!Fw.isIOS){
					$('[name="select4"]').val(phoneNum);
				}else if(Fw.isEmpty(phoneNum)){
					$('[name="select4"]').val("");
					App.oldValue = '';
				}else if(fl){
					if((!Fw.isEmpty(App.oldValue)) && Fw.isEqual(App.oldValue, phoneNum.substring(0,App.oldValue.length))){
						phoneNum = App.oldValue;
					}
					$('[name="select4"]').val(phoneNum + "");
					App.oldValue = phoneNum;
				}else{
					if(/\s{1}/.test(d) && l==1){
						$('[name="select4"]').val(phoneNum.replace(/\s/g, ""));
						App.oldValue = phoneNum.replace(/\s/g, "");
						App.oldValue = phoneNum;
					}
				}
			} else {
				var ddd = $('[name="recommender"]').val().replace(/\s/g, "");
				var fl = !/^[0-9a-zA-Z]*$/.test(ddd);
				var phoneNum0 = $('[name="recommender"]').val();
				var phoneNum = $('[name="recommender"]').val().replace(/[^0-9a-zA-Z]/g, "");
				var l = phoneNum0.length - phoneNum.length;
				var d = phoneNum0.substring(phoneNum0.length-1,phoneNum0.length)
				if(!Fw.isIOS){
					$('[name="recommender"]').val(phoneNum);
				}else if(Fw.isEmpty(phoneNum)){
					$('[name="recommender"]').val("");
					App.oldValue = '';
				}else if(fl){
					if((!Fw.isEmpty(App.oldValue)) && Fw.isEqual(App.oldValue, phoneNum.substring(0,App.oldValue.length))){
						phoneNum = App.oldValue;
					}
					$('[name="recommender"]').val(phoneNum + "");
					App.oldValue = phoneNum;
				}else{
					if(/\s{1}/.test(d) && l==1){
						$('[name="recommender"]').val(phoneNum.replace(/\s/g, ""));
						App.oldValue = phoneNum;
					}
				}
			}
		},
		/**
		 * @param record XXX
		 *            签约控件
		 */
		onPayControlsSubmit : function(record, type, isObject) {
			if (!isObject || isObject == "false") {
				record = Fw.decode(record);
			}
			var UserNo = $('#paymentPhone').text();//350802199007095550;//
			var UserName = $('#paymentAccount').text();//"农夫一";//
			var EnabledDate = "01000101";
			var UnableDate = "01000101";
			var DrCrFlag = "0";
			Fw.util.Ajax.execute({
				service : 'autoPaymentManage.executeSingleSignmethod',
				params : {
					PwdCheckFlag : '1',
					No : AccountNo,
					IdType : IdType,
					IdNo : IdNo,
					AcctName : ClientName,
					CustNo : CifNo,
					SignAcctNo : AccountNo,
					ConsignPrjCode : ConSignPrjCode,
					UserNo : UserNo,
					UserName : UserName,
					EnabledDate : EnabledDate,
					UnableDate : UnableDate,
					DrCrFlag : DrCrFlag,
					CustMgreName : App.phoneNon,
					BussType : App.data.ItemCode,
					BussTypeName : App.data.ItemName,
					RegionNo : App.data.ItemCode1,
					RegionNoName : App.data.ItemName1,
					TraderCode : App.data.ItemCode2,
					TraderCodeName : App.data.ItemName2,
				},
				staticData : false,
				success : function(data2, result) {
					$('#tab1Form').hide();
					$('#tab1Form1').hide();
					$('#tab1Success').show();
					pre = "001";
				},
			});
			/*
			 * } });
			 */
		},

		/**
		 * @param record XXX
		 *            解约控件
		 */
		onPayControlsSubmit1 : function(record, type, isObject) {
			if (!isObject) {
				record = Fw.decode(record);
			}
			Fw.util.Ajax.execute({
				service : 'autoPaymentManage.executeSingleReleaseSignmethod',
				params : {
					PwdCheckFlag : '2',
					No : AccountNo,
					SignAcctNo : AccountNo,
					ConsignPrjCode : ConsignPrjCode1,
					UserNo : UserNo,
					UserName : UserName,
					IdNo:Fw.app.Session.getIdentno()
				},
				staticData : false,
				success : function(data, result) {
					$('#tab2Form4').hide();
					$('#tab2Success').show();
					pre = "200";
				}
			});
			/*
			 * }, });
			 */

		},
		/**
		 * 点击人头像,查询缴费信息列表
		 * 
		 */
		QueryPaymentList : function() {
			var defaultArea = $('.default_contract_area').text();
			var BussType = $('[name="select1"]').val();
			var RegionName = $('[name=select2]').val();
			var TraderCodeName = $('[name="select3"]').val();
			var phoneNum = $('[name="select4"]').val();
			var param = {
				"type" : App.data.ItemCode,
				"RegionNo" : App.data.ItemCode1,
				"TraderCode" : App.data.ItemCode2,
				"RegionName" : RegionName,
				"TraderCodeName" : TraderCodeName,
				"BussType" : BussType,
				UserNo:phoneNum,
				flag : 3,
				TypeList : App.List1,
				AreaList : App.List2,
				CompanyList : App.List3,
			}
			Fw.redirect(Fw.getBasePath() + '/page/pub/lifeService/paymentList.html', param);
		},
		/**
		 * 选中记录时触发
		 */
		onSelect : function(record, index, item, e, cmp) {
			// alert(Fw.encode(record));
			$('#list').hide();
			$('#tab2Form4').show();
			$('#list-loadmore').hide();
			pre = "10";
			$('[name="user_name"]').val(record.AcctName);
			// $('[name="sign_date"]').val(record.SignDate);
			$('[name=payment_Corporation]').val();
			$('[name=payment_Phone]').val(record.UserNo);
			$('[name=sign_Account]').val(AccountNo);
			$('[name="payment_Corporation"]').val(record.ConsignPrjName);
			$('[name="account_Name" ]').val(record.UserName);
			ConsignPrjCode1 = record.ConsignPrjCode;
			UserNo = record.UserNo;
			UserName = record.UserName;
			SignAcctNo = AccountNo;
		},
		/**
		 * 右边按钮点击事件
		 */
		rightButtonHandler : function() {
			// 显示分享菜单
			actionsheet.addClass('show');
		}
	};
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
