/**
 * 创建应用
 */
var App = function() {
	var amountParams=Fw.getParameters();
	var powerData = Fw.util.Storage.get('powerData');
	powerData = Fw.decode(powerData);
	var app_type = Fw.util.Storage.get("app_type");
	if(app_type == "1"){
		var aimUrl = "/page/pub/creditCardManage/creditCardPayment/main.html"
	}else{
		var aimUrl = "/page/pub/creditCardManage/creditCardPayment/main2.html"
	}
	return {
		/**
		 * 依赖组件
		 */
		requires : [
		 ],
		/**
		 * 视图设置 设置标题栏、按钮等 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
		 */
		viewConfig : {
			/**
			 * 标题栏标题 如果为空或未设置，则标题栏不显示、左右按钮不显示
			 */
			title : '信用卡还款',
			/**
			 * 左边按钮（默认显示） 如果为false，则左边按钮不显示 leftButton: '左边按钮'
			 */
			leftButton : {
				// 自定义按钮标题（默认'返回'）
				text : '<',
			// 自定义按钮点击事件（默认App.leftButtonHandler）
			// handler: XXX
			},
		/**
		 * 是否自动显示等待层（默认true） 需手动隐藏等待层
		 */
			 loadMask: true
		},
		/**
		 * 初始化 应用入口
		 */
		init : function(require) {
			// 初始化事件
			this.initEvents();
			// 手动隐藏等待层
			Fw.LoadMask.hide();
		},
		/**
		 * 初始化事件
		 */
		initEvents : function() {
			$('#submit-btn').on('click', Fw.bind(this.onButtonClick, this));
		},
		/**
		 * 点击按钮时触发（保存、重置、重发验证码）
		 */
		onButtonClick : function() {
			if(Fw.isTouch){
				Fw.device.Device.getMenuPower("其他服务", "M051101", "App.gotoWriteNote");
			}else{
				if(powerData.wdjzp=="T"){
					var params = {
							AddParam:{
								AcNo:amountParams.AcNo,
								Amount:amountParams.money,
							},
							pageParam:{aimUrl:aimUrl},
					};
					Fw.redirect("../../accountBook/Note/writeNote/main.html",params);
				}else{
					Fw.Msg.info("尊敬的客户，由于系统升级，该功能暂时停用，给您造成的不便，敬请谅解，具体开启时间请关注我行公告。");
					return ;
				}
			}
		},
		gotoWriteNote:function(data){
			if(data=="T"){
				var params = {
						AddParam:{
							AcNo:amountParams.AcNo,
							Amount:amountParams.money,
						},
						pageParam:{aimUrl:aimUrl},
				};
				Fw.redirect("../../accountBook/Note/writeNote/main.html",params);
			}else{
				Fw.Msg.info("尊敬的客户，由于系统升级，该功能暂时停用，给您造成的不便，敬请谅解，具体开启时间请关注我行公告。");
				return ;
			}
		},
		leftButtonHandler : function() {
			if (Fw.isTouch) {
				Fw.gotoIndex();
			} else {
				if(app_type == "1"){
					Fw.redirect(Fw.getBasePath()+aimUrl);
				}else{
					Fw.redirect(Fw.getBasePath()+aimUrl);
				}
			}
		}
	};
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
