/**
 * 创建应用
 */
var App = function() {
	var powerData = Fw.util.Storage.get('powerData');
	powerData = Fw.decode(powerData);
    var form;
    var flag;//查询修改标志1、查询2、修改3、新增4、删除
  	//下拉对象
	var dropDownList1;
	var dropDownList2;
	var dropDownList3;
	var dropDownList4;
	//用于上传请求修改方式的字段
	var payStyleVal;
	var data1=[];
	var data4 = [
				{styleName:'全额还款'},
				{styleName:'最低还款额'},
				{styleName:'无'}
	          ];
    return {
        /**
         * 依赖组件
         */
        requires: [
          	//表单
           'Fw.Form',
           'Fw.DropDownList',
           'Fw.PayControls',
           'Fw.app.Session'
        ],
        /**
         * 视图设置
         * 设置标题栏、按钮等
         * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
         */
        viewConfig: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: '还款方式修改',
            /**
             * 左边按钮（默认显示）
             * 如果为false，则左边按钮不显示
             * leftButton: '左边按钮'
             */
            leftButton: {
                //自定义按钮标题（默认'返回'）
                text: '<',
                //自定义按钮点击事件（默认App.leftButtonHandler）
                //handler: XXX
            },
            /**
             * 右边按钮（默认不显示）
             * rightButton: '右边按钮'
             */
            rightButton:false,/* {
                //按钮标题
                text: '设置表单值',
                //自定义按钮点击事件（默认App.rightButtonHandler）
                //handler: XXX
            },*/
            /**
             * 是否自动显示等待层（默认true）
             * 需手动隐藏等待层
             */
            loadMask: true
        },
        /**
         * 初始化
         * 应用入口
         */
        init : function(require) {
        	//定义表单
        	this.initForm();
        	//查询信用卡下拉框
        	this.queryCard();
        	//实例化下拉
        	this.initDropDownList1();
        	this.initDropDownList3();
        	this.initDropDownList4();
            //初始化事件
            this.initEvents();
        },
        initForm:function(){
        	form = new Fw.Form({
                contentEl : 'form',
                resettable: false,
                msgTarget: 'tips'
            });
        },
        initDropDownList1:function(){
        	dropDownList1 = new Fw.DropDownList({
        		result: data1,
        		displayNo: false,
        		displayName: 'option',
        		cursorBtn: false,
        		disableFieldValue: '1'
        	});
        },
		initDropDownList3:function(){
			dropDownList3 = new Fw.DropDownList({
        		result: data1,
        		displayNo: false,
        		displayName: 'option',
        		cursorBtn: false,
        		disableFieldValue: '1'
        	});
        },
		initDropDownList4:function(){
			dropDownList4 = new Fw.DropDownList({
        		result: data1,
        		displayNo: false,
        		displayName: 'styleName',
        		cursorBtn: false,
        		disableFieldValue: '1'
        	});
        },
        /**
         * 初始化事件
         * 
         */
        initEvents: function(){
        	form.on('submit', this.doSubmit, this);
            $('#submit-btn').on('click',Fw.bind(this.btnClick));
            $('#select1').on('click',Fw.bind(this.select1Click));
            $('#iLabel1').on('click',Fw.bind(this.select1Click));
        	$('#select3').on('click',Fw.bind(this.select3Click));
        	$('#iLabel3').on('click',Fw.bind(this.select3Click));
        	$('#select4').on('click',Fw.bind(this.select4Click));
        	$('#iLabel4').on('click',Fw.bind(this.select4Click));
        	//监听select点击事件
        	dropDownList1.on('itemClick',Fw.bind(this.item1Click, this));
        	dropDownList3.on('itemClick',Fw.bind(this.item3Click, this));
        	dropDownList4.on('itemClick',Fw.bind(this.item4Click, this));
        },
        btnClick:function(){
        	form.submit();
        },
      //表单验证通过了调用
        doSubmit:function(values){
        	var showInfo = [];
        	var cardNews = {
        			cardNo : App.accountData2.No,
        			passwordType : 'T',//T代表借记卡 B代表信用卡
        	}
    		/**
    		 * type
    		 * 
    		 * S&AP  短信验证码+账户密码
    		 * U&AP  U-key密码+账户密码(pc端)
    		 * AP    账户密码
    		 * CTP   信用卡交易密码
    		 * SMS   短信验证码
    		 * IC&AP IC卡+账户密码(手机端)
    		 */
        	Fw.device.Device.payControls('AP',showInfo, 'App.onPayControlsSubmit',{},cardNews);
        },
        /**
         * @param record 控件信息
         */
        onPayControlsSubmit: function(record, type, isObject){
        	if (Fw.isEqual(isObject, "false")||!isObject) {
				record = Fw.decode(record);
			}
        	//提交到后台
    		Fw.util.Ajax.execute({
                //数据源（服务接口）
    			service: 'creditCardManageService.executePaymentMethod',
                //请求参数
                params: {
                	account:App.accountData.No,
                	idType:Fw.app.Session.getIdenttype(),
                	identityNo:Fw.app.Session.getIdentno(),
                	pwdCheckFlag:'0',
                	pwd:record.pwd,
                	queryModifyFlag:flag,
                	queryModifyFlagCcy:'156',
                	repayAcctNo:App.accountData2.No,
                	autoDeductFlag:payStyleVal,
                	reservField:'',
                	AcNo:App.accountData.No,
                	tesType:type
                },
                staticData: false,
                success: function(data, result) {
                	Fw.redirect('success.html');
                }
            });
        	
        },
        /**
         * 显示组件
         */
        select1Click:function(){
        	dropDownList1.show(App.data);
        },
        select3Click:function(){
        	dropDownList3.show(App.data3);
        },
        select4Click:function(){
        	dropDownList4.show(data4);
        },
        /**
         * 监听select点击事件
         */
        item1Click: function(data, index){
        	$('[name="select1"]').val(data.option);
        	App.accountData=data;
        	App.creditQuotaInfo();
        },
        item3Click: function(data, index){
        	$('[name="select3"]').val(data.option);
        	App.accountData2=data;
        },
        item4Click: function(data, index){
    		$('[name="select4"]').val(data.styleName);
    		if(data.styleName=="全额还款"){
    			payStyleVal="T";
    			if(Fw.isEmpty(App.autoAcct)){
            		flag=3;
            	}else{
            		flag=2;
            	}
    		}else if(data.styleName=="最低还款额"){
    			payStyleVal="M";
    			if(Fw.isEmpty(App.autoAcct)){
            		flag=3;
            	}else{
            		flag=2;
            	}
    		}else{
    			flag=4;
    		}
        },
      	//查询信用卡下拉框
        queryCard: function(){
        	//查询贷记卡账号
        	Fw.util.Ajax.get({
                service: 'accountService',
                method: 'getAccount',
                params: {
                    type:'1',
                },
              	//0借记账户1贷记账户2动账借记3动账贷记//不传参全部
                staticData: false,
                success: function(data, result) {
                	if(data.List.length==0){
                		Fw.Msg.cfm('您当前未加挂信用卡账户，是否立即加挂？', function(code, btn, win){
                            if(code=="yes"){
                            	if(Fw.isTouch){
                    				Fw.device.Device.getMenuPower("账户管理", "M050200", "App.gotoAcManage");
                    			}else{
                    				if(powerData.zhgl=="T"){
                    					var url = Fw.getBasePath();
                                    	Fw.redirect(url+'/page/pub/account/add/main.html',{aimUrl:"/page/pub/creditCardManage/modifyPaymentMethod/main.html"});
                    				}else{
                    					Fw.Msg.info("尊敬的客户，由于系统升级，该功能暂时停用，给您造成的不便，敬请谅解，具体开启时间请关注我行公告。");
                    					return ;
                    				}
                    			}
                            }else{
                            	if(Fw.isTouch){
                            		Fw.gotoIndex();
                            	}else{
                            	  var url = Fw.getBasePath();
                            	  Fw.redirect(url+'/page/pageMenu/moreMenu.html');
                            	}
                            }
                        });
                	}else{
                		//将App.data放在dropDownlist里面
                		$('[name="select1"]').val(data.List[0].option);
                		App.data=data.List;
                		App.accountData=data.List[0];
                		//获得信用卡默认还款设置信息
                    	App.creditQuotaInfo();
                	}
                }
            });
        	//查询有动账权限的借记卡（不包括存折）
        	Fw.util.Ajax.get({
                service: 'accountService',
                method: 'getAccount',
                params: {
//                    type:'0',
                	type:'8',
                },
//                0借记账户1贷记账户2动账借记3动账贷记null全部5贷记卡带信息4缴费支付权限6所有借记'卡'7非定期借记账户8有动账权限的借记卡（不包括存折）
                staticData: false,
                success: function(data, result) {
                	var arr=[];
                	if(data.List.length==0){
                		Fw.Msg.info('您的账户无转账权限功能，请至我行任一网点开通。', function(){
                			if(Fw.isTouch){
                        		Fw.gotoIndex();
                        	}else{
                        	  var url = Fw.getBasePath();
                        	  Fw.redirect(url+'/page/pageMenu/moreMenu.html');
                        	}
                        });
                	}else{
                		$('[name="select3"]').val(data.List[0].option);
                		App.data3=data.List;
                		App.accountData2=data.List[0];
                	}
                }
            });
        },
        gotoAcManage:function(data){
			if(data=="T"){
				var url = Fw.getBasePath();
            	Fw.redirect(url+'/page/pub/account/add/main.html',{aimUrl:"/page/pub/creditCardManage/modifyPaymentMethod/main.html"});
			}else{
				Fw.Msg.info("尊敬的客户，由于系统升级，该功能暂时停用，给您造成的不便，敬请谅解，具体开启时间请关注我行公告。");
				return ;
			}
		},
      	//查询信用卡额度信息
        creditQuotaInfo:function(){
        	Fw.util.Ajax.query({
        		socketAdapter: 'creditCardManageService/queryCreditQuotaInfo',
                params: {
                    accountNo:App.accountData.No,
                    pwdCheckFlag:'0',
                    AcNo:App.accountData.No
                },
                staticData: false,
                success: function(data, result) {
                	App.autoAcct=data.AutoDeductAcct;
                	if(Fw.isEmpty(data.AutoDeductAcct)){
                		flag=3;
                	}else{
                		flag=2;
                	}
                	//填充还款方式
                	if(data.AutoDeductFlag=='M'){
                		$('[name="select4"]').val(data4[1].styleName);
                		payStyleVal="M";
                	}else if(data.AutoDeductFlag=='T'){
                		$('[name="select4"]').val(data4[0].styleName);
                		payStyleVal="T";
                	}else{
                		$('[name="select4"]').val(data4[2].styleName);
                		flag=4;
                	}
                	//填充默认还款账号
                	if(Fw.isEmpty(data.AutoDeductAcct)){
                		$('[name="select2"]').val("无");
                		$('[name="select2"]').css("color","red");
                	}else{
                		Fw.each(App.data3, function(item) {
                			if (Fw.isEqual(item.No,App.autoAcct)) {
                				$('[name="select2"]').val(item.option);
                			}
                		});
                	}
                	//手动隐藏等待层
                    Fw.LoadMask.hide();
                }
            });
        },
        leftButtonHandler : function() {
			if (Fw.isTouch) {
				Fw.gotoIndex();
			} else {
				Fw.redirect(Fw.getBasePath()+"/page/pageMenu/moreMenu.html");
			}
		}
    };
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
