/**
 * 创建应用
 */
var App = function() {
	// 用于判断是否登录
	var judge = 0;
	var form;
	// 下拉对象
	var dropDownList;
	var data1 = [], url = '';
	var pa = Fw.getParameters() || {}
	return {
		/**
		 * 依赖组件
		 */
		requires : [
		// 表单
		'Fw.Form',
		// 'Fw.DropDownList',
		'Fw.PayControls', 'Fw.app.Session', 'Fw.Keyboard', ],
		viewConfig : {
			/**
			 * 标题栏标题 如果为空或未设置，则标题栏不显示、左右按钮不显示
			 */
			title : '居民保缴费',
			/**
			 * 左边按钮（默认显示） 如果为false，则左边按钮不显示 leftButton: '左边按钮'
			 */
			leftButton : {
				// 自定义按钮标题（默认'返回'）
				text : '<',
			// 自定义按钮点击事件（默认App.leftButtonHandler）
			// handler: XXX
			},
			/**
			 * 右边按钮（默认不显示） rightButton: '右边按钮'
			 */
			rightButton : false,/*
								 * { //按钮标题 text: '设置表单值',
								 * //自定义按钮点击事件（默认App.rightButtonHandler）
								 * //handler: XXX },
								 */
		/**
		 * 是否自动显示等待层（默认true） 需手动隐藏等待层
		 */
		// loadMask: false
		},
		/**
		 * 初始化 应用入口
		 */
		init : function(require) {
			document.all.pay_form.action=Fw.cont.payment_url;
			$("#firstStep").show();
			url = document.referrer + "";
			url = Fw.isEmpty(url) ? "123" : url;
			if (url.indexOf('pageMenu/lifeService') != -1) {
				Fw.util.Storage.set("LIFE_URL", url);
			} else if (url.indexOf('pageMenu/moreMenu.html') != -1) {
				Fw.util.Storage.set("LIFE_URL", url);
			}
			if (Fw.isAndroid) {
				Fw.device.Device.FirstAndSecond("2");
			} else if (Fw.isIOS) {
				Fw.device.Device.initViewConfig(0, 'Fw.emptyFn');
			}
			this.initForm();
			App.lifePaySession = Fw.decode(Fw.util.Storage.get('PAYMENT_LIST')) || {};
			if (Fw.isEqual(pa.pageIndex + '', "2")) {
				if (Fw.isTouch || url.indexOf("paygate/main") != -1) {
					$('#firstStep').hide();
					$('#content').show();
					$('#nextStep').show();
					App.clientData = App.lifePaySession;
					$('#field1').text(App.clientData.IdNo);
					$('#field2').text(App.clientData.AcName);
					$('#field3').text(App.clientData.UserNo);
					$('#field4').text(App.clientData.PayLevelCode);
					$('#field5').text(App.clientData.PayLevelName);
					$('#field6').text(Fw.util.Format.fmtAmt(App.clientData.PersonPay));
					$('#field7').text(Fw.util.Format.fmtAmt(App.clientData.PersonPay));
					$("#confirm-btn").removeAttr("disabled");
					form.setValues({"field0":App.clientData.IdNo})
				}
				Fw.util.Storage.remove("PAYMENT_LIST");
			} else if (url.indexOf("paygate/main") != -1 && Fw.isEqual(pa.pageIndex + '', "1")) {
				Fw.util.Storage.remove("PAYMENT_LIST");
			} else {
				Fw.util.Storage.remove("PAYMENT_LIST");
			}
			this.queryPaymentAccount();
			// 初始化事件
			this.initEvents();
			// 手动隐藏等待层
			Fw.LoadMask.hide();
		},
		/**
		 * 查询有支付权限的账户
		 * 
		 */
		queryPaymentAccount : function() {
			Fw.util.Ajax.get({
				service : 'accountService',
				method : 'getAccount',
				//null全部 0借记账户1贷记账户2动账借记3动账贷记5贷记卡带信息4缴费支付权限6所有借记'卡'7非定期借记账户8动账借记'卡'
				params : {
					type : '4',
				},
				loadMask : false,
				success : function(data4, result) {
					if (data4.List.length == 0 || Fw.isEmpty(data4)) {
						
								var config = {
//									No : filterArray[0].No,
//									DeptSeq : filterArray[0].DeptSeq,
//									BankAcType : filterArray[0].BankAcType,
									PayFlag : "1",
//									sign : "1"
								};
								Fw.Msg.cfm('您的加挂账户均未开通支付权限，是否前往设置?', function(code, btn, win) {
									if (code == 'yes') {
										Fw.redirect(Fw.getBasePath() + '/page/pub/quotaManagement/main.html', config);
									} else {
										App.back();
									}
								});
							
					} else {
						// 有开通缴费权限的卡,才给加载
						listView1.loadData();
					}
				},

			});
		},
		initForm : function() {
			// 定义表单
			form = new Fw.Form({
				// EL
				contentEl : 'form',
				// 是否激活重置事件（默认false）
				// 单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
				resettable : false,
				// 校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
				msgTarget : 'tips'
			});
		},
		/**
		 * 初始化事件
		 * 
		 */
		initEvents : function() {
			// form.on('change', this.onChange, this);
			form.on('submit', this.doSubmit, this);
			$('#submit-btn').on('click', Fw.bind(this.btnClick, this));
			$('#confirm-btn').on('click', Fw.bind(this.confitmClick, this));
		},
		btnClick : function() {
			form.submit();
		},
		beforeSubmit : function(values) {
			if(/^\d{15}$/.test(values.field0)){
				return true;
			}else if (!Fw.util.VTypes.idCard(values.field0)) {
				Fw.Tips.info("证件号码错误，请重新输入");
				return false;
			} else {
				return true;
			}
		},
		doSubmit : function(values) {
			if (App.beforeSubmit(values)) {
				// 提交到后台
				Fw.util.Ajax.query({
					// 数据源（自定以URL）
					// url: '/data/demo1Service/XXX.json',
					// 数据源（服务接口）
					socketAdapter : 'lifeService/queryPersonalPaymentGrade',
					// 请求参数
					params : {
						idNo : $('[name="field0"]').val()
					},
					// 是否使用数据挡板（默认false）
					staticData : false,
					// 请求成功后回调
					success : function(data, result) {
						Fw.Logger.debug("201");

						if (Fw.isEmpty(data.PersonPay) || parseFloat(data.PersonPay) <= 0) {
						} else {
							$("#confirm-btn").removeAttr("disabled");
						}
						App.clientData = data;
						$('#field1').text(data.IdNo);
						$('#field2').text(data.AcName);
						$('#field3').text(data.UserNo);
						$('#field4').text(data.PayLevelCode);
						$('#field5').text(data.PayLevelName);
						$('#field6').text(Fw.util.Format.fmtAmt(data.PersonPay));
						$('#field7').text(Fw.util.Format.fmtAmt(data.PersonPay));
						$('#firstStep').hide();
						$('#content').show();
						$('#nextStep').show();
						pa.pageIndex = '2';
					},
					// 请求错误后回调
					failure : function(status, textStatus, error) {
						// alert(status);
						// return false;
					}
				});
			}
		},
		confitmClick : function() {
			App.executeSendCekStd();
		},
		//获取村镇或者省联社app
		getType : function(){
			 var aaa = Fw.app.Session.getAppType();
			if(aaa==1){//villageFlag 1代表省联社，2代表村镇
				App.clientMchId = "PIBS";
			}else{
				App.clientMchId = "PMBS";
			}
			return App.clientMchId ;
		},
		
		// 获取数据跳到收银台（银联）
		executeSendCekStd : function() {
			App.getType();
			Fw.util.Storage.set("PAYMENT_LIST", Fw.encode(App.clientData));

			Fw.util.Ajax.query({
				service : 'residentContributeService.executeSendCekStd',
				// service: 'balanceQueryService.executeAccountBalance',
				// 请求参数
				params : {
					MerInstId : 'SHJF', // 商户标示 由收银台分配的商户标识
					RegionNo : App.clientData.RegionNo, // 缴费地区 填900000
					UserNo : App.clientData.UserNo, // 用户号
					UserName : App.clientData.UserName, // 用户名称
					IdNo :Fw.app.Session.getIdentno(), // 身份证号
					Amount : App.clientData.PersonPay, // 交易金额 以元为单位
					/*CertType : 'P00', // 凭证类型
					CertNo : App.clientData.IdNo, // 凭证号码
*/					BillssueDate : '', // 出票日期
					SettleType : '2', // 结算方式
					GovPay : App.clientData.GovPay, // 财政补贴金额
					MerURL : Fw.getBasePath() + '/page/pub/creditCardManage/residentContribute/detailInfo.html?pageIndex=2', // 商户URL1
					// 交易结束后点击返回按钮跳转至商户指定页面,
					MerURL1 : Fw.getBasePath() + '/page/pub/creditCardManage/residentContribute/detailInfo.html?pageIndex=1', // 商户URL1
					// 交易结束后点击返回按钮跳转至商户指定页面,
					AddData : App.clientData.Remark, // 附加数据
					UserPhoneNo : Fw.app.Session.getMobilephone(),
					MerSeqNo : "SHJF",
					ClientLoginType : Fw.app.Session.getLoginType(),
					ClientMchId : App.clientMchId,// 客户渠道ID PIBS-福建农信 PMBS-村银行
				},
				// 是否使用数据挡板（默认false）
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					console.log(data.Plain);
					console.log(data.Signature);
					Fw.LoadMask.hide();
					$("#Plain").val(data.Plain); // 表单赋值result.result.Plain
					// result.result.Signature
					$("#Signature").val(data.Signature);
					$("#nextStep").hide();
					if (Fw.isTouch) {
						if (Fw.isAndroid) {
							Fw.device.Device.FirstAndSecond()
							Fw.device.Device.initViewConfig();
							document.all.pay_form.submit(); // 提交表单
						} else if (Fw.isIOS) {
							Fw.device.Device.initViewConfig(1, 'App.goPayform');
						}
					} else {
						document.all.pay_form.submit(); // 提交表单
					} // 提交表单
				},
				// 请求错误后回调
				failure : function(status, textStatus, error) {
					// alert(status);
				}
			});
		},
		goPayform : function() {
			document.all.pay_form.submit(); // 提交表单
		},
		leftButtonHandler : function() {
			if (Fw.isTouch) {
				if (Fw.isEqual(pa.pageIndex + '', "2")) {
					$('#firstStep').show();
					$('#content').hide();
					$('#nextStep').hide();
					pa.pageIndex = '1';
				} else {
					Fw.gotoIndex();
				}
			} else {
				if (Fw.isEqual(pa.pageIndex + '', "2")) {
					$('#firstStep').show();
					$('#content').hide();
					$('#nextStep').hide();
					pa.pageIndex = '1';
				} else {
					Fw.redirect("../../../pageMenu/lifeService.html");
				}
			}
		}
	};
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
