/**
 * 创建应用
 */
var App = function() {
	var powerData = Fw.util.Storage.get('powerData');
	powerData = Fw.decode(powerData);
    var form;
  	//下拉对象
	var dropDownList1;
	var dropDownList2;
	var slavelStyle;
	var data1=[];
	var data2 = [
					{setStyle:'与主卡共享额度',value:'0'},
					{setStyle:'设置附属卡额度百分比',value:'1'},
					{setStyle:'设置附属卡固定额度',value:'2'}
		          ];
    //判断百分比和固定额度输入框是否隐藏和显示
    var percentInput=false;
    var fixedInput=false;
    //设置还款方式的value，作为传入参数
    var payStyleValue;
    return {
        /**
         * 依赖组件
         */
        requires: [
          	//表单
           'Fw.Form',
           //安全键盘
           'Fw.Keyboard',
           'Fw.DropDownList',
           'Fw.PayControls'
        ],
        /**
         * 视图设置
         * 设置标题栏、按钮等
         * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
         */
        viewConfig: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: '附属卡额度设置',
            /**
             * 左边按钮（默认显示）
             * 如果为false，则左边按钮不显示
             * leftButton: '左边按钮'
             */
            leftButton: {
                //自定义按钮标题（默认'返回'）
                text: '<',
                //自定义按钮点击事件（默认App.leftButtonHandler）
                //handler: XXX
            },
            /**
             * 右边按钮（默认不显示）
             * rightButton: '右边按钮'
             */
            rightButton:false,/* {
                //按钮标题
                text: '设置表单值',
                //自定义按钮点击事件（默认App.rightButtonHandler）
                //handler: XXX
            },*/
            /**
             * 是否自动显示等待层（默认true）
             * 需手动隐藏等待层
             */
            loadMask: true
        },
        /**
         * 初始化
         * 应用入口
         */
        init : function(require) {
        	//定义表单
        	this.initForm();
        	$('[name="select2"]').val(data2[0].setStyle);
        	//查询信用卡下拉框
        	this.queryCard();
        	//实例化下拉
        	this.initDropDownList1();
        	this.initDropDownList2();
            //初始化事件
            this.initEvents();
        },
        /*field4Click:function(){
        	var m = Fw.util.Format.unFmtAmt($("#putMoney").val());
			//保留小数点后的0
			var v=$("#putMoney").val().trim()+"";
	    	if(v.indexOf("¥")==0){
	    	   v=v.substring(1,v.length);
	    	}
	    	v=v.replaceAll(",","");
	    	var money;
	    	if(v.indexOf('.')>11){
				money = v.slice(0,v.indexOf('.')-1)+v.slice(v.indexOf('.'), v.length);
			}else{
				money = v.slice(0,v.length-1);
			}
			if(!/^[0-9]+\.?(\d{2})?$/.test(v)){
				if(/^(([1-9]\d*)|0)(\.\d+)?$/.test(v)){
					if((v.length-v.indexOf('.')-1)>2){
						$("#putMoney").val(money).change();
					}
				}else{0
					$("#putMoney").val($("#putMoney").val().slice(money)).change();
				}
			}else{
				if(!/^[0-9]{1,11}([.][0-9]{1,2})?$/.test(m)){
 					$("#putMoney").val(money).change();
				}
			}
        },*/
        initForm:function(){
        	form = new Fw.Form({
                //EL
                contentEl : 'form',
                //是否激活重置事件（默认false）
                //单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
                resettable: false,
                //校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
                msgTarget: 'tips'
            });
        },
        initDropDownList1:function(){
        	dropDownList1 = new Fw.DropDownList({
        		result: data1,
        		displayNo: false,
        		displayName: 'option',
        		cursorBtn: false,
        		disableFieldValue: '1'
        	});
        },
		initDropDownList2:function(){
			dropDownList2 = new Fw.DropDownList({
        		//必须参数：结果集
        		result: data1,
        		//可配置参数：1.false,随内容撑出高度，2.num：固定高度，超出滚动显示,默认[220]
        		//fixedHeight: false,
        		//可配置参数：账号，1.false 不显示账号,2.cdopac 具体显示字段名，默认[cdopac]
        		displayNo: false,
        		//可配置参数：从后截取账号显示,1.false 不截取，2.num：截取长度,默认[5]
        		//lastSubNo:5,
        		//可配置参数：名称，默认[brchna]
        		displayName: 'setStyle',
        		//可配置参数：显示时是否重新渲染，默认[false]
        		//reload: false,
        		//可配参数：选择完成后是否自动关闭,默认[true]
        		//autoClose: true,
        		//可配置参数：是否显示手工输入按钮，默认[true]
        		cursorBtn: false,
        		//可配置参数：设置不可点击,1.默认[false]不限制,2.cardtp具体字段名
        		//disableField: 'name',
        		//可配置参数：设置不可点击参数值，1.默认[0],2.具体值，"不可点击字段“值等于"不可点击参数值"该项不可点击
        		disableFieldValue: '1'
        	});
        },
        /**
         * 初始化事件
         * 
         */
        initEvents: function(){
        	//表单值改变时触发（包含文本输入框、多行文本输入框、单选、多选、下拉框）
            //form.on('change', this.onChange, this);
            form.on('submit', this.doSubmit, this);
          //触发提交事件前（校验前）触发
            form.on('beforesubmit', this.beforeSubmit, this);
            $("#auxiliaryCard").on('input',Fw.bind(this.testCard,this));
            $('#submit-btn').on('click',Fw.bind(this.btnClick));
            $('#select1').on('click',Fw.bind(this.select1Click));
            $('#iLabel1').on('click',Fw.bind(this.select1Click));
        	$('#select2').on('click',Fw.bind(this.select2Click));
        	$('#iLabel2').on('click',Fw.bind(this.select2Click));
        	//监听select点击事件
        	dropDownList1.on('itemClick',Fw.bind(this.item1Click, this));
        	dropDownList2.on('itemClick',Fw.bind(this.item2Click, this));
        },
        testCard:function(){
			var m = $("#auxiliaryCard").val();
			if(!/^[0-9]{0,32}$/.test(m)){
				$("#auxiliaryCard").val(m.replace(/[^0-9]/g,"")).change();
				if($("#auxiliaryCard").val().length > 32){
					$("#auxiliaryCard").val($("#auxiliaryCard").val().slice(0,$("#auxiliaryCard").val().length-1)).change();
				}
			}
		},
        /**
         * 表单文本输入框、多行文本输入框输入时触发（不含单选、多选、下拉框）
         * 失去焦点时出发
         * @param {String} 输入框名称
         * @param {Object} 值
         * @param {Object} 旧值
         * @param {Fw.Form} Form组件
         */
        /*onChange: function(name, value, oldValue, field){
            //Fw.Tips.info(name + ':' + oldValue + '->' + value);
            
        },*/
        btnClick:function(){
        	form.submit();
        },
        beforeSubmit:function(values){
	         if($("#auxiliaryCard").val()==""){
	        	 Fw.Tips.info("请输入附属卡卡号");
     			 return false;
	         }
        	if(percentInput==true){
    			if(Fw.isEmpty($('[name="field3"]').val())){
        			Fw.Tips.info("请输入附属卡额度百分比");
        			return false;
        		}else if(!/^[0-9]\d*$/.test(Fw.util.Format.unFmtPercent($("#percentageMoney").val()))){
	        		Fw.Tips.info("设置附属卡额度百分比必须为整数");
	        	}else if(values.field3>=100){
        			Fw.Tips.info("附属卡额度百分比不能超过100%");
        			$("#percentageMoney").val(null);
        			return false;
        		}else{
        			slavelStyle=1;
        			return true;
        		}
    	        	
    		}else if(fixedInput==true){
    			if(Fw.isEmpty($('[name="field4"]').val())){
        			Fw.Tips.info("请输入附属卡固定额度");
        			return false;
        		}else if(!/^[0-9]\d*$/.test(Fw.util.Format.unFmtAmt($("#putMoney").val()))){
	        		Fw.Tips.info("设置附属卡固定额度必须为整数");
	        	}else if(Fw.util.Format.unFmtAmt(values.field4)>Fw.util.Format.unFmtAmt($('[name="field2"]').text())){
        			Fw.Tips.info("附属卡固定额度不能大于主卡额度");
        			return false;
        		}else{
        			slavelStyle=2;
        			return true;
        		}
    		}else{
    			slavelStyle=0;
    			return true;
    		}
        },
      	//表单验证通过了调用
        doSubmit:function(values){
        	if(App.beforeSubmit(values)){
        		var showInfo = [];
        		var cardNews = {
            			cardNo : App.accountData.No,
            			passwordType : 'B',//T代表借记卡 B代表信用卡
            	}
        		/**
        		 * type
        		 * 
        		 * S&AP  短信验证码+账户密码
        		 * U&AP  U-key密码+账户密码(pc端)
        		 * AP    账户密码
        		 * CTP   信用卡交易密码
        		 * SMS   短信验证码
        		 * IC&AP IC卡+账户密码(手机端)
        		 */
            	Fw.device.Device.payControls('AP',showInfo, 'App.onPayControlsSubmit',{},cardNews);
        	//Fw.redirect('success.html');
        	}
        },
        /**
         * @param record 控件信息
         */
        onPayControlsSubmit: function(record, type, isObject){
        	if (Fw.isEqual(isObject, "false")||!isObject) {
				record = Fw.decode(record);
			}
        	var pwd=record.pwd;
        	//提交到后台
    		Fw.util.Ajax.insert({
    			service: 'creditCardManageService.executeSupplementaryCardLimit',
                //请求参数
                params: {
                	creditCardNo:App.accountData.No,
					pwdCheckFlag:'2',
                    pwd:pwd,
                    slaveCardNo:Fw.util.Format.unFmtAcctNo($('[name="field1"]').val()),
					slaveLimitMode:slavelStyle,
					slaveFixLimit:Fw.util.Format.unFmtAmt($('[name="field4"]').val()),
					slaveLimitPercent:Fw.util.Format.unFmtPercent($('[name="field3"]').val()),
					AcNo:App.accountData.No,
					tesType:type
                },
                //是否自动显示等待层（默认true）
                //允许自定义等待层提示信息（loadMask: '请稍后...'）
                //loadMask: true,
                //是否使用数据挡板（默认false）
                staticData: false,
                //请求成功后回调
                success: function(data, result) {
                	Fw.redirect('success.html');
                },
                failure : function(status, textStatus, error) {
                     if(error=="卡系统:卡号不存在"){
                    	 Fw.Msg.info("该附属卡卡号不存在");
                    	 return;
                     }
				}
            });
        	//关闭窗体（当autoClose为false时）
        	//win.hide();
        },
        /**
         * 显示组件
         */
        select1Click:function(){
        	//显示组件
        	//1.直接显示
        	//dropDownList.show();
        	//2.显示时传入值
        	dropDownList1.show(App.data);
        },
        select2Click:function(){
        	//显示组件
        	//1.直接显示
        	//dropDownList.show();
        	//2.显示时传入值
        	dropDownList2.show(data2);
        },
        /**
         * 监听select点击事件
         */
        item1Click: function(data, index){
        	//form.setValues({field2:Math.random()*10000});
        	//form.setValues({select1:data.name});
        	$('[name="select1"]').val(data.option);
        	App.accountData=data;
        	//查询信用卡额度信息
        	Fw.util.Ajax.query({
                //数据源（自定以URL）
                //url: '/data/demo1Service/XXX.json',
                //数据源（服务接口）
        		socketAdapter: 'creditCardManageService/queryCreditQuotaInfo',
                //请求参数
                params: {
                    accountNo:data.No,
                    pwdCheckFlag:'0',
                    AcNo:data.No
                },
                //是否自动显示等待层（默认true）
                //允许自定义等待层提示信息（loadMask: '请稍后...'）
                //loadMask: true,
                //是否使用数据挡板（默认false）
                staticData: false,
                //请求成功后回调
                success: function(data, result) {
                	$('[name="field2"]').text(Fw.util.Format.fmtAmt(data.CreditLimit));
                }
            });
        	//手动关闭下拉
        	//fwSelect.hide();
        },
        item2Click: function(data, index){
    		//form.setValues({select2:data.setStyle});
        	$('[name="select2"]').val(data.setStyle);
        	if(index==0){
        		$('#percentageMoney').val("").change();
            	$('#putMoney').val("").change();
            	$('#percentInput').hide();
            	$('#fixedInput').hide();
            	$('#border-style').removeClass('ui-border-b');
            	percentInput=false;
            	fixedInput=false;
            	payStyleValue=0;
            }else if(index==1){
            	$('#putMoney').val("").change();
            	$('#percentInput').show();
            	$('#fixedInput').hide();
            	$('#border-style').addClass('ui-border-b');
            	percentInput=true;
            	fixedInput=false;
            	payStyleValue=1;
            }else if(index==2){
            	$('#percentageMoney').val("").change();
            	$('#percentInput').hide();
            	$('#fixedInput').show();
            	$('#border-style').addClass('ui-border-b');
            	percentInput=false;
            	fixedInput=true;
            	payStyleValue=2;
            }
        	//手动关闭下拉
        	//fwSelect.hide();
        },
      	//查询信用卡下拉框
        queryCard: function(){
        	//查询贷记卡账号
        	Fw.util.Ajax.get({
                service: 'accountService',
                method: 'getAccount',
                params: {
                    type:'1',
                },
              	//0借记账户1贷记账户2动账借记3动账贷记//不传参全部
                //数据源（服务接口）
                //请求参数
                //params: {},
                //是否使用数据挡板（默认false）
                staticData: false,
                //请求成功后回调
                success: function(data, result) {
                	if(data.List.length==0){
                		Fw.Msg.cfm('您当前未加挂信用卡账户，是否立即加挂？', function(code, btn, win){
                            if(code=="yes"){
                            	if(Fw.isTouch){
                    				Fw.device.Device.getMenuPower("账户管理", "M050200", "App.gotoAcManage");
                    			}else{
                    				if(powerData.zhgl=="T"){
                    					var url = Fw.getBasePath();
                                    	Fw.redirect(url+'/page/pub/account/add/main.html',{aimUrl:"/page/pub/creditCardManage/supplementaryCardSet/main.html"});
                    				}else{
                    					Fw.Msg.info("尊敬的客户，由于系统升级，该功能暂时停用，给您造成的不便，敬请谅解，具体开启时间请关注我行公告。");
                    					return ;
                    				}
                    			}
                            }else{
                            	if(Fw.isTouch){
                            		Fw.gotoIndex();
                            	}else{
                            	  var url = Fw.getBasePath();
                            	  Fw.redirect(url+'/page/pageMenu/moreMenu.html');
                            	}
                            }
                        });
                	}else{
                		//将App.data放在dropDownlist里面
                		$('[name="select1"]').val(data.List[0].option);
                		App.data=data.List;
                		App.accountData=data.List[0];
                		//查询卡余额
                    	/*Fw.util.Ajax.query({
                            //数据源（自定以URL）
                            //url: '/data/demo1Service/XXX.json',
                            //数据源（服务接口）
                    		socketAdapter: 'balanceQueryService/queryAccountBalance',
                            //请求参数
                            params: {
                            	mChannelId:'100213',
                            	subChannelId:'PIBS',
                            	
                            	No:'6221272702001679339',
                                PwdCheckFlag:'2',
                                Password:''
                            },
                            //是否自动显示等待层（默认true）
                            //允许自定义等待层提示信息（loadMask: '请稍后...'）
                            //loadMask: true,
                            //是否使用数据挡板（默认false）
                            staticData: false,
                            //请求成功后回调
                            success: function(data, result) {
                            	$('[name="field2"]').text(Fw.util.Format.fmtAmt(data.AvailBal));
                            }
                        });*/
                		//查询信用卡额度信息
                    	Fw.util.Ajax.query({
                    		socketAdapter: 'creditCardManageService/queryCreditQuotaInfo',
                            //请求参数
                            params: {
                                accountNo:data.List[0].No,
                                pwdCheckFlag:'0',
                                AcNo:data.List[0].No
                            },
                            //是否自动显示等待层（默认true）
                            //允许自定义等待层提示信息（loadMask: '请稍后...'）
                            //loadMask: true,
                            //是否使用数据挡板（默认false）
                            staticData: false,
                            //请求成功后回调
                            success: function(data, result) {
                            	$('[name="field2"]').text(Fw.util.Format.fmtAmt(data.CreditLimit));
                            	//手动隐藏等待层
                                Fw.LoadMask.hide();
                            }
                        });
                	}
                }
            });
        },
        gotoAcManage:function(data){
			if(data=="T"){
				var url = Fw.getBasePath();
            	Fw.redirect(url+'/page/pub/account/add/main.html',{aimUrl:"/page/pub/creditCardManage/supplementaryCardSet/main.html"});
			}else{
				Fw.Msg.info("尊敬的客户，由于系统升级，该功能暂时停用，给您造成的不便，敬请谅解，具体开启时间请关注我行公告。");
				return ;
			}
		},
        leftButtonHandler : function() {
			if (Fw.isTouch) {
				Fw.gotoIndex();
			} else {
				Fw.redirect(Fw.getBasePath()+"/page/pageMenu/moreMenu.html");
			}
		}
    };
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
