/**
 * 创建应用
 */
var App = function() {
	var powerData = Fw.util.Storage.get('powerData');
	powerData = Fw.decode(powerData);
	// 下拉对象
	var listView,termApplyNo,tranDate,debitCardNo,debitCardName,debitCardBranch,termNo;
	var form, dropDownList, data, data1,step,AcNo, object, record1,planNo,termNum,termAmt,serialNo,prodId;
	var stepNum = 1;
	var  flag=null;
	var  successFlag=null;
	return {
		/**
		 * 依赖组件
		 */
		requires : [ 'Fw.Steps', 'Fw.Form', 'Fw.DropDownList', 'Fw.ListView' ],
		/**
		 * 视图设置 设置标题栏、按钮等 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
		 */
		viewConfig : {
			/**
			 * 标题栏标题 如果为空或未设置，则标题栏不显示、左右按钮不显示
			 */
			title : '我的分期',
			/**
			 * 左边按钮（默认显示） 如果为false，则左边按钮不显示 leftButton: '左边按钮'
			 */
			leftButton : {
			// 自定义按钮标题（默认'返回'）
			// text: '左边按钮',
			// 自定义按钮点击事件（默认App.leftButtonHandler）
			// handler: XXX
			},
		/**
		 * 右边按钮（默认不显示） rightButton: '右边按钮'
		 */
		/*
		 * rightButton: { //按钮标题 text: '分享',
		 * //自定义按钮点击事件（默认App.rightButtonHandler） //handler: XXX },
		 */
		/**
		 * 是否自动显示等待层（默认true） 需手动隐藏等待层
		 */
		 loadMask: true,
		},
		/**
		 * 初始化 应用入口
		 */
		init : function(require) {
			// 初始化显示步骤页面
			this.initPage(stepNum);
			// 初始化步骤组件
			this.initStep(); 
			// 查询信用卡下拉框
			this.queryCard();
			// 查询信用卡下拉框
			// this.queryCard();
			// this.queryOption();
			// 定义表单
			form = new Fw.Form({
				// EL
				contentEl : 'form',
				// 是否激活重置事件（默认false）
				// 单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
				resettable : false,
				// 校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
				msgTarget : 'tips'
			});
			// 实例化下拉
			dropDownList = new Fw.DropDownList({
				// 必须参数：结果集
				result : data,
				displayNo : false,
				displayName : 'option',
				cursorBtn : false,
				disableFieldValue : '1'
			});
		},
		/**
		 * 初始化步骤组件
		 */
		initStep : function() {
			var data = [ {
				name : '分期信息'
			}, {
				name : '确认信息'
			}, {
				name : '分期成功'
			} ];
			step = new Fw.Steps({
				contentEl : 'step',
				data : data
			});
		},
	
		// 查询信用卡下拉框
		queryCard : function() {
			Fw.util.Ajax.get({
						service : 'accountService.getAccount',
						// 数据源（服务接口）
						// 请求参数
						params : {
							type : "1",
						},
						// 是否使用数据挡板（默认false）
						staticData : false,
						// 请求成功后回调
						success : function(data, result) {
							if (Fw.isEmpty(data)||data.List.length==0) {
								Fw.Msg.cfm('您当前未加挂信用卡账户，是否立即加挂？', function(code, btn, win) {
									 if(code=="yes"){
										 if(Fw.isTouch){
			                    				Fw.device.Device.getMenuPower("账户管理", "M050200", "App.gotoAcManage");
			                    			}else{
			                    				if(powerData.zhgl=="T"){
			                    					var url = Fw.getBasePath();
			                                    	Fw.redirect(url+'/page/pub/account/add/main.html',{aimUrl:"/page/pub/creditCardStaging/myInstalment/main.html"});
			                    				}else{
			                    					Fw.Msg.info("尊敬的客户，由于系统升级，该功能暂时停用，给您造成的不便，敬请谅解，具体开启时间请关注我行公告。");
			                    					return ;
			                    				}
			                    			}
									 }else{
										 if(Fw.isTouch){
											 Fw.gotoIndex()
										 }else{
											 Fw.redirect(Fw.getBasePath()+"/page/pageMenu/moreMenu.html");
										 }	
									 }	
								});
							}else{
							// 开户行
							var openBank = data.List[0].option;
                            //卡号
							AcNo=data.List[0].No;
							// 卡号格式化
							accountNo = Fw.util.Format.fmtAcctNoSe(data.List[0].No)
							// 取卡号后四位
							var account = Fw.util.Format.fmtAcctNoEnd(accountNo);
							form.setValues({
								select : openBank,
							})
							App.data = data.List;
							// 查询可分期金额
							App.queryOption();
						}
						}
					});
		},
		gotoAcManage:function(data){
			if(data=="T"){
				var url = Fw.getBasePath();
            	Fw.redirect(url+'/page/pub/account/add/main.html',{aimUrl:"/page/pub/creditCardStaging/myInstalment/main.html"});
			}else{
				Fw.Msg.info("尊敬的客户，由于系统升级，该功能暂时停用，给您造成的不便，敬请谅解，具体开启时间请关注我行公告。");
				return ;
			}
		},
		// 下拉查询
		queryOption : function() {
			// 定义列表
			listView = new Fw.ListView({
						// EL
						contentEl : 'list',
						// 数据请求对象（为空时，可通过loadData加载静态数据，但不支持beforequery、query事件）
						ajax : {
							// 数据源（服务接口）
							socketAdapter : 'creditCardService/executeAllPrepay',
							//service : 'creditCardService/queryAllPrepay',
							// 请求参数
							params : {
								AcNo : AcNo,
								pwdCheckFlag : '0',
								startDate : '20150305',//开始时间
								endDate : '20270506',//结束时间
							},
							rootProperty : 'result.List', 
							//pageSize : 6,
							 page : false,
							// 是否使用数据挡板（默认false）
							staticData : false
						},
						// 向右箭头（默认false）
						disclosure : true,
						// 数据展现模版
						itemTpl : [
								'<form id="form" class="ui-form  x-form">',
								'<div class="ui-form-item" style="padding-left:0px;height:30px; line-height: 30px;">',
								'<label style="text-align:left;margin-left:20px;">申请日期:</label>',
								'<div style="text-align: right;">${item.TranDate|fmtDate,"yyyy年MM月dd日"}</div>',
								'</div>',
								'<div class="ui-form-item" style="padding-left:0px;height:30px; line-height: 30px;">',
								'<label style="text-align:left;margin-left:20px;" >分期金额:</label>',
								'<div style="text-align: right;color:#ff8245">${item.TermAmt/100|fmtAmt}</div>',
								'</div>',
								'<div class="ui-form-item" style="padding-left:0px;height:30px; line-height: 30px;">',
								'<label style="text-align:left;margin-left:20px;" >分期类型:</label>',
								'{@if item.ProdId == "A"}',
								'<div style="text-align: right;" >单笔分期</div>',
								'{@else if item.ProdId == "C"}',
								'<div style="text-align: right;" >现金分期</div>',
								'{@else if item.ProdId == "B"}',
								'<div style="text-align: right;" >账单分期</div>',
								'{@/if}',
								'</div>',
								'<div class="ui-form-item" style="padding-left:0px;height:30px; line-height: 30px;">',
								'<label style="text-align:left;margin-left:20px;color:#3B3B3B;" >订单状态:</label>',
								'{@if item.Status == "10" || item.Status == "20" || item.Status == "25" || item.Status == "30"}',
								'<div style="text-align: right;color:#64b2fb">申请中</div>',
								'{@else if item.Status == "40"}',
								'<div style="text-align: right;color:#83af22">成功</div>',
								'{@else if item.Status == "90" || item.Status == "91"}',
								'<div style="text-align: right;color:#ef2b2b">取消</div>',
								'{@/if}', '</div>', '</form>' ]
					});
			// 加载数据
			listView.loadData();
			// 初始化事件
			this.initEvents();
			// 手动隐藏等待层
			Fw.LoadMask.hide();
		},

		/**
		 * 初始化事件
		 */
		initEvents : function() {
			$('#next-btn1').on('click', Fw.bind(this.onNextStep, this));
			$('#next-btn2').on('click', Fw.bind(this.onNextStep, this));
			$('#next-btn3').on('click', Fw.bind(this.onNextStep, this));
			$('#singleSucess').on('click', Fw.bind(this.onNextStep, this));
			$('#singDelet').on('click', Fw.bind(this.onNextStep, this));
			// 触发提交事件前（校验前）触发
			form.on('beforesubmit', this.beforeSubmit, this);
			// form.submit()成功时触发
			form.on('submit', this.doSubmit, this);
			// 选择下拉1
			$('.sele').on('click', Fw.bind(this.select1Click));
			// 下拉列表1
			dropDownList.on('itemClick', Fw.bind(this.item1Click, this));
			// 选中记录时触发
			listView.on('itemclick', this.onSelect, this);
			// 渲染到页面前触发
			listView.on('beforeitemadd', this.onBeforeAddItem, this);
			// 查询数据前触发
			listView.ajax.on('beforequery', this.onBeforeQuery, this);
			// 查询数据后触发
			listView.ajax.on('queryerror', this.onQuery, this);

		},
		/**
		 * 监听select下拉事件
		 */
		item1Click : function(data, index) {
			// 开户行
			var openBank1 = data.option;
			AcNo=data.No;
			console.log(AcNo)
			accountNo = Fw.util.Format.fmtAcctNoSe(data.No);
			var account = Fw.util.Format.fmtAcctNoEnd(accountNo);
			//list重置为空
			$('#list').empty();
			listView.ajax.setParams({
				        AcNo : AcNo,   //卡号
						pwdCheckFlag : '0',//密码校验标识
						startDate : '20150305',//开始时间
						endDate : '20270506',//结束
			}); 
			$("#empty_tip").html("");
			listView.loadData();
			// 手动隐藏等待层
			Fw.LoadMask.hide();
			form.setValues({
				select :openBank1
			});
		},
		/**
		 * 显示组件
		 */
		select1Click : function() {
			// 1.直接显示 2.显示时传入值
			dropDownList.show(App.data);
		},
		/**
		 * 选中记录时触发
		 */
		onSelect : function(record, index, item, e, cmp) {
			// 获取对象
			this.record = record;
			// 赋值（全局）
			object = record;
			// 获取状态
			record1 = record.Status;
			//信用计划编号
			termApplyNo=record.TermApplyNo;
			//灵活分期申请时间
			tranDate=record.TranDate;
			//分期金额
			termAmt=Number(record.TermAmt)/100;
			//分期的期数
			termNum=record.TermNum;
			//商品编号
			prodId=record.ProdId;
			if(prodId=="A"){
			 //执行1050，查询信用计划编号
				// 回显
				Fw.util.Ajax.query({
					 socketAdapter : 'creditCardService/queryMycard',
						// 数据源（服务接口） // 请求参数
						// 数据源（服务接口） // 请求参数
						params : {
							AcNo:AcNo,//卡号
							applyNo:termApplyNo,//申请编号
							queryType:'1',//查询类型：卡号验证
							pwdCheckFlag:'0',//密码标识
						},
						// 是否使用数据挡板（默认false）
						staticData : false,
						// 请求成功后回调
						success : function(data, result) {
						  if(Fw.isEmpty(data)||data.List.length==0){
							flag=true;
							App.showForm(object);
							// 跳转
							$("#cardNo").html(Fw.util.Format.fmtAcctNoSe(AcNo));
							App.initPage(++stepNum);
							step.nextStep();
						}else{
							flag=false;
							termNo=data.List[0].SerialNo;
							App.showForm(object);
							// 跳转
							$("#cardNo").html(Fw.util.Format.fmtAcctNoSe(AcNo));
							App.initPage(++stepNum);
							step.nextStep();
						}	
						}
						
					});
				
			}else{
				if (stepNum == 1) {
					form.submit();
				}
			}
		},
		/**
		 * 点击下一步根据状态触发事件
		 */
		onNextStep : function(e) {
			//获取当前点击对象
			var $that = $(e.currentTarget);
			if (stepNum == 2) {
				if (record1 == "40") {
					//提前还款事件
					if(prodId=="A"){
					  if($that.hasClass("btnValue")){
						this.submit();
					  }else if($that.hasClass("btnValue1")){
					    this.del()
					}
					
					}else{
						this.submit();
					}
				} else if (record1 == "10" || record1 == "20" || record1 == "25" || record1 == "30") {
					//撤销事件
                  if(prodId=="A"){
					  	
					}else{
						this.del();
					}
				}
			} else if (stepNum == 3) {
				this.success();
			}
		},
		/**
		 * 初始化显示步骤页面
		 */
		initPage : function(num) {
			if (num == 1) {
				// 下一步
				$('#ui-b').show();
				$('#ui-b1').hide();
				$('#ui-b2').hide();
				$('#head2').hide();
				$('#head1').hide();
				$("#tell").hide();
			} else if (num == 2) {
				// 判断状态，显示不同的按钮
				if (record1 == "40") {
					// 提前还款
                 if(prodId=="A"){
                	   if(flag==false){
                		   $('#ui-b').hide();
   						   $('#ui-b1').hide();
   						   $('#ui-b2').show();
   						   $('#head1').hide();
   						   $('#next2').hide();
   						   $('#box1').show();
   						   $('#box2').hide();
   						   $('#next').hide();
   						   $('#next1').hide();
   						   $("#tell").hide();
   						   $('#nextSingle').show();
                	   }
					}else{
						$('#ui-b').hide();
						$('#ui-b1').hide();
						$('#ui-b2').show();
						$('#head1').hide();
						$('#box1').show();
						$('#box2').hide();
						$('#next').show();
						$('#next2').hide();
						$('#next1').hide();
						$('#head2').hide();
						$("#tell").hide();
						$('#nextSingle').hide();
						$('#next2Single').hide();
					}
				} else if (record1 == "10" || record1 == "20" || record1 == "25" || record1 == "30") {
					// 撤销
					 if(prodId=="A"){
							$('#ui-b').hide();
							$('#ui-b1').hide();
							$('#ui-b2').show();
							$('#head1').hide();
							$('#box1').show();
							$('#box2').hide();
							$('#next').hide();
							$('#next2').hide();
							$('#head2').hide();
							$("#tell").hide();
							$('#nextSingle').hide();
							flag=null;
					 }else{
						 $('#ui-b').hide();
						 $('#ui-b1').hide();
						 $('#ui-b2').show();
						 $('#head1').hide();
						 $('#box1').show();
						 $('#box2').hide();
						 $('#next').hide();
						 $('#next2').show();
						 $('#head2').hide();
						 $("#tell").hide();
						 $('#nextSingle').hide();
					 }
				} else if (record1 == "90" || record1 == "91") {
					//取消
					$('#ui-b').hide();
					$('#ui-b1').hide();
					$('#ui-b2').show();
					$('#head1').hide();
					$('#box1').show();
					$('#box2').hide();
					$('#next').hide();
					$('#next2').hide();
					$('#head2').hide();
					$('#nextSingle').hide();
				}
			} else if (num == 3) {
				// 确定
				$('#ui-b1').show();
				$('#ui-b2').hide();
				$('#box2').show();
				$('#tell').hide();
				$('#next1').show();
				$('#head2').hide();
				$('#head1').hide();
			} else if (num == 4) {
				// 提前还款 成功页面
				if (record1 == "40") {
					if(prodId=="A"){
						if(successFlag==true){
							$('#ui-b').hide();
							$('#ui-b1').hide();
							$('#head1').show();
							$('#ui-b2').hide();
							$('#tell').show();
							$('.kindlyTips').show();
							$('#head2').hide();
						}else if(successFlag==false){
							$('#ui-b').hide();
							$('#ui-b1').hide();
							$('#head1').hide();
							$('#ui-b2').hide();
							$('#tell').hide();
							$('.kindlyTips').hide();
							$('#head2').show();
						}
					}else{
						$('#ui-b').hide();
						$('#ui-b1').hide();
						$('#head1').show();
						$('#ui-b2').hide();
						$('#tell').show();
						$('.kindlyTips').show();
						$('#head2').hide();
					}
				} else if ( record1 == "10" || record1 == "20" || record1 == "25" || record1 == "30") {
				 //撤销成功页面	
					$('#ui-b').hide();
					$('#ui-b1').hide();
					$('#head1').hide();
					$('#ui-b2').hide();
					$('#tell').hide();
					$('.kindlyTips').hide();
					$('#head2').show();
				}
			}
		},
		/**
		 * 渲染到页面前触发
		 */
		onBeforeAddItem : function(record, index, cmp) {
			// 不显示向右箭头
			// this.disclosure = false;
			// 不渲染当前记录
			// return false;
		},
		/**
		 * 触发查询事件前触发
		 */
		onBeforeSearch : function(value) {

		},
		onBeforeQuery : function(ajax, message, url) {
			// 设置查询条件
			// ajax.setParams('p1', '11123');
			// 设置排序方式
			// ajax.setSorts('col12', 'asc');
			// return false; //则不加载
		},
		onQuery:function(ajax, data, result,error){
			if (error=="卡系统:未找到该卡号对应的记录") {
				$("#empty_tip").html("<p class='ui-border-b' style='height: 45px;line-height: 45px;text-align:center;'>未查询到相关记录</p>");
			  Fw.Msg.info("当期信用卡无分期的消费记录，请重新选择!")
			}
//			if (error=="卡系统:未找到该卡号对应的记录") {
//			  Fw.Msg.info("当期信用卡无分期的消费记录，请重新选择",function(){
//				  $("#list").html("<p style='height: 45px;line-height: 45px;text-align:center;'>未查询到相关记录</p>");
//			  })
//			}
		},
		/**
		 * 
		 */
		beforeSubmit : function(values) {

		},
		/**
		 * 提交表单
		 */
		doSubmit : function(values) {
			// 回显
			this.showForm(object);
			// 跳转
			$("#cardNo").html(Fw.util.Format.fmtAcctNoSe(AcNo));
			this.initPage(++stepNum);
			step.nextStep();
		},
		/**
		 * 点击确定时触发
		 */
		submit : function() {
			Fw.util.Ajax.query({
				socketAdapter : 'creditCardService/queryMycard',
				// 数据源（服务接口） // 请求参数
					params : {
						AcNo:AcNo,//卡号
						applyNo:termApplyNo,//申请编号
						queryType:'1',//查询类型：卡号验证
						pwdCheckFlag:'0',//密码标识
					},
				// 是否使用数据挡板（默认false）
				staticData : false,
				// 请求成功后回调
				success : function(data, result) { 
					//回显信用卡还款详情页面
					App.showForm1(data.List[0]);
					if (prodId == 'A') {
						$("#ProdId").html("单笔分期");
					}
					if (prodId == 'C') {
						$("#ProdId").html("现金分期");
					}
					if (prodId == 'B') {
						$("#ProdId").html("账单分期");
					}
					$("#Status").text("成功");
					$("#Status").css("color","#83af22");
					//分期付款序号
					serialNo =data.List[0].SerialNo;
					//提前还款成功
					App.initPage(++stepNum);
					step.nextStep();
				}
			});
		},
		/**
		 * 点击撤销时触发
		 */
		del : function() {
			//判断是分期类型，调用不同的撤销接口
			if(prodId=='A'){
				 Fw.Msg.cfm('您确定要撤销该笔分期业务', function(code, btn, win){
               if(code=="yes"){
//   					    //灵活分期撤销
   						Fw.util.Ajax.query({
   							socketAdapter:'creditCardService/executeMCCreditSingleInstalmentRev',
   							// 数据源（服务接口） // 请求参数
   							params : {
   								AcNo:AcNo,//卡号
   								termNo:termNo,//分期付款序号
   								queryType:"1",//查询类型
   							},
   							// 是否使用数据挡板（默认false）
   							staticData : false,
   							// 请求成功后回调
   							success : function(data, result) { 
   								//单笔分期撤销成功跳转
   								successFlag=false;
   								App.initPage(stepNum + 2);
   							}
   						});
                   }
			 });
			}
			if(prodId=='C'){
				//现金分期撤销
				 Fw.Msg.cfm('您确定要撤销该笔分期业务', function(code, btn, win){
                      if(code=="yes"){
            				Fw.util.Ajax.query({
            					socketAdapter : 'creditCardService/queryUseable',
            					// 数据源（服务接口）
            					// 请求参数
            					params : {
            						AcNo:AcNo,//贷记卡卡号
            						pwdCheckFlag:'0',//密码标识
            						operationType:'2',//查询
            						creditPlanNo:'0002',//查询类型
            						termNum:termNum,//申请期数
            						Amount:termAmt,//申请金额
            						termApplyNo:termApplyNo,//分期付款申请书编号
            					},
            					// 是否使用数据挡板（默认false） 
            					staticData : false,
            					// 请求成功后回调
            					success : function(data, result) {
            						debitCardNo=data.DebitCardNo;
            						debitCardName=data.DebitCardName;
            						debitCardBranch=data.DebitCardBranch;
            						App.cashChe();
            					}
            				});
                    /*	*/
                      }
                 });
				
			}
			if(prodId=='B'){
	         Fw.Msg.cfm('您确定要撤销该笔分期业务', function(code, btn, win){
		      if(code=="yes"){
				//账单分期撤销
				Fw.util.Ajax.query({
					socketAdapter : 'creditCardService/executeSuccess',
					// 数据源（服务接口） // 请求参数
					params : {
						AcNo:AcNo,//贷记卡卡号
						pwdCheckFlag:'0',               //密码校验表示
						operationType:'1',              //查询类型 ：撤销 
						creditPlanNo:'0004',            //信用卡计划编号：账单分期
						termNum:termNum,                //申请期数
						Amount:termAmt,                 //分期金额
						ccy:'156',                      //币种
						rrefApplyAmtRate:'0.05',        //金额比例
						reservField:'5465',             //保留字段
					},
					// 是否使用数据挡板（默认false）
					staticData : false,
					// 请求成功后回调
					success : function(data, result) { 
						//现金分期撤销成功跳转
  						App.initPage(stepNum + 2);
					}
				});
		       }
			 });
			}
		},
		/**
		 * 提前还款成功
		 */
		success : function() {
			Fw.util.Ajax.query({
				socketAdapter : 'creditCardService/executePrepayment',
				// 数据源（服务接口） // 请求参数
				params : {
					AcNo:AcNo,//卡号
					queryType:'1',//查询类型：卡号验证
					termNo:serialNo ,
				},
				// 是否使用数据挡板（默认false）
				staticData : false,
				// 请求成功后回调
				success : function(data, result) { 
					//提前还款成功
					successFlag=true;
					App.initPage(++stepNum);
					step.nextStep();
				}
			});
			
		},
		cashChe:function(){
			//现金分期撤销
			 Fw.util.Ajax.query({
				socketAdapter : 'creditCardService/queryUseable',
				// 数据源（服务接口）
				// 请求参数
				params : {
					AcNo:AcNo,//贷记卡卡号
					pwdCheckFlag:'0',//密码标识
					operationType:'1',//查询类型：撤销
					creditPlanNo:'0002',//查询类型
					termNum:termNum,//申请期数
					Amount:termAmt,//申请金额
					termApplyNo:termApplyNo,//分期付款申请书编号
					peeAcNo:debitCardNo,//转账卡卡号
					peeName:debitCardName,//转账卡户名
					transferCardBranch:debitCardBranch//转账卡所属行
				},
				// 是否使用数据挡板（默认false） 
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					//现金分期撤销成功跳转
					App.initPage(stepNum + 2);
				}
			});
		},
		
		/**
		 * 选项卡切换前触发
		 */
		onBeforeTabChange : function(tab, newIndex, oldIndex) {
		},
		/**
		 * 选项卡切换后触发
		 */
		onTabChange : function(tab, index) {
			// Fw.Tips.info('切换到选项卡' + (index + 1) + '，' +
			// tab.getTabBar(index).text());
		},
		/**
		 * 回显数据
		 */
		showForm : function(data) {
			var items = $('#content').find('[data-name]');
			var name = '', el;
			items.each(function(index, item) {
				el = $(item);
				name = el.attr('data-name');
				// 卡号额度格式化
				if (name == "CardNo") {
					data[name] = Fw.util.Format.fmtAcctNoSe(data[name])
				}
				// 申请日期格式化
				if (name == "TranDate") {
					data[name] = Fw.util.Format.fmtDate(data[name],'yyyy-MM-dd')
				}
				// 分期金额格式化
				if (name == "TermAmt") {
					var Amt=Number(data[name])/100;
					data[name] = Fw.util.Format.fmtAmt(Amt);
				}
				// 分期期数
				if (name == "TermNum") {
					data[name] = Number(data[name]) + "期"
				}
				// 分期类型回显
				if (name == "ProdId") {
					if (data[name] == 'A') {
						data[name] = "单笔分期";
					}
					if (data[name] == 'C') {
						data[name] = "现金分期";
					}
					if (data[name] == 'B') {
						data[name] = "账单分期";
					}
				}
				if (name == "Status") {
					if (data[name] == '10' || data[name] == '20' ||data[name] == '25' ||data[name] == '30') {
						data[name] = "申请中";
						$("#status").css("color","#64b2fb");
					}
					if (data[name] == '40') {
						data[name] = "成功";
						$("#status").css("color","#83af22");
					}
					if (data[name] == '90' || data[name]=='91') {
						data[name] = "取消";
						$("#status").css("color","#ef2b2b");
					}
				}
				el.html(data[name]);
			});
		},
		/**
		 * 回显提前还款详情数据
		 */
		showForm1 : function(data) {
			var items = $('#content1').find('[data-name]');
			var name = '', el;
			items.each(function(index, item) {
				el = $(item);
				name = el.attr('data-name');
				// 卡号额度格式化
				if (name == "CardNo") {
					data[name] = Fw.util.Format.fmtAcctNoSe(data[name])
				}
				// 申请日期格式化
				if (name == "TranDate") {
					data[name] = Fw.util.Format.fmtDate(data[name],'yyyy-MM-dd')
				}
				// 分期金额格式化
				if (name == "TermAmt" || name=="PayAmt" || name=="PplAmt") {
					var Amt=Number(data[name])/100;
					data[name] = Fw.util.Format.fmtAmt(Amt);
				}
				// 分期期数
				if (name == "TermNum" || name=="InstCnt" || name=="PplMths") {
					data[name] = Number(data[name]) + "期"
				}
				//分期手续费
				if(name=="Commission"){
					var Commission=Number(data[name])/100;
					data[name] = Fw.util.Format.fmtAmt(Commission);
				}
				el.html(data[name]);
			});
		},
		/**
		 * 左边按钮点击事件
		 */
		leftButtonHandler : function() {
			if (stepNum == 2 || stepNum == 3) {
				this.initPage(--stepNum);
				flag=null;
				listView.loadData();
				Fw.LoadMask.hide();
			} else if (stepNum == 4) {
				Fw.redirect(Fw.getBasePath()+"/page/pub/creditCardStaging/myInstalment/main.html");
				listView.loadData();
				Fw.LoadMask.hide(); 
				successFlag=null;
			} else {
				if(Fw.isTouch){
					Fw.device.Device.gotoIndex();
				}else{
						Fw.redirect(Fw.getBasePath()+"/page/pageMenu/moreMenu.html");
					}
			}
		},
	};
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
