/**
 * 创建应用
 */
var App = function() {
	var powerData = Fw.util.Storage.get('powerData');
	powerData = Fw.decode(powerData);
	// 下拉对象
	var form,money,stageNumber,dropDownList,selectPayeeWindow;
	var data,accountNo,step,tranNo,valDate,purDate,purTime,AcNo;
	var stepNum = 1;
	var flag=true;
	return {
		/**
		 * 依赖组件
		 */
		requires : [ 'Fw.Steps', 'Fw.ListView', 'Fw.Form', 'Fw.DropDownList',
		            'Fw.SelectWindow' ],
		/**
		 * 视图设置 设置标题栏、按钮等 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
		 */
		viewConfig : {
			/**
			 * 标题栏标题 如果为空或未设置，则标题栏不显示、左右按钮不显示
			 */
			title : '单笔分期',
			/**
			 * 左边按钮（默认显示） 如果为false，则左边按钮不显示 leftButton: '左边按钮'
			 */
			leftButton : {
			// 自定义按钮标题（默认'返回'）
			// text: '左边按钮',
			// 自定义按钮点击事件（默认App.leftButtonHandler）
			// handler: XXX
			},
		/**
		 * 右边按钮（默认不显示） rightButton: '右边按钮'
		 */
		/*
		 * rightButton: { //按钮标题 text: '分享',
		 * //自定义按钮点击事件（默认App.rightButtonHandler） //handler: XXX },
		 */
		/**
		 * 是否自动显示等待层（默认true） 需手动隐藏等待层
		 */
		// loadMask: false
		},
		/**
		 * 初始化 应用入口
		 */
		init : function(require) {
			// 初始化显示步骤页面
			this.initPage(stepNum);
			// 初始化步骤组件
			this.initStep();
			// 查询信用卡下拉框
			 this.queryCard();
			// this.queryOption();
			// 定义表单
			form = new Fw.Form({
				// EL
				contentEl : 'form2',
				// 是否激活重置事件（默认false）
				// 单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
				resettable : false,
				// 校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
				msgTarget : 'tips'
			});
			// 实例化下拉
			dropDownList = new Fw.DropDownList({
				// 必须参数：结果集
                result : data,
				displayNo : false,
				displayName : 'option',
				cursorBtn : false,
				disableFieldValue : '1'
			});
		},
		/**
		 * 初始化显示步骤页面
		 */
		initPage : function(num) {
			if (num == 1) {
				// 下一步
				$('#head').hide();
				$('#ui-b').show();
				$('#ui-b2').show();
				$('#ui-b3').hide();
				$('#ui-b4').hide();
			} else if (num == 2) {
				// 下一步
				flag=true;
				$('#head').hide();
				$('#ui-b').hide();
				$('#ui-b2').hide();
				$('#ui-b3').show();
				$('#form2').show();
				$('#ui-b4').hide();
				$('#math').val(null);
				$('#periods1').removeClass("ui-border-b");
			    $('#firstRepaymentMoney').removeClass("ui-border-b");
				$('#firstRepaymentMoney').hide();
				$('#residueRepaymentMoney').hide();
			} else if (num == 3) {
				// 确定
//				$('#head').hide();
//				$('#ui-b').hide();
//				$('#ui-b2').hide();
//				$('#ui-b3').hide();
//				$('#ui-b4').show();
//				$('.content').show();
				// 下一步
				$('#head').hide();
				$('#ui-b').hide();
				$('#ui-b2').hide();
				$('#ui-b3').show();
				$('#form2').show();
				$('#ui-b4').hide();
                $('#periods1').addClass("ui-border-b");
                $('#firstRepaymentMoney').addClass("ui-border-b");
				$('#firstRepaymentMoney').show();
				$('#residueRepaymentMoney').show();
			} else if (num == 4) {
				$('#head').show();
				$('#ui-b').hide();
				$('#ui-b2').hide();
				$('#ui-b3').hide();
				$('#ui-b4').hide();
			}
		},
		/**
		 * 初始化步骤组件
		 */
		initStep : function() {
			var data = [ {
				name : '分期信息'
			}, {
				name : '确认信息'
			}, {
				name : '分期成功'
			} ];
			step = new Fw.Steps({
				contentEl : 'step',
				data : data
			});
		},
		// 查询信用卡下拉框
		queryCard : function() {
			Fw.util.Ajax.get({
				//socketAdapter : 'accountService/queryAccount',
				service : 'accountService.getAccount',
				// 数据源（服务接口）
				// 请求参数
				params : {
					type : "1",
				},
				// 是否使用数据挡板（默认false）
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					if (Fw.isEmpty(data)||data.List.length==0) {
						Fw.Msg.cfm('您当前未加挂信用卡账户，是否立即加挂？', function(code, btn, win) {
							 if(code=="yes"){
								 if(Fw.isTouch){
	                    				Fw.device.Device.getMenuPower("账户管理", "M050200", "App.gotoAcManage");
	                    			}else{
	                    				if(powerData.zhgl=="T"){
	                    					var url = Fw.getBasePath();
	                                    	Fw.redirect(url+'/page/pub/account/add/main.html',{aimUrl:"/page/pub/creditCardStaging/singleInstalment/main.html"});
	                    				}else{
	                    					Fw.Msg.info("尊敬的客户，由于系统升级，该功能暂时停用，给您造成的不便，敬请谅解，具体开启时间请关注我行公告。");
	                    					return ;
	                    				}
	                    			}
							 }else{
								 if(Fw.isTouch){
									 Fw.gotoIndex()
								 }else{
									 Fw.redirect(Fw.getBasePath()+"/page/pageMenu/moreMenu.html");
								 }	
							 }	
						});
					}else{
					//开户行
					var openBank=data.List[0].option;
					//卡号
					AcNo=data.List[0].No;
					//卡号*格式化
					accountNo=Fw.util.Format.fmtAcctNoSe(data.List[0].No);
				    //回显行+卡+卡号后四位
					$("#select").val(openBank);
					App.data = data.List;
					App.list();
				}
				}
			});
		},
		gotoAcManage:function(data){
			if(data=="T"){
				var url = Fw.getBasePath();
            	Fw.redirect(url+'/page/pub/account/add/main.html',{aimUrl:"/page/pub/creditCardStaging/singleInstalment/main.html"});
			}else{
				Fw.Msg.info("尊敬的客户，由于系统升级，该功能暂时停用，给您造成的不便，敬请谅解，具体开启时间请关注我行公告。");
				return ;
			}
		},
		list:function(data){
			// 定义列表
			listView = new Fw.ListView(
					{
						// EL
						contentEl : 'list',
						// 数据请求对象（为空时，可通过loadData加载静态数据，但不支持beforequery、query事件）
						ajax : {
							// 数据源（服务接口）
							service : 'creditCardService/querySingleApply',
							// 请求参数
							 params:{
								     AcNo:AcNo,//卡号
								     queryType:'1',//查询类型：卡号
								     queryCond:'2',//查询条件，未申请灵活分期
								     creditPlanNo:'0001',//信用计划编号：灵活分期
								     pwdCheckFlag:'0',//密码校验标志：不检查密码
								 } ,
							 rootProperty:'result.List',
							// 是否自动显示等待层（默认true）
							// 允许自定义等待层提示信息（loadMask: '请稍后...'）
//							 loadMask: true,
							// 简单分页组件（只显示上一页、下一页，默认false）
							// simplePage: true,
							// 分页参数
							//pageSize : 6,
							 page : false,
							// 是否使用数据挡板（默认false）
							staticData : false
						},
						disclosure : true,
						// 数据展现模版
						itemTpl : [
								'<form id="form" class="ui-form">',
								'<div class="ui-form-item " style="padding-left:0px;height:30px; line-height: 30px;">',
								'<label style="text-align:left;margin-left:20px;color:#3B3B3B;">交易日期:</label>',
								'<div style="text-align: right;">${item.PurDate|fmtDate,"yyyy年MM月dd日"}</div>',
								'</div>',
								'<div class="ui-form-item " style="padding-left:0px;height:30px; line-height: 30px;">',
								'<label style="text-align:left;margin-left:20px;color:#3B3B3B;" >交易金额:</label>',
								'<div style="text-align: right;color:#ef2b2b" >${item.Amount/100|fmtAmt}</div>',
								'</div>', '</form>' ]
					});
			// 加载数据
			listView.loadData();
			// 初始化事件
			this.initEvents();
			// 手动隐藏等待层
			Fw.LoadMask.hide(500);
		},

		/**
		 * 初始化事件
		 */
		initEvents : function() {
			$('#next1').on('click', Fw.bind(this.onNextStep, this));
			// 触发提交事件前（校验前）触发
			form.on('beforesubmit', this.beforeSubmit, this);
			// form.submit()成功时触发
			form.on('submit', this.doSubmit, this);
			// 选择下拉1
			$('.sele').on('click', Fw.bind(this.select1Click));
			// 下拉列表1
			dropDownList.on('itemClick', Fw.bind(this.item1Click, this));
			// 选中记录时触发
			listView.on('itemclick', this.onSelect, this);
			//查询数据后触发
			listView.ajax.on('query', this.onQuery, this);
            listView.ajax.on('queryerror', this.onQuery, this);
            //查询数据前触发
            listView.ajax.on('beforequery', this.onBeforeQuery, this);
			//利率触发事件
			$('#math').on('click', Fw.bind(this.selectWindowClick, this));

		},
		onSelect : function(record, index, item, e, cmp) {
			this.record=record;
			tranNo=record.TranNo;//流水号
			valDate=record.ValDate;//入账日期
			purDate=record.PurDate;//记录日期
			purTime=record.PurTime;//消费时间
			tranTypes=record.TranType;//交易类型
			money=Fw.util.Format.fmtAmt(record.Amount/100);
			var payMoney=record.Amount;
			$('#Money').html(money);
			//卡号
			$('#accountNo').html(accountNo);
//			if(payMoney>=600){
//				if (stepNum == 1) {
//					this.submit();
//				}
//			}else{
//				Fw.Msg.info("分摊金额不满足参数要求",function(){})
//			}
			this.initPage(++stepNum);
			step.nextStep();
		},
		onQuery:function(ajax, data, result,error){
			if (error=="卡系统:未找到该卡号对应的记录") {
				$("#empty_tip").html("<p class='ui-border-b' style='height: 45px;line-height: 45px;text-align:center;'>未查询到相关记录</p>");
			  Fw.Msg.info("当期信用卡无可单笔分期的消费记录，请重新选择!");
			}
		},
		onBeforeQuery : function(ajax, message, url) {
	    },
		/**
		 * 点击下一步触发
		 */ 
		onNextStep : function() {
			if (stepNum == 2) {
				if($('#math').val()==""){
					 Fw.Tips.info('分期期数不能为空', function() {
					 });
					 return;
				}
			} else if (stepNum == 3) {
				this.singleSuccess();
			}
		},
		/**
		 * 监听select事件
		 */
		item1Click : function(data, index) {
			//卡号
			 AcNo=data.No;
			//卡号格式化
			accountNo = Fw.util.Format.fmtAcctNoSe(data.No);
			//开户行
			var openBank1=data.option;
			console.log(AcNo)
			//判断是否是普惠金融卡
			//list重置为空
			$('#list').empty();
			listView.ajax.setParams({
				     AcNo:AcNo,//卡号
					 queryType:'1',//查询类型：卡号
					 queryCond:'2',//查询条件，未申请灵活分期
					 creditPlanNo:'0001',//信用计划编号：灵活分期
					 pwdCheckFlag:'0',//密码校验标志：不检查密码	
			});
			$("#empty_tip").html("");
			listView.loadData();
			// 手动隐藏等待层
			var  cardType=data.CardType;
		    $("#select").val(openBank1);
		},
		/**
		 * 显示组件
		 */
		select1Click : function() {
			// 显示组件
			// 1.直接显示
			// dropDownList.show();
			// 2.显示时传入值
			dropDownList.show(App.data);
		},
		/**
		 * 
		 */
		beforeSubmit : function(values) {

		},
		selectWindowClick : function(e) {
				//灵活分期利率查询
				Fw.util.Ajax.execute({
					// 数据源（自定以URL）
					// url : '/data/selectWindow/query.json',
					service : 'creditCardService/executePeriods',
					// 数据源（服务接口）
					// 请求参数
					params : {
						stageType:'3',
						"money":Fw.util.Format.unFmtAmt(money),
					},
					// 是否使用数据挡板（默认false）
					staticData : false,
					// 请求成功后回调
					success : function(data, result) {
						// 初始化窗体
						ratelist=data.List;
						if(Fw.isTouch){
							//客户端方法
							Fw.device.Device.rateControl(ratelist,'App.rate');
						}else{
							// PC端初始化利率窗体
							App.initSelectWindow(ratelist);
						}
					}
				});
		},
		//客户端回调
		rate : function(perRate,money,periods){
			if(!Fw.isEmpty(periods)){
				$('#math').val(periods + "期");
				stageNumber=periods;
				 App.stagesParticulars();
		    }
		},
		/**
		 * 分期数据拼接
		 */
		initSelectWindow : function(data) {
			// 实例化窗体
			selectPayeeWindow = new Fw.SelectWindow(
					{
						// 必须参数，数据集
						data : data,
						// 可配置参数自定义模板，否则使用默认
						itemTpl : [

								'<div style="borde:0px;margin-right:15px;text-align:center;">',
								'<div style="float:left;width:30%;color:#999;">${item.StageNumber}</div>',
								'<div style="float:left;width:30%;color:#999;">${item.Percent}</div>',
								'<div style="float:left;width:40%;color:#999;">${item.perMoney}</div>', '</div>', ],
						// 自定义标题模板
						headerTpl : [
								'<div style="borde:0px;;margin-right:15px;text-align: center;">',
								'<div style="float:left;width:30%;">期数</div>',
								'<div style="float:left;width:30%;">利率</div>',
								'<div style="float:left;width:40%;">费用</div>',
								'</div>', ],
						// 可配置参数，标题，默认"请选择"
						title : '请选择期数',
						// 可配置参数，是否多选,默认false
						// checkbox: true,
						// 可配置参数，选择完成后是否自动关闭选择框，默认true
						// autoClose: false,
						// 是否显示查询框，默认true
						search : false
					// 可配置参数：搜索文本框提示文字
					// searchPlaceholder:'搜索电力公司',
					// 可配置参数,宽
					// width: 500,
					// 可配置参数,高
					// height: 400
					});
			// 窗口展示
			selectPayeeWindow.showSelectWindow();
			// 弹出窗口完成事件（赋值）
			selectPayeeWindow.on('submit', Fw.bind(this.selectSubmit, this));
		},
		/**
		 * 选择框完成事件
		 */
		selectSubmit : function(e, data) {
			// 打印选择值
				stageNumber = data[0].StageNumber;
				$('#math').val(stageNumber + "期");
	            App.stagesParticulars();
		},
		stagesParticulars:function(){
			Fw.util.Ajax.query({
				  socketAdapter:'creditCardService/executePubMath',
				// 数据源（服务接口） // 请求参数
				params : {
					termName:'灵活分期',
					termType:'2',//
					termNum:stageNumber,//分期期数
					Amount:Fw.util.Format.unFmtAmt(money),//分期金额
					ccy:'156',//币种
					reservField:'54165'
				},
				// 是否使用数据挡板（默认false）
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					//分期查询成功跳转
//					App.showForm(data);
					var FirstMonRepayAmt =Fw.util.Format.fmtAmt(data.FirstMonRepayAmt);
					var MonthlyRepayAmt =Fw.util.Format.fmtAmt(data.MonthlyRepayAmt);
					$('#oneRepaymentMoney').text(FirstMonRepayAmt);
					$('#monthRepaymentMoney').text(MonthlyRepayAmt);
					if(flag){
						flag=false;
						App.initPage(++stepNum);
						step.step(2);
					}
					//卡号
				}
			});
		},
		/**
		 * 灵活分期试算
		 */
//		doSubmit : function(values) {
//			if($('#math').val()==""){
//				Fw.Tips.info('分期期数不能为空', function() {
//				});
//				return;
//			}else{
//			
//			}
//		},
		/**
		 * 点击确定时触发
		 */
//		submit : function() {
//			this.initPage(++stepNum);
//			step.nextStep();
//		},
		//确认试算结果，灵活分期申请
		singleSuccess : function() {
		if($('#math').val()==""){
			 Fw.Tips.info('分期期数不能为空', function() {
			 });
			 return;
		}else{
			Fw.util.Ajax.query({
				  socketAdapter:'creditCardService/querySingle',
				// 数据源（服务接口） // 请求参数
				params : {
					//cardNo:'6228029880094109',//卡号
					//cardNo:'6228020010449107',
					AcNo:AcNo,
					queryType:'1',//查询类型：卡号
					pwdCheckFlag:'0',//密码校验标志：不检查密码
					creditPlanNo:'0001',//所属信用卡计划：灵活分期申请
					incomeDate:valDate,//入账日期
					tranInputDate:purDate,//记录日期
					tranInputTime:purTime,//消费时间
					tranType:tranTypes,//交易类型
					tranSeqNo:tranNo,//流水号
					termNum:stageNumber,//分期的期数
				},
				// 是否使用数据挡板（默认false）
				staticData : false,
				// 请求成功后回调
				success : function(data, result) { 
					//账单分期查询成功跳转
					App.initPage(++stepNum);
					step.nextStep();
				}
			});
     		}
		},
		/**
		 * 回显数据
		 */
//		showForm : function(data) {
//			var items = $('#content').find('[data-name]');
//			var name = '', el;
//			items.each(function(index, item) {
//				el = $(item);
//				name = el.attr('data-name');
//				//分期金额格式化
//				if (name == "TermAmt") {
//					data[name] = Fw.util.Format.fmtAmt(data[name]);
//					el.html(data[name]);
//					return;
//				}
//				//分期期数
//				if (name == "TermNum") {
//					data[name] =data[name]+"期";
//					el.html(data[name]);
//					return;
//				}
//				//首期应还
//				if (name == "FirstMonRepayAmt") {
//					data[name] = Fw.util.Format.fmtAmt(data[name]);
//					el.html(data[name]);
//					return;
//				}
//				//每月应还
//				if(name == "MonthlyRepayAmt"){
//					data[name] = Fw.util.Format.fmtAmt(data[name]);
//					el.html(data[name]);
//					return;
//				}
//			});
//		},
		/**
		 *左边按钮点击事件
		 */
		leftButtonHandler : function() {
			if (stepNum == 2) {
				this.initPage(--stepNum);
				step.prevStep();
			} else if (stepNum == 3) {
				this.initPage(--stepNum);
			} else if (stepNum == 4) {
				Fw.redirect('main.html')
			} else {
				if(Fw.isTouch){
				Fw.device.Device.gotoIndex();
				}else{
					Fw.redirect(Fw.getBasePath()+"/page/pageMenu/moreMenu.html");
				}
			}
		},
	};
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
