/**
 * 创建应用
 */
var App = function() {
	var form;
	var dropDownList1;
	var data1 = [];// 查询卡号列表
	var data2 = [];// 查询风险评估数据
	var custRisk = "";
	var riskEndDate = ""
	var custType = "";
	var pramasrisk = [];
	var level = "";
	var params1 = [];//第二个页面的传参
	var tpl2 = [

			'<div style="text-align:center;">您当前的风险等级为：',
			'{@if data.risk == 1}',
			'<span style="color:#ffb018;" id="CustRisk">激进型</span>！</div>',
			'{@else if data.risk == 2}',
			'<span style="color:#ffb018;" id="CustRisk">进取型</span>！</div>',
			'{@else if data.risk == 3}',
			'<span style="color:#ffb018;" id="CustRisk">稳健型</span>！</div>',
			'{@else if data.risk == 4}',
			'<span style="color:#ffb018;" id="CustRisk">谨慎型</span>！</div>',
			'{@else if data.risk == 5}',
			'<span style="color:#ffb018;" id="CustRisk">保守型</span>！</div>',
			'{@/if}',
			'<div style="text-align:center;margin:5px 0px;">',
			'到期日为：<span style="color:#ffb018;" id="RiskEndDate">${data.RiskEndDate}</span>。',
			'</div><div style="text-align:center;">确定重新评估吗？</div>', ];

	return {
		/**
		 * 依赖组件
		 */
		requires : [
		// 表单
		'Fw.Form','Fw.app.Session', 'Fw.DropDownList' ,],
		/**
		 * 视图设置 设置标题栏、按钮等 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
		 */
		viewConfig : {
			/**
			 * 标题栏标题 如果为空或未设置，则标题栏不显示、左右按钮不显示
			 */
			title : '客户风险评估',
			/**
			 * 左边按钮（默认显示） 如果为false，则左边按钮不显示 leftButton: '左边按钮'
			 */
			leftButton : {
				// 自定义按钮标题（默认'返回'）
				text : '左边按钮',
			// 自定义按钮点击事件（默认App.leftButtonHandler）
			// handler: XXX
			},
			/**
			 * 右边按钮（默认不显示） rightButton: '右边按钮'
			 */
			rightButton : false,/*
								 * { //按钮标题 text: '设置表单值',
								 * //自定义按钮点击事件（默认App.rightButtonHandler）
								 * //handler: XXX },
								 */
			/**
			 * 是否自动显示等待层（默认true） 需手动隐藏等待层
			 */
			loadMask : false
		},
		/**
		 * 初始化 应用入口
		 */
		init : function(require) {
			this.queryCard();
			this.initdropDownList1();
			this.initform();
			this.initEvents();
			// 手动隐藏等待层
			Fw.LoadMask.hide();
		},
		/**
		 * 初始化事件
		 * 
		 */
		initEvents : function() {
			$('#submit-btn').on('click', Fw.bind(this.queryEstimate));
			$('#gotoFund').on('click', Fw.bind(this.gotoFund));
			// 下拉框
			$('#payAccount').on('click', Fw.bind(this.showDropDownListClick1, this));
			dropDownList1.on('itemClick', Fw.bind(this.itemClick1, this));
		},
		// 初始化form
		initform : function() {
			form = new Fw.Form({
				// EL
				contentEl : 'form',
				// 是否激活重置事件（默认false）
				// 单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
				resettable : false,
				// 校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
				msgTarget : 'tips'
			});
		},
		// 初始化dropDownList
		initdropDownList1 : function() {
			dropDownList1 = new Fw.DropDownList({
				result : data1,
				displayNo : false,
				displayName : 'option',
				cursorBtn : false,
				disableFieldValue : '1'
			});

		},
		showDropDownListClick1 : function() {
			// 显示组件
			dropDownList1.show(data1);
		},
		itemClick1 : function(data, index) {
			$('#payAccount').val(data.option);
			App.accountData = data;
		},
		queryCard : function() {
			// 查询借记卡
			Fw.util.Ajax.get({
				service : 'accountService',
				method : 'getAccount',
				params : {
					type : '8',
				},
				// 0借记账户1贷记账户2动账借记3动账贷记//不传参全部
				// 数据源（服务接口）
				// 请求参数
				// params: {},
				// 是否使用数据挡板（默认false）
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					if (data.List.length == "0") {
						Fw.Msg.info('您的账户无转账权限功能，请至我行任一网点开通。', function() {
							if (Fw.isTouch) {
				        		Fw.device.Device.gotoIndex();
							} else {
								Fw.redirect("page/pageMenu/moreMenu.html");
							}
						});
						return;
					}
						$("#payAccount").val(data.List[0].option);
						data1 = data.List;
						App.accountData = data.List[0];
					
				}
			});
		},
		// 查询客户选中卡号的评估数据
		queryEstimate : function() {
			var custType = "1";
			var bankType = App.accountData.BankAcType;
			var no = App.accountData.No;
			var globalType = Fw.app.Session.getIdenttype();
			var globalId =  Fw.app.Session.getIdentno();
			var beginDate = "";
			var endDate = "";
			Fw.util.Ajax.query({
				socketAdapter : 'financeService/executeEstimate',
				params : {
					'BankAcType' : bankType,
					'No' : no,
					'CustType' : custType,
					'GlobalType' : globalType,
					'GlobalId' : globalId,
					'BeginDate' : beginDate,
					'EndDate' : endDate,
					'AcNo' :no,
					'TotalNum' : '1',
					'CurrentNum' : '1',
					
				},
				// 是否使用数据挡板（默认false）
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					if("" == data.List[0].CustRisk){
						Fw.Msg.info('首次风险评估需在营业网点办理，请咨询客服选择最近网点完成风险评估。');
						return;
					}
					// 保存以前评估的数据
					data2 = data.List[0];
					console.log(data2);
						App.btnClick();
				},
                //请求错误后回调
                failure: function(status, textStatus, error) {
                    if (error=="没有查到客户信息!") {
                    	 Fw.Msg.info('首次风险评估需在营业网点办理，请咨询客服选择最近网点完成风险评估。', function(){});
          			}
                }
			});
		},
		casefunction : function(risk) {
			var aaa = risk;
			if (aaa =="1") {
				level = "激进型";
			} else if(aaa =="2"){
				level = "进取型";
			}else if(aaa =="3"){
				level = "稳健型";
			}else if(aaa =="4"){
				level = "谨慎型";
			}else if(aaa =="5"){
				level = "保守型";
			}
		},
		
		btnClick : function() {
			var time = Fw.util.Format.fmtDate(data2.RiskEndDate,"yyyy年MM月dd日");
			var risk = data2.CustRisk;
			App.casefunction(risk);
			 pramasrisk = {
				"RiskEndDate" : time,
				"risk" : risk
			};
			console.log(pramasrisk);
			var html = Fw.template(tpl2, {
				'data' : pramasrisk
			});
			var html1 = "您当前的等级为:"+level+";"+"  "+"当前到期日为:"+time+";"+"  "+"确定重新评估吗？";
			if (Fw.isTouch) {
				var btns = [
							{code:"yes",text:"重新评估",cls:"ui-btn-default"},
							{code:"no",text:"取消",cls:"ui-btn-primary"}
				            ];
				Fw.Msg.show("温馨提示",html1,btns, function(code, btn, win) {
						/*params1 = {
							'accountData' : App.accountData,
							'data3' : data2
						}*/
					if (code=="yes") {
						console.log( App.accountData);
						params1 = {
								'accountData' : App.accountData,
								'data3' : data2
							}
						var url = Fw.getBasePath();
						Fw.redirect(url+"/page/pub/customerRiskAssessment/assessmentQuestion.html", params1);
					}
						
				});
			}else{
				var btns = [
							{code:"no",text:"取消",cls:"ui-btn-default"},
							{code:"yes",text:"重新评估",cls:"ui-btn-primary"}
				            ];
				Fw.Msg.diy("温馨提示",html,btns, function(code, btn, win) {
					if (code == "yes") {
						var date1 = new Date();
						var myYear = date1.getFullYear();
						var myDate = date1.getMonth() + 1;
						var myDay = date1.getDate();
						var Time = myYear + '年' + myDate + '月' + myDay + '日';
						params1 = {
							'accountData' : App.accountData,
							'data3' : data2
						}
						console.log( App.accountData);
						Fw.redirect("page/pub/customerRiskAssessment/assessmentQuestion.html", params1);
					} else {
					}
				});
			}
		},
		gotoFund:function(){
			var url = Fw.getBasePath();
			Fw.redirect(url+"/page/pub/fundationManagement/fundManage.html");
		},
		  leftButtonHandler:function(){
			  if (Fw.isTouch) {
	        		Fw.device.Device.gotoIndex();
				} else {
					var url = Fw.getBasePath();
					Fw.redirect(url+"/page/pageMenu/moreMenu.html");
				}

	        }
	};
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
