/**
 * 转账汇款
 */
var App = function() {
	var pageTwo = Fw.getParameters();			//获取上个页面的传参
	var time = pageTwo.time1;					//测评时间
	var score = pageTwo.TotalPoint;				//测评分数
	var accont = pageTwo.accont;				//评估账号
	var name = pageTwo.name;					//账户名称
	var custRisk = pageTwo.CustRisk;			//风险等级
	var riskEndDate =  pageTwo.RiskEndDate;		//风险等级结束日期
	
	var type;
    return {
    	//依赖组件
         
        requires : ['Fw.Form',],
        /**
    	* 视图设置
    	* 设置标题栏、按钮等
    	* 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
    	*/
    	viewConfig: {
    		/**
    		* 标题栏标题
    		* 如果为空或未设置，则标题栏不显示、左右按钮不显示
    		*/
    		title: '客户风险评估',
    		/**
    		* 左边按钮（默认显示）
    		* 如果为false，则左边按钮不显示
    		* leftButton: '左边按钮'
    		*/
    		leftButton: {
    	   		//自定义按钮标题（默认'返回'）
    	   		text: '返回',
    	   		//自定义按钮点击事件（默认App.leftButtonHandler）
    	   		//handler: XXX
    		},
    		/**
    		* 是否自动显示等待层（默认true）
    		* 需手动隐藏等待层
    		*/
    		loadMask: true
    	},
        /**
         * 初始化
         * 应用入口
         */
        init : function(require) {
        	this.showdata();
        	 this.initEvents();
        	//定义表单
         	this.initform();
        	
        },
        /**
         * 初始化事件
         */
        initEvents : function() {
        	$('#submit-btn').on('click', Fw.bind(this.onClick, this));
        },
        //赋值
        showdata : function() {
        	$("#time").html(time);
        	$("#accont").html(Fw.util.Format.fmtAcctNo(accont));
        	$("#name").html(name);
            if(custRisk==1){
            	$("#answorScore").html(score);
            	$("#answorScore").css('color','#85b7e4');
            	$('#backgroundColor1').css('background-color','#85b7e4');
            	$('#riskType').html('激进型');
            	$('#riskType1').css('color','#85b7e4');
            	$('#riskType').css('color','#85b7e4');
            }else if(custRisk==2){
            	$("#answorScore").html(score);
            	$("#answorScore").css('color','#65c8e9');
            	$('#backgroundColor2').css('background-color','#65c8e9');
            	$('#riskType').html('进取型');
            	$('#riskType2').css('color','#65c8e9');
            	$('#riskType').css('color','#65c8e9');
            }else if(custRisk==3){
            	$("#answorScore").html(score);
            	$("#answorScore").css('color','#7abf28');
            	$('#backgroundColor3').css('background-color','#7abf28');
            	$('#riskType').html('稳健型');
            	$('#riskType3').css('color','#7abf28');
            	$('#riskType').css('color','#7abf28');
            }else if(custRisk==4){
            	$("#answorScore").html(score);
            	$("#answorScore").css('color','#ffb018');
            	$('#backgroundColor4').css('background-color','#ffb018');
            	$('#riskType').html('谨慎型');
            	$('#riskType4').css('color','#ffb018');
            	$('#riskType').css('color','#ffb018');
            }else if(custRisk==5){
            	$("#answorScore").html(score);
            	$("#answorScore").css('color','#ef2525');
            	$('#backgroundColor5').css('background-color','#ef2525');
            	$('#riskType').html('保守型');
            	$('#riskType5').css('color','#ef2525');
            	$('#riskType').css('color','#ef2525');
            }
            //手动隐藏等待层
			Fw.LoadMask.hide();
		},
        onClick : function(){
			Fw.redirect("./main.html");
        },
        //初始化form
        initform:function(){
        	   form = new Fw.Form({
                   //EL
                   contentEl : 'form',
                   //是否激活重置事件（默认false）
                   //单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
                   resettable: false,
                   //校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
                   msgTarget: 'tips'
               });
        },
        leftButtonHandler:function(){
        	Fw.redirect("./main.html");
        }
    };
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
