/**
 * 创建应用
 */
var App = function() {
    var form;
  	//下拉对象
	var dropDownList;
	var pgeditor_0 = undefined;
	var data1=[];
	var obj;
	var paytestTem=[ {
		"option" : "短信验证码验证",
		"tpType" : "O"
	}, {
		"option" : "U-key验证",
		"tpType" : "U"
	} ];
    return {
        /**
         * 依赖组件
         */
        requires: [
          	//表单
           'Fw.Form',
           'Fw.DropDownList',
           'Fw.SmsCountDown',
           //安全键盘
           'Fw.Keyboard',
           "Fw.app.Session"
        ],
        /**
         * 视图设置
         * 设置标题栏、按钮等
         * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
         */
        viewConfig: {
            title: '账户密码解锁',
            leftButton: {
            },
            loadMask: true
        },
        /**
         * 初始化
         * 应用入口
         */
        init : function(require) {
        	App._AuthMode = "O";
        	if(Fw.isTouch){
        		$('#testChannal').hide();
        	}else{
        		$('#testChannal').show();
        	}
        	Fw.util.Ajax.get({
				service : 'passGuardService.getKey',
				success : function(data, result) {
					Fw.util.Storage.set("WTKey",data.key);
				}
			});
        	App.smsCountDown = new Fw.SmsCountDown();
        	App.subData = {};
        	var data = {
					"P00" : "身份证",
					"P01" : "军官证",
					"P02" : "文职干部证",
					"P03" : "警官证",
					"P04" : "士兵军人证",
					"P05" : "中国护照",
					"P06" : "港澳台居民身份证",
					"P07" : "户口簿",
					"P08" : "边民出入境通行证",
					"P09" : "外国人永久居留证",
					"P10" : "临时身份证",
					"P11" : "离休干部荣誉证",
					"P12" : "武警警官证誉证补折",
					"P13" : "台湾居民往来通行证",
					"P14" : "军官退休证",
					"P15" : "文职干部退休证",
					"P16" : "军事院校学员证",
					"P17" : "武警士兵证",
					"P18" : "武警文职干部证",
					"P19" : "武警军官退休证",
					"P20" : "武警文职干部退休证",
					"P21" : "驾驶执照",
					"P22" : "旧身份证",
					"P23" : "外国护照",
					"P24" : "工作证",
					"P25" : "股金过渡证件",
					"P26" : "中华人民共和国旅行证",
					"P27" : "村民委员会居民证",
					"P28" : "个体工商户营业执照(年检)",
					"P29" : "港澳居民往来通行证",
					"P30" : "其他有效旅行证件",
					"P99" : "个人其他",
					"E01" : "组织机构代码证",
					"E02" : "营业执照",
					"E03" : "企业名称核准书",
					"E04" : "政府机构/公共机构批文",
					"E05" : "香港商业登记证",
					"E06" : "开户证明",
					"E07" : "军队开户许可证",
					"E08" : "社会团体证",
					"E09" : "非法人组织机构代码证",
					"E10" : "金融许可证",
					"E11" : "企业（法人）代码证",
					"E12" : "国税登记证",
					"E13" : "地税登记证",
					"E14" : "主管部门的批文或证明",
					"E99" : "企业其他",
				}
        	Fw.util.Ajax.get({
                service: 'passGuardService.getKey',
                success: function(data, result) {
                	Fw.util.Storage.set("WTKey",data.key);
                }
            });
        	var idType = Fw.app.Session.getIdenttype();
			$('#idType').val(data[idType]);
        	//定义表单
        	this.initForm();
        	//查询信用卡下拉框
        	this.queryCard();
        	//实例化下拉
        	this.initDropDownList();
            //初始化事件
            this.initEvents();
            //手动隐藏等待层
        },
        /**
		 * 初始化密码控件
		 */
		initPwdInput : function() {
			var PgeOption = {
				pgePath : Fw.getBasePath()+"./ocx/",// 控件下载目录，可以指定绝对路径，如"http://www.baidu.com/download/"
				pgeId : "_ocx_password_0",// 控件id
				pgeEdittype : 0,// 控件显示类型,0(星号),1(明文)
				pgeEreg1 : "[0-9]*",// 输入过程中字符类型限制，如"[0-9]*"表示只能输入数字
				pgeEreg2 : "[0-9]{6}",// 输入完毕后字符类型判断条件，与pgeditor.pwdValid()方法对应
				pgeMaxlength : 6,// 允许最大输入长度
				pgeTabindex : 2,// tab键顺序
				pgeClass : "ocx_style",// 控件css样式
				pgePlaceHolder:"<div style='color:#9a9a9a;font-size: 14px;font-family:\"微软雅黑\";'>请输入账户密码</div>",
 			    pgeDivStyle:"height:44px;line-height:44px;",
				pgeInstallClass : "ocx_style",// 针对安装或升级的css样式
				pgeOnkeydown : "",// 回车键响应函数，需焦点在控件中才能响应
				tabCallback : "input2",// 火狐tab键回调函数,设置要跳转到的对象ID
				pgeOnfocus:"App.pgeFocus0()",//监控光标切入密码控件框
   			    pgeOnblur:"App.pgeBlur0()",//监控光标切出密码控件框
				// windows10 edge&Chrome42+相关
				pgeWindowID : "password" + new Date().getTime() + 1,
				pgeRZRandNum : Fw.util.Storage.get("TpgeRZRandNum"),
				pgeRZDataB : Fw.util.Storage.get("TpgeRZDataB")
			};

			pgeditor_0 = new $.pge(PgeOption);

			window.pgeCtrl = pgeditor_0;
			$("#_ocx_password_str_0").html(pgeditor_0.load());

			pgeditor_0.pgInitialize();
			$("lic").html(pgeditor_0.setLicense());
			// });
		},
        initForm:function(){
        	form = new Fw.Form({
                contentEl : 'form',
                resettable: false,
                msgTarget: 'tips'
            });
        },
    	pgeFocus0 : function() {
			pgeditor_0.handler1();
		},
		pgeBlur0 : function() {
			pgeditor_0.clearHandlers();
		},
        initDropDownList:function(){
        	dropDownList = new Fw.DropDownList({
        		result: data1,
        		displayNo: false,
        		displayName: 'option',
        		cursorBtn: false,
        		disableFieldValue: '1'
        	});
        },
        /**
         * 初始化事件
         * 
         */
        initEvents: function(){
        	if (Fw.isTouch) {//手机端显示输入框
				 $("input[type=password]").show();
				$("#pwdStrong").show();
			} else {//pc端显示div
				App.initPwdInput();
				$(".payControls_window").show();
				 $("div[id^=_ocx_password]").show();
			};
		
            $('#submit-btn').on('click',Fw.bind(this.btnClick));
            $('#select1').on('click',Fw.bind(this.select1Click));
            $('#iLabel1').on('click',Fw.bind(this.select1Click));
            $('#authentication').on('click',Fw.bind(this.select1Click));
            //短信验证码按钮
            $('#smsBtn').on('click',Fw.bind(this.smsCountDownClick,this));
        	//监听select点击事件
        	dropDownList.on('itemClick',Fw.bind(this.itemClick, this));
        },
        btnClick:function(){
        	var values = form.getValues();
        	if(Fw.isEmpty($("#idNo").val())){
        		Fw.Tips.info("请输入证件号码");
				return false;
        	};
        	if(App._AuthMode == "O"){
        		if (Fw.isEmpty($('#smsCode').val())){
        			Fw.Tips.info("请输入短信验证码");
        			return false;
        		}else if ($('#smsCode').val().length<6){
        			Fw.Tips.info("请输入6位短信验证码");
        			return false;
        		}
        	}
        	if(Fw.isTouch){
        		var oldLoginPassword=$("#OldLoginPassword").val();
        		if (Fw.isEmpty($("#OldLoginPassword").val())) {
					Fw.Tips.info("请输入账户密码");
					return false;
				}else if(oldLoginPassword.length<6){
					Fw.Tips.info("请输入6位的账户密码");
					return false;
				} else {
					App.password = values.OldLoginPassword;
				}
        	}else{
        		if (pgeditor_0.pwdLength() == 0) {
        			Fw.Tips.info("请输入账户密码");
					return false;
				}else if (pgeditor_0.pwdValid() == 1) {
					Fw.Tips.info("请输入6位的账户密码");
					return false;
				}else {
					var key = Fw.util.Storage.get("WTKey");
					pgeditor_0.pwdSetSk(key);
					App.password = pgeditor_0.pwdResult();
				}
        	}
        	if(Fw.app.Session.getIdenttype() == "P00"){
        		if($("#idNo").val().length != 15 && $("#idNo").val().length != 18){
            		Fw.Tips.info("证件号码错误，请重新输入");
    				return false;
            	};
        	}
        	if(!Fw.isEqual($('#idNo').val(), Fw.app.Session.getIdentno())){
				Fw.Msg.info("您输入的证件号码不符，请重新输入！")
				return;
			}
        	App.recode = {
        			acNo : App.accountData.No,
        			dyPassword : $('#smsCode').val(),
        			password : App.password,
        			_AuthMode : App._AuthMode,
        			signcontent : {
        				acNo : App.accountData.No,
            			dyPassword : $('#smsCode').val(),
            			password : App.password,
            			_AuthMode : App._AuthMode
        			}
        	}
        	if(App._AuthMode == "U"){
        		var devicesign = App.checkUsbKey(App.recode);
	        	if(!Fw.isEmpty(devicesign.contentsign)){
	        		Fw.util.Ajax.get({
	                    service: 'deblockService',
	                    method: 'executeDeblock',
	                    params: devicesign,
	                  	//0借记账户1贷记账户2动账借记3动账贷记//不传参全部
	                    staticData: false,
	                    success: function(data, result) {
	                    	$('#page2').show();
	    					$('#ui-b').hide();
	    					$('#ui-a').hide();
	                    }
	                });
	            }
        	}else{
        		Fw.util.Ajax.get({
                    service: 'deblockService',
                    method: 'executeDeblock',
                    params: App.recode,
                  	//0借记账户1贷记账户2动账借记3动账贷记//不传参全部
                    staticData: false,
                    success: function(data, result) {
                    	$('#page2').show();
    					$('#ui-b').hide();
    					$('#ui-a').hide();
                    }
                });
        	}
        },
        
        /**
         * 显示组件
         */
        select1Click:function(e){
        	obj = $(e.currentTarget);
        	if(obj.attr("id")=='authentication'){
        		dropDownList.show(paytestTem);
        	}else{
        		dropDownList.show(App.data);
        	}
        },
        /**
         * 监听select点击事件
         */
        itemClick: function(data, index){
        	if(obj.attr("id")=='authentication'){
        		$('[name="_AuthMode"]').val(data.option);
        		App._AuthMode = data.tpType;
        		if(data.tpType == 'U'){
        			$('#smsState').hide();
        		}else{
        			$('#smsState').show();
        		}
        	}else{
        		$('[name="select1"]').val(data.option);
        		App.accountData=data;
        	}
        },
        
        smsCountDownClick:function(e){
        	var contentEl = $(e.currentTarget);
			var config = {
					contentEl:contentEl
			};
			var params = {
					tranType : '080103',  //080103-互联网银行客户端非转账类交易验证       080104-互联网银行客户端转账交易验证   080108-互银客户端批量转账
					payerAcct : '',  // 付款账号 交易类型080104-必传
					payeeAcct : '',  // 收款账号 交易类型080104-必传
					payeeAcctName : '', // 收款人  交易类型080104-必传
					trsAmount  : '', //交易金额   交易类型080104-必传
					trsCount  : '' //交易笔数   交易类型080108-必传
			};
			//
			var config={
					contentEl:contentEl,
		    		//倒计时的文本
		    		delayText:'{0}s',
		    		
			};
			App.smsCountDown.showSmsCountDown(config, params);

		},
       
      	//查询信用卡下拉框
        queryCard: function(){
        	//查询贷记卡账号
        	Fw.util.Ajax.get({
                service: 'accountService',
                method: 'getAccount',
                params: {
                    type:'6',
                },
              	//0借记账户1贷记账户2动账借记3动账贷记//不传参全部
                staticData: false,
                success: function(data, result) {
            		$('[name="select1"]').val(data.List[0].option);
                	App.data=data.List;
                	App.accountData=data.List[0];
                	Fw.LoadMask.hide();
                }
            });
        },
        leftButtonHandler : function() {
			if (Fw.isTouch) {
				if($('#ui-b').css('display')=='block'){
					Fw.gotoIndex();
				}else{
					window.location.reload();
				}
			} else {
				if($('#ui-b').css('display')=='block'){
					Fw.redirect(Fw.getBasePath()+"/page/pageMenu/moreMenu.html");
				}else{
					window.location.reload();
				}
			}
		},
        checkUsbKey : function(record){
        	var keyobj = undefined;
			var keyFlag =0;
			
			
			try {
				var haitai = $("#haitai")[0];//('haitai');
				var feitian = $("#feitian")[0];//document.getElementById('feitian');

	            var haistats = haitai.GetUsbkeyState();
				var feistats = feitian.GetUsbkeyState();
				var result = 0;
				if((feistats==4)||(haistats==4)){
					result = 4;
				}else if((feistats==3)&&(haistats==3)){
					result = 4;
				}else if(feistats==3){
					keyobj = feitian;
					result = 3;
				}else if(haistats==3){
					keyobj = haitai;
					result = 3;
				}else if((feistats==2)||(haistats==2)){
					result = 2;
				}	
				keyFlag = result;
	            }catch (err) {
	            	keyFlag = 0;
	               
	            }
			
			
			
			
			if(keyFlag<2){
				var msg = "";
				switch(keyFlag){
				case 1:msg="未检测到U-key驱动程序,请重装应用尝试解决该问题!";break;
				case 0:msg="未检测到U-key控件,请重装应用尝试解决该问题!";break;
				default:msg="应用异常,请重装应用尝试解决该问题!"
				}
				Fw.Msg.info(msg, function(){});
			}else{
				
				if(keyFlag==2){
					Fw.Msg.info('请插入U-KEY', function(){
                           
					});
					return false;
            	}else if(keyFlag==4){
            		Fw.Msg.info('请拔出多余的U-KEY', function(){
                           
					});
					return false;
            	}
			}
			
			$('body').find('#sm_area').remove();
			$('body').append('<p id = "sm_area" style="display:none;"></p>');
			$("#sm_area").html(signObj.createTag());
			
			signObj.getVersion();
			var keyDn ="";
			var keyCN ="";
				var tempDN  = keyobj.getCertInfo();
				if(Fw.isEmpty(tempDN)){
					Fw.Msg.info("U-KEY异常,请至营业网点更换U-key!", function(){});
					return false;
				}
	            var keyDns = tempDN.split("||");
	            record.signcontent=Fw.encode(record.signcontent);
		        record.signcontent=(record.signcontent).substr(1,(record.signcontent).length-2);
		        record.signcontent=new String(record.signcontent).toString();
		        record.signcontent=(record.signcontent).replace(/[¥_\"{}]/g,"");
		        record.signcontent=(record.signcontent).replace(/[\[]/g,"::");
		         record.signcontent=(record.signcontent).replace(/[\]]/g,":::");
		         record.signcontent=(record.signcontent).replace(/[\\]/g,":,:");
	            if(keyDns.length==1){
	            	 keyDn = tempDN;
	            	 keyDn = keyDn.replace("o=","O=");
	            	 Fw.each(keyDn.split(","),function(v){
		            		if(v.indexOf("cn=") != -1){
		            			keyCn = v.replace(" ","").replace("cn=","CN=");
		            		}else if(v.indexOf("CN=") != -1){
		            			keyCn = v.replace(" ","");
		            		}
	            	 });
				        record.certstr = signObj.getSCertInfo(keyCn , 6);
				        record.contentsign = signObj.sSign(keyCn , record.signcontent , 32 );
				        if(Fw.isEmpty(record.contentsign)||/(A){50}/.test(record.contentsign)){
				        	return ;
				        }else if((record.contentsign).indexOf('"message":')!=-1){
				        	var temp = Fw.decode(record.contentsign);
				        	if(temp.code== '2148532332'){
				        		Fw.Msg.info("请至营业网点更换U-key!", function(){
					        		
								});
				        	}else{
					        	Fw.Msg.info(temp.message, function(){
					        		
								});
				        	}
							return false;
				        }
				        record.keyDn=keyCn;
				        $('body').find('#sm_area').remove();
				       
				        var cstr =record.certstr;
				        var sb ="";
				        var len = cstr.length;
						var row = Math.ceil(len/64);
						sb +="-----BEGIN CERTIFICATE-----\n";
						for(var i = 0;i<row-1;i++){
							sb +=cstr.substring(i*64,(i+1)*64);
							sb +="\n";
						}
						sb +=cstr.substring((row-1)*64);
						sb +="\n";
						sb +="-----END CERTIFICATE-----\n";
						record.certstr = sb;
	            }else{
	            	if(Fw.CertClick){
	            		
		            	Fw.each(keyDns,function(v){
		            			keyDn = v.replace(" ","").replace("cn=","CN=");
		            	});
		            	 keyDn = keyDn.replace("o=","O=");
		            	 Fw.each(keyDn.split(","),function(v){
		            		 if(v.indexOf("cn=") != -1){
			            			keyCn = v.replace(" ","");
			            		}else if(v.indexOf("CN=") != -1){
			            			keyCn = v.replace(" ","");
			            		}
		            	 });
		            	
					        record.certstr = signObj.getSCertInfo(keyDn , 6);
					        record.contentsign = signObj.sSign(keyDn , record.signcontent , 32 );
					        
					        
					        if(Fw.isEmpty(record.contentsign)||/(A){50}/.test(record.contentsign)){
					        	return ;
					        }else if((record.contentsign).indexOf('"message":')!=-1){
					        	var temp = Fw.decode(record.contentsign);
					        	if(temp.code== '2148532332'){
					        		Fw.Msg.info("请至营业网点更换U-key!", function(){
						        		
									});
					        	}else{
						        	Fw.Msg.info(temp.message, function(){
						        		
									});
					        	}
								return false;
					        };
					        record.keyDn=keyCn;
					        $('body').find('#sm_area').remove();
					       
					        var cstr =record.certstr;
					        var sb ="";
					        var len = cstr.length;
							var row = Math.ceil(len/64);
							sb +="-----BEGIN CERTIFICATE-----\n";
							for(var i = 0;i<row-1;i++){
								sb +=cstr.substring(i*64,(i+1)*64);
								sb +="\n";
							}
							sb +=cstr.substring((row-1)*64);
							sb +="\n";
							sb +="-----END CERTIFICATE-----\n";
							record.certstr = sb;
	            	}else{
	            		Fw.each(keyDns,function(v){
		            			keyDn = v.replace(" ","").replace("cn=","CN=");
		            	});
		            	 keyDn = keyDn.replace("o=","O=");
		            	 Fw.each(keyDn.split(","),function(v){
		            		 if(v.indexOf("cn=") != -1){
			            			keyCn = v.replace(" ","");
			            		}else if(v.indexOf("CN=") != -1){
			            			keyCn = v.replace(" ","");
			            		}
		            	 });
		            	 	
					        record.certstr = signObj.getCertByProv();//signObj.getSCertInfo(keyDn , 6);
					        record.contentsign = signObj.signByProv(keyDn , record.signcontent , 37 );
					        
					        if(Fw.isEmpty(record.contentsign)||/(A){50}/.test(record.contentsign)){
					        	return ;
					        }else if((record.contentsign).indexOf('"message":')!=-1){
					        	var temp = Fw.decode(record.contentsign);
					        	if(temp.code== '2148532332'){
					        		Fw.Msg.info("请至我行任一网点办理Ukey更换", function(){
						        		
									});
					        	}else{
						        	Fw.Msg.info(temp.message, function(){
						        		
									});
					        	}
								return false;
					        };
					        record.keyDn=keyCn;
					        $('body').find('#sm_area').remove();
					       
					        var cstr =record.certstr;
					        var sb ="";
					        var len = cstr.length;
							var row = Math.ceil(len/64);
							sb +="-----BEGIN CERTIFICATE-----\n";
							for(var i = 0;i<row-1;i++){
								sb +=cstr.substring(i*64,(i+1)*64);
								sb +="\n";
							}
							sb +=cstr.substring((row-1)*64);
							sb +="\n";
							sb +="-----END CERTIFICATE-----\n";
							record.certstr = sb;
	            	}
	            }
	            record.keyDn=(record.keyDn).replace("cn=","CN=");

	            return record;
        }
    };
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
