/**
 * 创建应用
 */
var App = function() {
	var paramsBack=Fw.getParameters();//acNoBack返回卡号;accountOptionBack页面回显值
	console.log(paramsBack);
	var dropDownList
	var listView;
	var accountOption; // 回显账户
	var accountNo; // 账户对应的卡号
	// accountNo='6230361102084016512';
	var bankAcType; // 账户对应的卡号
	var data1 = [];
	return {
		/**
		 * 依赖组件
		 */
		requires : [
		// 列表
		'Fw.ListView', 'Fw.DropDownList', ],
		/**
		 * 视图设置 设置标题栏、按钮等 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
		 */
		viewConfig : {
			/**
			 * 标题栏标题 如果为空或未设置，则标题栏不显示、左右按钮不显示
			 */
			title : '在售理财',
			/**
			 * 左边按钮（默认显示） 如果为false，则左边按钮不显示 leftButton: '左边按钮'
			 */
			leftButton : {
				// 自定义按钮标题（默认'返回'）
				text : '左边按钮'
			// 自定义按钮点击事件（默认App.leftButtonHandler）
			// handler: XXX
			},
			// 隐藏等待层
			loadMask : true
		},
		/**
		 * 初始化 应用入口
		 */
		init : function(require) {
			// 获取账户列表
			this.getAccountList();
			dropDownList = new Fw.DropDownList({
				// 必须参数：结果集
				result : data1,
				// 可配置参数：1.false,随内容撑出高度，2.num：固定高度，超出滚动显示,默认[220]
				// fixedHeight: false,
				// 可配置参数：账号，1.false 不显示账号,2.cdopac 具体显示字段名，默认[cdopac]
				displayNo : false,
				// 可配置参数：从后截取账号显示,1.false 不截取，2.num：截取长度,默认[5]
				// lastSubNo:5,
				// 可配置参数：名称，默认[brchna]
				displayName : 'option',
				// 可配置参数：显示时是否重新渲染，默认[false]
				// reload: false,
				// 可配参数：选择完成后是否自动关闭,默认[true]
				// autoClose: true,
				// 可配置参数：是否显示手工输入按钮，默认[true]
				cursorBtn : false,
				// 可配置参数：设置不可点击,1.默认[false]不限制,2.cardtp具体字段名
				disableField : 'cardtp',
				// 可配置参数：设置不可点击参数值，1.默认[0],2.具体值，"不可点击字段“值等于"不可点击参数值"该项不可点击
				disableFieldValue : '1'
			});
		},
		// 获取账户列表
		getAccountList : function() {
			Fw.util.Ajax.get({
				// socketAdapter : 'rechargeService/executeGetAccountList',
				// 0借记账户1贷记账户2动账借记3动账贷记//不传参全部
				service : 'accountService',
				method : 'getAccount',
				params : {
					type : '2', // 理财购买需要
								// 赎回和购买特别要求1、加挂账户只显示具有动账权限的卡号2、不允许对柜面，网银进行的赎回交易进行撤单
				},
				// 是否自动显示等待层（默认true）
				// 允许自定义等待层提示信息（loadMask: '请稍后...'）
				// loadMask: true,
				// 是否使用数据挡板（默认false）
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					console.log(data.List.length);
					if (data.List.length == "0") {
						Fw.Msg.info('您暂无动账借记卡', function() {
							Fw.redirect("page/pageMenu/finance.html");
						});
					} else {
						console.log(data);
						$("#list").show();
						$("#listP").hide();
						// console.log(Fw.encode(result));
						data1 = result.result.List;
						// console.log(data1);
						accountOption = data1[0].option;// 设置查询成功需要回显的卡号
						$("#selected").val(accountOption);
						bankAcType = data1[0].BankAcType;
						accountNo = data1[0].No;
						App.getFinance(accountNo);
						if(paramsBack.acNoBack==undefined||paramsBack.acNoBack==null){
							$("#selected").val(accountOption);
							bankAcType = data1[0].BankAcType;
							accountNo = data1[0].No;
							App.getFinance(accountNo);
						}else{
							$("#selected").val(params.accountOptionBack);
							bankAcType = params.bankAcTypeBack;
							accountNo = params.acNoBack;
							console.log(bankAcType);
							console.log(accountNo);
							console.log(params.accountOptionBack);
							alert(111);
							App.getFinance(accountNo);
						}
					}
				},
				// 请求错误后回调
				failure : function(status, textStatus, error) {
					// 回显详情信息
					// App.queryFinance();
				}
			});
		},
		getFinance : function(accountNo) {
			console.log(accountNo);
			listView = new Fw.ListView(
					{
						contentEl : 'list',
						// 数据请求对象（为空时，可通过loadData加载静态数据，但不支持beforequery、query事件）
						ajax : {
							service : 'byFinanceService',
							method : 'queryProductQuery',// 默认为query，方法名称必须是query开头
							params : {
								bankAcType : bankAcType,
								accountNo : accountNo,
							},
							rootProperty : 'result.List',
							// 是否自动显示等待层（默认true）
							// 允许自定义等待层提示信息（loadMask: '请稍后...'）
							// loadMask: true,
							// 简单分页组件（只显示上一页、下一页，默认false）
							// simplePage: true,
							// 分页参数
							pageSize : 32,
							page : true,
						// 是否使用数据挡板（默认false）
						// staticData : false,
						},
						// 向右箭头（默认false）
						disclosure : false,
						// 数据展现模版
						itemTpl : [
								'<div class="financial_body">',
								'<div class="title ui-nowrap">${item.ProdName}</div>',
								'<div class="split"><div></div></div>',
								'<div class="content" style="margin-left: 0px;margin-right: 0px;">',
								'<div class="planIncome" style="width:33%;">',
								'<div style="font-size: 17px;">${item.ExpectRate|fmtNumber}</div>',
								'<div class="label ui-nowrap">预期收益率(%)</div>',
								'</div>',
								'<div class="day" style="width:33%;">',
								// '<div style="font-size:
								// 17px;">${item.ProdDay}</div>',
								'<div style="font-size: 17px;">${item.CycleDays}</div>',
								'<div class="label ui-nowrap">投资期限(天)</div>',
								'</div>',
								'<div class="type" style="width:33%;">',
								// 判断风险等级回显
								'{@if item.IncomeType =="0"}',
								'<div style="font-size: 17px;color:#61b2fb;" >保本</div>',
								'{@else}',
								'<div style="font-size: 17px;" class="color1">非保本</div>',
								'{@/if}',
								'<div class="label ui-nowrap">产品类型</div>',
								'</div>', '</div>', '</div>' ]
					});
			// 初始化事件
			this.initEvents();
			// 加载数据
			listView.loadData();
			// 选中记录时触发
			listView.on('itemclick', this.onSelect, this);
			// 查询数据后触发 成功 失败
			listView.ajax.on('query', this.onQuery, this);
			listView.ajax.on('queryerror', this.onQuery1, this);
		},
		/**
		 * 初始化事件
		 */
		initEvents : function() {
			$("#tabList").on('click', Fw.bind(this.showDropDownListClick, this));
			// 监听select点击事件
			dropDownList.on('itemClick', Fw.bind(this.itemClick, this));
			//手动隐藏等待层
			Fw.LoadMask.hide();
		},
		showDropDownListClick : function(e) {
			dropDownList.show(data1);
		},
		itemClick : function(data, index) {
			$("#list").show();
			$("#listP").hide();
			$("#list-loadmore").show();
			if (index != -1) {
				accountOption = data.option;// 账户
				accountNo = data.No;// 账户对应的卡号
				bankAcType = data.BankAcType // 对应的卡类型
				$("#selected").val(accountOption);
				this.getProductList(accountNo);
			} else {
				// 手工输入
				alert('点击了手工输入');
			}
			// 手动关闭下拉
			// fwSelect.hide();
		},
		// 更换账户获取账户信息
		getProductList : function(accountNo) {
			// 设置账户
			listView.ajax.setParams('accountNo', accountNo);
			// 加载数据
			listView.loadData();
		},

		/**
		 * 选中记录时触发
		 */
		onSelect : function(record, index, item, e, cmp) {
			record.AcNo = accountNo;
			record.accountOption = accountOption;
			record.bankAcType=bankAcType;
			// alert(JSON.stringify(record));
			if (Fw.isPhone) {
				Fw.redirect("financeDetail.html", record);
			} else {
				Fw.redirect("financeDetail1.html", record);
			}
		},
		/**
		 * 查询数据后触发
		 */
		onQuery : function(ajax, data, result, error) {
			console.log(data);
			$("#selected").val(accountOption);// 查询成功才更换卡号
		},
		onQuery1 : function(ajax, data, result, error) {
			if (error == "该账户未签约！") {
				$("#selected").val(accountOption);
				$("#list").html("");
				$("#list").hide();
				$("#list-loadmore").hide();
				$("#listP").show();
			} else {
				if (error == "该账户查询无记录！") {
					$("#selected").val(accountOption);
					$("#list").html("");
					$("#list").hide();
					$("#listP").show();
					$("#list-loadmore").hide();
				} else {
				}
			}
		},
		leftButtonHandler : function() {
			if (Fw.isPhone) {
				Fw.gotoIndex();
			} else {
				Fw.redirect("../../../pageMenu/finance.html");
			}
		}
	};
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
