/**
 * 转账汇款
 */
var App = function() {
	var isDoc=false;
	var params=Fw.getParameters();
	console.log(params);
	var backParams=params;
	console.log("---------------");
	var ProdCode1=params.ProdCode;
	var form = $('#form');
	var isclick=2;
	//支付控件金额
	var payControlMoney;
	var buyList=new Array();
    return {
    	/**
         * 依赖组件
         */
        requires : ['Fw.PayControls','Fw.Window','Fw.app.Session'],
    	viewConfig : {
			title : '理财产品详情',
			/**
			 * 左边按钮：默认显示 如果为False :则 不显示
			 */
			leftButton : {
				text : '',
				   //自定义按钮点击事件（默认App.leftButtonHandler）
			},
			// 隐藏等待层
			loadMask : true
		},
        /**
         * 初始化
         * 应用入口
         */
        init : function(require) {
			this.initEvents();
			//初始化界面
			this.queryFinance();
			//查询账户信息
			//this.querySaceBalanceFare();
			Fw.LoadMask.hide();
        },
		queryFinance : function() {
			var starDate= params.BuyBeginDate.replace(/^(\d{4})(\d{2})(\d{2})$/, "$1-$2-$3");
			var endDate= params.BuyEndDate.replace(/^(\d{4})(\d{2})(\d{2})$/, "$1-$2-$3");
			//起息日，到期日
			var starDate1= params.CycleBeginDate.replace(/^(\d{4})(\d{2})(\d{2})$/, "$1-$2-$3");
			var endDate1= params.CycleEndDate.replace(/^(\d{4})(\d{2})(\d{2})$/, "$1-$2-$3");
			//风险等级
			if(params.IncomeType=="0"){
				$("#gradRisk").text("保本浮动收益型");
			}else{
				$("#gradRisk").text("非保本浮动收益型");
			}
			//回显产品风险等级，客户风险等级<产品风险等级，params.RiskLevel是产品等级，custRisk客户风险等级,custRisk<params.RiskLevel
			if(params.RiskLevel==1){
				$("#grad").text("高风险");
			}else if(params.RiskLevel==2){
				$("#grad").text("中高风险");
			}else if(params.RiskLevel==3){
				$("#grad").text("中等风险");
			}else if(params.RiskLevel==4){
				$("#grad").text("中低风险");
			}else if(params.RiskLevel==5){
				$("#grad").text("低风险");	
			}
			$("#prodName").text(params.ProdName+"("+params.ProdCode+")");
			$("#planIncome").text(Fw.util.Format.fmtNumber(params.ExpectRate)+"%");
			$("#term").text(params.CycleDays+ "天");
			$("#startDate").text(starDate);
			$("#endDate").text(endDate);
			$("#start").text(starDate1);
			$("#end").text(endDate1);
			//首次购买金额
			$("#startSunm").text(Fw.util.Format.fmtAmt(params.PerFstMinBuyAmt));
			//$("#startSunm").text(Fw.util.Format.fmtAmt(params.PerSigMinBuyAmt));
			$("#increaseSum").text(Fw.util.Format.fmtAmt(params.PerBuyStepAmt));
			$("#maxSum").text(Fw.util.Format.fmtAmt(params.PerTotalMaxBuyAmt));
			$("#surplusSum").text(Fw.util.Format.fmtAmt(params.SurplusQuota),2, false);
          },
        /**
         * 初始化事件
         */
        initEvents : function() {
        	//alert(Fw.app.Session.getName()+"/"+Fw.app.Session.getIdentno()+"/"+Fw.app.Session.getIdenttype());
        	$('#submit-btn').on('click', Fw.bind(this.submit, this));
        	//显示相关文档详情
        	$('#document').on('click', Fw.bind(this.showDoc, this));
        	//显示文档内容
        	$('a[class="book"]').on('click', Fw.bind(this.showSaleBook, this));
//        	$("#buySum").on('focus',Fw.bind(this.unformatMoney, this));
			$("#buySum").on('input',Fw.bind(this.formatMoney, this));
			$('#buySum').on('blur',Fw.bind(this.amountFormat, this));
        },
        /*unformatMoney : function() {
			var inputVal = Fw.util.Format.unFmtAmt($("#buySum").val());
			$("#buySum").val(inputVal);
		},*/
        amountFormat : function(){
        	$("#buySum").val(Fw.util.Format.fmtAmt($("#buySum").val()))
        },
		formatMoney : function() {
			var m = Fw.util.Format.unFmtAmt($("#buySum").val());
			//保留小数点后的0
			var v=$("#buySum").val().trim()+"";
	    	if(v.indexOf("¥")==0){
	    	   v=v.substring(1,v.length);
	    	}
	    	v=v.replaceAll(",","");
	    	var money;
	    	if(v.indexOf('.')>11){
				money = v.slice(0,v.indexOf('.')-1)+v.slice(v.indexOf('.'), v.length);
			}else{
				money = v.slice(0,v.length-1);
			}
	    	money = Fw.util.Format.fmtAmt(money);
			if(!/^[0-9]+\.?(\d{2})?$/.test(v)){
				if(/^(([1-9]\d*)|0)(\.\d+)?$/.test(v)){
					if((v.length-v.indexOf('.')-1)>2){
						console.log(2);
						$("#buySum").val(money).change();
					}
				}else{
					console.log(3);
					$("#buySum").val(money).change();
				}
			}else{
				if(!/^[0-9]{1,11}([.][0-9]{1,2})?$/.test(m)){
 					$("#buySum").val(money).change();
				}
			}
		},
		/**
		 * 过滤特殊字符 校验输入特殊字符
		 */
		oldValue:'',
		stripscript : function() {
			var ddd = $('#referee').val().replace(/\s/g, "");
			var fl = !/^[0-9a-zA-Z]*$/.test(ddd);
			var phoneNum0 = $('#referee').val();
			var phoneNum = $('#referee').val().replace(/[^0-9a-zA-Z]/g, "");
			var l = phoneNum0.length - phoneNum.length;
			if(!Fw.isIOS){
				$('#referee').val(phoneNum);
			}else if(Fw.isEmpty(phoneNum)){
				$('#referee').val("");
			}else if(fl){
				if((!Fw.isEmpty(App.oldValue)) && Fw.isEqual(App.oldValue, phoneNum.substring(0,App.oldValue.length))){
					phoneNum = App.oldValue;
				}
				$('#referee').val(phoneNum + "");
				App.oldValue = phoneNum;
			}else{
				var d = phoneNum0.substring(phoneNum0.length-1,phoneNum0.length)
				if(/\s{1}/.test(d) && l==1){
					$('#referee').val(phoneNum.replace(/\s/g, ""));
					App.oldValue = phoneNum.replace(/\s/g, "");
					App.oldValue = phoneNum;
				}
			}
		},
        //显示文档内容
        showSaleBook: function(e){
        	//record.ProdCode="9020101170099";//9020101170006
        	params.ProdCode=params.ProdCode;
        	var fileName;
        	var id=$(e.target).attr("id");
        	var fileTitle;
        	//销售书
        	if(id=="saleBook"){
        		fileName=params.ProdCode+"_protocol.pdf";
        		fileTitle = "销售协议书";
        	}
        	//说明
        	if(id=="prodBook"){
        		fileName=params.ProdCode+"_instruction.pdf";
        		fileTitle = "产品说明书";
        	}
        	//风险
        	if(id=="riskBook"){
        		fileName=params.ProdCode+"_risk.pdf";
        		fileTitle = "风险揭示书";
        	}
        	//k客户
        	if(id=="AccountBook"){
        		fileName=params.ProdCode+"_equity.pdf";
        		fileTitle = "客户权益须知";
        	}
        	Fw.util.Ajax.insert({
				service : 'byFinanceService',
				method : 'getBook', //获取pdf文档
				//请求参数
				params : {
					path : params.ProSpectusPath,
					fileName : fileName,
				},
				staticData : false,
				//请求成功后回调
				success : function(data, result) {
					
					Fw.Window.show({
						title : fileTitle,
						url : '/channel/pdf.do?fileId='+result.result,
						autoCloseHandler: function(win, content, app){
	                    },
	                    buttons : [
						           {
						        	text : '确定',
									cls : 'ui-btn-default',
									dismiss: false,
									handler : function(btn, win, content, app) {
										win.hide();
									}
								}]
					});
//					window.open(Fw.getBasePath() + '/channel/pdf.do?fileId='+result.result);
				},
				//请求错误后回调
				failure : function(status, textStatus, error) {
					//回显详情信息
				}
			});
        },
        showDoc: function(){
        	if(!isDoc){
        		$("#document1").show();
        		isDoc=true;
        	}else{
        		$("#document1").hide();
        		isDoc=false;
        	}
        },
        submit: function(e){
        	var check = $("#check").is(":checked");
			if (check) {
				var buySum = Fw.util.Format.unFmtAmt($("#buySum").val());
				if (!Fw.isEmpty(buySum)) {
					var startSunm = Fw.util.Format.unFmtAmt($("#startSunm").text());
//					if (buySum >= startSunm) {
						var maxSum = Fw.util.Format.unFmtAmt($("#maxSum").text());
						if (buySum <= maxSum) {
							var surplusSum = Fw.util.Format.unFmtAmt($("#surplusSum").text());
							if (buySum <= surplusSum) {
								if (buySum <= 19999999999999) {
									this.queryCifInfo();//客户风险等级差查询
									//this.byFinanceProduct();//购买理财产品
									//this.usePayControls();
								} else {
									Fw.Tips.info('账户余额不足');
								}
							} else {
//								this.queryCifInfo();
								Fw.Tips.info('申请金额大于剩余额度');
							}
						} else {
							Fw.Tips.info('申请金额高于累计购买最高金额');
						}
//					} else {
//						Fw.Tips.info('申请金额低于首次购买最低金额');
//					}
				} else {
					Fw.Tips.info('请输入申请金额');
				}
			} else {
				Fw.Tips.info('请确认是否已阅读风险提示并勾选');
			}
			return false;
        },
        //查询风险评估,查询的是“客户风险等级”
		queryCifInfo : function() {
			var bankType = params.bankAcType;
			var no= params.AcNo; 
			var custType = '1';
			var globalType = Fw.app.Session.getIdenttype();
			var globalId = Fw.app.Session.getIdentno();
			var beginDate = "";
			var endDate = "";
			//查询数据
			Fw.util.Ajax.query({
				socketAdapter : 'financeService/executeEstimate',
				params : {
					'BankAcType' : bankType,
					'No' : no,
					'CustType' : custType,
					'GlobalType' : globalType,
					'GlobalId' : globalId,
					'BeginDate' : beginDate,
					'EndDate' : endDate,
					'TotalNum' : '1',
					'CurrentNum' : '1',
				},
				// 请求成功后回调
				success : function(data, result) {
					//客户风险等级
					var custRisk=result.result.List[0].CustRisk;
					var toDay=Fw.util.Format.fmtDate(new Date(),"yyyy-MM-dd");
					var riskEndDate= (result.result.List[0].RiskEndDate).replace(/^(\d{4})(\d{2})(\d{2})$/, "$1-$2-$3");
					if("" == custRisk){
						Fw.Msg.info('您暂未进行风险评估，请咨询客服选择最近网点完成风险评估。');
						return;
					}
					//客户风险评估是否到期
					if(riskEndDate>=toDay){
						//判断风险等级是否匹配,匹配了调用支付控件
						//params.RiskLevel是产品等级，custRisk客户风险等级,当产品风险等级小于等于客户风险等级就行，否则不行,逻辑理清楚，高风险是1不是5，容易搞反
						//客户风险等级<产品风险等级，params.RiskLevel是产品等级，custRisk客户风险等级,
						if(custRisk<=params.RiskLevel){
//							调用支付控件
							App.usePayControls();
						}else{
							var btn=[
							         {code:"yes",text:"重新评估",cls:"ui-btn-primar"},
							         {code:"no",text:"取消",cls:"ui-btn-default"},
							         ]
							//客户风险等级与产品风险等级不匹配，请重新评估！
							Fw.Msg.cfm('客户风险等级与产品风险等级不匹配，请重新评估！', function(code, btn, win){
								if(code=="yes"){
									Fw.redirect(Fw.getBasePath()+"/page/pub/customerRiskAssessment/main.html");
								}
	                        });	
						}
					}else{
						Fw.Msg.cfm('风险评估等级过期，请重新评估！', function(code, btn, win){
							if(code=="yes"){
								Fw.redirect(Fw.getBasePath()+"/page/pub/customerRiskAssessment/main.html");
							}
                        });
					}
				},
				//请求错误后回调
				failure : function(status, textStatus, error) {
					//回显详情信息
					//App.queryFinance();
				}
			});
		},
		usePayControls: function(){
			payControlMoney=$("#buySum").val();
			payControlMoney=Fw.util.Format.fmtAmt(payControlMoney);
			var showInfo = [{
    			label: '交易金额',
    			value: payControlMoney,
    			color: '#F03737'
    		}];
			var cardNews = {
					passwordType:'T',
					cardNo:params.AcNo,
			}
			Fw.device.Device.payControls('AP', showInfo, 'App.onPayControlsSubmit', {}, cardNews);
		},
		onPayControlsSubmit: function(record, type, isObject){
//        	if(!isObject){
//        		record = Fw.decode(record);
//        	}
			App.byFinanceProduct();
        },
		//理财产品购买
        byFinanceProduct : function() {
        	buySum=Fw.util.Format.unFmtAmt($("#buySum").val());
			Fw.util.Ajax.insert({
				socketAdapter: 'byFinanceService/executeProductApply',
				params : {
					accountBankAcType : params.bankAcType,
					accountNo:params.AcNo,
					custType : '1',//默认对私
					custName : Fw.app.Session.getName(),
					globalType : Fw.app.Session.getIdenttype(),
					globalId : Fw.app.Session.getIdentno(),
					productCode :ProdCode1,//可购买的产品record.ProdCode 9020101170111
					amount : buySum,
					referee : $("#referee").val()
				},
				staticData : false,
				//请求成功后回调
				success : function(data, result) {
					console.log(data);
					var paramsSuccess={
							"finState":"0",
							"accountNo":params.AcNo,
							"accountOption":params.accountOption,
							"buySum" : buySum
						}
					console.log(paramsSuccess);
					Fw.redirect("success.html",paramsSuccess);
				},
				//请求错误后回调
				failure : function(status, textStatus, error) {
					//回显详情信息
					//App.queryFinance();
				},
			});
		},
		leftButtonHandler:function(){
			console.log(params.AcNo);
			console.log(params.accountOption);
			var paramsBack={
					"acNoBack":params.AcNo,
					"accountOptionBack":params.accountOption,
					"bankAcTypeBack":params.bankAcType,
				}
			Fw.redirect("main.html",paramsBack);
		}
        /*onCallback: function(record, type){
        	Fw.redirect("success.html");
        },*/
    };
}();
/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
