/**
 * 创建应用
 */
var App = function() {//我的理财tab2界面
	var container = $('body');
	var tab;
	var tabPage;
	var buttons = $('button[id*=btn]');
	var index = Fw.getParameters("index");
	if (index == undefined) {
		index = 0;
	}
	var pageid = Fw.getParameters("pageid");
	var lastCount = 0;// 查询标示
//	var accountBankAcType;//卡类型，PS：PDSB
	var accountNo;// 上传的下拉账号
	var tab2;
	var dateOne;
	var dateTwo;
	var timerGlider;
	return {
		/**
		 * 依赖组件
		 */
		requires : [ 'Fw.Tab', './main1.js', './main2.js', 'Fw.DropDownList',
				'Fw.ListView', 'Fw.TimerGlider', 'Fw.Calendar', 'Fw.Select', 'Fw.app.Session'],
		viewConfig : {
			title : '我的理财',
			leftButton : {
				handler : function(){
					App.back();
				}
			},
			loadMask : false,
		},
		/**
		 * 初始化 应用入口
		 */
		init : function(require) {
			App.setDateVal();// 明细查询设置初始时间
			// 定义选项卡
			this.tab = new Fw.Tab({
				contentEl : 'tab',
				activeTab : index,
			});
			// 初始化事件
			this.initEvents();
			App.getAccountList1();
		},
		/**
		 * 初始化事件
		 */
		initEvents : function() {
			App.loadDataEnd();
			// 选项卡切换前触发
			this.tab.on('beforetabchange', Fw.bind(this.onBeforeTabChange, this));
			// 选项卡切换后触发
			this.tab.on('tabchange', Fw.bind(this.onTabChange, this));
			$('#btn1').on('click', Fw.bind(App.doButton1, this));
			$('#btn2').on('click', Fw.bind(App.doButton2, this));
			$('#btn3').on('click', Fw.bind(App.doButton3, this));
		},
		getAccountList1 : function() {//查询下拉账户集合
			Fw.util.Ajax.get({
				service : 'accountService',
				method : 'getAccount',
				params : {
					type : '8',
				},
				success : function(data, result) {
					if (data.List.length == "0") {
						Fw.Msg.info('您的账户无转账权限功能，请至我行任一网点开通。', function() {
							if (!Fw.isEmpty(pageid) && pageid==1 && pageid != undefined) {//从我的资产跳过来
								if (Fw.isTouch) {
									Fw.device.Device.gotoIndex();
								} else {
									Fw.redirect("page/pc/myAsset/main.html");
								}
							} else {//更多跳过来
								if (Fw.isTouch) {
					        		Fw.device.Device.gotoIndex();
								} else {
									Fw.redirect("page/pageMenu/moreMenu.html");
								}
							}
							//Fw.redirect("page/pageMenu/finance.html");
						});
						return;
					}
					accountBankAcType=data.List[0].BankAcType;
					App.main1.getAccountList();
				},
				failure : function(status, textStatus, error) {
					App.main1.getAccountList();
				}
			});
		},
		// 最近十笔
		doButton1 : function() {
			lastCount = "10";
			var now = Fw.getDate();// 最近半年，取182天
			var nowMonthTwo = now.getMonth() + 1;
			if (nowMonthTwo < 10) {
				nowMonthTwo = "0" + nowMonthTwo;
			}
			var nowDateTwo = now.getDate();
			if (nowDateTwo < 10) {
				nowDateTwo = "0" + nowDateTwo;
			}
			dateTwo = now.getFullYear() + "" + nowMonthTwo + "" + nowDateTwo;// 结束时间
			var endDateDay = new Date(now.getFullYear(),now.getMonth()-6,now.getDate());// 开始日期
			var nowMonthOne = endDateDay.getMonth() + 1;
			if (nowMonthOne < 10) {
				nowMonthOne = "0" + nowMonthOne;
			}
			var nowDateOne = endDateDay.getDate();
			if (nowDateOne < 10) {
				nowDateOne = "0" + nowDateOne;
			}
			dateOne = endDateDay.getFullYear() + nowMonthOne + nowDateOne;// 开始时间
			this.initTimerGlider(12);
			return false;
		},
		// 最近七天
		doButton2 : function() {
			lastCount = "0";
			var newDate = Fw.getDate();
			var date1 = Fw.util.Format.fmtDate(newDate, "yyyy-MM-dd");// 当天日期格式化
			newDate.setDate(newDate.getDate() - 7);// 前七天的日期
		
			var date2 = Fw.util.Format.fmtDate(newDate, "yyyy-MM-dd");// 七天前日期格式化
			var now = Fw.getDate();// 最近7天，近一周获取今天到7天前
			var nowMonthTwo = now.getMonth() + 1;
			var nowDataTwo = now.getDate();
			if (nowMonthTwo < 10) {
				nowMonthTwo = "0" + nowMonthTwo;
			}
			if(nowDataTwo< 10){
				nowDataTwo = "0" + nowDataTwo;
			}
			var firstDate = now.getFullYear() + '-' + nowMonthTwo + '-' + nowDataTwo;
			dateTwo = firstDate.replaceAll("-", "");// 结束日期

			var endDateDay = new Date(now - 24 * 60 * 60 * 1000 * 7);// 开始日期
			var nowMonthOne = endDateDay.getMonth() + 1;
			var nowDataOne =endDateDay.getDate();
			if (nowMonthOne < 10) {
				nowMonthOne = "0" + nowMonthOne;
			}
			if(nowDataOne< 10){
				nowDataOne = "0" + nowDataOne;
			}
			endDateDay = endDateDay.getFullYear() + '-' + nowMonthOne + '-' + nowDataOne;
			dateOne = endDateDay.replaceAll("-", "");
			this.initTimerGlider(5);
			return false;
		},
		// 查询
		doButton3 : function() {
			lastCount = "0";
			date1 = $("#startDate").val();// 开始日期
			date2 = $("#endDate").val();// 结束日期
			getYear1 = new Date(date1).getYear() + 1900;// 开始日期年份
			getYear2 = new Date(date2).getYear() + 1900;// 结束日期年份
			var newDate3 = new Date(date1);
			newDate3.setMonth(newDate3.getMonth() + 6);// 开始日期后6个月日期
			var date3 = Fw.util.Format.fmtDate(newDate3)// 开始日期后6个月日期格式化
			// 比较日期大小，开始日期不能大于结束日期
			dateOne = date1.replaceAll("-", "");
			dateTwo = date2.replaceAll("-", "");
			var newDateNow = Fw.getDate();
			var newMonthTwo = newDateNow.getMonth() + 1;
			if (newMonthTwo < 10) {
				newMonthTwo = "0" + newMonthTwo;
			}
			var newDateNow = newDateNow.getFullYear() + '-' + newMonthTwo + '-' + newDateNow.getDate();
			newDateNow = newDateNow.replaceAll("-", "");
			if (getYear1 == getYear2) {
				if (date2 <= date3) {
					if (dateOne > dateTwo) {
						Fw.Tips.info('开始日期不能大于结束日期，请重新选择日期');
					} else if (dateTwo <= newDateNow) {
						this.initTimerGlider(5);
						return false;
					} else {
						Fw.Tips.info('结束日期不能大于当前日期');
					}
				} else {
					Fw.Tips.info('无法选择到跨度6个月的日期');
					$("#endDate").val(date3);
				}
			} else {
				Fw.Tips.info('无法选择到跨年的结束日期');
			}
		},
		initTimerGlider : function(page_Size) {
			App.main2.sign = 1;
			$("#time-list").show;
			$("#tab2").hide();
			$("#time-list").css("display", "block");
			$("#tab2").css("display", "none");
			// 全局变量tab2下拉框取值
			accountNo = App.tabTwoAccount;
			if(App.accountBankAcTypeTabTwo==undefined){}else{
				accountBankAcType=App.accountBankAcTypeTabTwo;
			}
			timerGlider = new Fw.TimerGlider(
					{
						contentEl : 'time-list',
						ajax : {
							service : 'myFinanceService.queryTrsDetail',// 要分页
							// 请求参数
							params : {
								accountBankAcType : accountBankAcType,//'PDBC',
								accountNo : accountNo,// 6230361101084013511
								beginDate : dateOne,// 开始时间
								endDate : dateTwo,// 结束时间
								// 根据点击的元素来确定，选择查询为0 ，最近7天为0
								// ,近十笔是10，经协商，若改需要和新一代联调，需要保持同步；
								lastCount : lastCount,
							},
							pageSize : page_Size,
							page : true,
							rootProperty : 'result.List',// 响应数据集合
						},
						groupField : 'TransDate',
						groupHeaderTpl : [ '${item.TransDate|fmtDate,"yyyy-MM-dd"}' ],
						// 下拉刷新（默认false）
						pullRefresh : true,
						itemTpl : [
								'<div style="height:108px;">',
								'<div class="div2">',
								'<div style="float:left;">产品名称</div><div style="float: right;margin-right: 13px;overflow:hidden;height:41px;width:175px;text-align: right;">${item.ProdName}</div>',
								'</div>',
								'<div class="div3"></div>',
								'<div class="div5" style="margin-top: 8px;">',
								// '<div style="float:left;">成交金额</div><div
								// style="float: right;margin-right:
								// 13px;color:#cf2525;">${item.AckAmt|fmtAmt}元</div>',
								'<div style="float:left;">申请金额</div><div style="float: right;margin-right: 13px;color:#cf2525;">${item.AppAmt|fmtAmt}元</div>',
								'</div>',
								'<div class="div5">',
								'<div style="float:left;">业务类型</div><div style="float: right;margin-right: 13px;">${item.BusiCodeName}</div>',
								'</div>', '<div>', ]
					});
			// 点击显示交易详情信息
			timerGlider.on('itemclick', function(record, index, item, e, cmp) {
				App.signs = container.scrollTop();
				// 显示详情信息
				App.setValue(record);
			});
			$("#bz").hide();
			// 加载数据
			timerGlider.loadData();
			// 选中记录时触发
			timerGlider.on('itemclick', this.onSelect, this);
			// 查询数据后触发
			timerGlider.ajax.on('query', this.onQuery, this);
			// 查询数据失败
			timerGlider.ajax.on('queryerror', this.onQuery1, this);
			//手动隐藏等待层
			Fw.LoadMask.hide();
		},
		setValue : function(record) {
			var viewConfig = {
					title : '产品交易详情',
					leftButton : {
						handler : function(){
							App.back();
						}
					},
			}
			Fw.device.Device.applyView(viewConfig);
			// 回显交易渠道
			if (record.AcceptMethod == 1) {
				$("#tradeChannel").text("银行柜台");
			} else if (record.AcceptMethod == 2) {
				$("#tradeChannel").text("网银");
			} else {
				$("#tradeChannel").text("手机");
			}
			// 回显交易状态
			if (record.TransStatus == 0) {
				$("#state").text("初始状态");
			} else if (record.TransStatus == 1) {
				$("#state").text("等待应答中");
			} else if (record.TransStatus == 2) {
				$("#state").text("申请成功");
			} else if (record.TransStatus == 3) {
				$("#state").text("申请失败");
			} else if (record.TransStatus == 4) {
				$("#state").text("已撤单");
			} else if (record.TransStatus == 5) {
				$("#state").text("确认中");
			} else if (record.TransStatus == 6) {
				$("#state").text("确认成功");
			} else if (record.TransStatus == 7) {
				$("#state").text("确认失败");
			}
			$("#account").text(Fw.util.Format.fmtAcctNo(record.DepositAcct, true));
			$("#prodCode").text(record.ProdCode);
			$("#prodName").text(record.ProdName);
			$("#end").text(Fw.util.Format.fmtDate(record.TransDate));
			$("#serviceType").text(record.BusiCodeName);
			$("#prodAmt").text(record.ApplyBillNo);
			$("#investotMoney").text(Fw.util.Format.fmtAmt(record.AppAmt));
			$("#surplusSum").text(Fw.util.Format.fmtAmt(record.AckAmt));
			$("#startShare").text(Fw.util.Format.fmtNumber(record.AppVol) + "份");
			$("#canShare").text(Fw.util.Format.fmtNumber(record.AckVol) + "份");
			$("#tab").hide();
			$("#ui-b1").show();
		},
		onSelect : function(record, index, item, e, cmp) {
			App.setValue(record);
		},
		onQuery : function(ajax, data, result) {
			$("#listPP").hide();
			$(".x-loadmore").show();
			if (Fw.isTouch) {
				$("#fw-gen-10005-loadmore").remove();
			}
		},
		onQuery1 : function(ajax, data, result, error) {
			if (error == "没有查到客户交易信息!") {
				$("#listPP").show();
				$("#time-list div").remove();
				$("#list-loadmore").hide();
			} else {
				$("listPP").hide();
			}
		},
		loadDataEnd : function() {
			var dateNew = Fw.getDate();
			var myYear = dateNew.getFullYear();
			var myMonth = dateNew.getMonth() + 1;
			var myDate = dateNew.getDate();
			if (myMonth < 10) {
				myMonth = "0" + myMonth;
			};
			if (myDate < 10) {
				myDate = "0" + myDate;
			};
			var dateYear = myYear + "-" + myMonth + "-" + myDate;
			// 控制只能选择当前时间以前的
			$("#startDate").attr("data-end", dateYear);
			$("#endDate").attr("data-end", dateYear);
		},

		setDateVal : function() {// 明细查询设置初始时间
			var newDate1 = Fw.getDate();
			var dateTime1 = Fw.util.Format.fmtDate(newDate1, "yyyy-MM-dd");// 当天日期格式化
			newDate1.setMonth(newDate1.getMonth() - 1);// 前一个月日期格式化
			var dateTime2 = Fw.util.Format.fmtDate(newDate1)// 格式化前一个月日期
			$("#startDate").val(dateTime2);
			$("#endDate").val(dateTime1);
		},
		/**
		 * 选项卡切换前触发
		 */
		onBeforeTabChange : function(tab, newIndex, oldIndex) {
			if(!Fw.isTouch){
				$('#btn1').hide();
				$('#btn2').css("margin-left", "0")
			}
		},
		/**
		 * 选项卡切换后触发
		 */
		onTabChange : function(tab, index) {
			// 若要点击tab时，tab界面刷新，下面的APP都放开
			switch (index) {
			// 第一个
			case 0:
				App.tabPage = "0";
				// 执行子页面1初始化方法
				// App.main1.init();
				break;
			// 第二个
			case 1:
				App.tabPage = "1";
				// 执行子页面2初始化方法
				// App.main2.init();
				break;
			default:
				;
			}
		},
		// 返回按钮
		back : function() {// 应该从显示 的来判断
			// 判断是那个tab界面，全局变量App.tabPage,main.js中定义的
			// 如果是tab1
			// Fw.Msg.info(App.tabPage);
			if (App.tabPage == "0") {// tab1界面,$("#list3").is(":visible")尽量用双重判断
				if (!Fw.isEmpty(pageid) && pageid==1 && pageid != undefined) {//从我的资产跳过来
					if (Fw.isTouch) {
						Fw.device.Device.gotoIndex();
					} else {
						Fw.redirect("../../../pc/myAsset/main.html");
					}
				}else if ($("#tab").is(":visible")) {
					if (Fw.isTouch) {
						Fw.device.Device.gotoIndex();
					} else {
						Fw.redirect("../../../../page/pageMenu/moreMenu.html");
					}
				} else if ($("#ui-b2").is(":visible")) {// 持有中详情
					var viewConfig = {
							title : '我的理财',
							leftButton : {
								handler : function(){
									App.back();
								}
							},
					}
					Fw.device.Device.applyView(viewConfig);
					$("#redemptionShare").val("");
					$("#ui-b2").hide();
					$("#ui-b3").hide();
					$("#ui-b2-possession").hide();
					$("#tab").show();
				} else if ($("#ui-b2-possession").is(":visible")) {// 持有中详情交易明细列表
					var viewConfig = {
							title : '持仓产品详情',
							leftButton : {
								handler : function(){
									App.back();
								}
							},
					}
					Fw.device.Device.applyView(viewConfig);
					$("#listTradeList li").remove();
					$("#listTradeList").next().remove();
					$("#ui-b2").show();
					$("#ui-b3").hide();
					$("#ui-b2-possession").hide();
					$("#tab").hide();
				} else if ($("#ui-b3").is(":visible")) {// 购买中、赎回中
					var viewConfig = {
							title : '我的理财',
							leftButton : {
								handler : function(){
									App.back();
								}
							},
					}
					Fw.device.Device.applyView(viewConfig);
					$("#ui-b2").hide();
					$("#ui-b3").hide();
					$("#ui-b2-possession").hide();
					$("#tab").show();
				} else if ($("#ui-b2-trade").is(":visible")) {// 持有中详情交易明细列表的详情界面
					var viewConfig = {
							title : '产品交易明细',
							leftButton : {
								handler : function(){
									App.back();
								}
							},
					}
					Fw.device.Device.applyView(viewConfig);
					$("#ui-b2-trade").hide();
					$("#ui-b2-possession").show();
				}
			} else {// 如果是tab2
				if ($("#ui-b1").is(":hidden")) {// 如果详情界面是隐藏的，这个时候tab界面是显示的
					if ($("#tab2").is(":hidden")) {// 如果是list列表界面，则返回到tab2的第一张界面
						$("#time-list").hide();
						$("#tab2").show();
						$("#listPP").hide();
						$("#bz").show();
					} else {// 如果是tab2首页，则返回到二级菜单
						if (Fw.isTouch) {
							Fw.device.Device.gotoIndex();
						} else {
							Fw.redirect("../../../../page/pageMenu/moreMenu.html");
						}
					}
				} else {// 如果详情是显示的，则返回隐藏详情，显示tab界面
					$("#tab").show();
					$("#ui-b1").hide();
					container.scrollTop(App.signs);
				}
			}
		}
	};
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
