/**
 * 创建应用
 */
var App = function() {
	var record = Fw.getParameters();
	return {
		/**
		 * 依赖组件
		 */
		requires : [],
		/**
		 * 视图设置 设置标题栏、按钮等 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
		 */
		viewConfig : {
			/**
			 * 标题栏标题 如果为空或未设置，则标题栏不显示、左右按钮不显示
			 */
			title : '产品交易详情',
			/**
			 * 左边按钮（默认显示） 如果为false，则左边按钮不显示 leftButton: '左边按钮'
			 */
			leftButton : {
				// 自定义按钮标题（默认'返回'）
				text : '左边按钮'
			// 自定义按钮点击事件（默认App.leftButtonHandler）
			// handler: XXX
			},
			// 隐藏等待层
			loadMask : true
		},
		/**
		 * 初始化 应用入口
		 */
		init : function(require) {
			// 手动隐藏等待层
			Fw.LoadMask.hide();
			// 初始化事件
			this.initEvents();
			this.setValue();
		},
		setValue : function() {
			//回显交易渠道
			if(record.AcceptMethod==1){
				$("#tradeChannelTrade").text("银行柜台");
			}else if(record.AcceptMethod==2){
				$("#tradeChannelTrade").text("网银");
			}else{
				$("#tradeChannelTrade").text("手机");
			}
			//回显交易状态
			if(record.TransStatus==0){
				$("#stateTrade").text("初始状态");
			}
			else if(record.TransStatus==1){
				$("#stateTrade").text("等待应答中");
			}
			else if(record.TransStatus==2){
				$("#stateTrade").text("申请成功");
			}
			else if(record.TransStatus==3){
				$("#stateTrade").text("申请失败");
			}
			else if(record.TransStatus==4){
				$("#stateTrade").text("已撤单");
			}
			else if(record.TransStatus==5){
				$("#stateTrade").text("确认中");
			}
			else if(record.TransStatus==6){
				$("#stateTrade").text("确认成功");
			}
			else if(record.TransStatus==7){
				$("#stateTrade").text("确认失败");
			}
			$("#accountTrade").text(Fw.util.Format.fmtAcctNo(record.DepositAcct,true));
			$("#prodCodeTrade").text(record.ProdCode);
			$("#prodNameTrade").text(record.ProdName);
			$("#endTrade").text(Fw.util.Format.fmtDate(record.TransDate));
			$("#serviceTypeTrade").text(record.BusiCodeName);
			$("#prodAmtTrade").text(record.ApplyBillNo);
			$("#investotMoneyTrade").text(Fw.util.Format.fmtAmt(record.AppAmt));
			$("#surplusSumTrade").text(Fw.util.Format.fmtAmt(record.AckAmt ));
			$("#startShareTrade").text(Fw.util.Format.fmtNumber(record.AppVol) + "份");
			$("#canShareTrade").text(Fw.util.Format.fmtNumber(record.AckVol) + "份");
		},
		/**
		 * 初始化事件
		 */
		initEvents : function() {
		},
//		leftButtonHandler : function() {
//			if(record.id==1){
//				Fw.redirect("tradeList.html");
//			}else{
//				var params={
//						"index":"1",
//						"index1":"1"
//					}
//			 Fw.redirect("main.html",params);
//			}
//		}
	};
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
