/**
 * 创建应用
 */
var App = function() {
	var tab;
	var buttons = $('button[id*=btn]');
	var record=Fw.getParameters()||{};
	var flag=record.flag;
	var index=record.index;
	//
	return {
		/**
		 * 依赖组件
		 */
		requires : [ 'Fw.Tab', './main1.js', './main2.js', 'Fw.DropDownList' ,//安全键盘
		             'Fw.Keyboard', 'Fw.Form'],
		/**
		 * 视图设置
		 * 设置标题栏、按钮等
		 * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
		 */
		viewConfig : {
			/**
			 * 标题栏标题
			 * 如果为空或未设置，则标题栏不显示、左右按钮不显示
			 */
			title : '话费充值',
		/**
		 * 左边按钮（默认显示）
		 * 如果为false，则左边按钮不显示
		 * leftButton: '左边按钮'
		 */
		loadMask: true
		},
		/**
		 * 初始化
		 * 应用入口
		 */
		init : function(require) {
			document.all.pay_form.action=Fw.cont.payment_url;
			  //定义选项卡
            this.tab = new Fw.Tab({
                //选项卡EL
                contentEl: 'tab',
                //默认选项卡（默认0）
                activeTab: 0
            });
			//初始化事件
			this.initEvents();
			//Fw.LoadMask.hide();
		},
		/**
		 * 初始化事件
		 */
		initEvents : function() {
			//选项卡切换后触发
            this.tab.on('tabchange', Fw.bind(this.onTabChange, this));
		},
		  /**
         * 选项卡切换后触发
         */
        onTabChange: function(tab, index){
        	switch(index){
                //第一个
                case 0:
                	//执行子页面1初始化方法
//                	App.main1.init();
                    break;
                //第二个
                case 1:
                	//执行子页面2初始化方法
        			//App.main2.init();
                    break;
                default:
                    ;
            }
        },
		leftButtonHandler : function() {
		/*	if(index=='1'){
				Fw.redirect(Fw.getBasePath()+"/page/pub/paymentInfoManage/main.html");
			}*/
			if (Fw.isTouch) {
				if(index=='1'){
					Fw.redirect(Fw.getBasePath()+"/page/pub/paymentInfoManage/main.html");
				}else{
					Fw.gotoIndex();
				}	
			} else {
				if (flag == '1') {
					Fw.redirect('../../../pc/myAsset/myCard.html', record);
				}else if(index=='1'){
				    //返回缴费列表	
					Fw.redirect(Fw.getBasePath()+"/page/pub/paymentInfoManage/main.html");
				
				}else{ 
					Fw.redirect("../../../pageMenu/lifeService.html");
//					Fw.redirect("../../../pageMenu/moreMenu.html");
				}
			}
		 },
	};
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
