var App = function() {
	var params;
	return {
		requires : [ 'Fw.Form', 'Fw.DropDownList', 'Fw.PayControls',
				'Fw.app.Session', // 安全键盘
				'Fw.Keyboard', 'Fw.Calendar' ],
		viewConfig : {
			title : '循环贷详细信息',
			leftButton : {
				handler : function() {
					App.back();
				}
			},
		},
		back : function() {
			if (Fw.isPhone) {
				Fw.device.Device.accGotoIndex();
			} else {
				var urltemp = Fw.getBasePath() + '/page/pc/loan/xhdLoan.html';
				Fw.redirect(urltemp);
			}
		},
		init : function() {
			if (Fw.isPhone) {
				Fw.device.Device.getPhoneParams("App.pageInit");
			} else {
				var temp = Fw.getParameters('record');
				App.pageInit(Fw.encode(temp));
			}
		},
		pageInit : function(data) {
			params = Fw.decode(data);
			console.log(params);
			$('#ContractNo').html(params.ContractNo);
			$('#AuthStartDate').html(
					Fw.util.Format.fmtDate(params.StartDate, 'yyyy-MM-dd'));
			$('#eDate').html(
					Fw.util.Format.fmtDate(params.ExpiryDate, 'yyyy-MM-dd'));
			$('#CreditLimit').html(Fw.util.Format.fmtAmt(params.ContractAmt));
			$('#AvailLimit').html(
					Fw.util.Format.fmtAmt(params.ContractActualAmt));
			Fw.LoadMask.hide();
		},
	}
}();
Fw.onReady(App);