var App = function() {
	var params;
	var record;
	var dropDownList;
	var url = Fw.getBasePath() +'/page/pub/loan/TTloan/success.html';
	var select_boolean=[
        {'value':'1','option':'是'},
        {'value':'0','option':'否'},
        ];
    return {
        requires : [
        	'Fw.Keyboard',
        	'Fw.DropDownList',
        ],
        viewConfig: {
			title: '万通宝贷款还款',
            leftButton: {
            	 handler:function(){
 	    			App.back();
 	    		}
            },
		},
		back: function(){
			if(Fw.isPhone){
				Fw.gotoIndex();
		}else{
			var urltemp = Fw.getBasePath() +'/page/pc/loan/wtbLoan.html';
         	Fw.redirect(urltemp);
		}
		},
		init:function(require){
//			var record = {AcctNo: "6230361101106287556",
//					AvailLimit: "500000.00",
//					Ccy: "01",
//					ClientName: "刘帅",
//					ContractIntRate: "8.312500",
//					ContractNo: "HT9010730180003573",
//					CreditLimit: "500000.00",
//					LoanAcctNo: "9010710010111000056218",
//					LoanEndDate: "20200318",
//					OweCorpus: "0.00",
//					OweInt: "0.00",
//					UsedLimit: "0.00"
//			}
//			 var ps = encodeURIComponent(Fw.encode({"record":record}));
//			Fw.util.Storage.set('_parameters',ps );
			if(Fw.isPhone){
				Fw.device.Device.getPhoneParams("App.pageInit");
			}else{
				var temp = Fw.getParameters('record');
				App.pageInit(Fw.encode(temp));
			}
		},
		pageInit : function(data) {
			params = Fw.decode(data);
			
        	Fw.LoadMask.hide();
        	Fw.Keyboard.init($("#main_page"));
        	Fw.Keyboard.onHidden=function(){
        		 switch(this.type){
                 	case 'AMT':
                 		this.target.val(Fw.util.Format.fmtAmt(Fw.util.Format.unFmtAmt(this.target.val())));break;
        		 }
	      		$('body').css({
	           		'top': '0px'
	           	});
				if(Fw.isEmpty(this.target.val()) && !Fw.isEmpty(Fw.util.Storage.get(this.target.attr('name'))) ){
					this.target.attr('placeholder',Fw.util.Storage.get(this.target.attr('name')));
					Fw.util.Storage.remove(this.target.attr('name'));
				}
				Fw.Keyboard.showKeyboard = true;
        	},
        	App.initDownLists();
        	App.initEvents();
        	App.start();
        },
        initDownLists: function(){
        	dropDownList = new Fw.DropDownList({
        		displayNo: false,
        		displayName: 'option',
        		cursorBtn:false
        	});
        },
        showDropDownListClick: function(){
        	dropDownList.show(select_boolean);
        },
        itemClick: function(data, index){
    		$('#fade_boolean').html(data.option);
    		$('#fade_boolean').attr("data-value",data.value);
    		if(data.value == '0'){
    			$('#Amount').removeAttr("readonly");
    			Fw.Keyboard.showKeyboard = true;
    		}else{
    			
    			$('#Amount').attr("readonly","readonly");
    			$('#Amount').val($("#AllRepayAmount").html());
    			Fw.Keyboard.showKeyboard = false;
    		}
        },
        start:function(){
            	Fw.util.Ajax.get({
            		socketAdapter: 'loan/mCPerLoanInfoQryByNo',
            		params: {
            			AcNo: params.AcctNo,
            			QryFlag:"1"
                    },
                    success: function(data, result) {
                    	record = data;
                       $("#racc").html(Fw.util.Format.fmtAcctNo(params.AcctNo,true));
                       
//                       $("#UsedLimit").html(Fw.util.Format.fmtAmt(Fw.util.Format.unFmtAmt(data.UsedLimit)));
//                       $("#LastTermBalance").html(Fw.util.Format.fmtAmt(Fw.util.Format.unFmtAmt(data.LastBal)));
//                       $("#ActRepayInterest").html(Fw.util.Format.fmtAmt(Fw.util.Format.unFmtAmt(data.IntSettled)));
//                       $("#OweInterest").html(Fw.util.Format.fmtAmt(Fw.util.Format.unFmtAmt(data.UnsettledInt)));
//                       $("#AllRepayAmount").html(Fw.util.Format.fmtAmt(Fw.util.Format.unFmtAmt(data.RepayTotalAmount)));
                       
                       $("#UsedLimit").html(Fw.util.Format.fmtAmt(Fw.util.Format.unFmtAmt(data.UsedLimit)));
                       $("#LastTermBalance").html(Fw.util.Format.fmtAmt(Fw.util.Format.unFmtAmt(data.LastTermBalance)));
                       $("#ActRepayInterest").html(Fw.util.Format.fmtAmt(Fw.util.Format.unFmtAmt(data.ActRepayInterest)));
                       $("#OweInterest").html(Fw.util.Format.fmtAmt(Fw.util.Format.unFmtAmt(data.OweInterest)));
                       $("#AllRepayAmount").html(Fw.util.Format.fmtAmt(Fw.util.Format.unFmtAmt(data.AllRepayAmount)));
                       
                       $("#rate").html(params.ContractIntRate+"‰");
                    },
                    failure:function(e, state, textStatus, error, xhr){
                    }
                });
        },
        initEvents: function(){
        	$('#Amount').on('input', Fw.bind(this.moneyLimit, this));
        	$('#btn_ok').on('click',Fw.bind(this.checkInput,this));
        	$('#Amount').on('blur',Fw.bind(this.amountFormat, this));
        	$('#fade_boolean_select').on('click',Fw.bind(this.showDropDownListClick,this));
        	dropDownList.on('itemClick',Fw.bind(this.itemClick, this));
        },
        amountFormat:function(e){
        	var El = $(e.currentTarget);
        	El.val(Fw.util.Format.fmtAmt(Fw.util.Format.unFmtAmt(El.val())));
        },
        checkInput:function(){
        	if($('#Amount').val().length == 0){
        		Fw.Tips.info('还款金额不能为空');
        		return false;
        	}
        	if(Fw.util.Format.unFmtAmt($('#Amount').val()) === 0){
        		Fw.Tips.info('还款金额不能为0');
        		return false;
        	}
        	if(Fw.isEmpty($('#fade_boolean').attr("data-value"))){
        		Fw.Tips.info('请选择是否结清');
        		return false;
        	}
//        	if((record.UsedLimit !== 0)&&(record.LastBal === 0)){
//        		Fw.Tips.info('当天发放的贷款不允许还款');
//        		return false;
//        	}
//        	if($('#fade_boolean').attr("data-value") == 0){
//	        	if(record.RepayTotalAmount <= Fw.util.Format.unFmtAmt($('#Amount').val())){
//	        		Fw.Tips.info('还款金额不能大于或等于"可还贷款本息合计"金额');
//	        		return false;
//	        	}
//        	}else{
//        		if(record.RepayTotalAmount < Fw.util.Format.unFmtAmt($('#Amount').val())){
//	        		Fw.Tips.info('还款金额不能大于或等于"可还贷款本息合计"金额');
//	        		return false;
//	        	}
//        	}
        	if((record.UsedLimit !== 0)&&(record.LastTermBalance === 0)){
        		Fw.Tips.info('当天发放的贷款不允许还款');
        		return false;
        	}
        	if($('#fade_boolean').attr("data-value") == 0){
	        	if(record.AllRepayAmount <= Fw.util.Format.unFmtAmt($('#Amount').val())){
	        		Fw.Tips.info('还款金额不能大于或等于"可还贷款本息合计"金额');
	        		return false;
	        	}
        	}else{
        		if(record.AllRepayAmount < Fw.util.Format.unFmtAmt($('#Amount').val())){
	        		Fw.Tips.info('还款金额不能大于或等于"可还贷款本息合计"金额');
	        		return false;
	        	}
        	}
        	App.getLoan();
        },
        getLoan:function(){
        	var showInfo = [ 
	    		{
					label : '还款账户',
					value : Fw.util.Format.fmtAcctNo(params.AcctNo,true),
				}, 
			];
		var smsParams ={};
		var cardNews = {
				VType:"loan",
				passwordType:'T',//借记卡  T  信用卡  B
				cardNo:params.AcctNo,
		}
		Fw.device.Device.payControls("AP", showInfo,'App.RepyLoanDo',smsParams,cardNews);
        },
        RepyLoanDo:function(record, type, isObject){
        	if((isObject=="false")||(!isObject)){
        		record = Fw.decode(record);
        	}
        	Fw.util.Ajax.execute({
        		service: 'loanService',
                method: 'executeRepyLoan',
                params: {
        			AcNo: params.AcctNo,
        			TrsPassword: record.pwd,
        			RepayAmount: Fw.util.Format.unFmtAmt($('#Amount').val()),
        			EndSettleFlag:$('#fade_boolean').attr("data-value"),
                },
                success: function(data, result) {
                	Fw.redirect(url,{'succ':"1",'title':"还款成功",'pageTitle':"万通宝贷款还款",'cont':[],Amount:Fw.util.Format.unFmtAmt($('#Amount').val()),AcNo: params.AcctNo,BookType:0});
                },
                failure:function(e, state, textStatus, error, xhr){
                	Fw.redirect(url,{'succ':"0",'title':"还款失败",'pageTitle':"万通宝贷款还款",'cont':[textStatus]});
                	return false;
                }
            });
        },
        getFullDate: function(yc,mc,dc){
        	var temp = Fw.getDate();
        	var y = temp.getFullYear();
        	var m = temp.getMonth();
        	var d = temp.getDate();
        	if(yc != undefined){
        		y+=yc;
        	}
        	if(mc != undefined){
        		m+=mc;
        	}
        	if(dc != undefined){
        		d+=dc;
        	}
        	temp = new Date(y,m,d);
        	y = temp.getFullYear();
        	m = temp.getMonth()+1;
        	d = temp.getDate();
        	y+="";
        	m+="";
        	d+="";
        	if(m.length==1){
        		m="0"+m;
        	}
        	if(d.length==1){
        		d="0"+d;
        	}
        	return y+"-"+m+"-"+d;
        },
        newDate:function(y,m,d){
        	var newday = new Date(y,m,d);
       		var yn = newday.getFullYear();
    		var mn = newday.getMonth();
    		var dn = newday.getDate();
    		mn++;
    		yn+="";
        	mn+="";
        	dn+="";
        	if(mn.length==1){
        		mn="0"+mn;
        	}
        	if(dn.length==1){
        		dn="0"+dn;
        	}
        	return yn+"-"+mn+"-"+dn;
        },
        moneyLimit:function(e){
        	var $that = $(e.currentTarget);
        	var t_val=$that.val();
        	var temp;
        	var true_val = t_val.replace(/[,]/g,"").replace("¥","");
        	if(true_val.length>14){
        		$that.val(true_val.substr(0,14));
        		return;
        	}
        	var list = t_val.split(".");
        	var Reg = /^\d{1,11}([.]\d{0,2}){0,1}$/;
        	var Reg2 = /^[.]\d{0,2}$/;
        	if(Reg.test(true_val)){
        		return true;
        	}else if(Reg2.test(t_val)){
        		//$that.val("0"+t_val);
        		$that.val("");
        	}else if(list.length>2){
        		for(var i =list.length-2;i>0;i--){
        			t_val=t_val.replace(".","");
        		}
        		temp =  Fw.util.Format.fmtAmt(t_val);
        		$that.val(temp);
        		
        	}else{
        		list[0]=list[0].replace(/\D/g,"");
        		list[0]=list[0].substr(0,11);
        		if(list.length==2){
        			list[1]=list[1].replace(/\D/g,"");
        			if(list[1].length>2){
        				list[1]=list[1].substr(0,2);
        			}
        			temp =  Fw.util.Format.fmtAmt(list[0]+"."+list[1]);
	        		$that.val(temp);
        			//$that.val(list[0]+"."+list[1]);
        		}else{
        			temp =  Fw.util.Format.fmtAmt(list[0]);
	        		$that.val(temp);
        			//$that.val(list[0]);
        		}
        		
        	}
        },
        fmtDateYMDHM:function(v){
        	var result ="";
        	result += v.substring(0,4);
        	result += "-";
        	result += v.substring(4,6);
        	result += "-";
        	result += v.substring(6,8);
//        	result += " ";
//        	result += v.substring(8,10);
//        	result += ":";
//        	result += v.substring(10,12);
        	return result;
        },
    }
}();
Fw.onReady(App);
