var App = function() {
    //账户列表、分页列表对象、切换步骤页面标识、跳转页面参数集
	var accountList,timerGlider,flag,params;
	//数据集
	var formValue={};
	//交易类别
    var TranClass={
       "SCDT":"他行收款",
       "CAPA":"授权支付协议",
       "AIQA":"账户查询协议",
	};
    //协议管理类型
	var AgtMgrType={
       "MT00":"签约",
       "MT02":"撤销",
	};
	//认证方式
	var AuthType={
		"AC00":"协议方式",
	    "AC01":"在线认证方式",
	    "AC02":"动态密码方式",
	    "AC03":"短信认证方式",
	    "AC04":"条码认证方式",
	    "AC99":"其他方式",
	};
	//业务类别
	var typeList = {
		"00100" : "电费", "00200" : "水暖费", "00300" : "煤气费","00400" : "电话费", "00500" : "通讯费", "00600" : "保险费",
		"00700" : "房屋管理费","00800" : "代理服务费","00900" : "学教费","01000":"有线电视费","00900" : "学教费","01000":"有线电视费",
		"00900" : "学教费","01000":"有线电视费","00900" : "学教费","01000":"有线电视费","01100" : "企业管理费用","01200":"薪金报酬",
		"02025" : "贷款还款房贷类","02026":"贷款还款车贷类","02027" : "贷款还款信用卡类","09001":"其他","02029" : "收款","02030":"服装类消费",
		"02031" : "饰品类消费","02032":"家居类消费","02033" : "生活类消费","02034":"食品类消费","02035" : "虚拟类消费","02036":"机票类消费",
		"02037" : "旅游类消费","02038":"美容类消费","02039" : "数码类消费","02040":"电器类消费","02041" : "文体类消费","02042":"酒店类消费",
		"02043" : "其他类消费","02024":"慈善捐款","02002" : "理财股票类","02003":"理财基金类","02004" : "理财保险类","02005":"理财彩票类",
		"02006" : "理财黄金类","02007":"理财债券类","02008" : "理财其他类"
	}
	//付款人账户类型
	var acctType = {
       "AT01":"银行卡(存折)",
       "AT02":"信用卡",
       "AT03":"对公账号",
	}
    return {
        /**
         * 依赖组件
         */
        requires: ['Fw.DropDownList','Fw.TimerGlider','Fw.PayControls'
        ],
        viewConfig: {
            title: '待处理交易',
            loadMask: false
        },
        /**
         * 初始化
         * 应用入口
         */
        init : function(require) {
        	//获取页面跳转数据
        	params = Fw.getParameters()||{};
        	//切换步骤页面标识
        	flag= "1";
        	//判断是否是从协议页面跳转回来
        	if(!Fw.isEmpty(params.flag)){
        		//根据不同的业务类型显示不同页面元素
        		$("#main_page").hide();
        		$("#tip").hide();
    			if(params.TranClass=="CAPA"){
    				$(".ui-form-item-checkbox").show();
    				$("#step").show();
    				$(".paySingInfo").show();
    				$("#pay").show();
    			}else if(params.TranClass=="SCDT"){
    				$("#step3").show();
    			}else{
    				$(".ui-form-item-checkbox").show();
    				$("#step2").show();
    				$("#info").show();
    			}
    			$("#main_info").show();
    			$(".confirm").show();
    			//页面元素赋值
        		for(var i in params){
    				$("."+i).val(params[i]);
    			}
    			if(Fw.isEmpty(params.AgtMgrType)){
    				$(".TranClass").val(App.fmtTranClass(params.TranClass));
    			}else{
    				$(".TranClass").val(App.fmtTranClass(params.TranClass)+App.fmtAgtMgrType(params.AgtMgrType));
    			}
    			if(Fw.isEmpty(params.TranAmt)){
    				$(".TranAmtShow").hide();
    			}else{
    				$(".TranAmtShow").show();
    				$(".TranAmt").val(Fw.util.Format.fmtAmt(params.TranAmt));
    			}
    			$(".AcctNo").val(Fw.util.Format.fmtAcctNo(params.AcctNo,true));
    			if(params.TranClass=="CAPA"){
    				$(".AcctName").val("*"+params.AcctName.substring(1, params.AcctName.length));
    				$(".PayerPaperNo").val(params.PayerPaperNo.substring(0,4)+" **** "+params.PayerPaperNo.substring(params.PayerPaperNo.length-2,params.PayerPaperNo.length));
    				$(".PayerPhoneNo").val(params.PayerPhoneNo.substring(0,3)+" **** "+params.PayerPhoneNo.substring(params.PayerPhoneNo.length-4,params.PayerPhoneNo.length));
    				$(".PayerAcctType").val(App.fmtPayerAcctType(params.PayerAcctType));
    				$(".TranCategory").val(App.fmtTranCategory(params.TranCategory));
    				$(".EffectDate").val(Fw.util.Format.fmtDate(params.EffectDate));
    				$(".IneffectDate").val(Fw.util.Format.fmtDate(params.IneffectDate));
    				$(".SignLimitAmt").val(Fw.util.Format.fmtAmt(params.SignLimitAmt));
    				$(".DailyLimAmt").val(Fw.util.Format.fmtAmt(params.DailyLimAmt));
    				$(".DailyTotalCount").val(params.DailyTotalCount);
    				$(".MonthLimAmt").val(Fw.util.Format.fmtAmt(params.MonthLimAmt));
    				$(".MonthTotalCount").val(params.MonthTotalCount);
    			}
    			$(".AuthType").val(App.fmtAuthType(params.AuthType));
    			flag= "2";
    			//是否选中协议
    			if(params.flag=="1"){
    				$("#check").prop("checked",true);
    			}else{
    				$("#check").prop("checked",false);
    			}
    			$("#tip").hide();
    			Fw.apply(formValue,params);
    			Fw.LoadMask.hide();
        	}else{
        		$("#main_page").show();
        		$("#tip").show();
        	}
        	this.initEvents();
        	//查询账户列表
        	this.getAccounts();
        	// 付款账户下拉对象
			this.accountList();
        },
        initEvents:function(){
        	// 刷新余额
			$("#refresh").on('click', Fw.bind(this.queryMoney, this));
			//查询
			$("#query").on('click', Fw.bind(this.query, this));
			$("#confirm").on('click', Fw.bind(this.confirm, this));
			$("#pay").on('click', Fw.bind(this.showPay, this));
			$("#info").on('click', Fw.bind(this.showInfo, this));
        	
        },
        //账户下拉框实例
        accountList : function() {
			accountList = new Fw.DropDownList({
				result : account,
				displayNo : false,
				displayName : 'option',
				cursorBtn : false,
			});
			$('#showAccount').on('click', Fw.bind(this.showAccountList, this));
			accountList.on('itemClick', Fw.bind(this.accountClick, this));
		},
		//显示账户列表
		showAccountList : function() {
			if(account.length!=0){
				accountList.show(account);
			}
		},
		//选择账户
		accountClick : function(data, index) {
			if (index != -1) {
				$("#account").val(data.option);
				formValue.AcNo=data.No;
				//根据账号查询余额
				App.queryMoney();
				$('.x-timeGlider').html("");
				App.query();
			}
		},
		//获取账户列表
        getAccounts : function() {
			Fw.util.Ajax.get({
				service : 'accountService',
				method : 'getAccount',
				params : {
					type : '2',
				},
				success : function(data, result) {
					if (data.List.length == 0) {
						Fw.Msg.cfm('您的账户尚未加挂账户!', function(code, btn, win) {
							App.back();
						});
					} else {
						account = data.List;
						$("#account").val(account[0].option);
						formValue.AcNo=account[0].No;
						App.initList();
						$(".x-loadmore").hide();
						//根据账号查询余额
						App.queryMoney();
					}
				}
			});
		},
		//根据账号查询余额-----刷新余额
		queryMoney:function(){
			Fw.util.Ajax.get({
				service :'accountService',
				method :'getAccountInfo',
				params: {
					AcNo:formValue.AcNo
				},
				// 是否使用数据挡板（默认false）
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					if(Fw.isEmpty(data.AvailBal)){
						$("#balance").val("查询失败");
					}else{
						$("#balance").val(Fw.util.Format.fmtAmt(data.AvailBal));
						$("#query").prop('disabled', false);
					}
					formValue.OpenAcctBranchName=data.OpenAcctBranchName;
				},
				//请求错误后回调
                failure: function(status, textStatus, error) {
                   if(Fw.isEqual(error, "此卡已销卡") || Fw.isEqual(error, "该帐户已销户")){
                	   $("#exception").show();	
                	   $("#query").prop('disabled', true);
                   }
                   $("#balance").val("查询失败");
                }
			});
		},
		//待办事项列表查询
		initList : function() {
			if(Fw.isEmpty(timerGlider)){
				timerGlider = new Fw.TimerGlider({
					contentEl : 'transList',
					ajax : {
						socketAdapter:'pendingTranService/queryTranList',
						params:{
//						'AcNo' : '6221840101005292319 ',
							'AcNo' : formValue.AcNo
						},
						//分页参数
						page: true,
						pageSize : 2,
						//是否使用数据挡板（默认false）
//	                    staticData: true
						staticData: false,
						rootProperty : 'result.List'
					},
					groupField : 'TransDate',
					groupHeaderTpl : [ '${item.TransDate|fmtDate,"yyyy-MM-dd"}' ],
					// 下拉刷新（默认false）
					pullRefresh : true,
					disclosure: true,
					itemTpl : [
					           '<div class="box">',
					           '{@if item.TranAmt !=""}',
					           '<div>',
					           '<div class="label ui-nowrap">交易金额:</div>',
					           '<div style="color: red;" class="text ui-nowrap">${item.TranAmt|fmtAmt}</div>',
					           '</div>',
					           '{@/if}',
					           '{@if item.TranClass =="SCDT"||item.TranClass =="CAPA" }',
					           '<div>',
					           '<div class="label ui-nowrap">收款账号:</div>',
					           '<div class="text ui-nowrap">${item.OppsAcctNo}</div>',
					           '</div>',
					           '<div>',
					           '<div class="label ui-nowrap">收款人:</div>',
					           '<div class="text ui-nowrap">${item.OppsAcctName}</div>',
					           '</div>',
					           '{@else}',
					           '<div>',
					           '<div class="label ui-nowrap">查询账号:</div>',
					           '<div class="text ui-nowrap">${item.OppsAcctNo}</div>',
					           '</div>',
					           '<div>',
					           '<div class="label ui-nowrap">查询人:</div>',
					           '<div class="text ui-nowrap">${item.OppsAcctName}</div>',
					           '</div>',
					           '{@/if}',
					           '<div>',
					           '<div class="label ui-nowrap">业务类型:</div>',
					           '<div class="text ui-nowrap">${item.TranClass|fmtTranClass}${item.AgtMgrType|fmtAgtMgrType}</div>',
					           '</div>',
					           '</div>',
					           ]
				});
			}
		},
		query : function(){
			$('#tip').hide();
			var listParam = {
					'AcNo' : formValue.AcNo
			}
			timerGlider.ajax.setParams(listParam);
			//选中记录时触发
			timerGlider.on('itemclick', this.onSelect, this);
			//查询数据前触发
			timerGlider.ajax.on('beforequery', this.onBeforeQuery, this);
			//查询数据后触发
			timerGlider.ajax.on('query', this.onQuery, this);
			timerGlider.ajax.on('queryerror', this.onQueryError, this);
			//加载数据
			timerGlider.loadData();
		},
		onQueryError : function(){
			$("#x-list").empty();
		},
		//选中某条记录
		onSelect:function(data, index, item, e, cmp){
			Fw.apply(formValue,data)
			$("#main_page").hide();
			if(data.TranClass=="CAPA"){
				$(".ui-form-item-checkbox").show();
				$("#step").show();
				$(".paySingInfo").show();
				$("#pay").show();
			}else if(data.TranClass=="SCDT"){
				$("#step3").show();
			}else{
				$(".ui-form-item-checkbox").show();
				$("#step2").show();
				$("#info").show();
			}
			$("#tip").hide();
			$("#main_info").show();
			$(".confirm").show();
			for(var i in data){
				$("."+i).val(data[i]);
			}
			if(Fw.isEmpty(data.AgtMgrType)){
				$(".TranClass").val(App.fmtTranClass(data.TranClass));
			}else{
				$(".TranClass").val(App.fmtTranClass(data.TranClass)+App.fmtAgtMgrType(data.AgtMgrType));
			}
			$(".AcctNo").val(Fw.util.Format.fmtAcctNo(data.AcctNo,true));
			if(data.TranClass=="CAPA"){
				$(".AcctName").val("*"+data.AcctName.substring(1, data.AcctName.length));
				$(".PayerPaperNo").val(data.PayerPaperNo.substring(0,4)+" **** "+data.PayerPaperNo.substring(data.PayerPaperNo.length-2,data.PayerPaperNo.length));
				$(".PayerPhoneNo").val(data.PayerPhoneNo.substring(0,3)+" **** "+data.PayerPaperNo.substring(data.PayerPhoneNo.length-4,data.PayerPhoneNo.length));
				$(".PayerAcctType").val(App.fmtPayerAcctType(data.PayerAcctType));
				$(".TranCategory").val(App.fmtTranCategory(data.TranCategory));
				$(".EffectDate").val(Fw.util.Format.fmtDate(data.EffectDate));
				$(".IneffectDate").val(Fw.util.Format.fmtDate(data.IneffectDate));
				$(".SignLimitAmt").val(Fw.util.Format.fmtAmt(data.SignLimitAmt));
				$(".DailyLimAmt").val(Fw.util.Format.fmtAmt(data.DailyLimAmt));
				$(".DailyTotalCount").val(data.DailyTotalCount);
				$(".MonthLimAmt").val(Fw.util.Format.fmtAmt(data.MonthLimAmt));
				$(".MonthTotalCount").val(data.MonthTotalCount);
			}
			$(".AuthType").val(App.fmtAuthType(data.AuthType));
			if(Fw.isEmpty(data.TranAmt)){
				$(".TranAmtShow").hide();
			}else{
				$(".TranAmtShow").show();
				$(".TranAmt").val(Fw.util.Format.fmtAmt(data.TranAmt));
			}
			flag= "2";
        },
        //查询数据前触发
        onBeforeQuery:function(){
        	juicer.register('fmtTranClass',App.fmtTranClass);
        	juicer.register('fmtAgtMgrType',App.fmtAgtMgrType);
        },
        //查询数据后触发
		onQuery:function(ajax, data, result){
        	if(data.length==0){
        		Fw.LoadMask.hide();
        	}
        },
        //确定按钮事件
        confirm:function(){
        	if(formValue.TranClass=="CAPA"||formValue.TranClass=="AIQA"){
        		if(!$("#check").is(':checked')){
        			Fw.Tips.info('请先阅读协议');
        			return false;
        		}
        	}
        	var showInfo;
        	if(Fw.isEqual(formValue.TranClass, "SCDT")){
        		showInfo = [ {
    				label : '交易金额',
    				value : Fw.util.Format.fmtAmt(formValue.TranAmt),
    				color : '#FF0000'
    			}];
        	};
        	var cardNews = {
				passwordType:'T',//借记卡  T  信用卡  B
				cardNo:formValue.AcNo,
			}
        	/**
			 * type
			 * 
			 * S&AP 短信验证码+账户密码 U&AP U-key密码+账户密码(pc端) AP 账户密码 CTP 信用卡交易密码 SMS
			 * 短信验证码 IC&AP IC卡+账户密码(手机端)
			 */
			Fw.device.Device.payControls('AP', showInfo,'App.successBack',formValue,cardNews);
        },
        //支付控件回调方法
        successBack:function(record, type, isObject){
        	//根据不同的认证方式发送接口
        	if(Fw.isEqual(formValue.AuthType, "AC03")){
        		//短信认证方式
        		Fw.util.Ajax.execute({
                    //数据源（服务接口）
        			socketAdapter:'pendingTranService/executeGetSms',
                    //请求参数
                    params:{
                    	DrTranPlatSeqNo:formValue.PaySeqNo //流水号
                    },
                    staticData: false,
                    //请求成功后回调
                    success: function(data, result) {
                    	$(".ui-form-item-checkbox").hide();
                    	$("#tip").hide();
        				$("#step").hide();
        				$("#pay").hide();
        				$("#step2").hide();
        				$("#info").hide();
        				$("#main_info").hide();
        				$(".confirm").hide();
                    	$("#success").show();
                    	$(".sms").show();
                    	$(".smsTip").show();
                    	flag="3";
                    },
                    failure:function(status, textStatus, error){
                    	Fw.Msg.info(error,function(){
                    		Fw.redirect(Fw.getBasePath() +"/page/pub/pendingTran/queryTran.html");
                    	})
                    	return false;
                    },
                });
        		
        	}else{
        		//其他认证方式 回执
        		Fw.util.Ajax.execute({
                    //数据源（服务接口）
        			socketAdapter:'pendingTranService/executeOtherAuthRes',
                    //请求参数
    				params:{
                    	DrTranPlatSeqNo:formValue.PaySeqNo //流水号
                    },
                    staticData: false,
                    //请求成功后回调
                    success: function(data, result) {
                    	$(".head-m").text("");
                    	$(".font-28").text("");
                    	$("#headImg").removeClass("margin-t-50");
                    	$("#main_info").hide();
                    	$("#tip").hide();
                    	$(".ui-form-item-checkbox").hide();
        				$("#step").hide();
        				$("#pay").hide();
        				$("#step2").hide();
        				$("#info").hide();
        				$(".confirm").hide();
                    	$("#success").show();
                    	$(".other").show();
                    	flag="3";
                    },
                    failure:function(status, textStatus, error){
                    	Fw.Msg.info(error,function(){
                    		Fw.redirect(Fw.getBasePath() +"/page/pub/pendingTran/queryTran.html");
                    	})
                    	return false;
                    },
                });
        	}
        },
        //显示跨行授权支付协议
        showPay:function(){
        	if(Fw.isTouch){
        		//手机端
        		Fw.redirect(Fw.getBasePath() +"/page/pub/pendingTran/payAgreement.html",formValue);
        	}else{
        		//pc端
        		Fw.Window.show({
    				title : '跨行授权支付协议',
    				url : 'page/pub/pendingTran/payAgreement.html',
    				autoCloseHandler: function(win, content, app){
                    },
                    buttons : [
    		           {
    			        	text : '同意',
    						cls : 'ui-btn-default',
    						dismiss: false,
    						handler : function(btn, win, content, app) {
    							$("#check").prop("checked",true);
    							win.hide();
    						}
    					},
    					{
    			        	text : '不同意',
    						cls : 'ui-btn-default',
    						dismiss: false,
    						handler : function(btn, win, content, app) {
    							$("#check").prop("checked",false);
    							win.hide();
    						}
    					} 
    		           
    		           ]
    			});
        	}
        },
        //显示跨行账户信息查询协议
        showInfo:function(){
        	if(Fw.isTouch){
        		//手机端
        		Fw.redirect(Fw.getBasePath() +"/page/pub/pendingTran/infoAgreement.html",formValue);
        	}else{
        		var content = formValue;
				Fw.util.Storage.set('_parameters', Fw.encode(content));
        		//pc端
		    	Fw.Window.show({
					title : '跨行账户信息查询协议',
					url : 'page/pub/pendingTran/infoAgreement.html',
					autoCloseHandler: function(win, content, app){
		            },
		            buttons : [
			           {
				        	text : '同意',
							cls : 'ui-btn-default',
							dismiss: false,
							handler : function(btn, win, content, app) {
								$("#check").prop("checked",true);
								win.hide();
							}
						},
						{
				        	text : '不同意',
							cls : 'ui-btn-default',
							dismiss: false,
							handler : function(btn, win, content, app) {
								$("#check").prop("checked",false);
								win.hide();
							}
						} 
			           
			           ]
				});
        	}
        },
        /**
         * 左边按钮点击事件
         */
        leftButtonHandler: function(){
            if(flag=="2"){
            	$("#main_page").show();
    			$("#step").hide();
    			$("#step2").hide();
    			$("#step3").hide();
    			$(".paySingInfo").hide();
    			$(".ui-form-item-checkbox").hide();
    			$("#info").hide();
    			$("#pay").hide();
    			$(".confirm").hide();
    			$(".tip").hide();
    			if(!Fw.isEmpty(params.flag)){
            		App.query();
            	};
            	flag="1";
            }else if(flag=="3"){
            	Fw.redirect(Fw.getBasePath() +"/page/pub/pendingTran/queryTran.html");
            }else{
            	if(Fw.isTouch){
            		Fw.gotoIndex();
            	}else{
            		Fw.redirect(Fw.getBasePath() +"/page/pageMenu/otherBank.html");
            	}
            }
        },
        //格式化业务类型
        fmtTranClass:function(val){
        	return TranClass[val+""]	
        },
        //格式化协议管理类型
        fmtAgtMgrType:function(val){
        	return AgtMgrType[val+""]	
        },
        //格式化认证方式
        fmtAuthType:function(val){
        	return AuthType[val+""]	
        },
        //格式化付款人账户类型
        fmtPayerAcctType:function(val){
        	return acctType[val+""]	
        },
        //格式化认证方式
        fmtTranCategory:function(val){
        	return typeList[val+""]	
        },
    };
}();


/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App); 