/**
 * 创建应用
 */
var App = function() {
	var form;
	var account_tpl;
	var page_flag = "0";
	var sub_flag = "0";
	var cmfFlag = true;
	var dropDownList;
	var fff = false;
	var emptyTpl = "<div style='text-align: center;color:#999;margin-top: -10px;'>未查询到相关记录</div>";
	//
	return {
		/**
		 * 依赖组件
		 */
		requires : [ 'Fw.Form',// 表单验证组件
		"Fw.DropDownList",// 底部划出下来组件
		'Fw.PayControls',// 支付控件组件
		'Fw.Keyboard',// 安全键盘
		],
		/**
		 * 视图设置 设置标题栏、按钮等 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
		 */
		viewConfig : {
			/**
			 * 标题栏标题 如果为空或未设置，则标题栏不显示、左右按钮不显示
			 */
			title : '账户挂失',
			/**
			 * 左边按钮（默认显示） 如果为false，则左边按钮不显示 leftButton: '左边按钮'
			 */
			leftButton : {
				// 自定义按钮标题（默认'返回'）
				text : '左边按钮',
			// 自定义按钮点击事件（默认App.leftButtonHandler）
			},
			/**
			 * 右边按钮（默认不显示） rightButton: '右边按钮'
			 */
			rightButton : false,
		/**
		 * 是否自动显示等待层（默认true） 需手动隐藏等待层
		 */
		// loadMask: false
		},
		/**
		 * 初始化 应用入口
		 */
		init : function(require) {

			this.initJuicer();
			form = new Fw.Form({
				contentEl : 'form',
				// 是否激活重置事件（默认false）
				// 单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
				resettable : false,
				// 校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
				msgTarget : 'tips'
			});
			// 触发提交事件触发
			form.on('submit', Fw.bind(this.dosubmit, this));
			// 点击按钮时触发（保存、重置、重发验证码）
			$("#loss_btn").on('click', Fw.bind(this.onButtonClick, this));
			account_tpl = require("./other/account_tpl");
			this.initEvents();
		},
		/**
		 * 初始化事件
		 */
		initEvents : function() {
			this.queryAccountlist();
		},
		/**
		 * 加挂储蓄账户列表
		 */
		queryAccountlist : function() {//
			// 获取sesssion中的下挂账户
			Fw.util.Ajax.get({
				service : 'accountService.getAccount',// 查询加挂账户列表
				// 请求参数
				params : {
					'type' : '0',
				},
				staticData : fff, // 是否使用数据挡板（默认false）
				success : function(data, result) {
					if (Fw.isArray(data.List) && data.List.length == 0) {
						$("#list").html(emptyTpl);
					}
					// 编译内容模版
					$("#list").html(Fw.template(account_tpl, data));
					$(".ui-list-itemd").on('click', App.checkAccStatus);// 绑定检查账户状态的方法
					Fw.LoadMask.hide();
				},
				failure : function(status, textStatus, error) {
					if (Fw.isTouch) {
						Fw.gotoIndex();
					} else {
						Fw.redirect(Fw.getBasePath() + "/page/pageMenu/personalSet.html");
					}
				}
			});
		},
		onclickfunction : function(value) {
			if (Fw.isEmpty(dropDownList)) {
				var datase = App.selectOption();
				dropDownList = new Fw.DropDownList({
					// 必须参数：结果集
					result : datase,
					// 可配置参数：1.false,随内容撑出高度，2.num：固定高度，超出滚动显示,默认[220]
					fixedHeight : "140",
					// 可配置参数：账号，1.false 不显示账号,2.cdopac 具体显示字段名，默认[cdopac]
					displayNo : false,
					// 可配置参数：从后截取账号显示,1.false 不截取，2.num：截取长度,默认[5]
					// lastSubNo:5,
					// 可配置参数：名称，默认[brchna]
					displayName : 'tpname',
					// 可配置参数：显示时是否重新渲染，默认[false]
					reload : true,
					// 可配参数：选择完成后是否自动关闭,默认[true]
					// autoClose: true,
					// 可配置参数：是否显示手工输入按钮，默认[true]
					cursorBtn : false,
				});
				dropDownList.on('itemClick', Fw.bind(App.dropitemClick, App));// 对下拉列表监听
				$(".ui-select").on('click', Fw.bind(App.dropdownClick, App));
			}
			App.accinfo = value;
			$(".acchtm").html(
					'<div id="bankName">' + value.option + '</div>');
//							+ '<div id="AcctNo" class="ui-bankName-acctni">' + Fw.util.Format.fmtBankAcType(value.BankAcType) + ' '
//							+ Fw.util.Format.fmtAcctNoEnd(value.No) + '</div>');
			$("#name_span").text(value.Name);
			form.reset();
			App.selectOption();
			App.showpage("pageB", "00");
			if (Fw.isPhone) {
				$(".padding-left-120").addClass("padding-left-110");
			}
		},
		checkAccStatus : function() {
			var value = $(this).attr('data-value');
			value = JSON.parse(value);
			Fw.util.Ajax.get({
				socketAdapter : 'accountService/mCAccountBalanceQuery',
				// 请求参数
				params : {
					"AcNo" : value.No
				},
				staticData : false, // 是否使用数据挡板（默认false）
				// 请求成功后回调
				success : function(data, result) {
					// value.BankAcType = data.MchannelAcType;
					App.thisAcInfo = data;
					if (App.checkAcStatus(data, value)) {

					} else {
						Fw.Msg.info("该账户已挂失.");
					}
				},
				// 请求错误后回调
				failure : function(status, textStatus, error) {
				}
			});
		},
		/**
		 * button 按钮提交方法
		 */
		onButtonClick : function(e) {
			
			form.submit();
		},
		dosubmit : function(values) {
			
			if(!Fw.isEqual(values.IdentityNo.length,App.thisAcInfo.IdNo.length)){
				Fw.Msg.info("证件号码格式不正确，请重新输入");
				return;
			}else if(!Fw.isEqual(values.IdentityNo,App.thisAcInfo.IdNo)){
				Fw.Msg.info("证件号码错误，请重新输入");
				return;
			}
			cmfFlag = true;
			Fw.Msg.cfm("您确定要挂失吗?", function(code, btn, win) {
				if (Fw.isEqual(code, "yes") && cmfFlag) {
					cmfFlag = false;
					App.showPayControl(values);
				} else {
					cmfFlag = true;
				}
			});
		},
		/**
		 * per.MCAccountLost 账户挂失
		 */
		MCAccountLost : function(data, record, type) {
			Fw.apply(App.accinfo, App.subData);
			if (Fw.isTouch && Fw.isString(data)) {
				try {
					data = JSON.parse(data);
				} catch (e) {
				}
			}
			Fw.apply(App.accinfo, data);
			App.accinfo.dyPassword = data.sms;
			App.accinfo.LostKind = "0";
			App.accinfo.AcNo = App.accinfo.No;
			App.accinfo.tesType = "S&AP";
			// params.put("LostKind", "0");// 卡挂失方式
			Fw.util.Ajax.query({
				service : 'personalSetService/executeAccountLoss',
				// 请求参数
				// params: App.accinfo,
				params : App.accinfo,
				// 允许自定义等待层提示信息（loadMask: '请稍后...'）
				loadMask : true,
				staticData : fff, // 是否使用数据挡板（默认false）
				// 请求成功后回调
				success : function(data, result) {
					
					if(Fw.isEqual("000000", result.error)){
						cmfFlag = true;
						// 编译内容模版
						Fw.Msg.info("挂失成功", function() {
							var url = Fw.getBasePath() + "/page/pub/personalSet/lossAccount.html";
							Fw.redirect(url);// 挂失成功后刷新页面
						});
					}else{
						Fw.Msg.warn(result.message);
					}
					
					Fw.LoadMask.hide();
				},
				// 请求错误后回调
				failure : function(status, textStatus, error) {
					Fw.LoadMask.hide();
					cmfFlag = true;
				}
			});
		},
		/**
		 * 显示页面方法 pageId 显示页面id
		 */
		showpage : function(pageId, flag_page) {
			page_flag = flag_page;
			$(".pagesel").hide();
			$("#" + pageId).show();
		},
		leftButtonHandler : function() {
			if (dropDownList) {
				dropDownList.hide();
			}
			if (Fw.isEqual(page_flag, "00")) {
				App.showpage("pageA","0");
//				Fw.redirect(Fw.getBasePath() + "/page/pub/personalSet/lossAccount.html");
			} else if (Fw.isEqual(page_flag, "0") && !Fw.isPhone) {
				Fw.redirect(Fw.getBasePath() + "/page/pageMenu/systemReport.html");
			} else {// 手机端返回菜单页面
				Fw.gotoIndex();
			}
		},
		dropitemClick : function(data, index) {
			form.setValues({
				"cardType" : data.tpname,
			});

			$("#IdentityType").val(data.Type).change();
			$("#cardno").val($("#cardno").val()).change(); 
		},
		dropdownClick : function() {
			dropDownList.show();
		},
		/**
		 * 显示支付窗体
		 */
		showPayControl : function(values) {
			App.subData = values;
			App.subData._AuthMode = 'O';
			var cardNews = {
					passwordType:'T',//借记卡  T  信用卡  B
					cardNo:App.accinfo.No,
			}
			var showInfo = [];
//			var smsParams = {
//				tranType : '080103', // 080103-互联网银行客户端非转账类交易验证
//				// 080104-互联网银行客户端转账交易验证
//				payerAcct : '', // 付款账号 交易类型080104-必传
//				payeeAcct : '', // 收款账号 交易类型080104-必传
//				payeeAcctName : '', // 收款人 交易类型080104-必传
//				trsAmount : '' // 交易金额 交易类型080104-必传
//			};
			/**
			 * type
			 * 
			 * S&AP 短信验证码+账户密码 U&AP U-key密码+账户密码(pc端) AP 账户密码 CTP 信用卡交易密码 SMS
			 * 短信验证码 IC&AP IC卡+账户密码(手机端)
			 */
			Fw.device.Device.payControls('AP', showInfo, 'App.MCAccountLost', {}, cardNews);
		},
		/**
		 * 检查账户状态 是否正常
		 */
		checkAcStatus : function(data, value) {
			if (Fw.isEqual("0", data.AcctState) || Fw.isEmpty(data.AcctState)) {
				if (Fw.isEqual('0', data.PasswordLossStatus) || Fw.isEmpty(data.PasswordLossStatus)) {
					if (Fw.isEqual('0', data.CertLossStatus) || Fw.isEmpty(data.CertLossStatus)) {
						if (Fw.isEqual('0', data.SealLossStatus) || Fw.isEmpty(data.SealLossStatus)) {
							App.onclickfunction(value);
							return true
						} else {
							return false;
						}
					} else {
						return false;
					}
				} else {
					return false;
				}
			} else {
				return false;
			}
		},
		selectOption : function() {
			return [ {
				"tpname" : "公民身份证",
				"tpindex" : "0",
				"Type" : "P00"
			}, {
				"tpname" : "户口簿",
				"tpindex" : "1",
				"Type" : "P07"
			}, {
				"tpname" : "工作证",
				"tpindex" : "2",
				"Type" : "3"
			}, {
				"tpname" : "军官证",
				"tpindex" : "3",
				"Type" : "4"
			}, {
				"tpname" : "士兵证",
				"tpindex" : "4",
				"Type" : "5"
			}, {
				"tpname" : "企业营业执照（年检）",
				"tpindex" : "5",
				"Type" : "6"
			}, {
				"tpname" : "个体工商户营业执照（年检）",
				"tpindex" : "6",
				"Type" : "7"
			}, {
				"tpname" : "社会团体登记证书",
				"tpindex" : "7",
				"Type" : "8"
			}, {
				"tpname" : "企业代码",
				"tpindex" : "0",
				"Type" : "9"
			}, {
				"tpname" : "股金过渡证件",
				"tpindex" : "8",
				"Type" : "A"
			}, {
				"tpname" : "警官证",
				"tpindex" : "9",
				"Type" : "B"
			}, {
				"tpname" : "（港、澳）回乡证、通行证",
				"tpindex" : "10",
				"Type" : "C"
			}, {
				"tpname" : "（台）通行证、其他有效旅游证件",
				"tpindex" : "11",
				"Type" : "D"
			}, {
				"tpname" : "（外国）护照",
				"tpindex" : "12",
				"Type" : "E"
			}, {
				"tpname" : "主管部门的批文或证明",
				"tpindex" : "13",
				"Type" : "G"
			}, {
				"tpname" : "港澳居民来往内地通行证",
				"tpindex" : "14",
				"Type" : "J"
			}, {
				"tpname" : "台湾居民来往内地通行证",
				"tpindex" : "15",
				"Type" : "K"
			}, {
				"tpname" : "中华人民共和国旅行证",
				"tpindex" : "16",
				"Type" : "M"
			}, {
				"tpname" : "中华人民共和国护照",
				"tpindex" : "17",
				"Type" : "N"
			} ];
		},
		initJuicer : function() {
			juicer.register("JsonToStr", function(data) {
				return JSON.stringify(data).replaceAll(" ","");
			});
			juicer.register("isEmp", function(v) {
				if (Fw.isEmpty(v)) {
					return "";
				} else {
					return v;
				}
			});
		}
	};
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);