/**
 * 创建应用
 */
var App = function() {

	var Pageparams = Fw.getParameters()||{};
	var rcv,record_data;
	var backState,backState2,nowState;
	var BankActPerTrsLimit,BankActPerDayLimit;
	var tplInBank,tplAtmPos;
	var acctflag = Pageparams.acctflag;
	var PRegArea1="",PRegLock="";
	var flags=Pageparams.flag;
	
	var smsParams = {
			tranType : '080103',  //080103-互联网银行客户端非转账类交易验证       080104-互联网银行客户端转账交易验证   080108-互银客户端批量转账
			payerAcct : '',  // 付款账号 交易类型080104-必传
			payeeAcct : '',  // 收款账号 交易类型080104-必传
			payeeAcctName : '', // 收款人  交易类型080104-必传
			trsAmount  : '', //交易金额   交易类型080104-必传
			trsCount  : '', //交易笔数   交易类型080108-必传
			signcontent:''//需要签名的内容(目前为全部报文);
	};
	
	return {
		/**
		 * 依赖组件
		 */
		requires : ['Fw.Form','Fw.app.Session','Fw.Keyboard'],
		viewConfig : {
			title : '支付权限管理',
			leftButton : {
				 handler:function(){
		    			App.back();
		    	 }
			},
		 loadMask: true
		},
		back:function(){
			if(Fw.isEmpty(flags)){
				switch(backState){
				
				case 'bankin2':
					$("#div_inbank_click").show();
					$("#show_ActPerTrsLimit").html("");
					$("#show_ActPerDayLimit").html("");
					$("#div_inbank_next_btn").show();
					$("#div_inbank_modify_btn").hide();
					$("#inbank_modify2").hide();
					$("#inbank_modify").show();
					$("#IdType").html("");
					backState='';
					break;
				case 'main':
					if(!Fw.isEmpty(acctflag)){
						var urltemp = Fw.getBasePath() +'/page/pub/account/DetDel/main.html';
						
						var param = {
								AcNo:Pageparams.No,
			        			index:Pageparams.index,
			        			data : record_data ? record_data:{},
			        			acctflag:'1',
			        			Remark : Pageparams.Remark,
			        			cardType:Pageparams.cdp,
			        			Dflag:Pageparams.Dflag,
			        			aimUrl:Pageparams.aimUrl,
			        			exit:Pageparams.exit,
			        	};
			        	
			        	Fw.redirect(urltemp,param);
			     }else{
					var urltemp = Fw.getBasePath()+"/page/pub/quotaManagement/main.html";
					Pageparams.PayFlag=1;
	    			Fw.redirect(urltemp,Pageparams);
			     }
	    			break;
				case 'atmpos_main':
					$("#Success").hide();
					backState='';
					break;
				case 'bankinModi':
					$("#Success").hide();
					App.LibInBank();
					backState='';
					break;
				case 'protocol':
					$("#protocol_main").hide();
					$('#'+nowState).show();
					backState=backState2;
					nowState="";
					break;
					default:
						var urltemp = Fw.getBasePath()+"/page/pub/quotaManagement/payLimit/main.html";
		    			Fw.redirect(urltemp,Pageparams);
		    			backState='main';
				}
			}else{
				 if(Fw.isTouch){
	        	    	Fw.device.Device.myAcCard(record_data, Pageparams.index);
	        	 }else{
	        	    	Fw.redirect(Fw.getBasePath()+"/page/pc/myAsset/myCard.html",Pageparams);	
	        	 }
			}
		},
		/**
		 * 初始化 应用入口
		 */
		init : function(require) {
			console.log(Pageparams);
				if(Fw.isPhone){
					if(Fw.isEmpty(acctflag)){
						 record_data = eval("("+Pageparams.data+")");
					}else{
						record_data = Pageparams.data;
					}
				
				}else{
					record_data = Pageparams.data;
				}
			 tplInBank = require('./tpl/inbank.tpl').join('');
			 tplAtmPos = require('./tpl/atmpos.tpl').join('');
			if(Pageparams.BankAcTypeMark == '0'){
				$("#div_atmpos").show();
			}
			
			$("#cardOption").html(Pageparams.option);
			backState='main';
			Fw.util.Ajax.get({
        		socketAdapter: 'quotaManagementService/mCPayPermissionQry',
        		params: {
        			AcNo: Pageparams.No,
                },
                success: function(data, result) {
                	rcv = result.result;
                	$("#lib_inbank").html(rcv.EpayLock == 'N' ? "已开启":"已关闭");
                	$("#lib_atmpos").html((rcv.NightLock == 'N')||(rcv.ForeignLock == 'N') ? "已开启":"已关闭");
                	PRegArea1=rcv.RegArea1;
                	PRegLock =rcv.RegLock;
//                	if((rcv.EpayLock == 'C')&&(rcv.NightLock == 'C')&&(rcv.ForeignLock == 'C')){
//                		$("#cardClick").addClass("defacc_false");
//                		$("#cardClick").attr("data-value","C");
//                	}else{
//                		$("#cardClick").addClass("defacc_true");
//                		$("#cardClick").attr("data-value","N");
//                		$("#form1").show();
//                	}
                	Fw.LoadMask.hide();
                	App.initEvents();
                },
               
            });
			
			

		},
		/**
		 * 初始化事件
		 */
		initEvents : function() {
			$('#lib_caifu_div').on('click',Fw.bind(this.LibUnOpened, this));
			$('#lib_alipay_div').on('click',Fw.bind(this.LibUnOpened, this));
			$('#lib_yinlian_div').on('click',Fw.bind(this.LibUnOpened, this));
			$('#lib_inbank_div').on('click',Fw.bind(this.LibInBank, this));
			$('#div_atmpos').on('click',Fw.bind(this.LibAtmPos, this));
			
//			$('#cardClick').on('click',Fw.bind(this.card_click, this));
			$('#sucReturn').on('click',Fw.bind(this.back, this));
		},
		initInBankEvent:function(){
			$('#btn_inbank_next').on('click',Fw.bind(this.inbank_next, this));
			$('#btn_inbank_modify').on('click',Fw.bind(this.inbank_modify, this));
			$('#ActPerTrsLimit').on('input', Fw.bind(this.moneyLimit, this));
			$('#ActPerDayLimit').on('input', Fw.bind(this.moneyLimit, this));
			$('#ActPerTrsLimit').on('blur',Fw.bind(this.amountFormat, this));
			$('#ActPerDayLimit').on('blur',Fw.bind(this.amountFormat, this));
			$('#inbank_click').on('click',Fw.bind(this.inbank_click, this));
			$('#btn_inbank_set').on('click',Fw.bind(this.inbank_opened, this));
			$('.protocolDetail').on("click",Fw.bind(this.showprotocol, this));
		},
		LibUnOpened:function(){
			
		},
		showprotocol:function(e){
			var El = $(e.currentTarget);
			nowState=El.parents(".fade-page").attr("id");
			$('.fade-page').hide();
			
			backState2=backState;
			backState="protocol";
			$("#protocol_main").show();
			
			
		},
		initAtmPosEvent:function(){
			$('#atmpos_click').on('click',Fw.bind(this.tranAtmPos, this));
			$('#atmpos_night').on('click',Fw.bind(this.AtmPosNight, this));
			$('#atmpos_foreign').on('click',Fw.bind(this.AtmPosForeign, this));
		},
//		card_click:function(e){
//			var El = $(e.currentTarget);
//			var Tparam = {
//        			AcNo:	Pageparams.No,
//        		};
//			if(El.attr("data-value")=='C'){
//				Tparam.PayFlag='N';
//				var showInfo = [];
//				var cardNews = {
//           			cardNo : Pageparams.No,
//           			passwordType : Pageparams.BankAcTypeMark == '0'?'T':'B',//T代表借记卡 B代表信用卡
//				}
//	    	Fw.device.Device.payControls('S&AP',showInfo,'App.card_clickDo',smsParams,cardNews);
//				
//			}else if(El.attr("data-value")=='N'){
//				var MsgText = "该账户的线上支付权限将关闭，";
//				if(Pageparams.BankAcTypeMark == '0'){
//					MsgText = MsgText+"ATM/POS交易将受到限制.";
//				}
//				Fw.Msg.cfm(MsgText+"是否确认？", function(code, btn, win) {
//					if (code == "yes") {
//						App.card_clickDo();
//					}
//				});
//				
//			}
//			
//		},
//		card_clickDo:function(rpar){
//			var Tparam = {
//        			AcNo:	Pageparams.No,
//        		};
//			if($("#cardClick").attr("data-value")=='C'){
//				Tparam.PayFlag='N';
//				
//			}else if($("#cardClick").attr("data-value")=='N'){
//				Tparam.PayFlag='C';
//			}
//			Fw.util.Ajax.get({
//        		service: 'quotaManagementService/mCPayPermissionModify',
//        		params:Tparam,
//                success: function(data, result) {
//                	backState="";
//                	App.back();
//                },
//            });
//		},
		inbank_click:function(e){
			var El = $(e.currentTarget);
			if(El.attr("data-value")=='C'){
				$("#inbank_set").show();
				$("#inbank_click").addClass("defacc_true");
				$("#inbank_click").removeClass("defacc_false");
				$("#div_inbank_set_btn").show();
				$("#div_inbank_click").hide();
				$("#setIdType").html(App.dirIDType(Fw.app.Session.getIdenttype()));
				$("#inbank_click").attr("data-value","CN");
				App.viewConfig.title="行内支付开通";
				App.viewConfig.leftButton.handler=function(){App.back();};
				Fw.device.Device.applyView(App.viewConfig);
			}else if(El.attr("data-value")=='CN'){
				$("#inbank_click").addClass("defacc_false");
				$("#inbank_click").removeClass("defacc_true");
				$("#inbank_set").hide();
				$("#div_inbank_set_btn").hide();
				$("#inbank_click").attr("data-value","C");
			}else{
				Fw.Msg.cfm("您确定关闭该账户的行内支付功能吗？", function(code, btn, win) {
					if (code == "yes") {
						App.inbank_closed();
					}
				});
				
			}
		},
		LibAtmPos:function(){
			App.viewConfig.title="ATM/POS交易";
			App.viewConfig.leftButton.handler=function(){App.back();};
			Fw.device.Device.applyView(App.viewConfig);
			$("#atmpos_main").html("");
			$("#atmpos_main").html(Fw.template(tplAtmPos,{}));
			App.initAtmPosEvent();
			
			$("#atmpos_cardOption").html(Pageparams.option);
			$("#pay_main").remove();
			backState='';
			$("#atmpos_main").show();
			if((rcv.NightLock == 'N')||(rcv.ForeignLock == 'N')){
				$("#atmpos_click").addClass("defacc_true");
				$("#atmpos_body").show();
				$("#atmpos_click").attr("data-value","N");
				if(rcv.NightLock == 'N'){
					$("#atmpos_night").addClass("defacc_true");
					$("#atmpos_night").attr("data-value","N");
				}else{
					$("#atmpos_night").addClass("defacc_false");
					$("#atmpos_night").attr("data-value","C");
				}
				if(rcv.ForeignLock == 'N'){
					$("#atmpos_foreign").addClass("defacc_true");
					$("#atmpos_foreign").attr("data-value","N");
				}else{
					$("#atmpos_foreign").addClass("defacc_false");
					$("#atmpos_foreign").attr("data-value","C");
				}
			}else{
				$("#atmpos_click").addClass("defacc_false");
				$("#atmpos_click").attr("data-value","C");
			}
		},
		tranAtmPos:function(){
			if($("#atmpos_click").attr("data-value")=="C"){
				var showInfo = [];
				var cardNews = {
           			cardNo : Pageparams.No,
           			passwordType : Pageparams.BankAcTypeMark == '0'?'T':'B',//T代表借记卡 B代表信用卡
				}
	    	Fw.device.Device.payControls('S&AP',showInfo,'App.tranAtmPosDo',smsParams,cardNews);
			}else{
				Fw.Msg.cfm("您确定关闭：ATM/POS特殊交易权限吗？", function(code, btn, win) {
					if (code == "yes") {
						App.tranAtmPosDo();
					}
				});
				
			}
		},
		tranAtmPosDo:function(){
			var requestParams = {
					AcNo:	Pageparams.No,
					RegArea1:PRegArea1,
        			RegLock:PRegLock
			};
			if($("#atmpos_click").attr("data-value")=="C"){
				requestParams.Nightlock ='N';
				requestParams.ForeignLock ='N';
				
			}else{
				requestParams.Nightlock ='C';
				requestParams.ForeignLock ='C';
			}
			Fw.util.Ajax.get({
        		service: 'quotaManagementService/mCPayAPLockModify',
        		params:requestParams,
                success: function(data, result) {
                	if($("#atmpos_click").attr("data-value")=="C"){
                		$("#atmpos_click").attr("data-value","N");
                		$("#atmpos_click").addClass("defacc_true");
                		$("#atmpos_click").removeClass("defacc_false");
                		$("#atmpos_night").attr("data-value","N");
                		$("#atmpos_night").addClass("defacc_true");
                		$("#atmpos_night").removeClass("defacc_false");
                		$("#atmpos_foreign").attr("data-value","N");
                		$("#atmpos_foreign").addClass("defacc_true");
                		$("#atmpos_foreign").removeClass("defacc_false");
                		$("#atmpos_body").show();
                		
//                		backState="";
//                    	$("#atmpos_main").hide();
//                    	$("#subMsg").html("开通成功!");
//                    	$("#Success").show();
        			}else{
        				$("#atmpos_click").attr("data-value","C");
        				$("#atmpos_click").removeClass("defacc_true");
                		$("#atmpos_click").addClass("defacc_false");
                		$("#atmpos_body").hide();
        			}
                	
                },
               
            });
		},
		AtmPosNight:function(){
			if($("#atmpos_night").attr("data-value")=="C"){
				var showInfo = [];
				var cardNews = {
           			cardNo : Pageparams.No,
           			passwordType : Pageparams.BankAcTypeMark == '0'?'T':'B',//T代表借记卡 B代表信用卡
				}
			
	    	Fw.device.Device.payControls('S&AP',showInfo,'App.AtmPosNightDo',smsParams,cardNews);
			}else{
				Fw.Msg.cfm("您确定关闭ATM/POS夜间交易权限吗？", function(code, btn, win) {
					if (code == "yes") {
						App.AtmPosNightDo();
					}
				});
				
			}
		},
		AtmPosNightDo:function(){
			var requestParams = {
					AcNo:	Pageparams.No,
					ForeignLock :$("#atmpos_foreign").attr("data-value"),
					RegArea1:PRegArea1,
        			RegLock:PRegLock
			};
			if($("#atmpos_night").attr("data-value")=="C"){
				requestParams.Nightlock ='N';
				
			}else{
				requestParams.Nightlock ='C';
			}
			Fw.util.Ajax.get({
        		service: 'quotaManagementService/mCPayAPLockModify',
        		params:requestParams,
                success: function(data, result) {
                	if($("#atmpos_night").attr("data-value")=="C"){
                		
                		$("#atmpos_night").attr("data-value","N");
                		$("#atmpos_night").addClass("defacc_true");
                		$("#atmpos_night").removeClass("defacc_false");
        			}else{
        				
        				$("#atmpos_night").attr("data-value","C");
        				$("#atmpos_night").removeClass("defacc_true");
                		$("#atmpos_night").addClass("defacc_false");
                		App.atmposCheckStat();
        			}
                	
                },
               
            });
		},
		AtmPosForeign:function(){
			if($("#atmpos_foreign").attr("data-value")=="C"){
				var showInfo = [];
				var cardNews = {
           			cardNo : Pageparams.No,
           			passwordType : Pageparams.BankAcTypeMark == '0'?'T':'B',//T代表借记卡 B代表信用卡
				}
	    	Fw.device.Device.payControls('S&AP',showInfo,'App.AtmPosForeignDo',smsParams,cardNews);
			}else{
				Fw.Msg.cfm("您确定关闭ATM/POS境外交易权限吗？", function(code, btn, win) {
					if (code == "yes") {
						App.AtmPosForeignDo();
					}
				});
				
			}
		},
		AtmPosForeignDo:function(){
			var requestParams = {
					AcNo:	Pageparams.No,
					Nightlock :$("#atmpos_night").attr("data-value"),
					RegArea1:PRegArea1,
        			RegLock:PRegLock
			};
			if($("#atmpos_foreign").attr("data-value")=="C"){
				requestParams.ForeignLock ='N';
				
			}else{
				requestParams.ForeignLock ='C';
			}
			Fw.util.Ajax.get({
        		service: 'quotaManagementService/mCPayAPLockModify',
        		params:requestParams,
                success: function(data, result) {
                	if($("#atmpos_foreign").attr("data-value")=="C"){
                		
                		$("#atmpos_foreign").attr("data-value","N");
                		$("#atmpos_foreign").addClass("defacc_true");
                		$("#atmpos_foreign").removeClass("defacc_false");
        			}else{
        				
        				$("#atmpos_foreign").attr("data-value","C");
        				$("#atmpos_foreign").removeClass("defacc_true");
                		$("#atmpos_foreign").addClass("defacc_false");
                		App.atmposCheckStat();
        			}
                	
                },
               
            });
		},
		atmposCheckStat:function(){
			if(($("#atmpos_night").attr("data-value")=="C")&&($("#atmpos_foreign").attr("data-value")=="C")){
				$("#atmpos_click").attr("data-value","C");
				$("#atmpos_click").removeClass("defacc_true");
        		$("#atmpos_click").addClass("defacc_false");
        		$("#atmpos_body").hide();
			}
		},
		dirIDType:function(v){
			
			var dic={
				"P00":"身份证",
				"P01":"军官证",
				"P02":"文职干部证",
				"P03":"警官证",
				"P04":"士兵军人证",
				"P05":"中国护照",
				"P06":"港澳台居民身份证",
				"P07":"户口簿",
				"P08":"边民出入境通行证",
				"P09":"外国人永久居留证",
				"P10":"临时身份证",
				"P11":"离休干部荣誉证",
				"P12":"武警警官证誉证补折",
				"P13":"台湾居民往来通行证",
				"P14":"军官退休证",
				"P15":"文职干部退休证",
				"P16":"军事院校学员证",
				"P17":"武警士兵证",
				"P18":"武警文职干部证",
				"P19":"武警军官退休证",
				"P20":"武警文职干部退休证",
				"P21":"驾驶执照",
				"P22":"旧身份证",
				"P23":"外国护照",
				"P24":"工作证",
				"P25":"股金过渡证件",
				"P26":"中华人民共和国旅行证",
				"P27":"村民委员会居民证",
				"P28":"个体工商户营业执照(年检)",
				"P29":"港澳居民往来通行证",
				"P30":"其他有效旅行证件", 
				"P99":"个人其他",
			   "E01":"组织机构代码证",
			   "E02":"营业执照",
			   "E03":"企业名称核准书",
			   "E04":"政府机构/公共机构批文",
			   "E05":"香港商业登记证",
			   "E06":"开户证明",
			   "E07":"军队开户许可证",
			   "E08":"社会团体证",
			   "E09":"非法人组织机构代码证",
			   "E10":"金融许可证",
			   "E11":"企业（法人）代码证",
			   "E12":"国税登记证",
			   "E13":"地税登记证",
			   "E14":"主管部门的批文或证明",
			   "E99":"企业其他",
			
			
			};
		return dic[v] ? dic[v]:v;
		},
		LibInBank:function(){
			App.viewConfig.title="行内支付管理";
			App.viewConfig.leftButton.handler=function(){App.back();};
			Fw.device.Device.applyView(App.viewConfig);
			$("#inbank_main").find("div").remove();
			$("#inbank_main").html(Fw.template(tplInBank,{}));
			App.initInBankEvent();
			$("#inbank_cardOption").html(Pageparams.option);
			$("#pay_main").remove();
			$("#inbank_main").show();
			backState='';
			if(rcv.EpayLock=="N"){
				$("#inbank_click").addClass("defacc_true");
				$("#inbank_click").attr("data-value","N");
				Fw.util.Ajax.get({
	        		socketAdapter: 'quotaManagementService/mCActPayLimitQry',
	        		params:{
	        			AcNo:	Pageparams.No,
	        			BankAcType:Pageparams.BankAcType,
	        		},
	                success: function(data, result) {
	                	$("#ActPerTrsLimit").val(Fw.util.Format.fmtAmt(result.result.ActPayTrsLimit));
	                	$("#ActPerDayLimit").val(Fw.util.Format.fmtAmt(result.result.ActPayDayLimit));
	                },
	               
	            });
				
				$("#inbank_modify").show();
				Fw.Keyboard.init($("#inbank_modify"));
				Fw.Keyboard.onHidden=function(){
	        		 switch(this.type){
	                 	case 'AMT':
	                 		this.target.val(Fw.util.Format.fmtAmt(Fw.util.Format.unFmtAmt(this.target.val())));break;
	        		 }
		      		$('body').css({
		           		'top': '0px'
		           	});
					if(Fw.isEmpty(this.target.val()) && !Fw.isEmpty(Fw.util.Storage.get(this.target.attr('name'))) ){
						this.target.attr('placeholder',Fw.util.Storage.get(this.target.attr('name')));
						Fw.util.Storage.remove(this.target.attr('name'));
					}
					Fw.Keyboard.showKeyboard = true;
	        	},
				$("#div_inbank_next_btn").show();
			}else{
				$("#inbank_click").addClass("defacc_false");
				$("#inbank_click").attr("data-value","C");
			}
		},
		inbank_next:function(){
			if(Fw.isEmpty($('#ActPerTrsLimit').val())){
	       		 Fw.Tips.info("请输入单笔限额");
	       	}else if(Fw.util.Format.unFmtAmt($("#ActPerTrsLimit").val())==0){
	       		 Fw.Tips.info("单笔限额不能为0");
	       	}else if (Fw.isEmpty($('#ActPerDayLimit').val())) {
	       		 Fw.Tips.info("请输入单日累计限额");
			}else if (Fw.util.Format.unFmtAmt($("#ActPerDayLimit").val())==0) {
	       		 Fw.Tips.info("单日累计限额不能为0");
			}else if (Fw.util.Format.unFmtAmt($("#ActPerTrsLimit").val())>Fw.util.Format.unFmtAmt($("#ActPerDayLimit").val())) {
	       		 Fw.Tips.info("单笔限额不得大于单日累计限额");//李晶晶提出20171227 16:20
			}else{
				$("#div_inbank_click").hide();
				$("#show_ActPerTrsLimit").html($("#ActPerTrsLimit").val());
				$("#show_ActPerDayLimit").html($("#ActPerDayLimit").val());
				$("#div_inbank_next_btn").hide();
				$("#div_inbank_modify_btn").show();
				$("#inbank_modify2").show();
				$("#inbank_modify").hide();
				var idN=Fw.app.Session.getIdentno();
				$("#IdType").html(App.dirIDType(Fw.app.Session.getIdenttype()));
				backState = 'bankin2';
	       	 }
		},
		inbank_modify:function(){
			
		if(!$("#modifyinbankchecked").is(':checked')){
				Fw.Tips.info("请先阅读协议");
		}else if($("#modi_idcard").val()==Fw.app.Session.getIdentno()){
				var showInfo = [];
				var cardNews = {
           			cardNo : Pageparams.No,
           			passwordType : Pageparams.BankAcTypeMark == '0'?'T':'B',//T代表借记卡 B代表信用卡
				}
	    	Fw.device.Device.payControls('S&AP',showInfo,'App.inbank_modify_submit',smsParams,cardNews);
		}else if($("#modi_idcard").val()==""){
	      		 	Fw.Tips.info("请输入证件号码");
	    }else{
				Fw.Msg.info("证件号码错误，请重新输入")
	    }
			
		},
		inbank_modify_submit:function(){
			var Tparam = {
        			AcNo:	Pageparams.No,
        			BankAcType:Pageparams.BankAcType,
        			ActPayTrsLimit:Fw.util.Format.unFmtAmt($("#ActPerTrsLimit").val()),
        			ActPayDayLimit:Fw.util.Format.unFmtAmt($("#ActPerDayLimit").val()),
        			IdNo:Fw.app.Session.getIdentno(),
        			IdType:Fw.app.Session.getIdenttype(),
        			TransferFlag:"N",
        		};
			
			Fw.util.Ajax.get({
				socketAdapter: 'quotaManagementService/mCActPayLimitManager',
        		params:Tparam,
                success: function(data, result) {
                	backState="bankinModi";
                	$("#inbank_main").hide();
                	$("#subMsg").html("修改成功!");
                	$("#Success").show();
                },
            });
		},
		inbank_opened:function(){
			if(!$("#setinbankchecked").is(':checked')){
				Fw.Tips.info("请先阅读协议");
					
			}else if($("#set_idcard").val()==Fw.app.Session.getIdentno()){
				var showInfo = [];
				var cardNews = {
	       			cardNo : Pageparams.No,
	       			passwordType : Pageparams.BankAcTypeMark == '0'?'T':'B',//T代表借记卡 B代表信用卡
				}
	    	Fw.device.Device.payControls('S&AP',showInfo,'App.inbank_openedDo',smsParams,cardNews);
			}else if($("#set_idcard").val()==""){
		      		 	Fw.Tips.info("请输入证件号码");
		    }else{
					Fw.Msg.info("证件号码错误，请重新输入")
		    }
		},
		inbank_openedDo:function(){
			var Tparam = {
        			AcNo:	Pageparams.No,
        			PayFlag:"N",
        		};
			backState="";
			App.manageDo(Tparam);
		},
		inbank_closed:function(){
			var Tparam = {
        			AcNo:	Pageparams.No,
        			PayFlag:"C",
        		};
			backState="";
			App.manageDo(Tparam);
		},
		manageDo: function (reqPar){
			Fw.util.Ajax.get({
        		service: 'quotaManagementService/mCPayFlagOpr',
        		params:reqPar,
                success: function(data, result) {
                	if(reqPar.PayFlag=="N"){
                		if(!Fw.isEmpty(record_data)){
							record_data.List[Pageparams.index].AgentFlag="1";
	        	    	}
                		backState="";
	                	$("#inbank_main").hide();
	                	$("#set_idcard").val("");
	                	$("#subMsg").html("开通成功!");
	                	$("#Success").show();
	                	rcv.EpayLock="N";
                	}else{
                		rcv.EpayLock="C";
                		App.LibInBank();
                	}
                },
               
            });
		},
		moneyLimit:function(e){
        	var $that = $(e.currentTarget);
        	var t_val=$that.val();
        	var temp;
        	var true_val = t_val.replace(/[,]/g,"").replace("¥","");
        	
        	var list = t_val.split(".");
        	var Reg = /^\d{1,11}([.]\d{0,2}){0,1}$/;
        	var Reg2 = /^[.]\d{0,2}$/;
        	if(Reg.test(true_val)){
        		return true;
        	}else if(Reg2.test(t_val)){
        		$that.val("0"+t_val);
        	}else if(list.length>2){
        		for(var i =list.length-2;i>0;i--){
        			t_val=t_val.replace(".","");
        		}
        		temp =  Fw.util.Format.fmtAmt(t_val);
        		$that.val(temp);
        		
        	}else{
        		list[0]=list[0].replace(/\D/g,"");
        		list[0]=list[0].substr(0,11);
        		if(list.length==2){
        			list[1]=list[1].replace(/\D/g,"");
        			if(list[1].length>2){
        				list[1]=list[1].substr(0,2);
        			}
        			temp =  Fw.util.Format.fmtAmt(list[0]+"."+list[1]);
	        		$that.val(temp);
        			//$that.val(list[0]+"."+list[1]);
        		}else{
        			temp =  Fw.util.Format.fmtAmt(list[0]);
	        		$that.val(temp);
        			//$that.val(list[0]);
        		}
        		
        	}
        },
        amountFormat:function(e){
        	var El = $(e.currentTarget);
        	El.val(Fw.util.Format.fmtAmt(Fw.util.Format.unFmtAmt(El.val())));
        },
		
	};
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
