/**
 * 创建应用
 */
var App = function() {
	var params=Fw.getParameters();
    //
    return {
        /**
         * 依赖组件
         */
        requires : [
            //表单
            'Fw.Form',
        ],
        /**
         * 视图设置
         * 设置标题栏、按钮等
         * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
         */
        viewConfig: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: '支付协议',
            loadMask: true,
            leftButton : {
    			// 自定义按钮标题（默认'返回'）
    			// text: '左边按钮',
    			// 自定义按钮点击事件（默认App.leftButtonHandler）
    			// handler: XXX
    			},
        },
        /**
         * 初始化
         * 应用入口
         */
        init : function(require) {
            //初始化事件
            this.initEvents();

            //手动隐藏等待层
            Fw.LoadMask.hide();
        },
        /**
         * 初始化事件
         */
        initEvents: function(){
        },
        leftButtonHandler : function() {
        	Fw.redirect('main2.html',params);
		}
    };
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
