/**
 * 创建应用
 */
var App = function() {
	var form, idType, BankActPayDayLimit, BankActPayTrsLimit, record1;
	var AgentFlag, record_data;
	var record = Fw.getParameters() || {};
	// 资产标识
	var flags = record.flag;

	// 银行账户类型
	var bankAcType = record.BankAcType;
	// 卡号
	var AcNo = record.No;
	// 机构序号
	var DeptSeq = record.DeptSeq;
	// 生活缴费标识
	var sign = record.sign;
	var flag;
	var numberFlage;
	var formP3_1, form_p4, formP2_a;
	var pre = "1";
	//
	return {
		/**
		 * 依赖组件
		 */
		requires : [ 'Fw.Form', , 'Fw.PayControls',
		// 安全键盘
		'Fw.Keyboard', "Fw.app.Session"],
		/**
		 * 视图设置 设置标题栏、按钮等 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
		 */
		viewConfig : {
			/**
			 * 标题栏标题 如果为空或未设置，则标题栏不显示、左右按钮不显示
			 */
			title : '支付权限管理',
			/**
			 * 左边按钮（默认显示） 如果为false，则左边按钮不显示 leftButton: '左边按钮'
			 */
			leftButton : {
			// 自定义按钮标题（默认'返回'）
			// 自定义按钮点击事件（默认App.leftButtonHandler）
			},
			/**
			 * 是否自动显示等待层（默认true） 需手动隐藏等待层
			 */
			loadMask : true
		},
		/**
		 * 初始化 应用入口
		 */
		init : function(require) {
			// 定义表单
			if (!Fw.isEmpty(flags)) {
				if (Fw.isPhone) {
					record_data = eval("(" + record.data + ")");
				} else {
					record_data = record.data;
				}
				AgentFlag = record_data.List[record.index].AgentFlag;
				// }
			} else {
				// 支付权限
				AgentFlag = record.AgentFlag;
			}
			form = new Fw.Form({
				contentEl : 'form1',
				resettable : false,
				msgTarget : 'tips'
			});
			$("#acctOption").text(record.option);
			// 状态显示
			if (AgentFlag == '1') {
				$('#P1_check').attr("src", "image/checktrue.png");
				$("#payOpen").show();
			} else {
				$('#P1_check').attr("src", "image/checkfalse.png");
			}
			Fw.LoadMask.hide();
			// 初始化事件
			this.initEvents();
		},
		/**
		 * 初始化事件
		 */
		initEvents : function() {
			$("[id$=check]").on('click', Fw.bind(this.switchFn, this))
			$("[class^=detail]").on('click', Fw.bind(this.protocolFn, this))
			$('#list1 li').on('click', Fw.bind(this.onSelect, this))
			$("[id$=btn]").on('click', Fw.bind(this.btnFn, this))
			$("[name=onePay]").on('input', Fw.bind(this.amtCtrlFn, this))
			this.initForm();
		},
		/**
		 * 开关功能方法
		 */
		switchFn : function(e) {
			var id = e.currentTarget.id;
			Fw.Logger.debug(id)
			switch (id) {
			case 'P1_check':
				if (Fw.isEqual(AgentFlag, "1")) {
					Fw.Msg.cfm("该账户的线上支付权限将关闭，ATM/POS交易将受到限制，是否确认？", function(code, btn, win) {
						if (Fw.isEqual(code, "yes")) {// XXX 关闭交易接口为提供
							$('#P1_check').attr("src", "image/checkfalse.png");
							$("#payOpen").hide();
							AgentFlag = "0";
							pre = "1";
						}
					});
				} else {
					App.showPayCtrl('App.openPayPowerFn');
				}
				break;
			case 'P2_check':
				Fw.device.Device.applyView({
					title : '行内支付开通',
					leftButton : {
						handler : function() {
							App.leftButtonHandler();
						}
					},
					loadMask : true
				});
				$("#tab_title").text('行内支付开通');
				$("#P2_a_acctOption").text(record.option);
				App.showPage('pageP2_a');
				pre = "pageP2_a";
				break;
			case 'P3_check':
				Fw.Msg.cfm("您确定关闭该账户的行内支付功能吗？", function(code, btn, win) {
					if (Fw.isEqual(code, "yes")) {
						$("#P2_acctOption").text(record.option);
						App.showPage('pageP2');
						pre = "pageP2";
					}
				})
				break;
			default:
				break;
			}
		},
		/**
		 * 分开关选中
		 */
		onSelect : function(e) {
			var payType = $(e.currentTarget).find('.payType').text();
			var openSwitch = $(e.currentTarget).find('.openSwitch').text();
			var url=Fw.getBasePath();
			if (Fw.isEqual("1", payType)) {// 行内支付
				if (Fw.isEqual("开启", openSwitch)) {
					Fw.device.Device.applyView({
						title : '行内支付管理',
						leftButton : {
							handler : function() {
								App.leftButtonHandler();
							}
						},
						loadMask : true
					});
					$("#tab_title").text('行内支付管理');
					App.showPage('pageP3');
					pre = "pageP3";
					$("#P3_acctOption").text(record.option);
				} else {
					App.showPage('pageP2');
					pre = "pageP2"
					$("#P2_acctOption").text(record.option);
				}
			} else if (Fw.isEqual("2", payType)) {// 财付通快捷支付
				if (Fw.isEqual("开启", openSwitch)) {
					if (Fw.isEqual("开启", openSwitch)) {
						var params={
								record:record,
								flag:0
						}
						Fw.redirect(url+"/page/pub/quotaManagement/tenPay/main.html",params);
					}else{
						var params={
								record:record,
								flag:1
						}
						Fw.redirect(url+"/page/pub/quotaManagement/tenPay/main.html",params);
					}
				}
			} else if (Fw.isEqual("3", payType)) {// 支付宝快捷支付
				if (Fw.isEqual("开启", openSwitch)) {
					if (Fw.isEqual("开启", openSwitch)) {
						var params={
								record:record,
								flag:0
						}
						Fw.redirect(url+"/page/pub/quotaManagement/aliPay/main.html",params);
					}else{
						var params={
								record:record,
								flag:1
						}
						Fw.redirect(url+"/page/pub/quotaManagement/aliPay/main.html",params);
					}
				}
			} else if (Fw.isEqual("4", payType)) {// 银联无卡支付
				if (Fw.isEqual("开启", openSwitch)) {
					if (Fw.isEqual("开启", openSwitch)) {
						var params={
								record:record,
								flag:0
						}
						Fw.redirect(url+"/page/pub/quotaManagement/unionPay/main.html",params);
					}else{
						var params={
								record:record,
								flag:1
						}
						Fw.redirect(url+"/page/pub/quotaManagement/unionPay/main.html",params);
					}
				}
			} else if (Fw.isEqual("5", payType)) {// ATM/POS特殊交易权限
				if (Fw.isEqual("开启", openSwitch)) {
					var params={
							record:record,
							flag:0
					}
					Fw.redirect(url+"/page/pub/quotaManagement/atmPosPay/main.html",params);
				}else{
					var params={
							record:record,
							flag:1
					}
					Fw.redirect(url+"/page/pub/quotaManagement/atmPosPay/main.html",params);
				}
			}
		},
		btnFn : function(e) {
			var id = e.currentTarget.id;
			Fw.Logger.debug(id)
			switch (id) {
			case 'P2_submit_btn':
				var check = $("#P2_a_check").is(":checked");
				if (check) {
					formP2_a.submit();
				} else {
					Fw.Msg.info("请阅读或勾选协议后再提交");
				}
				break;
			case 'P3_submit_btn':
				formP3_1.submit();
				break;
			case 'P4_submit_btn':
				var check = $("#P4_check").is(":checked");
				if (check) {
					form_p4.submit();
				} else {
					Fw.Msg.info("请阅读或勾选协议后再修改");
				}
				break;
			case 'P5_submit_btn':
				App.leftButtonHandler();
				break;
			}

		},
		/**
		 * 协议显示 XXX
		 */
		protocolFn : function(e) {
			var id = e.currentTarget.id;
			Fw.Logger.debug(id);
			switch (id) {
			case 'detail_1':
				$("#P2_a_check").attr("checked", 'checked');
				$("#labelTab1").show();
				$("#ui-b").hide();
				pre = 'detail_1';
				break;
			case 'detail_2':
				$("#P4_check").attr("checked", 'checked');
				$("#labelTab1").show();
				$("#ui-b").hide();
				pre = 'detail_2';
				break;
			default:
				break;
			}
		},
		/**
		 * 初始化 form 表单 XXX
		 */
		initForm : function() {
			formP3_1 = new Fw.Form({
				// EL
				contentEl : 'formP3_1',
				// 是否激活重置事件（默认false）
				// 单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
				resettable : false,
				// 校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
				msgTarget : 'tips'
			});
			// 触发提交事件触发
			formP3_1.on('submit', this.formP3_1_submit, this);
			form_p4 = new Fw.Form({
				// EL
				contentEl : 'form_p4',
				// 是否激活重置事件（默认false）
				// 单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
				resettable : false,
				// 校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
				msgTarget : 'tips'
			});
			// 触发提交事件触发
			form_p4.on('submit', this.form_p4_submit, this);
			formP2_a = new Fw.Form({
				// EL
				contentEl : 'formP2_a',
				// 是否激活重置事件（默认false）
				// 单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
				resettable : false,
				// 校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
				msgTarget : 'tips'
			});
			// 触发提交事件触发
			formP2_a.on('submit', this.formP2_a_submit, this);
		},
		formP3_1_submit : function(values) {
			Fw.Logger.debug("formP3_1_submit");
			form_p4.setValues(values);
			$("#formP3_1").hide();
			form_p4.setValues("card", '');
			$(".pageP4").show();
			pre = 'pageP4';
		},
		form_p4_submit : function(values) {
			Fw.Logger.debug("form_p4_submit");
			App.showPage('pageP5');
			pre = 'pageP5_2';
		},
		formP2_a_submit : function(values) {
			Fw.Logger.debug("formP2_a_submit");
			App.showPayCtrl('App.openBankPayFn');
		},
		showPage : function(clsName) {
			$("[class*=page]").hide();
			$("." + clsName).show();
		},
		/**
		 * 显示支付控件
		 */
		showPayCtrl : function(Fn) {
			Fw.Logger.debug(Fn);
			var smsParams = {
				tranType : '080103', // 080103-互联网银行客户端非转账类交易验证
				// 080104-互联网银行客户端转账交易验证
				payerAcct : '', // 付款账号 交易类型080104-必传
				payeeAcct : '', // 收款账号 交易类型080104-必传
				payeeAcctName : '', // 收款人 交易类型080104-必传
				trsAmount : '', // 交易金额 交易类型080104-必传
				signcontent : Fw.encode(App.subData)
			};
			var checkWay = 'S&AP';
			if (Fw.isEqual("App.openBankPayFn", Fn)) {

			}
			var cardNews = {
					passwordType : 'T',// 借记卡 T 信用卡 B
					cardNo : record.No,
			}
			if(Fw.isEqual(record.BankAcType, 'PCRC') || Fw.isEqual(record.BankAcType, 'PCFC')){
				cardNews.passwordType = "B";
			}
			Fw.device.Device.payControls("S&AP", [], Fn, smsParams, cardNews);
		},
		/**
		 * 支付权限开通
		 */
		openPayPowerFn:function(){
			Fw.Logger.debug("-openPayPowerFn-");
			$('#P1_check').attr("src", "image/checktrue.png");
			$("#payOpen").show();
			AgentFlag = "1";
			pre = "1";
		},
		/**
		 * 行内支付开通
		 */
		openBankPayFn:function(){
			Fw.Logger.debug('-openBankPayFn-');
			$("#successText").text("开通成功");
			App.showPage('pageP5');
			pre = 'pageP5_1';
		},
		/**
		 * pc端金额输入控制
		 */
		amtCtrlFn:function(e){
			var name = e.currentTarget.name
			//收款行是否可以点击标识
			showBankFlag=false;
			var m = Fw.util.Format.unFmtAmt($("[name=" + name + "]").val());
			//保留小数点后的0
			var v=$("[name=" + name + "]").val().trim()+"";
	    	if(v.indexOf("¥")==0){
	    	   v=v.substring(1,v.length);
	    	}
	    	v=v.replaceAll(",","");
	    	var money;
	    	if(v.indexOf('.')>11){
				money = v.slice(0,v.indexOf('.')-1)+v.slice(v.indexOf('.'), v.length);
			}else{
				money = v.slice(0,v.length-1);
			}
			if(!/^[0-9]+\.?(\d{2})?$/.test(v)){
				if(/^(([1-9]\d*)|0)(\.\d+)?$/.test(v)){
					if((v.length-v.indexOf('.')-1)>2){
						$("#money").val(money).change();
					}
				}else{
					$("[name=" + name + "]").val(money).change();
				}
			}else{
				if(!/^[0-9]{1,11}([.][0-9]{1,2})?$/.test(m)){
					$("[name=" + name + "]").val(money).change();
				}
			}
		},
		leftButtonHandler : function() {
			if (flags == "1") {
				if (Fw.isTouch) {
					Fw.device.Device.myAcCard(record_data, record.index);
				} else {
					Fw.redirect(Fw.getBasePath() + "/page/pc/myAsset/myCard.html", record);
				}
			} else if (sign == "1") {
				if (Fw.isTouch) {
					Fw.gotoIndex();
				} else {
					Fw.redirect(Fw.getBasePath() + "/page/pageMenu/lifeService.html");
				}
			} else if (Fw.isEqual("1", pre)) {
				var params = {
					PayFlag : "1"
				};
				Fw.redirect("main.html", params);
			} else if (Fw.isEqual("pageP2_a", pre)) {
				App.showPage('pageP2');
				pre = 'pageP2';
			} else if (Fw.isEqual("pageP4", pre)) {
				App.showPage('pageP3');
				pre = 'pageP3';
			} else if (Fw.isEqual("pageP2", pre) || Fw.isEqual("pageP3", pre)) {
				Fw.device.Device.applyView({
					title : '支付权限管理',
					leftButton : {
						handler : function() {
							App.leftButtonHandler();
						}
					},
					loadMask : true
				});
				$("#tab_title").text('支付权限管理');
				$('#P1_check').attr("src", "image/checktrue.png");
				App.showPage('pageP1');
				$("#payOpen").show();
				pre = '1';
			} else if (Fw.isEqual("pageP5_1", pre) || Fw.isEqual("1", pre)) {
				var params = {
					PayFlag : "1"
				};
				Fw.redirect("main.html", params);
			} else if (Fw.isEqual("pageP5_2", pre)) {
				App.showPage('pageP3');
				pre = 'pageP3';
			} else if (Fw.isEqual("detail_1", pre)) {
				$("#labelTab1").hide();
				$("#ui-b").show();
				pre = 'pageP2_a';
			} else if (Fw.isEqual("detail_2", pre)) {
				$("#labelTab1").hide();
				$("#ui-b").show();
				pre = 'pageP4 ';
			}
		},
	};
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
