/**
 * 创建应用
 */
var App = function() {
    var searchbar, listView;
 // 付款账户下拉对象
	var accountList;
    var emptyTpl='<div class="font-size-18"><div class="ui-no">未查询到相关记录</div></div>';
    var values={}
    var formValue={}
    //
    //查询账号
    var card;
	// 付款账户
	var account;
    var stepNum=1;
    var tpl = [
       	    '<form class="ui-form ui-page-c ui-border-b">',   
       	    '{@each List as item,index}',
       	    '{@if index > 0 }',
       	    '<div style="border-bottom: 1px solid #E6E6E6;background-color: rgba(153, 153, 153, 0.16);height: 20px;"></div>',
       	    '{@/if}',
       	    '<div>',
							'<div class="ui-form-item">',
								'<lable class="ui-page-c-f">汇款金额：</lable>',
								'<div class="ui-page-c-rc">${item.TrsAmount|fmtAmt}</div>', 
							'</div>',
							'{@if "PayeeAcName" in item }',
							'<div class="ui-form-item">',
								'<lable class="ui-page-c-f">收款人：</lable>',
								'<div class="ui-page-c-r">${item.PayeeAcName}</div>',
								
							'</div>',
							'{@/if}',
							'<div class="ui-form-item">',
								'<lable class="ui-page-c-f">收款账号：</lable>',
								'<div class="ui-page-c-r">${item.PayeeAcNo|fmtAcctNo}</div>', 
							'</div>',
							'<div class="ui-form-item">',
								'<lable class="ui-page-c-f">收款行：</lable>',
								'{@if item.Channel=="INNER"}',
								'<div class="ui-page-c-r">福建省农村信用社联合社</div>', 
								'{@else}<div class="ui-page-c-r ui-nowrap" style="width:240px;text-align: right;">${item.PayeeBankName}</div>',
								'{@/if}',
							'</div>',
							'<div class="ui-row-flex ui-page-c-but">',
								'<div class="ui-col-2 ui-page-c-b ui-hand delTransfer DelQueryTransfer" onclick="App.onSelect(${item|JsonToStr})">撤销</div>',
							'</div>',
							 '</div>',
							'{@/each}',
							'</form>'
       		
       		];
    return {
        /**
         * 依赖组件
         */
        requires : [
            //列表
            'Fw.ListView',
            'Fw.Steps',
	        'Fw.DropDownList'
            ],
        /**
         * 视图设置
         * 设置标题栏、按钮等
         * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
         */
        viewConfig: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: '非实时汇款查询',
            /**
             * 左边按钮（默认显示）
             * 如果为false，则左边按钮不显示
             * leftButton: '左边按钮'
             */
            leftButton: {
                //自定义按钮标题（默认'返回'）
                text: '左边按钮',
                //自定义按钮点击事件（默认App.leftButtonHandler）
                //handler: XXX
            },
            /**
             * 右边按钮（默认不显示）
             * rightButton: '右边按钮'
             */
//            rightButton: {
//                //按钮标题
//                text: '右边按钮',
//                //自定义按钮点击事件（默认App.rightButtonHandler）
//                //handler: XXX
//            },
            /**
             * 是否自动显示等待层（默认true）
             * 需手动隐藏等待层
             */
            loadMask: true
        },
        /**
         * 初始化
         * 应用入口
         */
        init : function(require) {
        	
        	// 付款账户下拉对象
			this.accountList();
			// 查询用户付款账户
			this.queryAccount();
            this.initEvents();
            //初始化显示步骤页面
        	this.initPage(stepNum);
        	//初始化步骤组件
        	this.initStep();
            
        },
        /**
         * 初始化事件
         */
        initEvents: function(){
        	$("#next_btn").on("click",Fw.bind(this.query,this));
        },
        /**
         * 初始化显示步骤页面
         */
        initPage: function(num){
        	if(num == 1) {
        		$('#step1').show();
        		$('#step2').hide();
        		$('#step3').hide();
        	} else if(num == 2) {
        		$('#step1').hide();
        		$('#step2').show();
        		$('#step3').hide();
        	} else if(num == 3){
        		$('#step1').hide();
        		$('#step2').hide();
        		$('#step3').show();
        	}
        },
        /**
         * 初始化步骤组件
         */
        initStep: function(){
        	var data = [{
				name: '第一步'
			},{
				name: '第二步'
			},{
				name: '第三步'
			}];
			step = new Fw.Steps({
				contentEl: 'step',
				data: data
			});
        },
     // 查询用户付款账户
		queryAccount : function() {
			Fw.util.Ajax.get({
				service : 'accountService.getAccount',
				params : {
					type:'2',
				},
				 staticData: false,
				success : function(data, result) {
					
					account = data.List
					if(Fw.isEmpty(account) || account.length ==0){
						Fw.Msg.info("您的账户无转账权限功能,请至我行任一网点开通",function(){
							if (Fw.isPhone) {
								Fw.gotoIndex();
							} else {
								Fw.redirect(Fw.getBasePath() +"/page/pageMenu/moreMenu.html")								
							}
						})
					}else{
						$("#account").val(account[0].option);
						formValue.PayerAccountBankAcType=account[0].BankAcType;
						card=account[0].No;
					}
				},
			});
		},
        // 付款账户下拉
		accountList : function() {
			// 实例化下拉
			accountList = new Fw.DropDownList({
				// //必须参数：结果集
				result : account,
				// 是否显示账号
				displayNo : false,
				// 显示字段
				displayName : 'option',
				// 是否显示手动输入
				cursorBtn : false,
			// //可配置参数：设置不可点击参数值，1.默认[0],2.具体值，"不可点击字段“值等于"不可点击参数值"该项不可点击
			});

			// 点击显示组件坚挺---付款账户
			$('#showAccount').on('click', Fw.bind(this.showAccountList, this));
			// 监听select点击事件
			accountList.on('itemClick', Fw.bind(this.accountClick, this));
		},
		showAccountList : function() {
			accountList.show(account);

		},
		accountClick : function(data, index) {
			//
			if (index != -1) {
				$("#account").val(data.option);
				formValue.PayerAccountBankAcType=data.BankAcType;
				card=data.No;

			} else {
			}
		},
        //根据账号查询汇款
        query:function(){
        	stepNum=2;
        	this.initPage(2);
        	step.nextStep();
        	Fw.util.Ajax.get({
        		socketAdapter:'transferService/querybalance',
                params: {
              	  	peeAcNo: card
                },
                staticData: false,
                //请求成功后回调
                success: function(data, result) {
                	App.showTransferList(data);
                },
                //请求错误后回调
                failure: function(status, textStatus, error) {
                	if(Fw.isEqual(error, "不存在符合查询条件的记录！")){
                		Fw.Msg.info("未查询到相关记录",function(){
                			App.initPage(1);
                			stepNum = 1
                			step.prevStep();
                		}) 
                	}
                }
                
        	})
            
        },
        showTransferList:function(data){
    	   	juicer.register("JsonToStr", function(data){
    	   		return JSON.stringify(data);
    	   	});
    	   	if(data.List.length==0){
        		$('#form').html(emptyTpl);
    	   	}else{
    	   		//渲染模板
    		   	var html = Fw.template(tpl, data);
    		   	//添加到页面
    		    $('#form').html(html);
    	   	}
        },
        /**
         * 撤销按钮
         */
        onSelect : function(record) {
        	if(Fw.isEqual(record.Channel, "INNER")){
        		values.Channel=record.Channel;
        		values.HostJnlNo=record.HostJnlNo;
        		values.AcNo=record.PayerAcNo;
        		values.OriTransDate=record.TransDate;
        		values.PayChannelFlag=record.PayChannelFlag;
        	}else{
        		values.Channel=record.Channel;
        		values.HostJnlNo=record.UppSeqNo;
        	}
        	Fw.apply(formValue, record);
        	Fw.Msg.cfm('撤销该笔交易？', function(code, btn, win){
        		if(code=="yes"){
        			
        			App.notePayType();
        		}
            });
        },
        // 支付控件
		notePayType : function() {
			var showInfo = [];
			/**
			 * type
			 * 
			 * S&AP 短信验证码+账户密码 U&AP U-key密码+账户密码(pc端) AP 账户密码 CTP 信用卡交易密码 SMS
			 * 短信验证码 IC&AP IC卡+账户密码(手机端)
			 */
			var cardNews = {
					passwordType:'T',//借记卡  T  信用卡  B
					cardNo:card,
			}
			Fw.device.Device.payControls("AP", showInfo,
					'App.showNotePayType',{},cardNews);
		},
		showNotePayType : function(record, type, isObject) {
			
			if (Fw.isEqual(isObject, "false")||!isObject) {
				record = Fw.decode(record);
			}
            App.deleteTraining();
			
		},
		deleteTraining:function(){
			//删除该条撤销记录，发请求
			Fw.util.Ajax.get({
                socketAdapter:'transferService/deleteNextTransfer',
                params:values,
                //是否使用数据挡板（默认false）
                staticData: false,
                //请求成功后回调
                success: function(data, result) {
        			stepNum=3;
        			App.initPage(3);
    	        	step.nextStep();
            		$("#money").html(Fw.util.Format.fmtAmt(formValue.TrsAmount));
            		if(Fw.isEmpty(formValue.PayeeAcName)){
            			$("#showName").hide();
            		}else{
            			$("#name").html(formValue.PayeeAcName);
            		}
            		$("#card").html(Fw.util.Format.fmtAcctNo(formValue.PayerAcNo));
            		if(Fw.isEqual(formValue.Channel, "INNER")){
            			$("#bank").html("福建省农村信用社联合社");
            		}else{
            			$("#bank").html(formValue.PayeeBankName);
            		}
                	$("#pageC").show();
                },
            });
		},
        //上一步
        prev:function(){
        	this.initPage(1);
        	stepNum=1
        	step.prevStep();
        	$('#form').html("");
        },
        leftButtonHandler:function(){
        	if(stepNum==2){
        		App.prev();
        	}else if(stepNum==3){
        		this.initPage(1);
            	stepNum=1
            	step.prevStep();
            	$('#form').html("");
        	}else{
        		if(Fw.isPhone){
        			Fw.gotoIndex();
        		}else{
        			Fw.redirect(Fw.getBasePath() +"/page/pageMenu/moreMenu.html")
        		}
        		
        		
        	}
        }
        
    };
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
