/**
 * 创建应用
 */
var App = function() {
    var listView;
    var selectPayeeWindow;
    //
  //收款行客户端数据
	var bankData={};
	//收款行客户端数据2
	var bankData2={};
    //判断手机还是PC
    var isPhone =Fw.isPhone;
  //总行ID
    var BankId;
  //支行ID
    var BranchId;
    var BankType;
    var CardType;
    var params;
    //收款行是否可以点击标识
	var showBankFlag=false;
    return {
        /**
         * 依赖组件
         */
        requires : [
            'Fw.Form',
            'Fw.app.Session',
        ],
        /**
         * 视图设置
         * 设置标题栏、按钮等
         * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
         */
        viewConfig: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: '修改联系人',
            /**
             * 左边按钮（默认显示）
             * 如果为false，则左边按钮不显示
             * leftButton: '左边按钮'
             */
            leftButton: {
                //自定义按钮标题（默认'返回'）
                text: '左边按钮',
                //自定义按钮点击事件（默认App.leftButtonHandler）
                //handler: XXX
            },
            /**
             * 右边按钮（默认不显示）
             * rightButton: '右边按钮'
             */
//            rightButton: {
//                //按钮标题
//                text: '右边按钮',
//                //自定义按钮点击事件（默认App.rightButtonHandler）
//                //handler: XXX
//            },
            /**
             * 是否自动显示等待层（默认true）
             * 需手动隐藏等待层
             */
            loadMask: true
        },
        /**
         * 初始化
         * 应用入口
         */
        init : function(require) {
        	//页面传值
        	params=Fw.getParameters();
//        	$("#PayeeAcNo").val(params);
//        	Fw.Msg.info(params);
        	if(params){
        		
        		if(Fw.isEqual(params.PayeeFlag, "0")){
        			$("#PayeeAcName").attr("readonly","readonly")
        			$("#myAccount").prop("checked",true)
        		}else{
        			$("#account").prop("checked",true)
        		}
        		$("#PayeeAcNo").val(params.PayeeAcNo||"");
        		$("#PayeeAcName").val(params.PayeeAcName||"");
        		$("#PayeeAcAlias").val(params.PayeeAcAlias||"");
                $("#PayeeBankName").val(params.PayeeBankName||"");
                $("#PayeeDeptName").val(params.PayeeDeptName||"");
                BankId=params.PayeeBankId||"";
                //支行ID
                BranchId=params.PayeeBranchId||"";
                App.queryBankCard(params.PayeeAcNo);
        	};
        	if(isPhone){
        		//手机端
        		//查询收款行
				App.queryBank();
				//常用银行
//				App.queryCommonBank();
        		//手机端
        		// 收款行选择
				$("#showBank").on('click', Fw.bind(this.phoneCollectingBank, this));
				// 收款支行选择
				$("#showBank2").on('click', Fw.bind(this.phoneCollectingBank2, this));
        	}else{
        		//web端
            	//收款行查询
            	require('Fw.SelectWindow');
            	$("#showBank").on("click",Fw.bind(this.selectWindowBtnClick,this));
                $("#showBank2").on("click",Fw.bind(this.collectingBank,this));
        	}
        	//表单
        	this.form();
        	//监听事件
        	this.initEvents();
            //手动隐藏等待层
            Fw.LoadMask.hide();
        	
        },
        /**
         * 初始化事件
         */
        initEvents: function(){
        	//表单值改变时触发（包含文本输入框、多行文本输入框、单选、多选、下拉框）
            form.on('change', this.onChange, this);
            //触发提交事件前（校验前）触发
            form.on('beforesubmit', this.beforeSubmit, this);
            //触发提交事件触发
            form.on('submit', this.doSubmit, this);
            //点击按钮时触发（保存、重置、重发验证码）
//            buttons.tap(Fw.bind(this.onButtonClick, this));
            $("input[name='PayeeFlag']").on("click",Fw.bind(this.judgeflag,this));
            $("#next").on('click',Fw.bind(this.next,this));
            
        },
        queryBankCard:function(AcNo){
        	Fw.util.Ajax.query({
				socketAdapter : 'transferService/queryBankCard',
				// 请求参数
				params : {
					peeAcNo : AcNo
				},
				// 是否使用数据挡板（默认false）
				staticData : false,
				// staticData: true,
				// 请求成功后回调
				success : function(data, result) {
					BankType= data.BankType;
					CardType= data.CardType;
					if(data.BankType=="0"){
//						收款行是否可以点击标识
						showBankFlag=false;
						$("#showBank2").hide();
					}else{
//						收款行是否可以点击标识
						showBankFlag=true;
					}
				}
        	})
        },
        judgeflag:function(){
        	var flag=$("input[name='PayeeFlag']:checked").val();
        	if(flag=="0"){
        		$("#PayeeAcName").val(Fw.app.Session.getName()).change();
        		$("#PayeeAcName").attr("readonly","readonly");
        	}else{
        		$("#PayeeAcName").val("").change();
        		$("#PayeeAcName").val("").change();
        		
        		$("#PayeeAcName").removeAttr("readonly","readonly");
        	}
        },
      //手机端选择收款行
		phoneCollectingBank:function(){
			if(showBankFlag){
				bankData.flag="PAY2G";
				
				Fw.device.Device.showBankList(bankData,'App.getBank');
			}
		},
		 //手机端选择收款支行
		phoneCollectingBank2:function(){
			bankData2.flag="2"
			
			Fw.device.Device.showBankList(bankData2,'App.getBank');
			
		},
		//客户端收款行选择回调
		getBank:function(data){
			data=data.replaceAll('"','\"')
        	data=JSON.parse(data)
        	if(Fw.isEmpty(data.PayeeBankId)){
				$("#PayeeDeptName").val(data.PayeeBranchName).change();
				BranchId=data.PayeeBranchId;
			}else{
				if(data.PayeeBankId=="402391000068"){
					data.PayeeBankName="福建省农村信用社联合社";
				}
        		$("#PayeeBankName").val(data.PayeeBankName).change();
				BankId=data.PayeeBankId;
				
			}
			
		},
		
        //查询银行列表
		queryBank:function(){
	         //查询数据
	       	Fw.util.Ajax.query({
	       		service:'transferService.queryBankList',
	       		params: {
	       			InterbankType:"BEPS",
				 },
	               staticDate:false,
	               //请求成功后回调
	               success: function(data, result) {
	            	   Fw.apply(bankData2,data)
	               }
	           });
			Fw.util.Ajax.query({
	       		service:'transferService.queryBankList',
	       		params: {
	       			InterbankType:"PAY2G",
				 },
	               staticDate:false,
	               //请求成功后回调
	               success: function(data, result) {
	            	   	var json={
	              	   			PayeeBankId: "402391000068",
	              	   			PayeeBankName: "福建农信行内转账"
	       				}
	            	   	data.json=json;
	            	   	Fw.apply(bankData,data)
	               }
	           });
		},
        form:function(){
        	//定义表单
            form = new Fw.Form({
                //EL
                contentEl : 'form',
                //是否激活重置事件（默认false）
                //单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
                resettable: false,
                //校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
                msgTarget: 'tips'
            });
        },
        /**
         * 表单文本输入框、多行文本输入框输入时触发（不含单选、多选、下拉框）
         * 失去焦点时出发
         */
        onChange: function(name, value, oldValue, field){
        },
        /**
         * 触发提交事件前触发
         */
        beforeSubmit: function(values){
        },
        /**
         * 提交表单
         */
        doSubmit: function(values){
        	if(Fw.isEmpty($("#PayeeBankName").val())&&Fw.isEmpty($("#PayeeDeptName").val())){
        		Fw.Tips.info("收款行和收款支行至少填写一项");
        		return false;
        	}
        	var data ={"PayeeBankId":BankId,"PayeeType":"P","PayeeBranchId":BranchId}
        	Fw.apply(values,data);
        	Fw.Msg.cfm('是否确认修改?', function(code, btn, win){
        		
                if(Fw.isEqual(code, "yes")){
		            //提交到后台
			            Fw.util.Ajax.insert({
			                //数据源（服务接口）
//			                service: 'demo1Service',
			            	socketAdapter:'transferService/updateFriend',
			            	params:values,
			                //是否使用数据挡板（默认false）
//			                staticData: true,
			                staticData: false,
			                //请求成功后回调
			                success: function(data, result) {
			                        	
	                        	Fw.Msg.info("修改成功",function(){
	                        		if(isPhone){
	                            		Fw.gotoIndex();
	                            		
	                            	}else{
	                            		Fw.redirect(Fw.getBasePath() +"/page/pc/transfer_accounts/friendList.html");
	                            	}
	                        	});
			                    
			                }
		            	});
                }
        	})
        },
        next:function(){
        	var name= $("#PayeeAcName").val();
        	var AcNo= $("#PayeeAcNo").val();
			if(BankType=="0"){
				if (Fw.isEqual(CardType, "00")) {
					Fw.util.Ajax.query({
        				socketAdapter : 'creditCardManageService/executeMCCreditInfoQry',
        				params : {
        					AcNo : AcNo,//卡号
        					pwdCheckFlag:"0"//密码校验标识
        					
        				},
        				staticData : false,
        				success : function(data, result) {
        					if(!Fw.isEqual(data.OwnerCHName, name)){
        						Fw.Tips.info("账户与户名不符");
        						return;
        					}else{
								form.submit();
							}
        				}
        			})
				}else{
					Fw.util.Ajax.get({
    					socketAdapter: 'accountService/mCAccountBalanceQuery',
    					params: {
    						AcNo:AcNo
    					},
    					// 是否使用数据挡板（默认false）
    					staticData : false,
    					// 请求成功后回调
    					success : function(data, result) {
    						if(!Fw.isEqual(data.ClientName, name)){
    							Fw.Tips.info("账户与户名不符")
    							return;
    						}else{
    							form.submit();
    						}
    						
    					}
    				});
				}
			}else{
				form.submit();
			}
        },
      //收款行选择
        collectingBank:function(){
        	Fw.Window.show({
    			
				title : '收款支行选择',
				url : 'page/pc/transfer_accounts/collectingBank.html?pageFlag=1',
				autoCloseHandler: function(win, content, app){
					BranchId=app.getValue().PayeeBranchId;
					$("#PayeeDeptName").val(app.getValue().PayeeBranchName).change();
//                	console.log(app.getValue());
//                	win.hide();
                },
				buttons : [
				           {
				        	text : '返回',
							cls : 'ui-btn-default',
							dismiss: false,
							handler : function(btn, win, content, app) {
//								app.goBack();
								if(app.goBack()=="0"){
									win.hide();
								}
							}
						} ]
			});
        		
        },
        //实时到账的收款行的点击事件
        selectWindowBtnClick: function(e){
        	if(showBankFlag){
	        	Fw.Window.show({
					
					title : '收款行选择',
					url : 'page/pc/transfer_accounts/bankList.html',
					autoCloseHandler: function(win, content, app){
						if(Fw.isEmpty(app.getValue().BankId)){
							BranchId=app.getValue().BranchId;
							$("#PayeeDeptName").val(app.getValue().PayeeBranchName).change();
				        }else{
				        	if(app.getValue().BankId=="402391000068"){
				        		app.getValue().PayeeBankName="福建省农村信用社联合社";
				        	}
				        	BankId=app.getValue().BankId;
				        	$("#PayeeBankName").val(app.getValue().PayeeBankName).change();
					    }
	                },
				});
        	}
        },
        leftButtonHandler:function(){
        	if(isPhone){
        		Fw.gotoIndex();
        		
        	}else{
        		Fw.redirect(Fw.getBasePath() +"/page/pc/transfer_accounts/friendList.html");
        	}
        }
        
    }   
        
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
