package com.unionpay.smartpos.service.system.aidl;

import java.util.List;
import com.unionpay.smartpos.service.system.aidl.TerminalInfo;
interface AidlSystemManage {
	
	/**
	 * 重启设备
	 */
	void reboot();
	
	/**
	 * 恢复出厂设置
	 */
	void recovery();
	
	/**
	 * 获取设备信息
	 * @return 返回平台需要的终端信息
	 */
	TerminalInfo getTerminalInfo();
	
	/**
	 * 获取错误日志
	 * @param beginDate 请求日志的起始时间
	 * @param endDate 请求日志的结束时间
	 * @return 返回日志路径
	 */
	String getAppLogs(String beginDate, String endDate);
	
	
	/**
	* 获取自检报告
	* @return 返回日志路径
	*/
	String getSelfTestReport ();
	
}
