(function(){
    //是否调试模式，true时，加载/js/ares_src/*.js
    window['_debug'] = false;
    //平台类型（大屏web,小屏phone）
    window['_platform'] = function() {
    	if(!window.platform){
    		//屏幕宽度
    		var screenWidth = 0;
    		if (window.innerWidth) {
				screenWidth = window.innerWidth;
			} else if ((document.body)&&(document.body.clientWidth)) {
				screenWidth = document.body.clientWidth;
			}else {
				screenWidth = window.screen.width;
			}
		    //分辨率大于等于1024则认为大屏设备（PC,PAD）,否则为小屏设备（手机）
		    if(screenWidth >= 600) {
		    	window.platform = 'pc';
		    } else {
		    	window.platform = 'phone';
		    }
    	}
    	return window.platform;
    }
    
	//返回基本路径
	window['_getBasePath'] = function(){
		if(!window.basePath){
			var protocol = document.location.protocol;
			var host = document.location.host;
			var pathname = document.location.pathname;
			var ctxname = pathname.split('/')[1];
            if(pathname === '/' || ctxname === 'page' || ctxname === 'login.html'){
                window.basePath = protocol + '//' + host;
            }
            else{
                window.basePath = protocol + '//' + host + '/' + ctxname;
            }
		}
		return window.basePath;
	};
	//返回URL中的参数
	window['_getParameter'] = function (key, location){
	    var url = String(location || document.location);
	    if(key){
            var value = url.match(new RegExp('[?&]' + key + '=([^&]*)(&?)', 'i'));
            return value ? value[1] : null;
	    }
	    else{
            var start = url.indexOf('?');
            if (start == -1) {
                return null;
            }
            //
            url = url.slice(start + 1);
            var items = url.split('&');
            if(items.length === 0){
                return null;
            }
            //
            var key, value, index, item;
            var values = {};
            for (index = 0; index < items.length; index++) {
                item = items[index].split('=');
                key = item[0];
                value = item[item.length - 1];
                if (key) {
                    values[key] = value ? decodeURIComponent(value) : null;
                }
            }
            return values;
	    }
	};
	//
    window['_fwPath'] = window['_getBasePath']() + (window['_debug'] ? '/js/ares_src' : '/js/ares');
    window['_themePath'] = window['_getBasePath']() + '/theme/src';
    window['_theme'] = window['_getParameter']('theme') || 'default';
	var vars = [window['_getBasePath'](), window['_themePath'], window['_theme'], window['_fwPath'], window['_getParameter']('v') || 1, window['_platform']()];
    
	//引导框架脚本、样式
	//框架css需build后才可生效
	document.write(
	   (
	       //框架默认样式
           '<link type="text/css" rel="stylesheet" href="{0}/js/ares/resources/default/css/default.css"/>' +
           //自定义主题样式 
           '<link type="text/css" rel="stylesheet" href="{1}/{2}/css/{2}.css"/>' +
           //自定义主题样式 
           '<link type="text/css" rel="stylesheet" href="{1}/{2}/css/{2}.responsive.css"/>' +
           '<link type="text/css" rel="stylesheet" href="{1}/{2}/css/{2}.{5}.css"/>' +
           '<link type="text/css" rel="stylesheet" href="{1}/{2}/css/modal.css"/>' +
           //框架脚本 
	       '<script type="text/javascript" src="{3}/ares.js?v={4}" charset="utf-8"></script>'
	   ).replace(/\{(\d+)\}/g, function(m, i){
		return vars[i];
	}));
})();