/**
 * 创建应用
 */
var App = function() {
	var mounth_date = $('#lastModiDate');
	var mounth_date2 = $('#calendarDate');
	var mounth_dateShow = $('#lastModiDate_show');
	var calendar_div=$("#calendar_div");
	var calendarDom;
	var echarts;
	var NoteListView,NoticeListView,ResultList;
	var dict_menu2={},menu2;
	var flag_note,flag_notice;
	var shenmeTemp;
    return {
        requires : [
                    'Fw.TableView',
                    'Fw.Calendar',
        ],
        viewConfig:{
        	title:'我的记账薄',
        	leftButton: {
        		test:'返回',
        		handler:function(){
        			App.back();
        		}
        	},
        	loadMask:true,
        },
        back: function(){
        	var urltemp = Fw.getBasePath() +'/page/pageMenu/moreMenu.html';
         	Fw.redirect(urltemp);
        },
        init : function(require) {
        	mounth_date.val(Fw.util.Format.fmtDate(Fw.getDate(),'yyyy-MM'));
        	
        	mounth_date2.val(Fw.util.Format.fmtDate(Fw.getDate(),'yyyy-MM'));
        	this.initEvents();
            echarts = require('echarts/echarts');
            var pageflag =  Fw.getParameters("pageFlag");
            require.async(['echarts/chart/bar'], function(bar){
            	mounth_dateShow.html(App.specialDateTrans(mounth_date.val()));
            	calendar_div.find(".div2 .span_date").html(mounth_date2.val().split('-')[0]+"年"+mounth_date2.val().split('-')[1]+"月");
	            if(pageflag){
	            	App.showNotice();
	            }else{
	            	App.initDictMenu2();
	            }
            });
        },
        initEvents: function(){
        	$('#noticePage .div_floatButton').on('click', Fw.bind(this.toNoticePage, this));
        	$('#notePage .div_floatButton').on('click', Fw.bind(this.toNotePage, this));
        	mounth_date.on('change', Fw.bind(this.mounthChange, this));
        	$('#lastModiDate_show').on('click', Fw.bind(this.lastModiDate_showClick, this));
        	$('#page1').on('click', Fw.bind(this.showNote, this));
        	$('#page2').on('click', Fw.bind(this.showNotice, this));
        	$('#echart_in').on('click', Fw.bind(this.echart_in, this));
        	$('#echart_out').on('click', Fw.bind(this.echart_out, this));
        },
        initDictMenu2: function(){
        	Fw.util.Ajax.get({
        		socketAdapter: 'accountBookService/mCAcBookMenuQry',
                params: {QryFlag:'',PmenuId:''},
                success: function(data, result) {
                	menu2=data.List;
                	Fw.each(data.List,function(v){
                		dict_menu2[v.MenuId]=v.MenuName;
                	});
                	dict_menu2["flag"]=1;
                	App.showNote();
                },
            });
        },
        showNote:function(){
        	if(!dict_menu2.flag){
        		App.initDictMenu2();
        	}else{
	        	$("#page1").parent("li").addClass("active");
	        	$("#page2").parent("li").removeClass("active");
	        	$("#noticePage").addClass("div_hide");
	    		$("#notePage").removeClass("div_hide");
	    		if(!flag_note){
	    			App.initNote();
	    		}
        	}
        },
        BookListClick: function(record, index, item, e, cmp){
        	App.toNotePage(record);
        },
        lastModiDate_showClick: function(){
        	$('#lastModiDate').trigger('click');
        },
        initNote:function(){
        	flag_note=1;
        	App.refreshNoteList();
        },
        mounthChange: function(){
        	$('#transDetailList-loadmore').remove();
        	NoteListView.loadData();
        },
        refreshNoteList: function(){
        	juicer.register('BookTypeListTran',App.BookTypeListTran);
        	juicer.register('BookTimeListTran',App.BookTimeListTran);
        	NoteListView = new Fw.TableView({
	                contentEl : 'table_notList',
	                ajax : {
	                	socketAdapter: 'accountBookService/mCAcBookMgmtQry',
	                    rootProperty: 'result.List',
	                },
	                disclosure: true,
	                rowNumber: undefined,
	                itemTpl : [
	                        '<td class="td_noticeList-div0  tdStyle"></td>',
							'<td class="td_noteList" >',
								'<div class="div_listLeft">',
									'<div class="div1">'+
										'${item.BookTime|BookTimeListTran}',
									'</div>',
									'<div class="div2">',
										'${item.BookMenu|BookTypeListTran,item.Remark}',
									'</div>',
								'</div>',
							'</td>',
							'{@if (item.BookType == 0)}',
							'<td  class="td_noteList" ><div class="div_listRight color-83AF22">-${item.Amount|fmtAmt,2,false,""}元</div></td>',
							'{@else}',
							'<td  class="td_noteList" ><div class="div_listRight color-FF8245">+${item.Amount|fmtAmt,2,false,""}元</div></td>',
							'{@/if}',
							'</tr>'
	                ]
	            });
        	NoteListView.ajax.on('query', App.NoteQuery, this);
        	NoteListView.ajax.on('beforequery', this.NoteBeforeQuery, this);
        	NoteListView.on('itemclick', this.BookListClick, this);
        	NoteListView.loadData();
        },
        NoteQuery: function(ajax, data, result) {
        	var monthIn=0;
        	var monthOut=0;
        	if(data.length==0){
        		var html_none = '<div id="transDetailList-loadmore" class="x-loadmore ui-loading-wrap " style="transform-origin: 0px 0px 0px; opacity: 1; transform: scale(1, 1);"><i id="transDetailList-loadmore-loading" class="x-loadmore-loading " style="display: none;"></i><p id="transDetailList-loadmore-text" class="x-loadmore-text">未查询到相关记录</p></div>'
        			$("#table_notList").append(html_none);
        	}
        	Fw.each(data,function(v){
        		if(v.BookType==0){
        			monthOut += new Number(v.Amount);
        		}else{
        			monthIn += new Number(v.Amount);
        		}
        	});
        	
        	$('#month_in').html(Fw.util.Format.fmtAmt(monthIn));
        	$('#month_out').html(Fw.util.Format.fmtAmt(monthOut));
        	Fw.LoadMask.hide();
        	shenmeTemp=result;
        	App.refreshEcharts(result);
        	
        	return true;
        },
        echart_out:function(){
        	App. refreshEcharts(shenmeTemp);
        },
        echart_in:function(){
        	App. refreshEcharts(shenmeTemp,1);
        },
        refreshEcharts: function(data,type){
        	var dayList=[];
        	var dayInList=[];
        	var dayOutList=[];
        	var dayNoList=[];
	       	var month_val = mounth_date.val();
	       	console.log(month_val);
	       	var month_date=month_val.substring(0,4)+"-"+(new Number(month_val.substring(4,6))-1)+"-"+1;
	       	var y =new Number(month_val.substring(0,4));
	       	var m =new Number(month_val.substring(5));
	       	var dayLong = new Date(y,m,0).getDate();
	       	for(var i = 0;i<dayLong;i++){
	       		 dayList[i]=i+1;
	       		 dayInList[i]=0;
	       		 dayOutList[i]=0;
	       		dayNoList[i]=0;
	       	}
	       	Fw.each(data.result.List,function(v){
	       		var date = new Number((v.BookTime).substring(6,8))-1;
	       		 if(v.BookType==1){
	       			dayInList[date] += new Number(v.Amount); 
	       		 }else{
	       			dayOutList[date] += new Number(v.Amount);
	       		 }
	       	});
	       	if(Fw.isEmpty(type)){
	       		dayInList=dayNoList;
	       	}else{
	       		dayOutList=dayNoList;
	       	}
	        var options = {
	       				padding : 0,
	    			    calculable : false,
	    			    color:[
	    			           '#FE8254',
	    			           '#9BC63D',
	    			           ],
	    			    grid:{
	    			    	x : 20,
	    			    	y : 10,
	    			    	x2: 20,
	    			    	y2: 20,
	    			    	borderWidth:0
	    			    },
	    			    xAxis : [
	    			        {
	    			            type : 'category',
	    			            data : dayList,
	    			           splitLine:{
	    			        	   show:false
	    			           },
	    			          axisTick:{
	   			        	   show:false
	   			           },
	   			           axisLine:{
	   			        	   show:true,
	   			        	   lineStyle:{
	   			        		   color:'#dfdfdf'  
	   			        	   }
	   			        	  
	   			           },
	   			           axisLabel:{
	   			           textStyle:{
	   			        	   color: '#c0c0c0'
	   			           }
	   			           }
	    			        }
	    			    ],
	    			    yAxis : [
	    			        {
	    			            type : 'value',
	    			            show : false,
	    			        }
	    			    ],
	    			    series : [
	    			        {
	    			            name:'收入',
	    			            type:'bar',
	    			            data:dayInList,
	    			           stack: 'money',
	    			           barWidth:3,
	    			           barGap:'90%'
	    			        },
	    			        {
	    			            name:'支出',
	    			            type:'bar',
	    			            data:dayOutList,
	    			           stack: 'money',
	    			           itemStyle: {
	    			                normal: {
	    			                    barBorderRadius:0,
	    			                }
	    			            },
	    			        },
	    			    ]
	       	 };
	         echarts.init('bar').setOption(
	               		 options	 
	         );
        },
        NoteBeforeQuery : function(ajax, message, url) {
            ajax.setParams( {'CurrentDate': mounth_date.val().replace(/\D/g,"")});
            mounth_dateShow.html(App.specialDateTrans(mounth_date.val()));
        },
        showNotice:function(){
        	$("#page2").parent("li").addClass("active");
        	$("#page1").parent("li").removeClass("active");
        	$("#notePage").addClass("div_hide");
    		$("#noticePage").removeClass("div_hide");
    		if(!flag_notice){
    			App.initNotice();
    		}
        },
        initNotice:function(){
        	flag_notice=1;
        	
        	this.initNoticeList();
        },
        initNoticeList: function(){
        	juicer.register('RemindTransTypeTrans',App.RemindTransTypeTrans);
        	juicer.register('RemindTimeTrans',App.RemindTimeTrans);
        	NoticeListView = new Fw.TableView({
	                contentEl : 'table_noticeList',
	                ajax : {
	                	socketAdapter: 'accountBookService/mCRemMsgQry',
	                    rootProperty: 'result.List',
	                },
	                disclosure: true,
	                rowNumber: undefined,
	                itemTpl : [
	                        '<td class="td_noticeList-div0  tdStyle"></td>',
							'<td class="td_noticeList">',
							'<div class="div1">',
								'${item.RemindTime|RemindTimeTrans}',
							'</div>',
							'</td>',
							'<td class="td_noticeList">',
								'<div class="div2">',
									'${item.TransType|RemindTransTypeTrans}',
								'</div>',
							'</td>',
	                ]
	            });
        	 NoticeListView.on('itemclick', this.RemindListClick, this);
        	 NoticeListView.ajax.on('beforequery', this.NoticeBeforeQuery, this);
        	 NoticeListView.ajax.on('query', this.NoticeQuery, this);
        	 NoticeListView.loadData();
        	 App.calendarEvent();
        },
        NoticeBeforeQuery : function(ajax, message, url) {
            ajax.setParams( { QryDate:mounth_date2.val().replace(/\D/g,'')});
        },
        NoticeQuery: function(ajax, data, result) {
        	console.log(data);
        	signList=[];
        	ResultList=result.result.List;
        	if(result.result.List.length==0){
        		var html_none = '<div id="transDetailList-loadmore" class="x-loadmore ui-loading-wrap" style="transform-origin: 0px 0px 0px; opacity: 1; transform: scale(1, 1);"><i id="transDetailList-loadmore-loading" class="x-loadmore-loading " style="display: none;"></i><p id="transDetailList-loadmore-text" class="x-loadmore-text">未查询到相关记录</p></div>'
        			$("#table_noticeList").append(html_none);
        	}
        	var temp =$('#calendarDate').val().replace(/\D/g,'');
			var y = temp.substring(0,4);
			var m = new Number(temp.substring(4,6));
			var temp_long=new Date(y,m,0).getDate();
			
        	Fw.each(result.result.List,function(v){
        		var temdd =v.CreateTime.substring(0,10).split("-");
        		var createDate = new Date(new Number(temdd[0])+"-"+new Number(temdd[1])+"-"+new Number(temdd[2]));
        		if(v.FreqMenu1==0){
        			signList.push(new Number(v.FreqMenu2.substring(6,8)));
        		}else if(v.FreqMenu1==1){
        			for(var i =1;i<=temp_long;i++){
        				var tempDate = new Date(y+'-'+m+'-'+i);
        				
        				if(!(tempDate<createDate)){
	        				if(new Number(v.FreqMenu2)==(tempDate.getDay())){
	        					signList.push(i);
	        				}
        				}
        			}
        		}else if(v.FreqMenu1==2){
        			var tempday =v.FreqMenu2;
        			tempday=""+tempday;
        			if(tempday.length==1){
        				tempday="0"+tempday;
        			}
        			var tempDate = new Date(y+'-'+m+'-'+tempday);
        			if(!(tempDate<createDate)){
        				signList.push(new Number(v.FreqMenu2));
        			}
        		}
        	})
        	Fw.LoadMask.hide();
        	App.refreshCalender(new Date(y+'-'+m+'-'+1),signList);
        	
        },
        RemindListClick: function(record, index, item, e, cmp){
        	App.toNoticePage(record);
        },
        
        
        toNoticePage: function(data){
        	var url = Fw.getBasePath() +'/page/pub/accountBook/Notice/writeNotice/main.html';
        	Fw.redirect(url,{'pageParam':data});
        },
        toNotePage: function(data){
        	var url = Fw.getBasePath() +'/page/pub/accountBook/Note/writeNote/main.html';
        	Fw.redirect(url,{'pageParam':data});
        },
        //字典/工具
        BookTimeListTran: function(v){
        	var temp = new Date(v.substring(0,4)+'-'+v.substring(4,6)+'-'+v.substring(6,8));
        	var result=temp.getDate()+"日/周";
        	switch(temp.getDay()){
	        	case 1: result+="一";break;
	        	case 2: result+="二";break;
	        	case 3: result+="三";break;
	        	case 4: result+="四";break;
	        	case 5: result+="五";break;
	        	case 6: result+="六";break;
	        	case 0: result+="日";break;
        	}
        	return result;
        },
        RemindTransTypeTrans: function(v){
        	var dict={
            		"0":"贷款到期",	
            		"1":"理财到期",
            		"2":"缴费",
            		"3":"信用卡还款",
            		"4":"预约转账",
            		"5":"其他"
            	};
            	return dict[v];
        },
        RemindTimeTrans: function(v){
        	var dict={
            		"0":"08:00-11:30",	
            		"1":"11:30-14:30",
            		"2":"14:30-18:30",
            		"3":"18:30-08:00"
            	};
            	return dict[v];
        },
        BookTypeListTran: function(v,remark){
        	if((v=="0801")||(v=="1101")){
        		if(remark.trim()!=""){
        			return remark;
        		}else{
        			return "其他";
        		}
        	}
        	return dict_menu2[v];
        },
        specialDateTrans:function(v){
        	var result="";
        	var date = v.split("-");
        	result += date[0];
        	result += "年";
        	result += date[1];
        	result += "月";
        	var temp =new Date(date[0],date[1],0).getDate();
        	result += "<span style='font-size:12px;'>("+date[0]+"."+date[1]+".01~"+date[0]+"."+date[1]+"."+temp+")</span>";
        	return result;
        },
        //日历插件
        signDate: function(list){
        	if(list){
    	    	Fw.each(list,function(v){
    	    		calendarDom.find("div.day-"+v).addClass("singdiv");
    	    	});
        	}
        },
        refreshCalender: function(dateN,list){
        		calendarDom = calendar_div.find("#div_calendarContent");
        		var today,d; 
        		if(dateN){
        			today=dateN;
        			if(Fw.getDate().getFullYear()==dateN.getFullYear()){
        				if(Fw.getDate().getMonth()==dateN.getMonth()){
        					d = Fw.getDate().getDate();
        				}
        			}
        		}else{
        			today = Fw.getDate();
        			d = today.getDate();
        		}
        		var 
        	    y = today.getFullYear(), 
        	    m = today.getMonth()+1, 
        	    monthLong =  new Date(y, m, 0).getDate(),
        	    firstday = new Date(y, m-1, 1), 
        	    dayOfWeek = firstday.getDay(), 
        	    str_nums = Math.ceil((dayOfWeek + monthLong) / 7); 
        		var html="";
        		html +="<table class='table_calendar' cellspacing='0'>";
        		html +="<tr><th>日</th><th>一</th><th>二</th><th>三</th><th>四</th><th>五</th><th>六</th></tr>"; 
        		for (var i = 0; i < str_nums; i++) { 
        			html +='<tr>';
	        	    for (var k = 0; k < 7; k++) {
		        	    var idx = 7 * i + k; 
		        	    var date = idx - dayOfWeek + 1; 
		        	    (date <= 0 || date > monthLong) ? date = '&nbsp;': date = idx - dayOfWeek + 1; 
		        	    date == d ? html +='<td class="today"><div data="'+date+'" class="calendarDay day-'+date+' todaydiv">' + date + '</div></td>' : html +='<td><div  data="'+date+'"  class="calendarDay day-'+date+'">' + date + '</div></td>'; //高亮显示当天
	        	    }
	        	    html +='</tr>';
        		}
        		html +='</table>';
        		calendarDom.empty();
        		calendarDom.append(html);
        		App.signDate(list);
        		$(".calendarDay").on('click', Fw.bind(this.calendarClick, this));
        },
        calendarEvent: function(){
        	calendar_div.find(".div1").on('click', Fw.bind(this.calendarChange, this));
        	calendar_div.find(".div3").on('click', Fw.bind(this.calendarChange, this));
        	mounth_date2.on('change', Fw.bind(this.calendarChangeShow, this));
        	calendar_div.find(".div2").on('click', Fw.bind(this.calendarTrigger, this));
        	
        },
        calendarChangeShow: function(){
        	$("#transDetailList-loadmore").remove();
        	var temp =mounth_date2.val().split("-");
        	calendar_div.find(".div2 .span_date").html(temp[0]+"年"+temp[1]+"月");
        	NoticeListView.loadData();
        },
        calendarClick:function(e){
        	
        	var that = $(e.currentTarget);
        	
        	var day = that.attr("data");
        	if(!(0<day)){
        		return;
        	};
        	$(".table_calendar .clicked").removeClass("clicked");
        	that.addClass("clicked");
        	for (var i = 0;i<ResultList.length;i++){
        		var v = ResultList[i];
        		$("#table_noticeList tr").eq(i).hide();
        		if(v.FreqMenu1==0){
        			
        			if((''+new Number(day))==(''+new Number(v.FreqMenu2.substring(6,8)))){
        				$("#table_noticeList tr").eq(i).show();
        			}
        			
        		}else if(v.FreqMenu1==1){
        				if(new Number(v.FreqMenu2)==(new Date(mounth_date2.val().substring(0,4)+'-'+mounth_date2.val().substring(5,7)+'-'+day).getDay())){
        					var temlis = v.CreateTime.substring(0,10).split("-");
        					if(!(new Date(new Number(temlis[0])+"-"+new Number(temlis[1])+"-"+new Number(temlis[2]))>new Date(mounth_date2.val().substring(0,4)+'-'+mounth_date2.val().substring(5,7)+'-'+day))){
        						$("#table_noticeList tr").eq(i).show();
        					}
        				}
        			
        		}else if(v.FreqMenu1==2){
        			if((''+new Number(day))==(''+new Number(v.FreqMenu2))){
        				var temlis = v.CreateTime.substring(0,10).split("-");
    					if(!(new Date(new Number(temlis[0])+"-"+new Number(temlis[1])+"-"+new Number(temlis[2]))>new Date(mounth_date2.val().substring(0,4)+'-'+mounth_date2.val().substring(5,7)+'-'+day))){
    						$("#table_noticeList tr").eq(i).show();
    					}
        			}
        		}
        	}
        },
        calendarTrigger: function(){
        	$('#calendarDate').trigger("click");
        },
        calendarChange: function(e){
        	var thatS = $(e.currentTarget).attr("data-sign");
        	var tempDate = $("#calendarDate").val();
    		var tempMonth = tempDate.split("-")[1];
    		var tempYear= tempDate.split("-")[0];
    		tempYear = new Number(tempYear);
    		tempMonth = new Number(tempMonth);
        	if(thatS=="before"){
        		if(tempMonth==1){
        			tempMonth=12;
        			tempYear--;
        		}else{
        			tempMonth--;
        		}
        	}else{
        		if(tempMonth==12){
        			tempMonth=1;
        			tempYear++;
        		}else{
        			tempMonth++;
        		}
        	}
        	tempMonth +='';
        	if(tempMonth.length==1){
        		tempMonth="0"+tempMonth;
        	}
        	mounth_date2.val(tempYear+"-"+tempMonth).trigger('change');
        	
        }
        
    };
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);