/**
 * 创建应用
 */
var App = function(){
	var step,BeginDt,EndDt;
	var form = $('#form');
	var page_params,page_params2,tplPageFoot,tplPageMain,tplPageMain2,printTpl;
	var beginDateEl = $('#startTime'); 
	var endDateEl = $('#endTime'); 
	var ecltemp ={};
	return {
		requires: [	
		           'Fw.Steps',
		           'Fw.TableView',
		           'Fw.Calendar',
		],
		viewConfig: {
			title: '批量转账查询',
            leftButton: {
                text: '返回',
                handler:function(){
        			App.back();
        		}
            }
		},
		back: function(){
        	if(step.currentStep==1){
        		var urltemp = Fw.getBasePath() +'/page/pageMenu/moreMenu.html';
             	Fw.redirect(urltemp);
        	}else{
        		$('.tranStepFlag').hide();
        		//alert(step.currentStep);
        		
        		if(step.currentStep == 2){
        			$("#transDetailList-loadmore").remove();
        			$("#batchTranList").find("tbody").remove();
        		}
    			$('#step_div_'+(step.currentStep-1)).show();
    			step.step(step.currentStep-1);
        	};
        },
		init: function(require){
			var data = [
				{name: '选择日期'},
				{name: '选择记录'},
				{name: '显示结果'}
			];
			step = new Fw.Steps({
				contentEl: 'step',
				data: data
			});
			juicer.register('fmtFee',App.fmtFee);
			tplPageMain = require('../tpl/004.tpl').join('');
			tplPageMain2 = require('../tpl/005.tpl').join('');
			printTpl = require('../tpl/006.tpl').join('');
			tplPageFoot = require('../tpl/pagefoot.tpl').join('');
        	$('#step_div_1').show(); 
        	$('#downTransferAccount').on('click', Fw.bind(this.fileDownload, this));
        	$('#printTransferAccount').on('click', Fw.bind(this.filePrint, this));
        	$('#testbutt').on('click', Fw.bind(this.onSelect, this));
        	this.initStepJump();
        	Fw.LoadMask.hide();
		},
		isValid: function(){
            return validator.validate().isValid();
        },
        ontest:function(e){
        	var that = $(e.currentTarget);
        	that.siblings("input").trigger("diyDo");
        },
		initValidator: function(){
            	var mess;
            	var result=true;
            	var reg=/^\d{4}-\d{2}-\d{2}$/;
            	if(reg.test(endDateEl.val())){
            		if(reg.test(beginDateEl.val())){
                		var tempday =Fw.getDate();
                		var y = tempday.getFullYear();
                		var m = tempday.getMonth();
                		var d = tempday.getDate();
                		y -= 2;
                		var newday = new Date(y,m,d);
                		var inputday = new Date(beginDateEl.val());
                		if(newday>inputday){
                			mess='请输入两年内日期';
                		}else if(new Date(endDateEl.val())>Fw.getDate()){
                			mess='结束日期不得大于今天'
                		}else if(new Date(beginDateEl.val())>new Date(endDateEl.val())){
                   			mess='时间逻辑关系错误';
                   		}else{
                       		var beginday = new Date(beginDateEl.val());
                       		var y = beginday.getFullYear();
                    		var m = beginday.getMonth();
                    		var d = beginday.getDate();
                    		m += 6;
                    		var newday = new Date(y,m,d);
                       		var endday = new Date(endDateEl.val());
                       		if(newday<endday){
                       			mess='时间间隔不得大于六个月';
                       		}
                   		}
                	}else{
                		mess='请输入有效的起始日期';
                	}
            	}else{
               		mess='请输入有效的结束日期';
               	}
                if(mess){
                	 Fw.Tips.info(mess);
                	 return false;
                }
                return true;        	 
        },
		initStepJump: function(){
			$('#Step_div_1_next').on('click', function(){
				if(!App.formValidate('form')){
	        		return false;
	        	};
				if(!App.initValidator()){
					return false;
				}
				$('#step_div_1').hide();
				$('#step_div_2').show();
				$('#step_div_3').hide();
				step.step(2);
				App.step_div_2_getValue();
			});
			$('#Step_div_3_next').on('click', function(){
				$('#step_div_3').hide();
				$('#step_div_2').hide();
				$('#step_div_1').show();
				step.step(1);
			});
		},
		step_div_2_getValue: function(){
			BeginDt=beginDateEl.val();
			EndDt=endDateEl.val();
			$('#step_div_2_beginDate').html(BeginDt);
        	$('#step_div_2_endDate').html(EndDt);
        	juicer.register('dictionary',App.dictionary);
			juicer.register('dicProcessState',App.dicProcessState);
////			 var listView = new Fw.ListView({
////	                contentEl : 'batchTranList',
            Fw.util.Ajax.query({
            	socketAdapter: 'batchTransfer/mCBatchTrsQry',
                params: {
                    'BeginDt': BeginDt.replace("-","").replace("-",""),
                    'EndDt':EndDt.replace("-","").replace("-","")
                },
                success: function(data, result) {
        			page_params={
                            id: 'batchTranList',
                            limitSize:5,
                            pageSize:6,
                            page_data:result.result.List,
                    };
        			if(Fw.isEmpty(result.result.List)){
        				var html = '<div id="transDetailList-loadmore" class="x-loadmore ui-loading-wrap " style="transform-origin: 0px 0px 0px; opacity: 1; transform: scale(1, 1);"><i id="transDetailList-loadmore-loading" class="x-loadmore-loading " style="display: none;"></i><p id="transDetailList-loadmore-text" class="x-loadmore-text">未查询到相关记录</p></div>';
        				$("#step_div_2").append(html);
        			}else{
        				App.page_refreshPage(page_params);
        			}
        			Fw.LoadMask.hide();
                }
	        });
//			$('#batchTranList').find('tbody').remove();
//			$('#batchTranList').find('tfoot').remove();
//			juicer.register('dicProcessState',App.dicProcessState);
//			 var listView = new Fw.TableView({
//	                contentEl : 'batchTranList',
//	                ajax : {
//	                	socketAdapter: 'batchTransfer/mCBatchTrsQry',
//	                     params: {
//	                         'BeginDt': BeginDt.replace("-","").replace("-",""),
//	                         'EndDt':EndDt.replace("-","").replace("-","")
//	                     },
//	                    rootProperty: 'result.List',
//	                    pageSize: 5,
//	                    page:true,
//	                },
//	                itemTpl : [
//						'<td>${item.PayerAcNo}</td>'+
//						'<td>${item.TotalAmount|fmtAmt}</td>'+
//						'<td class="color-ff8245">${item.TotalCount}</td>'+
//						'<td>${item.FailCount}</td>'+
//						'<td>${item.TransDate}</td>'+
//						'<td>${item.ProcessState|dicProcessState}</td>'
//	                ]
//	            });
//	            listView.on('itemclick', this.onSelect, this);
//	            listView.ajax.on('query', this.onQuery, this);
//	            listView.loadData();
	    },
	    onSelect : function(record, index, item, e, cmp) {
	    	$('#step_div_3_PayerAccountNo').html("");
        	$('#step_div_3_TrsDate').html("");
        	$('#step_div_3_TotalAmount').html("");
        	$('#step_div_3_TotalCount').html("");
        	$('#step_div_3_ProcessState').html("");
        	ecltemp.TrsDate = record.TransDate;
        	ecltemp.TotalAmount = record.TotalAmount;
        	ecltemp.TotalCount = record.TotalCount;
        	ecltemp.TotalFeeAmount = record.TotalFeeAmount;
        	ecltemp.ProcessState = record.ProcessState;
    		Fw.util.Ajax.get({
            		service: 'accountService',
                    method: 'getAccount',
                    params: {
                    	type:'2'
                    },
                    success: function(data, result) {
                    	Fw.each(data.List,function(v){
                			if(record.PayerAcNo==v.No){
                				$('#step_div_3_PayerAccountNo').html(v.option);
                			}
                		});
                    },
                    failure:function(){
                    	$('#step_div_3_PayerAccountNo').html(record.PayerAcNo);
                    	return false;
                    }
            });
        	$('#step_div_3_TrsDate').html(record.TransDate);
        	$('#step_div_3_TotalAmount').html(Fw.util.Format.fmtAmt(record.TotalAmount));
        	$('#step_div_3_TotalCount').html(record.TotalCount);
        	$('#step_div_3_FeeAmount').html(App.fmtFee(record.TotalFeeAmount));
        	$('#step_div_3_ProcessState').html(App.dicProcessState(record.ProcessState));
        	$('#batchTranItem').find('tbody').remove();
        	$('#batchTranItem').find('tfoot').remove();
        	juicer.register('dicProcessStateDetail',App.dicProcessStateDetail);
        	Fw.util.Ajax.query({
					socketAdapter: 'batchTransfer/mCBatchDetTrsQry',
						params: {
						  'JnlNo': record.JnlNo
						},
						success: function(data, result) {
							ecltemp.list = result.result.List
							page_params2={
								id: 'batchTranItem',
								limitSize:5,
								pageSize:5,
								page_data:result.result.List,
							};
							App.page_refreshPage2(page_params2);
							Fw.LoadMask.hide();
						}
			});
//	    	var listView2 = new Fw.TableView({
//                contentEl : 'batchTranItem',
//                ajax : {
//                	socketAdapter: 'batchTransfer/mCBatchDetTrsQry',
//                   
//                     params: {
//                         'JnlNo': record.JnlNo
//                     },
//                    rootProperty: 'result.List',
//                    pageSize: 10,
//                },
//                itemTpl : [
//                	
//					'<td>${item.PayeeAccountNo}</td>',
//					'<td>${item.PayeeAccountName}</td>',
//					'<td class="color-ff8245">${item.TrsAmount|fmtAmt}</td>',
//					'{@if (item.TransferPolicyType == "PAY2G")}',
//						'<td class="nyyh-ico">${item.PayeeBankName}</td>',
//					'{@else}',
//						'<td class="nyyh-ico">${item.PayeeBranchName}</td>',
//					'{@/if}',
//					
//					'<td>${item.FeeAmount}</td>',
//					'<td>${item.FundUsage}</td>',
//					'<td>${item.ProcessState|dicProcessStateDetail}</td>',
//					'<td>${item.ReturnMsg}</td>',
//                ]
//            });
            //listView2.on('itemclick', this.onSelect, this);
//            listView2.ajax.on('query', this.onQuery2, this);
//            listView2.loadData();
        	App.showStep3();
        },
        showStep3: function(){
        	$('#step_div_1').hide();
			$('#step_div_2').hide();
			$('#step_div_3').show();
			step.step(3);
        },
        onQuery2 : function(ajax, data, result) {
        	ecltemp.list = result.result.List
        },
		fileDownload: function(){
			ecltemp.ProcessState=App.dicProcessState(ecltemp.ProcessState);
			for(var i = 0;i<ecltemp.list.length;i++){
				ecltemp.list[i].ProcessState=App.dicProcessStateDetail(ecltemp.list[i].ProcessState)
				ecltemp.list[i].FundUsage=App.dictionary(ecltemp.list[i].FundUsage)
				if(ecltemp.list[i].PayeeBankName==undefined){
					
						ecltemp.list[i].PayeeBankName=ecltemp.list[i].PayeeBranchId;
						ecltemp.list[i].PayeeBankName=ecltemp.list[i].PayeeBranchName;
					
				}
				
			}
			//return false;
			Fw.Msg.cfm('是否保存该文件？', function(code, btn, win){
		       	  if(code=='yes'){
						Fw.util.Ajax.get({
			                service: 'BTFileAnalyse',
			                method: 'getBatchXLS',
			                params:{
			                	print:ecltemp,
			                },
			                success: function(data, result) {
			                	var url =Fw.getBasePath()+"/channel/download.do?tmp=true&fileId="+data.fileId+"&fileName="+new String(data.fileName)+".xls";
			                	$('body').append("<iframe style='width:0; height:0; position:absolute; top:-500px;left:-500px;; id='download_temp' src='"+url+"'></iframe>");
			            		setTimeout(function(){
			            		$('#download_temp').remove();
			            		})
			                	Fw.LoadMask.hide();
			                }
			            });
                	  }
			 });
        },
        page_refreshPage: function(Lpage_params,page){
			var pageLimit=Math.floor((Lpage_params.page_data).length/Lpage_params.pageSize);
			if(Lpage_params.page_data.length%Lpage_params.pageSize!=0){
				pageLimit++;
			}
			var currentPage=0;
			if(!page){
					page=1;
			}
			switch(page) {
				case 'first':	currentPage=1;break;
				case 'prev':	currentPage=Lpage_params.currentPage-Lpage_params.limitSize; break;
				case 'next':	currentPage=Lpage_params.currentPage+Lpage_params.limitSize; break;
				case 'last':	currentPage=pageLimit;break;
				case 'go':		currentPage=$('#'+Lpage_params.id+'-number').val();break;
				default:		currentPage=page;break;
			}
			if(currentPage<1){
					currentPage=1;
			}
			if(currentPage>pageLimit){
				currentPage=pageLimit;
			}
			if((page=='go')&&($('#'+Lpage_params.id+'-number').val()=='')){
				 return false;
			}
			currentPage=new Number(currentPage);
			Lpage_params.data=Lpage_params.page_data;
			Lpage_params.pageLimit=++pageLimit;
			Lpage_params.currentPage=currentPage;
			Lpage_params.subData=Lpage_params;
			Lpage_params.subTpl=tplPageMain;
        	var html2 = Fw.template(tplPageFoot,Lpage_params);
        	$('#'+Lpage_params.id).html(html2);
        	$('#'+Lpage_params.id+' .paging-body .pageLibA').on('click', Fw.bind(this.AClick, this));
        	$('#'+Lpage_params.id+'-number').on('input', Fw.bind(this.numberLimit, this));
        	$('#'+Lpage_params.id+' tbody tr').on('click', Fw.bind(this.itemClick, this));
        },
        AClick: function(e){
        	var that = $(e.currentTarget);
        	App.page_refreshPage(page_params,that.attr("page"));
        	return false;
        },
        itemClick : function(e) {
        	$('#step_div_1').hide();
			$('#step_div_2').hide();
			$('#step_div_3').show();
			step.step(3);
			var that = $(e.currentTarget);
			App.onSelect(page_params.page_data[that.attr("data-no")]);
        },
        page_refreshPage2: function(Lpage_params,page){
			var pageLimit=Math.floor((Lpage_params.page_data).length/Lpage_params.pageSize);
			if(Lpage_params.page_data.length%Lpage_params.pageSize!=0){
				pageLimit++;
			}
			var currentPage=0;
			if(!page){
					page=1;
			}
			switch(page) {
				case 'first':	currentPage=1;break;
				case 'prev':	currentPage=Lpage_params.currentPage-Lpage_params.limitSize; break;
				case 'next':	currentPage=Lpage_params.currentPage+Lpage_params.limitSize; break;
				case 'last':	currentPage=pageLimit;break;
				case 'go':		currentPage=$('#'+Lpage_params.id+'-number').val();break;
				default:		currentPage=page;break;
			}
			if(currentPage<1){
					currentPage=1;
			}
			if(currentPage>pageLimit){
				currentPage=pageLimit;
			}
			if((page=='go')&&($('#'+Lpage_params.id+'-number').val()=='')){
				 return false;
			}
			currentPage=new Number(currentPage);
			Lpage_params.data=Lpage_params.page_data;
			Lpage_params.pageLimit=++pageLimit;
			Lpage_params.currentPage=currentPage;
			Lpage_params.subData=Lpage_params;
			Lpage_params.subTpl=tplPageMain2;
        	var html2 = Fw.template(tplPageFoot,Lpage_params);
        	$('#'+Lpage_params.id).html(html2);
        	$('#'+Lpage_params.id+' .paging-body .pageLibA').on('click', Fw.bind(this.AClick2, this));
        	$('#'+Lpage_params.id+'-number').on('input', Fw.bind(this.numberLimit, this));
        },
        AClick2: function(e){
        	var that = $(e.currentTarget);
        	App.page_refreshPage2(page_params2,that.attr("page"));
        	return false;
        },
        formValidate: function(form){
        	var thats=$('[data-allowBlank="false"]');
        	if(form){
        		thats=$('#'+form).find('[data-allowBlank="false"]');
        	}
        	for(var i =0;i<thats.length;i++){
        		var v = thats[i];
        		if(($(v).val()=="")||($(v).val()==undefined)){
        			if($(v).attr("data-type")=='select'){
        				if(($(v).attr("data-value")=="")){
        					 Fw.Tips.info('请选择'+$(v).attr("data-label"));
        					 return false;
        				}
        			}else{
        				 Fw.Tips.info('请输入'+$(v).attr("data-label"));
        				 return false;
        			}
        		}
        	};
        	return true;
        },
        filePrint:function(){
        	$('#printIframe').remove();
        	ecltemp.ProcessState=App.dicProcessStateDetail(ecltemp.ProcessState);
			for(var i = 0;i<ecltemp.list.length;i++){
				ecltemp.PayerAccountNop=ecltemp.list[i].PayerAccountNo;
				ecltemp.list[i].ProcessState=App.dicProcessState(ecltemp.list[i].ProcessState)
				ecltemp.list[i].FundUsage=App.dictionary(ecltemp.list[i].FundUsage)
				if(ecltemp.list[i].TransferPolicyType=="PAY2G"){
					
				}else{
					if(ecltemp.list[i].BankId==undefined){
						ecltemp.list[i].BankId=ecltemp.list[i].PayeeBankId;
						ecltemp.list[i].BankName=ecltemp.list[i].PayeeBankName;
					}
				}
			}
        	var pif = document.createElement('iframe');
        	var doc = null;
        	pif.setAttribute("style","display:none;");
        	pif.setAttribute("id","printIframe");
        	pif.setAttribute("name","printIframeN");
        	document.body.appendChild(pif);
        	doc = pif.contentWindow.document;
        	var html = Fw.template(printTpl).render(ecltemp);
        	doc.write('<link type="text/css" rel="stylesheet" href="'+Fw.getBasePath()+'/theme/src/default/css/default.css">');
        	doc.write('<link type="text/css" rel="stylesheet" href="'+Fw.getBasePath()+'/theme/src/default/css/default.responsive.css">');
        	doc.write('<link type="text/css" rel="stylesheet" href="'+Fw.getBasePath()+'/theme/src/default/css/default.pc.css">');
        	doc.write(html);
        	doc.close();
        	pif.contentWindow.document.title="银行批量转账明细查询清单";
        	pif.contentWindow.focus();
        	pif.contentWindow.print();
        	$('#printIframe').remove();
        },
        dicProcessStateDetail: function(v, f){
			var result;
			if(Fw.isEmpty(f) || f != "INNER"){
				var dict={
						'OK':'执行成功',
						'FL':'执行失败',
						'UC':'执行异常',
						'POK':'等待执行',
						'RUN':'正在执行',
						'WAP':'待审核',
						'AG':'审核通过',
						'RJ':'审核不通过',
				}
			}else{
				var dict={
						'OK':'执行成功',
						'FL':'执行失败',
						'UC':'状态未知',
						'POK':'等待执行',
						'RUN':'正在执行',
						'WAP':'待审核',
						'AG':'审核通过',
						'RJ':'审核不通过',
				}
			}
			result =dict[v];
			if(!result){
				result=v;
			}
			return result;
		},
		dicProcessState: function(v){
			var result;
			var dict={
					'OK':'提交成功',
					'FL':'执行失败',
					'UC':'执行异常',
					'POK':'等待执行',
					'RUN':'正在执行',
					'WAP':'待审核',
			}
			result =dict[v];
			if(!result){
				result=v;
			}
			return result;
		},
		dictionary: function(v,b){
//			var dict={
//					1:"往来款",
//					2:"货款",
//					3:"采购款",
//					4:"工资",
//					5:"借款",
//					6:"还款",
//					7:"差旅款",
//					8:"保证金",
//					9:"运费",
//					10:"手工输入"
//			}
//			return Fw.isEmpty(dict[v]) ? v:dict[v];
			return v;
		},
		fmtFee:function(v){
	        	if(v==0){
	        		return "免费";
	        	}
	        	return Fw.util.Format.fmtAmt(v)
	    },
	};
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
