/**
 * 创建应用
 */
var App = function() {
	var container = $('body');
	var sign = 0;
	var form, param, select_data_Account, innTpl, payTpl;
	var buttons = $('button');
	var suType = 1;
	var listView, tpl;
	var dropDownList;
	var dropDownList1;
	var data1 = [ {
		"option" : "转账汇款",
		"No" : '1'
	}, {
		"option" : "退汇",
		"No" : '3'
	}, {
		"option" : "生活服务",
		"No" : '9'
	} ];
	var ChannelType = {
		'1' : '行内转账',
		'2' : '跨行转账(加急)',
		'3' : '跨行转账(普通)',
		'4' : '农信跨省转账',
		'6' : '跨行实时',
		'7' : '银企直连批量代付',
		'8' : '银企直连单笔代收',
		'9' : '学费缴费',
		'10' : '水费',
		'11' : '电费',
		'12' : '有线电视费',
		'13' : '电信缴费',
		'14' : '居民保',
		'15' : '批量收款',
		'16' : '批量付款',
		'17' : '物业费缴费',
		'18' : '现金存入',
		'19' : '党费',
		'20' : '租房公租金',
	};
	return {
		requires : [ 'Fw.Form', 'Fw.Calendar', 'Fw.ListView', 'Fw.DropDownList', 'Fw.Keyboard', ],
		viewConfig : {
			title : '电子回单查询',
			leftButton : {
				handler : function() {
					App.back();
				}
			},
			loadMask : true,
		},
		back : function() {
			if ($('#main_page').css('display') == 'block') {
				if (Fw.isPhone) {
					Fw.gotoIndex();
				} else if (!Fw.isEmpty(Fw.getParameters("aimUrl"))) {
					var urltemp = Fw.getBasePath() + Fw.getParameters("aimUrl");
					Fw.redirect(urltemp, Fw.getParameters());
				} else {
					var urltemp = Fw.getBasePath() + '/page/pageMenu/moreMenu.html';
					Fw.redirect(urltemp);
				}
			} else {
				$('#sub_page').hide();
				$('#main_page').show();
				container.scrollTop(sign);
			}
		},
		init : function(require) {
			this.initJuicer();
			form = new Fw.Form({
				contentEl : 'form',
				resettable : false,
				msgTarget : 'tips'
			});
			tpl = require('../tpl/001.tpl').join('');
			payTpl = require('../tpl/002.tpl').join('');
			innTpl = require('../tpl/003.tpl').join('');
			$('#beginT').val(App.getFullDate(0, 0,-7));
			$('#endT').val(App.getFullDate());
			dropDownList = new Fw.DropDownList({
				displayNo : false,
				displayName : 'option',
				cursorBtn : false
			});
			dropDownList1 = new Fw.DropDownList({
				displayNo : false,
				displayName : 'option',
				cursorBtn : false
			});
			this.initEvents();
			this.getAccounts();
			this.getActType();
		},
		initJuicer : function() {
			juicer.register("ChannelType", function(data) {
				return ChannelType[data];
			});
			juicer.register("fmtName", function(data) {
				if (data.length > 10) {
					var start = data.length - 4;
					if (start < 4) {
						start = 4;
					}
					return data.substring(0, 4) + '****' + data.substring(start, data.length);
				} else {
					return data;
				}
			});
		},
		getActType : function() {
			for (var i = 1; i < data1.length - 1; i++) {
				App.fadeSelect_set_value('fade_input_type', data1[i].option, data1[i].No);
			}
			App.fadeSelect_set_value('fade_input_type', data1[0].option, data1[0].No);
		},
		selectClick : function() {
			dropDownList1.show(data1);
		},
		initEvents : function() {
			$('#serach_info_trap').on('click', Fw.bind(this.serachInfoActive, this));
			$('#search_btn').on('click', Fw.bind(this.normalSearch, this));
			$('#Smoney').on('input', Fw.bind(this.moneyLimit, this));
			$('#Emoney').on('input', Fw.bind(this.moneyLimit, this));
			$('#Smoney').on('blur', Fw.bind(this.amountFormat, this));
			$('#Emoney').on('blur', Fw.bind(this.amountFormat, this));
			$('#Account').on('click', Fw.bind(this.showDropDownListClick, this));
			$('#fade_input_type').on('click', Fw.bind(this.selectClick));
			dropDownList.on('itemClick', Fw.bind(this.itemClick, this));
			dropDownList1.on('itemClick', Fw.bind(this.itemClick1, this));
			$('.calendarInput').on('change', Fw.bind(this.dateLogic, this));
		},
		amountFormat : function(e) {
			var El = $(e.currentTarget);
			El.val(Fw.util.Format.fmtAmt(Fw.util.Format.unFmtAmt(El.val())));
		},
		moneyLimit : function(e) {
			var $that = $(e.currentTarget);
			var t_val = $that.val();
			var temp;
			var true_val = t_val.replace(/[,]/g, "").replace("¥", "");
			var list = t_val.split(".");
			var Reg = /^\d{1,11}([.]\d{0,2}){0,1}$/;
			var Reg2 = /^[.]\d{0,2}$/;
			if (Reg.test(true_val)) {
				return true;
			} else if (Reg2.test(t_val)) {
				$that.val("0" + t_val);
			} else if (list.length > 2) {
				for (var i = list.length - 2; i > 0; i--) {
					t_val = t_val.replace(".", "");
				}
				temp = Fw.util.Format.fmtAmt(t_val);
				$that.val(temp);
			} else {
				list[0] = list[0].replace(/\D/g, "");
				list[0] = list[0].substr(0, 11);
				if (list.length == 2) {
					list[1] = list[1].replace(/\D/g, "");
					if (list[1].length > 2) {
						list[1] = list[1].substr(0, 2);
					}
					temp = Fw.util.Format.fmtAmt(list[0] + "." + list[1]);
					$that.val(temp);
				} else {
					temp = Fw.util.Format.fmtAmt(list[0]);
					$that.val(temp);
				}
			}
		},
		onQueryError : function(ajax, data, result, error) {
			$("#transDetailList").empty();
		},
		onError : function(ajax, status, textStatus, error, xhr) {
			if ($('.Btnactive').html() != undefined) {
				var temp = $('.Btnactive').html() + "交易";
				if (ajax.params.QryFlag == '1') {
					temp += " 共0笔";
				}
				$('#dynamic_title').html(temp);
			} else {
				var temp = $('#beginT').val() + "至" + $('#endT').val() + "交易 共0笔"
				$('#dynamic_title').html(temp);
				$('#serach_info_trap').trigger("click");
			}
			$("#" + listView.contentEl + "-loadmore-text").html("未查询到相关记录");
		},
		printbutton : function() {
			var pif = document.createElement('iframe');
			var doc = null;
			pif.setAttribute("style", "display:none;");
			pif.setAttribute("id", "printIframe");
			pif.setAttribute("name", "printIframeN");
			document.body.appendChild(pif);
			doc = pif.contentWindow.document;
			App.eBillrecord.BDate = Fw.getDate();
			var printTpl = innTpl;
			if (param.BillType == "9") {
				printTpl = payTpl;
			} else {
				printTpl = innTpl;
			}
			var html = Fw.template(printTpl).render(App.eBillrecord);
			doc.write('<link type="text/css" rel="stylesheet" href="' + Fw.getBasePath() + '/theme/src/default/css/default.css">');
			doc.write('<link type="text/css" rel="stylesheet" href="' + Fw.getBasePath() + '/theme/src/default/css/default.responsive.css">');
			doc.write('<link type="text/css" rel="stylesheet" href="' + Fw.getBasePath() + '/theme/src/default/css/default.pc.css">');
			doc.write(html);
			doc.close();
			pif.contentWindow.document.title = "　";
			pif.contentWindow.focus();
			pif.contentWindow.print();
		},
		onBeforeQuery : function(ajax, message, url) {
			ajax.setParams({
				'MyPageSeq' : ''
			})
			ajax.setParams(param);
		},
		onQuery : function(ajax, data, result) {
			param['MyPageSeq'] = result.result['_PageId'];
			if ($('.Btnactive').html() != undefined) {
				var temp = $('.Btnactive').html() + "交易";
				if (ajax.params.QryFlag == '1') {
					temp += " 共" + result.total + "笔";
				}
				$('#dynamic_title').html(temp);
			} else {
				var temp = $('#beginT').val() + "至" + $('#endT').val() + "交易 共" + result.total + "笔";
				$('#dynamic_title').html(temp);
				if ($('#serach_info').css('display') == 'block') {
					$('#serach_info_trap').trigger("click");
				}
			}
			Fw.LoadMask.hide();
		},
		getAccounts : function() {
			Fw.util.Ajax.get({
				service : 'accountService',
				method : 'getAccount',
				params : {
					type : '2',
				},
				success : function(data, result) {
					if (data.List.length == 0) {
						Fw.Msg.cfm('您的账户尚未加挂储蓄账户!', function(code, btn, win) {
							App.back();
						});
					} else {
						select_data_Account = data.List;
						for (var i = 0; i < select_data_Account.length; i++) {
							var tempLen = (select_data_Account[i].No).length;
							select_data_Account[i].option = Fw.SimN(select_data_Account[i].DeptSeq) + App.accDete(select_data_Account[i].BankAcType) + " " + ("" + select_data_Account[i].No).substr(tempLen - 4, tempLen);
						}
						var temp = Fw.getParameters("AcNo");
						if (Fw.isEmpty(temp)) {
							App.fadeSelect_set_value('fade_input_account', select_data_Account[0].option, select_data_Account[0].No);
						} else {
							for (var i = 0; i < select_data_Account.length; i++) {
								if (select_data_Account[i].No == temp) {
									App.fadeSelect_set_value('fade_input_account', select_data_Account[i].option, select_data_Account[i].No);
								}
							}
							if ($('#fade_input_account').attr("data-value") == "") {
								App.fadeSelect_set_value('fade_input_account', select_data_Account[0].option, select_data_Account[0].No);
							}
						}
					}
				}
			});
		},
		accDete : function(data) {
			var name = '账户';
			if (data == 'PMCT') {
				name = '定期一本通';
			}
			if (data == 'PTIM') {
				name = '定期存单';
			}
			if (data == 'PSDP') {
				name = '存折';
			}
			if (data == 'PSDC') {
				name = '储蓄卡';
			}
			if (data == 'PDBC') {
				name = '储蓄卡';
			}
			if (data == 'PMCS') {
				name = '存折';
			}
			if (data == 'PPDC') {
				name = '储蓄卡';
			}
			return name;
		},
		showDropDownListClick : function() {
			dropDownList.show(select_data_Account);
		},
		itemClick : function(data, index) {
			if (index == -1) {
			} else {
				$('#fade_input_account').html(data.option);
				$('#fade_input_account').attr("data-value", data.No);
				if ($('#serach_info').hasClass('serach_info')) {
					App.serachInfoActive();
				}
			}
		},
		itemClick1 : function(data, index) {
			if (index == -1) {

			} else {
				$('#fade_input_type').html(data.option);
				$('#fade_input_type').attr("data-value", data.No);
				if (data.No == "9") {
					$('#Payeelab').html("缴费户名:");
					$('#PayeeName').attr("placeholder", "请输入缴费户名");
				} else {
					$('#Payeelab').html("收款人:");
					$('#PayeeName').attr("placeholder", "请输入收款人");
				}
			}
		},
		fadeSelect_set_value : function(id, option, value) {
			$('#' + id).html(option);
			$('#' + id).attr("data-value", value);
		},
		normalSearch : function() {
			if (!App.initValidator()) {
				return false;
			}
			$('.Btnactive').removeClass("Btnactive");
			if (listView == undefined) {
				listView = new Fw.ListView(
					{
						contentEl : 'transDetailList',
						ajax : {
							service : 'eBillQryService',
							method : 'queryTrsDetail',
							params : {},
							pageSize : 5,
							rootProperty : 'result.List',
						},
						disclosure : true,
						itemTpl : [
								'<div class="detail_list_div_li">',
								'<span id="stUtype" onclick="App.doStype()" class="btn_ebillSub">打印</span>',
								'<div class="div_listLeft" ></div>',
								'<div style="margin-left:30px;border-bottom: 1px solid #E6E6E6;">',
								'<div style="margin-right: 30px;" class="" >',
								'<div class="div2" style="width: 100px;">',
								'${item.TransDate|fmtDate}', '</div>',
								'<div class="div2" style="width: 100px;">',
								'${item.Channel|ChannelType}', '</div>',
								'<div class="div2" style="width: 150px;">',
								'${item.PayeeName|fmtName}', '</div>',
								'<div class="div2" style="width: 120px;">',
								'${item.PayeeAcNo|fmtAcctNo,true}',
								'</div>', '<div class="div2">',
								'${item.Amount|fmtAmt,"2",false,"￥"}',
								'</div>', '</div>', '</div>', '</div>' ]
					});
			}
			param = {
				AcNo : $('#fade_input_account').attr("data-value"),
				PayeeName : $('#PayeeName').val(),
				BeginDate : $('#beginT').val().replaceAll("-", ""),
				EndDate : $('#endT').val().replaceAll("-", ""),
				BeginAmt : Fw.util.Format.unFmtAmt($('#Smoney').val()),
				EndAmt : Fw.util.Format.unFmtAmt($('#Emoney').val()),
				BillType : $('#fade_input_type').attr("data-value"),
			}
			listView.ajax.setParams(param);
			listView.ajax.on('beforequery', this.onBeforeQuery, this);
			listView.on('itemclick', this.toSubPage, this);
			listView.ajax.on('query', this.onQuery, this);
			listView.ajax.on('queryerror', this.onQueryError, this);
			listView.ajax.on('error', this.onError, this);
			listView.loadData();
		},
		initValidator : function() {
			var endDateEl = $('#endT');
			var beginDateEl = $('#beginT');
			var BeginAmt = Fw.util.Format.unFmtAmt($('#Smoney').val());
			var EndAmt = Fw.util.Format.unFmtAmt($('#Emoney').val());
			var mess = "";
			if (EndAmt < BeginAmt) {
				mess = '起始金额不大于终止金额';
			}
			var result = true;
			var reg = /^\d{4}-\d{2}-\d{2}$/;
			if (reg.test(beginDateEl.val()) && reg.test(endDateEl.val())) {
				var tempday = Fw.getDate();
				var y = tempday.getFullYear();
				var m = tempday.getMonth();
				var d = tempday.getDate();
				m -= 3;
				var newday = new Date(y, m, d);
				var inputday = new Date(beginDateEl.val());
				if (newday > inputday) {
					mess = '只能查询最近3个月的电子回单，请重新选择日期范围';
				} else if (new Date(beginDateEl.val()) > Fw.getDate()) {
					mess = '开始日期不得大于今天'
				} else if (new Date(endDateEl.val()) > Fw.getDate()) {
					mess = '结束日期不得大于今天'
				} else if (new Date(beginDateEl.val()) > new Date(endDateEl.val())) {
					mess = '起始日期不大于结束日期';
				}
			} else {
				mess = '日期格式不正确';
			}
			if (mess != "") {
				Fw.Tips.info(mess);
				return false;
			}
			return true;
		},
		serachInfoActive : function() {
			$('#serach_info').toggleClass('serach_info');
			$('#serach_info_trap .fade-select').toggleClass('div1');
		},
		doStype : function() {
			suType = 0;
		},
		toSubPage : function(record, index, item, e, cmp) {
			sign = container.scrollTop();
			record["AmtStatus"] = "";
			var html = Fw.template(tpl, record);
			App.eBillrecord = record;
			if (suType == 1) {
				$('#sub_page .content').html(html);
				$('#sub_page').show();
				if (param.BillType == "9") {
					$('#labNo').html("缴费号码:");
					$('#labName').html("缴费户名:");
				} else {
					$('#labNo').html("收款账户:");
					$('#labName').html("收款人名称:");
				}
				$('#eBill_btn').on('click', Fw.bind(this.printbutton, this));
				$('#main_page').hide();
			} else {
				App.printbutton();
			}
			suType = 1;
		},
		getFullDate : function(yc, mc, dc) {
			var temp = Fw.getDate();
			var y = temp.getFullYear();
			var m = temp.getMonth();
			var d = temp.getDate();
			if (yc != undefined) {
				y += yc;
			}
			if (mc != undefined) {
				m += mc;
			}
			if (dc != undefined) {
				d += dc;
			}
			temp = new Date(y, m, d);
			y = temp.getFullYear();
			m = temp.getMonth() + 1;
			d = temp.getDate();
			y += "";
			m += "";
			d += "";
			if (m.length == 1) {
				m = "0" + m;
			}
			if (d.length == 1) {
				d = "0" + d;
			}
			return y + "-" + m + "-" + d;
		},
	}
}();
/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);