/**
 * 创建应用
 */
var App = function() {

	var accountDropDownList;//支付账号列表
	var accountList;//所有支付账号
	var page_params,tplPageMain,tplPageFoot;//页面参数，主模板，表格脚模板
	var sign=1;//页面显示标志
	
	var detailInfo;//跳转详情页带过去的信息
	
	var queryAccNum,queryAccName;//查询账号	账号名称+后四位
	var fixedAcctNo,fixedFund;//定期账号，定期款项
	var mCFLBTimToSav;//定转回需要的参数
	var channelDate;//渠道日期
	var money;
	
	return {
		requires :[ 'Fw.SearchBar','Fw.DropDownList','Fw.ListView','Fw.PayControls','Fw.Form'],
		viewConfig : {
			title : '富利宝转回',
			leftButton: {
                //自定义按钮标题（默认'返回'）
                text: '左边按钮',
                //自定义按钮点击事件（默认App.leftButtonHandler）
                //handler: XXX
                handler:function(){
                	App.back();
 	    		}
            },
			loadMask : false,
		},
		
		back: function(){
			if(sign==1){
				var url=Fw.getBasePath()+"/page/pageMenu/moreMenu.html"
				Fw.redirect(url);
			}else if(sign==2){
				sign=sign-1;
				App.showPage(sign);
				
			}else{
				$('#turnMoney').val("");
				sign=sign-1;
				App.showPage(sign);
				this.searchBtn();
			}
		},
		
		init : function(require) {
			this.showPage(sign);
			this.queryAccountList();
			this.initDropDownList();
			this.initEvents();
			tplPageMain = require('./tpl/001.tpl.js').join('');
			tplPageFoot= require('./tpl/pagefoot.tpl.js').join('');
		},
	
		queryAccountList:function(){
			Fw.util.Ajax.get({
				service :'accountService.getAccount',
				params:{
					"type":"2"
				},
				staticData: false,
				success : function(data, result) {
					
					if (data.List.length == 0) {
						Fw.Msg.info('您的账户无转账权限功能,请至我行任一网点开通', function() {
							Fw.redirect(Fw.getBasePath()+"/page/pageMenu/moreMenu.html");
						});
					} else{
						accountList=data.List;
						for(var i = 0;i < accountList.length;i++){
							accountList[i].brchna = accountList[i].option;
						}
						queryAccName=accountList[0].brchna;
						queryAccNum=accountList[0].No;
						
						$('#fade_input_account').html(queryAccName);//默认第一个账户
						$('#fade_input_account').attr("data-value",queryAccNum);
					}
					
				}
			});
		},
		
		initDropDownList:function(){
			accountDropDownList = new Fw.DropDownList({
        		//必须参数：结果集
        		result: accountList,
        		//可配置参数：1.false,随内容撑出高度，2.num：固定高度，超出滚动显示,默认[220]
        		fixedHeight: 220,
        		disableField: 'cardtp',
        		//可配置参数：设置不可点击参数值，1.默认[0],2.具体值，"不可点击字段“值等于"不可点击参数值"该项不可点击
        		disableFieldValue: '1',
        		displayName: 'brchna',
        		displayNo: false,
        		cursorBtn: false,
        	});
		},
		

		initEvents : function() {
			$('#queryInput').on('click', Fw.bind(this.showAccountList, this));
			accountDropDownList.on('itemClick',Fw.bind(this.selectOneAccount, this));
			
			$('#search_btn').on('click', Fw.bind(this.searchBtn, this));
			$('#turn_btn').on('click', Fw.bind(this.dieTurnLive, this));
			$('#back_btn').on('click', Fw.bind(this.back_btn, this));
			$('#certain_btn').on('click', Fw.bind(this.valideTurnMoney, this));
			$('#back_btn1').on('click', Fw.bind(this.back_btn1, this));
			$('#turnMoney').on('input', Fw.bind(this.paymentClick, this));
			$('#turnMoney').on('blur', Fw.bind(this.formatAmt, this));
			$('#successBack').on('click', Fw.bind(this.successBack, this));
			
		},
		showAccountList:function(){
			accountDropDownList.show(accountList);
		},
		
		selectOneAccount:function(accountList){
			$('#fade_input_account').html(accountList.brchna);
			$('#fade_input_account').attr("data-value", accountList.No);
			
			queryAccName=accountList.brchna;
			queryAccNum=accountList.No;
			
		},
		searchBtn:function(e){
		
			$('#fade_input_account1').attr("data-value", queryAccNum);
			$('#fade_input_account1').html(queryAccName);
			
			var param;
		
			Fw.util.Ajax.query({
				socketAdapter: 'fuLiBao/queryMCFLBTimUnSignAcctInfoQry',
				params:{
					"AcctNo":queryAccNum
				},
				staticData:false,
				success:function(data,result){
					param={
						"AcctNo":queryAccNum
					}
					
					Fw.util.Ajax.query({
		        	   socketAdapter: 'fuLiBao/queryMCFLBTimProfolioSubAcct',
		        	   params:param,
		               staticData: false,
		               success: function(data, result) {
		            	    sign=2;
			            	App.showPage(sign);
		                	page_params={
	                		    id: 'table',
	                            limitSize:5,
	                            pageSize:5,
	                            page_data:result.result.List,
		                    };
		                		
		        			if(Fw.isEmpty(data.List)||data.List.length==0){
		        				var html = '<div id="transDetailList-loadmore" class="x-loadmore ui-loading-wrap " style="transform-origin: 0px 0px 0px; opacity: 1; transform: scale(1, 1);"><i id="transDetailList-loadmore-loading" class="x-loadmore-loading " style="display: none;"></i><p id="transDetailList-loadmore-text" class="x-loadmore-text">未查询到相关记录</p></div>';
		        				$("#table-null").html(html);
		        				
		        			}else{
		        				App. page_refreshPage(page_params);
		        			}
		        			var obj=document.getElementById('btn_group2_b');
		                	obj.style.visibility="visible";
		                	
		        			Fw.LoadMask.hide();
		               }
				   });
				}
			})
		
        },
		
        page_refreshPage: function(Lpage_params,page){
        	
        	var pageLimit=Math.floor((Lpage_params.page_data).length/Lpage_params.pageSize);
			if(Lpage_params.page_data.length%Lpage_params.pageSize!=0){
				pageLimit++;
			}
			var currentPage=0;
			if(!page){
					page=1;
			}
			switch(page) {
				case 'first':	currentPage=1;break;
				case 'prev':	currentPage=Lpage_params.currentPage-Lpage_params.limitSize; break;
				case 'next':	currentPage=Lpage_params.currentPage+Lpage_params.limitSize; break;
				case 'last':	currentPage=pageLimit;break;
				case 'go':		currentPage=$('#'+Lpage_params.id+'-number').val();break;
				default:		currentPage=page;break;
			}
			if(currentPage<1){
					currentPage=1;
			}
			if(currentPage>pageLimit){
				currentPage=pageLimit;
			}
			if((page=='go')&&($('#'+Lpage_params.id+'-number').val()=='')){
				 return false;
			}
			currentPage=new Number(currentPage);
			Lpage_params.data=Lpage_params.page_data;
			Lpage_params.pageLimit=++pageLimit;
			Lpage_params.currentPage=currentPage;
			Lpage_params.subData=Lpage_params;
			Lpage_params.subTpl=tplPageMain;
			
        	var html2= Fw.template(tplPageFoot,Lpage_params);
        	$('#'+Lpage_params.id).html(html2);
        	
        	$('#'+Lpage_params.id+' .paging-body .pageLibA').on('click', Fw.bind(this.AClick, this));
        	$('#'+Lpage_params.id+'-number').on('input', Fw.bind(this.numberLimit, this));
        	$('#'+Lpage_params.id+' tbody tr input').on('click', Fw.bind(this.itemClick, this));
        
        },
        //tfoot点击事件
        AClick: function(e){
        	var that = $(e.currentTarget);
        	App.page_refreshPage(page_params,that.attr("page"));
        	return false;
        },
        itemClick : function(e) {
			var $that = $(e.currentTarget);
			detailInfo=page_params.page_data[$that.attr("data-no")];
			
        },
		back_btn:function(){
			sign=1;
			App.showPage(sign);
		},
		back_btn1:function(){
			detailInfo=null;
			this.searchBtn();
			$('#turnMoney').val("");
		},
		//验证金额格式
		valideTurnMoney:function(num,sumMoney){
			var money0=$('#turnMoney').val();
			var sumMoney=$('#remainMoney').val();
			
			//var exp=/^([1-9][\d]{0,7}|0)(\.[\d]{1,2})?$/;//验证金额大于等于0，小于等于99999999.99的数字
			var exp=/^([1-9][\d]{0,10}|0)(\.[\d]{1,2})?$/;
			money=Fw.util.Format.unFmtAmt(money0);//转回金额
			
			if(money0==null||money0==""){
				Fw.Msg.info("请输入转回金额");
			}else{
				if(!exp.test(money)){
					Fw.Msg.info("转回金额不符合格式要求");
				}else{
					if(money<=0){
						Fw.Msg.info("转回金额须大于0！")
					}
					if(money>sumMoney){
						Fw.Msg.info("转回金额不得大于本金！")
					}else if((money<sumMoney)&&(sumMoney-money<30000)){
							Fw.Msg.info("本金须大于30000元")
					}else{//money<sunMoney&&sunMoney-money>=30000
						
						fixedFund=detailInfo.DivAcctNo;		//定期款项
						fixedAcctNo=fixedFund.substring(0,22);	//定期账户
						
						Fw.util.Ajax.query({
			        	   socketAdapter: 'fuLiBao/queryMCFLBTimPartPreDrawQry',
			        	   params:{
			        		   "FixedAcctNo":fixedAcctNo, 
			        		   "FixedFund":fixedFund,
			        		   "DrawAmt":money,
			        		   "Pwd":""
			        	   },
			               staticData: false,
			               success:function(data, result){
			            	   mCFLBTimToSav=data;
			            	   App.callZhiFuControl(money,money0,data);
			               }
						});
					}
				}
			
			}
		},
		//调用支付控件
		callZhiFuControl:function(money,money0,data){
			//判断输入金额的格式和金额
			channelDate=Fw.getDate();
			
			var showInfo = [ {
    			label: '交易金额',
    			value: money0,
    			color: '#F03737'
    		}];
			var tempcount = {
				"AcctNo":queryAccNum,
				"CancelAcctType":'1',
				"FixedAcctNo":fixedAcctNo,
				"FixedFund":fixedFund,
				"Corpus":data.Corpus,
				"IntRate":data.IntRate,
				"PayableInt":data.PayableInt,
				"TaxRate":data.TaxRate,
				"IntTax":data.IntTax,
				"ActPayInt":data.ActPayInt,
				"CorIntTotal":data.CorIntTotal,
				"DrawAmt":money,
				"AcctType":"1",
				"FinAcctNo":queryAccNum,
				"ChannelFlag":"N",
				"ChannelSeqNo":"",
				"ChannelDate":channelDate,
				"MachineId":"",
				"ChannelAppId":""
						
            };
			var smsParams = {
				tranType : '080103', // 080103-互联网银行客户端非转账类交易验证	080104-互联网银行客户端转账交易验证	
				payerAcct :"",// 付款账号// 交易类型080104-必传
				payeeAcct : "", // 收款账号// 交易类型080104-必传
				payeeAcctName : "", // 收款人// 交易类型080104-必传
				trsAmount : "",// 交易金额 交易类型080104-必传
				
				signcontent:Fw.encode(tempcount)//需要签名的内容，（目前为全部报文）
			};
			var cardNews = {
				passwordType:'T',//借记卡  T  信用卡  B 固定死的
				cardNo:queryAccNum,
			}
    		/**
    		 * type
    		 * 
    		 * S&AP  短信验证码+账户密码
    		 * U&AP  U-key密码+账户密码(pc端)
    		 * AP    账户密码
    		 * CTP   信用卡交易密码
    		 * SMS   短信验证码
    		 * IC&AP IC卡+账户密码(手机端)
    		 */
			/*Fw.device.Device.payControls('AP', {}, 'App.onPayControlsSubmit',smsParams, cardNews);*/
			
			Fw.device.Device.payControls('U&AP',showInfo, 'App.onPayControlsSubmit',smsParams,cardNews);
		},
		/**
         * @param record 控件信息
         * 控件关闭后的回调方法
         */
        onPayControlsSubmit: function(record, type, isObject){
        	if(!isObject){
        		record = Fw.decode(record);
        	}
        	
        	var paymentData = {
    			_AuthMode : "U",//一定要写 u验证方式
				AcctNo:queryAccNum,
				CancelAcctType:'1',
				Pwd:record.pwd,
				FixedAcctNo:fixedAcctNo,
				FixedFund:fixedFund,
				Corpus:mCFLBTimToSav.Corpus,
				IntRate:mCFLBTimToSav.IntRate,
				PayableInt:mCFLBTimToSav.PayableInt,
				TaxRate:mCFLBTimToSav.TaxRate,
				IntTax:mCFLBTimToSav.IntTax,
				ActPayInt:mCFLBTimToSav.ActPayInt,
				CorIntTotal:mCFLBTimToSav.CorIntTotal,
				DrawAmt:money,
				AcctType:"1",
				FinAcctNo:queryAccNum,
				ChannelFlag:"N",
				ChannelSeqNo:"",
				ChannelDate:channelDate,
				MachineId:"",
				ChannelAppId:"",
				/*一定要传*/
				CertificateBase64:record.certstr,
				DataBase64:record.signcontent,
				SignatureDataBase64:record.contentsign,
				CertDn:record.keyDn
			}
        	Fw.util.Ajax.execute({
				service : 'fuLiBaoService.executeMCFLBTimToSav',
				params : paymentData,
				staticData : false,
				success : function(data, result) {
					
					$('#page1').hide();
		        	$('#page2').show();
				}
			});
        },
        successBack:function(){
        	var url=Fw.getBasePath()+"/page/pc/fuLiBao/main.html";
        	Fw.redirect(url);
        },
		dieTurnLive:function(){
			if(!detailInfo){
				Fw.Msg.info("请选择一笔交易！");
			}else{
				
				sign=3;
				App.showPage(sign);
			
				$('#accountNo').val(queryAccName);
				$('#yibenNo').val(detailInfo.OneNotePassBookAcctNo);
				$('#accountName').val(detailInfo.AcctName);
				$('#time').val(App.fmtDepTerm(detailInfo.DepTerm));
				$('#startTime').val(App.formatDate(detailInfo.IntStartDate));
				$('#endTime').val(App.formatDate(detailInfo.ExpireDate));
				$('#remainMoney').val(detailInfo.AcctBal);
				$('#validateType').val("U-key支付");
				
			}						
		},
		//转换存期
		fmtDepTerm:function(depTerm){
			if(depTerm=="003"){
				return "三个月";
			}else if(depTerm=="006"){
				return "六个月";
			}else if(depTerm=="001"){
				return "一年";
			}else{
				return "七天";
			}
		},
		
      //页数数字输入限制(只能输入数字)
        numberLimit: function(e){
        	var $that = $(e.currentTarget);
        	var t_val=$that.val();
        	var Reg =/^\d*$/;
        	if(Reg.test(t_val)){
        		return true;
        	}else{
        		$that.val(t_val.replace(/\D/g,""));
        	}
        },
    	paymentClick:function(){
			var m = Fw.util.Format.unFmtAmt($("#turnMoney").val());
			//保留小数点后的0
			var v=$("#turnMoney").val().trim()+"";
	    	if(v.indexOf("¥")==0){
	    	   v=v.substring(1,v.length);
	    	}
	    	v=v.replaceAll(",","");
	    	var money;
	    	if(v.indexOf('.')>11){
				money = v.slice(0,v.indexOf('.')-1)+v.slice(v.indexOf('.'), v.length);
			}else{
				money = v.slice(0,v.length-1);
			}
			if(!/^[0-9]+\.?(\d{2})?$/.test(v)){
				if(/^(([1-9]\d*)|0)(\.\d+)?$/.test(v)){
					if((v.length-v.indexOf('.')-1)>2){
						$("#turnMoney").val(money).change();
					}
				}else{
					$("#turnMoney").val(money).change();
				}
			}else{
				if(!/^[0-9]{1,11}([.][0-9]{1,2})?$/.test(m)){
 					$("#turnMoney").val(money).change();
				}
			}
		},
		formatAmt: function(e){
	    	var El =$(e.currentTarget)
	    	El.val(Fw.util.Format.fmtAmt(El.val()));
	    },
	    formatDate:function(date){//20250908
	    	var year=date.substring(0,4);
	    	var month=date.substring(4,6);
	    	var day=date.substring(6,8);
	    	var newDate=year+"-"+month+"-"+day;
	    	
	    	return newDate;
	    },
		showPage:function(sign){
			if(sign==1){
				$('#step_page1').show();
				$('#step_page2').hide();
				$('#step_page3').hide();
			}
			if(sign==2){
				$('#step_page1').hide();
				$('#step_page2').show();
				$('#step_page3').hide();
			}
			if(sign==3){
				$('#step_page1').hide();
				$('#step_page2').hide();
				$('#step_page3').show();
			}
		},
	}
		
}();
/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);