/**
 * 创建应用
 */
var App=function(){
	
	var dropDownList,param,select_data_Account,inquiryAccount;
	
	return{
		requires : ['Fw.DropDownList','Fw.TableView'],
		viewConfig : {
			title : '贵宾卡理财转回',
			leftButton : {
				text : '返回',
				handler:function(){
	    			App.back();
	    		}
			}
			
		},
		back: function(){
			var url=Fw.getBasePath()+"/page/pageMenu/moreMenu.html";
			Fw.redirect(url);

	    	
	    },
	    
		init : function(require){
			Fw.LoadMask.hide();
			
			
			this.getAccounts();
			
		},
		
		
		initEvents : function(){
			
			$("#query").on('click', Fw.bind(this.query, this));
			
			dropDownList = this.initDropDownList(select_data_Account);
			
			$('#inquiry-account').on('click', Fw.bind(this.selected, this, [ dropDownList ]));
			
			dropDownList.on('itemClick', Fw.bind(this.itemClick, this));
			
			
		},
		/*
		 * 获取账号数据
		 */
		getAccounts: function(){
			Fw.util.Ajax.get({
        		service: 'accountService',
                method: 'getAccount',
                params: {
                	type:'2'
                },
                success: function(data, result) {
                	if (data.List.length == 0) {
						Fw.Msg.info('您的账户无转账权限功能，请至我行任一网点开通。',function() {
							
									Fw.redirect(Fw.getBasePath()+"/page/pageMenu/moreMenu.html");
								});
                	}else{
                		App.setAccounts(data);
                	}
                		
                	
                	
                }
            });
		},
		/*
		 * 遍历账号数据
		 */
		setAccounts:function(data){
			var list = data.List;
			select_data_Account=[];
			for(var i = 0;i<list.length;i++){
				select_data_Account[select_data_Account.length]={
						 option : list[i].option,
						 value : list[i].No,
						 type : list[i].BankAcType
				}
			}
			App.fadeSelect_set_value($('#inquiry-account'),select_data_Account[0].option,select_data_Account[0].value,select_data_Account[0].type);
			
			App.initEvents();
		},
		/*
		 * 给$('#inquiry-account')赋值
		 */
		fadeSelect_set_value: function(id,option,value,type){
			id.val(option);
			inquiryAccount = option;
        	id.attr("data-value",value);
        	Account = value;
        	id.attr("data-type",type);
		},
		step_div_2_getValue: function(){
			

            Fw.util.Ajax.query({
            	socketAdapter: 'vipCardService/mCVIPCardTimToSavListQry',
            params: {
                'AcctNo': Account
                
                
                
            },
            success: function(data, result) {
            	
    			
    			if(Fw.isEmpty(result.result.List)){
    				//App.back();
    			}else{
    				Fw.applyIf(param,result.result.List);
    				Fw.redirect("queryInfo/queryList.html",param);
    			}
    			Fw.LoadMask.hide();
            }
        });

    },
		/*
		 * 点击查询button
		 */
		query : function(){
			param = {
					"inquiry_account" : $("#inquiry-account").val(),
					"inquiry_account_datavalue" : $("#inquiry-account").attr("data-value")
					
				};
			//App.step_div_2_getValue();
			Fw.redirect("queryInfo/queryList.html",param);
		},
		
		selected : function(obj) {
			
			obj.show(obj.result);
		},
		
		itemClick : function(data, index) {
			
			App.fadeSelect_set_value($('#inquiry-account'),data.option,data.value,data.type);
			
		},
		initDropDownList : function(data) {
			var dropDownList = new Fw.DropDownList({
				// 必须参数：结果集
				result : data,
				// 可配置参数：1.false,随内容撑出高度，2.num：固定高度，超出滚动显示,默认[220]
				// fixedHeight: false,
				// 可配置参数：账号，1.false 不显示账号,2.cdopac 具体显示字段名，默认[cdopac]
				// displayNo: 'No',
				displayNo : false,
				// 可配置参数：从后截取账号显示,1.false 不截取，2.num：截取长度,默认[5]
				lastSubNo : 4,
				// 可配置参数：名称，默认[brchna]
				// displayName: 'Name',
				displayName : "option",
				// 可配置参数：显示时是否重新渲染，默认[false]
				// reload: false,
				// 可配参数：选择完成后是否自动关闭,默认[true]
				// autoClose: true,
				// 可配置参数：是否显示手工输入按钮，默认[true]
				cursorBtn : false,
				// 可配置参数：设置不可点击,1.默认[false]不限制,2.cardtp具体字段名
				// disableField: 'name',
				// 可配置参数：设置不可点击参数值，1.默认[0],2.具体值，"不可点击字段“值等于"不可点击参数值"该项不可点击
				disableFieldValue : '1'
			});
			return dropDownList;
		}
	};
}();

Fw.onReady(App);
