/**
 * 创建应用
 */
var App = function(){
	var param;
	var inquiryAccount;
	var selected=0;
	var step,BeginDt,EndDt;
	var paraml = {};
	
	var page_params,tplPageFoot,tplPageMain;
	var inquiryAccount;
	return {
		requires: [	
		           'Fw.Steps',
		           'Fw.TableView',
		           'Fw.Calendar',
		],
		viewConfig: {
			title: '贵宾卡理财转回',
            leftButton: {
                text: '返回',
                handler:function(){
        			App.back();
        		}
            }
		},
		back: function(){
			Fw.redirect("../main.html");
        },
        WriteMes : function(){
	    	
	    	$("#inquiry-account").val(param.inquiry_account).attr("data-value", param.inquiry_account_datavalue);
	    	inquiryAccount = param.inquiry_account_datavalue;
	    	console.log("inquiryAccount");
	    	console.log(inquiryAccount);
	    	
	    },
	  
	  
		init: function(require){
			Fw.LoadMask.hide();
			param = Fw.getParameters();
			this.WriteMes();
			
			this.initEvents();
			
			
			tplPageMain = require('../tpl/004.tpl').join('');
			tplPageFoot = require('../tpl/pagefoot.tpl').join('');
			
        	
        	
        	this.initStepJump();
        	
		},
		initEvents : function(){
			
			$("#fixed_rotation").on('click', Fw.bind(this.fixed_rotation, this));
			$("#back").on('click', Fw.bind(this.back, this));
			
			
		},
		//点击定转活按钮
		fixed_rotation : function(){
			if(selected>0){
				paraml.inquiry_account = param.inquiry_account;
				paraml.inquiry_account_datavalue = inquiryAccount;
				Fw.redirect("../submission.html",paraml);
			}else{
				Fw.Msg.info("请选择一笔交易");
			}
		},
		//展现查询结果
		initStepJump: function(){
			
			App.step_div_2_getValue();
		},
		step_div_2_getValue: function(){
			

            Fw.util.Ajax.query({
            	socketAdapter: 'vipCardService/mCVIPCardTimToSavListQry',
                params: {
                    'AcctNo': inquiryAccount
                    
                    
                    
                },
                success: function(data, result) {
                	
        			page_params={
                            id: 'batchTranList',
                            limitSize:5,
                            pageSize:6,
                            page_data:result.result.List,
                    };
        			if(Fw.isEmpty(result.result.List)){
        				Fw.Msg.info("未查询到相关记录",function(){
    						Fw.redirect(Fw.getBasePath()+"/page/pc/guibinka/main.html");
    					});
        			}else{
        				App.page_refreshPage(page_params);
        			}
        			Fw.LoadMask.hide();
                },
                failure : function(statues, textStatus, error) {
					Fw.Msg.info(error, function(){
						Fw.redirect(Fw.getBasePath()+"/page/pc/guibinka/main.html");
					});
					return false;
				}
	        });

	    },
	    
        
        page_refreshPage: function(Lpage_params,page){
			var pageLimit=Math.floor((Lpage_params.page_data).length/Lpage_params.pageSize);
			if(Lpage_params.page_data.length%Lpage_params.pageSize!=0){
				pageLimit++;
			}
			var currentPage=0;
			if(!page){
					page=1;
			}
			switch(page) {
				case 'first':	currentPage=1;break;
				case 'prev':	currentPage=Lpage_params.currentPage-Lpage_params.limitSize; break;
				case 'next':	currentPage=Lpage_params.currentPage+Lpage_params.limitSize; break;
				case 'last':	currentPage=pageLimit;break;
				case 'go':		currentPage=$('#'+Lpage_params.id+'-number').val();break;
				default:		currentPage=page;break;
			}
			if(currentPage<1){
					currentPage=1;
			}
			if(currentPage>pageLimit){
				currentPage=pageLimit;
			}
			if((page=='go')&&($('#'+Lpage_params.id+'-number').val()=='')){
				 return false;
			}
			currentPage=new Number(currentPage);
			Lpage_params.data=Lpage_params.page_data;
			Lpage_params.pageLimit=++pageLimit;
			Lpage_params.currentPage=currentPage;
			Lpage_params.subData=Lpage_params;
			Lpage_params.subTpl=tplPageMain;
        	var html2 = Fw.template(tplPageFoot,Lpage_params);
        	$('#'+Lpage_params.id).html(html2);
        	$('#'+Lpage_params.id+' .paging-body .pageLibA').on('click', Fw.bind(this.AClick, this));
        	$('#'+Lpage_params.id+'-number').on('input', Fw.bind(this.numberLimit, this));
        	$('#'+Lpage_params.id+' tbody tr input').on('click', Fw.bind(this.itemClick, this));
        },
        AClick: function(e){
        	
        	var that = $(e.currentTarget);
        	
        	App.page_refreshPage(page_params,that.attr("page"));
        	return false;
        },
        itemClick : function(e) {
        	
        	
			
			var that = $(e.currentTarget);
			
			App.onSelect(page_params.page_data[that.attr("data-no")],that.attr("data-no"));
        },
        onSelect : function(record, index, item, e, cmp) {
	    	
	    	var checkedInput = $("#a"+index).attr("checked");
	    	
	    	
	    	if(checkedInput){
	    		
				paraml = record;
				selected=1;
				
				
			 }
	    	
	    	
	    	
	    	
        },
      //数字输入限制
        numberLimit: function(e){
        	var $that = $(e.currentTarget);
        	var t_val=$that.val();
        	var Reg =/^\d*$/;
        	if(Reg.test(t_val)){
        		return true;
        	}else{
        		$that.val(t_val.replace(/\D/g,""));
        	}
        },
        
        
       
		
		
	};
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
