/**
 * 创建应用
 */
var App = function() {
	var tpl = [
				'{@each List as item}',
				'<td style="float: left;" {@if item.loadType == 1}onclick="App.toMyCreditCard(${item.index})"{@/if}>',
				'<div class="ui-hand ui-box-shadow ui-border ui-card-w ui-margin-b-15 ui-margin-l-30 ui-border-ra-10">',
				'<div class="ui-h-card-p-color"></div>',
				'<div class="ui-card-icon">',
					'<img src="./images/zic.png">',
				'</div>',
				'<div class="ui-padding-r-16">',
					'<div class="ui-margin-t-15">',
						'<span class="name-font">${item.CardTypeName}</span> <span class="ui-card-right">尾号${item.CreditCardNo|fmtAcctNoEnd}</span>',
					'</div>',
					'<div class="ui-margin-b-15 ui-margin-b-10" style="font-size: 12px;color: #999">',
						'{@if item.loadType == 0}<span class="load-color">加载失败</span><img onclick="App.loadInit()" alt="" src="../../../images/transfer_accounts/zhuanzhang-1212_03.png" class="ui-photo-b ui-hand">{@else}<span class="money-color">${item.Balance|fmtAmt}</span>{@/if}<span class="ui-card-right">总欠款额</span>',
					'</div>',
				'</div>',
				'</div>',
				'</td>',
				'{@/each}'
		     ];
	var tpl2 = [
				'{@each List as item}',
				'<td style="float: left;" {@if item.loadType == 1}onclick="App.toMyCreditCard(${item.index})"{@/if}>',
				'<div class="ui-hand ui-box-shadow ui-border ui-card-w ui-margin-b-15 ui-margin-l-30 ui-border-ra-10">',
				'<div class="ui-d-card-x-color"></div>',
				'<div class="ui-card-icon">',
					'<img src="./images/zic.png">',
				'</div>',
				'<div class="ui-padding-r-16">',
					'<div class="ui-margin-t-15">',
						'<span class="name-font">${item.CardTypeName}</span> <span class="ui-card-right">尾号${item.CreditCardNo|fmtAcctNoEnd}</span>',
					'</div>',
					'<div class="ui-margin-b-15 ui-margin-b-10" style="font-size: 12px;color: #999">',
						'{@if item.loadType == 0}<span class="load-color">加载失败</span><img onclick="App.loadInit()" alt="" src="../../../images/transfer_accounts/zhuanzhang-1212_03.png" class="ui-photo-b ui-hand">{@else}<span class="money-color">${item.CurRepayAllAmtCny|fmtAmt}</span>{@/if}<span class="ui-card-right">账单金额</span>',
					'</div>',
				'</div>',
				'</div>',
				'</td>',
				'{@/each}'
		     ];
	var powerData = Fw.util.Storage.get('powerData');
	powerData = Fw.decode(powerData);
    return {
        /**
         * 依赖组件
         */
        requires : [
        ],
        viewConfig:{
        	title:'我的负债',
        	leftButton:false
        },
        /**
         * 初始化
         * 应用入口
         */
        init : function(require) {
        	//初始化数据
        	this.queryAccount();
            //初始化事件
            this.initEvents();
        },
        loadInit : function(){
        	App.queryAccount();
        },
        /**
         * 获取负债账户数据
         */
        queryAccount : function(refur){
        	//查询数据
        	Fw.util.Ajax.query({
                service: 'accountService.getAccount',
                params: {
                	type : '5',
                	refur : refur
                },
                //请求成功后回调
                success: function(data, result) {
                	$('#lastDate').html("更新时间：" + data.lastDate)
                	App.data = data;
                	//初始化菜单
                	App.initAccount(data);
                }
            });
        },
        initAccount : function(data){
        	var list = data.List;
        	var data1 = [];
        	var data2 = [];
        	var allMoney = Number(0);
        	var xyk = Number(0);
        	var phk = Number(0);
        	for(var i=0;i<list.length;i++){
        		var cardType = list[i].CardType;
        		if(cardType == 0){
        			data1.push(list[i]);
        			if("" == list[i].CurRepayAllAmtCny){
        				xyk += parseFloat(0);
        			}else{
        				xyk += parseFloat(list[i].CurRepayAllAmtCny);
        			}
        		}
        		if(cardType == 1){
        			data2.push(list[i]);
        			if("" == list[i].Balance){
        				phk += parseFloat(0);
        			}else{
        				phk += parseFloat(list[i].Balance);
        			}
        		}
        	}
        	allMoney += parseFloat(xyk + phk);
        	$('#allMoney').html(Fw.util.Format.fmtAmt(allMoney));
        	//渲染模板
        	if(null != data1 && ""!= data1){
        		var html = Fw.template(tpl2, {"List":data1});
        		$('#creditList').html(html);
        	}else{
        		$('#creditList').html('<td><div style="height: 41px;line-height: 26px;margin-left: 30px;color: #999;cursor: default;">您当前未加挂信用卡账户，可在账户管理中进行添加</div></td>');
        	}
        	if(null != data2 && ""!= data2){
        		var html = Fw.template(tpl, {"List":data2});
        		$('#puhuiList').html(html);
        	}else{
        		$('#puhuiList').html('<td><div style="height: 41px;line-height: 26px;margin-left: 30px;color: #999;cursor: default;">您当前未加挂普惠金融卡账户，可在账户管理中进行添加</div></td>');
        	}
        },
        /**
         * 初始化事件
         */
        initEvents: function(){
        	$('#account').on('click', Fw.bind(this.toAccount, this));
        	$('#accountBook').on('click', Fw.bind(this.toAccountBook, this));
        	$('#myDebt').on('click', Fw.bind(this.toMyDebt, this));
        },
        toAccount : function(){
        	if(powerData.zhgl == 'T'){
        		Fw.redirect("../account/main.html",{'cardType' : '1'})
        	}else{
        		Fw.Msg.info("尊敬的客户，由于系统升级，该功能暂时停用，给您造成的不便，敬请谅解，具体开启时间请关注我行公告。");
        		return;
        	}
        },
        toMyDebt : function(){
        	Fw.redirect("../../pub/myEcharts/main.html",{'cardType' : 1})
        },
        toAccountBook : function(){
        	if(powerData.wdjzp == 'T'){
        		Fw.redirect("../accountBook/main.html",{pageParam:{aimUrl:'/page/pc/myDebt/main.html'}})
        	}else{
        		Fw.Msg.info("尊敬的客户，由于系统升级，该功能暂时停用，给您造成的不便，敬请谅解，具体开启时间请关注我行公告。");
        		return;
        	}
        },
        toLoan : function(){
        	Fw.redirect("../../pageMenu/moreMenu.html", {'scoll' : "2"})
        },
        toMyCreditCard : function(data){
        	Fw.redirect("./myCreditCard.html", {'data' : App.data, 'index' : data})
        },
    };
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);