/**
 * 创建应用
 */
var App = function() {
	var values = {};
    var emptyTpl='<div class="font-size-18"><div class="ui-no">未查询到相关记录</div></div>';
	var tpl = [
	    '<div id="emptyTpl" class="font-size-18" hidden="hidden"><div class="ui-no">未查询到相关记录</div></div>',
		'<div class="bank">',
		'{@each List as item,index}',
		'<div onclick="App.select(${item|JsonToStr})" class="ui-border-b ui-select-bank ui-list-q ui-hand a" data-role="close">',
		'{@if item.PayeeBankId !=null && item.PayeeBankId !=""}',
		'<div>${item.PayeeBankName}</div>',
		'{@else}<div>${item.PayeeBranchName}</div>',
		'{@/if}',
		'<div class="ui-branch-left">',
		'<i class="x-glyph-e624"></i>',
		'</div>',
		'</div>',
		'{@/each}',
		'</div>'
		
		];
	var tpl2 = [
	        '<div id="emptyTpl2" class="font-size-18" hidden="hidden"><div class="ui-no">未查询到相关记录</div></div>',
	   		'<div class="bank">',
	   		'{@each List as item,index}',
	   		'<div onclick="App.select2(${item|JsonToStr})"  class="ui-border-b ui-select-bank ui-list-q ui-hand a" data-role="close">',
	   		'<div>${item.BankName}</div>',
	   		'<div class="ui-branch-left">',
			'<i class="x-glyph-e624"></i>',
			'</div>',
	   		'</div>',
	   		'{@/each}',
	   		'</div>'
	   		]
    return {
        /**
         * 依赖组件
         */
        requires : [
            'Fw.SelectWindow',
            'Fw.SearchBar'
        ],
        /**
         * 初始化
         * 应用入口
         */
        init : function(require) {
        	//查询常用银行列表
        	this.queryBank();
        	//查询银行列表
        	this.queryBankList();
        	this.initEvents();
        },
        /**
         * 初始化事件
         */
        initEvents: function(){
        
        },
        //查询常用银行
		queryBank:function(){
	         //查询数据
	       	Fw.util.Ajax.get({
	       		socketAdapter:'transferService/queryUseBankList',
	               //method: 'query',
	               //数据源（服务接口）
	               //请求参数
	               //params: {},
	               //是否使用数据挡板（默认false）
	//             staticData: true,
	               staticDate:false,
	               //请求成功后回调
	               success: function(data, result) {
	               	 App.bank(data);
	               }
	           });
	   },
	   bank: function(data){
	   	juicer.register("JsonToStr", function(data){
	   		return JSON.stringify(data);
	   	});
	   	//常用银行添加
	   	var json={
	   			PayeeBankId: "402391000068",
	   			PayeeBankName: "福建农信行内转账"
	   	}
	   	data.List.push(json);
	   	
	   	if(data.List.length==0){
    		$('#list').html(emptyTpl);
	   	}else{
	   		//渲染模板
		   	var html = Fw.template(tpl, data);
		   	//添加到页面
		    $('#list').html(html);
	   	}
	   
	      
	   },
	   //查询银行列表
	   queryBankList:function(){
	         //查询数据
	       	Fw.util.Ajax.get({
	       		socketAdapter:'transferService/queryBankList',
	               //method: 'query',
	               //数据源（服务接口）
	               //请求参数
	               //params: {},
	               //是否使用数据挡板（默认false）
	//             staticData: true,
	               staticDate:false,
	               //请求成功后回调
	               success: function(data, result) {
	               	 App.bankList(data);
	               }
	           });
	   },
	   bankList: function(data){
	   	juicer.register("JsonToStr", function(data){
	   		return JSON.stringify(data);
	   	});
	   	//渲染模板
	   	var html = Fw.template(tpl2, data);
	   	//添加到页面
	    $('#list2').html(html);
	      
	   },
	   //银行搜索框事件
       query:function(){
	   var keyVal =$("#key").val();
	   if(keyVal.length!=0 && Fw.isEmpty(keyVal.replaceAll(' ',''))){
		   $("#key").val(keyVal.replaceAll(' ',''));
		  return;
	   }
    	$("#emptyTpl").hide();
    	$("#emptyTpl2").hide();
       	$("div.bank").show();
       	//关键字
       	var bb = false;
       	//过滤需要的信息
       	$("div.bank").children('div.a').hide();
       	$("div.bank").children('div.a').find("div").each(function(){
       		if($(this).text().indexOf(keyVal)!=-1){
       			$(this).parent().show();
       			bb=true;
       		}
       	})
       	if(!bb){
       		$("div.bank").hide();
       		$("#emptyTpl").show();
       		$("#emptyTpl2").show();
       	}
       },
       select:function(data){
           if(Fw.isEmpty(data.PayeeBankId)){
//        	   values.BranchId=data.PayeeBranchId;
//        	   values.PayeeBranchName=data.PayeeBranchName;
        	   Fw.Tips.info("请选择收款总行");
        	   return;
           }else{
        	   values.BankId=data.PayeeBankId;
        	   values.PayeeBankName=data.PayeeBankName;
           }	
       },
       select2:function(data){
    	   values.BankId=data.BankId;
    	   values.PayeeBankName=data.BankName;
       },
       getValue: function(){
           return values;
       },
    };
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);