/**
 * 创建应用
 */
var App = function() {
	var tpl = [
	           	/*'{@each data as item,index}',
	           	'<option>${item.cardName} ${item.card}</option>',
				'{@/each}'*/
	           	'<div class="ui-padding-t-15">',
	           	'<table>',
				'<tr>',
				'{@each List as item,index}',
					'<td class="ui_left ui-hand" onclick="App.cardTransfer(${item|JsonToStr})">',
						'<div class="ui-border ui-card-w ui-box-shadow ui-margin-b-15 ui-margin-l-15 ui-border-ra-10">',
							'<div class="ui-card-icon">',
							'{@if item.PayeeBankId=="402391000068"||item.PayeeBankId=="301290000007"||item.PayeeBankId=="105100000017"||item.PayeeBankId=="103100000026"||item.PayeeBankId=="102100099996"||item.PayeeBankId=="104100000004"||item.PayeeBankId=="308584000013"}',
								'<img src="../../../images/transfer_accounts/deaufult.png">',
							'{@else if item.BankType=="0"}',
							'<img src="../../../images/transfer_accounts/402391000068.png">',
							'{@else}<img src="../../../images/transfer_accounts/deaufult.png"/>',
							'{@/if}',
							'</div>',
							'<div class="ui-padding-r-10">',
								'<div class="ui-margin-t-15 font_14">',
									'<div class="ui-nowrap ui-card-r">${item.PayeeAcName}',
									'{@if item.PayeeAcAlias !=null && item.PayeeAcAlias !="" }',
									'(${item.PayeeAcAlias})',
									'{@/if}',
									'</div> <div class="ui-card-right">尾号${item.PayeeAcNo|fmtAcctNoEnd}</div>',
								'</div>',
								'<div class="ui-margin-b-15 ui_margin_12 font_12">',
//									'<div>${item.account}</div>', 
								'{@if item.PayeeBankName !=null && item.PayeeBankName !="" }',
								'<div class="ui-nowrap">${item.PayeeBankName}</div>',
								'{@else}<div class="ui-nowrap">${item.PayeeDeptName}</div>',
								'{@/if}',
								'</div>',
							'</div>',
						'</div>',
					'</td>',
				'{@/each}',
				'</tr>',
			'</table>',
			'</div>'
			];
	var tpl2 = [
	           	/*'{@each data as item,index}',
	           	'<option>${item.cardName} ${item.card}</option>',
				'{@/each}'*/
	           	'<div class="ui-padding-t-15">',
	           	'<table>',
				'<tr>',
				'{@each List as item,index}',
					'<td class="ui_left ui-hand" onclick="App.friend(${item|JsonToStr})">',
						'<div class="ui-border ui-card-w ui-box-shadow ui-margin-b-15 ui-margin-l-15 ui-border-ra-10">',
							'<div class="ui-card-icon">',
							'{@if item.PayeeBankId=="402391000068"||item.PayeeBankId=="301290000007"||item.PayeeBankId=="105100000017"||item.PayeeBankId=="103100000026"||item.PayeeBankId=="102100099996"||item.PayeeBankId=="104100000004"||item.PayeeBankId=="308584000013"}',
							'<img src="../../../images/transfer_accounts/deaufult.png">',
							'{@else if item.PayeeDeptId=="402391000068"}',
							'<img style="width:41px" src="../../../images/transfer_accounts/${item.PayeeDeptId}.png">',
							'{@else}<img src="../../../images/transfer_accounts/deaufult.png"/>',
							'{@/if}',
						'</div>',
							'<div class="ui-padding-r-10">',
								'<div class="ui-margin-t-15 font_14">',
									'<div class="ui-nowrap ui-card-r">${item.PayeeAcName}',
									'</div> <div class="ui-card-right">尾号${item.PayeeAcNo|fmtAcctNoEnd}</div>',
									'</div>',
								'<div class="ui-margin-b-15 ui_margin_12 font_12">',
//									'<div>${item.account}</div>', 
								'{@if item.PayeeBankName !=null && item.PayeeBankName !="" }',
								'<div class="ui-nowrap">${item.PayeeBankName}</div>',
								'{@else}<div class="ui-nowrap">${item.PayeeDeptName}</div>',
								'{@/if}',
								'</div>',
							'</div>',
						'</div>',
					'</td>',
				'{@/each}',
				'</tr>',
			'</table>',
			'</div>'
			];
    var emptyTpl='<div class="font-size-18"><div class="ui-no">未查询到相关记录</div></div>';

    var powerData = Fw.util.Storage.get('powerData');
	powerData = Fw.decode(powerData);
    
    return {
        /**
         * 依赖组件
         */
        requires : [
            'Fw.ListView',
        ],
        viewConfig:{
        	title:'转账汇款',
        	leftButton:false,
        	loadMask: true
        },
        /**
         * 初始化
         * 应用入口
         */
        init : function(require) {
        	this.queryMyAccount();
        	this.queryfriendTransfer();
            //初始化事件
            this.initEvents();
        },
        onSelect:function(){
        	
        },
        /**
         * 初始化事件
         */
        initEvents: function(){
        	
        	//绑定银行号转账事件
        	$("#bank").on("click",Fw.bind(this.bankTransfer,this));
        	//绑定联系人转账事件
        	$("#friend").on("click",Fw.bind(this.friendTransfer,this));
        	//绑定事件
//        	$("#gy_card").on("click",Fw.bind(this.cardTransfer,this));

        },
        //银行号转账跳转页面
        bankTransfer:function(){
        	if(powerData.zzhk == 'T'){
        		Fw.redirect("../../pub/transfer_accounts/bank.html");
        	}else{
        		Fw.Msg.info("尊敬的客户，由于系统升级，该功能暂时停用，给您造成的不便，敬请谅解，具体开启时间请关注我行公告。");
        		return;
        	}
        },
        //联系人转账跳转页面
        friendTransfer:function(){
        	if(powerData.lxrgl == 'T'){
        		Fw.redirect("friendTransfer.html");
        	}else{
        		Fw.Msg.info("尊敬的客户，由于系统升级，该功能暂时停用，给您造成的不便，敬请谅解，具体开启时间请关注我行公告。");
        		return;
        	}
        },
        cardTransfer:function(data){
        		if(Fw.isEqual(data.PayeeAcType, "1")){
            		data.flag="0";
            		data.zhPage="2";
            		data.acNo=data.PayeeAcNo;
            		data.sName= data.PayeeAcName
            		if(powerData.xykhk == 'T'){
            			Fw.redirect(Fw.getBasePath() +"/page/pub/creditCardManage/creditCardPayment/main.html",data);
            		}else{
            			Fw.Msg.info("尊敬的客户，由于系统升级，该功能暂时停用，给您造成的不便，敬请谅解，具体开启时间请关注我行公告。");
            			return;
            		}
            	}else{
            		if(powerData.zzhk == 'T'){
            			Fw.redirect("../../pub/transfer_accounts/bank.html",data);
            		}else{
            			Fw.Msg.info("尊敬的客户，由于系统升级，该功能暂时停用，给您造成的不便，敬请谅解，具体开启时间请关注我行公告。");
            			return;
            		}
            	}
        },
        friend : function(data){
        	if(powerData.zzhk == 'T'){
        		if(Fw.isEqual(data.PayeeAcType, "1")){
            		data.flag="1";
            		data.zhPage="2";
            		data.acNo=data.PayeeAcNo;
            		data.sName= data.PayeeAcName
    				Fw.redirect(Fw.getBasePath() +"/page/pub/creditCardManage/creditCardPayment/main.html",data);
            	}else{
            		Fw.redirect("../../pub/transfer_accounts/bank.html",data);
            	}
        	}else{
        		Fw.Msg.info("尊敬的客户，由于系统升级，该功能暂时停用，给您造成的不便，敬请谅解，具体开启时间请关注我行公告。");
        		return;
        	}
        },
        //查询个人名下账户
        queryMyAccount:function(){
        	//查询数据
        	Fw.util.Ajax.query({
//                service: 'transferService.queryMyCard',
                //method: 'query',
                //数据源（服务接口）
                socketAdapter:'transferService/queryFriendList',
                //请求参数
                params: {
                	PayeeFlag:"0"
                },
                //是否使用数据挡板（默认false）
//                staticData: true,
                staticData: false,
                //请求成功后回调
                success: function(data, result) {
                	App.myCard(data);
                }
            });
        },
        myCard: function(data){
        	juicer.register("JsonToStr", function(data){
        		return JSON.stringify(data);
        	});
        	if(data.List.length==0){
        		$('#table2').html(emptyTpl);
        	}else{
	        	//渲染模板
	        	var html = Fw.template(tpl, data);
	        	//添加到页面
	            $('#table2').html(html);
        	}
        },
        
        //查询最近联系人转账
        queryfriendTransfer:function(){
        	//查询数据
        	Fw.util.Ajax.query({
//                service: 'transferService.queryFriendCard',
                //method: 'query',
                //数据源（服务接口）
                socketAdapter:'transferService/queryFriendCard',
                //请求参数
                //params: {},
                //是否使用数据挡板（默认false）
//                staticData: true,
                staticData: false,
                //请求成功后回调
                success: function(data, result) {
                	App.friendCard(data);
                }
            });
        },
        friendCard: function(data){
        	juicer.register("JsonToStr", function(data){
        		return JSON.stringify(data);
        	});
        	
            if(data.List.length==0){
            	$('#table3').html(emptyTpl);
        	}else{
        		//渲染模板
            	var html = Fw.template(tpl2, data);
            	//添加到页面
                $('#table3').html(html);
        	}
          
        },
        
    };
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);