/**
 * 创建应用
 */
var App = function() {
	//
	var PwdFreeAmt;
	var SysDayLimit;
	return {
		requires : [
		// 表单
		'Fw.Form', 'Fw.Keyboard'],
		/**
		 * 视图设置 设置标题栏、按钮等 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
		 */
		viewConfig : {
			title : '二维码单日交易限额设置',
			leftButton : {
				handler:function(){
					App.back();
        		}
			},
		 loadMask: true
		},
		/**
		 * 初始化 应用入口
		 */
		init : function(require) {
			// 定义表单
			form = new Fw.Form({
				contentEl : 'form1',
				resettable : false,
				msgTarget : 'tips'
			});
			Fw.device.Device.QRcodeSign("App.getLimit")
			// 初始化事件
			this.initEvents();

		},
		getLimit : function(reg){
			reg = Fw.decode(reg);
			if(reg.stat == "succ"){
				Fw.util.Ajax.get({
					socketAdapter : 'QRcode/mCTbCodeNoPwdAndLimitSet',
					params : {
						ChannelId : '01',
						OpType : "2",
					},
					staticData : false,
					success : function(data, result) {
						PwdFreeAmt = data.PwdFreeAmt;
						SysDayLimit = data.SysDayLimit;
						$("#one").val(Fw.util.Format.fmtAmt(data.DayLimit));
						$("#SysDayLimit").html(SysDayLimit);
					},
					failure:function(statues,textStatus,error){
	                }
				});
			}else{
				if(reg.stat == "fail"){
					Fw.Msg.info(reg.msg, function(){
						Fw.gotoIndex();
					});
					return;
				}
				Fw.gotoIndex();
			}
			
		},
		/**
		 * 初始化事件
		 */
		initEvents : function() {
			$('#submit-btn').on('click', Fw.bind(this.doSubmit, this));
			Fw.Keyboard.onHidden = function() {
        		var inputVal = Fw.util.Format.fmtAmt($("#one").val());
    			$("#one").val(inputVal);
    			$('body').css({
             		'top': '0px'
             	});
        		//sm 还原Placeholder
 				if(Fw.isEmpty(this.target.val()) && !Fw.isEmpty(Fw.util.Storage.get(this.target.attr('name'))) ){
 					this.target.attr('placeholder',Fw.util.Storage.get(this.target.attr('name')));
 					Fw.util.Storage.remove(this.target.attr('name'));
 				}
				Fw.Keyboard.showKeyboard = true;
			};
		},
		/**
		 * 提交表单   显示窗口
		 */
		doSubmit : function() {
			 //获取修改信息
			 var ActPerTrsLimit=Fw.util.Format.unFmtAmt($('#one').val());
        	 if(Fw.isEmpty(ActPerTrsLimit) || ActPerTrsLimit==0){
        		 Fw.Tips.info("请输入单日交易限额");
        	 }else if(ActPerTrsLimit > SysDayLimit){
        		 Fw.Tips.info("设置金额超过二维码单日限额上限"+Fw.util.Format.fmtAmt(SysDayLimit));
        	 }else{
        		 Fw.util.Ajax.get({
     				socketAdapter : 'QRcode/mCTbCodeNoPwdAndLimitSet',
     				params : {
     					ChannelId : '01',
     					OpType : "1",
     					DayLimit : ActPerTrsLimit,
     					PwdFreeAmt : PwdFreeAmt
     				},
     				staticData : false,
     				success : function(data, result) {
     					$('#ui-b').hide();
						$('#page2').show();
     					$("#one").val(Fw.util.Format.fmtAmt(data.DayLimit));
     				},
     				failure:function(statues,textStatus,error){
                     }
     			});
        	 }
			
		},
		back : function(){
			if($('#ui-b').css('display')=='block'){
				Fw.gotoIndex();
			}else{
				$('#page2').hide();
				$('#ui-b').show();
			}
		},
	};
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
