/**
 * 转账汇款
 */
var App = function() {
    return {
    	 //依赖组件
         
        requires : [
        	'Fw.Form',
        ],
    	viewConfig: {
    		title: '电子账户销户',
    	
    		leftButton: {
    	   		text: '返回',
    		},
    		/**
    		* 是否自动显示等待层（默认true）
    		* 需手动隐藏等待层
    		*/
    		loadMask: true
    	},
        /**
         * 初始化
         * 应用入口
         */
        init : function(require) {
            //初始化事件
            this.initEvents();
            this.initform();
            // 手动隐藏等待层
			Fw.LoadMask.hide();
        },
        /**
         * 初始化事件
         */
        initEvents : function() {
        	//表单值改变时触发（包含文本输入框、多行文本输入框、单选、多选、下拉框）
            $('#submit-btn').on('click',Fw.bind(this.btnClick,this));
        },
        //初始化form
        initform:function(){
        	 form = new Fw.Form({
                 //EL
                 contentEl : 'form',
                 //是否激活重置事件（默认false）
                 //单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
                 resettable: false,
                 //校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
                 msgTarget: 'tips'
             });
        	
        },
        btnClick : function() {
        	Fw.util.Ajax.query({
				 service : 'eAccountManage/executeELogout',
				 params : {
					 eflag:'1',
				 },
				// 是否使用数据挡板（默认false） 
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					Fw.device.Device.eplatfromLogin({flag:"0"});
					Fw.redirect(Fw.getBasePath() +"/page/phone/eAccountManage/ePlatformLogin/main.html")
				}
			});	
        },
        
        leftButtonHandler:function(){
        	Fw.gotoIndex();
        }
    };
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
