var App = function() {
	var dataVaules = {eflag:"1"};
	var values=[];
// var updateData={};
	// 密码校验数据
	var formValue={eflag:"1"};
	var updateData={eflag:"1"};
    return {
    	 // 依赖组件
         
        requires : [
        	'Fw.Form',
        	// 支付控件
    		'Fw.PayControls',
    		// 安全键盘
            'Fw.Keyboard',
            './smsDiy.js'
        ],
    	viewConfig: {
    		title: '重置绑定卡',
    	
    		leftButton: {
    	   		text: '返回',
    		},
    		/**
			 * 是否自动显示等待层（默认true） 需手动隐藏等待层
			 */
    		loadMask: true
    	},
        /**
		 * 初始化 应用入口
		 */
        init : function(require) {
        	
        	 form = new Fw.Form({
                 // EL
                 contentEl : 'form',
                 // 是否激活重置事件（默认false）
                 // 单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
                 resettable: false,
                 // 校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
                 msgTarget: 'tips'
             });
            // 初始化事件
        	 this.queryEAccount();
            this.initEvents();
        },
        /**
		 * 初始化事件
		 */
        initEvents : function() {
            $('#submit-btn').on('click',Fw.bind(this.btnClick,this));
            $("#newAct").on('input',Fw.bind(this.testCard,this));
			$("#newAct").on('blur', Fw.bind(this.changes, this));
			// 短信验证码按钮
            $('#resend-btn').on('click',Fw.bind(this.smsCountDownClick,this));
        },
        // 账号绑定事件
		testCard:function(){
			$("#confirmAct").val("").change();
			$("#openBank").html("");
			var m = $("#newAct").val();
			if(!/^[0-9]{0,19}$/.test(m)){
				$("#newAct").val(m.replace(/[^0-9]/g,"")).change();
				if($("#newAct").val().length > 19){
					$("#newAct").val($("#newAct").val().slice(0,$("#newAct").val().length-1));
				}
			}
		},
        
        btnClick : function() {
        	if(Fw.isEmpty($("#newAct").val())){
	      		Fw.Tips.info('请输入新卡号')
	      	}else if(!Fw.isEqual(Fw.util.Format.unFmtAcctNo($("#confirmAct").val()),$("#newAct").val())){
	      		Fw.Tips.info('两次卡号不一致')
	      	}else if(Fw.isEmpty($("#openBank").text())){
	      		Fw.Tips.info('请重新输入卡号')
	      	}else{
	      		if(!Fw.isEmpty($("#smsCode").val())){
					formValue.OtpPassword=$("#smsCode").val();
					// 支付控件
		      		App.notePayType();
				}else{
					Fw.Tips.info("请输入正确的验证码");
					return;
				}
	      	}
        	
        },
        
     // 查询E账户信息
		queryEAccount : function() {
			Fw.util.Ajax.query({
				service:'eAccountManage/queryEaccountCifInfoQry',				
				params : {
					eflag:"1"
				},
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					if (Fw.isEmpty(data)) {
						Fw.Msg.info('您没有开通e账户，请开通后再使用此功能', function() {
						});
					} else {
						// 保存客户号
			        	updateData.EcifNo=data.EcifNo;
						$("#eAccount").html(Fw.util.Format.fmtAcctNo(data.EAcNo));
						$("#primaryAct").html(Fw.util.Format.fmtAcctNo(data.AcNo));
						$("#eName").html(data.UserName);
						$("#idNumber").html(data.IdNo);
						dataVaules.IdNo=data.IdNo;
						formValue.MobilePhone=data.MobilePhone;
						
						updateData.OldAcNo=data.AcNo;
						updateData.EacctNo=data.EAcNo;
						updateData.IdNo=data.IdNo;
						updateData.AcName=data.UserName;
						formValue.MobilePhone=data.MobilePhone;
					}
				}
			});
		},
		
		/**
		 * 确认新账号之后回显开户行——联动事件 先判断再发接口
		 */
        changes:function(){
        	var AcNo = $("#newAct").val();
			if(Fw.isEmpty(AcNo)){
				Fw.Tips.info("请输入卡号");
				return;
			}else if(Fw.isEqual(AcNo, updateData.OldAcNo)){
				Fw.Tips.info("该卡已经被绑定，请更换绑定卡！")
				$("#newAct").val("").change();
				return;
			}else{
				if(AcNo.length < 6){
    				Fw.Tips.info("账号不能少于6位");
    				$("#newAct").val("").change();
    				return 
    			}
				dataVaules.AccountNo=AcNo;
				formValue.accountNo=AcNo;
	        	Fw.util.Ajax.get({
	        		socketAdapter : 'eAccountManageService/queryEAccountCard',
					params : dataVaules,
					staticData : false,
					// 请求成功后回调
					success : function(data, result) {
						values=data.OutputExpr.split(",");
						
						if(values[2]=="0"){
							Fw.Tips.info("暂不支持他行卡绑定")
							$("#newAct").val("").change();
						}else{
							$("#confirmAct").val(AcNo).change();
							$("#openBank").html(values[0])
							updateData.BankInner=values[2];
							updateData.PayeeBankId=values[1];
							updateData.PayeeBankName=values[0];
							updateData.MediAvailyn="N";
							updateData.NewAcNo=AcNo;
						}
					}
				});
			}
        },
        smsCountDownClick:function(e){
			// 短信验证码参数
			var params = {
					DeviceId : formValue.MobilePhone,  
					TranType : '370016', 
					DeviceSn : formValue.MobilePhone,
					Mobile : formValue.MobilePhone,
					eflag:'1'
			};
			App.smsDiy.smsCountDownClick(e, params);
		},
        // 支付控件
		notePayType : function() {
			var showInfo = [];
			/**
			 * type
			 * 
			 * S&AP 短信验证码+账户密码 U&AP U-key密码+账户密码(pc端) AP 账户密码 CTP 信用卡交易密码 SMS
			 * 短信验证码 IC&AP IC卡+账户密码(手机端)
			 */
			Fw.device.Device.payControls("E_AP", showInfo,'App.showNotePayType');
		},

		showNotePayType : function(record, type, isObject) {
			if (Fw.isEqual(isObject, "false")||!isObject) {
				record = Fw.decode(record);
			}
			formValue.pwd=record.pwd;
			// 密码校验
			App.judgePwd();
		},
		// 密码校验
		judgePwd:function(){
			formValue.accountBankAcType="PSDC";
			formValue.passwordType="T";
			formValue.validateFlag="0";
			Fw.util.Ajax.query({
				service : 'eAccountManage/queryEPwd',
				params : formValue,
				staticData : false,
				success : function(data, result) {
					App.resetEAccount();
				}
			});
		},
		// 重置绑定卡
		resetEAccount:function(){
			Fw.redirect("eAccountResetTwo.html",updateData);
		},
        leftButtonHandler:function(){
        	Fw.gotoIndex();
        }
    };
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
