/**
 * 创建应用
 */
var App = function() {
	// 子账户下拉对象
	var accountNoList;
	// 利率
	var TimRate;
	// 表单
	var form;
	// 步骤初始化值
	var stepNum = 1;
	// 验证方式
	var checkWay = "S&AP";
	// 子账户
	var AcctNo;
	// 开户日期
	var OpenDate;
	//可用余额
	var Balance;
	var option;
	//已存笔数
	var DivisionSeqNo;
	//续存金额
	var FixedDrawAmt;
	//存期
	var ProductName;
	// 数据集
	var formValue = {"BookingFlag":"REAL","Code":"CNY","BranchId":"","PayeeBranchName":"","PayeeBankName":"","BankId":"","_LoginType":"O","_AuthMode":"O"};
	var accountData=[]
	return {
		/**
		 * 依赖组件
		 */
		requires : [ 'Fw.Form',
		// 列表
		'Fw.ListView',
		// 导入底部滑出下拉选择
		'Fw.DropDownList', 'Fw.Tab', 'Fw.Steps',
		// 支付控件
		'Fw.PayControls', 'Fw.app.Session',
		// 安全键盘
		'Fw.Keyboard',
		],
		viewConfig : {
			title : '续存',
			leftButton: {
                text: '返回',
                handler:function(){
        			App.back();
        		}
			},
			loadMask : true
		},
		/**
		 * 初始化 应用入口
		 */
		init : function(require) {
			// 页面传值
			var params = Fw.getParameters()||{};
			App.sccparams = params;
			stepNum=1;
			$("#accountName").val(params.ClientName); // 收款人
			$("#accountMoney").val(params.PayNo);	// 收款账号
			$('#suppleDeposit').html('续存金额 &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;元');  //续存金额
			// 显示子账号
			this.accountNoList();
			$("#money").on('blur', Fw.bind(this.formatMoney, this));
			Fw.Keyboard.onHidden = function() {
				App.formatMoney();
				// 1.定位设置页面y轴 解决表单不悬浮提示
				$('body').css({
					'top' : '0px'
				});
				if (Fw.isEmpty(this.target.val()) && !Fw.isEmpty(Fw.util.Storage.get(this.target.attr('name')))) {
					this.target.attr('placeholder', Fw.util.Storage.get(this.target.attr('name')));
					Fw.util.Storage.remove(this.target.attr('name'));
				}

				// sm 是否重启动键盘
				Fw.Keyboard.showKeyboard = true;
			};
			// 表单
			this.form();
			// 初始化显示步骤页面
			this.initPage(stepNum);
			// 活期转定期
			this.initEvents();
		},
		/**
		 * 初始化事件
		 */
		initEvents : function() {
			$('#submit-btn').on('click', Fw.bind(this.submitSuccessList, this));
			// 活期转定期
			$('#next').on('click', Fw.bind(this.querySubAccount, this));
			$("#money").on('input',Fw.bind(this.moneyFunction,this));
			this.showDropDownListClick();
		},
		/**
		 * 初始化显示步骤页面
		 */
		initPage : function(num) {
			if (num == 1) {
				$('#step1').show();
				$('#step2').hide();
			} else if (num == 2) {
				$('#step1').hide();
				$('#step2').show();
			}
		},
		// 表单
		form : function() {
			// 定义表单
			form = new Fw.Form({
				// EL
				contentEl : 'form',
				resettable : false,
				msgTarget : 'tips'
			});
		},
		// 金额绑定事件
		moneyFunction:function(){
			var m = Fw.util.Format.unFmtAmt($("#money").val());
			// 保留小数点后的0
			var v=$("#money").val().trim()+"";
	    	if(v.indexOf("¥")==0){
	    	   v=v.substring(1,v.length);
	    	}
	    	v=v.replaceAll(",","");
	    	var money;
	    	if(v.indexOf('.')>11){
				money = v.slice(0,v.indexOf('.')-1)+v.slice(v.indexOf('.'), v.length);
			}else{
				money = v.slice(0,v.length-1);
			}
	    	money = Fw.util.Format.fmtAmt(money);
			if(!/^[0-9]+\.?(\d{2})?$/.test(v)){
				if(/^(([1-9]\d*)|0)(\.\d+)?$/.test(v)){
					if((v.length-v.indexOf('.')-1)>2){
						$("#money").val(money).change();
					}
				}else{
					$("#money").val(money).change();
				}
			}else{
				if(!/^[0-9]{1,11}([.][0-9]{1,2})?$/.test(m)){
 					$("#money").val(money).change();
				}
			}
		},
		// 子账号下拉
		accountNoList : function() {
			// 实例化下拉
			accountNoList = new Fw.DropDownList({
				// //必须参数：结果集
				result : accountData,
				// 是否显示账号
				displayNo : false,
				// 显示字段
				displayName : 'option',
				// 是否显示手动输入
				cursorBtn : false,
			    //可配置参数：设置不可点击参数值，1.默认[0],2.具体值，"不可点击字段“值等于"不可点击参数值"该项不可点击
				// disableFieldValue : '1',
			});
			// 点击显示组件坚挺---子账户
			$('#showAccountNo').on('click',Fw.bind(this.showDropDownList, this));
			// 监听select点击事件
			accountNoList.on('itemClick', Fw.bind(this.itemClick, this));
		},
		
		showDropDownList : function () {
			accountNoList.show(App.accountData);
		},
		
		// 金额控件
		formatMoney : function() {
			var inputVal = Fw.util.Format.fmtAmt($("#money").val());
			$("#money").val(inputVal);
			if(Fw.isEmpty(AcctNo)){
				Fw.Msg.info("请先选择子账户");
				return 
			}
			if(!Fw.isEmpty(AcctNo)){
				$("#next").removeAttr("disabled");
			}
		},
		
		itemClick : function(data, index) {
			if (index != -1) {
				AcctNo = data.AcctNo;
				OpenDate = data.OpenDate;
				TimRate = data.TimRate;
				Balance = data.Balance;
				DivisionSeqNo = data.DivisionSeqNo;
				$('#accountNo').html(data.option);
			}
			App.querySubAcctMoneyInfo();
		},
		
		// 续补存金额显示
		querySubAcctMoneyInfo : function(){
			Fw.util.Ajax.get({
				socketAdapter:'accountService/mCAcSubInfoQuery',
				params: {
					AcNo:App.sccparams.PayNo,		//账户账号
					PwdCheckFlag:"2",		//密码校验标志 1-校验 2-不校验
					Password:"",			//密码	
					QryAcFlag:"",			//查询方式 0或空-只查询定期子账户 1-只查询账户信息 2-全部查询
					AcctCode:AcctNo			//款项代码
				},
				// 是否使用数据挡板（默认false）
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					FixedDrawAmt = data.List[0].FixedDrawAmt;
					$('#suppleDeposit').text('续存金额'+FixedDrawAmt+'元');
				}
			});
		},
		// 卡分户信息查询
		showDropDownListClick : function(){
			Fw.util.Ajax.get({
				socketAdapter:'fixedCurrentTransferService/MCCardSubAcctInfoQry',
				params: {
					CardNo:App.sccparams.PayNo,  	// 卡号
					QueryMark:"06",    				// 查询标识 01-全部 02-人民币账户
													// 03-活期账户 04-除人民币活期外其他账户
													// 05-定期账户 06-零存整取 07-所有外汇账户
													// 08-外汇活期账户 09-冻结账户 10-通知存款
					Ccy:"",							// 币种
					CaTtFlag:"",					// 钞汇标志
					FixedAcctIntRateQueryFlag:"1",	// 定期账户利率查询标志
					EduDepIsOffer:"2"				// 教育储蓄是否有优惠
				},
				// 是否使用数据挡板（默认false）
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					App.accountData = data.List;
					var flag = false;
					for (var i = 0; i < data.List.length; i++) {
						var dataL = data.List[i];
						ProductName = dataL.ProductName;
						if((ProductName.indexOf('一年') != -1) && App.sccparams.DeptDateYear=='001'){
							option = dataL.ProductName + '，开户日期：' + dataL.OpenDate + '，笔号：' + dataL.DivisionSeqNo + '，已存金额：' + dataL.Balance;
							dataL.option = option;
							flag = true;
						}else if((ProductName.indexOf('三年') != -1) && App.sccparams.DeptDateYear=='003'){
							option = dataL.ProductName + '，开户日期：' + dataL.OpenDate + '，笔号：' + dataL.DivisionSeqNo + '，已存金额：' + dataL.Balance;
							dataL.option = option;
							flag = true;
						}else if((ProductName.indexOf('五年') != -1) && App.sccparams.DeptDateYear=='005'){
							option = dataL.ProductName + '，开户日期：' + dataL.OpenDate + '，笔号：' + dataL.DivisionSeqNo + '，已存金额：' + dataL.Balance;
							dataL.option = option;
							flag = true;
						}
					};
					if(!flag){
						if(App.sccparams.DeptDateYear=='001'){
							Fw.Msg.info('您目前还未开通‘零存整取/一年’,请先开户！');
						}else if(App.sccparams.DeptDateYear=='003'){
							Fw.Msg.info('您目前还未开通‘零存整取/三年’,请先开户！');
						}else if(App.sccparams.DeptDateYear=='005'){
							Fw.Msg.info('您目前还未开通‘零存整取/五年’,请先开户！');
						}
					}
					Fw.LoadMask.hide();
				},
			});
		},
		
		//判断存入金额是否合理
		querySubAccount: function(){
			Amount = Fw.util.Format.unFmtAmt($("#money").val());
			if(Amount == ""){
				Fw.Msg.info("请输入转账金额");
				return 
			}
			
			if(Amount == "0"){
				Fw.Msg.info("转账金额不能为0");
				return 
			}
			if(!(Amount % FixedDrawAmt == 0)){
				Fw.Msg.info("输入的转账金额不是零存整取开户日金额的整数倍");
				return 
			}
			Fw.util.Ajax.execute({
        		socketAdapter: 'fixedCurrentTransferService/mCTimSuppleDepositInfoQry',
        		params: {
        			ParentAcctNo: App.sccparams.PayNo,// 总户账号
        			TranAmt: Amount,// 交易金额
        			TranDate: "",// 交易日期
        			SubAcctNo: AcctNo,// 子账户
        		},
	        	success: function(data, result) {
	        		 LeakPrompt = data.LeakPrompt;
	     			if(!Fw.isEmpty(LeakPrompt)&&(FixedDrawAmt>parseFloat(App.sccparams.StartMoney))){
	     				Fw.Msg.info(LeakPrompt);
	     			}
	     			App.next();
	                },
	            });
		},
		// 下一步
		next : function() {
			if(FixedDrawAmt < parseFloat(App.sccparams.StartMoney)){
				Fw.Msg.info('该笔定期由于发生扣划，续存金额不足起存金额5元，请销户');
				return;
			}
			
			var viewConfig = {
					title : '活期转定期',
					leftButton : {
						handler : function(){
							App.back();
						}
					},
				}
			Fw.device.Device.applyView(viewConfig);
			$("#step1").hide();
			$("#step2").show();
			stepNum=2;
			$("#moneyTrans").val(Fw.util.Format.fmtAmt($("#money").val()));
			$("#balanceMoneyTrans").val("人民币    "+Fw.util.Format.fmtAmt2Chinese($("#money").val()));
			$("#accountTrans").val(App.sccparams.ParentAcctNo);// 付款账号
			$("#accountNameTrans").val(App.sccparams.ClientName);// 客户名称
			$("#accountMoneyTrans").val(App.sccparams.PayNo);// 收款账号
			$("#feeBankTrans").html(App.sccparams.BankName);// 收款行
			$("#deptTermMoneyTrans").val(App.sccparams.DeptTermMoney);// 储种/存期
			$("#intRateMoneyTrans").val(Fw.util.Format.fmtPercent(TimRate));// 利息浮动率
	},
		// 支付控件
		submitSuccessList : function() {
			Amount=Fw.util.Format.unFmtAmt($("#money").val());
			if(Amount == ""){
				Fw.Tips.info("请输入转账金额");
				return 
			}
			
			if(Amount == "0"){
				Fw.Tips.info("转账金额不能为0");
				return 
			}
			// 判断余额是否充足
			if(parseFloat(Fw.util.Format.unFmtAmt($("#money").val())) > parseFloat(Fw.util.Format.unFmtAmt(App.sccparams.Balance))){
				Fw.Msg.info("账户余额不足");
				return;
			}
			
			// 调用密码和短信控件
			var showInfo = [];
        	// 发送短信参数
        	var smsParams = {
        			acNo:AcctNo,
    				tranType : '080104', // 080103-互联网银行客户端非转账类交易验证
    				// 080104-互联网银行客户端转账交易验证
    				payerAcct : App.sccparams.ParentAcctNo, // 付款账号 交易类型080104-必传
    				payeeAcct : App.sccparams.PayNo, // 收款账号
															// 交易类型080104-必传
    				payeeAcctName : "<![CDATA["+$("#accountName").val()+"]]>", // 收款人
																				// 交易类型080104-必传
    				trsAmount : Amount,// 交易金额 交易类型080104-必传
        		};
        	var cardNews = {
					passwordType:'T',// 借记卡 T 信用卡 B
					cardNo:$("#accountMoney").val(),
			};
        	// 发送短信验证码需加以上参数
        	Fw.device.Device.payControls(checkWay, showInfo,'App.showNotePayType',smsParams,cardNews,formValue);
		},
		
		// 定期续补存
		showNotePayType : function(record, type, isObject) {
			if (Fw.isEqual(isObject, "false")||!isObject) {
				record = Fw.decode(record);
			}
			$("#submit-btn").attr("disabled","disabled");
			Fw.util.Ajax.execute({
	        		service : 'fixedCurrentTransferService',
					method : 'executeContinuePwdCheckedPwd',
	        		params: {
	        			CrParentAcctNo: App.sccparams.PayNo,// 贷方总帐号
	        			DepAmt: Fw.util.Format.unFmtAmt($("#money").val()),// 存款金额
	        			DepDate: "",// 存款日期
	        			IssuConfirmBookFlag: "",// 签发证实书标志
	        			ConfirmBookNo: "00000000",// 证实书号码
	        			TranClass: "2",// 交易类别 1-现金 2-转账
	        			DrParentAcctNo: App.sccparams.PayNo,// 借方总账号
	        			DrawType: "1",// 支取方式
	        			Pwd: record.pwd,// 密码
	        			BillKind: "",// 票据种类
	        			BillNo: "00000000",// 票据号码
	        			CrSubAcctNo: AcctNo,// 贷方分账号
	        			PayCertType: "",// 付款凭证种类
	        			PayCertNo: "00000000",// 付款凭证号码
	        			PayRemarkCode: "1",// 付款摘要码
	        			BankExchCode: "",// 银行交换码
	        			DrSubAcctNo: App.sccparams.PayNo,// 借方分帐号
	        			CcyCode: "",// 货币代号
	        			Amt: "0",// 金额
	        			CashTicketInfo: "0",// 券别信息 数组元素20个10为长度
	        			CashPrjCode: "",// 现金项目代码
	        			AssCashAmt: "0",// 辅币金额
	        			OddCashAmt: "0",// 找零金额
	        			OddCashTicketInfo: "0",// 找零券别信息 数组元素20个10为长度
	        			OddAssCashAmt: "0",// 找零辅币金额
	        			CancelAcctNo: "",// 销帐号
	        			PayerName: "",// 付款人名称
	        			PayBankName: "",// 付款银行名称
	        			GessBankName: "",// 经办银行名称
	        			RemitNo: "",// 汇款编号
	        			ExpRecvRemitClearNo: "",// 出口收汇核销单编号
	        			ExpInvoiceNo: "",// 出口发票号
	        			Remark: "",// 备注
	        			FeeFlag: "",// 收费标志
	        			FeeAmt: "0",// 手续费金额
	        			ChargeNoExchFeeFlag: "",// 收取无兑换手续费标志
	        			NoExchFee: "0",// 无兑换手续费
	        			CertType: "",// 凭证类型
	        			CertNo: "",// 凭证号码
	        			ChargePostFlag: "",// 收取邮电费标志
	        			PostAmt: "0",// 邮电费金额
	        			CertType2: "1",// 凭证类型2
	        			CertNo2: "",// 凭证号码2
	        			FeeFlag2: "",// 收费标志2
	        			FeeAmt2: "",// 手续费金额2
	        			CertType3: "1",// 凭证类型3
	        			CertNo3: "",// 凭证号码3
	        			BookFlag: "1",// 有无折标志 0- 有折 1- 无折
	        			OppsAbstract: "",// 对方摘要
	        			BillIssueDate: "0001-01-01",// 出票日期
	        			PayPwd: "",// 支付密码
	        			OppsCertType: "",// 对方凭证类型（开出支票）
	        			OppsCertNo: "00000000",// 对方凭证号码（开出支票）
	        			SupplePolicyNo: "00000000",// 补充保单号（电子银行往帐）
	        			FeeFlag3: "2",// 收费标志3
	        			FeeAmt3: "0",// 手续费金额3
	                },
	                // 请求成功后回调
	                success: function(data, result) {
	                	var flagvalue = {
	        					Amount : Fw.util.Format.unFmtAmt($("#money").val()),
	        					DeptTermMoney: App.sccparams.DeptTermMoney,// 储种存期
	        					IntRateMoney: Fw.util.Format.fmtPercent(TimRate),// 利率
	        					ParentAcctNo: App.sccparams.ParentAcctNo,// 付款账号
	        					ClientName: App.sccparams.ClientName,// 客户名称
	        					PayNo: App.sccparams.PayNo,// 收款账号
	        					BankName: App.sccparams.BankName,// 收款行
	        				};
	                	Fw.redirect("../../phone/fixedCurrentTransfer/success.html",flagvalue);
	                },
	                // 请求错误后回调
					failure : function(status, textStatus, error) {
						Fw.LoadMask.hide();
						$("#submit-btn").removeAttr("disabled");
					}
				 });
	        },
	        
	      //返回
			back: function(){
				if(stepNum == "1"){
					var urltemp = Fw.getBasePath() +'/page/phone/fixedCurrentTransfer/main.html';
		         	Fw.redirect(urltemp);
				}else if(stepNum == "2"){
					var viewConfig = {
							title : '续存',
						}
					Fw.device.Device.applyView(viewConfig);
					$('#step2').hide();
					$('#step1').show();
					$("#money").val("");
					$("#accountNo").html("　");
					$("#suppleDeposit").val("");
					$("#next").attr("disabled",true);
					stepNum=1;
				}
	        },
	}
}();
/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
