/**
 * 创建应用
 */
var App = function() {
	return {
		/**
		 * 依赖组件
		 */
		requires : [],
		/**
		 * 视图设置 设置标题栏、按钮等 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
		 */
		viewConfig : {
			/**
			 * 标题栏标题 如果为空或未设置，则标题栏不显示、左右按钮不显示
			 */
			title : '活期转定期',
			/**
			 * 左边按钮（默认显示） 如果为false，则左边按钮不显示 leftButton: '左边按钮'
			 */
			leftButton: {
                text: '返回',
                handler:function(){
        			App.back();
        		}
			},
			/**
			 * 是否自动显示等待层（默认true） 需手动隐藏等待层
			 */
			loadMask : true
		},
		/**
		 * 初始化 应用入口
		 */
		init : function(require) {
			// 页面传值
			var params = Fw.getParameters()||{};
			App.sccparams = params;
			Fw.LoadMask.hide();
			$("#money").val(Fw.util.Format.fmtAmt(params.Amount));
			$("#deptTermMoney").val(params.DeptTermMoney);//储种/存期
			$("#intRateMoney").val(params.IntRateMoney);//利息浮动率
			$("#account").val(params.ParentAcctNo);//付款账号
			$("#accountName").val(params.ClientName);
			$("#accountMoney").val(params.PayNo);//收款账号
			$("#feeBank").html(params.BankName);
			
			this.initEvents();
		},
		/**
		 * 初始化事件
		 */
		initEvents : function() {
			$("#trans_btn").on('click', Fw.bind(this.success, this));
		},
		
		back: function(){
    		var urltemp = Fw.getBasePath() +'/page/phone/fixedCurrentTransfer/main.html';
         	Fw.redirect(urltemp);
        },
		success : function(){
			var urltemp = Fw.getBasePath() +'/page/phone/fixedCurrentTransfer/main.html';
         	Fw.redirect(urltemp);
		},
	}

}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);