/**
 * 创建应用
 */
var App = function() {

	return {
		/**
		 * 依赖组件
		 */
		requires : [],
		/**
		 * 视图设置 设置标题栏、按钮等 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
		 */
		viewConfig : {
			/**
			 * 标题栏标题 如果为空或未设置，则标题栏不显示、左右按钮不显示
			 */
			title : '转账汇款',
			/**
			 * 左边按钮（默认显示） 如果为false，则左边按钮不显示 leftButton: '左边按钮'
			 */
			leftButton : {
			},
			/**
			 * 是否自动显示等待层（默认true） 需手动隐藏等待层
			 */
			loadMask : true
		},
		/**
		 * 初始化 应用入口
		 */
		init : function(require) {
			Fw.LoadMask.hide();
			this.initEvents();
		},
		/**
		 * 初始化事件
		 */
		initEvents : function() {
			$("#next3").on('click', Fw.bind(this.next3, this));
			$("#notice").on('click', Fw.bind(this.notice, this));
		},
		next3 : function(){
			Fw.Msg.info("已成功记账！")
		},
		notice : function(){
			Fw.Msg.info("已成功通知！")
		},	
	}

}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
