/**
 * 创建应用
 */
var App = function() {
	var dropDownList;
	var data1=[];
    //
    return {
        requires : [
            //表单
            'Fw.Form',
            //安全键盘
            'Fw.Keyboard',
            //日历组件
            'Fw.Calendar',
            'Fw.DropDownList'
        ],
        viewConfig: {
            title: '开通本行活期账户',
            loadMask: true
        },
        /**
         * 初始化
         * 应用入口
         */
        init : function(require) {
        	//获取归属行
        	this.queryVestBank();
        	//实例化下拉
        	dropDownList = new Fw.DropDownList({
        		result: data1,
        		displayNo: false,
        		displayName: 'bankName',
        		cursorBtn: false,
        		disableField: 'cardtp',
        		disableFieldValue: '1'
        	});
            //初始化事件
            this.initEvents();
        },
        queryVestBank: function(){
        	Fw.util.Ajax.query({
                service: 'demo1Service.queryFinance',
                staticData: true,
                success: function(data, result) {
                	data1=data;
                	$("#div1").val(data[1].bankName);
                	App.initOption(data);
                	Fw.LoadMask.hide();
                },
            });
        },
        initOption: function(data){
        },
        selectAccount: function(){
        	alert($("#selected").val());
        },
        /**
         * 初始化事件
         */
        initEvents: function(){
        	   $("#btn").on('click',Fw.bind(this.doSubmit, this));
        	   $('#div1').on('click',Fw.bind(this.showDropDownListClick,this));
           	//监听select点击事件
               dropDownList.on('itemClick',Fw.bind(this.itemClick, this));
        },
        showDropDownListClick: function(){
        	dropDownList.show(data1);
        },
        itemClick: function(data, index){
        	//
        	if(index != -1){
        		$("#div1").val(data.bankName);
        	}else{
        		//手工输入
        		alert('点击了手工输入');
        	}
        	//手动关闭下拉
        	//fwSelect.hide();
        },
        doSubmit:function(){
        	var accountpassword=$("#accountpassword").val()
        	var accountpassword1=$("#accountpassword1").val()
        	if(accountpassword!=""){
        		var password=($("#password").val())
        		if(accountpassword1!=""){
        		var password1=($("#password1").val())
        		if(accountpassword==accountpassword1){
        			if(8<=accountpassword.length&&accountpassword.length<=12){
        		             Fw.redirect("setLogin1.html");
        			}else{
        				Fw.Tips.info('请设置8-12位的登录密码');
        			}
        		}else{
        		   Fw.Tips.info('两次账户密码输入不一致，请重新设置');
        		}
        		}else{
        		 Fw.Tips.info('请再输入一次账户密码');
        		}
        	}else{
        		Fw.Tips.info('请设置账户密码');
        	}
        },
    }
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
