/**
 * 创建应用
 */
var App = function() {
	var dropDownList, phone1,villageFlag,phoneFlag,tel;
	var identityType = "P00";
	var record = Fw.getParameters() || {};
    var result1={};
	var ClientName,IdNo;
	var a=1;//用来判断键盘收起时是否刷新验证码
	if(!Fw.isEmpty(record.phoneFlag)){
		phoneFlag=record.phoneFlag;
	}
	if (!Fw.isEmpty(record.ClientName)) {
		ClientName=record.ClientName;
	}
	if (!Fw.isEmpty(record.IdNo)) {
		IdNo=record.IdNo;
	}
	if (!Fw.isEmpty(record.phone1)) {
		phone1=record.phone1;
	}
	if(!Fw.isEmpty(record.accountNo)){
		$('#cardSign').val(record.accountNo).change();
	}else{
		$('#cardSign').val('').change();
	}
	if(!Fw.isEmpty(record.bank)){
		$('#bank').val(record.bank).change();
		$('#icoin').hide();
	}else{
		$('#bank').val('').change();
	}
	if(!Fw.isEmpty(record.idNo)){ 
		$('#idNo').val(record.idNo).change();
	}else{
		$('#idNo').val('').change();
	}
	//手机号
	if(!Fw.isEmpty(record.tel)){
		if(record.phoneFlag==1){
			$('#tel').val(record.tel).change();
		}else if(record.phoneFlag==2){
			$('#tel1').val(record.tel).change();
			$("#mphone1").show();
			$("#mphone").hide();
		}
	}else{
		if(record.phoneFlag==1){
			$('#tel').val('').change();
		}else if(record.phoneFlag==2){
			$('#tel1').val('').change();
			$("#mphone1").show();
			$("#mphone").hide();
		}else{
			$('#tel').val('').change();
		}
	}
	if(!Fw.isEmpty(record.name)){
		$('#name').val(record.name).change();
	}else{
		$('#name').val('').change();
	}
	if (!Fw.isEmpty(record.identityType)) {
		identityType=record.identityType;
	}
	var captchaSecurity = null;
	var data1 = [ {
		"carType" : '居民身份证',
		"identityType" : "P00"
	}, {
		"carType" : '户口薄',
		"identityType" : "P07"
	}, {
		"carType" : '警官证',
		"identityType" : "P03"
	}, {
		"carType" : '(港、澳)回乡证、通行证',
		"identityType" : "P06"
	}, {
		"carType" : '(外国)护照',
		"identityType" : "P23"
	}, ];
	return {
		/**
		 * 依赖组件
		 */
		requires : ['Fw.Form','Fw.Keyboard','Fw.Calendar','Fw.DropDownList','Fw.PayControls' ,'Fw.Keyboard'],
		viewConfig : {
			title : '自助注册',
			leftButton : {
			},
			loadMask:true
		},
		/**
		 * 初始化 应用入口
		 */
		init : function(require) {
			//获得是村镇客户端还是省联社客户端
			Fw.device.Device.getAppType("App.getType");
			//重写键盘事件，当调用数字键盘收起时，判断是否显示验证码
			Fw.Keyboard.onHidden=function(){
	      		$('body').css({
	           		'top': '0px'
	           	});
				if(Fw.isEmpty(this.target.val()) && !Fw.isEmpty(Fw.util.Storage.get(this.target.attr('name'))) ){
					this.target.attr('placeholder',Fw.util.Storage.get(this.target.attr('name')));
					Fw.util.Storage.remove(this.target.attr('name'));
				}
				Fw.Keyboard.showKeyboard = true;
				var telNum=$("#tel1").val();
				if(a==1){//刚进页面a=1时，判断是否显示验证码
					if($("#cardSign").val()!=""&&$("#bank").val()!=""&&$("#name").val()!=""&&$("#idNo").val()!=""){
						if(!$("#mphone1").is(":hidden")&&$("#tel1").val()!=""){
							App.getSms();
						}
					}
				}
	        }
			App.smsCheck();
			this.initForm();
			this.initDropDownList();
			// 初始换状态默认是本行卡
			App.data = {
				"state" : "0"
			};
			// 初始化同意协议
			this.check();
			// 初始化事件
			this.initEvents();
			Fw.LoadMask.hide();
		},
		initForm:function(){
			form = new Fw.Form({
                //EL
                contentEl : 'form',
                //是否激活重置事件（默认false）
                //单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
                resettable: false,
                //校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
                msgTarget: 'tips'
            });
		},
		getType : function(data){
			data = Fw.decode(data);
			villageFlag=data.app_type;
			if(villageFlag==1){//villageFlag 1代表省联社，2代表村镇
				
			}else{
				
			}
		},
		initDropDownList:function(){
			dropDownList = new Fw.DropDownList({
				result : data1,
				displayNo : false,
				displayName : 'carType',
				cursorBtn : false,
				disableField : 'cardtp',
				disableFieldValue : '1'
			});
		},
		check : function() {
			var check = $("#check").is(":checked");
			if (!check) {
				$("#btn").css("background-image","-webkit-gradient(linear, left top, left bottom, color-stop(0.5, #999999), to(#999999))");
				$("#btn").css("border-color", "#999999");
				$("#btn").attr("disabled", "disabled");
			}
			 Fw.LoadMask.hide();
		},
		/**
		 * 初始化事件
		 */
		initEvents : function() {
			//刷新图形验证码
			$('#captcha-image').on('click',Fw.bind(this.doRefreshCaptcha, this));
			
			$("#cardSign,#bank,#idNo,#name,#tel").on('change', Fw.bind(this.smsCheck, this));
			$("#cardSign").on('input',Fw.bind(this.testCard,this));
			
			$("#bank").on('click', Fw.bind(this.getBank, this));
			$(".openBank").on('click',Fw.bind(this.getBank,this));
			$("#idNo").on('click', Fw.bind(this.checkClick1, this));//点击身份证号的时候校验非空
			$("#name").on('click', Fw.bind(this.checkClick2, this));//点击客户姓名时候校验非空
			$("#tel1").on('click', Fw.bind(this.checkClick3, this));//点击手动输入手机号的时候校验非空
			
			$("#btn").on('click', Fw.bind(this.doSubmit, this));
			$("#carType").on('change', Fw.bind(this.checkcarType, this));
			$("input[name='check']").on('click', Fw.bind(this.isAgree, this));
			$('.sele').on('click', Fw.bind(this.showDropDownListClick, this));
			dropDownList.on('itemClick', Fw.bind(this.itemClick, this));
			$('#agreement').on('click', Fw.bind(this.agreement, this));
		},
		cardChange:function(){
			$("#bank").val("").change();
			$("#tel").val("").change();
			$("#icoin").show();
		},
		checkClick1:function(){
			// 卡号
			var cardSign = ($("#cardSign").val()).replace(/\s/g, "");
			// 开户行
			var bank = $("#bank").val();
			// 本行卡提交
			if (cardSign != "") {
				if (bank != "") {
					
				} else {
					Fw.Msg.info('请查询开户银行信息');
				}
			} else {
				Fw.Tips.info('请输入注册卡号');
			}
		},
		checkClick2:function(){
			// 卡号
			var cardSign = ($("#cardSign").val()).replace(/\s/g, "");
			// 开户行
			var bank = $("#bank").val();
			// 证件号
			var idNo = ($("#idNo").val()).replace(/\s/g, "");
			// 本行卡提交
			if (cardSign != "") {
				if (bank != "") {
					// 未输入证件号
					if (idNo != "") {
						
					} else {
						Fw.Tips.info('请输入证件号码');
					}
				} else {
					Fw.Msg.info('请查询开户银行信息');
				}
			} else {
				Fw.Tips.info('请输入注册卡号');
			}
		},
		checkClick3:function(){
			// 卡号
			var cardSign = ($("#cardSign").val()).replace(/\s/g, "");
			// 开户行
			var bank = $("#bank").val();
			// 证件号
			var idNo = ($("#idNo").val()).replace(/\s/g, "");
			// 姓名
			var name = ($("#name").val()).replace(/\s/g, "");
			// 本行卡提交
			if (cardSign != "") {
				if (bank != "") {
					// 未输入证件号
					if (idNo != "") {
						// 姓名为空
						if (name != "") {
							
						} else {
							Fw.Tips.info('请输入客户姓名');
						}
					} else {
						Fw.Tips.info('请输入证件号码');
					}
				} else {
					Fw.Msg.info('请查询开户银行信息');
				}
			} else {
				Fw.Tips.info('请输入注册卡号');
			}
		},
		smsCheck:function(){
			if($("#cardSign").val()!=""&&$("#bank").val()!=""&&$("#name").val()!=""&&$("#idNo").val()!=""){
				if(!$("#mphone").is(":hidden")&&$("#tel").val()!=""){
					App.getSms();
				}else if(!$("#mphone1").is(":hidden")&&$("#tel1").val()!=""){
					App.getSms();
				}
			}
		},
		testCard:function(){
			var m = $("#cardSign").val();
			if(!/^[0-9]{0,32}$/.test(m)){
				$("#cardSign").val(m.replace(/[^0-9]/g,"")).change();
				if($("#cardSign").val().length > 32){
					$("#cardSign").val($("#cardSign").val().slice(0,$("#cardSign").val().length-1)).change();
				}
			}
		},
		getSms : function() {
			//调用客户端插件获得session用于生成图形验证码
			Fw.device.Device.getGraphicCode("App.getGraphicCode");
			$('#sms').show();
			a=2;//当验证码显示后则将a置为2，防止调用数字键盘后刷新验证吗
		},
		getGraphicCode : function(data){
			if(data==0){
				$('#captcha-image').addClass('refresh').attr('src',Fw.getBasePath() + '/page/phone/regist/image/empty.gif');
			}else{
				$('#captcha-image').attr('src','data:imgage/jepg;base64,'+data);
			}
		},
		/**
		 * 刷新验证码
		 */
		doRefreshCaptcha : function(e) {
			// 如果是点击验证码图片刷新
			if (e) {
				// 则验证码输入框获得焦点、置空
				$('input[name=captcha]').val('').focus();
			}
			//调用客户端插件获得session用于生成图形验证码
			Fw.device.Device.getGraphicCode("App.getGraphicCode");
		},
		showDropDownListClick : function() {
			dropDownList.show(data1);
		},
		itemClick : function(data, index) {
			identityType = data.identityType;
			$("#carType").val(data.carType);
		},
		// 输入名字时的校验
		checkName : function() {
			var cardSign = ($("#cardSign").val()).replace(/\s/g, "");
			if (cardSign != "") {
				var bank = $("#bank").val();
				if (bank != "") {

				} else {
					Fw.Msg.info('请查询开户银行信息');
				}
			} else {
				Fw.Tips.info('请输入注册卡号');
			}
		},
		// 选择证件类型的校验
		checkcarType : function() {
			var cardSign = ($("#cardSign").val()).replace(/\s/g, "");
			if (cardSign != "") {
				var bank = $("#bank").val();
				if (bank != "") {
				} else {
					Fw.Msg.info('请查询开户银行信息');
					return ;
				}
			} else {
				Fw.Tips.info('请输入注册卡号');
			}
		},
		isAgree : function() {
			var check = $("#check").is(":checked");
			if (!check) {
				$("#btn")
						.css(
								"background-image",
								"-webkit-gradient(linear, left top, left bottom, color-stop(0.5, #999999), to(#999999))");
				$("#btn").css("border-color", "#999999");
				$("#btn").attr("disabled", "disabled");
			} else {
				$("#btn")
						.css(
								"background-image",
								"-webkit-gradient(linear, left top, left bottom, color-stop(0.5, #60B2FB), to(#60B2FB))");
				$("#btn").css("border-color", "#60B2FB");
				$("#btn").removeAttr("disabled");
			}
		},
		// 离焦事件获取银行信息
		getBank : function() {
			var accountNo = $("#cardSign").val();
			if (accountNo != "") {
				Fw.util.Ajax.get({
					socketAdapter : 'registService/executeBinCard',
					params : {
						queryFlag : '2',
						binNo : accountNo,
						loginType:"MB",
						app_type : villageFlag
					},
					staticData : false,
					success : function(data, result) {
						App.result = data;
						// 判断本行还是他行result.result.BankType=0是本行
						if (App.result.BankType == 0) {
							if(App.result.CardType != "01" && App.result.CardType != "11"){
								Fw.Msg.info("请使用银行卡签约");
								return;
							}
							App.getBankDetail();
						} else {
							Fw.Tips.info("您输入的卡号不存在");
						}
					},
					failure:function(statues,textStatus,error){
                    }
				});
			} else {
				Fw.Tips.info('请输入注册卡号');
			}
		},
		getBankDetail : function() {
			var accountNo = $("#cardSign").val();
			Fw.util.Ajax.get({
				socketAdapter : 'registService/executeBankDetail',
				params : {
					pwdCheckFlag : '2',
					accountNo : accountNo,
					loginType:'MB',
					app_type : villageFlag
				},
				staticData : false,
				success : function(data, result) {
					result1 = data;
					$("#bank").val(result1.OpenAcctBranchName);
					$("#icoin").hide();
					//ZipCode  0:省联社 1：村镇
					if(result1.ZipCode==0){
						if(villageFlag==1){//villageFlag 1代表省联社，2代表村镇
							App.getCustNo();
							ClientName=result1.ClientName;
		                    IdNo=result1.IdNo;
						}else{
							Fw.Msg.info("请使用福建农信客户端进行自助注册");
							$('#tel').val('').change();
							$("#btn").css(
									"background-image",
									"-webkit-gradient(linear, left top, left bottom, color-stop(0.5, #60B2FB), to(#60B2FB))");
							$("#btn").css("border-color", "#60B2FB");
							$("#btn").removeAttr("disabled");
						}
					}else if(result1.ZipCode==1){
						if(villageFlag==1){
							Fw.Msg.info("请使用村镇银行客户端进行自助注册");
							$('#tel').val('').change();
							$("#btn").css(
									"background-image",
									"-webkit-gradient(linear, left top, left bottom, color-stop(0.5, #60B2FB), to(#60B2FB))");
							$("#btn").css("border-color", "#60B2FB");
							$("#btn").removeAttr("disabled");
						}else{
							App.getCustNo();
							ClientName=result1.ClientName;
		                    IdNo=result1.IdNo;
						}
					}
				}
			});
		},
		// 客户号转换
		getCustNo : function() {
			Fw.util.Ajax.get({
				socketAdapter : 'registService/executeCustNo',
				params : {
					custChrt : '1',
					convType : '2',
					custNo : result1.CifNo,
					loginType:'MB',
					app_type : villageFlag
				},
				staticData : false,
				success : function(data, result) {
					App.getInfoPhone(data.CustNo);
				}

			});
		},
		// 获取预留手机号
		getInfoPhone : function(data) {
			Fw.util.Ajax
					.get({
						socketAdapter : 'registService/executeInfoDetail',
						params : {
							custNo : data,
							loginType:'MB',
							app_type : villageFlag
						},
						staticData : false,
						success : function(data, result) {
							var phoneList = data.TablePerPhoneList||{};
							// 验证手机
							if(phoneList.length > 0){
								for(var i=0;i<phoneList.length;i++){
									if(phoneList[i].CommonPhoneFlg == 'Y'){
										phone1 = phoneList[i].Phone;
									}
								}
								if (!Fw.util.VTypes.cellphone(phone1) || Fw.isEmpty(phone1)) {
									phoneFlag=2;
									Fw.Msg.info('您在行内的预留手机号为空或格式错误，无法自助注册，请至我行任一营业网点开通手机银行/网上银行。', function(){
										Fw.gotoIndex();
									});
									return;
								} else {
									phoneFlag=1;
									// 手机号进行隐藏
									phone = (phone1).substr(0, 3)
									+ "****"
									+ (phone1).substr(7);
									$("#mphone").show();
									$("#mphone1").hide();
									$("#tel").val(phone);
								}
							}else{
								phoneFlag=2;
								Fw.Msg.info('您在行内的预留手机号为空或格式错误，无法自助注册，请至我行任一营业网点开通手机银行/网上银行。', function(){
									Fw.gotoIndex();
								});
								return;
							}
							App.smsCheck();
							Fw.LoadMask.hide();
						}

					});
		},
		agreement : function() {
			if(!$("#mphone").is(":hidden")){
				result1.phoneFlag=1;
				if($("#tel").val()!=""){
					result1.tel=$('#tel').val();
					result1.phone1=phone1;
				}
			}else if(!$("#mphone1").is(":hidden")){
				result1.phoneFlag=2;
				if($("#tel1").val()!=""){
					result1.tel=$('#tel1').val();
					result1.phone1=$('#tel1').val();
				}
			}
			if(!Fw.isEmpty($('#cardSign').val())){
				result1.accountNo=$('#cardSign').val();
			}
			if( !Fw.isEmpty($('#bank').val())){ 
				result1.bank=$('#bank').val();
			}
			if(!Fw.isEmpty($('#idNo').val())){
				result1.idNo=$('#idNo').val();
			}
			if(!Fw.isEmpty($("#name").val())){
				result1.name=$('#name').val();
			}
			if(!Fw.isEmpty(ClientName)){
				result1.ClientName=ClientName;
			}
			if(!Fw.isEmpty(IdNo)){
				result1.IdNo=IdNo;
			}
			Fw.redirect('agreement.html', result1);
		},
		doSubmit : function() {
			// 卡号
			var cardSign = ($("#cardSign").val()).replace(/\s/g, "");
			// 开户行
			var bank = $("#bank").val();
			// 证件号
			var idNo = ($("#idNo").val()).replace(/\s/g, "");
			// 姓名
			var name = ($("#name").val()).replace(/\s/g, "");
			// 本行卡提交
			if (cardSign != "") {
				if (bank != "") {
					// 未输入证件号
					if (idNo != "") {
						// 姓名为空
						if (name != "") {
							if(!$("#mphone").is(":hidden")&&$("#tel").val()!=""){
								// 校验输入的证件号码、客户姓名，预留手机号是否有误
								if (name == ClientName
										&& idNo ==IdNo) {
									// 验证图形验证码是否为空
									if (null == $('#smsCode').val()
											|| "" == $('#smsCode').val().trim()) {
										Fw.Tips.info("请输入验证码");
									}else{
										this.onClick();
									}
								} else {
									Fw.Msg.info('您输入的注册信息有误，请重新输入');
								}
							}else if(!$("#mphone1").is(":hidden")&&$("#tel1").val()!=""){
								// 校验输入的证件号码、客户姓名，预留手机号是否有误
								if (name == ClientName
										&& idNo ==IdNo) {
									// 验证图形验证码是否为空
									if (null == $('#smsCode').val()
											|| "" == $('#smsCode').val().trim()) {
										Fw.Tips.info("请输入验证码");
									}else{
										this.onClick();
									}
								} else {
									Fw.Msg.info('您输入的注册信息有误，请重新输入');
								}
							}else{
								Fw.Msg.info('请输入银行预留手机号');
							}

						} else {
							Fw.Tips.info('请输入客户姓名');
						}
					} else {
						Fw.Tips.info('请输入证件号码');
					}
				} else {
					Fw.Msg.info('请查询开户银行信息');
				}
			} else {
				Fw.Tips.info('请输入注册卡号');
			}

		},
		/**
		 * 显示窗体
		 */
		onClick : function(e) {
			Fw.util.Ajax.execute({
				service : 'registService/executePhotoSms',
				params : {
					smsCode : $('#smsCode').val(),
					app_type : villageFlag
				},
				staticData : false,
				success : function(data, result) {
					App.doRefreshCaptcha();
					var showInfo = [];
					 var accountNo = ($("#cardSign").val()).replace(/\s/g, "");
					 var cardNews = {
			        			cardNo : accountNo,
			        			registFlag:'0',
			        			passwordType : 'T',//T代表借记卡 B代表信用卡
			        	}
					/**
					 * type
					 * 
					 * S&AP 短信验证码+账户密码 U&AP U-key密码+账户密码(pc端) AP 账户密码 CTP 信用卡交易密码 SMS
					 * 短信验证码 IC&AP IC卡+账户密码(手机端)
					 */
					 Fw.device.Device.payControls('AP', showInfo, 'App.onPayControlsSubmit',{},cardNews);
				},
				failure : function(status, textStatus, error) {
					// 验证码刷新
					App.doRefreshCaptcha();
				}
			});
		},
		/**
		 * @param record
		 *            控件信息
		 */
		onPayControlsSubmit : function( record1, type, isObject ) {
			if(!isObject || "false"==isObject){
				record1 = Fw.decode(record1);
			}
            var passWord=record1.pwd;
            App.infoConFire(passWord);
		},
		// 验证客户信息
		infoConFire : function(passWord) {
			// 卡号
			var accountNo = ($("#cardSign").val()).replace(/\s/g, "");
			// 开户行
			var bank = $("#bank").val();
			// 证件类型
			var identityTypeName=$("#carType").val();
			// 证件号
			var idNo = ($("#idNo").val()).replace(/\s/g, "");
			// 姓名
			var name = ($("#name").val()).replace(/\s/g, "");
            //如果回显号码为空，即取输入的手机号
			if(Fw.isEmpty($("#tel").val())){
            	phone1=$("#tel1").val();
            }
			if(!$("#mphone").is(":hidden")){
				if($("#tel").val()!=""){
					tel=$('#tel').val();
				}
			}else if(!$("#mphone1").is(":hidden")){
				if($("#tel1").val()!=""){
					tel=$('#tel1').val();
				}
			}
			// 校验信息成功，跳转设置登录名，密码
			Fw.util.Ajax.query({
				service : 'registService/executeInfoConfire',
				// 请求参数
				params : {
					acctName : name,
					pwdCheckFlag : '1',// 默认不校验密码 为1时校验密码 必传PassWord
					"passWord" : passWord,
					"accountNo" : accountNo,
					identityType : identityType,	
					identityNo : idNo,
					telephoneNo : phone1,
					isInnerCardFlag : "0",//
					smsCode : $('#smsCode').val(),
					loginType:'MB',
					app_type : villageFlag
				},
				staticData : false,
				success : function(data, result) {
					var params1 = {
						ClientName:ClientName,//客户名称（查询出来的）
						IdNo:IdNo,//客户证件号（查询出来的）
						accountNo : accountNo,//注册卡号
						bank:bank,//开户行
						identityType:identityType,//证件类型
						carType:identityTypeName,//证件类型名称
						idNo:idNo,//证件号码（手动输入的）
						tel:tel,//页面显示的手机号码（有可能带*号）
						phone1:phone1,//手机号码
						name:name,//客户姓名（手动输入的）
						phoneFlag:phoneFlag
					};
					Fw.redirect("setLogin.html", params1);
				},
			});
		},
		leftButtonHandler : function() {
			Fw.gotoIndex();
		}
	};
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
