/**
 * 创建应用
 */
var App = function() {
	var setFlag;
	//
	return {
		/**
		 * 依赖组件
		 */
		requires : [ 'Fw.Form' , 'Fw.app.Session' ],
		viewConfig : {
			title : '指纹登录设置',
			leftButton : {
				handler : function() {
					App.back();
				}
			},
			loadMask : true
		},
		/**
		 * 初始化 应用入口
		 */
		init : function(require) {
//			Fw.LoadMask.hide();
//			Fw.device.Device.QRcodeSign("App.getPassFlag");
			App.getSetFlag();
////			// 初始化事件
			this.initEvents();
		},
		getSetFlag : function() {
			Fw.util.Ajax.execute({
				service : 'fingerPrint',
				method : 'executeQueryFinger',
				params : {
				},
				success : function(data, result) {
					setFlag = data.SignState;
					if (data.SignState == 0 && Fw.app.Session.getAuthFlag() == '1') {
						$("#freePay").attr("src", "./images/checktrue.png");
					} else {
						$("#freePay").attr("src", "./images/checkfalse.png");
						setFlag = 1 ;
					}
				},
				failure : function(e,state,textStatus,error,xhr) {
				}
			});
		},
		/**
		 * 初始化事件
		 */
		initEvents : function() {
			$("#freePay").on('click', Fw.bind(this.switchNoPass, this));
		},
		switchNoPass : function() {
			if (setFlag == 0) {
				Fw.Msg.cfm("是否关闭指纹登录？", function(code, btn, win) {
					if (Fw.isEqual("yes", code)) {
						App.closeTouch();
					}
				});
			} else {
				Fw.device.Device.checkFingerPrintInfo("App.checkFingercb");
			}

		},
		checkFingercb : function(cb){
			if(Fw.decode(cb).isSuccess == '1'){
				$("#freePay").attr("src", "./images/checktrue.png");
				setFlag = 0;
			}else{
			}
		},
		closeTouch : function(){
			Fw.util.Ajax.execute({
				service : 'fingerPrint',
				method : 'executeFingerUpd',
				params : {
					OpType:1
				},
				success : function(data, result) {
					Fw.device.Device.clearAuthCode();
					$("#freePay").attr("src", "./images/checkfalse.png");
					setFlag = 1;
				},
				failure : function(e,state,textStatus,error,xhr) {
				}
			});
		},
		back : function(){
			if($('#page1').css('display')=='block'){
				Fw.gotoIndex();
			}else{
				$('#page2').hide();
				$('#page1').show();
			}
		},
	};
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
