/**
 * 创建应用
 */
var App = function() {
    var listView;
    //
    var emptyTpl='<div class="font-size-18"><div class="ui-no">未查询到相关记录</div></div>';

    //收款人客户端数据
	var friendData={"flag":"0"};
	
	var flag="1";
    return {
        /**
         * 依赖组件
         */
        requires : [
            
            //列表
            'Fw.ListView',
            'Fw.app.Session'
        ],
        /**
         * 视图设置
         * 设置标题栏、按钮等
         * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
         */
        viewConfig: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: '转账汇款',
            /**
             * 左边按钮（默认显示）
             * 如果为false，则左边按钮不显示
             * leftButton: '左边按钮'
             */
            leftButton: {
                //自定义按钮标题（默认'返回'）
                text: '左边按钮',
                //自定义按钮点击事件（默认App.leftButtonHandler）
                //handler: XXX
            },
            /**
             * 右边按钮（默认不显示）
             * rightButton: '右边按钮'
             */
//            rightButton: {
//                //按钮标题
//                text: '右边按钮',
//                //自定义按钮点击事件（默认App.rightButtonHandler）
//                //handler: XXX
//            },
            /**
             * 是否自动显示等待层（默认true）
             * 需手动隐藏等待层
             */
            loadMask: true
        },
        /**
         * 初始化
         * 应用入口
         */
        init : function(require) {
           
        	//查询收款人
        	this.queryBank();
        	//查询最近联系人
        	this.queryFriend();
            //初始化事件
            this.initEvents();
            
            
        },
        /**
         * 初始化事件
         */
        initEvents: function(){
        	//银行卡转账绑定事件
        	$("#bank").on("click",Fw.bind(this.bankCard,this));
//        	$("#hide").on("click",Fw.bind(this.showHide,this));
        	
//        	$("#hide").on("click",Fw.bind(this.hideCard,this));	
        	$("#friend").on("click",Fw.bind(this.friendCard,this))
        	
        	
        	
        },
        checkPhoto:function(){
        	if($("#photo").hasClass("ui-ppp")){
        		$("#list").hide();
        		$("#photo").removeClass("ui-ppp");
        		$("#photo").attr("src","../../../images/transfer_accounts/zhuanzhang_02.png")
        	}else{
        		$("#photo").addClass("ui-ppp");
        		$("#list").show();
        		$("#photo").attr("src","../../../images/transfer_accounts/zhuanzhang_16.png")
        	}
        },
        //银行卡转账
        bankCard:function(){
        	Fw.device.Device.getMenuPower("转账汇款", "M051200", "App.getobankCard");
//        	Fw.device.Device.gotoBank();
//        	Fw.redirect("../../pub/transfer_accounts/bank.html");
        },
        getobankCard : function(data){
        	if(data == "T"){
        		Fw.device.Device.noClinetAppTitle("page/pub/transfer_accounts/bank.html");
        	}else{
        		Fw.Msg.info("尊敬的客户，由于系统升级，该功能暂时停用，给您造成的不便，敬请谅解，具体开启时间请关注我行公告。");
        		return;
        	}
        },
//        gotoNext:function(){
////        	Fw.Msg.info(1111);
////        	$("#number").html("666");
////        	Fw.redirect(Fw.getBasePath() + "/page/pub/transfer_accounts/bank.html");
//        	Fw.redirect("../../pub/transfer_accounts/bank.html");
////        	$("#number").html("1000");
////        	
//        },
        //联系人转账
        friendCard:function(){
        	Fw.device.Device.getMenuPower("转账汇款", "M051100", "App.getofriendCard");
//        	Fw.device.Device.showFriendList(friendData,'App.getFriend');
        },
        getofriendCard : function(data){
        	if(data == "T"){
        		Fw.device.Device.gotoShowFriend(friendData, "0");
        	}else{
        		Fw.Msg.info("尊敬的客户，由于系统升级，该功能暂时停用，给您造成的不便，敬请谅解，具体开启时间请关注我行公告。");
        		return;
        	}
        },
//        getFriend:function(data){
//        	data=data.replaceAll('"','\"')
//        	data=JSON.parse(data)
//        	Fw.redirect("../../pub/transfer_accounts/bank.html",data);
//        },
        //查询本人名下账户
        queryBank:function(){
        	Fw.util.Ajax.query({
                service:'transferService.queryFriendList',
                staticData: false,
                //请求成功后回调
                success: function(data, result) {
                	var number=data.MyCard.length;
                	Fw.apply(friendData,data)
                	if(number==0){
//                   		$("#number").html("0");
                   		$("#photo").hide();
//                    	$("#name").html(Fw.app.Session.getName() +"<span class='ui-number'><a>(</a><a id='number'></a><a>)</a></span>");
                    	$("#number").html("0");
                    	$('#list').html(emptyTpl);
               		}else{
               			
               			$("#hide").on("click",Fw.bind(App.checkPhoto,this));
//                    	$("#name").html(Fw.app.Session.getName() +"<span class='ui-number'><a>(</a><a id='number'></a><a>)</a></span>");
                    	$("#number").html(number);
                    	App.myCardList(data);
               		}
                },
            });
        	
        },
        myCardList:function(data){
        	var tpl = [
         	           	
//         	            '<li class="x-list-item ui-border-t ">',
//         	           	'<div class="ui-avatar"><span style="background-image:url(image/${item.photo})"></span></div>',
//         	           	'<div class="ui-list-info"><div class="ui-nowrap font-26-c">${item.name}</div>',
//         	           	'<div class="ui-nowrap font-26-b" style="padding-top: 10px;">',
//         	           	'<sapn>${item.account}</sapn><sapn style="margin-left: 10px;">${item.card|fmtAcctNoSe}</sapn></div></div></li>',
         	           	
         	           	'{@each MyCard as item,index}',
         	           	'<li class="x-list-item ui-border-t " onclick="App.myCardTransfer(${item|JsonToStr})">',
         	           	'<div style="">',
         	           	'{@if item.PayeeBankId=="402391000068"||item.PayeeBankId=="301290000007"||item.PayeeBankId=="105100000017"||item.PayeeBankId=="103100000026"||item.PayeeBankId=="102100099996"||item.PayeeBankId=="104100000004"||item.PayeeBankId=="308584000013"}',
						'<img style="width: 30px;vertical-align: middle;padding-left: 10px;" src="../../../images/transfer_accounts/deaufult.png">',
						'{@else if item.BankType=="0"}',
						'<img style="width: 30px;vertical-align: middle;padding-left: 10px;" src="../../../images/transfer_accounts/402391000068.png">',
						'{@else}<img style="width: 30px;vertical-align: middle;padding-left: 10px;" src="../../../images/transfer_accounts/deaufult.png"/>',
						'{@/if}',
						'</div>',
         	           	'<div class="font-26 ui-nowrap" style="padding-left:10px;width:100px;">',
         	           	'{@if item.PayeeBankName !=null && item.PayeeBankName !="" }',
	   					'${item.PayeeBankName}</div>',
	   					'{@else}${item.PayeeDeptName}</div>',
	   					'{@/if}',
         	           	'<div class="font-26" style="padding-left: 10px;">尾号${item.PayeeAcNo|fmtAcctNoEnd}</div></li>',
         	           '{@/each}'
         			];
        	juicer.register("JsonToStr", function(data){
        		return JSON.stringify(data);
        	});
   			//渲染模板
          	var html = Fw.template(tpl, data);
          	//添加到页面
          	$('#list').html(html);
//          Fw.LoadMask().hide();
          	
        },
        myCardTransfer:function(data){
        	App.myCardTransferData = data;
        	if(Fw.isEqual(data.PayeeAcType, "1")){
        		Fw.device.Device.getMenuPower("我的信用卡", "M050903", "App.getoMyCardTransfer");
        	}else{
        		Fw.device.Device.getMenuPower("转账汇款", "M051200", "App.getomyCardTransfer");
        	}
        },
        getoMyCardTransfer : function(data){
        	if(data == "T"){
        		Fw.device.Device.noClinetAppTitle('page/pub/creditCardManage/creditCardPayment/main.html?flag=0&zhPage=2&acNo='+App.myCardTransferData.PayeeAcNo+'&sName='+ App.myCardTransferData.PayeeAcName);
        	}else{
        		Fw.Msg.info("尊敬的客户，由于系统升级，该功能暂时停用，给您造成的不便，敬请谅解，具体开启时间请关注我行公告。");
        		return;
        	}
        },
        getomyCardTransfer : function(data){
        	if(data == "T"){
        		Fw.device.Device.goCardBank(App.myCardTransferData);
        	}else{
        		Fw.Msg.info("尊敬的客户，由于系统升级，该功能暂时停用，给您造成的不便，敬请谅解，具体开启时间请关注我行公告。");
        		return;
        	}
        },
        
        
        //查询最近联系人
        queryFriend:function(){
            Fw.util.Ajax.get({
                //数据源（服务接口）
                //service: 'demo1Service.queryXXX',
//                service: 'transferService.queryFriendCard',
                //method: 'query',//默认为query，方法名称必须是query开头
                socketAdapter:'transferService/queryFriendCard',
                //请求参数
                params: {
//                	PayeeFlag:1
                },
                //是否自动显示等待层（默认true）
                //允许自定义等待层提示信息（loadMask: '请稍后...'）
                //loadMask: true,
                //是否使用数据挡板（默认false）
                staticData: false,
//                staticData: true,
                //请求成功后回调
                success: function(data, result) {
                	App.friendCardList(data);
                },
            });
        },
        friendCardList:function(data){
        	var tpl = [
        	        '{@each List as item,index}',
        	        '<li class="x-list-item ui-border-t " onclick="App.friendCardTransfer(${item|JsonToStr})">',
        	        '{@if item.PayeeBankId=="402391000068"||item.PayeeBankId=="301290000007"||item.PayeeBankId=="105100000017"||item.PayeeBankId=="103100000026"||item.PayeeBankId=="102100099996"||item.PayeeBankId=="104100000004"||item.PayeeBankId=="308584000013"}',
//					'<img src="../../../images/transfer_accounts/${item.PayeeBankId}.png">',
					'<img style="width: 30px;vertical-align: middle;padding-left: 10px;"src="../../../images/transfer_accounts/deaufult.png">',
					'{@else if item.BankType=="0"}',
					'<img style="width: 30px;vertical-align: middle;padding-left: 10px;" src="../../../images/transfer_accounts/402391000068.png">',
					'{@else}<img style="width: 30px;vertical-align: middle;padding-left: 10px;" src="../../../images/transfer_accounts/deaufult.png"/>',
					'{@/if}',
					'<div class="ui-list-info" style="padding-left: 10px;"><div class="ui-nowrap font-26-c">${item.PayeeAcName}',
					'{@if item.PayeeAcAlias !=null && item.PayeeAcAlias !="" }',
					'(${item.PayeeAcAlias})',
					'{@/if}',
					'</div>',
					'<div class="ui-nowrap font-26-b">',
					'{@if item.PayeeBankName !=null && item.PayeeBankName !="" }',
					'<sapn>${item.PayeeBankName}</sapn>',
					'{@else}<sapn>${item.PayeeDeptName}</sapn>',
					'{@/if}',
//					'<sapn>${item.account}</sapn>',
					'<sapn style="margin-left: 10px;">尾号${item.PayeeAcNo|fmtAcctNoEnd}</sapn></div></li>',
					'{@/each}'
				
				
				];
        	juicer.register("JsonToStr", function(data){
        		return JSON.stringify(data);
        	});
        	
        	if(data.List.length==0){
           		$('#list2').html(emptyTpl);
       		}else{
       			//渲染模板
              	var html = Fw.template(tpl, data);
              	//添加到页面
              	$('#list2').html(html);
//               Fw.LoadMask().hide();
       		}
        },
        friendCardTransfer:function(data){
        	App.friendCardTransferData = data;
        	Fw.device.Device.getMenuPower("转账汇款", "M051200", "App.getofriendCardTransfer");
        },
        getofriendCardTransfer : function(data){
        	if(data == "T"){
        		Fw.device.Device.goCardBank(App.friendCardTransferData);
        	}else{
        		Fw.Msg.info("尊敬的客户，由于系统升级，该功能暂时停用，给您造成的不便，敬请谅解，具体开启时间请关注我行公告。");
        		return;
        	}
        },
        friendCardTransfer:function(data){
//        	Fw.redirect("../../pub/transfer_accounts/bank.html",data);
        	App.friendCardTransferData = data;
        	Fw.device.Device.getMenuPower("转账汇款", "M051200", "App.getofriendCardTransfer");
        },
        gotofriendCardTransfer : function(data){
        	if(data == "T"){
        		Fw.device.Device.goCardBank(App.friendCardTransferData);
        	}else{
        		Fw.Msg.info("尊敬的客户，由于系统升级，该功能暂时停用，给您造成的不便，敬请谅解，具体开启时间请关注我行公告。");
        		return;
        	}
        },
        leftButtonHandler:function(){
        	Fw.gotoIndex();
        }
    };
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
