var App = function(){
	var params;
	var user;
	var OpenInAmtFlag;
	return {
		/**
         * 依赖组件
         */
        requires: ['Fw.app.Session','Fw.SmsCountDown'],
        /**
         * 视图设置
         * 设置标题栏、按钮等
         * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
         */
        viewConfig: {
            title: 'III类户管理',
            leftButton: {
				 handler:function(){
	    			App.back();
	    		}
            },
            loadMask:true,
    	},
		 back: function(){
			 var urltemp = Fw.getBasePath() +'/page/phone/unboundAccountEntry/main.html';
	        	var tempParam={};
	        	Fw.redirect(urltemp);
	    },
        /**
         * 初始化
         * 应用入口
         */
		init: function(){
			//初始化事件
            this.initEvents();
            
            user = Fw.app.Session.get();
			params = Fw.getParameters();
            
            if(!Fw.isEmpty(params)){
       		 if(!Fw.isEmpty(params.AcNo)){
       			 $('#cardno').text(Fw.util.Format.fmtAcctNo(params.AcNo, true));
       		 }
       		 //设置下拉框默认选中
       		 if(params.EntryFlag=="1")
       			 {
       			 	OpenInAmtFlag="0";
       			 	$('#EntryFlagSelect').text("否");
        			$('#EntryFlagName').text("已开通");
       			 }
       		 else
       			 {
       			 	OpenInAmtFlag="1";
       			 	$('#EntryFlagSelect').text("是");
        			$('#EntryFlagName').text("未开通");
       			 }
            }
			
			//姓名
			$('#UserName').text(user.name);
			
			
            
            //手动隐藏等待层
            Fw.LoadMask.hide();
		},
		/**
         * 初始化事件
         */
        initEvents: function(){
        
        	$('#SaveEntry').on('click', Fw.bind(this.SaveEntry, this));
        	
        	//短信验证码按钮
            $('#resend-btn').on('click',Fw.bind(this.smsCountDownClick,this));
        },

        leftButtonHandler: function(){
        },
        SaveEntry:function(){
        	if(Fw.isEmpty($('#smsCode').val())){
                Fw.Tips.info('请输入验证码!');
                return false;
            }
			var data={
                	AcctNo:params.AcNo,
                	OpenInAmtFlag:OpenInAmtFlag,
                	dyPassword:$('#smsCode').val(),
			};
			//提交到后台
    		Fw.util.Ajax.execute({
    			service: 'accountService.executeAccountEntry',
                params: data,
                staticData: false,
                //请求成功后回调
                success: function(data, result) {
                	Fw.LoadMask.hide();
                	var msg="设置成功";
                	if(OpenInAmtFlag=="0")
                		{
                			msg="关闭成功!"
                		}
                	else{
                		msg="开通成功!"
                	}
                	Fw.Msg.info(msg, function(){
                		App.back();
                      });
                },
                failure:function(statues,textStatus,error){
                } 
            });
			
		},
        regxNumber : function(e) {
			var ddd = $(e).val().replace(/\s/g, "");
			var phoneNum = $(e).val().replace(/[^0-9]/g, "");
			$(e).val(phoneNum);
		},

		smsCountDownClick : function(e,preParams) {
			// 点击发送验证码按钮
			var contentEl = $(e.currentTarget);
			Fw.LoadMask.show();
			//
			// 倒计时配置参数
			config = {
				// 按钮对象
				contentEl : contentEl,
				// 可配参数：倒计时时间，如果不定义默认是"60秒"  XXX
				delay : 60,
				// 可配置参数：倒计时显示文本，如果不定义默认是(59秒)递减
				delayText : '{0}s',
				// 可配参数：倒计时完成后的文本信息，如果不定义默认是"重新发送"
				delayFinishText : '再次发送'
			};

			// 发送短信参数
			var smsParams ={
					tranType : '080103', // 080103-互联网银行客户端非转账类交易验证
					// 080104-互联网银行客户端转账交易验证
					payerAcct : '', // 付款账号 交易类型080104-必传
					payeeAcct : '', // 收款账号 交易类型080104-必传
					payeeAcctName : '', // 收款人 交易类型080104-必传
					trsAmount : '', // 交易金额 交易类型080104-必传
			};
			// 调用倒计时插件
			smsCountDown = new Fw.SmsCountDown({
				showSmsCountDown : function(config, params) {
					console.log(params);
					var e = config.contentEl;
					e = Fw.isString(e) ? $('#' + e) : e;
					e.attr('disabled', 'disabled');
					config = Fw.apply({}, config, this.defaults);
					this.params = config;
					// 倒计时时间
					var delay = config.delay || this.defaults.delay;
					// 倒计时的文本
					var delayText = config.delayText;
					// 倒计时完成后的文本信息
					var delayFinishText = config.delayFinishText;
					// 倒计时背景色
					var delayBgColor = config.delayBgColor;
					// 倒计时文字颜色
					var delayTextColor = config.delayTextColor;
					// 倒计时完成后的背景色
					var delayFinishBgColor = config.delayFinishBgColor;
					// 倒计时完成后的文本颜色
					var delayFinishTextColor = config.delayFinishTextColor;
					//
					e.css({
						'background-color' : delayBgColor,
						'color' : delayTextColor,
						'border' : '1px solid #60B2FB'
					});
					// 开始时间
					var date1 = new Date();
					// 启动定期器
					var that = this;
					that.cancel();
					//
					this.timer = setInterval(function() {
						// 结束时间
						var date2 = new Date();
						// 时间差的毫秒数
						var date3 = (date2.getTime() - date1.getTime());
						// 计算相差秒数
						var seconds = Math.round(date3 % (24 * 3600 * 1000) % (3600 * 1000) % (60 * 1000) / 1000);
						//
						var fmtDelayText = new String(delayText).format((delay - seconds));
						e.html(fmtDelayText);
						//
						if (seconds == 0 || seconds == delay) {
							//
							that.cancel();
							//
							e.removeAttr("disabled");
							//
							e.css({
								'background-color' : delayFinishBgColor,
								'color' : delayFinishTextColor
							});
							//
							e.html(delayFinishText);
						}
					}, 1000);
					// 调用安卓客户端方法，客户获取激活码
					Fw.util.Ajax.get({
		                service: 'smsCodeService',
		                method: 'getSmsCode',
		                //请求参数
		                params: params,
		                //请求成功后回调
		                success: function(data, result) {
//		                	Fw.Msg.info(data.DyPassword);
		                	Fw.LoadMask.hide();
		                },
		                //请求错误后回调
		                failure: function(status, textStatus, error) {
//		                	Fw.LoadMask.hide();
		                	//发送验证码请求失败重置发送按钮
//		                    me.reload();
		                }
		            });
				}
			});
			smsCountDown.showSmsCountDown(config, smsParams);
        },
	}
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
