var App = function(){
	var params;
	return {
		/**
		 * 初始化变量 
		 * 
		 */
		
		/**
         * 依赖组件
         */
        requires: ['Fw.app.Session'],
        /**
         * 视图设置
         * 设置标题栏、按钮等
         * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
         */
        viewConfig: {
            title: 'III类户管理',
            leftButton: {
				 handler:function(){
	    			App.back();
	    		}
            },
            loadMask:true,
    	},
		 back: function(){
			var urltemp = Fw.getBasePath() +'/page/phone/unboundAccountEntry/main.html';
	        var tempParam={};
	        Fw.redirect(urltemp);
	    },
        /**
         * 初始化
         * 应用入口
         */
		init: function(){
			var user = Fw.app.Session.get()
			params = Fw.getParameters();

			juicer.register('fmtAcNo',function(){
        		return Fw.util.Format.fmtAcctNo(params.AcNo, true);
        	});
			//初始化查看完整卡号事件
			$('#showcardno').on('click', Fw.bind(this.ShowClick, this));
			$('#turnclick').on('click', Fw.bind(this.turnclick, this));

			if(!Fw.isEmpty(params)){
        		 if(!Fw.isEmpty(params.AcNo)){
        			 $('#cardno').text(Fw.util.Format.fmtAcctNo(params.AcNo, true));
        		 }
             }
			
			//姓名
			$('#UserName').text(user.name);
			
			
			//初始化事件
            this.initEvents();
            
            //手动隐藏等待层
            Fw.LoadMask.hide();
		},
		/**
         * 初始化事件
         */
        initEvents: function(){
        	
        },
        /**
         * 左边按钮点击事件
         */
        leftButtonHandler: function(){
        },
        
        ShowClick:function(e){
        	$('#cardno').text(params.AcNo);
        	$('#showcardno').hide();
        },
        
        turnclick:function(e){
        	
        	var url ="accountEntry.html";
        	Fw.redirect(url, {
				'AcNo' : "" + params.AcNo,
				'EntryFlag':params.EntryFlag,
			});
        }
	}
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
