/**
 * 创建应用
 */
var App = function() {
	
	var record=Fw.getParameters()||{};
	var mainTpl,accType;//页面模板、账号类型
	var tpl=[
			'<div class="ui-form-item">',
				'<label>交易日期:</label>',
				'<p class="x-display-field">${item.TranDate|fmtDate}</p>',
			'</div>',
			'{@if (item.DrCrFlag=="DBIT")}',
			'<div class="ui-form-item">',
				'<label>支出:</label>',
				'<p class="x-display-field">${item.TranAmt|fmtAmt}</p>',
			'</div>',
			'{@/if}',
			
			'{@if (item.DrCrFlag=="CRDT")}',
			'<div class="ui-form-item">',
				'<label>收入:</label>',
				'<p class="x-display-field">${item.TranAmt|fmtAmt}</p>',
			'</div>',
			'{@/if}',
			/*'<div class="ui-form-item">${item.AccType}</div>',*/
			'{@if (item.AccType=="AT00"||item.AccType=="AT01")}',
			'<div class="ui-form-item">',
				'<label>可用余额:</label>',
				'<p id="remark_show" class="x-display-field div2">￥${item.AcctBal}</p>',
			'</div>',
			'<div class="ui-form-item">',
				'<label>对方账号:</label>',
				'<p class="x-display-field">${item.VersusAcctNo}</p>',
			'</div>',
			'<div class="ui-form-item">',
				'<label>对方户名:</label>',
				'<p class="x-display-field">${item.VersusAcctName}</p>',
			'</div>',
			'{@/if}',
			
			'<div class="ui-form-item">',
				'<label>摘要:</label>',
				'<p id="remark_show" class="x-display-field div2">${item.TranDesc}</p>',
			'</div>',   
	    ];
	return {
		requires :['Fw.TimerGlider'],
		viewConfig : {
			title : '跨行账户查询',
			leftButton: {
                //自定义按钮标题（默认'返回'）
                text: '左边按钮',
                //自定义按钮点击事件（默认App.leftButtonHandler）
                //handler: XXX
                handler:function(){
                	App.back();
 	    		}
            },
			loadMask : true,
		},
		back:function(){
			Fw.redirect('main.html');
		},
		init : function(require) {
			Fw.LoadMask.hide();
			if(record.content=="01"){//余额查询
				accType=record.data.AcctType;
				if(accType=="AT00"||accType=="AT01"){//借记账号
					mainTpl = require('../tpl/003.tpl.js').join('');
				}else{//贷记账号
					mainTpl = require('../tpl/004.tpl.js').join('');
				}
				
				this.showPage();
				Fw.LoadMask.hide();
			}else{//明细查询
				
				/*if(record.oppAccType="AT00"||record.oppAccType=="AT01"){//借记账号
					mainTpl = require('../tpl/005.tpl.js').join('');
				}else{//贷记账号
					mainTpl = require('../tpl/006.tpl.js').join('');
				}
				*/
				$('#detail').show();
				this.initTimerGlider();
				
			}
			
			this.initEvents();
		},

		
		initEvents : function() {
			
		},
		showPage : function() {
			//渲染模板
		   	var html = Fw.template(mainTpl, record);
		   	//添加到页面
		    $('#page').html(html);
		},
		 /**
         * 加载时间轴
         */
        initTimerGlider: function(){
	        var timerGlider = new Fw.TimerGlider({
	            contentEl: 'detail-content',
	            ajax: {
	            	pageSize: 5,
	            	service:'acrossBankService.queryDetailAcrossBank',
					params:{
						"StartDate":record.beginT,		//开始日期
						"EndDate":record.endT,			//结束日期
						"AgtNo":record.protocolNO,		//协议号
						"BankCode":record.BankCode,		//行号	
						"DrawType":"O",					//支取方式
						"FeeChargeType":"1",			//手续费收取方式
						"FeeAmt4":"0",					//手续费金额4	
						
					},
	            	rootProperty:'result.List',
	            	staticData: false
	            },
	            groupField: 'TranDate',
	            groupHeaderTpl: [
	            	'${item.TranDate|fmtDate,"yyyy年MM月dd日"}'
                ],
                 //下拉刷新（默认false）
                pullRefresh: true,
                //'<div>${item.date|fmtDate,"yyyy年MM月dd日"}|${item.title}</div>'
	            itemTpl:tpl
	            	
	        });
	        timerGlider.on('itemclick', function(record, index, item, e, cmp){
	        });
	        //加载数据
	        timerGlider.loadData();
	        Fw.LoadMask.hide();
	    },
	}
		
}();
/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);