/**
 * 创建应用
 */
var App = function() {
    var form,flag=false,flag2=false,VerId,ClientType,nametype,state;
    var buttons = $('button');
    var appname="福建农信";
    //
    return {
        requires : [
        	'Fw.app.Session'
        ],
        viewConfig: {
            title: '版本管理',
            leftButton: {
                text: '<',
                handler:function(){
        			App.back();
        		}
        	},
        	loadMask:true,
		},
		back: function(){
			if($('#main_page').css('display')=='block'){
				if(Fw.isPhone){
					Fw.gotoIndex();
				}else{
					var urltemp = Fw.getBasePath() +'/page/pageMenu/systemManage.html';
				
					Fw.redirect(urltemp);
				}
			}else{
				$('#sub1_page').hide();
				$('#sub_page').hide();
	        	$('#main_page').show();
			}
		},
        init : function(require) {
        	if(Fw.isPhone){
        		if(Fw.isIOS){
        			ClientType="ios";
        		}else if(Fw.isAndroid){
        			ClientType="android";
        		}
        		$("#web_address").html("m.fjnx.com.cn");
        	}else{
        		ClientType="windows";
        		$("#web_address").html("www.fjnx.com.cn");
        	}
        		
        	if(Fw.app.Session.getAppType()==2){
        		appname="村镇银行";
        		$('.version_logo_div').addClass("version_logo_div_cun");
        		//$('.version_logo_div_cun').removeClass("version_logo_div");
        	}else{
        		$('.version_logo_div').addClass("version_logo_div_zong");
        	}
        	Fw.device.Device.getAppVersion('App.onVersion');
        },
        onVersion:function(data){
        	VerId=Fw.decode(data)["VerId"];
        	Fw.util.Ajax.get({
        		service: 'appVerService/getVersionQuery',
                params: {
                	clientType:ClientType,
                	versionId :VerId
                },
               
                success: function(data, result) {
                	flag=true;
                	App.initEvents();
                	$('#form').data(data);
                	$('#versionInfo').html(appname+" "+VerId);
                	$('#phone_info p').html(data.TelePhone);
                	state = data.State;
                	if(data.State!="N"){
                		flag2=true;
                		$('#down_info p').html("有新版本");
                		$('#down_info p').css("color","red");
                	}
                	
                	
                	Fw.LoadMask.hide();
                }
            });
        	
        	
        },
        initEvents: function(){
        	$('#updatae_info').on('click', Fw.bind(this.showInfo, this));
        	$('#phone_info').on('click', Fw.bind(this.doCall, this));
        	$('#web_info').on('click', Fw.bind(this.doRequest, this));
        	$('#down_info').on('click', Fw.bind(this.DownPage, this));
        	$('#down_btn').on('click', Fw.bind(this.doDown, this));
        },
        showInfo:function(){
        	if(flag){
        		$("#FunctionDescription").html($('#form').data("Dsc2"));
	        	$("#main_page").hide();
	        	$("#sub_page").show();
        	}
        },
        doCall:function(){
//        		Fw.device.Device.takePhone($('#form').data("Telephone"));
        	
        	if(flag&&Fw.isPhone){
        		Fw.device.Device.takePhone($('#form').data("TelePhone"));
        		//Fw.device.Device.takePhone("96336");
        	}
        },
        doRequest:function(){
        	if(flag){
        		
	        	if(Fw.isPhone){
	        		Fw.device.Device.openBrowser("http://m.fjnx.com.cn/");
	        	}else{
	        		//window.open("http://www.fjnx.com.cn/","_blank");
	        		var btns = [
						
						{code:"yes",text:"确定",cls:"ui-btn-primary"},
						{code:"no",text:"取消",cls:"ui-btn-default"}
		            ];
	        		Fw.Msg.diy("温馨提示","前往 http://www.fjnx.com.cn/",btns, function(code, btn, win) {
	        			if(code=='yes'){
		  		       		window.open("http://www.fjnx.com.cn/","_blank","top=100,left=100,width=1024,height=769");
		  		       	 }
	        		});
	        	}
        	}
        },
        DownPage:function(){
        	if(flag2){
//                var url = "http://192.12.12.13:8080/ifep/ocx/PassGuardEdge.exe"
//               Fw.device.Device.openBrowser(url);
        		$("#FunctionDescription2").html($('#form').data("Dsc2"));
        		$("#versionNew_id").html("已有最新版本:"+$('#form').data("CurrentVersion"));
        		$("#main_page").hide();
	        	$("#sub1_page").show();
	        	var htmlup = "";
	        	if(Fw.isPhone){
	        		htmlup += "手机银行"
	        	}
	        	htmlup += "客户端";
	        	htmlup += $('#form').data("CurrentVersion");
	        	htmlup += "主要更新"
	        	$("#update_info_spall").html(htmlup);
        	}
        },
        doDown:function(){
        	if(flag2){
        		var url = $('#form').data("DownLoadUrl")
        		if(Fw.isPhone){
        	        //Fw.device.Device.openBrowser(url);
        			Fw.device.Device.openupdate(url,state);
        		}else{
        			Fw.redirect(url);
        		}
                
        	}
        },
    };
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
