/**
 * 创建应用
 */
var App = function() {
	var powerData = Fw.util.Storage.get('powerData');
	powerData = Fw.decode(powerData);
	//获得其他页面跳过来的账号参数
	var accountParams=Fw.getParameters()||{};
    var form;
    var cardData;
  	//下拉对象
	var dropDownList1;
	var dropDownList2;
	// 支付方式下拉对象
	var paymentList;
	// 支付方式
	var payFlag = 0;
	var payment = [ {
		brchna : 'U-key支付',
		flag : "U"
	}, {
		brchna : '短信验证码支付',
		flag : "O"
	}, ];
	if(Fw.isTouch){
		// 验证方式
		var checkWay = "S&AP";
	}else{
		// 验证方式
		var checkWay = "U&AP";
	}
	
	var Balance=0;
	var data1=[];
    return {
        requires: [
          	//表单
           'Fw.Form',
           //安全键盘
           'Fw.Keyboard',
           'Fw.DropDownList',
           'Fw.PayControls'
        ],
        viewConfig: {
            title: '预借现金',
            leftButton: {
                text: '<',
            },
            rightButton:false,
            loadMask: true
        },
        init : function(require) {
        	this.initForm();
        	if(!Fw.isPhone){
        		$("#counterFee").addClass("ui-border-b");
        		$("#testChannal").removeClass("divHide");
        	}
        	//查询信用卡下拉框
        	this.queryCard();
        	this.initDropDownList1();
        	this.initDropDownList2();
        	//支付方式下拉选择
        	this.paymentList();
            //初始化事件
            this.initEvents();
        },
        initForm: function(){
        	form = new Fw.Form({
                contentEl : 'form',
                //是否激活重置事件（默认false）
                //单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
                resettable: false,
                //校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
                msgTarget: 'tips'
            });
        },
        // 支付方式下拉
		paymentList : function() {
			paymentList = new Fw.DropDownList({
				// //必须参数：结果集
				result : payment,
				// 是否显示账号
				displayNo : false,
				// 显示字段
				displayName : 'brchna',
				// 是否显示手动输入
				cursorBtn : false,
			});

		},
        initDropDownList1: function(){
        	dropDownList1 = new Fw.DropDownList({
        		result: data1,
        		displayNo: false,
        		displayName: 'option',
        		cursorBtn: false,
        		disableFieldValue: '1'
        	});
        },
		initDropDownList2: function(){
			dropDownList2 = new Fw.DropDownList({
        		//必须参数：结果集
        		result: data1,
        		//可配置参数：1.false,随内容撑出高度，2.num：固定高度，超出滚动显示,默认[220]
        		//fixedHeight: false,
        		//可配置参数：账号，1.false 不显示账号,2.cdopac 具体显示字段名，默认[cdopac]
        		displayNo: false,
        		//可配置参数：从后截取账号显示,1.false 不截取，2.num：截取长度,默认[5]
        		//lastSubNo:4,
        		//可配置参数：名称，默认[brchna]
        		displayName: 'option',
        		//可配置参数：显示时是否重新渲染，默认[false]
        		//reload: false,
        		//可配参数：选择完成后是否自动关闭,默认[true]
        		//autoClose: true,
        		//可配置参数：是否显示手工输入按钮，默认[true]
        		cursorBtn: false,
        		//可配置参数：设置不可点击,1.默认[false]不限制,2.cardtp具体字段名
        		//disableField: 'name',
        		//可配置参数：设置不可点击参数值，1.默认[0],2.具体值，"不可点击字段“值等于"不可点击参数值"该项不可点击
        		disableFieldValue: '1'
        	});
        },
        /**
         * 初始化事件
         * 
         */
        initEvents: function(){
            form.on('submit', this.doSubmit, this);
            form.on('beforesubmit', this.beforeSubmit, this);
            $('#submit-btn').on('click',Fw.bind(this.btnClick));
        	$('#select1').on('click',Fw.bind(this.select1Click));
        	$('#iLabel1').on('click',Fw.bind(this.select1Click));
        	$('#select2').on('click',Fw.bind(this.select2Click));
        	$('#iLabel2').on('click',Fw.bind(this.select2Click));
        	Fw.Keyboard.onHidden = function() {
				var inputVal = Fw.util.Format.fmtAmt($("#amountBorrow1").val());
    			$("#amountBorrow1").val(inputVal);
    			
    			$('body').css({
             		'top': '0px'
             	});
        		//sm 还原Placeholder
 				if(Fw.isEmpty(this.target.val()) && !Fw.isEmpty(Fw.util.Storage.get(this.target.attr('name'))) ){
 					this.target.attr('placeholder',Fw.util.Storage.get(this.target.attr('name')));
 					Fw.util.Storage.remove(this.target.attr('name'));
 				}
				Fw.Keyboard.showKeyboard = true;
			};
        	if(Fw.isTouch){
        		$('#amountBorrow1').on('change',Fw.bind(this.borrowMoneyInputClick));
        	}else{
        		$('#amountBorrow1').on('keyup',Fw.bind(this.borrowMoneyInputClick));
        	}
    		$('#amountBorrow1').on('blur',Fw.bind(this.formatMoney,this));
        	//监听select点击事件
        	dropDownList1.on('itemClick',Fw.bind(this.item1Click, this));
        	dropDownList2.on('itemClick',Fw.bind(this.item2Click, this));
			paymentList.on('itemClick', Fw.bind(this.paymentClick, this));
        },
        //预借金额输入控制
        field2Click:function(){
        	var m = Fw.util.Format.unFmtAmt($("#amountBorrow1").val());
			//保留小数点后的0
			var v=$("#amountBorrow1").val().trim()+"";
	    	if(v.indexOf("¥")==0){
	    	   v=v.substring(1,v.length);
	    	}
	    	v=v.replaceAll(",","");
	    	var money;
	    	if(v.indexOf('.')>11){
				money = v.slice(0,v.indexOf('.')-1)+v.slice(v.indexOf('.'), v.length);
			}else{
				money = v.slice(0,v.length-1);
			}
			if(!/^[0-9]+\.?(\d{2})?$/.test(v)){
				if(/^(([1-9]\d*)|0)(\.\d+)?$/.test(v)){
					if((v.length-v.indexOf('.')-1)>2){
						$("#amountBorrow1").val(money).change();
					}
				}else{
					$("#amountBorrow1").val(money).change();
				}
			}else{
				if(!/^[0-9]{1,11}([.][0-9]{1,2})?$/.test(m)){
 					$("#amountBorrow1").val(money).change();
				}
			}
        },
        formatMoney : function() {
			var inputVal = Fw.util.Format.fmtAmt($("#amountBorrow1").val());
			$("#amountBorrow1").val(inputVal);
		},
        borrowMoneyInputClick:function(){
        	var borrowMoney=(Fw.util.Format.unFmtAmt($('[name=field2]').val())-Balance)*0.006;
        	if(!Fw.isEmpty($('[name=field2]').val())){
        	if(App.accountData.CardType==0){
        		if(borrowMoney<=0){
        			borrowMoney=0;
        		}else if(borrowMoney<=1){
        			borrowMoney=1;
    			}else if(borrowMoney>50){
    				borrowMoney=50;
    			}else{
    				borrowMoney=borrowMoney;
    			}
        		$('[name=field3]').val(Fw.util.Format.fmtAmt(borrowMoney));
        	}else{
        		$('[name=field3]').val(Fw.util.Format.fmtAmt(0));
        	}
        	}else{
        		$('[name=field3]').val(Fw.util.Format.fmtAmt(0));
        	}	
        },
        beforeSubmit:function(values){
        	if(Fw.util.Format.unFmtAmt($('[name="field2"]').val())==0){
    			Fw.Tips.info("预借金额不能为0");
    			return false;
    		}else if(Fw.util.Format.unFmtAmt($('[name="field2"]').val())>Fw.util.Format.unFmtAmt($('[name="field1"]').text())){
    			Fw.Tips.info("可用额度不足");
    			return false;
        	}else{
    			return true;
    		}
        },
        btnClick:function(){
          if($("#amountBorrow1").val()==""){
        	  Fw.Tips.info("请输入预借金额");
          }	else if($("#sxf").val()==""){
        	  Fw.Tips.info("请先查询手续费");
          }else{
        	  form.submit();
          }
        },
        //表单验证通过了调用
        doSubmit:function(values){
        	if(App.beforeSubmit(values)){
                 App.executeCashAdvance(values);
        	}
        },
        executeCashAdvance:function(values){
        	if(!Fw.isTouch){
        		if($("#key").is(":checked")){
        			checkWay = "U&AP";
        		}else{
        			checkWay = "S&AP";
        		}
        	}
        	var showInfo = [{
    			label: '预借金额',
    			value: Fw.util.Format.fmtAmt($('[name="field2"]').val()),
    			color: '#F03737'
    		}];
        	var tempcount = {
                accountNo:App.accountData.No,
                pwdCheckFlag:'2',
                formAcountNo:App.accountData.No,
                formClientName:App.accountData.Name,
                cType:'01',
                tranAmt:Fw.util.Format.unFmtAmt($('[name="field2"]').val()),
              	toAccountNo:App.accountData2.No,
              	toClientName:App.accountData2.Name,
              	AcNo:App.accountData.No,
              	Amount:Fw.util.Format.unFmtAmt($('[name="field2"]').val())
            }
        	var smsParams={
        			tranType:'080103',		//080103-互联网银行客户端非转账类交易验证   080104-互联网银行客户端转账类交易验证
        			payerAcct:App.accountData.No,			//付款账号
        			payeeAcct:App.accountData2.No,			//收款账号
        			payeeAcctName:App.accountData2.Name,		//收款人
        			trsAmount:Fw.util.Format.unFmtAmt($('[name="field2"]').val()),			//交易金额
        			signcontent:Fw.encode(tempcount)
        	}
        	var cardNews = {
        			cardNo : App.accountData.No,
        			passwordType : 'B',//T代表借记卡 B代表信用卡
        	}
    		/**
    		 * type
    		 * 
    		 * S&AP  短信验证码+账户密码
    		 * U&AP  U-key密码+账户密码(pc端)
    		 * AP    账户密码
    		 * CTP   信用卡交易密码
    		 * SMS   短信验证码
    		 * IC&AP IC卡+账户密码(手机端)
    		 */
        	Fw.device.Device.payControls(checkWay, showInfo, 'App.onPayControlsSubmit',smsParams,cardNews);
        },
        /**
         * @param record 控件信息
         */
        onPayControlsSubmit: function(record, type, isObject){
        	if (Fw.isEqual(isObject, "false")||!isObject) {
				record = Fw.decode(record);
			}
        	
        	if (checkWay == "S&AP") {
				authMode = "O";
				sms = record.sms;
			} else if (checkWay == "U&AP") {
				authMode = "U"
			} else {
				authMode = "I";
			}
    		Fw.util.Ajax.execute({
    			service: 'creditCardManageService.executeCashAdvance',
                params: {
                	_AuthMode : authMode,
                    accountNo:App.accountData.No,
                    pwdCheckFlag:'2',
                    pwd:record.pwd,
                    formAcountNo:App.accountData.No,
                    formClientName:App.accountData.Name,
                    cType:'01',
                    tranAmt:Fw.util.Format.unFmtAmt($('[name="field2"]').val()),
                  	toAccountNo:App.accountData2.No,
                  	toClientName:App.accountData2.Name,
                  	dyPassword:record.sms,
                  	AcNo:App.accountData.No,
                  	Amount:Fw.util.Format.unFmtAmt($('[name="field2"]').val()),
                  	CertificateBase64:record.certstr,
					DataBase64:record.signcontent,
					SignatureDataBase64:record.contentsign,
					CertDn:record.keyDn
                },
                staticData: false,
                success: function(data, result) {
                	var params={
                			AcNo:App.accountData.No,
                			money:Fw.util.Format.unFmtAmt($('[name="field2"]').val()),
                			data:accountParams.data,
	    					index:accountParams.index
                	}
                	Fw.redirect('success.html',params);
                },
                failure:function(statues,textStatus,error){
                }
            });
        },
        /**
         * 显示组件
         */
        select1Click:function(){
        	dropDownList1.show(App.data);
        },
        select2Click:function(){
        	dropDownList2.show(App.data2);
        },
        item1Click: function(data, index){
        	$("#submit-btn").prop('disabled',false);
        	$('[name="select1"]').val(data.option);
        	$('[name=field2]').val('');
        	$('[name=field3]').val('');
        	App.accountData=data;
        	Balance=0;
        	App.queryCreditQuotaInfo(data.No);
        },
        item2Click: function(data, index){
        	$('[name="select2"]').val(data.option);
        	App.accountData2=data;
        },
        // 支付方式
		showpaymentList : function() {
			paymentList.show();
		},
		paymentClick : function(data, index) {
			//
			if (index != -1) {
				switch (data.flag) {
				case "O":
					checkWay = 'S&AP';
					break;
				case "U":
					checkWay = 'U&AP';
					break;
				}
				$("#pay").val(data.brchna).change();
				payFlag = data.flag;
			} else {
			}
		},
      	//查询卡下拉框
        queryCard: function(){
        	//查询信用卡
        	Fw.util.Ajax.get({
                service: 'accountService',
                method: 'getAccount',
                params: {
                    type:'1',
                },
              	//0借记账户1贷记账户2动账借记3动账贷记//不传参全部
                staticData: false,
                //请求成功后回调
                success: function(data, result) {
                	if(data.List.length==0){
                		Fw.Msg.cfm('您当前未加挂信用卡账户，是否立即加挂？', function(code, btn, win){
                            if(code=="yes"){
                            	if(Fw.isTouch){
                    				Fw.device.Device.getMenuPower("账户管理", "M050200", "App.gotoAcManage");
                    			}else{
                    				if(powerData.zhgl=="T"){
                    					var url = Fw.getBasePath();
                                    	Fw.redirect(url+'/page/pub/account/add/main.html',{aimUrl:"/page/pub/creditCardManage/cashAdvance/main.html"});
                    				}else{
                    					Fw.Msg.info("尊敬的客户，由于系统升级，该功能暂时停用，给您造成的不便，敬请谅解，具体开启时间请关注我行公告。");
                    					return ;
                    				}
                    			}
                            }else{
                            	if(Fw.isTouch){
                            		Fw.gotoIndex();
                            	}else{
                            	  var url = Fw.getBasePath();
                            	  Fw.redirect(url+'/page/pageMenu/moreMenu.html');
                            	}
                            }
                        });
                	}else{
                		App.data=data.List;
                		if(Fw.isEmpty(accountParams.acNo)){
                			App.accountData=data.List[0];
                			$('[name="select1"]').val(App.accountData.option);
                    		/*if(App.accountData.CardType==0){
                    			$('#counterFee').show();
            	        		$('#amountBorrow').addClass('ui-border-b');
            	        	}else{
            	        		$('#counterFee').hide();
            	        		$('#amountBorrow').removeClass('ui-border-b');
            	        	}*/
                    		App.queryCreditQuotaInfo(data.List[0].No);
                		}else{
                			Fw.each(data.List,function(item){
                				if(Fw.isEqual(item.No, accountParams.acNo)){
                					App.accountData=item;
                					$('[name="select1"]').val(App.accountData.option);
//                            		if(App.accountData.CardType==0){
//                            			$('#counterFee').show();
//                    	        		$('#amountBorrow').addClass('ui-border-b');
//                    	        	}else{
//                    	        		$('#counterFee').show();
//                    	        		$('#amountBorrow').removeClass('ui-border-b');
//                    	        	}
                            		App.queryCreditQuotaInfo(item.No);
                				}
                			});
                		}
                	}
                }
            });
        	//查询借记卡（不包括存折）
        	Fw.util.Ajax.get({
                service: 'accountService',
                method: 'getAccount',
                params: {
                    type:'6',
                },
//              0借记账户1贷记账户2动账借记3动账贷记null全部5贷记卡带信息4缴费支付权限6所有借记'卡'7非定期借记账户8有动账权限的借记卡（不包括存折）
                staticData: false,
                success: function(data, result) {
                	if(data.List.length==0){//因为查询的是所有借记卡，目前是必须加挂借记卡才能登录，所以这个方法不会进入，仅仅保留待用
                		Fw.Msg.info('您的账户无转账权限功能，请至我行任一网点开通。',function() {
                			if (Fw.isTouch) {
                				Fw.gotoIndex();
                			} else {
                				if(Fw.isEmpty(accountParams.acNo)){
                					Fw.redirect(Fw.getBasePath()+"/page/pageMenu/moreMenu.html");
                				}else{
                					var params={
                	    					  data:accountParams.data,
                	    					  index:accountParams.index
                	    			  }
                	    			Fw.redirect('../../../pc/myDebt/myCreditCard.html',params);
                				}
                			}
                        });
                	}else{
                		$('[name="select2"]').val(data.List[0].option);
                    	App.data2=data.List;
                    	App.accountData2=data.List[0];
                	}
                }
            });
        },
        gotoAcManage:function(data){
			if(data=="T"){
				var url = Fw.getBasePath();
            	Fw.redirect(url+'/page/pub/account/add/main.html',{aimUrl:"/page/pub/creditCardManage/cashAdvance/main.html"});
			}else{
				Fw.Msg.info("尊敬的客户，由于系统升级，该功能暂时停用，给您造成的不便，敬请谅解，具体开启时间请关注我行公告。");
				return ;
			}
		},
        queryCreditQuotaInfo:function(accNo){
        	//查询信用卡额度信息
        	Fw.util.Ajax.query({
        		socketAdapter: 'creditCardManageService/queryCreditQuotaInfo',
                //请求参数
                params: {
                    accountNo:accNo,
                    pwdCheckFlag:'0',
                    AcNo:accNo
                },
                staticData: false,
                success: function(data, result) {
                	if(data.BalanceFlag=="-"){
                		Balance=data.Balance;
                	}
                	App.cardInfoData=data;
                	$('[name="field1"]').text(Fw.util.Format.fmtAmt(data.CashAvailLimit));
                	Fw.LoadMask.hide();
                }
            });
        },
        
		leftButtonHandler : function() {
			if (Fw.isTouch) {
				Fw.gotoIndex();
			} else {
				if(Fw.isEmpty(accountParams.acNo)){
					Fw.redirect(Fw.getBasePath()+"/page/pageMenu/moreMenu.html");
				}else{
					var params={
	    					  data:accountParams.data,
	    					  index:accountParams.index
	    			  }
	    			Fw.redirect('../../../pc/myDebt/myCreditCard.html',params);
				}
			}
		}
    };
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
