/**
 * 创建应用
 */
var App = function() {
	var powerData = Fw.util.Storage.get('powerData');
	powerData = Fw.decode(powerData);
	var otherPayData;//他人信用卡还款请求参数
	// 获得其他页面跳过来的账号参数
	var accountParams = Fw.getParameters() || {};
	var a,AcNo,acFlag,waitFlag=0;
	var form1;
	var form2;
	var data1 = [];
	// 判断手机还是pc
	var isPhone = Fw.isPhone;
	// 用于判断是Android还是ios，区分IC卡
	var isIOS = Fw.isIOS;
	// 下拉对象
	var dropDownList1;
	var dropDownList2;
	var dropDownList3;
	var dropDownList4;
	var dropDownList5;
	var friendData={"flag":"0"};
	var data3 = [ {
		'payStyle' : '短信验证码支付',
		"checkWay" : "S&AP"
	}, {
		'payStyle' : 'U-key支付',
		"checkWay" : "U&AP"
	} ];
	var data4 = [ {
		'payStyle' : '短信验证码支付',
		"checkWay" : "S&AP"
	}, {
		'payStyle' : 'IC卡支付',
		"checkWay" : "IC&AP"
	} ];
	var data5 = [ {
		'payStyle' : '短信验证码支付',
		"checkWay" : "S&AP"
	}];
	// 本人信用卡还款还款金额
	var payMoney;
	var friendList;
	var checkWay = "S&AP";
	return {
		requires : ['Fw.Tab','Fw.Keyboard','Fw.Form', 'Fw.DropDownList', 'Fw.PayControls','Fw.app.Session'],
		viewConfig : {
			title : '信用卡还款',
			leftButton : {
				text : '<',
			},
			rightButton : false,
            loadMask: true
		},
		init : function(require) {
			if(Fw.isTouch){
				$("#titleBorder").removeClass("ui-border-b");
			}else{
				$("#titleBorder").addClass("ui-border-b");
			}
			this.initForm1();
			this.initForm2();
			// 查询信用卡下拉框
			if (!isPhone) {
				require('Fw.SelectWindow');
			}
			if (isIOS) {
				$('#myPayStyle').hide();
				$('#otherPayStyle').hide();
			}
			// 实例化下拉
			this.initDropDownList1();
			this.initDropDownList2();
			this.initDropDownList3();
			this.initDropDownList4();
			this.initDropDownList5();
			if(Fw.isEmpty(accountParams.flag)){
				   this.initTab(0);
				   this.queryCard();
			}else{
				//我的信用卡，转账联系人，联系人管理跳转过来
				if(accountParams.flag=="0"){
					this.initTab(0);
					this.queryCard();
				}else if(accountParams.flag=="1"){//联系人管理和转账联系人跳过来
					this.initTab(1);
					$("#sName").val(accountParams.sName).change();
					$("#aCNo").val(accountParams.acNo).change();
					App.debitCard();
				}else if(accountParams.flag=="2"){//转账汇款跳过来
					App.showTab();
				}
			}
			// 初始化事件
			this.initEvents();
		},
		initForm1 : function() {
			form1 = new Fw.Form({
				// EL
				contentEl : 'form1',
				resettable : false,
				msgTarget : 'tips'
			});
		},
		initForm2 : function() {
			form2 = new Fw.Form({
				// EL
				contentEl : 'form2',
				resettable : false,
				msgTarget : 'tips'
			});
		},
		initDropDownList1 : function() {
			dropDownList1 = new Fw.DropDownList({
				result : data1,
				displayNo : false,
				displayName : 'option',
				cursorBtn : false,
				disableFieldValue : '1'
			});
		},
		initDropDownList2 : function() {
			dropDownList2 = new Fw.DropDownList({
				result : data1,
				displayNo : false,
				displayName : 'option',
				cursorBtn : false,
				disableFieldValue : '1'
			});
		},
		initDropDownList3 : function() {
			dropDownList3 = new Fw.DropDownList({
				result : data1,
				displayNo : false,
				displayName : 'option',
				cursorBtn : false,
				disableFieldValue : '1'
			});
		},
		initDropDownList4 : function() {
			dropDownList4 = new Fw.DropDownList({
				result : data1,
				displayNo : false,
				lastSubNo : false,
				displayName : 'payStyle',
				cursorBtn : false,
				disableFieldValue : '1'
			});
		},
		initDropDownList5 : function() {
			dropDownList5 = new Fw.DropDownList({
				result : data1,
				displayNo : false,
				lastSubNo : false,
				displayName : 'payStyle',
				cursorBtn : false,
				disableFieldValue : '1'
			});
		},
		/**
		 * 初始化事件
		 * 
		 */
		initEvents : function() {
			if (isPhone) {
				// 收款人列表
				$("#image-account").on('click', Fw.bind(this.phoneShowFriendList, this));
			} else {
				// web端
				// 收款人列表
				this.queryFriendList();
				// 收款人列表
				$("#image-account").on('click', Fw.bind(this.showFriendList, this));
			}
			
			form1.on('submit', this.doSubmit1, this);
           	form1.on('beforesubmit', this.beforeSubmit1, this);
			form2.on('submit', this.doSubmit2, this);
			$("#aCNo").on('input',Fw.bind(this.testCard,this));
			$('#submit-btn1').on('click', Fw.bind(this.btn1Click));
			$('#submit-btn2').on('click', Fw.bind(this.btn2Click));
			$('#select1').on('click', Fw.bind(this.select1Click));
			$('#iLabel1').on('click', Fw.bind(this.select1Click));
			$('#select2').on('click', Fw.bind(this.select2Click));
			$('#iLabel2').on('click', Fw.bind(this.select2Click));
			$('#select3').on('click', Fw.bind(this.select3Click));
			$('#iLabel3').on('click', Fw.bind(this.select3Click));
			$('#select4').on('click', Fw.bind(this.select4Click));
			$('#iLabel4').on('click', Fw.bind(this.select4Click));
			$('#select5').on('click', Fw.bind(this.select5Click));
			$('#iLabel5').on('click', Fw.bind(this.select5Click));
			// 单选框绑定按钮事件
			$('[name="field9"]').on('click', Fw.bind(this.radioClick));
			// 监听select点击事件
			dropDownList1.on('itemClick', Fw.bind(this.item1Click, this));
			dropDownList2.on('itemClick', Fw.bind(this.item2Click, this));
			dropDownList3.on('itemClick', Fw.bind(this.item3Click, this));
			dropDownList4.on('itemClick', Fw.bind(this.item4Click, this));
			dropDownList5.on('itemClick', Fw.bind(this.itemClick, this));
			
			Fw.Keyboard.onHidden = function() {
        		var inputVal = Fw.util.Format.fmtAmt($("#formInput1").val());
    			$("#formInput1").val(inputVal);
    			var inputVal1 = Fw.util.Format.fmtAmt($("#field14").val());
    			$("#field14").val(inputVal1);
    			
    			$('body').css({
             		'top': '0px'
             	});
        		//sm 还原Placeholder
 				if(Fw.isEmpty(this.target.val()) && !Fw.isEmpty(Fw.util.Storage.get(this.target.attr('name'))) ){
 					this.target.attr('placeholder',Fw.util.Storage.get(this.target.attr('name')));
 					Fw.util.Storage.remove(this.target.attr('name'));
 				}
				Fw.Keyboard.showKeyboard = true;
			};
			//点击刷新按钮刷新余额
			$('#refresh1').on('click',Fw.bind(this.refresh1Click));
        	$('#refresh2').on('click',Fw.bind(this.refresh2Click));
        	
        	//金额输入离开控制
        	$('#formInput1').on('blur',Fw.bind(this.formatMoney1,this));
        	$('#field14').on('blur',Fw.bind(this.formatMoney2,this));
		},
		testCard:function(){
			var m = $("#aCNo").val();
			if(!/^[0-9]{0,32}$/.test(m)){
				$("#aCNo").val(m.replace(/[^0-9]/g,"")).change();
				if($("#aCNo").val().length > 32){
					$("#aCNo").val($("#aCNo").val().slice(0,$("#aCNo").val().length-1)).change();
				}
			}
		},
		formatMoney1 : function() {
			var inputVal = Fw.util.Format.fmtAmt($("#formInput1").val());
			$("#formInput1").val(inputVal);
		},
		formatMoney2 : function() {
			var inputVal = Fw.util.Format.fmtAmt($("#field14").val());
			$("#field14").val(inputVal);
		},
		//本人信用卡还款金额控制
		field10Click:function(){
			var m = Fw.util.Format.unFmtAmt($("#formInput1").val());
			//保留小数点后的0
			var v=$("#formInput1").val().trim()+"";
	    	if(v.indexOf("¥")==0){
	    	   v=v.substring(1,v.length);
	    	}
	    	v=v.replaceAll(",","");
	    	var money;
	    	if(v.indexOf('.')>11){
				money = v.slice(0,v.indexOf('.')-1)+v.slice(v.indexOf('.'), v.length);
			}else{
				money = v.slice(0,v.length-1);
			}
			if(!/^[0-9]+\.?(\d{2})?$/.test(v)){
				if(/^(([1-9]\d*)|0)(\.\d+)?$/.test(v)){
					if((v.length-v.indexOf('.')-1)>2){
						$("#formInput1").val(money).change();
					}
				}else{
					$("#formInput1").val(money).change();
				}
			}else{
				if(!/^[0-9]{1,11}([.][0-9]{1,2})?$/.test(m)){
 					$("#formInput1").val(money).change();
				}
			}
		},
		//他人信用卡还款金额输入控制
		moneyInput:function(){
			var m = Fw.util.Format.unFmtAmt($("#field14").val());
			//保留小数点后的0
			var v=$("#field14").val().trim()+"";
	    	if(v.indexOf("¥")==0){
	    	   v=v.substring(1,v.length);
	    	}
	    	v=v.replaceAll(",","");
	    	var money;
	    	if(v.indexOf('.')>11){
				money = v.slice(0,v.indexOf('.')-1)+v.slice(v.indexOf('.'), v.length);
			}else{
				money = v.slice(0,v.length-1);
			}
			if(!/^[0-9]+\.?(\d{2})?$/.test(v)){
				if(/^(([1-9]\d*)|0)(\.\d+)?$/.test(v)){
					if((v.length-v.indexOf('.')-1)>2){
						$("#field14").val(money).change();
					}
				}else{
					$("#field14").val(money).change();
				}
			}else{
				if(!/^[0-9]{1,11}([.][0-9]{1,2})?$/.test(m)){
 					$("#field14").val(money).change();
				}
			}
		},
		inputClick : function() {
			$('input[name="field9"]').prop("checked", false);
		},
		radioClick : function() {
			if ($('input[name="field9"]:checked').val() == 1) {
				if (App.accountData.CardType == 0) {
					$('#formInput1').val(Fw.util.Format.fmtAmt(App.nowMonth.CurRepayAllAmtCny));
					//$('[name="field10"]').val(Fw.util.Format.fmtAmt(App.cardData.CurRepayAllAmtCny));
				} else {
					if(App.cardData.BalanceFlag=="-"){
						$('#formInput1').val(Fw.util.Format.fmtAmt(0));
					}else{
						$('#formInput1').val(Fw.util.Format.fmtAmt(App.cardData.Balance));
					}
				}
			} else if ($('input[name="field9"]:checked').val() == 2) {
				    $('#formInput1').val(Fw.util.Format.fmtAmt(App.cardData.MinRepayAmt));
			}
		},
		showTab:function(){
			Fw.util.Ajax.query({
				socketAdapter : 'creditCardManageService/executeMCCreditInfoQry',
				params : {
					AcNo :accountParams.acNo,
					pwdCheckFlag:"0"//密码校验标识
					
				},
				staticData : false,
				success : function(data, result) {
					var IdNo=data.GlobalId;
					if(Fw.isEqual(IdNo, Fw.app.Session.getIdentno())){
						App.initTab(0);
						App.queryCard();
					}else{
						App.initTab(1);
						waitFlag=1;
						if(!Fw.isEmpty(accountParams.Name)){
							$("#sName").val(accountParams.Name).change();
						}
						$("#aCNo").val(accountParams.acNo).change();
						App.debitCard();
					}
				},
				failure:function(statues,textStatus,error){
					return false;
                },
			})
		},
		btn1Click : function() {
			form1.submit();
		},
		doSubmit1 : function(values) {
			if (App.beforeSubmit1(values)) {
				a = 1;
				var showInfo = [
						{
							label : '收款人',
							value : Fw.app.Session.getName(),//App.accountData.Name,
						},
						{
							label : '收款账号',
							value : App.accountData.No,
						},
						{
							label : '还款金额',
							value : Fw.util.Format.fmtAmt(payMoney),
							color : '#F03737'
						} ];
				if (checkWay == "S&AP") {
					var tempcount = {
							formAcNo:App.accountData2.No,
							formCardType:App.accountData2.BankAcType,
							formClientName:App.accountData2.Name,
							moneyType:'01',
							money:payMoney,
							toAcNo:App.accountData.No,
							toClientName:App.accountData.Name
		                };
					var smsParams = {
						tranType : '080103', // 080103-互联网银行客户端非转账类交易验证
						// 080104-互联网银行客户端转账交易验证
						payerAcct : App.accountData2.No,// 付款账号// 交易类型080104-必传
						payeeAcct : App.accountData.No, // 收款账号// 交易类型080104-必传
						payeeAcctName : App.accountData.Name, // 收款人// 交易类型080104-必传
						trsAmount : payMoney,// 交易金额 交易类型080104-必传
						signcontent:Fw.encode(tempcount)
					};
					var cardNews = {
		        			cardNo : App.accountData2.No,
		        			passwordType : 'T',//T代表借记卡 B代表信用卡
		        	}
					Fw.device.Device.payControls(checkWay,showInfo,'App.onPayControlsSubmit',smsParams,cardNews);
				} else if(checkWay == "U&AP"){
					var tempcount = {
							formAcNo:App.accountData2.No,
							formCardType:App.accountData2.BankAcType,
							formClientName:App.accountData2.Name,
							moneyType:'01',
							money:payMoney,
							toAcNo:App.accountData.No,
							toClientName:App.accountData.Name
		                };
					var smsParams = {
							tranType : '080103', // 080103-互联网银行客户端非转账类交易验证
							// 080104-互联网银行客户端转账交易验证
							payerAcct : App.accountData2.No,// 付款账号// 交易类型080104-必传
							payeeAcct : App.accountData.No, // 收款账号// 交易类型080104-必传
							payeeAcctName : App.accountData.Name, // 收款人// 交易类型080104-必传
							trsAmount : payMoney,// 交易金额 交易类型080104-必传
							signcontent:Fw.encode(tempcount)//需要签名的内容，（目前为全部报文）
						};
					var cardNews = {
		        			cardNo : App.accountData2.No,
		        			passwordType : 'T',//T代表借记卡 B代表信用卡
		        	}
					Fw.device.Device.payControls(checkWay,showInfo,'App.onPayControlsSubmit',smsParams,cardNews);
				}else{
					var tempcount = {
							formAcNo:App.accountData2.No,
							formCardType:App.accountData2.BankAcType,
							formClientName:App.accountData2.Name,
							moneyType:'01',
							money:payMoney,
							toAcNo:App.accountData.No,
							toClientName:App.accountData.Name
		                };
					var smsParams = {
							tranType : '080103', // 080103-互联网银行客户端非转账类交易验证
							// 080104-互联网银行客户端转账交易验证
							acNo : App.accountData2.No,
							payerAcct : App.accountData2.No,// 付款账号// 交易类型080104-必传
							payeeAcct : App.accountData.No, // 收款账号// 交易类型080104-必传
							payeeAcctName : App.accountData.Name, // 收款人// 交易类型080104-必传
							trsAmount : payMoney,// 交易金额 交易类型080104-必传
							signcontent:Fw.encode(tempcount)//需要签名的内容，（目前为全部报文）
						};
					var cardNews = {
		        			cardNo : App.accountData2.No,
		        			passwordType : 'T',//T代表借记卡 B代表信用卡
		        	}
					Fw.device.Device.payControls(checkWay,showInfo,'App.onPayControlsSubmit',smsParams,cardNews);
				}
			}
		},
		beforeSubmit1 : function(values) {
			if (form1.getValues('field9') == 1) {
				if (App.accountData.CardType == 0) {
					payMoney = Fw.util.Format.unFmtAmt($('[name="field2"]')
							.text());
					if (Fw.isEmpty($('[name="select2"]').val())) {
						Fw.Tips.info("付款账户不能为空");
						return false;
					} else if (payMoney == 0) {
						Fw.Tips.info("全额还款额为0");
						return false;
					} else if (payMoney > Fw.util.Format.unFmtAmt($(
							'[name="field8"]').text())) {
						Fw.Tips.info("可用余额不足");
						return false;
					} else {
						return true;
					}
				} else {
					payMoney = Fw.util.Format.unFmtAmt($('[name="field3"]')
							.text());
					if (Fw.isEmpty($('[name="select2"]').val())) {
						Fw.Tips.info("付款账户不能为空");
						return false;
					}else if (payMoney == 0) {
						Fw.Tips.info("全额还款额为0");
						return false;
					}else if (payMoney > Fw.util.Format.unFmtAmt($(
							'[name="field8"]').text())) {
						Fw.Tips.info("可用余额不足");
						return false;
					} else {
						return true;
					}
				}
			} else if (form1.getValues('field9') == 2) {
				payMoney = Fw.util.Format.unFmtAmt($('[name="field1"]').text());
				if (Fw.isEmpty($('[name="select2"]').val())) {
					Fw.Tips.info("付款账户不能为空");
					return false;
				} else if (payMoney == 0) {
					Fw.Tips.info("最低还款额为0");
					return false;
				} else if (payMoney > Fw.util.Format.unFmtAmt($(
						'[name="field8"]').text())) {
					Fw.Tips.info("可用余额不足");
					return false;
				} else {
					return true;
				}
			} else {
				payMoney = Fw.util.Format.unFmtAmt($('[name="field10"]').val());
				if (Fw.isEmpty($('[name="select2"]').val())) {
					Fw.Tips.info("付款账户不能为空");
					return false;
				} else if (Fw.isEmpty((values.field10))) {
					Fw.Tips.info("请输入还款金额");
					return false;
				} else if (Fw.util.Format.unFmtAmt($('[name="field10"]').val()) == 0) {
					Fw.Tips.info("还款金额不能为0");
					return false;
				} else if (Fw.util.Format.unFmtAmt($('[name="field10"]').val()) > Fw.util.Format
						.unFmtAmt($('[name="field8"]').text())) {
					Fw.Tips.info("可用余额不足");
					return false;
				} else {
					return true;
				}
			}
		},
		btn2Click : function() {
			form2.submit();
		},
		doSubmit2 : function(values) {
			if (App.beforeSubmit2(values)) {
				App.cardType(values);
			}
		},
		beforeSubmit2 : function(values) {
			if (Fw.isEmpty($('[name="select3"]').val())) {
				Fw.Tips.info("付款账户不能为空");
				return false;
			} else if (Fw.util.Format.unFmtAmt($('[name="field14"]').val()) == 0) {
				Fw.Tips.info("还款金额不能为0");
				return false;
			} else if (Fw.util.Format.unFmtAmt($('[name="field14"]').val()) > Fw.util.Format
					.unFmtAmt($('[name="field13"]').text())) {
				Fw.Tips.info("可用余额不足");
				return false;
			} else {
				return true;
			}
		},
		cardType : function(values) {
			Fw.util.Ajax
					.query({
						socketAdapter : 'transferService/queryBankCard',
						params : {
							AcNo : Fw.util.Format.unFmtAcctNo($(
									'[name="field12"]').val()),
							peeAcNo : Fw.util.Format.unFmtAcctNo($(
									'[name="field12"]').val())
						},
						staticData : false,
						success : function(data, result) {
							if (data.BankType == "1") {
								Fw.Msg.info("归还他行信用卡请至转账汇款页面进行交易");
							} else {
								//信用卡额度信息查询
								Fw.util.Ajax
										.query({
											socketAdapter : 'creditCardManageService/queryCreditQuotaInfo',
											params : {
												accountNo : Fw.util.Format
														.unFmtAcctNo($(
																'[name="field12"]')
																.val()),
												pwdCheckFlag : '0',
												peeAcNo : Fw.util.Format
														.unFmtAcctNo($(
																'[name="field12"]')
																.val())
											},
											staticData : false,
											success : function(data, result) {
												//校验客户信息 
												App.executeMCCreditInfoQry();    
											},
											failure:function(statues,textStatus,error){
												if(error=="卡系统:卡号非法"){
													Fw.Msg.info("账号不存在");
												}
						                },
										});
							}
						}
					});
		},
		//信用卡信息查询
		executeMCCreditInfoQry:function(){
			Fw.util.Ajax.query({
				socketAdapter : 'creditCardManageService/executeMCCreditInfoQry',
				params : {
					AcNo : Fw.util.Format.unFmtAcctNo($('[name="field12"]').val()),//卡号
					pwdCheckFlag:"0"//密码校验标识
				},
				staticData : false,
				success : function(data, result) {
					if(data.OwnerCHName!=$("#sName").val()){
						Fw.Msg.info("收款人名称与卡号不一致，请重新输入");
						return;
					}
					a = 2;
					var showInfo = [
							{
								label : '收款人',
								value : $('[name="field11"]').val()
							},
							{
								label : '收款账号',
								value : $('[name="field12"]').val(),
							},
							{
								label : '还款金额',
								value : $('[name="field14"]').val(),
								color : '#F03737'
							} ];
					if (checkWay == "S&AP") {
						var tempcount = {
								formAcNo:App.accountData3.No,
								formCardType:App.accountData3.BankAcType,
								formClientName:App.accountData3.Name,
								moneyType:'01',
								money:Fw.util.Format.unFmtAmt($('[name="field14"]').val()),
								toAcNo:Fw.util.Format.unFmtAcctNo($('[name="field12"]').val()),
								toClientName:$('[name="field11"]').val()
			                };
						var smsParams = {
							tranType : '080103', // 080103-互联网银行客户端非转账类交易验证
							// 080104-互联网银行客户端转账交易验证
							payerAcct : App.accountData3.No, // 付款账号
																// 交易类型080104-必传
							payeeAcct : Fw.util.Format.unFmtAcctNo($('[name="field12"]').val()), // 收款账号// 交易类型080104-必传
							payeeAcctName : $("#sName").val(),//App.accountData.Name, // 收款人// 交易类型080104-必传
 							trsAmount : $('[name="field11"]').val(),// 交易金额// 交易类型080104-必传
							signcontent:Fw.encode(tempcount)//需要签名的内容，（目前为全部报文）
						};
						var cardNews = {
			        			cardNo : App.accountData3.No,
			        			passwordType : 'T',//T代表借记卡 B代表信用卡
			        	}
						Fw.device.Device.payControls(checkWay,showInfo,'App.onPayControlsSubmit',smsParams,cardNews);
					}else if(checkWay == "U&AP"){
						var tempcount = {
								formAcNo:App.accountData3.No,
								formCardType:App.accountData3.BankAcType,
								formClientName:App.accountData3.Name,
								moneyType:'01',
								money:Fw.util.Format.unFmtAmt($('[name="field14"]').val()),
								toAcNo:Fw.util.Format.unFmtAcctNo($('[name="field12"]').val()),
								toClientName:$('[name="field11"]').val()
			                };
						var smsParams = {
								tranType : '080103', // 080103-互联网银行客户端非转账类交易验证// 080104-互联网银行客户端转账交易验证
								payerAcct : App.accountData3.No, // 付款账号// 交易类型080104-必传
								payeeAcct : Fw.util.Format.unFmtAcctNo($('[name="field12"]').val()), // 收款账号// 交易类型080104-必传
								payeeAcctName : $("#sName").val(),//App.accountData.Name, // 收款人// 交易类型080104-必传
	 							trsAmount : Fw.util.Format.unFmtAmt($('[name="field14"]').val()),// 交易金额// 交易类型080104-必传
	 							signcontent:Fw.encode(tempcount)//需要签名的内容，（目前为全部报文）
						};
						var cardNews = {
			        			cardNo : App.accountData3.No,
			        			passwordType : 'T',//T代表借记卡 B代表信用卡
			        	}
						Fw.device.Device.payControls(checkWay,showInfo,'App.onPayControlsSubmit',smsParams,cardNews);
					}else {
						var tempcount = {
								formAcNo:App.accountData3.No,
								formCardType:App.accountData3.BankAcType,
								formClientName:App.accountData3.Name,
								moneyType:'01',
								money:Fw.util.Format.unFmtAmt($('[name="field14"]').val()),
								toAcNo:Fw.util.Format.unFmtAcctNo($('[name="field12"]').val()),
								toClientName:$('[name="field11"]').val()
			                };
						var smsParams = {
								tranType : '080103', // 080103-互联网银行客户端非转账类交易验证// 080104-互联网银行客户端转账交易验证
								acNo : App.accountData3.No,
								payerAcct : App.accountData3.No, // 付款账号// 交易类型080104-必传
								payeeAcct : Fw.util.Format.unFmtAcctNo($('[name="field12"]').val()), // 收款账号// 交易类型080104-必传
								payeeAcctName : $("#sName").val(),//App.accountData.Name, // 收款人// 交易类型080104-必传
	 							trsAmount : Fw.util.Format.unFmtAmt($('[name="field14"]').val()),// 交易金额// 交易类型080104-必传
	 							signcontent:Fw.encode(tempcount)//需要签名的内容，（目前为全部报文）
						};
						var cardNews = {
			        			cardNo : App.accountData3.No,
			        			passwordType : 'T',//T代表借记卡 B代表信用卡
			        	}
						Fw.device.Device.payControls(checkWay,showInfo,'App.onPayControlsSubmit',smsParams,cardNews);
					}
				}
			})
		},
		/**
		 * @param record
		 *            控件信息
		 */
		onPayControlsSubmit : function(record, type, isObject) {
			if (Fw.isEqual(isObject, "false") || !isObject) {
				record = Fw.decode(record);
			}
			var sms = "";
			if (checkWay == "S&AP") {
				authMode = "O";
				sms = record.sms;
			} else if (checkWay == "U&AP") {
				authMode = "U"
			} else {
				authMode = "I";
			}
			// 当a=1，即本人信用卡还款否则就是他人信用卡还款
			if (a == 1) {
				// 本人信用卡还款数据
				var paymentData = {
					_AuthMode : authMode,
					formAcNo : App.accountData2.No,
					formCardType : App.accountData2.BankAcType,
					formClientName : App.accountData2.Name,
					moneyType : '01',
					money : payMoney,
					toAcNo : App.accountData.No,
					toClientName : App.accountData.Name,
					dyPassword : sms,
					AcNo : App.accountData2.No,
					Amount : payMoney,
					tesType : type,
					pwd : record.pwd,
					CertificateBase64:record.certstr,
					DataBase64:record.signcontent,
					SignatureDataBase64:record.contentsign,
					CertDn:record.keyDn
				}
				Fw.apply(paymentData, record);
				// 提交到后台
				Fw.util.Ajax.execute({
							service : 'creditCardManageService.executeCreditCardPayment',
							params : paymentData,
							staticData : false,
							success : function(data, result) {
								var params = {
									AcNo:App.accountData2.No,
									money : payMoney
								}
								Fw.redirect('success.html', params);
							}
						});
			} else {
				// 他人信用卡还款数据
				otherPayData = {
					_AuthMode : authMode,
					formAcNo : App.accountData3.No,
					formCardType : App.accountData3.BankAcType,
					formClientName : App.accountData3.Name,
					moneyType : '01',
					money : Fw.util.Format.unFmtAmt($('[name="field14"]').val()),
					toAcNo : Fw.util.Format.unFmtAcctNo($('[name="field12"]').val()),
					toClientName : $('[name="field11"]').val(),
					dyPassword : sms,
					AcNo : App.accountData3.No,
					peeAcNo : Fw.util.Format.unFmtAcctNo($('[name="field12"]')
							.val()),
					peeName : $('[name="field11"]').val(),
					tesType : type,
					pwd : record.pwd,
					CertificateBase64:record.certstr,
					DataBase64:record.signcontent,
					SignatureDataBase64:record.contentsign,
					CertDn:record.keyDn
				}
				Fw.apply(otherPayData, record);
				// 提交到后台
				Fw.util.Ajax
						.execute({
							service : 'creditCardManageService.executeCreditCardPayment',
							params : otherPayData,
							staticData : false,
							success : function(data, result) {
								if ($('[name="field21"]').is(':checked')) {
									// 加入联系人登记簿
									App.addFriend();
								} else {
									var params = {
										AcNo:App.accountData3.No,
										money : Fw.util.Format.unFmtAmt($(
												'[name="field14"]').val())
									}
									Fw.redirect('success.html', params);
								}
							},
						failure:function(statues,textStatus,error){
							if(error=="卡系统:卡号非法"){
								Fw.Msg.info("账号不存在");
							}
	                },
						});
			}
		},
		addFriend : function(){
			Fw.util.Ajax.query({
				socketAdapter : 'creditCardManageService/queryCreditQuotaInfo',
				params : {
					accountNo : Fw.util.Format.unFmtAcctNo($('[name="field12"]').val()),//卡号
					pwdCheckFlag:"0"//密码校验标识
				},
				staticData : false,
				success : function(data, result) {
					var PayeeBankId;
					var PayeeBankName;
					if(!Fw.isEmpty(data.TransOpenAcctBranchName)){
						PayeeBankName = Fw.SimN(data.TransOpenAcctBranchId);
						PayeeBankId=data.TransOpenAcctBranchId;
					}else{
						PayeeBankName = "福建省农村信用社联合社";
						PayeeBankId="402391000068";
					}
					Fw.util.Ajax.insert({
						socketAdapter : 'transferService/insertFriend',
						params : {
							peeAcNo : Fw.util.Format.unFmtAcctNo($('[name="field12"]').val()),//卡号
							peeAcName : $("#sName").val(),//收款人
							PayeeType : 'P',
							PayeeFlag : '1',//他行
							PayeeAcType:'1',
							PayeeBankId:PayeeBankId,
							PayeeBankName:PayeeBankName,
							BankType:'0'
						},
						// 是否使用数据挡板（默认false）
						// staticData: true,
						staticData : false,
						// 请求成功后回调
						success : function(data, result) {
							var params = {
								AcNo:App.accountData3.No,
								money : Fw.util.Format.unFmtAmt($('[name="field14"]').val())
							}
							Fw.redirect('success.html',params);
						}
					});
				}
			})
		},
		/**
		 * 显示组件
		 */
		select1Click : function() {
			dropDownList1.show(App.data);
		},
		select2Click : function() {
			dropDownList2.show(App.data2);
		},
		select3Click : function() {
			dropDownList3.show(App.data2);
		},
		select4Click : function() {
			if (Fw.isTouch) {
				dropDownList4.show(data4);
			} else {
				dropDownList4.show(data3);
			}

		},
		select5Click : function() {
			if (Fw.isPhone) {
				if(Fw.isIOS){
					dropDownList5.show(data5);
				}else{
					dropDownList5.show(data4);
				}
			} else {
				dropDownList5.show(data3);
			}
		},
		/**
		 * 监听select点击事件
		 */
		item1Click : function(data, index) {
			$('[name="select1"]').val(data.option);
			$("#formInput1").val(null);
			$('#radio1,#radio2').prop("checked",false);
			App.accountData = data;
			// 判断信用卡类型
			if (App.accountData.CardType == 0) {
				$('#specialCard').hide();
				$('#commonCard').show();
			} else {
				$('#specialCard').show();
				$('#commonCard').hide();
			}
			// 查询信用卡额度信息
			App.queryCreditQuotaInfo(data.No);
		},
		item2Click : function(data, index) {
			$('[name="select2"]').val(data.option);
			App.accountData2 = data;
			// 判断借记卡状态
			Fw.util.Ajax.query({
				socketAdapter : 'balanceQueryService/executeAccountBalance',
				params : {
					No : data.No,
					PwdCheckFlag : '2',
					password : '',
					AcNo : data.No
				},
				staticData : false,
				success : function(data, result) {
					$('[name="field8"]').text(Fw.util.Format.fmtAmt(data.AvailBal));
					$('[name="field8"]').css("color","#000");

				},
				failure:function(statues,textStatus,error){
					$("#submit-btn2").prop('disabled',true);
					$('[name="field8"]').text("查询失败");
					$('[name="field8"]').css("color","red");
                }
			});
		},
		item3Click : function(data, index) {
			$("#submit-btn2").prop('disabled', false);
			$('[name="select3"]').val(data.option);
			App.accountData3 = data;
			// 判断借记卡状态
			Fw.util.Ajax.query({
				socketAdapter : 'balanceQueryService/executeAccountBalance',
				params : {
					No : data.No,
					PwdCheckFlag : '2',
					password : '',
					AcNo : data.No
				},
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					$('[name="field13"]').text(Fw.util.Format.fmtAmt(data.AvailBal));
					$('[name="field13"]').css("color","#000");
				},
				failure:function(statues,textStatus,error){
						$("#submit-btn2").prop('disabled',true);
						$('[name="field13"]').text("查询失败");
						$('[name="field13"]').css("color","red");
                }
			});
		},
		item4Click : function(data, index) {
			$('[name="select4"]').val(data.payStyle);
			checkWay = data.checkWay;
		},
		itemClick : function(data, index) {
			$('[name="select5"]').val(data.payStyle);
			checkWay = data.checkWay;
		},
		/**
		 * 实例化tab
		 */
		initTab : function(index) {
			tab = new Fw.Tab({
				contentEl : 'tab',
				activeTab : index
			});
			// 选项卡切换后触发
			tab.on('tabchange', this.onTabChange, this);
		},
		onTabChange : function(tab, index) {
			if (index == 0) {
				$('.reminder').hide();
				//App.data6=[];
				App.queryCard();
			} else {
				$('.reminder').show();
					/*if (isPhone) {
						// 收款人列表
						$("#image-account").on('click', Fw.bind(this.phoneShowFriendList, this));
					} else {
						// web端
						// 收款人列表
						this.queryFriendList();
						// 收款人列表
						$("#image-account").on('click', Fw.bind(this.showFriendList, this));
					}*/			
			}
		},
		//手机端选择收款人
		phoneShowFriendList:function(){
			//联系人
			App.queryFriendData();
			
		},
		//客户端查询收款人数据
		queryFriendData:function(){
			Fw.util.Ajax.query({
				service : 'transferService.queryFriendList',
				params : {
					PayeeAcType : "1"
				},
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					Fw.apply(friendData,data)
					//手动隐藏等待层
                    Fw.LoadMask.hide(500);
					Fw.device.Device.showFriendList(friendData,'App.getFriend');
				}
			});
		},
		getFriend : function(data) {
			data=data.replaceAll('"','\"');
        	data=JSON.parse(data);
			$('[name="field11"]').val(data.PayeeAcName).change();
			$('[name="field12"]').val(data.PayeeAcNo).change();
		},
		/**
		 * 选择框完成事件
		 */
		friendSubmit : function(e, data) {
			$('[name="field11"]').val(data[0].PayeeAcName).change();
			$('[name="field12"]').val(
					data[0].PayeeAcNo).change();
		},
		friend : function(data) {
			friendList = new Fw.SelectWindow(
					{
						data : data.List,
						itemTpl : [
								'<div class="content-info">',
								'<div style="float:left;">',
								'{@if item.PayeeBankId=="402391000068"||item.PayeeBankId=="301290000007"||item.PayeeBankId=="105100000017"||item.PayeeBankId=="103100000026"||item.PayeeBankId=="102100099996"||item.PayeeBankId=="104100000004"||item.PayeeBankId=="308584000013"}',
								'<img style="width: 25px;vertical-align: middle;" src="images/transfer_accounts/deaufult.png">',
								'{@else if item.PayeeDeptId=="402391000068"}',
								'<img src="images/transfer_accounts/${item.PayeeDeptId}.png">',
								'{@else}<img style="padding-left: 25px"/>',
								'{@/if}',
								'</div>',
								'<div style="width:16%;float:left;padding-left: 5px;font-size:14px;color: #333333;font-family: "微软雅黑";">${item.PayeeAcName}</div>',
								'<div style="width:20%;margin: 0 10px;float:left;font-size:14px;color: #333333;font-family: "微软雅黑";">尾号${item.PayeeAcNo|fmtAcctNoEnd}</div>',
								'<div class="ui-nowrap" style="width:35%;float:left;font-size:14px;color: #333333;font-family: "微软雅黑";">',
								'{@if item.PayeeBankName !=null && item.PayeeBankName !="" }',
								'${item.PayeeBankName}',
								'{@else}${item.PayeeDeptName}', '{@/if}</div>',
								'</div>', ],
					});
		},

		showFriendList : function(e) {
			if (Fw.isTouch) {
				Fw.device.Device.showFriendList(friendData, 'App.getFriend')
			}else{
				// 显示弹框
				friendList.showSelectWindow();
				// 弹出窗口完成事件
				friendList.on('submit', Fw.bind(this.friendSubmit, this));
			}
			
		},
		// pc-查询收款人列表
		queryFriendList : function() {
			/**
			 * 查询数据
			 */
			Fw.util.Ajax.get({
				socketAdapter : 'transferService/queryFriendList',
				params: {
					PayeeAcType : "1"
				},
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					App.friend(data);
				}
			});
		},
		refresh1Click:function(){
			// 查询卡余额
			Fw.util.Ajax.query({
						service :'accountService',
						method :'getAccountInfo',
						params : {
							AcNo : App.accountData2.No
						},
						staticData : false,
						success : function(data, result) {
							$('[name="field8"]').text(Fw.util.Format.fmtAmt(data.AvailBal));
						},
						failure:function(statues,textStatus,error){
								$("#submit-btn2").prop('disabled',true);
								$('[name="field13"]').text("查询失败");
								$('[name="field13"]').css("color","red");
								$('[name="field8"]').text("查询失败");
								$('[name="field8"]').css("color","red");
	                    }
					});
		},
		refresh2Click:function(){
			// 查询卡余额
			Fw.util.Ajax.query({
						service :'accountService',
						method :'getAccountInfo',
						params : {
							AcNo : App.accountData3.No
						},
						staticData : false,
						success : function(data, result) {
							$('[name="field13"]').text(Fw.util.Format.fmtAmt(data.AvailBal));
						},
						failure:function(statues,textStatus,error){
								$("#submit-btn2").prop('disabled',true);
								$('[name="field13"]').text("查询失败");
								$('[name="field13"]').css("color","red");
								$('[name="field8"]').text("查询失败");
								$('[name="field8"]').css("color","red");
	                    }
					});
		},
		// 查询信用卡下拉框
		queryCard : function() {
			//if(Fw.isEmpty(App.data6)){//当初始化tab2的时候不能同时调同一个接口，需要用到调用上面接口时所保存的数据
				// 查询贷记卡账号 
				Fw.util.Ajax
						.get({
							service : 'accountService',
							method : 'getAccount',
							params : {
								type : '1'
							},
							// 0借记账户1贷记账户2动账借记3动账贷记//不传参全部
							staticData : false,
							//loadMask:false,
							// 请求成功后回调
							success : function(data, result) {
								if (data.List.length == 0) {
									Fw.Msg.cfm('您当前未加挂信用卡账户，是否立即加挂？',function(code, btn, win) {
										if (code == "yes") {
											if(Fw.isTouch){
			                    				Fw.device.Device.getMenuPower("账户管理", "M050200", "App.gotoAcManage");
			                    			}else{
			                    				if(powerData.zhgl=="T"){
			                    					var url = Fw.getBasePath();
			                                    	Fw.redirect(url+'/page/pub/account/add/main.html',{aimUrl:"/page/pub/creditCardManage/creditCardPayment/main.html"});
			                    				}else{
			                    					Fw.Msg.info("尊敬的客户，由于系统升级，该功能暂时停用，给您造成的不便，敬请谅解，具体开启时间请关注我行公告。");
			                    					return ;
			                    				}
			                    			}
										} else {
									     	App.debitCard();
										}
									});
									Fw.LoadMask.hide();
								} else {
									 App.debitCard();
									// 将App.data放在dropDownlist里面
									App.data = data.List;
									if (Fw.isEmpty(accountParams.acNo)) {
										App.accountData = data.List[0];
										$('[name="select1"]').val(App.accountData.option);
										App.queryCreditQuotaInfo(App.accountData.No);
									} else {
										//遍历卡列表     本人还款回显相同卡号（从我的信用卡跳过来，肯定会有相同卡，但从联系人管理跳过来跳到他人信用卡还款，这时候没有相同的卡号）
										Fw.each(data.List, function(item) {
											if (Fw.isEqual(item.No,accountParams.acNo)) {
												App.accountData = item;
												$('[name="select1"]').val(App.accountData.option);
												App.queryCreditQuotaInfo(item.No);
											}
										});
										//当从其他页面跳过来有acNo参数，但是遍历信用卡没有相同的时候
										if(Fw.isEmpty($('[name="select1"]').val())){
											acFlag=1;
											App.queryCreditQuotaInfo(accountParams.acNo);
										}
									}
								}
							}
						});
				$('[name="select4"]').val(data3[0].payStyle);
				$('[name="select5"]').val(data3[0].payStyle);
		},
		gotoAcManage:function(data){
			if(data=="T"){
				var url = Fw.getBasePath();
            	Fw.redirect(url+'/page/pub/account/add/main.html',{aimUrl:"/page/pub/creditCardManage/creditCardPayment/main.html"});
			}else{
				Fw.Msg.info("尊敬的客户，由于系统升级，该功能暂时停用，给您造成的不便，敬请谅解，具体开启时间请关注我行公告。");
				return ;
			}
		},
		debitCard:function(){
			$('[name="select5"]').val(data3[0].payStyle);//当初始化tab2的时候，没有查queryCard,付款方式需要在这单独赋值
			// 查询借记卡
			Fw.util.Ajax.get({
				service : 'accountService',
				method : 'getAccount',
				params : {
					 type : '8',
				},
				// 0借记账户1贷记账户2动账借记3动账贷记null全部5贷记卡带信息4缴费支付权限6所有借记'卡'7非定期借记账户8有动账权限的借记卡（不包括存折）
				staticData : false,
				//loadMask:false,
				success : function(data, result) {
					$("#submit-btn2").removeAttr('disabled');
					var arr = [];
					if (data.List.length == 0) {
						Fw.Msg.info('您的账户无转账权限功能，请至我行任一网点开通。',function() {
							if (Fw.isEmpty(accountParams.acNo)) {
								if(Fw.isTouch){
									Fw.gotoIndex();
								}else{
									Fw.redirect(Fw.getBasePath()+"/page/pageMenu/moreMenu.html");
								}
							}else{
								if(accountParams.flag=="0"){//可能是从我的信用卡，转账联系人，联系人管理跳过来
									if(Fw.isTouch){
										Fw.gotoIndex();
									}else{
										if(Fw.isEmpty(accountParams.zhPage)){//为空表明是从我的信用卡跳过来的
											var params = {
													data : accountParams.data,
													index : accountParams.index
												}
											Fw.redirect('../../../pc/myDebt/myCreditCard.html', params);
										}else if(accountParams.zhPage==0){//为0表示从联系人管理跳过来
											Fw.redirect('../../../pc/transfer_accounts/friendList.html');
										}else if(accountParams.zhPage==1){//为1表示从转账联系人跳过来
											var url = Fw.getBasePath();
											Fw.redirect(url+'/page/pc/transfer_accounts/friendTransfer.html');
										}else if(accountParams.zhPage==2){
											var url = Fw.getBasePath();
											Fw.redirect(url+'/page/pc/transfer_accounts/index.html');
										}
									}
								}else if(accountParams.flag=="1"){//可能是从我的信用卡，转账联系人，联系人管理跳过来
									if(Fw.isTouch){
										Fw.gotoIndex();
									}else{
										if(accountParams.zhPage==0){//为0表示从联系人管理跳过来
											var url = Fw.getBasePath();
											Fw.redirect(url+'/page/pc/transfer_accounts/friendList.html');
										}else if(accountParams.zhPage==1){//为1表示从转账联系人跳过来
											var url = Fw.getBasePath();
											Fw.redirect(url+'/page/pc/transfer_accounts/friendTransfer.html');
										}else if(accountParams.zhPage==2){
											var url = Fw.getBasePath();
											Fw.redirect(url+'/page/pc/transfer_accounts/index.html');
										}
									}
								}
								else if(accountParams.flag=="2"){//转账汇款跳过来
									Fw.redirect('../../../pub/transfer_accounts/bank.html');
								}
							}
						});
					} else {
						data.List=$.grep(data.List,function(value){
							if(Fw.isEqual(value.BankAcType, "EMCT")){
								return false;
							}else if(Fw.isEqual(value.BankAcType, "EDCE")){
								return false;
							}else if(Fw.isEqual(value.BankAcType, "PMCT")){
								return false;
							}else if(Fw.isEqual(value.BankAcType, "ETIM")){
								return false;
							}else if(Fw.isEqual(value.BankAcType, "PTIM")){
								return false;
							}{
								return true;
							}
						});
						App.data2 = data.List;
						$('[name="select2"]').val(data.List[0].option);
						$('[name="select3"]').val(data.List[0].option);
						
						// 用于区分借记卡账户是本人信用卡还款还是他人信用卡还款
						App.accountData2 = data.List[0];
						App.accountData3 = data.List[0];
						// 查询卡余额
						Fw.util.Ajax.query({
							service :'accountService',
							method :'getAccountInfo',
							params : {
								AcNo : data.List[0].No
							},
							staticData : false,
							//loadMask:false,
							success : function(data, result) {
								$('[name="field8"]').text(Fw.util.Format.fmtAmt(data.AvailBal));
								$('[name="field13"]').text(Fw.util.Format.fmtAmt(data.AvailBal));
								if((!Fw.isEmpty(accountParams.flag)&&accountParams.flag=="1")||(accountParams.flag=="2"&&waitFlag==1)){//如果初始化的tab2，则关闭等待层，否则不关闭
									Fw.LoadMask.hide();
								}
							},
							failure:function(statues,textStatus,error){
									$("#submit-btn2").prop('disabled',true);
									$('[name="field13"]').text("查询失败");
									$('[name="field13"]').css("color","red");
									$('[name="field8"]').text("查询失败");
									$('[name="field8"]').css("color","red");
		                    }
						});
					}
				},
			});
		},
		queryCreditQuotaInfo : function(accNo) {
			// 查询信用卡额度信息
			Fw.util.Ajax.query({
//				socketAdapter : 'creditCardManageService/executeMCCreditAccountInfoQry',
				socketAdapter : 'creditCardManageService/queryCreditQuotaInfo',
				params : {
					accountNo : accNo,
					pwdCheckFlag : '0',
					AcNo : accNo
				},
				staticData : false,
				//loadMask:false,
				success : function(data, result) {
					if(acFlag==1){//当acFlag=1时表明从联系人管理或转账联系人跳过来，且传过来的卡号没有加挂
						App.accountData={
								option:'',
								CardType:'',
								No:accNo,
								BankAcType:'',
								Name:data.AcctName1
						};
						if(data.CardTypeName.indexOf("普惠")!=-1){
							App.accountData.CardType == 1;
							App.accountData.BankAcType="PCFC";
						}else{
							App.accountData.CardType == 0;
							App.accountData.BankAcType="PCRC";
						}
						App.accountData.option=Fw.SimN(data.TransOpenAcctBranchId, App.accountData.BankAcType)+" "+accNo.substring(accNo.length-4,accNo.length);
						$('[name="select1"]').val(App.accountData.option);
					}
					App.cardData = data;
					$('[name="field1"]').text(
							Fw.util.Format.fmtAmt(data.MinRepayAmt));
					if (App.accountData.CardType == 0) {//普通卡
						//回显本期应还,实时变动
						App.currentBillAmt(accNo);
//						$('[name="field2"]').text(Fw.util.Format.fmtAmt(data.CurRepayAllAmtCny));
					} else {//普惠卡
						// 判断信用卡类型
						if (App.accountData.CardType == 0) {
							$('#specialCard').hide();
							$('#commonCard').show();
						} else {
							$('#specialCard').show();
							$('#commonCard').hide();
						}
						if(data.BalanceFlag=="-"){
							$('[name="field3"]').text(Fw.util.Format.fmtAmt(0));
						}else{
							$('[name="field3"]').text(Fw.util.Format.fmtAmt(data.Balance));
						}
						Fw.LoadMask.hide();
					}
				}
			});
		},
		currentBillAmt:function(accNo){
			Fw.util.Ajax.query({
				socketAdapter : 'creditCardManageService/executeMCCreditAccountInfoQry',
				params : {
					AcNo : accNo,
					pwdCheckFlag : '0',
				},
				staticData : false,
				//loadMask:false,
				success : function(data, result) {
					App.nowMonth=data;
					// 判断信用卡类型
					if (App.accountData.CardType == 0) {
						$('#specialCard').hide();
						$('#commonCard').show();
					} else {
						$('#specialCard').show();
						$('#commonCard').hide();
					}
					$('[name="field2"]').text(Fw.util.Format.fmtAmt(data.CurRepayAllAmtCny));
					Fw.LoadMask.hide();
				},
			});
		},
		leftButtonHandler : function() {
			if (Fw.isEmpty(accountParams.acNo)) {
				if(Fw.isTouch){
					Fw.gotoIndex();
				}else{
					Fw.redirect(Fw.getBasePath()+"/page/pageMenu/moreMenu.html");
				}
			}else{
				if(accountParams.flag=="0"){//可能是从我的信用卡，转账联系人，联系人管理跳过来
					if(Fw.isTouch){
						Fw.gotoIndex();
					}else{
						if(Fw.isEmpty(accountParams.zhPage)){//为空表明是从我的信用卡跳过来的
							var params = {
									data : accountParams.data,
									index : accountParams.index
								}
							Fw.redirect('../../../pc/myDebt/myCreditCard.html', params);
						}else if(accountParams.zhPage==0){//为0表示从联系人管理跳过来
							Fw.redirect('../../../pc/transfer_accounts/friendList.html');
						}else if(accountParams.zhPage==1){//为1表示从转账联系人跳过来
							var url = Fw.getBasePath();
							Fw.redirect(url+'/page/pc/transfer_accounts/friendTransfer.html');
						}else if(accountParams.zhPage==2){
							var url = Fw.getBasePath();
							Fw.redirect(url+'/page/pc/transfer_accounts/index.html');
						}
					}
				}else if(accountParams.flag=="1"){//可能是从我的信用卡，转账联系人，联系人管理跳过来
					if(Fw.isTouch){
						Fw.gotoIndex();
					}else{
						if(accountParams.zhPage==0){//为0表示从联系人管理跳过来
							var url = Fw.getBasePath();
							Fw.redirect(url+'/page/pc/transfer_accounts/friendList.html');
						}else if(accountParams.zhPage==1){//为1表示从转账联系人跳过来
							var url = Fw.getBasePath();
							Fw.redirect(url+'/page/pc/transfer_accounts/friendTransfer.html');
						}else if(accountParams.zhPage==2){//表明从最近交易联系人跳过来
							var url = Fw.getBasePath();
							Fw.redirect(url+'/page/pc/transfer_accounts/index.html');
						}
					}
				}
				else if(accountParams.flag=="2"){//转账汇款跳过来
					Fw.redirect('../../../pub/transfer_accounts/bank.html');
				}
			}
		}
	};
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
