/**
 * 创建应用
 */
var App = function() {
	var powerData = Fw.util.Storage.get('powerData');
	powerData = Fw.decode(powerData);
    var form;
  	//下拉对象
	var dropDownList1;
	var dropDownList2;
	var data1=[];
	var idType="P00";
	var data2=[
	           {
		           	"cardName": "公民身份证",
		           	"idType":"P00"
	           }
	           , {
	               "cardName": "户口簿",
	               "idType":"P07"
	           }
	           , {
	               "cardName": "工作证",
	               "idType":"3"
	           }
	           , {
	               "cardName": "军官证",
	               "idType":"P01"
	           }
	           , {
	               "cardName": "士兵证",
	               "idType":"P04"
	           }
	           , {
	               "cardName": "警官证",
	               "idType":"P03"
	           }
	           , {
	               "cardName": "（港、澳）回乡证、通行证",
	               "idType":"C"
	           }
	           , {
	               "cardName": "（台）通行证、其他有效旅行证件",
	               "idType":"D"
	           }
	           , {
	               "cardName": "（外国）护照、主管部门的批文或证明、港澳居民来往内地通行证",
	               "idType":"E"
	           }
	           , {
	               "cardName": "台湾居民来往内地通行证",
	               "idType":"P13"
	           }
	           , {
	               "cardName": "中华人民共和国旅行证",
	               "idType":"M"
	           }
	           , {
	               "cardName": "中华人民共和国护照",
	               "idType":"N"
	           }
	       ];
    return {
        /**
         * 依赖组件
         */
        requires: [
          	//表单
           'Fw.Form',
           'Fw.DropDownList',
           'Fw.PayControls',
           'Fw.app.Session',
         //安全键盘
           'Fw.Keyboard',
        ],
        /**
         * 视图设置
         * 设置标题栏、按钮等
         * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
         */
        viewConfig: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: '信用卡挂失',
            /**
             * 左边按钮（默认显示）
             * 如果为false，则左边按钮不显示
             * leftButton: '左边按钮'
             */
            leftButton: {
                //自定义按钮标题（默认'返回'）
                text: '<',
                //自定义按钮点击事件（默认App.leftButtonHandler）
                //handler: XXX
            },
            /**
             * 右边按钮（默认不显示）
             * rightButton: '右边按钮'
             */
            rightButton:false,/* {
                //按钮标题
                text: '设置表单值',
                //自定义按钮点击事件（默认App.rightButtonHandler）
                //handler: XXX
            },*/
            /**
             * 是否自动显示等待层（默认true）
             * 需手动隐藏等待层
             */
            loadMask: true
        },
        /**
         * 初始化
         * 应用入口
         */
        init : function(require) {
        	this.initForm();
          	//查询信用卡下拉框
        	this.queryCard();
        	//实例化下拉
        	this.initDropDownList1();
        	this.initDropDownList2();
            //初始化事件
            this.initEvents();
        },
        initForm:function(){
        	//定义表单
            form = new Fw.Form({
                //EL
                contentEl : 'form',
                //是否激活重置事件（默认false）
                //单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
                resettable: false,
                //校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
                msgTarget: 'tips'
            });
        },
        initDropDownList1:function(){
        	dropDownList1 = new Fw.DropDownList({
        		result: data1,
        		displayNo: false,
        		displayName: 'option',
        		cursorBtn: false,
        		disableFieldValue: '1'
        	});
        },
		initDropDownList2:function(){
			dropDownList2 = new Fw.DropDownList({
        		result: data1,
        		displayNo: false,
        		displayName: 'cardName',
        		cursorBtn: false,
        		disableFieldValue: '1'
        	});
        },
        /**
         * 初始化事件
         * 
         */
        initEvents: function(){
            form.on('submit', this.doSubmit, this);
            $('#submit-btn').on('click',Fw.bind(this.btnClick));
            $('#select1').on('click',Fw.bind(this.select1Click));
            $('#iLabel1').on('click',Fw.bind(this.select1Click));
        	$('#select2').on('click',Fw.bind(this.select2Click));
        	$('#iLabel2').on('click',Fw.bind(this.select2Click));
        	//监听select点击事件
        	dropDownList1.on('itemClick',Fw.bind(this.item1Click, this));
        	dropDownList2.on('itemClick',Fw.bind(this.item2Click, this));
        },
        btnClick:function(){
        	form.submit();
        },
      	//表单验证通过了调用
        doSubmit:function(values){
        	Fw.Msg.cfm('挂失将收取您手续费50元，若解挂将不退还挂失手续费。', function(code, btn, win){
        		if(code=="yes"){
        			var identId=Fw.util.Format.unFmtAcctNo($('[name="field2"]').val());
                	if(identId!=Fw.app.Session.getIdentno()){
                		Fw.Tips.info('证件号码不符');
                		return false;
                	   }
                	if(!Fw.isEqual(idType, Fw.app.Session.getIdenttype())){
                		Fw.Tips.info('证件类型不符');
                		return false;
                	}
	        			//判断信用卡状态
	        			Fw.util.Ajax.query({
	                		socketAdapter: 'creditCardManageService/queryCreditQuotaInfo',
	                        params: {
	                        	accountNo:App.accountData.No,
	                            pwdCheckFlag:'0',
	                            AcNo:App.accountData.No
	                        },
	                        staticData: false,
	                        success: function(data, result) {
	                        		var showInfo = [];
	                        		var cardNews = {
	                            			cardNo : App.accountData.No,
	                            			passwordType : 'B',//T代表借记卡 B代表信用卡
	                            	}
	            		    		/**
	            		    		 * type
	            		    		 * 
	            		    		 * S&AP  短信验证码+账户密码
	            		    		 * U&AP  U-key密码+账户密码(pc端)
	            		    		 * AP    账户密码
	            		    		 * CTP   信用卡交易密码
	            		    		 * SMS   短信验证码
	            		    		 * IC&AP IC卡+账户密码(手机端)
	            		    		 */
	                        		Fw.device.Device.payControls('AP',showInfo,'App.onPayControlsSubmit',{},cardNews);
	                        }
	                    });
					}
	       });
        },
        /**
         * @param record 控件信息
         */
        onPayControlsSubmit: function(record, type, isObject){
        	if (Fw.isEqual(isObject, "false")||!isObject) {
				record = Fw.decode(record);
			}
        	//提交到后台
    		Fw.util.Ajax.execute({
    			service: 'creditCardManageService.executeLostCardReporting',
                params: {
                    accountNo:App.accountData.No,
                    identityType:App.cardData.idType,
                    identityNo:Fw.util.Format.unFmtAcctNo($('[name="field2"]').val()),
                    pwdCheckFlag:'2',
                    pwd:record.pwd,
                    lossCode:'L',
                    lostDate:Fw.util.Format.unFmtDate(new Date(),'yyyyMMdd'),
                    lostTime:Fw.util.Format.unFmtDate(new Date(),'HHmm'),
                    lostMethod:'PHN',
                    cardExpandReason:'',
                    AcNo:App.accountData.No,
                    tesType:type
                },
                staticData: false,
                success: function(data, result) {
                	Fw.redirect('success.html');
                },
            });
        },
        /**
         * 显示组件
         */
        select1Click:function(){
        	dropDownList1.show(App.data);
        },
        select2Click:function(){
        	dropDownList2.show(App.data2);
        },
        /**
         * 监听select点击事件
         */
        item1Click: function(data, index){
        	//form.setValues({select1:data.name});
        	$("#submit-btn").prop('disabled',false);
        	$('[name="select1"]').val(data.option);
        	$('[name="field1"]').val(data.Name);
        	App.accountData=data;
        },
        item2Click: function(data, index){
        	$('[name="select2"]').val(data.cardName);
        	idType=data.idType;
        	App.cardData=data;
        	
        },
      	//查询信用卡下拉框
        queryCard: function(){
        	//查询贷记卡账号
        	Fw.util.Ajax.get({
                service: 'accountService',
                method: 'getAccount',
                params: {
                    type:'1',
                },
              	//0借记账户1贷记账户2动账借记3动账贷记//不传参全部
                staticData: false,
                success: function(data, result) {
                	if(data.List.length==0){
                		Fw.Msg.cfm('您当前未加挂信用卡账户，是否立即加挂？', function(code, btn, win){
                            if(code=="yes"){
                            	if(Fw.isTouch){
                    				Fw.device.Device.getMenuPower("账户管理", "M050200", "App.gotoAcManage");
                    			}else{
                    				if(powerData.zhgl=="T"){
                    					var url = Fw.getBasePath();
                                    	Fw.redirect(url+'/page/pub/account/add/main.html',{aimUrl:"/page/pub/creditCardManage/lostCardReporting/main.html"});
                    				}else{
                    					Fw.Msg.info("尊敬的客户，由于系统升级，该功能暂时停用，给您造成的不便，敬请谅解，具体开启时间请关注我行公告。");
                    					return ;
                    				}
                    			}
                            }else{
                            	if(Fw.isTouch){
                            		Fw.gotoIndex();
                            	}else{
                            	  var url = Fw.getBasePath();
                            	  Fw.redirect(url+'/page/pageMenu/moreMenu.html');
                            	}
                            }
                        });
                	}else{
                		//将App.data放在dropDownlist里面
                		$('[name="select1"]').val(data.List[0].option);
                		App.data=data.List;
                		$('[name="field1"]').text(data.List[0].Name);
                		App.accountData=data.List[0];
                	}
                }
            });
        	App.data2=data2;
        	$('[name="select2"]').val(data2[0].cardName);
        	App.cardData=data2[0];
        	//手动隐藏等待层
            Fw.LoadMask.hide();
        },
        gotoAcManage:function(data){
			if(data=="T"){
				var url = Fw.getBasePath();
            	Fw.redirect(url+'/page/pub/account/add/main.html',{aimUrl:"/page/pub/creditCardManage/lostCardReporting/main.html"});
			}else{
				Fw.Msg.info("尊敬的客户，由于系统升级，该功能暂时停用，给您造成的不便，敬请谅解，具体开启时间请关注我行公告。");
				return ;
			}
		},
        leftButtonHandler : function() {
			if (Fw.isTouch) {
				Fw.gotoIndex();
			} else {
				Fw.redirect(Fw.getBasePath()+"/page/pageMenu/moreMenu.html");
			}
		}
    };
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
