/**
 * 创建应用
 */
var App = function() {
	var powerData = Fw.util.Storage.get('powerData');
	powerData = Fw.decode(powerData);
    var form;
  	//下拉对象
	var dropDownList;
	var pgeditor_0 = undefined;
	var pgeditor_1 = undefined;
	var pgeditor_2 = undefined;
	var data1=[];
	var pay;
	// 验证方式下拉对象
	var paymentList;
	var payment=[ {
		"option" : "U-key验证",
		"tpType" : "U"
	},{
		"option" : "短信验证码验证",
		"tpType" : "O"
	}];
    return {
        /**
         * 依赖组件
         */
        requires: [
          	//表单
           'Fw.Form',
           'Fw.DropDownList',
           //安全键盘
           'Fw.Keyboard',
           'Fw.PayControls',
        ],
        /**
         * 视图设置
         * 设置标题栏、按钮等
         * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
         */
        viewConfig: {
            title: '查询密码修改',
            leftButton: {
            },
            loadMask: true
        },
        /**
         * 初始化
         * 应用入口
         */
        init : function(require) {
        	Fw.util.Ajax.get({
				service : 'passGuardService.getKey',
				success : function(data, result) {
					Fw.util.Storage.set("WTKey",data.key);
				}
			});
        	if(Fw.isTouch){
        		$('#testChannal').hide();
        		$('#testChannal').removeClass("ui-border-b");
        	}else{
        		$('#testChannal').show();
        		this.paymentList();
        	}
        	App.subData = {};
        	//定义表单
        	this.initForm();
        	//查询信用卡下拉框
        	this.queryCard();
        	//实例化下拉
        	this.initDropDownList();
            //初始化事件
            this.initEvents();
            //手动隐藏等待层
        },
        /**
		 * 初始化密码控件
		 */
		initPwdInput : function() {
			var PgeOption = {
				pgePath : Fw.getBasePath()+"./ocx/",// 控件下载目录，可以指定绝对路径，如"http://www.baidu.com/download/"
				pgeId : "_ocx_password_0",// 控件id
				pgeEdittype : 0,// 控件显示类型,0(星号),1(明文)
				pgeEreg1 : "[0-9]*",// 输入过程中字符类型限制，如"[0-9]*"表示只能输入数字
				pgeEreg2 : "[0-9]{6}",// 输入完毕后字符类型判断条件，与pgeditor.pwdValid()方法对应
				pgeMaxlength : 6,// 允许最大输入长度
				pgeTabindex : 2,// tab键顺序
				pgeClass : "ocx_style",// 控件css样式
				pgePlaceHolder:"<div style='color:#9a9a9a;font-size: 14px;font-family:\"微软雅黑\";'>请输入原密码</div>",
 			    pgeDivStyle:"height:44px;line-height:44px;",
				pgeInstallClass : "ocx_style",// 针对安装或升级的css样式
				pgeOnkeydown : "",// 回车键响应函数，需焦点在控件中才能响应
				tabCallback : "input2",// 火狐tab键回调函数,设置要跳转到的对象ID
				pgeOnfocus:"App.pgeFocus0()",//监控光标切入密码控件框
   			    pgeOnblur:"App.pgeBlur0()",//监控光标切出密码控件框
				// windows10 edge&Chrome42+相关
				pgeWindowID : "password" + new Date().getTime() + 1,
				pgeRZRandNum : Fw.util.Storage.get("TpgeRZRandNum"),
				pgeRZDataB : Fw.util.Storage.get("TpgeRZDataB")
			};

			pgeditor_0 = new $.pge(PgeOption);

			var PgeOption1 = {
				pgePath :Fw.getBasePath()+ "./ocx/",// 控件下载目录，可以指定绝对路径，如"http://www.baidu.com/download/"
				pgeId : "_ocx_password_1",// 控件id
				pgeEdittype : 0,// 控件显示类型,0(星号),1(明文)
				pgeEreg1 : "[0-9]*",// 输入过程中字符类型限制，如"[0-9]*"表示只能输入数字
				pgeEreg2 : "[0-9]{6}",// 输入完毕后字符类型判断条件，与pgeditor.pwdValid()方法对应
				pgeMaxlength : 6,// 允许最大输入长度
				pgeTabindex : 2,// tab键顺序
				pgeClass : "ocx_style",// 控件css样式
				pgePlaceHolder:"<div style='color:#9a9a9a;font-size: 14px;font-family:\"微软雅黑\";'>请输入新密码</div>",
 			    pgeDivStyle:"height:44px;line-height:44px;",
				pgeInstallClass : "ocx_style",// 针对安装或升级的css样式
				pgeOnkeydown : "",// 回车键响应函数，需焦点在控件中才能响应
				tabCallback : "input2",// 火狐tab键回调函数,设置要跳转到的对象ID
				pgeOnfocus : "App.pgeFocus1()",// 监控光标切入密码控件框
				pgeOnblur : "App.pgeBlur1()",// 监控光标切出密码控件框
				// windows10 edge&Chrome42+相关
				pgeWindowID : "password" + new Date().getTime() + 2,
				pgeRZRandNum : Fw.util.Storage.get("TpgeRZRandNum"),
				pgeRZDataB : Fw.util.Storage.get("TpgeRZDataB")
			};
			var PgeOption2 = {
				pgePath : "./ocx/",// 控件下载目录，可以指定绝对路径，如"http://www.baidu.com/download/"
				pgeId : "_ocx_password_2",// 控件id
				pgeEdittype : 0,// 控件显示类型,0(星号),1(明文)
				pgeEreg1 : "[0-9]*",// 输入过程中字符类型限制，如"[0-9]*"表示只能输入数字
				pgeEreg2 : "[0-9]{6}",// 输入完毕后字符类型判断条件，与pgeditor.pwdValid()方法对应
				pgeMaxlength : 6,// 允许最大输入长度
				pgeTabindex : 2,// tab键顺序
				pgeClass : "ocx_style",// 控件css样式
				pgePlaceHolder:"<div style='color:#9a9a9a;font-size: 14px;font-family:\"微软雅黑\";'>请输入确认密码</div>",
 			    pgeDivStyle:"height:44px;line-height:44px;",
				pgeInstallClass : "ocx_style",// 针对安装或升级的css样式
				pgeOnkeydown : "",// 回车键响应函数，需焦点在控件中才能响应
				tabCallback : "input2",// 火狐tab键回调函数,设置要跳转到的对象ID
				pgeOnfocus : "App.pgeFocus2()",// 监控光标切入密码控件框
				pgeOnblur : "App.pgeBlur2()",// 监控光标切出密码控件框
				// windows10 edge&Chrome42+相关
				pgeWindowID : "password" + new Date().getTime() + 3,
				pgeRZRandNum : Fw.util.Storage.get("TpgeRZRandNum"),
				pgeRZDataB : Fw.util.Storage.get("TpgeRZDataB")
			};

			pgeditor_1 = new $.pge(PgeOption1);

			pgeditor_2 = new $.pge(PgeOption2);
			window.pgeCtrl = pgeditor_0;
			$("#_ocx_password_str_0").html(pgeditor_0.load());
			$("#_ocx_password_str_1").html(pgeditor_1.load());
			$("#_ocx_password_str_2").html(pgeditor_2.load());

			pgeditor_0.pgInitialize();
			pgeditor_1.pgInitialize();
			pgeditor_2.pgInitialize();
			$("lic").html(pgeditor_0.setLicense());
			$("lic").html(pgeditor_1.setLicense());
			$("lic").html(pgeditor_2.setLicense());
			// });
		},
        initForm:function(){
        	form = new Fw.Form({
                //EL
                contentEl : 'form',
                //是否激活重置事件（默认false）
                //单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
                resettable: false,
                //校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
                msgTarget: 'tips'
            });
        },
    	pgeFocus0 : function() {
			pgeditor_0.handler1();
		},
		pgeBlur0 : function() {
			pgeditor_0.clearHandlers();
		},
		pgeFocus1 : function() {
			pgeditor_1.handler1();
		},
		pgeBlur1 : function() {
			pgeditor_1.clearHandlers();
		},
		pgeFocus2 : function() {
			pgeditor_2.handler1();
		},
		pgeBlur2 : function() {
			pgeditor_2.clearHandlers();
		},
        initDropDownList:function(){
        	dropDownList = new Fw.DropDownList({
        		result: data1,
        		displayNo: false,
        		displayName: 'option',
        		cursorBtn: false,
        		disableFieldValue: '1'
        	});
        },
        // 支付方式下拉
		paymentList : function() {
			paymentList = new Fw.DropDownList({
				// //必须参数：结果集
				result : payment,
				// 是否显示账号
				displayNo : false,
				// 显示字段
				displayName : 'option',
				// 是否显示手动输入
				cursorBtn : false,
			});

		},
        /**
         * 初始化事件
         * 
         */
        initEvents: function(){
        	if (Fw.isTouch) {//手机端显示输入框
				 $("input[type=password]").show();
				$("#pwdStrong").show();
			} else {//pc端显示div
				App.initPwdInput();
				$(".payControls_window").show();
				 $("div[id^=_ocx_password]").show();
			};
		
        	form.on('beforesubmit', this.beforeSubmit, this);
            form.on('submit', this.showPayControl, this);
            $('#submit-btn').on('click',Fw.bind(this.btnClick));
            $('#select1').on('click',Fw.bind(this.select1Click));
            $('#iLabel1').on('click',Fw.bind(this.select1Click));
        	//监听select点击事件
        	dropDownList.on('itemClick',Fw.bind(this.itemClick, this));
        	// 监听select点击事件
			paymentList.on('itemClick', Fw.bind(this.paymentClick, this));
        },
        /**
         * 表单文本输入框、多行文本输入框输入时触发（不含单选、多选、下拉框）
         * 失去焦点时出发
         * @param {String} 输入框名称
         * @param {Object} 值
         * @param {Object} 旧值
         * @param {Fw.Form} Form组件
         */
        btnClick:function(){
        	form.submit();
        },
        beforeSubmit:function(values){
        	if(Fw.isTouch){
        		//验证方式
        		pay ="O";
        	}else{
        		if($("#key").is(":checked")){
            		pay = "U";
            	}else{
            		pay = "O";
            	}
        	}
        	form.setValues(
        		'smsCode',$("#smsCode").val()
        	);
        	if(Fw.isTouch){
        		var oldLoginPassword=$("#OldLoginPassword").val();
        		var newLoginPassword=$("#NewLoginPassword").val();
        		if (Fw.isEmpty($("#OldLoginPassword").val())) {
					Fw.Tips.info("请输入原密码");
					return false;
				}else if(oldLoginPassword.length<6){
					Fw.Tips.info("请输入6位的原密码");
					return false;
				} else if (Fw.isEmpty(values.NewLoginPassword)) {
					Fw.Tips.info("请输入新密码");
					return false;
				}else if(newLoginPassword.length<6){
					Fw.Tips.info("请输入6位的新密码");
					return false;
				} else if (Fw.isEmpty(values.NewLoginPasswordSure)) {
					Fw.Tips.info("请再次输入新密码");
					return false;
				}else if (Fw.isEqual(values.OldLoginPassword, values.NewLoginPassword)) {
					Fw.Tips.info("新密码与原密码一致，请重新输入");
					return false;
				} else if (!Fw.isEqual(values.NewLoginPassword, values.NewLoginPasswordSure)) {
					Fw.Tips.info("两次密码输入不一致，请重新输入");
					return false;
				}else{
					App.subData.OldLoginPassword = values.OldLoginPassword;
                	App.subData.NewLoginPassword = values.NewLoginPassword;
					return true;
				}
        		
        	}else{
        		if (pgeditor_0.pwdLength() == 0) {
        			Fw.Tips.info("请输入原密码");
					return false;
				}else if (pgeditor_0.pwdValid() == 1) {
					Fw.Tips.info("请输入6位的密码");
					return false;
				}else if (pgeditor_1.pwdLength() == 0) {
					Fw.Tips.info("请输入新密码");
					return false;
				}else if (pgeditor_1.pwdValid() == 1) {
					Fw.Tips.info("请输入6位的新密码");
					return false;
				}else if (pgeditor_2.pwdLength() == 0) {
					Fw.Tips.info("请再次输入新密码");
					return false;
				}else if (pgeditor_2.pwdValid() == 1) {
					Fw.Tips.info("请输入6位的确认密码");
					return false;
				}else{
					return true;
				}
        	}
        },
        /**
		 * 显示支付窗体
		 */
		showPayControl : function(values) {
			App.doSubmit(values);
		},
      	//表单验证通过了调用
        doSubmit:function(values){
        	if (!Fw.isTouch) {// pc端 密码加密模块
				var key = Fw.util.Storage.get("WTKey");
				pgeditor_0.pwdSetSk(key);
				pgeditor_1.pwdSetSk(key);
				pgeditor_2.pwdSetSk(key);
				App.subData.OldLoginPassword = pgeditor_0.pwdResult();
				App.subData.NewLoginPassword = pgeditor_1.pwdResult();
				App.subData.NewLoginPasswordSure = pgeditor_2.pwdResult();
				if (Fw.isEqual(App.subData.OldLoginPassword, App.subData.NewLoginPassword)) {
					Fw.Tips.info("新密码与原密码一致，请重新输入");
					return;
				} else if (!Fw.isEqual(App.subData.NewLoginPassword, App.subData.NewLoginPasswordSure)) {
					Fw.Tips.info("两次密码输入不一致，请重新输入");
					return;
				}
			}
        	
        	if(Fw.isEqual(pay,"U")){
        		App.recode = {
        			cardNo:App.accountData.No,
                	oldPwd:App.subData.OldLoginPassword,
                	pwd:App.subData.NewLoginPassword,
                	option:'2',
                	AcNo:App.accountData.No,
                	_AuthMode : pay,
	    			signcontent : {
	    				cardNo:App.accountData.No,
	                	oldPwd:App.subData.OldLoginPassword,
	                	pwd:App.subData.NewLoginPassword,
	                	option:'2',
	                	AcNo:App.accountData.No,
	                	_AuthMode : pay,
	    			}
            	}
        		var devicesign = App.checkUsbKey(App.recode);
	        	if(!Fw.isEmpty(devicesign.contentsign)){
	        		//提交到后台
		    		Fw.util.Ajax.execute({
		    			service: 'creditCardManageService.executeQueryPassword',
		                params: devicesign,
		                staticData: false,
		                //请求成功后回调
		                success: function(data, result) {
		                	Fw.redirect('success.html');
		                },
		                failure:function(statues,textStatus,error){
		                	if(error=="卡系统:超过每日密码连续重试最大错误次数"|| error=="卡系统:超过累计密码错误次数"){
		                		Fw.Msg.info("密码输错次数超限");
		                	}
		                	if(Fw.isEqual(error, "卡系统:密码错误")){
		                		Fw.Msg.info("密码不符，请重新输入");
		                	}
		                	if(Fw.isEqual(error,"短信验证码错误,请重新输入")){
		                		$("#smsCode").val(null);
		                	}
		                } 
		            });
	        	}
        	}else{
        		
        		//短信验证码参数
    			var smsParams = {
    					tranType : '080103',  //080103-互联网银行客户端非转账类交易验证       080104-互联网银行客户端转账交易验证   080108-互银客户端批量转账
    					payerAcct : '',  // 付款账号 交易类型080104-必传
    					payeeAcct : '',  // 收款账号 交易类型080104-必传
    					payeeAcctName : '', // 收款人  交易类型080104-必传
    					trsAmount  : '', //交易金额   交易类型080104-必传
    					trsCount  : '' //交易笔数   交易类型080108-必传
    			};
        		
        		Fw.device.Device.payControls("SMS",{},'App.onPayControlsSubmit',smsParams,{});
	        	
        	}
        },
        
        onPayControlsSubmit : function(record, type, isObject){
        	
        	if (Fw.isEqual(isObject, "false") || !isObject) {
				record = Fw.decode(record);
			}
        	
        	//提交到后台
    		Fw.util.Ajax.execute({
    			service: 'creditCardManageService.executeQueryPassword',
                params: {
                	cardNo:App.accountData.No,
                	oldPwd:App.subData.OldLoginPassword,
                	pwd:App.subData.NewLoginPassword,
                	option:'2',
                	AcNo:App.accountData.No,
                	dyPassword:record.sms,
                	_AuthMode : pay,
                },
                staticData: false,
                //请求成功后回调
                success: function(data, result) {
                	Fw.redirect('success.html');
                },
                failure:function(statues,textStatus,error){
                	if(error=="卡系统:超过每日密码连续重试最大错误次数"|| error=="卡系统:超过累计密码错误次数"){
                		Fw.Msg.info("密码输错次数超限");
                	}
                	if(Fw.isEqual(error, "卡系统:密码错误")){
                		Fw.Msg.info("密码不符，请重新输入");
                	}
                } 
            });
        	
        },
        /**
         * 显示组件
         */
        select1Click:function(){
        	dropDownList.show(App.data);
        },
        /**
         * 监听select点击事件
         */
        itemClick: function(data, index){
        	$('[name="select1"]').val(data.option);
        	App.accountData=data;
        },
        // 支付方式
		showpaymentList : function() {
			paymentList.show(payment);
		},
		paymentClick : function(data, index) {
			if(data.tpType == 'U'){
    			$('#smsState').hide();
    			$('#testChannal').removeClass("ui-border-b");
    		}else{
    			$('#smsState').show();
    			$('#testChannal').addClass("ui-border-b");
    		}
			pay= data.tpType;
			$("#pay").val(data.option).change();
			
		},
       
      	//查询信用卡下拉框
        queryCard: function(){
        	//查询贷记卡账号
        	Fw.util.Ajax.get({
                service: 'accountService',
                method: 'getAccount',
                params: {
                    type:'1',
                },
              	//0借记账户1贷记账户2动账借记3动账贷记//不传参全部
                staticData: false,
                success: function(data, result) {
                	if(data.List.length==0){
                		Fw.Msg.cfm('您当前未加挂信用卡账户，是否立即加挂？', function(code, btn, win){
                            if(code=="yes"){
                            	if(Fw.isTouch){
                    				Fw.device.Device.getMenuPower("账户管理", "M050200", "App.gotoAcManage");
                    			}else{
                    				if(powerData.zhgl=="T"){
                    					var url = Fw.getBasePath();
                                    	Fw.redirect(url+'/page/pub/account/add/main.html',{aimUrl:"/page/pub/creditCardManage/manageQueryPassword/main.html"});
                    				}else{
                    					Fw.Msg.info("尊敬的客户，由于系统升级，该功能暂时停用，给您造成的不便，敬请谅解，具体开启时间请关注我行公告。");
                    					return ;
                    				}
                    			}
                            }else{
                            	if(Fw.isTouch){
                            		Fw.gotoIndex();
                            	}else{
                            	  var url = Fw.getBasePath();
                            	  Fw.redirect(url+'/page/pageMenu/moreMenu.html');
                            	}
                            }
                        });
                	}else{
                		//将App.data放在dropDownlist里面
                		//App.data=data;
                		$('[name="select1"]').val(data.List[0].option);
                    	App.data=data.List;
                    	App.accountData=data.List[0];
                	}
                	 Fw.LoadMask.hide();
                }
            });
        },
        gotoAcManage:function(data){
			if(data=="T"){
				var url = Fw.getBasePath();
            	Fw.redirect(url+'/page/pub/account/add/main.html',{aimUrl:"/page/pub/creditCardManage/manageQueryPassword/main.html"});
			}else{
				Fw.Msg.info("尊敬的客户，由于系统升级，该功能暂时停用，给您造成的不便，敬请谅解，具体开启时间请关注我行公告。");
				return ;
			}
		},
        leftButtonHandler : function() {
			if (Fw.isTouch) {
				Fw.gotoIndex();
			} else {
				Fw.redirect(Fw.getBasePath()+"/page/pageMenu/moreMenu.html");
			}
		},
		checkUsbKey : function(record){
        	var keyobj = undefined;
			var keyFlag =0;
			
			
			try {
				var haitai = $("#haitai")[0];//('haitai');
				var feitian = $("#feitian")[0];//document.getElementById('feitian');

	            var haistats = haitai.GetUsbkeyState();
				var feistats = feitian.GetUsbkeyState();
				var result = 0;
				if((feistats==4)||(haistats==4)){
					result = 4;
				}else if((feistats==3)&&(haistats==3)){
					result = 4;
				}else if(feistats==3){
					keyobj = feitian;
					result = 3;
				}else if(haistats==3){
					keyobj = haitai;
					result = 3;
				}else if((feistats==2)||(haistats==2)){
					result = 2;
				}	
				keyFlag = result;
	            }catch (err) {
	            	keyFlag = 0;
	               
	            }
			
			
			
			
			if(keyFlag<2){
				var msg = "";
				switch(keyFlag){
				case 1:msg="未检测到U-key驱动程序,请重装应用尝试解决该问题!";break;
				case 0:msg="未检测到U-key控件,请重装应用尝试解决该问题!";break;
				default:msg="应用异常,请重装应用尝试解决该问题!"
				}
				Fw.Msg.info(msg, function(){});
			}else{
				
				if(keyFlag==2){
					Fw.Msg.info('请插入U-KEY', function(){
                           
					});
					return false;
            	}else if(keyFlag==4){
            		Fw.Msg.info('请拔出多余的U-KEY', function(){
                           
					});
					return false;
            	}
			}
			
			$('body').find('#sm_area').remove();
			$('body').append('<p id = "sm_area" style="display:none;"></p>');
			$("#sm_area").html(signObj.createTag());
			
			signObj.getVersion();
			var keyDn ="";
			var keyCN ="";
				var tempDN  = keyobj.getCertInfo();
				if(Fw.isEmpty(tempDN)){
					Fw.Msg.info("U-KEY异常,请至营业网点更换U-key!", function(){});
					return false;
				}
	            var keyDns = tempDN.split("||");
	            record.signcontent=Fw.encode(record.signcontent);
		        record.signcontent=(record.signcontent).substr(1,(record.signcontent).length-2);
		        record.signcontent=new String(record.signcontent).toString();
		        record.signcontent=(record.signcontent).replace(/[¥_\"{}]/g,"");
		        record.signcontent=(record.signcontent).replace(/[\[]/g,"::");
		         record.signcontent=(record.signcontent).replace(/[\]]/g,":::");
		         record.signcontent=(record.signcontent).replace(/[\\]/g,":,:");
	            if(keyDns.length==1){
	            	 keyDn = tempDN;
	            	 keyDn = keyDn.replace("o=","O=");
	            	 Fw.each(keyDn.split(","),function(v){
		            		if(v.indexOf("cn=") != -1){
		            			keyCn = v.replace(" ","").replace("cn=","CN=");
		            		}else if(v.indexOf("CN=") != -1){
		            			keyCn = v.replace(" ","");
		            		}
	            	 });
				        record.certstr = signObj.getSCertInfo(keyCn , 6);
				        record.contentsign = signObj.sSign(keyCn , record.signcontent , 32 );
				        if(Fw.isEmpty(record.contentsign)||/(A){50}/.test(record.contentsign)){
				        	return ;
				        }else if((record.contentsign).indexOf('"message":')!=-1){
				        	var temp = Fw.decode(record.contentsign);
				        	if(temp.code== '2148532332'){
				        		Fw.Msg.info("请至营业网点更换U-key!", function(){
					        		
								});
				        	}else{
					        	Fw.Msg.info(temp.message, function(){
					        		
								});
				        	}
							return false;
				        }
				        record.keyDn=keyCn;
				        $('body').find('#sm_area').remove();
				       
				        var cstr =record.certstr;
				        var sb ="";
				        var len = cstr.length;
						var row = Math.ceil(len/64);
						sb +="-----BEGIN CERTIFICATE-----\n";
						for(var i = 0;i<row-1;i++){
							sb +=cstr.substring(i*64,(i+1)*64);
							sb +="\n";
						}
						sb +=cstr.substring((row-1)*64);
						sb +="\n";
						sb +="-----END CERTIFICATE-----\n";
						record.certstr = sb;
	            }else{
	            	if(Fw.CertClick){
	            		
		            	Fw.each(keyDns,function(v){
		            			keyDn = v.replace(" ","").replace("cn=","CN=");
		            	});
		            	 keyDn = keyDn.replace("o=","O=");
		            	 Fw.each(keyDn.split(","),function(v){
		            		 if(v.indexOf("cn=") != -1){
			            			keyCn = v.replace(" ","");
			            		}else if(v.indexOf("CN=") != -1){
			            			keyCn = v.replace(" ","");
			            		}
		            	 });
		            	
					        record.certstr = signObj.getSCertInfo(keyDn , 6);
					        record.contentsign = signObj.sSign(keyDn , record.signcontent , 32 );
					        
					        
					        if(Fw.isEmpty(record.contentsign)||/(A){50}/.test(record.contentsign)){
					        	return ;
					        }else if((record.contentsign).indexOf('"message":')!=-1){
					        	var temp = Fw.decode(record.contentsign);
					        	if(temp.code== '2148532332'){
					        		Fw.Msg.info("请至营业网点更换U-key!", function(){
						        		
									});
					        	}else{
						        	Fw.Msg.info(temp.message, function(){
						        		
									});
					        	}
								return false;
					        };
					        record.keyDn=keyCn;
					        $('body').find('#sm_area').remove();
					       
					        var cstr =record.certstr;
					        var sb ="";
					        var len = cstr.length;
							var row = Math.ceil(len/64);
							sb +="-----BEGIN CERTIFICATE-----\n";
							for(var i = 0;i<row-1;i++){
								sb +=cstr.substring(i*64,(i+1)*64);
								sb +="\n";
							}
							sb +=cstr.substring((row-1)*64);
							sb +="\n";
							sb +="-----END CERTIFICATE-----\n";
							record.certstr = sb;
	            	}else{
	            		Fw.each(keyDns,function(v){
		            			keyDn = v.replace(" ","").replace("cn=","CN=");
		            	});
		            	 keyDn = keyDn.replace("o=","O=");
		            	 Fw.each(keyDn.split(","),function(v){
		            		 if(v.indexOf("cn=") != -1){
			            			keyCn = v.replace(" ","");
			            		}else if(v.indexOf("CN=") != -1){
			            			keyCn = v.replace(" ","");
			            		}
		            	 });
		            	 	
					        record.certstr = signObj.getCertByProv();//signObj.getSCertInfo(keyDn , 6);
					        record.contentsign = signObj.signByProv(keyDn , record.signcontent , 37 );
					        
					        if(Fw.isEmpty(record.contentsign)||/(A){50}/.test(record.contentsign)){
					        	return ;
					        }else if((record.contentsign).indexOf('"message":')!=-1){
					        	var temp = Fw.decode(record.contentsign);
					        	if(temp.code== '2148532332'){
					        		Fw.Msg.info("请至我行任一网点办理Ukey更换", function(){
						        		
									});
					        	}else{
						        	Fw.Msg.info(temp.message, function(){
						        		
									});
					        	}
								return false;
					        };
					        record.keyDn=keyCn;
					        $('body').find('#sm_area').remove();
					       
					        var cstr =record.certstr;
					        var sb ="";
					        var len = cstr.length;
							var row = Math.ceil(len/64);
							sb +="-----BEGIN CERTIFICATE-----\n";
							for(var i = 0;i<row-1;i++){
								sb +=cstr.substring(i*64,(i+1)*64);
								sb +="\n";
							}
							sb +=cstr.substring((row-1)*64);
							sb +="\n";
							sb +="-----END CERTIFICATE-----\n";
							record.certstr = sb;
	            	}
	            }
	            record.keyDn=(record.keyDn).replace("cn=","CN=");

	            return record;
        }
    };
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
