/**
 * 创建应用
 */
var App = function() {
	var powerData = Fw.util.Storage.get('powerData');
	powerData = Fw.decode(powerData);
	var form,stageNumber,dropDownList,selectPayeeWindow,peeAcNo;
	var data,accountNo,accountNo1,ratelist,step,Amount,AcNo;
	var stepNum = 1;
	return {
		/**
		 * 依赖组件
		 */
		requires : [ 'Fw.Steps', 'Fw.Form', 'Fw.DropDownList',
		             //安全键盘
		             'Fw.Keyboard','Fw.SelectWindow' ],
		/**
		 * 视图设置 设置标题栏、按钮等 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
		 */
		viewConfig : {
			/**
			 * 标题栏标题 如果为空或未设置，则标题栏不显示、左右按钮不显示
			 */
			title : '现金分期',
			/**
			 * 左边按钮（默认显示） 如果为false，则左边按钮不显示 leftButton: '左边按钮'
			 */
			leftButton : {
			// 自定义按钮标题（默认'返回'）
			// text: '左边按钮',
			// 自定义按钮点击事件（默认App.leftButtonHandler）
			// handler: XXX
			},
		},
		/**
		 * 初始化 应用入口
		 */
		init : function(require) {
			// 初始化显示步骤页面
			App.initPage(stepNum);
			// 初始化步骤组件
			this.initStep();
			$("#prev").show();
			// 查询信用卡下拉框
			this.queryCard();
			// 定义表单
			form = new Fw.Form({
				// EL
				contentEl : 'form',
				// 是否激活重置事件（默认false）
				// 单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
				resettable : false,
				// 校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
				msgTarget : 'tips'
			});
			// 实例化下拉
			dropDownList = new Fw.DropDownList({
				result : data,
				displayNo : false,
				displayName : 'option',
				cursorBtn : false,
				disableFieldValue : '1'
			});
			// 实例化下拉
			dropDownList1 = new Fw.DropDownList({
				// 必须参数：结果集
				result : data,
				displayNo : false,
				displayName : 'option',
				cursorBtn : false,
				disableFieldValue : '1'
			});
			// 初始化事件
			this.initEvents();
		},
		/**
		 * 初始化显示步骤页面
		 */
		initPage : function(num) {
			if (num == 1) {
				 //下一步 
        	    $('#head').hide();
        	    $('#ui-b').show();
        	    $('#ui-b1').hide();
        	    $('#ui-b2').show();
        	    $('#ui-b3').hide();
			} else if (num == 2) {
				 //下一步 
        	    $('#head').hide();
        	    $('#ui-b').hide();
        	    $('#ui-b1').show();
        	    $('#ui-b2').hide();
        	    $('#ui-b3').show();
			} else if (num == 3) {
				//确定
	        	 $('#ui-b').hide();
	        	 $('#ui-b1').hide();
	        	 $('#head').show();
	        	 $('#ui-b2').hide();
	        	 $('#ui-b3').hide();
			}
		},
		/**
		 * 初始化步骤组件
		 */
		initStep : function() {
			var data = [ {
				name : '分期信息'
			}, {
				name : '确认信息'
			}, {
				name : '分期成功'
			} ];
			step = new Fw.Steps({
				contentEl : 'step',
				data : data
			});
		},
		// 查询信用卡下拉框
		queryCard : function() {
			Fw.util.Ajax.get({
				//socketAdapter : 'accountService/queryAccount',
				service : 'accountService.getAccount',
				// 数据源（服务接口）
				// 请求参数
				params : {
					type : "1",//信用卡
					
				},
				// 是否使用数据挡板（默认false）
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					if (Fw.isEmpty(data)||data.List.length==0) {
						Fw.Msg.cfm('您当前未加挂信用卡账户，是否立即加挂？', function(code, btn, win) {
							 if(code=="yes"){
								 if(Fw.isTouch){
	                    				Fw.device.Device.getMenuPower("账户管理", "M050200", "App.gotoAcManage");
	                    			}else{
	                    				if(powerData.zhgl=="T"){
	                    					var url = Fw.getBasePath();
	                                    	Fw.redirect(url+'/page/pub/account/add/main.html',{aimUrl:"/page/pub/creditCardStaging/cashInstalment/main.html"});
	                    				}else{
	                    					Fw.Msg.info("尊敬的客户，由于系统升级，该功能暂时停用，给您造成的不便，敬请谅解，具体开启时间请关注我行公告。");
	                    					return ;
	                    				}
	                    			}
							 }else{
								 if(Fw.isTouch){
									 Fw.gotoIndex()
								 }else{
									 Fw.redirect(Fw.getBasePath()+"/page/pageMenu/moreMenu.html");
								 }	
							 }	
						});
					}else{
					//开户行
					var openBank=data.List[0].option;
					//卡号
					AcNo=data.List[0].No;
                    //卡号第一位（格式化） 
					accountNo=Fw.util.Format.fmtAcctNoSe(data.List[0].No)
					//判断是否是普惠金融卡
						form.setValues({
							select : openBank,
						})
					App.data= data.List;
					//查询借记卡
					App.queryCard1();
					//查询现金分期可用余额
					App.queryOption();
					
					}
				}
			});
		},
		gotoAcManage:function(data){
			if(data=="T"){
				var url = Fw.getBasePath();
            	Fw.redirect(url+'/page/pub/account/add/main.html',{aimUrl:"/page/pub/creditCardStaging/cashInstalment/main.html"});
			}else{
				Fw.Msg.info("尊敬的客户，由于系统升级，该功能暂时停用，给您造成的不便，敬请谅解，具体开启时间请关注我行公告。");
				return ;
			}
		},
		queryCard1:function(){
			Fw.util.Ajax.get({
				//socketAdapter : 'accountService/queryAccount',
				service : 'accountService.getAccount',
				// 数据源（服务接口）
				// 请求参数
				params : {
					type : "2",//动账借记卡
				},
				// 是否使用数据挡板（默认false）
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					if (Fw.isEmpty(data)||data.List.length==0) {
						Fw.Msg.info('您的账户无转账权限功能，请至我行任一网点开通', function() {
								 if(Fw.isTouch){
									 Fw.gotoIndex();
								 }else{
									 Fw.redirect("../ifep/page/pageMenu/creditCardStaging.html");
								 }	
						});
					}else{
					//开户行
					var openBank=data.List[0].option;
					//卡号
					peeAcNo=data.List[0].No;
					//获取用户名
					peeName=data.List[0].Name;
					//获取转账行
					deptSeq=data.List[0].DeptSeq;
					//卡号格式化
					accountNo1=Fw.util.Format.fmtAcctNoSe(data.List[0].No)
					form.setValues({
						select1 : openBank,
					})
					App.data1 = data.List;
					}
					// 手动隐藏等待层
					Fw.LoadMask.hide();
				}
			});
		},
		// 查询现金分期可用额度
		queryOption : function(data) {
            if(Fw.isEmpty(data)){
            	data={
            			no:AcNo,
            	}
            } 
			// 查询数据
	       Fw.util.Ajax.query({
				socketAdapter : 'creditCardService/executeCashMoney',
				// 数据源（服务接口）
				// 请求参数
				params : data,
				// 是否使用数据挡板（默认false）
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					var cashTermAvailLimit=data.CashTermAvailLimit;
					var cashAmt=Number(data.CashTermAvailLimit);
					//判断可用额度为0或者未开通现金分期
					if(cashAmt==0 || Fw.isEmpty(cashAmt)){
						Fw.Msg.info("当前信用卡无可分期额度，请重新选择",function(){});
					}
					$('#repayedAmt').html(Fw.util.Format.fmtAmt(cashTermAvailLimit));
				}
			});
		},

		/**
		 * 初始化事件
		 */
		initEvents : function() {
			$('#prev-btn').on('click', Fw.bind(this.onNextStep, this));
			$('#next-btn').on('click', Fw.bind(this.onNextStep, this));
			// 触发提交事件前（校验前）触发
			form.on('beforesubmit', this.beforeSubmit, this);
			// form.submit()成功时触发
			form.on('submit', this.doSubmit, this);
			// 选择下拉1
			$('.sele').on('click', Fw.bind(this.select1Click));
			// 选择下拉2
			$('.sele1').on('click', Fw.bind(this.select2Click));
			//下拉列表1
			dropDownList.on('itemClick', Fw.bind(this.item1Click, this));
			//下拉列表2
			dropDownList1.on('itemClick', Fw.bind(this.item2Click, this));
			// 点击按钮时触发（上一步、下一步）
			// 选择期数展现
			$('#math').on('click', Fw.bind(this.selectWindowClick, this));
		},
		moneyClick:function(){
			var m = Fw.util.Format.unFmtAmt($("#money").val());
			//保留小数点后的0
			var v=$("#money").val().trim()+"";
	    	if(v.indexOf("¥")==0){
	    	   v=v.substring(1,v.length);
	    	}
	    	v=v.replaceAll(",","");
	    	var money;
	    	if(v.indexOf('.')>11){
				money = v.slice(0,v.indexOf('.')-1)+v.slice(v.indexOf('.'), v.length);
			}else{
				money = v.slice(0,v.length-1);
			}
			if(!/^[0-9]+\.?(\d{2})?$/.test(v)){
				if(/^(([1-9]\d*)|0)(\.\d+)?$/.test(v)){
					if((v.length-v.indexOf('.')-1)>2){
						$("#money").val(money).change();
					}
				}else{
					$("#money").val($("#money").val().slice(money)).change();
				}
			}else{
				if(!/^[0-9]{1,11}([.][0-9]{1,2})?$/.test(m)){
 					$("#money").val(money).change();
				}
			}
		},
		/**
		 * 触发点击事件
		 */
		selectWindowClick : function(e) {
			// 判断金额是否为空
			if ($('#money').val() != "") {
				money = Number(Fw.util.Format.unFmtAmt($('#money').val())).toFixed(2);
				// 查询期数、利率
				this.queryData();
			} else {
				Fw.Tips.info('请先输入分期金额', function() {
				});
			}
		},
		/**
		 * 查询利率数据
		 */
		queryData : function() {
			//
			Fw.util.Ajax.execute({
				// 数据源（自定以URL）
				service : 'creditCardService/executePeriods',
				// 数据源（服务接口）
				// 请求参数
				params : {
					stageType:'2',
					"money":money,
				},
				// 是否使用数据挡板（默认false）
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					// 初始化窗体
					ratelist=data.List;
					if(Fw.isTouch){
						//客户端方法
						Fw.device.Device.rateControl(ratelist,'App.rate');
					}else{
						// PC端初始化利率窗体
						App.initSelectWindow(ratelist);
					}
				}
			});
		},
		//客户端回调
		rate : function(perRate,money,periods){
			if(!Fw.isEmpty(periods)){
				$('#math').val(periods + "期");
				stageNumber=periods;
			}
		},
		/**
		 * 分期数据拼接
		 */
		initSelectWindow : function(data) {
			// 实例化窗体
			selectPayeeWindow = new Fw.SelectWindow(
					{
						// 必须参数，数据集
						data : data,
						// 可配置参数自定义模板，否则使用默认
						itemTpl : [
								'<div style="borde:0px;margin-right:15px;text-align:center;">',
								'<div style="float:left;width:30%;color:#999;">${item.StageNumber}</div>',
								'<div style="float:left;width:30%;color:#999;">${item.Percent}</div>',
								'<div style="float:left;width:40%;color:#999;">${item.perMoney}</div>', '</div>', ],
						// 自定义标题模板
						headerTpl : [
								'<div style="borde:0px;;margin-right:15px;text-align: center;">',
								'<div style="float:left;width:30%;">期数</div>',
								'<div style="float:left;width:30%;">利率</div>',
								'<div style="float:left;width:40%;">费用</div>',
								'</div>', ],
						// 可配置参数，标题，默认"请选择"
						title : '请选择期数',
						// 可配置参数，是否多选,默认false
						// checkbox: true,
						// 可配置参数，选择完成后是否自动关闭选择框，默认true
						// autoClose: false,
						// 是否显示查询框，默认true
						search : false
					// 可配置参数：搜索文本框提示文字
					// searchPlaceholder:'搜索电力公司',
					// 可配置参数,宽
					// width: 500,
					// 可配置参数,高
					// height: 400
					});
			// 窗口展示
			selectPayeeWindow.showSelectWindow();
			// 弹出窗口完成事件（赋值）
			selectPayeeWindow.on('submit', Fw.bind(this.selectSubmit, this));
		},
		/**
		 * 选择框完成事件
		 */
		selectSubmit : function(e, data) {
			// 打印选择值
		    stageNumber = data[0].StageNumber;
			$('#math').val(stageNumber + "期");
		},
		 /**
         * 点击下一步触发
         */
        onNextStep: function(){
        	if(stepNum == 1) {
	        	form.submit();
        	} else if(stepNum == 2) {
	        	this.submit();
        	}
        },
		/**
		 * 监听select事件
		 */
		item1Click : function(data, index) {
			//开户行
			var openBank1=data.option;
			AcNo=data.No;
			accountNo=Fw.util.Format.fmtAcctNoSe(data.No)
			//页面回显卡号	
			form.setValues({
					select : openBank1
				});
			var params={
				no:	AcNo	
			};
			App.queryOption(params);
			//重置为空
			$('#money').val("");
			$('#math').val("");
		},
		item2Click : function(data, index) {
			//开户行
			var openBank2=data.option;
			//卡号
			peeAcNo=data.No;
			//获取用户名
			peeName=data.Name;
			//获取转账行
			deptSeq=data.DeptSeq;
			accountNo1=Fw.util.Format.fmtAcctNoSe(data.No)
			form.setValues({
				select1 :openBank2
			});
			//重置为空
			$('#money').val("");
			$('#math').val("");
		},
		/**
		 * 显示组件
		 */
		select1Click : function() {
			// 显示组件
			// 1.直接显示
			// dropDownList.show();
			// 2.显示时传入值
			dropDownList.show(App.data);
		},
		/**
		 * 显示组件
		 */
		select2Click : function() {
			// 显示组件
			// 1.直接显示
			// dropDownList.show();
			// 2.显示时传入值
			dropDownList1.show(App.data1);
		},
		/**
		 * 
		 */
		beforeSubmit : function(values) {
		},
		/**
		 * 提交表单
		 */
		doSubmit : function(values) {
			var repayedAmt = Fw.util.Format.unFmtAmt($('#repayedAmt').text());
			Amount = Fw.util.Format.unFmtAmt($('#money').val());
			if (Amount == 0) {
				Fw.Tips.info('现金分期金额不能为0', function() {
				});
				return;
				// 不能大于可分期金额
			}
			if ($("#math").val().trim() == "") {
				Fw.Tips.info('请选择申请期数', function() {
				});
				return;
			}
			if (Amount < 2000) {
				Fw.Tips.info('现金分期金额不能低于2000元', function() {
				});
				return;
			}
			if(repayedAmt < Amount) {
				Fw.Tips.info('分期金额不得高于分期额度', function() {
				});
			  return;
			}
			
			// 判断借记卡状态
//			Fw.util.Ajax.query({
//				socketAdapter : 'balanceQueryService/executeAccountBalance',
//				// 请求参数
//				params : {
//					No : peeAcNo,
//					PwdCheckFlag : '2',
//				},
//				// 是否自动显示等待层（默认true）
//				// 允许自定义等待层提示信息（loadMask: '请稍后...'）
//				// loadMask: true,
//				staticData : false,
//				// 请求成功后回调
//				success : function(data, result) {
//					// 判断账户是否正常
//					if(!Fw.isEmpty(data.SealLossStatus)){
//						if(data.SealLossStatus!="0"){
//							Fw.Msg.info('转入账号异常，请重新选择转入账户。', function() {
//							});
//							return;
//						}
//					}
//					if(!Fw.isEmpty(data.FreezeReasonFlag)){
//						if(data.FreezeReasonFlag!="0"){
//							Fw.Msg.info('转入账号异常，请重新选择转入账户。', function() {
//							});
//							return;
//						}
//					}
//					if (data.AcctLockFlag=="0"&&data.PasswordLossStatus == "0"&& data.CertLossStatus == "0"&& data.AcctState == "0"&& data.ExistStatus=="0" && data.CardExistStatus=="0" && data.ChangeCardFlag =="0"&& data.ConfiscateCardFlag=="0"&&data.AcceptNopayBlockedFlag=="0") {
//					     
//					} else {
////						console.log(data.AcctLockFlag+"  "+data.PasswordLossStatus +"  "+data.CertLossStatus +"  "+ data.AcctState +"  "+data.ExistStatus+"  "+ data.CardExistStatus+"  "+ data.ChangeCardFlag+"  "+ data.ConfiscateCardFlag+"  "+data.AcceptNopayBlockedFlag)
//						Fw.Msg.warn('转入账号异常，请重新选择转入账户。', function() {
//						});
//					}
//				},
//			});
			App.cashM();
			
		},
		cashM:function(){
			//现金分期试算
			Fw.util.Ajax.query({
				  socketAdapter:'creditCardService/executePubMath',
				// 数据源（服务接口） // 请求参数
				params : {
					termName:'现金分期',
					termType:'4',
					termNum:stageNumber,
					Amount:Amount,
					ccy:'156',
					reservField:'54165'
				},
				// 是否使用数据挡板（默认false）
				staticData : false,
				// 请求成功后回调
				success : function(data, result) { 
					//账单分期查询成功跳转
					App.showForm(data);
					//卡号回显
					$('#accountNo').html(accountNo);
					$('#accountNo1').html(accountNo1);
					App.initPage(++stepNum);
					step.nextStep();
				}
			});
		},
		/**
		 * 点击确定时触发  
		 * 现金分期申请
		 */
		submit:function(){
				Fw.util.Ajax.query({
					socketAdapter : 'creditCardService/queryUseable',
					// 数据源（服务接口）
					// 请求参数
					params : {
						//creditCardNo:'6228029880094109''6228020010449107',//贷记卡卡号
						AcNo:AcNo,
						pwdCheckFlag:'0',//密码标识
						operationType:'0',//查询类型：申请
						creditPlanNo:'0002',//查询类型
						termNum:stageNumber,//申请期数
						Amount:Amount,//申请金额
						peeAcNo:peeAcNo/*'6221272702001679339'*/,//转账卡卡号
						peeName:peeName/*'隽嘉姗'*/,//转账卡户名
						transferCardBranch:deptSeq/*'902041001'*///转账卡所属行
					},
					// 是否使用数据挡板（默认false） 
					staticData : false,
					// 请求成功后回调
					success : function(data, result) {
						App.initPage(++stepNum);
						step.nextStep();
					}
				});
		},
		/**
		 * 回显数据
		 */
		showForm : function(data) {
			var items = $('#content').find('[data-name]');
			var name = '', el;
			items.each(function(index, item) {
				el = $(item);
				name = el.attr('data-name');
				// 账单分期金额格式化
				if (name == "TermAmt") {
					data[name] = Fw.util.Format.fmtAmt(data[name]);
					el.html(data[name]);
					return;
				}
				//分期期数
				if (name == "TermNum") {
					data[name] =data[name]+"期";
					el.html(data[name]);
					return;
				}
				//首期应还
				if (name == "FirstMonRepayAmt") {
					data[name] = Fw.util.Format.fmtAmt(data[name]);
					el.html(data[name]);
					return;
				}
				//每月应还
				if(name == "MonthlyRepayAmt"){
					data[name] = Fw.util.Format.fmtAmt(data[name]);
					el.html(data[name]);
					return;
				}
			});
		},
		/**
		 * 左边按钮点击事件
		 */
		leftButtonHandler : function() {
			if(stepNum == 2) {
        		App.initPage(--stepNum);
        		step.prevStep();
        	}else if(stepNum == 3){
        		stepNum=1;
        		Fw.redirect('main.html')
        	}else {
        		if(Fw.isTouch){
    				Fw.device.Device.gotoIndex();
    				}else{
    					Fw.redirect(Fw.getBasePath()+"/page/pageMenu/moreMenu.html");
    				}
        	}
		},
	};
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
