/**
 * 创建应用
 */
var App = function() {
	var powerData = Fw.util.Storage.get('powerData');
	powerData = Fw.decode(powerData);
	var form,stageNumber,dropDownList,selectPayeeWindow,data;
	var ratelist,accountNo,money,step,Amount,AcNo,cardType;
	var stepNum = 1;
	var record=Fw.getParameters()||{};
	return {
		/**
		 * 依赖组件
		 */
		requires : [ 'Fw.Steps', 'Fw.Form', 'Fw.DropDownList',//安全键盘
		             'Fw.Keyboard','Fw.SelectWindow' ],
		/**
		 * 视图设置 设置标题栏、按钮等 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
		 */
		viewConfig : {
			/**
			 * 标题栏标题 如果为空或未设置，则标题栏不显示、左右按钮不显示
			 */
			title : '账单分期',
			/**
			 * 左边按钮（默认显示） 如果为false，则左边按钮不显示 leftButton: '左边按钮'
			 */
			leftButton : {
			},
		},
		/**
		 * 初始化 应用入口
		 */
		init : function(require) {
			// 初始化显示步骤页面
			App.initPage(stepNum);
			// 初始化步骤组件
			this.initStep();
			// 查询分期数据
			// 查询信用卡下拉框
			this.queryCard();
			// 定义表单
			form = new Fw.Form({
				// EL
				contentEl : 'form',
				// 是否激活重置事件（默认false）
				// 单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
				resettable : false,
				// 校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
				msgTarget : 'tips'
			});
			// 实例化下拉
			dropDownList = new Fw.DropDownList({
				// 必须参数：结果集
				result : data,
				displayNo : false,
				displayName : 'option',
				cursorBtn : false,
				disableFieldValue : '1'
			});
			// 初始化事件
			this.initEvents();
		},
		/**
		 * 初始化显示步骤页面
		 */
		initPage : function(num) {
			if (num == 1) {
				// 下一步
				$('#head').hide();
				$('#ui-b').show();
				$('#ui-b1').hide();
				$('#ui-b2').show();
				$('#ui-b3').hide();
			} else if (num == 2) {
				// 下一步
				$('#head').hide();
				$('#ui-b').hide();
				$('#ui-b1').show();
				$('#ui-b2').hide();
				$('#ui-b3').show();
			} else if (num == 3) {
				// 确定
				$('#ui-b').hide();
				$('#ui-b1').hide();
				$('#head').show();
				$('#ui-b2').hide();
				$('#ui-b3').hide();
			}
		},
		/**
		 * 初始化步骤组件
		 */
		initStep : function() {
			var data = [ {
				name : '分期信息'
			}, {
				name : '确认信息'
			}, {
				name : '分期成功'
			} ];
			step = new Fw.Steps({
				contentEl : 'step',
				data : data
			});
		},
		// 查询信用卡下拉框
		queryCard : function() {
			Fw.util.Ajax.get({
				//socketAdapter : 'accountService/queryAccount',
				service : 'accountService.getAccount',
				// 数据源（服务接口）
				// 请求参数
				params : {
						type:'1',
				},
				// 是否使用数据挡板（默认false）
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					if (Fw.isEmpty(data)||data.List.length==0) {
						Fw.Msg.cfm('您当前未加挂信用卡账户，是否立即加挂？', function(code, btn, win) {
							 if(code=="yes"){
								 if(Fw.isTouch){
	                    				Fw.device.Device.getMenuPower("账户管理", "M050200", "App.gotoAcManage");
	                    			}else{
	                    				if(powerData.zhgl=="T"){
	                    					var url = Fw.getBasePath();
	                                    	Fw.redirect(url+'/page/pub/account/add/main.html',{aimUrl:"/page/pub/creditCardStaging/checkInstalment/main.html"});
	                    				}else{
	                    					Fw.Msg.info("尊敬的客户，由于系统升级，该功能暂时停用，给您造成的不便，敬请谅解，具体开启时间请关注我行公告。");
	                    					return ;
	                    				}
	                    			}
							 }else{
								 if(Fw.isTouch){
									 Fw.gotoIndex()
								 }else{
									 Fw.redirect(Fw.getBasePath()+"/page/pageMenu/moreMenu.html");
								 }
							 }	
						});
					}else{
						 if(Fw.isEmpty(record.flag)){
							//开户行
							var openBank=data.List[0].option;
							//卡号
							AcNo=data.List[0].No;
							//判断是否是普惠卡
							cardType=data.List[0].CardType;
							//卡号格式化
							accountNo=Fw.util.Format.fmtAcctNoSe(data.List[0].No);
							form.setValues({
								select : openBank,
							});
							App.data = data.List;
							//查询账单金额
							App.queryOption();
						}else{
							 AcNo=record.acNo;	
							 Fw.each(data.List,function(item){
	            				if(Fw.isEqual(item.No, record.acNo)){
	            					var openBank=item.option;
	            					form.setValues({
	        							select : openBank,
	        						});
	            					App.data = data.List;
	            					//查询账单金额
	        						App.queryOption();
	            				}
	            			});
						}	
				}
				}
			});
		},
		gotoAcManage:function(data){
			if(data=="T"){
				var url = Fw.getBasePath();
            	Fw.redirect(url+'/page/pub/account/add/main.html',{aimUrl:"/page/pub/creditCardStaging/checkInstalment/main.html"});
			}else{
				Fw.Msg.info("尊敬的客户，由于系统升级，该功能暂时停用，给您造成的不便，敬请谅解，具体开启时间请关注我行公告。");
				return ;
			}
		},
		// 根据卡号回显数据
		queryOption : function(data) {
			if(Fw.isEmpty(data)){
				data ={
						//accountNo : '6228029880094109',
						//accountNo : '6228020010449107',
						AcNo :AcNo,
						ccy : 'L',
						pwdCheckFlag : '0',
					};
			}
			Fw.util.Ajax.query({
				// service : 'creditCardService.queryUseable',
				socketAdapter : 'creditCardService/executeMoney',
				// 数据源（服务接口）
				// 请求参数
				params :data,
				// 是否使用数据挡板（默认false）
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
						App.showForm(data);
						App.showPay();
				},
			  //请求错误后回调
             failure: function(status, textStatus, error) {
            	 if(error=="卡系统:无该卡片的帐单记录"){
            		 Fw.Msg.info("当前信用卡无可分期额度，请重新选择",function(){
            		 })
            		 $('#currentBillAmt').html("无账单信息");
            		 $('#repayedAmt').html("无账单信息");
            	 }
            }	
			});
		},
		/**
		 * 初始化事件
		 */
		initEvents : function() {
			$('#prev-btn').on('click', Fw.bind(this.onNextStep, this));
			$('#next-btn').on('click', Fw.bind(this.onNextStep, this));
			// form.submit()成功时触发
			form.on('submit', this.doSubmit, this);
			// 选择下拉1
			$('.sele').on('click', Fw.bind(this.select1Click));
			// 下拉列表1
			dropDownList.on('itemClick', Fw.bind(this.item1Click, this));
			// 选择期数展现
			$('#mClick').on('click', Fw.bind(this.selectWindowClick, this));
		},
		moneyClick:function(){
			var m = Fw.util.Format.unFmtAmt($("#money").val());
			//保留小数点后的0
			var v=$("#money").val().trim()+"";
	    	if(v.indexOf("¥")==0){
	    	   v=v.substring(1,v.length);
	    	}
	    	v=v.replaceAll(",","");
	    	var money;
	    	if(v.indexOf('.')>11){
				money = v.slice(0,v.indexOf('.')-1)+v.slice(v.indexOf('.'), v.length);
			}else{
				money = v.slice(0,v.length-1);
			}
			if(!/^[0-9]+\.?(\d{2})?$/.test(v)){
				if(/^(([1-9]\d*)|0)(\.\d+)?$/.test(v)){
					if((v.length-v.indexOf('.')-1)>2){
						$("#money").val(money).change();
					}
				}else{
					$("#money").val($("#money").val().slice(money)).change();
				}
			}else{
				if(!/^[0-9]{1,11}([.][0-9]{1,2})?$/.test(m)){
 					$("#money").val(money).change();
				}
			}
		},
		/**
		 * 查询本期未还账单金额
		 */
		showPay:function(){
			Fw.util.Ajax.query({
				// 数据源（自定以URL）
				// url:
				// '/data/demo1Service/XXX.json',
				// 数据源（服务接口）
				socketAdapter : 'creditCardManageService/executeMCCreditAccountInfoQry',
				// service:
				// 'balanceQueryService.executeAccountBalance',
				// 请求参数
				params : {
					AcNo : AcNo,
					pwdCheckFlag : '0',
				},
				// 是否自动显示等待层（默认true）
				// 允许自定义等待层提示信息（loadMask: '请稍后...'）
				// loadMask: true,
				// 是否使用数据挡板（默认false）
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					App.nowMonth=data;
					$("#repayedAmt").text(Fw.util.Format.fmtAmt(data.CurRepayAllAmtCny));
					// 手动隐藏等待层
					Fw.LoadMask.hide();
				},
			});
		},
		/**
		 * 触发点击事件
		 */
		selectWindowClick : function(e) {
			// 判断金额是否为空
			if ($('#money').val() != "") {
				money = Number(Fw.util.Format.unFmtAmt($('#money').val())).toFixed(2);
				// 查询期数、利率
				this.queryData();
			} else {
				Fw.Tips.info('请先输入分期金额', function() {
				});
			}
		},
		/**
		 * 查询分期数据
		 */
		queryData : function() {
			Fw.util.Ajax.execute({
				// 数据源（自定以URL）
				service: 'creditCardService/executePeriods',
				// 数据源（服务接口）
				// 请求参数
				params : {
					stageType:'1',
					'money':money,
				},
				// 是否使用数据挡板（默认false）
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					//设置全局变量
					ratelist = data.List;
					//判断是否是触摸设备
					if(Fw.isTouch){
						Fw.device.Device.rateControl(ratelist,'App.rate');
					}else{
						// 初始化窗体
						App.initSelectWindow(ratelist);
					}
				}
			});
		},
		//客户端回调
		rate : function(perRate,money,periods){
			if(!Fw.isEmpty(periods)){
				$('#mClick').val(periods + "期");
				stageNumber=periods;
			}
			
		},
		/**
		 * 分期数据拼接
		 */
		initSelectWindow : function(data) {
			// 实例化窗体
			selectPayeeWindow = new Fw.SelectWindow(
					{
						// 必须参数，数据集
						data : data,
						// 可配置参数自定义模板，否则使用默认
						itemTpl : [ 
								'<div style="borde:0px;margin-right:15px;text-align:center;">',
								'<div style="float:left;width:30%;color:#999;">${item.StageNumber}</div>',
								'<div style="float:left;width:30%;color:#999;">${item.Percent}</div>',
								'<div style="float:left;width:40%;color:#999;">${item.perMoney}</div>', '</div>', ],
						// 自定义标题模板
						headerTpl : [
								'<div style="borde:0px;;margin-right:15px;text-align: center;">',
								'<div style="float:left;width:30%;">期数</div>',
								'<div style="float:left;width:30%;">利率</div>',
								'<div style="float:left;width:40%;">费用</div>',
								'</div>', ],
						// 可配置参数，标题，默认"请选择"
						title : '请选择期数',
						// 可配置参数，是否多选,默认false
						// checkbox: true,
						// 可配置参数，选择完成后是否自动关闭选择框，默认true
						// autoClose: false,
						// 是否显示查询框，默认true
						search : false
					// 可配置参数：搜索文本框提示文字
					// searchPlaceholder:'搜索电力公司',
					// 可配置参数,宽 
					// width: 500,
					// 可配置参数,高
					// height: 400
					});
			// 窗口展示
			selectPayeeWindow.showSelectWindow();
			// 弹出窗口完成事件（赋值）
			selectPayeeWindow.on('submit', Fw.bind(this.selectSubmit, this));
		},
		/**
		 * 选择框完成事件
		 */
		selectSubmit : function(e, data) {
			// 打印选择值
			 stageNumber = data[0].StageNumber;
			$('#mClick').val(stageNumber + "期");
		},
		/**
		 * 点击下一步触发
		 */
		onNextStep : function() {
			if (stepNum == 1) {
				form.submit();
			} else if (stepNum == 2) {
				//申请分期
				this.submit();
			}
		},
		/**
		 * 监听select下拉事件
		 */
		item1Click : function(data, index) {
			//开户行
			var openBank1=data.option;
			//卡号
			AcNo=data.No;
			//判断是否是普惠卡
			cardType=data.CardType;
			//卡号格式化
			accountNo=Fw.util.Format.fmtAcctNoSe(data.No)
			//判断是否是普惠金融卡
				form.setValues({
					select : openBank1
				});
			var params = {
				//accountNo : '6228029880094109',
				//accountNo : '6228020010449107',
				AcNo :AcNo,
				ccy : 'L',
				pwdCheckFlag : '0',
			};
			//重新查询账单金额
			App.queryOption(params);
			var param = {
					AcNo : AcNo,
					pwdCheckFlag : '0',
				};
			App.showPay(param);
			//卡号重置时，金额重置为空
			$('#money').val("");
			$('#mClick').val("");
		},
		/**
		 * 显示组件
		 */
		select1Click : function() {
			// 1.直接显示 2.显示时传入值
			dropDownList.show(App.data);
		},
		/**
		 * 提交表单
		 */
		doSubmit : function(values) {
			var repayedAmt = Fw.util.Format.unFmtAmt($('#repayedAmt').text());
			var m = $('#money').val();
		    Amount = parseFloat(Fw.util.Format.unFmtAmt(m));
			if (Amount == 0) {
				Fw.Tips.info('账单分期金额不能为0', function() {
				});
				return;
			} 
			if ($("#mClick").val() == "") {
				Fw.Tips.info('请选择分期期数', function() {
				});
				return;
			} 
			if (Amount < 600) {
				Fw.Tips.info('您输入的分期金额不足600元，请重新输入', function() {
				});
				return;
			} 
			if (Amount > Number(repayedAmt)) {
				Fw.Tips.info('分期金额不能大于本期未还款额', function() {
				});
				return;
			} 
				//账单分期查询数据（试算）
				Fw.util.Ajax.query({
					  socketAdapter:'creditCardService/executePubMath',
					// 数据源（服务接口） // 请求参数
					params : {
						termName:'账单分期',
						termType:'1',
						termNum:stageNumber,//期数
						Amount:Amount,//金额
						ccy:'156',
						reservField:'54165'
					},
					// 是否使用数据挡板（默认false）
					staticData : false,
					// 请求成功后回调
					success : function(data, result) { 
						//账单分期查询成功跳转
						App.showForm1(data);
						//卡号回显
						$('#accountNo').html(Fw.util.Format.fmtAcctNoSe(AcNo));
						App.initPage(++stepNum);
						step.nextStep();
					}
				});

			},
		/**
		 * 点击确定时触发
		 */
		submit : function() {
			//账单申请
			Fw.util.Ajax.query({
				socketAdapter : 'creditCardService/executeSuccess',
				// 数据源（服务接口） // 请求参数
				params : {
					//creditCardNo:'6228029880094109',
					//creditCardNo :'6228020010449107',
					AcNo :AcNo,     //贷记卡卡号
					pwdCheckFlag:'0',               //密码校验标志
					operationType:'0',              //查询类型 ：申请    
					creditPlanNo:'0004',            //信用卡计划编号：账单分期
					termNum:stageNumber,            //申请期数
					Amount :Amount,                 //分期金额
					ccy:'156',                      //币种
					rrefApplyAmtRate:'0.05',        //金额比例
					reservField:'5465',             //保留字段
				},
				// 是否使用数据挡板（默认false）
				staticData : false,
				// 请求成功后回调
				success : function(data, result) { 
					//账单分期申请成功跳转
					App.initPage(++stepNum);
					step.nextStep();
				},
				  //请求错误后回调
	             failure: function(status, textStatus, error) {
	            	 if(cardType=="1"){
	            		 if(!Fw.isEmpty(error)){
		            		 Fw.Msg.info("专项卡无法办理账单分期业务",function(){
							 })
		            	 }
					  }
	            }	
			});
		},
		/**
		 * 回显数据
		 */
		showForm : function(data) {
			var items = $('#form').find('[data-name]');
			var name = '', el;
			items.each(function(index, item) {
				el = $(item);
				name = el.attr('data-name');
				// 账单分期可用额度格式化
				if (name == "CurrentBillAmt") {
					var m= Number(data[name]);
					if(m<=0){
						data[name]="无欠款";
					}else{
						data[name] = Fw.util.Format.fmtAmt(data[name]);
					}
					el.html(data[name]);
					return;
				}
				//本期账单减去已还款金额（未还账单）
				if(name == "RepayedAmt"){
					var M=Number(Fw.util.Format.unFmtAmt(data["CurrentBillAmt"]));
					if(M<0){
						data[name]=Fw.util.Format.fmtAmt('0');
					}else{
						var Mon = Number(Fw.util.Format.unFmtAmt(data["CurrentBillAmt"]))- Number(data[name]);
						if(Mon<0){
							data[name]=Fw.util.Format.fmtAmt('0');
						}else{
							data[name] = Fw.util.Format.fmtAmt(Mon);
						}
					}
					el.html(data[name]);
					return;
				}
			});
		},
		/**
		 * 回显数据
		 */
		showForm1 : function(data) {
			var items = $('#content').find('[data-name]');
			var name = '', el;
			items.each(function(index, item) {
				el = $(item);
				name = el.attr('data-name');
				// 账单分期金额格式化
				if (name == "TermAmt") {
					data[name] = Fw.util.Format.fmtAmt(data[name]);
					el.html(data[name]);
					return;
				}
				//分期期数
				if (name == "TermNum") {
					data[name] =data[name]+"期";
					el.html(data[name]);
					return;
				}
				//首期应还
				if (name == "FirstMonRepayAmt") {
					data[name] = Fw.util.Format.fmtAmt(data[name]);
					el.html(data[name]);
					return;
				}
				//每月应还
				if(name == "MonthlyRepayAmt"){
					data[name] = Fw.util.Format.fmtAmt(data[name]);
					el.html(data[name]);
					return;
				}
			});
		},
		/**
		 * 左边按钮点击事件（返回）
		 */
		leftButtonHandler : function() {
			if (stepNum == 2) {
				App.initPage(--stepNum);
				step.prevStep();
		 	} else if (stepNum == 3) {
				Fw.redirect('main.html')
			} else {
				if(Fw.isTouch){
					Fw.device.Device.gotoIndex();
				}else{
					if(record.flag=="1"){
						Fw.redirect(Fw.getBasePath()+"/page/pc/myDebt/myCreditCard.html",record);
					}else{
						Fw.redirect(Fw.getBasePath()+"/page/pageMenu/moreMenu.html");
					}
				}
			}
		},
	};
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
