/**
 * 创建应用
 */
var App = function() {
	
	var accont = Fw.getParameters();
	var data2=[];			// 保存再次评估返回的信息
    var form;
    var score=0;
    return {
        /**
         * 依赖组件
         */
        requires: [
          	//表单
           'Fw.Form','Fw.app.Session'
        ],
        /**
         * 视图设置
         * 设置标题栏、按钮等
         * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
         */
        viewConfig: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: '客户风险评估',
            /**
             * 左边按钮（默认显示）
             * 如果为false，则左边按钮不显示
             * leftButton: '左边按钮'
             */
            leftButton: {
                //自定义按钮标题（默认'返回'）
                text: '左边按钮',
                //自定义按钮点击事件（默认App.leftButtonHandler）
                //handler: XXX
            },
            /**
             * 右边按钮（默认不显示）
             * rightButton: '右边按钮'
             */
            rightButton:false,/* {
                //按钮标题
                text: '设置表单值',
                //自定义按钮点击事件（默认App.rightButtonHandler）
                //handler: XXX
            },*/
            /**
             * 是否自动显示等待层（默认true）
             * 需手动隐藏等待层
             */
            //loadMask: false
        },
        /**
         * 初始化
         * 应用入口
         */
        init : function(require) {
        	
        	//定义表单
        	this.initform();
         
            //初始化事件
            this.initEvents();
            //手动隐藏等待层
            Fw.LoadMask.hide();
        },
        /**
         * 初始化事件
         * 
         */
        initEvents: function(){
        	//表单值改变时触发（包含文本输入框、多行文本输入框、单选、多选、下拉框）
            form.on('change', this.onChange, this);
            $('#submit-btn1').on('click',Fw.bind(this.btnClick,this));
        },
        //初始化form
        initform:function(){
        	   form = new Fw.Form({
                   //EL
                   contentEl : 'form',
                   //是否激活重置事件（默认false）
                   //单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
                   resettable: false,
                   //校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
                   msgTarget: 'tips'
               });
        },
        /**
         * 表单文本输入框、多行文本输入框输入时触发（不含单选、多选、下拉框）
         * 失去焦点时出发
         * @param {String} 输入框名称
         * @param {Object} 值
         * @param {Object} 旧值
         * @param {Fw.Form} Form组件
         */
        onChange: function(name, value, oldValue, field){
            //Fw.Tips.info(name + ':' + oldValue + '->' + value);
        },
        btnClick:function(e){
        	
        	var flag1=0,flag2=0,flag3=0,flag4=0,flag5=0,flag6=0,flag7=0,flag8=0,flag9=0,flag10=0,flag11=0;
	      	for(var i=0;i<document.getElementsByName("field1").length;i++){
	        	if(document.getElementsByName("field1")[i].checked){
	        		score = document.getElementsByName("field1")[i].value;
	        		flag1=1;
	        	}
        	}
	      	for(var i=0;i<document.getElementsByName("field2").length;i++){
	        	if(document.getElementsByName("field2")[i].checked){
	        		score = score + document.getElementsByName("field2")[i].value;
	        		flag2=1;
	        	}
        	}
	      	for(var i=0;i<document.getElementsByName("field3").length;i++){
	        	if(document.getElementsByName("field3")[i].checked){
	        		score=score + document.getElementsByName("field3")[i].value;
	        		flag3=1;
	        	}
        	}
	      	for(var i=0;i<document.getElementsByName("field4").length;i++){
	        	if(document.getElementsByName("field4")[i].checked){
	        		score=score + document.getElementsByName("field4")[i].value;
	        		flag4=1;
	        	}
        	}
	      	for(var i=0;i<document.getElementsByName("field5").length;i++){
	        	if(document.getElementsByName("field5")[i].checked){
	        		score=score + document.getElementsByName("field5")[i].value;
	        		flag5=1;
	        	}
        	}
	      	for(var i=0;i<document.getElementsByName("field6").length;i++){
	        	if(document.getElementsByName("field6")[i].checked){
	        		score=score + document.getElementsByName("field6")[i].value;
	        		flag6=1;
	        	}
        	}
	      	for(var i=0;i<document.getElementsByName("field7").length;i++){
	        	if(document.getElementsByName("field7")[i].checked){
	        		score=score + document.getElementsByName("field7")[i].value;
	        		flag7=1;
	        	}
        	}
	      	for(var i=0;i<document.getElementsByName("field8").length;i++){
	        	if(document.getElementsByName("field8")[i].checked){
	        		score=score + document.getElementsByName("field8")[i].value;                                                                                                                                         (document.getElementsByName("field8")[i].value);
	        		flag8=1;
	        	}
        	}
	      	for(var i=0;i<document.getElementsByName("field9").length;i++){
	        	if(document.getElementsByName("field9")[i].checked){
	        		score=score + document.getElementsByName("field9")[i].value;
	        		flag9=1;
	        	}
        	}
	      	for(var i=0;i<document.getElementsByName("field10").length;i++){
	        	if(document.getElementsByName("field10")[i].checked){
	        		score=score + document.getElementsByName("field10")[i].value;
	        		flag10=1;
	        	}
        	}
	      	for(var i=0;i<document.getElementsByName("field11").length;i++){
	        	if(document.getElementsByName("field11")[i].checked){
	        		score=score + document.getElementsByName("field11")[i].value;
	        		flag11=1;
	        	}
        	}
	      	if(!flag1){
	      		Fw.Msg.info('题目1未填写', function(){
                });
	      	}else if(!flag2){
	      		Fw.Msg.info('题目2未填写', function(){
                });
	      	}else if(!flag3){
	      		Fw.Msg.info('题目3未填写', function(){
                });
	      	}else if(!flag4){
	      		Fw.Msg.info('题目4未填写', function(){
                });
	      	}else if(!flag5){
	      		Fw.Msg.info('题目5未填写', function(){
                });
	      	}else if(!flag6){
	      		Fw.Msg.info('题目6未填写', function(){
                });
	      	}else if(!flag7){
	      		Fw.Msg.info('题目7未填写', function(){
                });
	      	}else if(!flag8){
	      		Fw.Msg.info('题目8未填写', function(){
                });
	      	}else if(!flag9){
	      		Fw.Msg.info('题目9未填写', function(){
                });
	      	}else if(!flag10){
	      		Fw.Msg.info('题目10未填写', function(){
                });
	      	}else if(!flag11){
	      		Fw.Msg.info('题目11未填写', function(){
                });
	      	}else{
	      		//App.againEstimate();
	      		var showInfo = [];
	      		var cardNews = {
	      				cardNo : accont.accountData.No,
	      				passwordType : 'T',
	      		}
				Fw.device.Device.payControls('AP',showInfo,'App.goResult',{}, cardNews);				//调用客户端的支付控件
	      		
	        }
        },
        
        //获取密码，并校验密码
		goResult : function(record, type, isObject) {
			if(Fw.isEqual(isObject, "false") || !isObject){
        		record = Fw.decode(record);
        	}
			App.againEstimate();
		},
		
        
        //再次评估接口
        againEstimate : function(){
        	var custType = "1";
			var custName = accont.accountData.Name;
			var accountNo = accont.data3.AccountNo;
			var riskAnswer=score;
			var globalType = Fw.app.Session.getIdenttype();
			var globalId =  Fw.app.Session.getIdentno();
      		Fw.util.Ajax.query({
      			socketAdapter : 'financeService/executeAgainEstimate',
				// method: 'query',
				// 数据源（服务接口）
				// 请求参数
				 params: {
					 	'AccountNo' : accountNo,//银行卡号
					 	'AcNo' : accountNo,//银行卡号
	        			'RiskAnswer':riskAnswer,		//试题答案序号
						'CustType' :custType , //客户类型
						'CustName' : custName,  //客户名称
						'GlobalType' : globalType,//证件类型
						'GlobalId' : globalId,	  //证件号码
						
    				 },
				// 是否使用数据挡板（默认false）
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					// 保存再次评估返回的信息
					data2 = data;
					data2.name = custName;
  					data2.accont= accountNo;
  					var date = Fw.util.Format.fmtDate(Fw.getDate(), "yyyy年MM月dd日");// 当天日期格式化
  					data2.time1=date;
  					// 跳转到结果页面
  					Fw.redirect("riskAssessmentInfo.html",data2);
				}
			});
        	
        },
        leftButtonHandler:function(){
    		Fw.redirect("main.html");
        }
       
    };
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
