/**
 * 创建应用
 */
var App = function() {
	var type = Fw.getParameters('type');
	var PCClient = Fw.getParameters('PCClient');
	var MBClient = Fw.getParameters('MBClient');
	if(type == 'PC'){
		$('p').html('PC端登录权限');
		if(PCClient == 1){
			$('.check-img').attr('src', './images/checktrue.png')
		}else{
			$('.check-img').attr('src', './images/checkfalse.png')
			$('#dsq-hd').hide();
			$('#ysq-hd').hide();
		}
		deviceType = 0;
	}
	if(type == 'MB'){
		$('p').html('手机端登录权限');
		if(MBClient == 1){
			$('.check-img').attr('src', './images/checktrue.png')
		}else{
			$('.check-img').attr('src', './images/checkfalse.png')
			$('#dsq-hd').hide();
			$('#ysq-hd').hide();
		}
		deviceType = 1;
	}
	var tpl = [
				'{@each List as item,index}',
				'<div onclick="App.showDropDownListClick(${item|itemString})" class="ui-border-b pc-lg-pw box">',
				'<section style="width: 85%;">',
				'<div>{@if item.DeviceType == "PC"}${item.DeviceName|deviceName}{@else}${item.DeviceType}{@/if}</div>',
				'<div><label>绑定时间：</label><span>${item.DeviceBindTime}</span></div>',
				'</section>',
				'<section>',
				'<div class="oppn">已绑定</div>',
				'</section>',
				'</div>',
				'{@/each}'
		     ];
	var dropDownList;
	var dropData = [
	              {
	            	  id : '2',
	            	  name : '授权'
	              },
	              {
	            	  id : '1',
	            	  name : '删除'
	              }
	       ]
	var dropData1 = [
		              {
		            	  id : '3',
		            	  name : '设为主认证手机'
		              },
		              {
		            	  id : '1',
		            	  name : '删除'
		              }
		       ]
	var dropData2 = [
		              {
		            	  id : '1',
		            	  name : '删除'
		              }
		       ]
    return {
        /**
         * 依赖组件
         */
        requires: [
            'Fw.DropDownList','Fw.app.Session','Fw.PayControls',"Fw.device.Security"
        ],
        /**
         * 视图设置
         * 设置标题栏、按钮等
         * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
         */
        viewConfig: {
            title: '授权管理',
            leftButton: {
            	handler:function(){
                	Fw.redirect("./main.html");
        		}
            },
        },
        /**
         * 初始化
         * 应用入口
         */
        init : function(require) {
        	//实例化下拉
        	dropDownList = new Fw.DropDownList({
        		displayNo: false,
        		displayName: 'name',
        		cursorBtn: false,
        	});
        	this.getDeviceDetail();
        	this.initEvents();
        },
        initEvents : function(){
        	//监听select点击事件
        	dropDownList.on('itemClick',Fw.bind(this.itemClick, this));
        	$('#channel').on('click', Fw.bind(this.channel, this));
        },
        channel : function(){
        	if(PCClient == 1 && type == 'PC' || MBClient == 1 && type == 'MB'){
        		if(Fw.app.Session.getLoginType() == 'MB'){
            		if(Fw.app.Session.getDeviceManager() == '0'){
            			Fw.Msg.info('请登录主认证手机或插入U-key进行操作');
            			return;
            		}
            	}
            	if(Fw.app.Session.getLoginType() == 'PC'){
            		//-----------------------------------------
            		var keyobj = undefined;
					var keyFlag =0;
					
					
					try {
						var haitai = $("#haitai")[0];//('haitai');
						var feitian = $("#feitian")[0];//document.getElementById('feitian');

			            var haistats = haitai.GetUsbkeyState();
						var feistats = feitian.GetUsbkeyState();
						var result = 0;
						if((feistats==4)||(haistats==4)){
							result = 4;
						}else if((feistats==3)&&(haistats==3)){
							result = 4;
						}else if(feistats==3){
							keyobj = feitian;
							result = 3;
						}else if(haistats==3){
							keyobj = haitai;
							result = 3;
						}else if((feistats==2)||(haistats==2)){
							result = 2;
						}	
						keyFlag = result;
			            }catch (err) {
			            	keyFlag = 0;
			               
			            }
					
    				//-----------------------------------------
    				if(keyFlag < 3){
    					Fw.Msg.info('请插入U-key进行操作')
    					return;
    	        	}else if(keyFlag==4){
    	        		Fw.Tips.warn('只允许插入一个U-key');
    					return;
    	        	}
            	}
        		Fw.Msg.cfm('重新开通该渠道的登录权限需到营业柜台办理，您确定关闭？', function(code, btn, win){
                     if(code == 'yes'){
                    	 if(!Fw.isTouch){
                     		var _AuthMode = "U";
                     	}else{
                     		var _AuthMode = "Z";
                     	}
                    	 var recode = {
                                	oprType : '0',
                                	oprClientType : type,
                                	_AuthMode : _AuthMode,
                                	signcontent : {
                                		oprType : '0',
                                    	oprClientType : type,
                                    	_AuthMode : _AuthMode,
                                	}
                             }
         	        		if(!Fw.isTouch){
                				var params =  App.checkUsbKey(recode);
                			}else{
                				var params = {
                                       	oprType : '0',
                                       	oprClientType : type,
                                       	_AuthMode : _AuthMode,
                                    }
                			}
                       	Fw.util.Ajax.execute({
                       		service: 'loginService/executeClientLoginTypeOpr',
                            params : params,
                            success: function(data, result) {
                            	if(type == Fw.app.Session.getLoginType()){
                                	Fw.util.Storage.remove('_CURRENT_SESSION');
                                    Fw.device.Device.gotoLogin();
                                }else{
                                	if(type == 'MB'){
                                		MBClient = 0;
                                	}else{
                                		PCClient = 0;
                                	}
                                	$('.check-img').attr('src', './images/checkfalse.png')
                                	$('#dsq-hd').hide();
                                	$('#ysq-hd').hide();
                                }
                             }
                         });
                      }
            	});
        	}else{
        		Fw.Msg.info('您可通过营业柜台开通该渠道的登录权限');
        	}
        },
        /**
         * 显示组件
         */
        showDropDownListClick: function(data){
        	if(Fw.isTouch){
        		if(Fw.app.Session.getDeviceManager() == '0'){
        			Fw.Msg.info('请登录主认证手机或插入U-key进行操作');
        		}else{
        			if(data == '1'){
                		dropDownList.show(dropData);
                		App.data = App.NoBindList;
                	}else{
                		App.data = data;
                		if(data.DeviceType == 'PC'){
                			dropDownList.show(dropData2);
                		}else{
                			dropDownList.show(dropData1);
                		}
                	}
        		}
        	}else{
        		//-----------------------------------------
        		var keyobj = undefined;
				var keyFlag =0;
				
				
				try {
					var haitai = $("#haitai")[0];//('haitai');
					var feitian = $("#feitian")[0];//document.getElementById('feitian');

		            var haistats = haitai.GetUsbkeyState();
					var feistats = feitian.GetUsbkeyState();
					var result = 0;
					if((feistats==4)||(haistats==4)){
						result = 4;
					}else if((feistats==3)&&(haistats==3)){
						result = 4;
					}else if(feistats==3){
						keyobj = feitian;
						result = 3;
					}else if(haistats==3){
						keyobj = haitai;
						result = 3;
					}else if((feistats==2)||(haistats==2)){
						result = 2;
					}	
					keyFlag = result;
		            }catch (err) {
		            	keyFlag = 0;
		               
		            }
				
				//-----------------------------------------
				if(keyFlag < 3){
					Fw.Msg.info('请插入U-key进行操作')
					return;
	        	}else if(keyFlag==4){
	        		Fw.Tips.warn('只允许插入一个U-key');
					return;
	        	}else{
	        		if(data == '1'){
	            		dropDownList.show(dropData);
	            		App.data = App.NoBindList;
	            	}else{
	            		App.data = data;
	            		if(data.DeviceType == 'PC'){
	            			dropDownList.show(dropData2);
	            		}else{
	            			dropDownList.show(dropData1);
	            		}
	            	}
	        	}
        	}
        	
        },
        /**
         * 监听select点击事件
         */
        itemClick: function(data, index){
        	if(data.id == 1){
        		var msg = "您确认删除该授权信息？"
        	}
        	if(data.id == 2){
        		var msg = "您确认对该设备授权？"
        	}
        	if(data.id == 3){
        		var msg = "您确认将该设备升级为主认证手机？"
        	}
        	Fw.Msg.cfm(msg, function(code, btn, win){
                if(code == 'yes'){
                	App.deviceManager(data.id);
                }
            });
        },
        deviceManager : function(data){
        	if(!Fw.isTouch){
        		var _AuthMode = "U";
        	}else{
        		var _AuthMode = "Z";
        	}
        	var recode = {
        			mobile : App.data.Mobile,
                	deviceName : App.data.DeviceName,
                	devicePcCpuNo : App.data.DevicePcCpuNo,
                	devicePcBordNo : App.data.DevicePcBordNo,
                	deviceNo : App.data.DeviceNo,
                	deviceType : App.data.DeviceType,
                	deviceOs : App.data.DeviceOs,
                	deviceDef : App.data.DeviceDef,
                	bindFlag : data,
                	_AuthMode : _AuthMode,
                   	signcontent : {
                   		mobile : App.data.Mobile,
                    	deviceName : App.data.DeviceName,
                    	devicePcCpuNo : App.data.DevicePcCpuNo,
                    	devicePcBordNo : App.data.DevicePcBordNo,
                    	deviceNo : App.data.DeviceNo,
                    	deviceType : App.data.DeviceType,
                    	deviceOs : App.data.DeviceOs,
                    	deviceDef : App.data.DeviceDef,
                    	bindFlag : data,
                    	_AuthMode : _AuthMode
                   	}
                }
        	if(!Fw.isTouch){
        		App.params = App.checkUsbKey(recode);
        	}else{
        		App.params = {
                    	mobile : App.data.Mobile,
                    	deviceName : App.data.DeviceName,
                    	devicePcCpuNo : App.data.DevicePcCpuNo,
                    	devicePcBordNo : App.data.DevicePcBordNo,
                    	deviceNo : App.data.DeviceNo,
                    	deviceType : App.data.DeviceType,
                    	deviceOs : App.data.DeviceOs,
                    	deviceDef : App.data.DeviceDef,
                    	bindFlag : data,
                    	_AuthMode : _AuthMode,
                    }
        	}
        	var smsParams={
					tranType : '080103', // 080103-互联网银行客户端非转账类交易验证
					// 080104-互联网银行客户端转账交易验证
					payerAcct : "", // 付款账号 交易类型080104-必传
					payeeAcct : "", // 收款账号 交易类型080104-必传
					payeeAcctName : "", // 收款人 交易类型080104-必传
					trsAmount : "",// 交易金额 交易类型080104-必传
					
				}
        	if(data == "2"){
        		Fw.device.Device.payControls("SMS", {},'App.showNotePayType',smsParams,{});
        	}else{
        		App.showNotePayType();
        	}
        },
        showNotePayType : function(){
        	Fw.util.Ajax.get({
            	service: 'loginService/executeDeviceBind',
                params: App.params,
                //请求成功后回调
                success: function(data, result) {
                	Fw.app.Session.refresh();
                	window.location.reload();
                }
            });
        },
        /**
         * 查询数据 
         */
        getDeviceDetail: function(){
            //获取数据
            Fw.util.Ajax.get({
            	service: 'loginService/getDeviceDetail',
                params: {
                	deviceType : deviceType,
                	deviceManager : '0'
                },
                //请求成功后回调
                success: function(data, result) {
                	juicer.register("itemString", function(data){
                		return Fw.encode(data);
                	});
                	juicer.register("deviceName", function(data){
                		return Fw.Security.Base64.decrypt(data);
                	});
                	App.NoBindList = data.NoBindList[0];
                	if(null != data.NoBindList && "" != data.NoBindList){
                		if(data.NoBindList[0].DeviceType == "PC"){
                			$('#deviceName').html(Fw.Security.Base64.decrypt(data.NoBindList[0].DeviceName));
                		}else{
                			$('#deviceName').html(data.NoBindList[0].DeviceType);
                		}
                		$('#bindTime').html(data.NoBindList[0].DeviceBindTime);
                	}else{
                		$('#waitBind').html('<div style="height: 30px;line-height: 40px;font-size: 14px;">暂无待授权设备</div>');
                	};
                	if(data.List != ""){
                		var html = Fw.template(tpl, data);
                		$('#bindList').html(html);
                	}else{
                		$('#bindList').html('<div style="height: 60px;line-height: 60px;font-size: 14px;margin-left: 15px;color: #333;">暂无已绑设备</div>');
                	};
                	//手动隐藏等待层
                    Fw.LoadMask.hide();
                }
            });
        },
        checkUsbKey : function(record){
        	var keyobj = undefined;
			var keyFlag =0;
			
			
			try {
				var haitai = $("#haitai")[0];//('haitai');
				var feitian = $("#feitian")[0];//document.getElementById('feitian');

	            var haistats = haitai.GetUsbkeyState();
				var feistats = feitian.GetUsbkeyState();
				var result = 0;
				if((feistats==4)||(haistats==4)){
					result = 4;
				}else if((feistats==3)&&(haistats==3)){
					result = 4;
				}else if(feistats==3){
					keyobj = feitian;
					result = 3;
				}else if(haistats==3){
					keyobj = haitai;
					result = 3;
				}else if((feistats==2)||(haistats==2)){
					result = 2;
				}	
				keyFlag = result;
	            }catch (err) {
	            	keyFlag = 0;
	               
	            }
			
			
			
			
			if(keyFlag<2){
				var msg = "";
				switch(keyFlag){
				case 1:msg="未检测到U-key驱动程序,请重装应用尝试解决该问题!";break;
				case 0:msg="未检测到U-key控件,请重装应用尝试解决该问题!";break;
				default:msg="应用异常,请重装应用尝试解决该问题!"
				}
				Fw.Msg.info(msg, function(){});
			}else{
				
				if(keyFlag==2){
					Fw.Msg.info('请插入U-KEY', function(){
                           
					});
					return false;
            	}else if(keyFlag==4){
            		Fw.Msg.info('请拔出多余的U-KEY', function(){
                           
					});
					return false;
            	}
			}
			
			$('body').find('#sm_area').remove();
			$('body').append('<p id = "sm_area" style="display:none;"></p>');
			$("#sm_area").html(signObj.createTag());
			
			signObj.getVersion();
			var keyDn ="";
			var keyCN ="";
				var tempDN  = keyobj.getCertInfo();
				if(Fw.isEmpty(tempDN)){
					Fw.Msg.info("U-KEY异常,请至营业网点更换U-key!", function(){});
					return false;
				}
	            var keyDns = tempDN.split("||");
	            record.signcontent=Fw.encode(record.signcontent);
		        record.signcontent=(record.signcontent).substr(1,(record.signcontent).length-2);
		        record.signcontent=new String(record.signcontent).toString();
		        record.signcontent=(record.signcontent).replace(/[¥_\"{}]/g,"");
		        record.signcontent=(record.signcontent).replace(/[\[]/g,"::");
		         record.signcontent=(record.signcontent).replace(/[\]]/g,":::");
		         record.signcontent=(record.signcontent).replace(/[\\]/g,":,:");
	            if(keyDns.length==1){
	            	 keyDn = tempDN;
	            	 keyDn = keyDn.replace("o=","O=");
	            	 Fw.each(keyDn.split(","),function(v){
		            		if(v.indexOf("cn=") != -1){
		            			keyCn = v.replace(" ","").replace("cn=","CN=");
		            		}else if(v.indexOf("CN=") != -1){
		            			keyCn = v.replace(" ","");
		            		}
	            	 });
				        record.certstr = signObj.getSCertInfo(keyCn , 6);
				        record.contentsign = signObj.sSign(keyCn , record.signcontent , 32 );
				        if(Fw.isEmpty(record.contentsign)||/(A){50}/.test(record.contentsign)){
				        	return ;
				        }else if((record.contentsign).indexOf('"message":')!=-1){
				        	var temp = Fw.decode(record.contentsign);
				        	if(temp.code== '2148532332'){
				        		Fw.Msg.info("请至营业网点更换U-key!", function(){
					        		
								});
				        	}else{
					        	Fw.Msg.info(temp.message, function(){
					        		
								});
				        	}
							return false;
				        }
				        record.keyDn=keyCn;
				        $('body').find('#sm_area').remove();
				       
				        var cstr =record.certstr;
				        var sb ="";
				        var len = cstr.length;
						var row = Math.ceil(len/64);
						sb +="-----BEGIN CERTIFICATE-----\n";
						for(var i = 0;i<row-1;i++){
							sb +=cstr.substring(i*64,(i+1)*64);
							sb +="\n";
						}
						sb +=cstr.substring((row-1)*64);
						sb +="\n";
						sb +="-----END CERTIFICATE-----\n";
						record.certstr = sb;
	            }else{
	            	if(Fw.CertClick){
	            		
		            	Fw.each(keyDns,function(v){
		            			keyDn = v.replace(" ","").replace("cn=","CN=");
		            	});
		            	 keyDn = keyDn.replace("o=","O=");
		            	 Fw.each(keyDn.split(","),function(v){
		            		 if(v.indexOf("cn=") != -1){
			            			keyCn = v.replace(" ","");
			            		}else if(v.indexOf("CN=") != -1){
			            			keyCn = v.replace(" ","");
			            		}
		            	 });
		            	
					        record.certstr = signObj.getSCertInfo(keyDn , 6);
					        record.contentsign = signObj.sSign(keyDn , record.signcontent , 32 );
					        
					        
					        if(Fw.isEmpty(record.contentsign)||/(A){50}/.test(record.contentsign)){
					        	return ;
					        }else if((record.contentsign).indexOf('"message":')!=-1){
					        	var temp = Fw.decode(record.contentsign);
					        	if(temp.code== '2148532332'){
					        		Fw.Msg.info("请至营业网点更换U-key!", function(){
						        		
									});
					        	}else{
						        	Fw.Msg.info(temp.message, function(){
						        		
									});
					        	}
								return false;
					        };
					        record.keyDn=keyCn;
					        $('body').find('#sm_area').remove();
					       
					        var cstr =record.certstr;
					        var sb ="";
					        var len = cstr.length;
							var row = Math.ceil(len/64);
							sb +="-----BEGIN CERTIFICATE-----\n";
							for(var i = 0;i<row-1;i++){
								sb +=cstr.substring(i*64,(i+1)*64);
								sb +="\n";
							}
							sb +=cstr.substring((row-1)*64);
							sb +="\n";
							sb +="-----END CERTIFICATE-----\n";
							record.certstr = sb;
	            	}else{
	            		Fw.each(keyDns,function(v){
		            			keyDn = v.replace(" ","").replace("cn=","CN=");
		            	});
		            	 keyDn = keyDn.replace("o=","O=");
		            	 Fw.each(keyDn.split(","),function(v){
		            		 if(v.indexOf("cn=") != -1){
			            			keyCn = v.replace(" ","");
			            		}else if(v.indexOf("CN=") != -1){
			            			keyCn = v.replace(" ","");
			            		}
		            	 });
		            	 	
					        record.certstr = signObj.getCertByProv();//signObj.getSCertInfo(keyDn , 6);
					        record.contentsign = signObj.signByProv(keyDn , record.signcontent , 37 );
					        
					        if(Fw.isEmpty(record.contentsign)||/(A){50}/.test(record.contentsign)){
					        	return ;
					        }else if((record.contentsign).indexOf('"message":')!=-1){
					        	var temp = Fw.decode(record.contentsign);
					        	if(temp.code== '2148532332'){
					        		Fw.Msg.info("请至我行任一网点办理Ukey更换", function(){
						        		
									});
					        	}else{
						        	Fw.Msg.info(temp.message, function(){
						        		
									});
					        	}
								return false;
					        };
					        record.keyDn=keyCn;
					        $('body').find('#sm_area').remove();
					       
					        var cstr =record.certstr;
					        var sb ="";
					        var len = cstr.length;
							var row = Math.ceil(len/64);
							sb +="-----BEGIN CERTIFICATE-----\n";
							for(var i = 0;i<row-1;i++){
								sb +=cstr.substring(i*64,(i+1)*64);
								sb +="\n";
							}
							sb +=cstr.substring((row-1)*64);
							sb +="\n";
							sb +="-----END CERTIFICATE-----\n";
							record.certstr = sb;
	            	}
	            }
	            record.keyDn=(record.keyDn).replace("cn=","CN=");

	            return record;
        }
    };
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
