/**
 * 创建应用
 */
var App = function() {
	var record = Fw.getParameters() || {};
	return {
		/**
		 * 依赖组件
		 */
		requires : [ 'Fw.SmsCountDown', 'Fw.app.Session' ],
		viewConfig : {
			title : '主认证手机设置',
			leftButton : {
				handler : function() {
					if (!Fw.isEmpty(record.Selfregflag)) {
						Fw.redirect("./initLimit.html", record);
					} else {
						Fw.util.Ajax.get({
							service : 'loginService/executeLogout',
							success : function(data, result) {
							}
						});
						Fw.device.Device.gotoLogin();
					}
				}
			},
			loadMask : true,
		},
		/**
		 * 初始化 应用入口
		 */
		init : function(require) {
			App.smsCountDown = new Fw.SmsCountDown();
			
			Fw.device.Device.getAppType("App.getType");

			// 手动隐藏等待层
			Fw.LoadMask.hide();
		},

		getType : function(data){
			data = Fw.decode(data);
			villageFlag=data.app_type;
			if(villageFlag==1){//villageFlag 1代表省联社，2代表村镇
				$('#form').show();
				// 初始化事件
				App.initEvents();
			}else{
				if (Fw.isEmpty(Fw.app.Session.getMoveSign())) {
					$('#form').show();
					// 初始化事件
					App.initEvents();
				} else {
					if (Fw.app.Session.getMoveSign() == "11"&& Fw.app.Session.getIsHasMainDevice() == "0") {
						$('#form').hide();
						$('#submit-btn').on('click', Fw.bind(this.checkUser, this));
						var data = {
							"P00" : "身份证",
							"P01" : "军官证",
							"P02" : "文职干部证",
							"P03" : "警官证",
							"P04" : "士兵军人证",
							"P05" : "中国护照",
							"P06" : "港澳台居民身份证",
							"P07" : "户口簿",
							"P08" : "边民出入境通行证",
							"P09" : "外国人永久居留证",
							"P10" : "临时身份证",
							"P11" : "离休干部荣誉证",
							"P12" : "武警警官证誉证补折",
							"P13" : "台湾居民往来通行证",
							"P14" : "军官退休证",
							"P15" : "文职干部退休证",
							"P16" : "军事院校学员证",
							"P17" : "武警士兵证",
							"P18" : "武警文职干部证",
							"P19" : "武警军官退休证",
							"P20" : "武警文职干部退休证",
							"P21" : "驾驶执照",
							"P22" : "旧身份证",
							"P23" : "外国护照",
							"P24" : "工作证",
							"P25" : "股金过渡证件",
							"P26" : "中华人民共和国旅行证",
							"P27" : "村民委员会居民证",
							"P28" : "个体工商户营业执照(年检)",
							"P29" : "港澳居民往来通行证",
							"P30" : "其他有效旅行证件",
							"P99" : "个人其他",
							"E01" : "组织机构代码证",
							"E02" : "营业执照",
							"E03" : "企业名称核准书",
							"E04" : "政府机构/公共机构批文",
							"E05" : "香港商业登记证",
							"E06" : "开户证明",
							"E07" : "军队开户许可证",
							"E08" : "社会团体证",
							"E09" : "非法人组织机构代码证",
							"E10" : "金融许可证",
							"E11" : "企业（法人）代码证",
							"E12" : "国税登记证",
							"E13" : "地税登记证",
							"E14" : "主管部门的批文或证明",
							"E99" : "企业其他",
						}
						var idType = Fw.app.Session.getIdenttype();
						$('#idType').val(data[idType]);
						var AcList = Fw.app.Session.getAcList();
						var no = AcList[0].No;
						App.no = no;
						$('#card').attr("placeholder","请输入尾号为" + no.substring(no.length - 4, no.length) + "的银行账号");
						$('#form1').show();
					} else {
						$('#form').show();
						// 初始化事件
						App.initEvents();
					}
				}
			}
		},
		
		checkUser : function() {
			if (Fw.isEmpty($('#name').val())) {
				Fw.Tips.info("请输入姓名")
				return;
			}
			if (Fw.isEmpty($('#idNo').val())) {
				Fw.Tips.info("请输入证件号码")
				return;
			}
			if (Fw.isEmpty($('#card').val())) {
				Fw.Tips.info("请输入银行卡号")
				return;
			}
			if(!Fw.isEqual($('#name').val(), Fw.app.Session.getName())){
				Fw.Msg.info("您输入的姓名不符，请重新输入！")
				return;
			}
			if(!Fw.isEqual($('#idNo').val(), Fw.app.Session.getIdentno())){
				Fw.Msg.info("您输入的证件号码不符，请重新输入！")
				return;
			}
			if(!Fw.isEqual($('#card').val(), App.no)){
				Fw.Msg.info("您输入的银行账号不符，请重新输入！")
				return;
			}
			var showInfo = [{
				label : '账号',
				value : Fw.util.Format.fmtAcctNo(App.no, true),
			}];
			var smsParams = {
         			tranType : '080103',  //080103-互联网银行客户端非转账类交易验证       080104-互联网银行客户端转账交易验证
 					payerAcct : '',  // 付款账号 交易类型080104-必传
 					payeeAcct : '',  // 收款账号 交易类型080104-必传
 					payeeAcctName : '', // 收款人  交易类型080104-必传
 					trsAmount  : '' //交易金额   交易类型080104-必传
         	};
			var cardNews = {
					passwordType:'T',//借记卡  T  信用卡  B
					cardNo:App.no,
			}
			Fw.device.Device.payControls('S&AP', showInfo, 'App.bind', smsParams, cardNews);
			
		},

		bind : function(record1, type, isObject){
			Fw.device.Device.getDevice('App.mainDeviceMove');
		},
		
		mainDeviceMove : function(data){
			data = Fw.decode(data);
			Fw.util.Ajax.get({
						service : 'loginService/executeDeviceBind',
						params : {
							deviceName : data.deviceName,
							deviceNo : data.deviceNo,
							deviceType : data.deviceType,
							deviceOs : data.deviceOs,
							deviceDef : data.deviceDef,
							bindFlag : data.bindFlag,
							devicePcCpuNo : "?",
							devicePcBordNo : "?",
							isLoginSet : "1",
							_AuthMode : "Z"
						},
						// 请求成功后回调
						success : function(data, result) {
							Fw.util.Ajax.execute({
								socketAdapter : 'loginService/executeLoginTimesUpdate',
								success : function(data, result) {
								}
							});
							if (record.PwdValidate == "0") {
								Fw.Msg.cfm('您的登录密码已长时间未修改，建议您进行修改',function(code, btn, win) {
													if (code == 'yes') {
														Fw.redirect("../../pub/personalSet/lgPwdUpdate.html",{'loginFlag' : '1'})
													}
													if (code == 'no') {
														Fw.device.Device.gotoLifeStyle();
													}
												});
							} else if (record.IsUpdatePwd == "0") {
								Fw.Msg.cfm('您的登录密码强度较弱，建议您进行修改',function(code, btn, win) {
													if (code == 'yes') {
														Fw.redirect("../../pub/personalSet/lgPwdUpdate.html",{'loginFlag' : '1'})
													}
													if (code == 'no') {
														Fw.util.Ajax.get({
																	service : 'loginService/executeLogout',
																	success : function(data,result) {
																	}
																});
														Fw.device.Device.gotoLogin();
													}
												});
							} else {
								Fw.device.Device.gotoLifeStyle();
							}
						},
						failure : function(status, textStatus, error) {
						
						}
					});
		
		},
		
		/**
		 * 初始化事件
		 */
		initEvents : function() {
			$('#submit-btn').on('click', Fw.bind(this.doSubmit, this));
			$('#smsBtn').on('click', Fw.bind(this.onSMSClick, this));
		},
		/**
		 * 点击发送短信验证码
		 */
		onSMSClick : function(e) {
			// 点击发送验证码按钮
			var contentEl = $(e.currentTarget);
			//
			// 倒计时配置参数
			var config = {
				// 按钮对象
				contentEl : contentEl
			};

			// 短信验证码参数
			var params = {
				tranType : '080103', // 080103-互联网银行客户端非转账类交易验证
										// 080104-互联网银行客户端转账交易验证
										// 080108-互银客户端批量转账
				payerAcct : '', // 付款账号 交易类型080104-必传
				payeeAcct : '', // 收款账号 交易类型080104-必传
				payeeAcctName : '', // 收款人 交易类型080104-必传
				trsAmount : '', // 交易金额 交易类型080104-必传
				trsCount : '' // 交易笔数 交易类型080108-必传
			};
			//
			App.smsCountDown.showSmsCountDown(config, params);
		},
		doSubmit : function(values) {
			if ($('#sms').val() == "") {
				Fw.Tips.info("短信验证码不能为空");
				return;
			}
			if ($('#sms').val().length < 6) {
				Fw.Tips.info("请输入6位短信验证码");
				return;
			}
			Fw.util.Ajax.execute({
				service : 'smsCodeService',
				method : 'executeSmsCode',
				params : {
					dyPassword : $('#sms').val()
				},
				success : function(data, result) {
					if (record.IsHasMainDevice == '0') {
						Fw.device.Device.getDevice('App.mainDevice');
					} else {
						if (!Fw.isEmpty(record.LoFlag)) {
							App.pwdUpdate();
						} else {
							if (!Fw.isEmpty(record.Selfregflag)) {
								App.limitUpdate();
							}
						}
					}
				}
			});
		},
		mainDevice : function(data) {
			data = Fw.decode(data);
			Fw.util.Ajax
					.get({
						service : 'loginService/executeDeviceBind',
						params : {
							deviceName : data.deviceName,
							deviceNo : data.deviceNo,
							deviceType : data.deviceType,
							deviceOs : data.deviceOs,
							deviceDef : data.deviceDef,
							bindFlag : data.bindFlag,
							devicePcCpuNo : "?",
							devicePcBordNo : "?",
							isLoginSet : "1",
							_AuthMode : "Z"
						},
						// 请求成功后回调
						success : function(data, result) {
							record.deviceFlag = 0;
							if (!Fw.isEmpty(record.LoFlag)) {
								if (Fw.isEmpty(record.pwdFlag)
										|| record.pwdFlag == 1) {
									App.pwdUpdate();
								}
							} else {
								if (!Fw.isEmpty(record.Selfregflag)) {
									if (Fw.isEmpty(record.limitFlag)
											|| record.limitFlag == 1) {
										App.limitUpdate();
									}
								} else {
									Fw.util.Ajax.execute({
												socketAdapter : 'loginService/executeLoginTimesUpdate',
												success : function(data, result) {
												}
											});
									if (record.PwdValidate == "0") {
										Fw.Msg.cfm('您的登录密码已长时间未修改，建议您进行修改',function(code, btn, win) {
															if (code == 'yes') {
																Fw.redirect("../../pub/personalSet/lgPwdUpdate.html",{'loginFlag' : '1'})
															}
															if (code == 'no') {
																Fw.device.Device.gotoLifeStyle();
															}
														});
									} else if (record.IsUpdatePwd == "0") {
										Fw.Msg.cfm('您的登录密码强度较弱，建议您进行修改',function(code, btn, win) {
															if (code == 'yes') {
																Fw.redirect("../../pub/personalSet/lgPwdUpdate.html",{'loginFlag' : '1'})
															}
															if (code == 'no') {
																Fw.util.Ajax.get({
																			service : 'loginService/executeLogout',
																			success : function(data,result) {
																			}
																		});
																Fw.device.Device.gotoLogin();
															}
														});
									} else {
										Fw.device.Device.gotoLifeStyle();
									}
								}
							}
						},
						failure : function(status, textStatus, error) {
							record.deviceFlag = 1;
							if (Fw.isEmpty(record.LoFlag)
									&& Fw.isEmpty(record.Selfregflag)) {
								App.failureRedirect();
							}
						}
					});
		},
		pwdUpdate : function(data) {
			Fw.util.Ajax.execute({
				service : 'personalSetService/executeloginIdAndLoginPwdUpdate',
				params : record,
				staticData : false,
				success : function(data, result) {
					record.pwdFlag = 0;
					App.limitUpdate();
				},
				failure : function(status, textStatus, error) {
					record.pwdFlag = 1;
					App.limitUpdate();
				}
			});
		},
		limitUpdate : function() {
			Fw.util.Ajax
					.execute({
						service : 'quotaManagementService/executeMCActTransLimitManager',
						// 请求参数
						params : record,
						staticData : false,
						// 请求成功后回调
						success : function(data, result) {
							record.limitFlag = 0;
							if (record.pwdFlag == 1 || record.deviceFlag == 1) {
								App.failureRedirect();
							} else {
								Fw.util.Ajax
										.execute({
											socketAdapter : 'loginService/executeLoginTimesUpdate',
											success : function(data, result) {
											}
										});
								Fw.device.Device.gotoLifeStyle();
							}
						},
						failure : function(status, textStatus, error) {
							record.limitFlag = 1;
							App.failureRedirect();
						}
					});
		},
		failureRedirect : function() {
			if (!Fw.isEmpty(record.pwdFlag) && record.pwdFlag == 1) {
				Fw.redirect("./initPwd.html", record);
				return;
			}
			if (!Fw.isEmpty(record.limitFlag) && record.limitFlag == 1) {
				Fw.redirect("./initLimit.html", record);
				return;
			}
		}
	};
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
