/**
 * 创建应用
 */
var App = function() {
	var form,idType,ActPerTrsLimit,ActPerDayLimit,ActPerYearLimit,ActPerCountLimit,IdNo;
	var BankActPerDayLimit,BankActPerTrsLimit;
	var actPerTrsLimit,actPerDayLimit;
	var buttons = $('button');
	var record = Fw.getParameters()||{};
	return {
		/**
		 * 依赖组件
		 */
		requires : [
		// 表单
		'Fw.Form', 'Fw.PayControls', 'Fw.app.Session', 'Fw.Keyboard'],
		viewConfig : {
			title : '账户激活',
			leftButton : {
				handler:function(){
					if(!Fw.isEmpty(record.LoFlag)){
						Fw.redirect("./initPwd.html",record);
		        	}else{
		        		Fw.util.Ajax.get({
	                        service: 'loginService/executeLogout',
	                        success: function(data, result) {
	                        }
	                    });
		        		Fw.device.Device.gotoLogin();
		        	}
        		}
			},
			loadMask:true,
		},
		/**
		 * 初始化 应用入口
		 */
		init : function(require) {
			// 定义表单
			form = new Fw.Form({
				// EL
				contentEl : 'form',
				resettable : false,
				msgTarget : 'tips'
			});
				Fw.util.Ajax.query({
					socketAdapter : 'quotaManagementService/queryMCActTransLimitQry',
					// 请求参数
					params : {
						bankAcType : record.BankAcType,// 银行账户类型
						AcNo:record.AcNo//卡号
					},
					staticData : false,
					// 请求成功后回调
					success : function(data, result) {
						idType=data.IdType;
						App.showForm(data);
						//默认限额 
						BankActPerDayLimit=data.BankActPerDayLimit;//日累计
						BankActPerTrsLimit=data.BankActPerTrsLimit;//单笔
						ActPerYearLimit = data.ActPerYearLimit;
						ActPerCountLimit = data.ActPerCountLimit;
						if(!Fw.isEmpty(data.ActPerDaySupLimit)){//如果有超限额字段,取超限额替代原行日累计
							 BankActPerDayLimit=data.ActPerDaySupLimit;
						}
						$('#BankActPerTrsLimit').html(Fw.util.Format.fmtAmt(BankActPerTrsLimit));
						$('#BankActPerDayLimit').html(Fw.util.Format.fmtAmt(BankActPerDayLimit));
						//默认回显数据
						actPerTrsLimit=data.ActPerTrsLimit;
						actPerDayLimit=data.ActPerDayLimit;
						if(!Fw.isEmpty(record.ActPerTrsLimit)){
							$("#one").val(Fw.util.Format.fmtAmt(record.ActPerTrsLimit));
						}
						if(!Fw.isEmpty(record.ActPerDayLimit)){
							$("#two").val(Fw.util.Format.fmtAmt(record.ActPerDayLimit));
						}else{
							$("#one").val(Fw.util.Format.fmtAmt(actPerTrsLimit));
							$("#two").val(Fw.util.Format.fmtAmt(actPerDayLimit));
						}
					}
				});
			// 初始化事件
			this.initEvents();

			// 手动隐藏等待层
			Fw.LoadMask.hide();
		},
		/**
		 * 初始化事件
		 */
		initEvents : function() {
			$('#submit-btn').on('click', Fw.bind(this.doSubmit, this));
			$('#one').on('blur',Fw.bind(this.amountFormat, this));
			$('#two').on('blur',Fw.bind(this.amountFormat2, this));
			Fw.Keyboard.onHidden = function() {
        		var inputVal = Fw.util.Format.fmtAmt($("#one").val());
    			$("#one").val(inputVal);
    			var inputVal1 = Fw.util.Format.fmtAmt($("#two").val());
    			$("#two").val(inputVal1);
				Fw.Keyboard.showKeyboard = true;
			};
			if(!Fw.isTouch){
				$("#one").on('input',Fw.bind(this.formatMoney, this));
				$("#two").on('input',Fw.bind(this.formatMoney2, this));
			}
		},
		amountFormat : function(){
        	$("#one").val(Fw.util.Format.fmtAmt($("#one").val()))
        },
        amountFormat2 : function(){
        	$("#two").val(Fw.util.Format.fmtAmt($("#two").val()))
        },
        formatMoney : function() {
			var m = Fw.util.Format.unFmtAmt($("#one").val());
			//保留小数点后的0
			var v=$("#one").val().trim()+"";
	    	if(v.indexOf("¥")==0){
	    	   v=v.substring(1,v.length);
	    	}
	    	v=v.replaceAll(",","");
	    	var money;
	    	if(v.indexOf('.')>11){
				money = v.slice(0,v.indexOf('.')-1)+v.slice(v.indexOf('.'), v.length);
			}else{
				money = v.slice(0,v.length-1);
			}
	    	money = Fw.util.Format.fmtAmt(money);
			if(!/^[0-9]+\.?(\d{2})?$/.test(v)){
				if(/^(([1-9]\d*)|0)(\.\d+)?$/.test(v)){
					if((v.length-v.indexOf('.')-1)>2){
						console.log(2);
						$("#one").val(money).change();
					}
				}else{
					console.log(3);
					$("#one").val(money).change();
				}
			}else{
				if(!/^[0-9]{1,11}([.][0-9]{1,2})?$/.test(m)){
 					$("#one").val(money).change();
				}
			}
		},
		formatMoney2 : function() {
			var m = Fw.util.Format.unFmtAmt($("#two").val());
			//保留小数点后的0
			var v=$("#two").val().trim()+"";
	    	if(v.indexOf("¥")==0){
	    	   v=v.substring(1,v.length);
	    	}
	    	v=v.replaceAll(",","");
	    	var money;
	    	if(v.indexOf('.')>11){
				money = v.slice(0,v.indexOf('.')-1)+v.slice(v.indexOf('.'), v.length);
			}else{
				money = v.slice(0,v.length-1);
			}
	    	money = Fw.util.Format.fmtAmt(money);
			if(!/^[0-9]+\.?(\d{2})?$/.test(v)){
				if(/^(([1-9]\d*)|0)(\.\d+)?$/.test(v)){
					if((v.length-v.indexOf('.')-1)>2){
						$("#two").val(money).change();
					}
				}else{
					$("#two").val(money).change();
				}
			}else{
				if(!/^[0-9]{1,11}([.][0-9]{1,2})?$/.test(m)){
 					$("#two").val(money).change();
				}
			}
		},
		doSubmit : function(values) {
			 //获取修改信息
			 ActPerTrsLimit=Fw.util.Format.unFmtAmt($('#one').val());
        	 ActPerDayLimit=Fw.util.Format.unFmtAmt($('#two').val());
        	 if(Fw.isEmpty(ActPerTrsLimit)){
        		 Fw.Tips.info("请输入单笔限额");
        		 return;
        	 }
        	 if(Fw.isEmpty(ActPerDayLimit)){
        		 Fw.Tips.info("请输入单日累计限额");
        		 return;
        	 }
        	 if(ActPerTrsLimit > BankActPerTrsLimit){
        		 Fw.Msg.info("您设置的单笔限额超过系统最大可用限额，请重新设置");
        		 return;
        	 }
        	 if(ActPerDayLimit > BankActPerDayLimit){
        		 Fw.Msg.info("您设置的单日累计限额超过系统最大可用限额，请重新设置");
        		 return;
        	 }
        	 if(ActPerTrsLimit > ActPerDayLimit){
        		 Fw.Msg.info("您设置的单笔限额超过单日累计限额，请重新设置");
        		 return;
        	 }
        	 
        	 record.TransferFlag='N';
        	 record.ActPerTrsLimit=ActPerTrsLimit;
        	 record.ActPerDayLimit=ActPerDayLimit;
        	 record.ActPerYearLimit=ActPerYearLimit;
        	 record.ActPerCountLimit=ActPerCountLimit;
        	 record.IdType=Fw.app.Session.getIdenttype();
        	 record.IdNo=Fw.app.Session.getIdentno();
        	 
        	 var smsParams = {
         			tranType : '080103',  //080103-互联网银行客户端非转账类交易验证       080104-互联网银行客户端转账交易验证
 					payerAcct : '',  // 付款账号 交易类型080104-必传
 					payeeAcct : '',  // 收款账号 交易类型080104-必传
 					payeeAcctName : '', // 收款人  交易类型080104-必传
 					trsAmount  : '' //交易金额   交易类型080104-必传
         		};
        	 if(Fw.isTouch){
        		 if(record.IsHasMainDevice == '1'){
        			 Fw.device.Device.payControls('SMS', {}, 'App.onPayControlsSubmit', smsParams, {});
        		 }else{
        			 if(!Fw.isEmpty(record.limitFlag)){
        				 if(record.deviceFlag == 0){
        					 Fw.device.Device.payControls('SMS', {}, 'App.onPayControlsSubmit', smsParams, {});
        				 }
        				 if(record.deviceFlag == 1){
        					 Fw.redirect('./deviceMain.html',record)
        				 }
        	        }else{
        	        	Fw.redirect('./deviceMain.html',record)
        	        }
        		 }
        	 }else{
        		 App.onPayControlsSubmit({}, "", "");
        	 }
        	 
		},
        onPayControlsSubmit: function(record1, type, isObject){
        	if(!isObject){
        		record1 = Fw.decode(record1);
        	}
        	if(!Fw.isEmpty(record.devicesign)){
        		App.deviceManager(record.devicesign);
        	}else if(!Fw.isEmpty(record.LoFlag)){
        		if(!Fw.isEmpty(record.pwdFlag)){
       				 if(record.pwdFlag == 1){
       					App.pwdUpdate();
       				 }else{
       					App.limitUpdate();
       				 }
       	        }else{
       	        	App.pwdUpdate();
       	        }
        	}else{
        		App.limitUpdate();
        	}
        },
        deviceManager : function(dataLg){
        	Fw.util.Ajax.get({
            	service: 'loginService/executeDeviceBind',
                params: dataLg,
                success: function(data, result) {
                	if(!Fw.isEmpty(record.pwdFlag)){
          				 if(record.pwdFlag == 1){
          					App.pwdUpdate();
          				 }else{
          					App.limitUpdate();
          				 }
          	        }else{
          	        	App.pwdUpdate();
          	        }
                }
            });
        },
        pwdUpdate : function(data){
        	Fw.util.Ajax.execute({
				service : 'personalSetService/executeloginIdAndLoginPwdUpdate',
				params : record,
				staticData : false,
				success : function(data, result) {
					record.pwdFlag = 0;
          	        App.limitUpdate();
				},
				failure : function(status, textStatus, error) {
					record.pwdFlag = 1;
					App.limitUpdate();
				}
			});
        },
        limitUpdate : function(){
        	Fw.util.Ajax.execute({
				service : 'quotaManagementService/executeMCActTransLimitManager',
				// 请求参数
				params : record,			
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					record.limitFlag = 0;
					if(!Fw.isEmpty(record.pwdFlag) && record.pwdFlag == 1){
		        		Fw.redirect("./initPwd.html",record);
		        		return;
		        	}
					Fw.util.Ajax.execute({
        				socketAdapter: 'loginService/executeLoginTimesUpdate',
                        success: function(data, result) {
                        	if(Fw.isTouch){
        						Fw.device.Device.gotoLifeStyle();
        					}else{
        						Fw.redirect(Fw.getBasePath() +"/index.html", {'flag' : '1'});
        					}
                        }
                    });
				},
				failure : function(status, textStatus, error) {
					record.limitFlag = 1;
					if(!Fw.isEmpty(record.pwdFlag) && record.pwdFlag == 1){
		        		Fw.redirect("./initPwd.html",record);
		        		return;
		        	}
				}
			}); 
        },
        //回显限额信息
        showForm : function(data) {
			var items = $('#form').find('[data-name]');
			var name = '', el;
			items.each(function(index, item) {
				el = $(item);
				name = el.attr('data-name');
				//金额格式化
				if(name=="ActPerTrsLimit" || name=="ActPerDayLimit" || name=="ActPerYearLimit"){
					data[name] = Fw.util.Format.fmtAmt(data[name]);
					el.html(data[name]);
					return;
				}
			});
		},
	};
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
