/**
 * 创建应用
 */
var App = function() {
	var form;
	var dropDownList;
	var checkWay = "S&AP";// 验证方式
	var record = Fw.getParameters();
	//
	return {
		/**
		 * 依赖组件
		 */
		requires : [ 'Fw.Form',// 表单验证组件
		             'Fw.Keyboard',//安全键盘
		'Fw.app.Session'// session组件
		],
		viewConfig : {
			title : '账户激活',
			leftButton : {
                handler:function(){
        			Fw.device.Device.gotoLogin();
        		}
        	},
		},
		/**
		 * 初始化 应用入口
		 */
		init : function(require) {
			this.initEvents();
			Fw.LoadMask.hide();
		},
		/**
		 * 初始化事件
		 */
		initEvents : function() {
			this.initPage();
			
			if(!Fw.isEmpty(record.LoFlag)){
				$("#NewLoginId").val(record.NewLoginId.substring(9, record.NewLoginId.length-3));
			}
			if (Fw.isPhone) {
				$("input[type=password]").show();
				$("#pwdStrong").show();
			} else {
				this.initPwdInput();
				$("div[id^=_ocx_password]").show();
				$("#pwdStrong").hide();
			}
			$(".kindlyTips").show();
			Fw.util.Ajax.get({
                service: 'passGuardService.getKey',
                success: function(data, result) {
                	Fw.util.Storage.set("WTKey",data.key);
                }
            });
		},
		/**
		 * 登录名修改页面初始化
		 */
		initPage : function() {
			form = new Fw.Form({
				contentEl : 'form',
				resettable : false,
				msgTarget : 'tips'
			});
			form.on('beforesubmit', this.beforeSubmit, this);
			form.on('submit', this.doSubmit, this);
			// 点击按钮时触发（保存、重置、重发验证码）
			$("#submit").tap(Fw.bind(this.onButtonClick, this));
			// 获取登录名
			form.setValues({"NewLoginId":Fw.app.Session.getUserId()});
		},
		/**
		 * 初始化密码控件
		 */
		initPwdInput : function() {
			var PgeOption1 = {
				pgePath : Fw.getBasePath() +"/ocx/",// 控件下载目录，可以指定绝对路径，如"http://www.baidu.com/download/"
				pgeId : "_ocx_password_1",// 控件id
				pgeEdittype : 0,// 控件显示类型,0(星号),1(明文)
				pgeEreg1 : "[\\s\\S]*",// 输入过程中字符类型限制，如"[0-9]*"表示只能输入数字
				pgeEreg2 : "[\\s\\S]{6,12}",// 输入完毕后字符类型判断条件，与pgeditor.pwdValid()方法对应
				pgeMaxlength : 12,// 允许最大输入长度
				pgeTabindex : 2,// tab键顺序
				pgePlaceHolder:"<p style='color:#9A9A9A;direction: ltr;font-family: 微软雅黑;font-size: 14px;'>请输入新登录密码</p>",
 			    pgeDivStyle:"height:41px;line-height:41px;",
				pgeClass : "ocx_style",// 控件css样式
				pgeInstallClass : "ocx_style",// 针对安装或升级的css样式
				pgeOnkeydown : "",// 回车键响应函数，需焦点在控件中才能响应
				tabCallback : "input2",// 火狐tab键回调函数,设置要跳转到的对象ID
				pgeOnfocus:"App.pgeFocus()",//监控光标切入密码控件框
  			    pgeOnblur:"App.pgeBlur()",//监控光标切出密码控件框
				// windows10 edge&Chrome42+相关
				pgeWindowID : "password" + new Date().getTime() + 1,
				pgeRZRandNum : Fw.util.Storage.get("TpgeRZRandNum"),
				pgeRZDataB : Fw.util.Storage.get("TpgeRZDataB")
			};
			var PgeOption2 = {
					pgePath : Fw.getBasePath() +"/ocx/",// 控件下载目录，可以指定绝对路径，如"http://www.baidu.com/download/"
					pgeId : "_ocx_password_2",// 控件id
					pgeEdittype : 0,// 控件显示类型,0(星号),1(明文)
					pgeEreg1 : "[\\s\\S]*",// 输入过程中字符类型限制，如"[0-9]*"表示只能输入数字
					pgeEreg2 : "[\\s\\S]{6,12}",// 输入完毕后字符类型判断条件，与pgeditor.pwdValid()方法对应
					pgeMaxlength : 12,// 允许最大输入长度
					pgeTabindex : 2,// tab键顺序
					pgePlaceHolder:"<p style='color:#9A9A9A;direction: ltr;font-family: 微软雅黑;font-size: 14px;'>请确认新登录密码</p>",
	 			    pgeDivStyle:"height:41px;line-height:41px;",
					pgeClass : "ocx_style",// 控件css样式
					pgeInstallClass : "ocx_style",// 针对安装或升级的css样式
					pgeOnkeydown : "",// 回车键响应函数，需焦点在控件中才能响应
					tabCallback : "input2",// 火狐tab键回调函数,设置要跳转到的对象ID
					pgeOnfocus:"App.pgeFocus2()",//监控光标切入密码控件框
	  			    pgeOnblur:"App.pgeBlur2()",//监控光标切出密码控件框
					// windows10 edge&Chrome42+相关
					pgeWindowID : "password" + new Date().getTime() + 2,
					pgeRZRandNum : Fw.util.Storage.get("TpgeRZRandNum"),
					pgeRZDataB : Fw.util.Storage.get("TpgeRZDataB")
				};
			pgeditor_1 = new $.pge(PgeOption1);
			pgeditor_2 = new $.pge(PgeOption2);
			
			window.pgeCtrl = pgeditor_1;
			$("#_ocx_password_str_1").html(pgeditor_1.load());
			$("#_ocx_password_str_2").html(pgeditor_2.load());
			pgeditor_1.pgInitialize();
			pgeditor_2.pgInitialize();
			$("lic").html(pgeditor_1.setLicense());
			$("lic").html(pgeditor_2.setLicense());
			
			$("#_ocx_password_str_1").html(pgeditor_1.load());
			$("#_ocx_password_str_2").html(pgeditor_2.load());
			
			pgeditor_1.pgInitialize();
			pgeditor_2.pgInitialize();
			
			$("lic").html(pgeditor_1.setLicense());
			$("lic").html(pgeditor_2.setLicense());
			setTimeout(function() {
				Fw.LoadMask.hide();
			}, 500);
		},
		pgeFocus:function(){pgeditor_1.handler1();},
        pgeBlur:function(){pgeditor_1.clearHandlers();},
        pgeFocus2:function(){pgeditor_2.handler1();},
        pgeBlur2:function(){pgeditor_2.clearHandlers();},
		/**
		 * 触发提交事件前触发
		 */
		beforeSubmit : function(values) {
			
			if(Fw.isEmpty($("#NewLoginId").val()) || $("#NewLoginId").val().length < 6){
				Fw.Tips.info("请输入6-12位的登录名");
				return false;
			}
			if(Fw.isTouch){
				if (Fw.isEmpty(values.NewLoginPassword)) {
					Fw.Tips.info("请输入新密码");
					return false;
				} else if (Fw.isEmpty(values.NewLoginPasswordSure)) {
					Fw.Tips.info("请输入新密码确认");
					return false;
				}
				record.NewLoginPassword=values.NewLoginPassword;
				record.NewLoginPasswordSure=values.NewLoginPasswordSure;
				if (!Fw.isEqual(values.NewLoginPassword, values.NewLoginPasswordSure)) {
					Fw.Tips.info("两次输入的新密码不一致，请重新输入");
					return false;
				}
				return true;
			}else{
				if (pgeditor_1.pwdLength() == 0) {
					Fw.Tips.info("请输入新密码");
					return false;
				}
				if (pgeditor_1.pwdLength() < 8) {
					Fw.Tips.info("新密码不能少于8位");
					return false;
				}
				if (pgeditor_2.pwdLength() == 0) {
					Fw.Tips.info("请输入新密码确认");
					return false;
				}
				if (pgeditor_2.pwdLength() < 8) {
					Fw.Tips.info("新密码确认不能少于8位");
					return false;
				}
			}
		},
		/**
		 * 登录名修改提交 登录密码修改提交
		 */
		doSubmit : function(values) {
			
        	if (!Fw.isTouch) {// pc端 密码加密模块
				var key = Fw.util.Storage.get("WTKey");
	        	pgeditor_1.pwdSetSk(key);
	        	pgeditor_2.pwdSetSk(key);
	        	record.NewLoginPassword=pgeditor_1.pwdResult();
	        	record.NewLoginPasswordSure=pgeditor_2.pwdResult();
				if (!Fw.isEqual(record.NewLoginPassword, record.NewLoginPasswordSure)) {
					Fw.Tips.info("两次输入的新密码不一致，请重新输入");
					return;
				}
			}
        	
        	if(Fw.isEmpty(record.NewLoginId)){
        		// 判断登录名是否修改，如果没有修改则不调用登录名修改接口
    			if (Fw.isEqual(Fw.app.Session.getUserId(), values.NewLoginId)) {
    				record.LoFlag = "0";
    			}else{
    				record.LoFlag = "1";
    			}
    			record.oldName = Fw.app.Session.getUserId()
    			record.NewLoginId="<![CDATA["+values.NewLoginId+"]]>";
        	}else{
        		if (!Fw.isEqual(record.NewLoginId, $("#NewLoginId").val())) {
        			record.NewLoginId="<![CDATA["+$("#NewLoginId").val()+"]]>";
    			}
        	}
        	
			record._AuthMode= "O";
			record.Selfregflag = "S"
				Fw.util.Ajax.execute({
					service : 'personalSetService.executeUser',
					params : record,
					success : function(data, result) {
						if(data.LoginIdCheck == "1"){
							Fw.Tips.info('登录名不符合规范，请重新输入');
							return;
						}else if(data.IsLoginIdExist == "2"){
							Fw.Tips.info('登录名已被使用，请重新输入');
							return;
						}else if(data.PasswordCheck == "1"){
							Fw.Tips.info('新密码为弱密码，请重新输入');
							return;
						}else{
							if(Fw.isEmpty(record.limitFlag) || record.limitFlag == 1){
								Fw.redirect("./initLimit.html",record);
								return;
				    		}
							if(Fw.isTouch){
								if(!Fw.isEmpty(record.limitFlag) && record.limitFlag == 0){
									Fw.redirect("./deviceMain.html",record);
									return;
					    		}
							}
							var smsParams = {
				         			tranType : '080103',  //080103-互联网银行客户端非转账类交易验证       080104-互联网银行客户端转账交易验证
				 					payerAcct : '',  // 付款账号 交易类型080104-必传
				 					payeeAcct : '',  // 收款账号 交易类型080104-必传
				 					payeeAcctName : '', // 收款人  交易类型080104-必传
				 					trsAmount  : '' //交易金额   交易类型080104-必传
				         	};
							
							Fw.device.Device.payControls('SMS', {}, 'App.onPayControlsSubmit', smsParams, {});
						}
					}
				});
		},
		onPayControlsSubmit : function(record1, type, isObject){
			if(!isObject){
        		record1 = Fw.decode(record1);
        	}
			Fw.util.Ajax.execute({
				service : 'personalSetService/executeloginIdAndLoginPwdUpdate',
				params : record,
				staticData : false,
				success : function(data, result) {
					Fw.util.Ajax.execute({
        				socketAdapter: 'loginService/executeLoginTimesUpdate',
                        success: function(data, result) {
                        	if(Fw.isTouch){
        						Fw.device.Device.gotoLifeStyle();
        					}else{
        						Fw.redirect(Fw.getBasePath() +"/index.html", {'flag' : '1'});
        					}
                        }
                    });
				}
			});
		},
		onButtonClick : function(e) {
			form.submit();
		},
	};
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
