/**
 * 创建应用
 */
var App = function() {
	var buttons = $('button');
	$('#getfare').val("");
	$('[name="payment_amount"]').val("");
	var form;
	var del = Fw.getParameters();
	var areaName = "";
	if ((!Fw.isEmpty(del.record)) && (!Fw.isEmpty(del.record.RegionNoName))) {
		areaName = del.record.RegionNoName
	} else if (!Fw.isEmpty(del.defaultArea)) {
		areaName = del.defaultArea;
	} else if(!Fw.isEmpty(del.moveData)){
		areaName = del.moveData.defaultArea;
	}
	// 下拉对象
	var dropDownList;
	var payment_AccountName;
	var ItemCode2;
	var ItemCode;
	var TraderCodeName;
	var ActualBal;
	var PenaltyAmt;
	var BankAcType;
	var defaultArea;
	var UserName;
	// 模拟接口数据
	var data1 = [];
	return {
		/**
		 * 依赖组件
		 */
		requires : [
		// 表单
		'Fw.Form', 'Fw.DropDownList', 'Fw.PayControls', 'Fw.app.Session', // 安全键盘
		'Fw.Keyboard' ],
		/**
		 * 视图设置 设置标题栏、按钮等 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
		 */
		viewConfig : {
			/**
			 * 标题栏标题 如果为空或未设置，则标题栏不显示、左右按钮不显示
			 */
			title : '电信缴费',
			/**
			 * 左边按钮（默认显示） 如果为false，则左边按钮不显示 leftButton: '左边按钮'
			 */
			leftButton : {
				// 自定义按钮标题（默认'返回'）
				text : '<',
			// 自定义按钮点击事件（默认App.leftButtonHandler）
			// handler: XXX
			},
			rightButton : {
				text : areaName,
			},
			/**
			 * 是否自动显示等待层（默认true） 需手动隐藏等待层
			 */
			loadMask : true
		},
		/**
		 * 初始化 应用入口
		 */
		init : function(require) {
			document.all.pay_form.action=Fw.cont.payment_url;
			Fw.LoadMask.show();
			// 定义表单
			form = new Fw.Form({
				// EL
				contentEl : 'form',
				// 是否激活重置事件（默认false）
				// 单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
				resettable : false,
				// 校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
				msgTarget : 'tips'
			});
			$("#ui-b").show();
			var url = document.referrer;
			App.lifePaySession = Fw.decode(Fw.util.Storage.get('PAYMENT_LIST')) || {};
			if (url.indexOf("paygate/main") != -1 || (Fw.isTouch && Fw.isEqual(App.lifePaySession.payHFlag, "1"))) {
				Fw.util.Storage.remove("PAYMENT_LIST");
				if (Fw.isAndroid) {
					// 安卓物理返回键取消 暂定
					Fw.device.Device.FirstAndSecond("2");
				}
				form.setValues({
//					phoneSurpluse : App.lifePaySession.PHONE_SURPLUSE,
//					payment_amount : Fw.util.Format.unFmtAmt(App.lifePaySession.PAYMENT_AMOUNT),
					phoneNum : App.lifePaySession.USERNO,
				});
//				$('[name="payment_amount"]').val(App.lifePaySession.PAYMENT_AMOUNT);
//				$('#payment_accountName').show();
//				buttons.tap(Fw.bind(App.onButtonClick, App));
//				ActualBal = App.lifePaySession.ActualBal;
//				PenaltyAmt = App.lifePaySession.PenaltyAmt;
			}
			Fw.Keyboard.onBackfill =  function(value, displayValue){
	            switch(this.type){
	            case 'AMT':
                    //自动转大写金额
                    var capsFields = $('input[name=' + this.target.attr('name') + 'Caps]');
                    if(capsFields.length > 0){
                        //随表单提交到后台
                        capsFields.val(Fw.util.Format.fmtAmt2Chinese(value)).trigger('change');
                    }
                    else{
                        capsFields = $('#' + this.target.attr('name') + 'Caps');
                        if(capsFields.length > 0){
                            //仅显示
                            capsFields.val(Fw.util.Format.fmtAmt2Chinese(value));
                        }
                    }
                    
                    //sm
                    if(this.currencySign){
                    	displayValue = Fw.util.Format.fmtAmt(value, 2, false, '');//100.000.00
                    }
                    else{
                    	 displayValue = Fw.util.Format.fmtAmt(value);//￥100,000.00
                    }
                    //sm
                   
                    this.target.data({
                        displayvalue: displayValue,
                        rawvalue: value
                    }).val(displayValue).trigger('change');
                    break;    
	            //数字键盘
	                case 'NUM':
	                	this.target.data({
                            displayvalue: displayValue,//******
                            rawvalue: value
                        }).val(displayValue).trigger('change');
	                	form.setValues({
	        				phoneSurpluse : "",
	        				payment_accountName : "",
	        				payment_amount : '',
	        			});
	                	break;
	            }
			}
			// 实例化下拉
			dropDownList = new Fw.DropDownList({
				// 必须参数：结果集
				result : data1,
				// 可配置参数：1.false,随内容撑出高度，2.num：固定高度，超出滚动显示,默认[220]
				// fixedHeight: false,
				// 可配置参数：账号，1.false 不显示账号,2.cdopac 具体显示字段名，默认[cdopac]
				displayNo : false,
				// 可配置参数：从后截取账号显示,1.false 不截取，2.num：截取长度,默认[5]
				// lastSubNo:5,
				// 可配置参数：名称，默认[brchna]
				displayName : 'ItemName',
				// 可配置参数：显示时是否重新渲染，默认[false]
				// reload: false,
				// 可配参数：选择完成后是否自动关闭,默认[true]
				autoClose : true,
				// 可配置参数：是否显示手工输入按钮，默认[true]
				cursorBtn : false,
			// 可配置参数：设置不可点击,1.默认[false]不限制,2.cardtp具体字段名
			// disableField: 'cardtp',
			// 可配置参数：设置不可点击参数值，1.默认[0],2.具体值，"不可点击字段“值等于"不可点击参数值"该项不可点击
			// disableFieldValue: '1'
			});
			if (!Fw.isEmpty(del.record)) {
				defaultArea = del.record.defaultArea;
			} else {
				defaultArea = del.defaultArea;
			}
			if (Fw.isTouch) {
				if(Fw.isIOS){
					Fw.device.Device.gotoLife("2");
					Fw.device.Device.initViewConfig(0, 'Fw.emptyFn');
				}
//				$('[name="phoneNum"]').attr("type","number");
//				$('[name="phoneNum"]').attr("pattern","[0-9]*");
			} else{
				$('.default_contract_area').html(del.defaultArea);
			}
			if (del.flag == 1) {
				$('[name="field2"]').val(del.TraderCodeName);
				if (del.back == "left") {
					TraderCodeName = del.TraderCodeName;
				} else if (del.back == "onselect") {
					$('[name="phoneNum"]').val(del.record.UserNo);
					TraderCodeName = del.TraderCodeName;
				}
				ItemCode2 = del.ItemCode2;
				// 缴费地区
				ItemCode = del.ItemCode;
				this.queryPayment();
			} else if (del.sign == 2) {
				$('.default_contract_area').html(del.defaultArea);
				$('[name="field2"]').val(del.TraderCodeName);
				$('[name="phoneNum"]').val(del.record.phone);
				ItemCode2 = del.ItemCode2;
			} else if (del.sign == 1) {
				if (del.back == "left") {
					// 缴费地区
					ItemCode = del.ItemCode;
					ItemCode2 = del.ItemCode2;
					$('#payment_corporation').val(del.TraderCodeName);
					$('.default_contract_area').text(del.defaultArea);
					$('[name="phoneNum"]').val(del.UserNo);
					TraderCodeName = del.TraderCodeName;
					this.queryPayment();
					this.queryPhoneSurpluse();
				} else if (del.back == "onselect") {
					$('[name="phoneNum"]').val(del.record.UserNo);
					if(!Fw.isEmpty(del.moveData)){
						$('#payment_corporation').val(del.moveData.TraderCodeName);
						$('.default_contract_area').text(del.moveData.defaultArea);
						del.record.RegionNo = Fw.util.Storage.get("ItemCode"),
						del.ItemCode = Fw.util.Storage.get("ItemCode"),
						defaultArea = del.moveData.defaultArea;
						ItemCode = Fw.util.Storage.get("ItemCode");
						ItemCode2 = Fw.util.Storage.get("ItemCode2");
						this.queryPayment();
					}else{
						$('#payment_corporation').val(del.record.TraderCodeName);
						$('#payment_accountName_').text(del.record.UserName);
						$('.default_contract_area').text(del.defaultArea);
						ItemCode = del.ItemCode;
						ItemCode2 = del.ItemCode2;
						TraderCodeName = del.TraderCodeName;
						this.queryPayment();
						this.queryPhoneSurpluse();
					}
				} else if (del.mark == 0) {
					$('[name="phoneNum"]').val(del.record.UserNo);
					ItemCode2 = del.record.TraderCode;
					if (Fw.isEmpty(del.record.TraderCodeName)) {

					} else {
						$('#payment_corporation').val(del.record.TraderCodeName);
					}
					$('#payment_AccountName').text(del.record.UserName);
					$('.default_contract_area').text(del.record.RegionNoName);
					ItemCode = del.record.RegionNo;
					TraderCodeName = del.record.TraderCodeName;
					this.queryPayment();
					this.queryPhoneSurpluse();
				}
			} else if (del.sign == 3) {
				if (Fw.isEmpty(del.record.TraderCodeName)) {

				} else {
					if (Fw.isEmpty(del.record.UserNo)) {

					} else {
						$('[name="phoneNum"]').val(del.record.UserNo);
					}
					$('[name="field2"]').val(del.record.TraderCodeName);
				}
				$('.default_contract_area').html(del.record.RegionNoName);
				TraderCodeName = del.record.TraderCodeName
				// 缴费单位
				ItemCode2 = del.record.TraderCode;
				// 缴费地区
				ItemCode = del.record.RegionNo;
				this.queryPayment();
			} else {
				if(!Fw.isEmpty(del.moveData)){
					$("#phoneNum").val(del.moveData.record.UserNo);
				}
				$('[name="field2"]').val(del.record.ItemName);
				$('.default_contract_area').html(del.defaultArea);
				TraderCodeName = del.record.ItemName
				// 缴费单位
				ItemCode2 = del.record.ItemCode;
				// 缴费地区
				ItemCode = del.ItemCode;
				this.queryPayment();
			}
			this.initEvents();
		},
		queryPhoneSurpluse : function(){
			Fw.util.Ajax.query({

				// 数据源（服务接口）
				socketAdapter : 'lifeService/queryPhoneSurpluse',
				// 请求参数
				params : {
					phoneNum : $("#phoneNum").val(),
					ItemCode : "107",
					ItemCode1 : ItemCode,
					ItemCode2 : ItemCode2
				},
				// 是否自动显示等待层（默认true）
				staticData : false,
				success : function(data, result) {
					console.log(data);
					ActualBal = data.ActualBal;
					PenaltyAmt = data.PenaltyAmt;
					UserName = data.UserName;
					if (data.ActualBal != 0.00) {
						$('[name=phoneSurpluse]').val(Fw.util.Format.fmtAmt(data.ActualBal, 2, false, "￥-"));
					} else {
						$('[name=phoneSurpluse]').val(Fw.util.Format.fmtAmt(data.ActualBal, 2, false, "￥"));
					}							if (Fw.isEmpty(data.UserName)) {
					} else {
						$('#payment_accountName').show();
						$('[name="payment_accountName"]').val(data.UserName);
					}
					Fw.LoadMask.hide();
				},
				// 请求错误后回调
				failure : function(status, textStatus, error) {
					Fw.LoadMask.hide();
				}
			});
		},
		/**
		 * 初始化ios、安卓右上角地区
		 */
		initIosRightArea : function() {
			var areaName = "";
			if ((!Fw.isEmpty(del.record)) && (!Fw.isEmpty(del.record.RegionNoName))) {
				areaName = del.record.RegionNoName
			} else if (!Fw.isEmpty(del.defaultArea)) {
				areaName = del.defaultArea;
			}
			if (Fw.isTouch) {
				Fw.device.Device.applyView({
					/**
					 * 标题栏标题 如果为空或未设置，则标题栏不显示、左右按钮不显示
					 */
					title : '电信缴费',
					/**
					 * 左边按钮（默认显示） 如果为false，则左边按钮不显示 leftButton: '左边按钮'
					 */
					leftButton : {
						text : '<',
						handler : function() {
							App.leftButtonHandler();
						}
					},
					rightButton : {
						text : areaName,
					},
				});
				if (Fw.isIOS) {
					Fw.device.Device.initViewConfig(0, 'Fw.emptyFn');
				}
			}else{
				Fw.device.Device.applyView({
					/**
					 * 标题栏标题 如果为空或未设置，则标题栏不显示、左右按钮不显示
					 */
					title : '电信缴费',
					/**
					 * 左边按钮（默认显示） 如果为false，则左边按钮不显示 leftButton: '左边按钮'
					 */
					leftButton : {
						text : '<',
						handler : function() {
							App.leftButtonHandler();
						}
					},
				});
			}
		},
		initEvents : function() {
			$('#pay_phone').on('click', Fw.bind(this.QueryPaymentList, this));
			$('.btn_query').on('click', Fw.bind(this.QuerySurpluse, this));
			$('#getfare').on('click', Fw.bind(this.QuerySurpluse, this));
			// 点击按钮时触发（保存、重置、重发验证码）
			// buttons.tap(Fw.bind(this.onButtonClick, this));
			$('#payment_corporation').on('click', Fw.bind(this.selectClick, this));
//			form.on('change', this.onChange, this);
			buttons.tap(Fw.bind(App.onButtonClick, App));
			// 监听select点击事件
			dropDownList.on('itemClick', Fw.bind(this.itemClick, this));
			/*
			 * $("#format").blur(function() {
			 * Fw.util.Format.fmtAmt($('[name="payment_amount"]').val()); });
			 */
			$('[name="phoneNum"]').on('blur',Fw.bind(Fw.bind(this.RegxValue,this)))
		},
		/**
		 * 缴费号码失去焦点事件 出去特殊字符
		 */
		RegxValue:function(){
			var phoneNum = $('[name="phoneNum"]').val().replace(/[^0-9]/g, "");
			$('[name="phoneNum"]').val(phoneNum);
		},
		blurFunction : function(e) {
			var m = Fw.util.Format.unFmtAmt($('[name="payment_amount"]').val());
			//保留小数点后的0
			var v=$('[name="payment_amount"]').val().trim()+"";
	    	if(v.indexOf("¥")==0){
	    	   v=v.substring(1,v.length);
	    	}
	    	v=v.replaceAll(",","");
	    	var money;
	    	if(v.indexOf('.')>11){
				money = v.slice(0,v.indexOf('.')-1)+v.slice(v.indexOf('.'), v.length);
			}else{
				money = v.slice(0,v.length-1);
			}
			if(!/^[0-9]+\.?(\d{2})?$/.test(v)){
				if(/^(([1-9]\d*)|0)(\.\d+)?$/.test(v)){
					if((v.length-v.indexOf('.')-1)>2){
						$('[name="payment_amount"]').val(money).change();
					}
				}else{
					$('[name="payment_amount"]').val(money).change();
				}
			}else{
				if(!/^[0-9]{1,11}([.][0-9]{1,2})?$/.test(m)){
					$('[name="payment_amount"]').val(money).change();
				}
			}	
		},
		/**
		 * 过滤特殊字符 校验输入特殊字符
		 */
		stripscript : function() {
			var ddd = $('[name="phoneNum"]').val().replace(/\s/g, "");
			var fl = !/^[0-9]*$/.test(ddd);
			var phoneNum0 = $('[name="phoneNum"]').val();
			var phoneNum = $('[name="phoneNum"]').val().replace(/[^0-9]/g, "");
			var l = phoneNum0.length - phoneNum.length;
			if(!Fw.isIOS){
				$('[name="phoneNum"]').val(phoneNum);
			}else{
				$('[name="phoneNum"]').val(ddd.substring(0,30));
			}
			form.setValues({
				phoneSurpluse : "",
				payment_accountName : "",
				payment_amount : '',
			});
		},
		nBackfill: function(value, displayValue){
            switch(this.type){
                //数字键盘
                case 'NUM':
                //身份证键盘
                	console.log("234");
                	break;
            }
        },
		selectClick : function() {
			// 显示组件
			// 1.直接显示
			// dropDownList.show();
			// 2.显示时传入值
			dropDownList.show(App.data.List);
		},
		/**
		 * 表单文本输入框、多行文本输入框输入时触发（不含单选、多选、下拉框） 失去焦点时出发
		 * 
		 * @param {String}
		 *            输入框名称
		 * @param {Object}
		 *            值
		 * @param {Object}
		 *            旧值
		 * @param {Fw.Form}
		 *            Form组件
		 */
		onChange : function(name, value, oldValue, field) {
			if (Fw.isEqual(name, "phoneNum")) {
				form.setValues({
					phoneSurpluse : "",
					payment_accountName : "",
					payment_amount : '',
					phoneNum : value,
				});
			}
			/*
			 * Fw.Msg.info('缴费号码已更改,请重新查询账户信息', function(){ });
			 */
		},
		itemClick : function(data, index) {
			$('[name="field2"]').val(data.ItemName);
			if (!Fw.isEqual(ItemCode2, data.ItemCode)) {
				form.setValues({
					phoneSurpluse : "",
					payment_accountName : "",
					payment_amount : '',
				});
				$("#payment_accountName").hide();
			}
			ItemCode2 = data.ItemCode;
		},
		/**
		 * 点击人头像,查询缴费信息列表
		 * 
		 */
		QueryPaymentList : function() {
			if (Fw.isTouch) {
//				if (Fw.isAndroid) {
					defaultArea = del.defaultArea;
//				}
			} else {
				defaultArea = $('.default_contract_area').text();
			}
			var TraderCodeName = $('[name="field2"]').val();
			var phoneNo = $('[ name="phoneNum"]').val();
			if (del.sign == 1) {
				if (del.back === "onselect") {
					var param = {
						"type" : '107',
						"RegionNo" : del.record.RegionNo,
						"TraderCode" : ItemCode2,
						"defaultArea" : defaultArea,
						"sign" : 1,
						"TraderCodeName" : TraderCodeName,
						UserNo : phoneNo,
					};
				} else if (del.back == "left") {
					var param = {
						"type" : '107',
						"RegionNo" : del.ItemCode,
						"TraderCode" : ItemCode2,
						"defaultArea" : defaultArea,
						"sign" : "1",
						"TraderCodeName" : TraderCodeName,
						UserNo : phoneNo,
					};
				} else if (del.mark = "0") {
					var param = {
						"type" : '107',
						"RegionNo" : del.record.RegionNo,
						"TraderCode" : ItemCode2,
						"defaultArea" : defaultArea,
						"sign" : 1,
						"TraderCodeName" : TraderCodeName,
						UserNo : phoneNo,
					};
				}
			} else {
				var param = {
					"type" : '107',
					"RegionNo" : del.ItemCode,
					"TraderCode" : ItemCode2,
					"defaultArea" : defaultArea,
					"flag" : "1",
					"TraderCodeName" : TraderCodeName,
					UserNo : phoneNo,
				};
			}
			Fw.redirect(Fw.getBasePath() + '/page/pub/lifeService/paymentList.html', param);
		},
		/**
		 * 缴费单位
		 */
		queryPayment : function() {
			Fw.util.Ajax.query({
				socketAdapter : 'lifeService/queryPaymentCorporation',
				// method: 'query',
				// 数据源（服务接口）
				// 请求参数
				params : {
					"ItemCode1" : ItemCode,
					ItemCode : "107"
				},
				// 是否使用数据挡板（默认false）
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					App.data = data;
					Fw.LoadMask.hide();
				},
				failure : function(status, textStatus, error) {
					Fw.LoadMask.hide();
				}
			});

		},

		/**
		 * 点击号码查询按钮,查询号码余额
		 * 
		 */
		QuerySurpluse : function() {
			var reg1 = /^\d{7,8}$/;
			var reg2 = /^\d{11}$/;
			var phoneNum = $('[name=phoneNum]').val();
			if (Fw.isEmpty($('[name=phoneNum]').val())) {
				Fw.Tips.info('请输入缴费号码');
			} else if (!(reg1.test(phoneNum) || reg2.test(phoneNum))) {
				Fw.Tips.info('输入缴费的缴费号码为7,8,11位');
			} else {
				if (del.sign == 1 || del.sign == 3) {
					Fw.util.Ajax.query({
						// 数据源（自定以URL）
						// url: '/data/demo1Service/XXX.json',
						// 数据源（服务接口）
						socketAdapter : 'lifeService/queryPhoneSurpluse',
						// method: 'query',//默认为query，方法名称必须是query开头
						// 请求参数
						params : {
							phoneNum : phoneNum,
							ItemCode : "107",
							ItemCode1 : ItemCode,
							ItemCode2 : ItemCode2,
						},
						// 是否自动显示等待层（默认true）
						// 允许自定义等待层提示信息（loadMask: '请稍后...'）
						// loadMask: true,
						// 是否使用数据挡板（默认false）
						staticData : false,
						success : function(data, result) {
							ActualBal = data.ActualBal;
							PenaltyAmt = data.PenaltyAmt;
							if (data.ActualBal != 0.00) {
								$('[name=phoneSurpluse]').val(Fw.util.Format.fmtAmt(data.ActualBal, 2, false, "￥-"));
							} else {
								$('[name=phoneSurpluse]').val(Fw.util.Format.fmtAmt(data.ActualBal, 2, false, "￥"));
							}							if (Fw.isEmpty(data.UserName)) {
							} else {
								$('#payment_accountName').show();
								$('[name="payment_accountName"]').val(data.UserName);
							}
							ActualBal = data.ActualBal;
							Fw.LoadMask.hide();
						},
						// 请求错误后回调
						failure : function(status, textStatus, error) {
							Fw.LoadMask.hide();
						}
					});
				} else {
					Fw.util.Ajax.query({
						// 数据源（自定以URL）
						// url: '/data/demo1Service/XXX.json',
						// 数据源（服务接口）
						socketAdapter : 'lifeService/queryPhoneSurpluse',
						// method: 'query',//默认为query，方法名称必须是query开头
						// 请求参数
						params : {
							phoneNum : phoneNum,
							ItemCode : "107",
							ItemCode1 : del.ItemCode,
							ItemCode2 : ItemCode2
						},
						// 是否自动显示等待层（默认true）
						// 允许自定义等待层提示信息（loadMask: '请稍后...'）
						// loadMask: true,
						// 是否使用数据挡板（默认false）
						staticData : false,
						success : function(data, result) {
							ActualBal = data.ActualBal;
							PenaltyAmt = data.PenaltyAmt;
							if (data.ActualBal != 0.00) {
								$('[name=phoneSurpluse]').val(Fw.util.Format.fmtAmt(data.ActualBal, 2, false, "￥-"));
							} else {
								$('[name=phoneSurpluse]').val(Fw.util.Format.fmtAmt(data.ActualBal, 2, false, "￥"));
							}							if (Fw.isEmpty(data.UserName)) {
							} else {
								$('#payment_accountName').show();
								$('[name="payment_accountName"]').val(data.UserName);
							}
							ActualBal = data.ActualBal;
							Fw.LoadMask.hide();
						},
						// 请求错误后回调
						failure : function(status, textStatus, error) {
							Fw.LoadMask.hide();
						}
					});
				}
			}
		},

		/**
		 * 点击按钮时触发（保存、重置、重发验证码）
		 */
		onButtonClick : function(e) {
			var company = $('[name="field2"]').val();
			var phone = $('[name=phoneNum]').val();
			var defaultArea = $('.default_contract_area').text();
			var phoneSurpluse = $('[name=phoneSurpluse]').val();
			var record = {
				"company" : company,
				"phone" : phone,
				"ItemCode" : del.ItemCode,
				"ItemCode2" : ItemCode2
			}
			var params = {
				"record" : record,
				"defaultArea" : defaultArea,
				"phoneSurpluse" : phoneSurpluse
			};
			switch (e.target.id) {
			// 提交表单
			case 'submit-next-login':
				var reg1 = /^\d{7,8}$/;
				var reg2 = /^\d{11}$/;
				if (Fw.isEmpty($('[name=phoneNum]').val())) {
					Fw.Tips.info('请输入缴费号码');
				} else if (!(reg1.test($('[name=phoneNum]').val()) || reg2.test($('[name=phoneNum]').val()))) {
					Fw.Tips.info('输入缴费的缴费号码为7,8,11位')
				} else if (Fw.isEmpty($('[name="phoneSurpluse"]').val())) {
					Fw.Tips.info('请查询号码余额');
				} else if (Fw.isEmpty($('[name="payment_amount"]').val())) {
					Fw.Tips.info('请输入缴费金额');
				} else if ($("input[type='checkbox']").is(':checked')) {
					Fw.util.Storage.set("PAYMENT_LIST", Fw.encode({
						"USERNO" : $('[name="phoneNum"]').val(),
						"USERNAME" : $('[name="payment_accountName"]').val(),
						"PAYMENT_AMOUNT" : $('[name="payment_amount"]').val(),
						"PHONE_SURPLUSE" : $('[name="phoneSurpluse"]').val(),
						"payHFlag" : "1",
						"ActualBal" : ActualBal,
						"PenaltyAmt" : PenaltyAmt
					}));
					App.paymentFeeCash("1");
				} else {
					Fw.util.Storage.set("PAYMENT_LIST", Fw.encode({
						"USERNO" : $('[name="phoneNum"]').val(),
						"USERNAME" : $('[name="payment_accountName"]').val(),
						"PAYMENT_AMOUNT" : $('[name="payment_amount"]').val(),
						"PHONE_SURPLUSE" : $('[name="phoneSurpluse"]').val(),
						"payHFlag" : "1",
						"ActualBal" : ActualBal,
						"PenaltyAmt" : PenaltyAmt
					}));
					App.paymentFeeCash("0");
				}
				break;
			// 下一步
			case 'submit-login':
				break;
			}
		},
		
		//获取村镇或者省联社app
		getType : function(){
			 var aaa = Fw.app.Session.getAppType();
			if(aaa==1){//villageFlag 1代表省联社，2代表村镇
				App.clientMchId = "PIBS";
			}else{
				App.clientMchId = "PMBS";
			}
			return App.clientMchId ;
		},
		paymentFeeCash : function(AddFlag) {
			App.getType();
			var phoneNo = $('[name="phoneNum"]').val();
			var paymentAmount = Fw.util.Format.unFmtAmt($('[name="payment_amount"]').val());// 金额反格式化
			// var paymentAmount
			// =$('[name="payment_amount"]').val().replaceAll("¥","");//去掉¥
			var actualBal = ActualBal + '';
			var UserPhoneNo = Fw.app.Session.getMobilephone();
			var TraderName = $('#payment_corporation').val();
			var defaultArea = $('.default_contract_area').text();
			PenaltyAmt = Fw.isEmpty(PenaltyAmt) ? " " : PenaltyAmt;
			defaultArea = Fw.isEmpty(defaultArea) ? " " : defaultArea;
			Fw.util.Ajax.query({
				service : 'lifeService1.executeSendCekStd',
				// service: 'balanceQueryService.executeAccountBalance',
				// 请求参数
				params : {
					AddFlag : AddFlag,
					BussTypeName : '电信话费',
					RegionNoName : defaultArea,
					TraderName : TraderName,
					TransId : 'JFM3',
					MerInstId : 'SHJF', // 商户标示 由收银台分配的商户标识
					RegionNo : ItemCode, // 缴费地区 填900000
					TraderCode : ItemCode2,// 缴费单位编号 根据实际交易填写
					BussType : '107', // 缴费类型
					UserNo : phoneNo, // 用户号 手机号
					Currency : '01', // 交易币种 根据实际交易填写
					Amount : paymentAmount, // 交易金额 以元为单位
					 IdNo:Fw.app.Session.getIdentno(), //身份证号
					UserName : "", // 用户名称
					CashTranFlag : '2',
					AcctBankAcType : '',
					ActualBal : actualBal,
					PenaltyAmt : PenaltyAmt,
					UserPhoneNo : UserPhoneNo,// 用于查询加挂并且有支付权限的签约银行卡
					MerSeqNo : 'SHJF', // 商户标识+商户自定流水号
					ClientMchId :  App.clientMchId,// 客户渠道ID PIBS-福建农信 PMBS-村银行
					ClientLoginType : Fw.app.Session.getLoginType(),
					MerURL1 : Fw.getBasePath() + '/page/pub/lifeService/telecomunication/lifePayment.html', // 商户URL
					// 交易结束返回
					// 页面url
					MerURL : Fw.getBasePath() + '/page/pub/lifeService/telecomunication/login_payment.html', // 商户URL1
				// 交易结束后点击返回按钮跳转至商户指定页面,
				// 交易结束后点击返回按钮跳转至商户指定页面,
				},
				// 是否使用数据挡板（默认false）
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					$("body").hide();
					Fw.LoadMask.hide();
					$("#Plain").val(data.Plain); // 表单赋值result.result.Plain
					// result.result.Signature
					$("#Signature").val(data.Signature);
					if (Fw.isTouch) {
						if (Fw.isAndroid) {
							Fw.device.Device.FirstAndSecond()
							Fw.device.Device.initViewConfig();
							document.all.pay_form.submit(); // 提交表单
						} else if (Fw.isIOS) {
							Fw.device.Device.initViewConfig(1, 'App.goPayform');
						}
					} else {
						document.all.pay_form.submit(); // 提交表单
					}
				},
				// 请求错误后回调
				failure : function(status, textStatus, error) {
					// alert(status);
				}
			});
		},
		goPayform : function() {
			document.all.pay_form.submit(); // 提交表单
		},
		leftButtonHandler : function() {
			Fw.util.Storage.remove("PAYMENT_LIST");
			if (Fw.isEqual(del.back, "page1")) {
				Fw.redirect(Fw.getBasePath() + '/page/pub/lifeService/telecomunication/lifePayment.html');
			} else if (del.mark == 0) {
				Fw.redirect(Fw.getBasePath() + '/page/pub/paymentInfoManage/main.html');

			} else {
				Fw.redirect(Fw.getBasePath() + '/page/pub/lifeService/telecomunication/lifePayment.html');
			}
		},
	};
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
