var App = function() {
	var params;
    return {
        requires : [
        	'Fw.Keyboard',
        ],
        viewConfig: {
			title: '万通宝贷款详细信息',
            leftButton: {
            	 handler:function(){
 	    			App.back();
 	    		}
            },
            loadMask:false,
		},
		back: function(){
			if(Fw.isPhone){
					Fw.gotoIndex();
			}else{
				var urltemp = Fw.getBasePath() +'/page/pc/loan/wtbLoan.html';
	         	Fw.redirect(urltemp);
			}
		},
		init:function(require){
			Fw.LoadMask.hide();
			
//			var record = {AcctNo: "6230361101106287556",
//					AvailLimit: "500000.00",
//					Ccy: "01",
//					ClientName: "刘帅",
//					ContractIntRate: "8.312500",
//					ContractNo: "HT9010730180003573",
//					CreditLimit: "500000.00",
//					LoanAcctNo: "9010710010111000056218",
//					LoanEndDate: "20200318",
//					OweCorpus: "0.00",
//					OweInt: "0.00",
//					UsedLimit: "0.00"
//			}
//			 var ps = encodeURIComponent(Fw.encode({"record":record}));
//			Fw.util.Storage.set('_parameters',ps );
			if(Fw.isPhone){
				Fw.device.Device.getPhoneParams("App.pageInit");
			}else{
				var temp = Fw.getParameters('record');
				App.pageInit(Fw.encode(temp));
			}
		},
		pageInit : function(data) {
			params = Fw.decode(data);
			var showInfo = [ 
	    		{
					label : '还款账户',
					value : Fw.util.Format.fmtAcctNo(params.AcctNo,true),
				}, 
			];
		var smsParams ={};
		var cardNews = {
				passwordType:'T',//借记卡  T  信用卡  B
				cardNo:params.AcctNo,
		}
		Fw.device.Device.payControls("AP", showInfo,'App.doquery',smsParams,cardNews);
			
        },
        
        doquery:function (record, type, isObject){
        	if((isObject=="false")||(!isObject)){
        		record = Fw.decode(record);
        	}
	        	Fw.util.Ajax.get({
	        		service: 'loanService',
	                method: 'getLoanInfo',
	                params: {
	        			AcNo: params.AcctNo,
	        			TrsPassword: record.pwd,
	                },
	                success: function(data, result) {
	                	console.log(data);
	                	$('#ContractNo').html(params.ContractNo);
	        			$('#acc').html(Fw.util.Format.fmtAcctNo(params.AcctNo,true));
	        			$('#eDate').html(App.fmtDateYMDHM(params.LoanEndDate));
	        			$('#CreditLimit').html(Fw.util.Format.fmtAmt(params.CreditLimit));
	        			$('#UsedLimit').html(Fw.util.Format.fmtAmt(params.UsedLimit));
	        			$('#AvailLimit').html(Fw.util.Format.fmtAmt(params.AvailLimit));
	        			$('#ContractIntRate').html(params.ContractIntRate+"‰");
	                	$('#AuthStartDate').html(App.fmtDateYMDHM(data.AuthStartDate));
	                	$('#IntSettleMode').html(App.IntSettleModeTrans(data.IntSettleMode));
	                	$('#RepayType').html(App.RepayTypeTrans(data.RepayType));
	                	$('#LoanStatus').html(App.LoanStatusTrans(data.LoanStatus));
	                	Fw.LoadMask.hide();
	                },
	                failure:function(e, state, textStatus, error, xhr){
	                	Fw.LoadMask.hide();
	                }
	            });
        },
        getFullDate: function(yc,mc,dc){
        	var temp = Fw.getDate();
        	var y = temp.getFullYear();
        	var m = temp.getMonth();
        	var d = temp.getDate();
        	if(yc != undefined){
        		y+=yc;
        	}
        	if(mc != undefined){
        		m+=mc;
        	}
        	if(dc != undefined){
        		d+=dc;
        	}
        	temp = new Date(y,m,d);
        	y = temp.getFullYear();
        	m = temp.getMonth()+1;
        	d = temp.getDate();
        	y+="";
        	m+="";
        	d+="";
        	if(m.length==1){
        		m="0"+m;
        	}
        	if(d.length==1){
        		d="0"+d;
        	}
        	return y+"-"+m+"-"+d;
        },
        newDate:function(y,m,d){
        	var newday = new Date(y,m,d);
       		var yn = newday.getFullYear();
    		var mn = newday.getMonth();
    		var dn = newday.getDate();
    		mn++;
    		yn+="";
        	mn+="";
        	dn+="";
        	if(mn.length==1){
        		mn="0"+mn;
        	}
        	if(dn.length==1){
        		dn="0"+dn;
        	}
        	return yn+"-"+mn+"-"+dn;
        },
        moneyLimit:function(e){
        	var $that = $(e.currentTarget);
        	var t_val=$that.val();
        	var temp;
        	var true_val = t_val.replace(/[,]/g,"").replace("¥","");
        	
        	var list = t_val.split(".");
        	var Reg = /^\d{1,11}([.]\d{0,2}){0,1}$/;
        	var Reg2 = /^[.]\d{0,2}$/;
        	if(Reg.test(true_val)){
        		return true;
        	}else if(Reg2.test(t_val)){
        		$that.val("0"+t_val);
        	}else if(list.length>2){
        		for(var i =list.length-2;i>0;i--){
        			t_val=t_val.replace(".","");
        		}
        		temp =  Fw.util.Format.fmtAmt(t_val);
        		$that.val(temp);
        		
        	}else{
        		list[0]=list[0].replace(/\D/g,"");
        		list[0]=list[0].substr(0,11);
        		if(list.length==2){
        			list[1]=list[1].replace(/\D/g,"");
        			if(list[1].length>2){
        				list[1]=list[1].substr(0,2);
        			}
        			temp =  Fw.util.Format.fmtAmt(list[0]+"."+list[1]);
	        		$that.val(temp);
        			//$that.val(list[0]+"."+list[1]);
        		}else{
        			temp =  Fw.util.Format.fmtAmt(list[0]);
	        		$that.val(temp);
        			//$that.val(list[0]);
        		}
        		
        	}
        },
        fmtDateYMDHM:function(v){
        	var result ="";
        	result += v.substring(0,4);
        	result += "-";
        	result += v.substring(4,6);
        	result += "-";
        	result += v.substring(6,8);
//        	result += " ";
//        	result += v.substring(8,10);
//        	result += ":";
//        	result += v.substring(10,12);
        	return result;
        },
        LoanStatusTrans:function(v){
        	var result ;
        	var map ={	
        			'00':'登记',        
        			'10':'暂停',                      
		        	'01':'正常',      
		        	'02':'逾期',      
		        	'03':'呆滞 ',    
		        	'04':'呆帐', 
		        	'05':'核销',      
		        	'06':'多种状态',  
		        	'07':'部分核销',          
		        	'99':'销户',                                       
		        	'08':'部分剥离',  
		        	'09':'全部剥离 ', 
        	};
        	result = map[v];
        	return Fw.isEmpty(map[v]) ?v:result;
        },
        IntSettleModeTrans:function(v){
        	var result ;
        	var map ={	
        			 '101':'到期日对日结息',     
        			 '102':'每月21日结息',  
        			 '103':'每季21日结息',      
        			 '104':'每年21日结息',  
        			 '105':'每月月末日结息',      
        			 '106':'不批量结息', 
        	};
        	result = map[v];
        	return Fw.isEmpty(map[v]) ?v:result;
        },
        RepayTypeTrans:function(v){
        	var result ;
        	var map ={	
        			'11':'利随本清',      
        			'12':'到期利随本清', 
 
        	};
        	result = map[v];
        	return Fw.isEmpty(map[v]) ?v:result;
        },
    }
}();
Fw.onReady(App);
