var App = function() {
	var params;
	var url = Fw.getBasePath() +'/page/pub/loan/TTloan/success.html';
    return {
        requires : [
        	'Fw.Keyboard',
        ],
        viewConfig: {
			title: '万通宝贷款放款',
            leftButton: {
            	 handler:function(){
 	    			App.back();
 	    		}
            },
		},
		back: function(){
			if(Fw.isPhone){
				Fw.gotoIndex();
		}else{
			var urltemp = Fw.getBasePath() +'/page/pc/loan/wtbLoan.html';
         	Fw.redirect(urltemp);
		}
		},
		init:function(require){
			
			
//			var record = {AcctNo: "6230361101106287556",
//					AvailLimit: "500000.00",
//					Ccy: "01",
//					ClientName: "刘帅",
//					ContractIntRate: "8.312500",
//					ContractNo: "HT9010730180003573",
//					CreditLimit: "500000.00",
//					LoanAcctNo: "9010710010111000056218",
//					LoanEndDate: "20200318",
//					OweCorpus: "0.00",
//					OweInt: "0.00",
//					UsedLimit: "0.00"
//			}
//			 var ps = encodeURIComponent(Fw.encode({"record":record}));
//			Fw.util.Storage.set('_parameters',ps );
			if(App.getFullDate().indexOf("12-31") != -1){
				Fw.Msg.info('年终结算日（12月31日）不允许放款', function(code, btn, win){
					App.back();
				});
			}else{
				if(Fw.isPhone){
					Fw.device.Device.getPhoneParams("App.pageInit");
				}else{
					var temp = Fw.getParameters('record');
					App.pageInit(Fw.encode(temp));
				}
			}
		},
		pageInit : function(data) {
			params = Fw.decode(data);
			console.log(params);
			
			$('#bDate').html(App.getFullDate());
			$('#eDate').html(App.fmtDateYMDHM(params.LoanEndDate));
			$('#rate').html(params.ContractIntRate+"‰");
			$('#Amount').attr("placeholder","可用额度"+Fw.util.Format.fmtAmt(params.AvailLimit));
			$('#acc').html(Fw.util.Format.fmtAcctNo(params.AcctNo,true));
        	Fw.LoadMask.hide();
        	Fw.Keyboard.init($("#main_page"));
        	Fw.Keyboard.onHidden=function(){
        		 switch(this.type){
                 	//金额键盘
                 	case 'AMT':
                 		this.target.val(Fw.util.Format.fmtAmt(Fw.util.Format.unFmtAmt(this.target.val())));break;
        		 }
	      		$('body').css({
	           		'top': '0px'
	           	});
	      		//sm 还原Placeholder
				if(Fw.isEmpty(this.target.val()) && !Fw.isEmpty(Fw.util.Storage.get(this.target.attr('name'))) ){
					this.target.attr('placeholder',Fw.util.Storage.get(this.target.attr('name')));
					Fw.util.Storage.remove(this.target.attr('name'));
				}
				//sm 是否重启动键盘
				Fw.Keyboard.showKeyboard = true;
				
        	},
        	App.initEvents();
        },
        initEvents: function(){
        	$('#Amount').on('input', Fw.bind(this.moneyLimit, this));
        	$('#btn_ok').on('click',Fw.bind(this.checkInput,this));
        	$('#Amount').on('blur',Fw.bind(this.amountFormat, this));
        },
        amountFormat:function(e){
        	var El = $(e.currentTarget);
        	El.val(Fw.util.Format.fmtAmt(Fw.util.Format.unFmtAmt(El.val())));
        },
        checkInput:function(){
        	if(Fw.util.Format.unFmtAmt($('#Amount').val()).length == 0){
        		Fw.Tips.info('放款金额不能为空');
        		return false;
        	}
        	if(Fw.util.Format.unFmtAmt($('#Amount').val()) === 0){
        		Fw.Tips.info('放款金额不能为0');
        		return false;
        	}
        	if(Fw.util.Format.unFmtAmt($('#Amount').val()) < 2000){
        		Fw.Tips.info('放款金额小于2000元');
        		return false;
        	}
        	if(Fw.util.Format.unFmtAmt($('#Amount').val()) > params.CreditLimit){
        		Fw.Tips.info('可用授信额度不足');
        		return false;
        	}
        	if(Fw.util.Format.unFmtAmt($('#Amount').val()) > params.AvailLimit){
        		Fw.Tips.info('可用额度不足');
        		return false;
        	}
        	App.getLoan();
        },
        getLoan:function(){
        	var showInfo = [ 
	    		{
					label : '入账账户',
					value : Fw.util.Format.fmtAcctNo(params.AcctNo,true),
				}, 
			];
		var smsParams ={};
		var cardNews = {
				passwordType:'T',//借记卡  T  信用卡  B
				cardNo:params.AcctNo,
		}
		Fw.device.Device.payControls("AP", showInfo,'App.getLoanDo',smsParams,cardNews);
        },
        getLoanDo:function(record, type, isObject){
        	if((isObject=="false")||(!isObject)){
        		record = Fw.decode(record);
        	}
        	Fw.util.Ajax.execute({
        		service: 'loanService',
                method: 'executeGetLoan',
                params: {
        			AcNo: params.AcctNo,
        			TrsPassword: record.pwd,
        			DrawDownAmount: Fw.util.Format.unFmtAmt($('#Amount').val()),
                },
                success: function(data, result) {
                   Fw.redirect(url,{'succ':"1",'title':"放款成功",'pageTitle':"万通宝贷款放款",'cont':[],Amount:Fw.util.Format.unFmtAmt($('#Amount').val()),AcNo: params.AcctNo,BookType:1});
                },
                failure:function(e, state, textStatus, error, xhr){
                	Fw.redirect(url,{'succ':"0",'title':"放款失败",'pageTitle':"万通宝贷款放款",'cont':[textStatus]});
                	return false;
                }
            });
        },
        getFullDate: function(yc,mc,dc){
        	var temp = Fw.getDate();
        	var y = temp.getFullYear();
        	var m = temp.getMonth();
        	var d = temp.getDate();
        	if(yc != undefined){
        		y+=yc;
        	}
        	if(mc != undefined){
        		m+=mc;
        	}
        	if(dc != undefined){
        		d+=dc;
        	}
        	temp = new Date(y,m,d);
        	y = temp.getFullYear();
        	m = temp.getMonth()+1;
        	d = temp.getDate();
        	y+="";
        	m+="";
        	d+="";
        	if(m.length==1){
        		m="0"+m;
        	}
        	if(d.length==1){
        		d="0"+d;
        	}
        	return y+"-"+m+"-"+d;
        },
        newDate:function(y,m,d){
        	var newday = new Date(y,m,d);
       		var yn = newday.getFullYear();
    		var mn = newday.getMonth();
    		var dn = newday.getDate();
    		mn++;
    		yn+="";
        	mn+="";
        	dn+="";
        	if(mn.length==1){
        		mn="0"+mn;
        	}
        	if(dn.length==1){
        		dn="0"+dn;
        	}
        	return yn+"-"+mn+"-"+dn;
        },
        moneyLimit:function(e){
        	var $that = $(e.currentTarget);
        	var t_val=$that.val();
        	var temp;
        	var true_val = t_val.replace(/[,]/g,"").replace("¥","");
        	if(true_val.length>14){
        		$that.val(true_val.substr(0,14));
        		return;
        	}
        	var list = t_val.split(".");
        	var Reg = /^\d{1,11}([.]\d{0,2}){0,1}$/;
        	var Reg2 = /^[.]\d{0,2}$/;
        	if(Reg.test(true_val)){
        		return true;
        	}else if(Reg2.test(t_val)){
        		//$that.val("0"+t_val);
        		$that.val("");
        	}else if(list.length>2){
        		for(var i =list.length-2;i>0;i--){
        			t_val=t_val.replace(".","");
        		}
        		temp =  Fw.util.Format.fmtAmt(t_val);
        		$that.val(temp);
        		
        	}else{
        		list[0]=list[0].replace(/\D/g,"");
        		list[0]=list[0].substr(0,11);
        		if(list.length==2){
        			list[1]=list[1].replace(/\D/g,"");
        			if(list[1].length>2){
        				list[1]=list[1].substr(0,2);
        			}
        			temp =  Fw.util.Format.fmtAmt(list[0]+"."+list[1]);
	        		$that.val(temp);
        			//$that.val(list[0]+"."+list[1]);
        		}else{
        			temp =  Fw.util.Format.fmtAmt(list[0]);
	        		$that.val(temp);
        			//$that.val(list[0]);
        		}
        		
        	}
        },
        fmtDateYMDHM:function(v){
        	var result ="";
        	result += v.substring(0,4);
        	result += "-";
        	result += v.substring(4,6);
        	result += "-";
        	result += v.substring(6,8);
//        	result += " ";
//        	result += v.substring(8,10);
//        	result += ":";
//        	result += v.substring(10,12);
        	return result;
        },
    }
}();
Fw.onReady(App);
