/**
 * 创建应用
 */
var App = function() {
	var index = Fw.getParameters("index");
	//tab1定义数组
	var arrOne;
	var newArrOne;
	//tab2定义数组
	var arrTwo;
	var newArrTwo;
	// tab界面标识
	var tabNub;
	// 用于判断是哪一个选项卡
	var sign;
	var tab;
	var dataListOne;
	var dataListTwo;
	var firstArr = new Array();
	var secondArr = new Array();
	var prePage="";
	//消息中心内容加载模板
	var tpl1 = [
			'{@each data as item,index}',
			'<form style="width:100%;border-top:1px solid #e6e6e6;padding:5px 0;" data-value="${index}" class="ui-form appointQuerySystem">',
			'<div class="ui-form-item">',
			'<label style="font-size:14px;text-align:left;">${item.InfoStartTime|fmtDate,"yyyy-MM-dd"}</label>',
			'<div class="noteTips">${item.InfoName}</div>',
			'</div>', '</form>', '{@/each}' ];
	var tpl2 = [
			'{@each data as item,index}',
			'<form style="width:100%;border-top:1px solid #e6e6e6;padding:5px 0;" data-value="${index}" class="ui-form appointQueryActive">',
			'<div class="ui-form-item">',
			'<label style="font-size:14px;text-align:left;">${item.InfoStartTime|fmtDate,"yyyy-MM-dd"}</label>',
			'<div class="noteTips">${item.InfoName}</div>',
			'</div>', '</form>', '{@/each}' ];
	return {
		/**
		 * 依赖组件
		 */
		requires : [ 'Fw.Tab', 'Fw.app.Session', ],
		viewConfig : {
			title : '消息中心',
			leftButton : {
				text : '左边按钮',
			},
			loadMask : true
		},
		/**
		 * 初始化 应用入口
		 */
		init : function(require) {
			if (Fw.isTouch) {
			}else{
				if(Fw.isEmpty(Fw.getParameters()["prePage"])){
					prePage=document.referrer+"";
				}else{
					prePage=Fw.getParameters()["prePage"];
				}	
			}
			// 初始化tab
			if (index == undefined || index == "3") {
				index = 0;
			};
			this.initTab(index);
			this.initJuicer();
			// 初始化事件
			this.initEvents();
			//this.isIndex();
		},
		/**
		 * 初始化事件
		 */
		initEvents : function() {
		},
		// 加载头部tpl1的数据
		initJuicer : function() {
			juicer.register("JsonToStr", function(data) {
				return JSON.stringify(data);
			});
		},
		/**
		 * 实例化tab
		 */
		initTab : function(index) {
			// 定义选项卡
			tab = new Fw.Tab({
				// 选项卡EL
				contentEl : 'tab',
				// 默认选项卡（默认0）
				activeTab : index
			});
			// 选项卡切换后触发
			tab.on('tabchange', this.onTabChange, this);
		},
		// 切换tab调接口查数据
		onTabChange : function(tab, index) {
			// console.log(tabNub);
			if (index == 0 && index != tabNub) {
				tabNub = index;
				this.initListView1();
			} else if (index == 1 && index != tabNub) {
				tabNub = index;
				this.initListView2();
			}
		},
		// 调接口并加载数据
		initListView1 : function() {
			Fw.util.Ajax.query({
				service : 'notePcQueryService.queryNoteQuery',
				params : {
//					AcNo : '6221272702001679339',
				},
				success : function(data, result) {
					arrOne = data.List;
					newArrOne = new Array();
					for (var i = 0; i < arrOne.length; i++) {
						if (arrOne[i].InfoType == "N") {
							newArrOne.push(arrOne[i]);
						}
					};
					if (newArrOne.length == "0") {
						// 显示“查询无相关数据”
						$("#list1").hide();
						$(".noData1").show();
					};
					// 编译内容模版
					//console.log(newArrOne);
					$("#list1").html(Fw.template(tpl1.join(''), {
						"data" : newArrOne
					}));
					dataListOne = data.List;
					$('.appointQuerySystem').on('click', App.onSelect1);
					Fw.LoadMask.hide(500);
				},
				failure : function(status, textStatus, error) {
				}
			});
		},
		initListView2 : function() {
			Fw.util.Ajax.query({
				service : 'notePcQueryService.queryNoteQuery',
				params : {
//					AcNo : '6221272702001679339',
				},
				success : function(data, result) {
					arrTwo = data.List;
					newArrTwo = new Array();
					for (var i = 0; i < arrTwo.length; i++) {
						if (arrTwo[i].InfoType == "A") {
							newArrTwo.push(arrTwo[i]);
						}
					};
					if (newArrTwo.length == "0") {
						// 显示“查询无相关数据”
						$("#list2").hide();
						$(".noData2").show();
					}
					;
					// 编译内容模版
					$("#list2").html(Fw.template(tpl2.join(''), {
						"data" : newArrTwo
					}));
					dataListTwo = data.List;
					$('.appointQueryActive').on('click', App.onSelect2);
					Fw.LoadMask.hide(500);
				}
			});
		},
		/**
		 * 选中消息记录时触发
		 */
		onSelect1 : function(record, index, item, e, cmp) {
			var data = $(this).attr("data-value");
			data = newArrOne[data];
			sign = 1;
			var infoName = data.InfoName;
			var createTime = Fw.util.Format.fmtDate(data.InfoStartTime,'yyyy-MM-dd');
			var content = data.Content.replaceAll("\n","<br/>");
			var infoType = data.InfoType;
			// 传参到详情界面
			params = {
				'InfoName' : infoName,
				'CreateTime' : createTime,
				'Content' : content,
				'InfoType' : infoType,
			};
			// 跳转详情界面
			params.prePage=prePage;
			Fw.redirect('mainDetail.html', params);
		},
		onSelect2 : function(record, index, item, e, cmp) {
			var data = $(this).attr("data-value");
			data = newArrTwo[data];
			sign = 1;
			var infoName = data.InfoName;
			var createTime = Fw.util.Format.fmtDate(data.InfoStartTime,'yyyy-MM-dd');
			var content = data.Content.replaceAll("\n","<br/>");
			var infoType = data.InfoType;
			params = {
				'InfoName' : infoName,
				'CreateTime' : createTime,
				'Content' : content,
				'InfoType' : infoType,
			};
			params.prePage=prePage;
			Fw.redirect('mainDetail.html', params);
		},
		// 返回按钮
		leftButtonHandler : function() {
			if (Fw.isTouch) {
				Fw.device.Device.gotoIndex();
			} else {
				if(prePage.indexOf(Fw.getBasePath()+"/index.html") > -1){
					Fw.redirect(Fw.getBasePath()+"/page/pageMenu/lifeService.html");
				}else{
					Fw.redirect(prePage);
				}
			}
		}
	};
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
