/**
 * 创建应用
 */
var App = function() {
	var tab;
	var listView;
	// 判断手机还是PC
	var isPhone = Fw.isPhone;
	// 转账方式下拉对象
	var dropDownList;
	// 付款账户下拉对象
	var accountList;
	// 支付方式下拉对象
	var paymentList;
	// 收款行列表
	var selectPayeeWindow;
	// 协议认证下拉对象
	var protocolList;
	var agtList;
	//本行他行标识
	var BankType;
	// 表单一
	var form;
	// 表单二
	var form2;
	//步骤初始化值
	var stepNum = 1;
	// 支付方式
	var payFlag = 0;
	//联系人数据标识
	var friendFlag;
	
	var gotoFlag="0";
	//收款行客户端数据
	var bankData={};
	//收款人客户端数据
	var friendData={"flag":"0"};
	//数据集
	var formValue = {"BookingFlag":"REAL","Code":"CNY","BranchId":"","PayeeBranchName":"","PayeeBankName":"","BankId":"","_LoginType":"O"};
	//添加联系人数据
	var addFriendData={};
	//是否是将联系人带入页面
	var isFriend = false;
	var app_type;
	
	//账号是否错误
//	var AcNoFlag=true;
	var dropDown = [ {
		brchna : '电费',
		BussType : "D200",
		BussKind:"00100",
	}, {
		brchna : '水暖费',
		BussType : "D200",
		BussKind:"00200",
	}, {
		brchna : '煤气费',
		BussType : "D200",
		BussKind:"00300",
	}, {
		brchna : '电话费',
		BussType : "D200",
		BussKind:"00400",
	}, {
		brchna : '通讯费',
		BussType : "D200",
		BussKind:"00500",
	}, {
		brchna : '保险费',
		BussType : "D200",
		BussKind:"00600",
	}, {
		brchna : '房屋管理费',
		BussType : "D200",
		BussKind:"00700",
	}, {
		brchna : '代理服务费',
		BussType : "D200",
		BussKind:"00800",
	}, {
		brchna : '学教费',
		BussType : "D200",
		BussKind:"00900",
	}, {
		brchna : '有线电视费',
		BussType : "D200",
		BussKind:"01000",
	}, {
		brchna : '企业管理费用',
		BussType : "D200",
		BussKind:"01100",
	}, {
		brchna : '薪金报酬',
		BussType : "D200",
		BussKind:"01200",
	}, {
		brchna : '贷款还款房贷类',
		BussType : "D201",
		BussKind:"02025",
	}, {
		brchna : '贷款还款车贷类',
		BussType : "D201",
		BussKind:"02026",
	}, {
		brchna : '贷款还款信用卡类',
		BussType : "D201",
		BussKind:"02027",
	}, {
		brchna : '其他',
		BussType : "D202",
		BussKind:"09001",
	}, {
		brchna : '收款',
		BussType : "D203",
		BussKind:"02029",
	}, {
		brchna : '服装类消费',
		BussType : "D204",
		BussKind:"02030",
	}, {
		brchna : '其他类消费',
		BussType : "D204",
		BussKind:"02043",
	}, {
		brchna : '慈善捐款',
		BussType : "D205",
		BussKind:"02024",
	}, {
		brchna : '理财股票类',
		BussType : "D206",
		BussKind:"02002",
	}, {
		brchna : '理财其他类',
		BussType : "D206",
		BussKind:"02008",
	} ];
	// 付款账户
	var account;
	var payment = [ {
		brchna : '短信认证方式',
		flag : "AC03"
	}, {
		brchna : '其他认证方式',
		flag : "AC99"
	}, {
		brchna : '协议认证方式',
		flag : "AC00"
	},];
	
	var AuthType ="AC03";
	formValue.AuthType = AuthType;
	//
    var emptyTpl='<div class="font-size-18"><div class="ui-no">暂无相关数据</div></div>';

	return {
		/**
		 * 依赖组件
		 */
		requires : [ 'Fw.Form',
		// 列表
		'Fw.ListView',
		// 导入底部滑出下拉选择
		'Fw.DropDownList', 'Fw.Tab', 'Fw.Steps',
		// 支付控件
		'Fw.PayControls','Fw.app.Session',
		//安全键盘
        'Fw.Keyboard',

		],
		/**
		 * 视图设置 设置标题栏、按钮等 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
		 */
		viewConfig : {
			/**
			 * 标题栏标题 如果为空或未设置，则标题栏不显示、左右按钮不显示
			 */
			title : '跨行实时收款',
			/**
			 * 是否自动显示等待层（默认true） 需手动隐藏等待层
			 */
			loadMask : true
		},
		/**
		 * 初始化 应用入口
		 */
		init : function(require) {
			tpl = require('page/pub/otherBankPayee/tpl/001.tpl').join('');
			if (isPhone) {
				// 收款人列表
				$("#friendList").on('click', Fw.bind(this.phoneShowFriendList, this));
				Fw.Keyboard.onHidden = function() {
					App.formatMoney();
					// 1.定位设置页面y轴 解决表单不悬浮提示
					$('body').css({
						'top' : '0px'
					});
					if (Fw.isEmpty(this.target.val()) && !Fw.isEmpty(Fw.util.Storage.get(this.target.attr('name')))) {
						this.target.attr('placeholder', Fw.util.Storage.get(this.target.attr('name')));
						Fw.util.Storage.remove(this.target.attr('name'));
					}

					// sm 是否重启动键盘
					Fw.Keyboard.showKeyboard = true;
				};
			} else {
				// 收款人列表
				this.queryFriendList();
				require('Fw.SelectWindow');
				
				// 收款人列表
				$("#friendList").on('click', Fw.bind(this.showFriendList, this));
				//判断是否为本行信用卡、回显收款行。。。
				$("#money").on('blur', Fw.bind(this.formatMoney, this));
				$("#money").on('input',Fw.bind(this.moneyFunction,this));
			}

			// 初始化显示步骤页面
			this.initPage(stepNum);
			// 初始化步骤组件
			this.initStep();
			// 下拉
			this.dropDownList();
			// 支付方式下拉对象
			this.paymentList();
			// 付款账户下拉对象
			this.accountList();
			//协议认证下拉对象
			this.protocolList();
			$("#step1").show();
			// 表单一
			this.form();
			// 表单二
			this.form2();
			
			this.queryAccount();
			// 监听事件
			this.initEvents();
			// 手动隐藏等待层
			Fw.LoadMask.hide();
			
			
		},
		// 查询用户付款账户
		queryAccount : function() {
			Fw.util.Ajax.get({
				service : 'accountService.getAccount',
				params : {
					type:'2',
				},
				 staticData: false,
				// 请求成功后回调
				success : function(data, result) {
					
					account = data.List
					if(Fw.isEmpty(account) || account.length ==0){
						Fw.Msg.info("您的账户无转账权限功能,请至我行任一网点开通",function(){
							if (isPhone) {
								Fw.gotoIndex();
							} else {
								Fw.redirect(Fw.getBasePath() +"/page/pc/transfer_accounts/index.html");
								
							}
						})
					}else{
						$("#account").val(account[0].option);
						formValue.AcNo=data.List[0].No;
						formValue.BankAcType=data.List[0].BankAcType;
						//根据账号查询余额
						App.queryMoney();
					}
				},
			});
		},
		formatMoney : function() {
			var inputVal = Fw.util.Format.fmtAmt($("#money").val());
			$("#money").val(inputVal);
		},
		/**
		 * 初始化事件
		 */
		initEvents : function() {
			// 点击显示组件坚挺---转账方式
			$('#showMode').on('click',Fw.bind(this.showDropDownListClick, this));
			// 监听select点击事件
			dropDownList.on('itemClick', Fw.bind(this.itemClick, this));

			// 点击显示组件坚挺---支付方式
			$('#showPay').on('click', Fw.bind(this.showpaymentList, this));
			// 监听select点击事件
			paymentList.on('itemClick', Fw.bind(this.paymentClick, this));
			// 点击按钮时触发（保存、重置、重发验证码）
			// buttons.tap(Fw.bind(this.onButtonClick, this));
			$("#next").on('click', Fw.bind(this.next, this));
			$("#next2").on('click', Fw.bind(this.next2, this));
			$("#prev").on('click', Fw.bind(this.prev, this));

			
			$("#card").on('input',Fw.bind(this.testCard,this));
			$("#showBank").on('click', Fw.bind(this.judgeCard, this));
			
			//打印
			$("#share").on("click", Fw.bind(this.print, this));
			
			// 刷新余额
			$("#refresh").on('click', Fw.bind(this.queryMoney, this));
			//记一笔账
			$("#next3").on('click',Fw.bind(this.tallyBook,this))
			//记一笔账
			$("#next4").on('click',Fw.bind(this.tallyBook,this))
		},
		/**
		 * 初始化显示步骤页面
		 */
		initPage : function(num) {
			if (num == 1) {
				$('#step1').show();
				$('#step2').hide();
				$('#step3').hide();
			} else if (num == 2) {
				Fw.LoadMask.show();
				$('#step1').hide();
				$('#step2').show();
				$('#step3').hide();
				if(AuthType == "AC00"){
					$("#idNo2").hide();
					$("#tel2").hide();
				}else{
					$("#idNo2").show();
					$("#tel2").show();
				}
				for(var i in formValue){
					if(i=="Amount"){
						$("#sMon").val(Fw.util.Format.fmtAmt(formValue[i]));
					}
					if(i=="PayeeName"){
						$("#sName").val("*"+formValue[i].substring(1, formValue[i].length));
					}
					if(i=="AcNo"){
						$("#sAcNo").val(Fw.util.Format.fmtAcctNo(formValue[i],true));
					}
					$("[name="+i+"]").val(formValue[i])
					if(i=="AvailBal"){
						$("#sBal").val(Fw.util.Format.fmtAmt(formValue[i]));
					}
				}
				// 手动隐藏等待层
				Fw.LoadMask.hide();
				
				if(AuthType == "AC03"){
					setTimeout(function(){
						Fw.util.Ajax.query({
							socketAdapter:'acrossBank/querySignRuquestIsSuccess',
							params: {
								TranType:"5",
								SeqNo : formValue.OriTranPlatSeqNo,
							},
							staticDate:false,
							//请求成功后回调
							success: function(data, result) {
								Fw.LoadMask.hide();
								if(data.List[0].BussStatus == "7"){
									Fw.Msg.info("交易已撤销",function(){
										Fw.redirect(Fw.getBasePath() +"/page/pub/otherBankPayee/main.html");
									})
									return;
								}
								if(data.List[0].BussStatus == "b"){
									Fw.Msg.info(data.List[0].RejectReason,function(){
										Fw.redirect(Fw.getBasePath() +"/page/pub/otherBankPayee/main.html");
									});
									return;
								}
							}
						});
					}, 10000);
				}
			} else if (num == 3) {
				$('#step1').hide();
				$('#step2').hide();
				$('#step3').show();
				for(var i in formValue){
					if(i=="Amount"){
						$("#Amountsu").html(Fw.util.Format.fmtAmt(formValue[i]));
					}
					if(i=="AcNo"){
						$("#AcNo").html(Fw.util.Format.fmtAcctNo(formValue[i],true));
					}
					$("[name="+i+"]").html(formValue[i])
					if(i=="PayeeName"){
						$("#PayeeName").html("*"+formValue[i].substring(1, formValue[i].length));
					}
				}
				if(AuthType == "AC99"){
					$("#resu").html("跨行实时收款受理成功");
				}else{
					$("#resu").html("跨行实时收款成功");
				}
				if(Fw.isTouch){
					$("#phBt").show();
					$("#pcBt").hide();
				}else{
					$("#phBt").hide();
					$("#pcBt").show();
				}
				App.addFriend();
			}
		},
		/**
		 * 初始化步骤组件
		 */
		initStep : function() {
			var data = [ {
				name : '第一步'
			}, {
				name : '第二步'
			}, {
				name : '第三步'
			} ];
			step = new Fw.Steps({
				contentEl : 'step',
				data : data
			});
		},
		//账号绑定事件
		testCard:function(){
			$("#bank").val("").change();
			$('#skh').removeClass('bank-height');
			$('#skh-h').remove();
			isFriend = false;
			var m = $("#card").val();
			if(!/^[0-9]{0,32}$/.test(m)){
				$("#card").val(m.replace(/[^0-9]/g,"")).change();
				if($("#card").val().length > 32){
					$("#card").val($("#card").val().slice(0,$("#card").val().length-1));
				}
			}
			
		},
		
		//网银互联银行路由
		judgeCard : function(){
			if(Fw.isEmpty($("#card").val())){
				Fw.Tips.info("请输入付款人账号");
				return;
			}
			Fw.util.Ajax.query({
				socketAdapter:'otherBankPayeeService/queryMCIBPSBankRouter',
	       		params: {
	       			acNo:$("#card").val(),
				 },
	             staticDate:false,
	             //请求成功后回调
	             success: function(data, result) {
	            	if(!Fw.isEmpty(data.BankName)){
	            		$("#bank").val(data.BankName);
	            		formValue.PayeeBankName=data.BankName;
	            		formValue.BankId=data.BankCode;
	            	}else{
	            		if(isFriend){
	            			$("#bank").val(formValue.PayeeBankName);
	            		}else{
	            			App.collectingBank();
	            		}
	            	}
	             }
	         });
		},
//		//金额绑定事件
		moneyFunction:function(){
			$('#skh').removeClass('bank-height');
			var m = Fw.util.Format.unFmtAmt($("#money").val());
			//保留小数点后的0
			var v=$("#money").val().trim()+"";
	    	if(v.indexOf("¥")==0){
	    	   v=v.substring(1,v.length);
	    	}
	    	v=v.replaceAll(",","");
	    	var money;
	    	if(v.indexOf('.')>11){
				money = v.slice(0,v.indexOf('.')-1)+v.slice(v.indexOf('.'), v.length);
			}else{
				money = v.slice(0,v.length-1);
			}
	    	money = Fw.util.Format.fmtAmt(money);
			if(!/^[0-9]+\.?(\d{2})?$/.test(v)){
				if(/^(([1-9]\d*)|0)(\.\d+)?$/.test(v)){
					if((v.length-v.indexOf('.')-1)>2){
						$("#money").val(money).change();
					}
				}else{
					$("#money").val(money).change();
				}
			}else{
				if(!/^[0-9]{1,11}([.][0-9]{1,2})?$/.test(m)){
 					$("#money").val(money).change();
				}
			}
		},
		//查询银行列表
		queryBank:function(){
	         //查询数据
	       	Fw.util.Ajax.query({
	       		service:'transferService.queryBankList',
	       		params: {
	       			InterbankType:"PAY2G",
				 },
	               staticDate:false,
	               //请求成功后回调
	               success: function(data, result) {
	            	   data.flag="PAY2G";
	            	   data.json={
	            			PayeeBankId: "402391000068",
		           	   		PayeeBankName: "福建农信行内转账"
	            	   };
	            	   Fw.apply(bankData,data)
	            	   Fw.device.Device.showBankList(bankData,'App.getBank');
	               }
	           });
		},
		//客户端查询收款人数据
		queryFriendData:function(){
			Fw.util.Ajax.query({
				service : 'transferService.queryFriendList',
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					Fw.apply(friendData,data);
					Fw.LoadMask.hide();
					Fw.device.Device.showFriendList(friendData,'App.getFriend')
				}
			});
		},
		//手机端选择收款行
		phoneCollectingBank:function(){
			//查询收款行
			App.queryBank();
			
		},
		//手机端选择收款人
		phoneShowFriendList:function(){
			//联系人
			App.queryFriendData();
			
		},
		//客户端收款行选择回调
		getBank:function(data){
			data=data.replaceAll('"','\"')
        	data=JSON.parse(data)
        	formValue.BankId=data.PayeeBankId;
			formValue.PayeeBankName=data.PayeeBankName;
			$("#bank").val(data.PayeeBankName);
		},
		//客户端收款人选择回调
		getFriend:function(data){
//			alert(data);
			data=data.replaceAll('"','\"')
        	data=JSON.parse(data)
        	//先清空之前保存的信息
        	formValue.BranchId="";
			formValue.PayeeBranchName="";
			formValue.BankId="";
			formValue.PayeeBankName="";
			$("#name").val(data.PayeeAcName).change();
			$("#card").val(data.PayeeAcNo).change();
			$("#bank").val("").change();
			$('#skh').removeClass('bank-height');
			$('#skh-h').remove();
			isFriend = true;
			formValue.BankType=data.BankType;
			formValue.PayeeBranchName=data.PayeeDeptName;
			formValue.BranchId=data.PayeeDeptId;
			formValue.PayeeBankName=data.PayeeBankName;
			formValue.BankId=data.PayeeBankId;
			App.judgeCard();
		},
		//选择收款行
		collectingBank:function(){
			formValue.InterbankType = "PAY2G"
			if(isPhone){
				App.phoneCollectingBank()
			}else{
				App.webCollectingBank()
			}
		},
		//web收款行选择
		webCollectingBank:function(){
			Fw.Window.show({
				
				title : '收款行选择',
				url : 'page/pc/transfer_accounts/bankList.html',
				autoCloseHandler: function(win, content, app){
					if(!Fw.isEmpty(app.getValue().BankId)){
						formValue.BankId=app.getValue().BankId;
						formValue.PayeeBankName=app.getValue().PayeeBankName;
						$("#bank").val(app.getValue().PayeeBankName);
					}
                },
			});
		},
		//根据账号查询余额-----刷新余额
		queryMoney:function(){
			Fw.util.Ajax.get({
				service :'accountService',
				method :'getAccountInfo',
				params: {
					AcNo:formValue.AcNo
				},
				// 是否使用数据挡板（默认false）
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					if(Fw.isEmpty(data.AvailBal)){
						$("#balance").val("查询失败");
					}else{
						$("#balance").val(Fw.util.Format.fmtAmt(data.AvailBal));
					}
					formValue.PayerAccountAcName = data.ClientName;
					formValue.AvailBal= data.AvailBal;
					formValue.OpenAcctBranchName= data.OpenAcctBranchName;
					//保存行内付款账户的客户号
					formValue.FCifNo = data.CifNo;
					if(Fw.isEqual(formValue.FCifNo, formValue.SCifNo)){
						//存放手续费交易BusinessType业务类型字段
						moneyData.BusinessType="per.MCSavToSavTransfer";
					}
				},
				//请求错误后回调
                failure: function(status, textStatus, error) {
                   if(Fw.isEqual(error, "此卡已销卡") || Fw.isEqual(error, "该帐户已销户")){
                	   $("#exception").show();	
                	   $("#next2").prop('disabled', true);
                   }
                   $("#balance").val("查询失败");
                }
			});
		},
		// pc-查询收款人列表
		queryFriendList : function() {
			/**
			 * 查询数据
			 */
			Fw.util.Ajax.get({
				socketAdapter : 'transferService/queryFriendList',
				params: {
//					PayeeAcType : "1",
				},
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					if(!data.List.length==0){
						// 初始化窗体
						App.friend(data);
					}else{
						friendFlag=0;
					}
					
					
				}
			});
		},
		
		friend : function(data) {
	   		friendList = new Fw.SelectWindow(
				{
					// 必须参数，数据集
					data : data.List,
					width:560,
					height:540,
					itemTpl : [
							'<div class="content-info">',
							'<div style="float:left;">',
							'{@if item.PayeeBankId=="402391000068"||item.PayeeBankId=="301290000007"||item.PayeeBankId=="105100000017"||item.PayeeBankId=="103100000026"||item.PayeeBankId=="102100099996"||item.PayeeBankId=="104100000004"||item.PayeeBankId=="308584000013"}',
							'<img style="width: 25px;vertical-align: middle;" src="images/transfer_accounts/deaufult.png">',
							'{@else if item.BankType=="0"}',
							'<img style="width: 25px;vertical-align: middle;" src="images/transfer_accounts/402391000068.png">',
							'{@else}<img style="width: 25px;vertical-align: middle;" src="images/transfer_accounts/deaufult.png">',
							'{@/if}',
							'</div>',
							'<div class="ui-nowrap" style="width:28%;float:left;padding-left: 5px;font-size:14px;color: #333333;font-family: "微软雅黑";">${item.PayeeAcName}</div>',
							'<div style="width:12%;margin: 0 8px;float:left;font-size:14px;color: #333333;font-family: "微软雅黑";">尾号${item.PayeeAcNo|fmtAcctNoEnd}</div>',
							'<div class="ui-nowrap" style="width:45%;float:left;font-size:14px;color: #333333;font-family: "微软雅黑";">',
							'{@if item.PayeeBankName !=null && item.PayeeBankName !="" }',
							'${item.PayeeBankName}',
							'{@else}${item.PayeeDeptName}', '{@/if}</div>',

							'</div>', ],
				});
		},
		// 收款人的点击事件
		showFriendList : function(e) {
			if(friendFlag==0){
				Fw.Tips.info("未查询到相关记录")
			}else{
				// 显示弹框
				friendList.showSelectWindow();
				// 弹出窗口完成事件
				friendList.on('submit', Fw.bind(this.friendSubmit, this));
			}
			
		},
		/**
		 * 选择框完成事件
		 */
		friendSubmit : function(e, data) {
			$("#name").val(data[0].PayeeAcName).change();
			$("#bank").val("").change();
			$('#skh').removeClass('bank-height');
			$('#skh-h').remove();
			isFriend = true;
			$("#card").val(data[0].PayeeAcNo).change();
			moneyData.BusinessType="";
			formValue.BankType=data[0].BankType;
			formValue.PayeeBranchName=data[0].PayeeDeptName;
			formValue.BranchId=data[0].PayeeDeptId;
			formValue.PayeeBankName=data[0].PayeeBankName;
			formValue.BankId=data[0].PayeeBankId;

		},
		// 转账方式下拉
		dropDownList : function() {
			dropDownList = new Fw.DropDownList({
				result : dropDown,
				displayNo : false,
				displayName : 'brchna',
				cursorBtn : false,
			});
		},
		// 付款账户下拉
		accountList : function() {
			accountList = new Fw.DropDownList({
				result : account,
				displayNo : false,
				displayName : 'option',
				cursorBtn : false,
			});
			// 点击显示组件坚挺---付款账户
			$('#showAccount').on('click', Fw.bind(this.showAccountList, this));
			// 监听select点击事件
			accountList.on('itemClick', Fw.bind(this.accountClick, this));
		},
		
		protocolList : function(){
			protocolList = new Fw.DropDownList({
				result : agtList,
				displayNo : false,
				displayName : 'AgtNo',
				cursorBtn : false,
			});
			// 点击显示组件坚挺---付款账户
			$('#proTo').on('click', Fw.bind(this.showProtocolList, this));
			// 监听select点击事件
			protocolList.on('itemClick', Fw.bind(this.protocolClick, this));
		},
		
		// 支付方式下拉
		paymentList : function() {
			// 实例化下拉
			paymentList = new Fw.DropDownList({
				// //必须参数：结果集
				result : payment,
				// 是否显示账号
				displayNo : false,
				// 显示字段
				displayName : 'brchna',
				// 是否显示手动输入
				cursorBtn : false,
			// //可配置参数：设置不可点击参数值，1.默认[0],2.具体值，"不可点击字段“值等于"不可点击参数值"该项不可点击
//				disableFieldValue : '1',
			});

		},
		// 表单一
		form : function() {
			// 定义表单
			form = new Fw.Form({
				// EL
				contentEl : 'form',
				resettable : false,
				msgTarget : 'tips'
			});
		},
		//表单文本输入框、多行文本输入框输入时触发（不含单选、多选、下拉框） 失去焦点时出发
		onChange : function(name, value, oldValue, field) {
			
		},	
		/**
		 * 触发提交事件前触发
		 */
		beforeSubmit : function(values) {
		},
		/**
		 * 提交表单
		 */
		doSubmit : function(values) {
			Fw.apply(formValue, values);
			if(Fw.isEqual(BankType, "0")){
				if(!Fw.isEqual(formValue.ClientName, values.peeAcName)){
					Fw.Tips.info("账户与户名不符")
					return;
				}else{
					App.showNext(values);
				}
			}else{
				App.showNext(values);
			}
		},
		next : function() {
			var Amount=Fw.util.Format.unFmtAmt($("#money").val());
			var name = $('#name').val();
			if(Amount == ""){
				Fw.Tips.info("请输入收款金额");
				return 
			}
			if(Amount == "0"){
				Fw.Tips.info("收款金额不能为0");
				return 
			}
			if(AuthType == "AC00"){
				if($("#proTocol").val() == ""){
					Fw.Tips.info("请选择支付协议号")
					return;
				}
			}
			if(name == ""){
				Fw.Tips.info("请输入或选择付款人")
				return;
			}
			if($("#card").val() == ""){
				Fw.Tips.info("请输入付款人账号")
				return;
			}
			if($("#card").val().length < 4 ){
				Fw.Tips.info("付款人账号不能少于4位")
				return;
			}
			if(AuthType != "AC00"){
				if(Fw.isEmpty($("#bank").val())){
					Fw.Tips.info("请选择付款人银行")
					return;
				}
			}
			if(AuthType != "AC00"){
				if(Fw.isEmpty($("#type").val())){
					Fw.Tips.info("请选择授权支付的业务种类")
					return;
				}
			}
			if(name.indexOf("&") > -1){
				Fw.Tips.info("您输入的付款人名称含有非法字符，请重新输入。");
				return;
			}
			if($("#manual").val().indexOf("&") > -1){
				Fw.Tips.info("您输入的用途中含有非法字符，请重新输入。");
				return;
			}
			formValue.Amount= Amount;
			formValue.addFriend= $("#addFriend").is(':checked');
			formValue.peeAcNo= $("#card").val();
			formValue.PayerIdentInfo= $("#idCardNo").val();
			formValue.PayerPhoneNo= $("#telNo").val();
			formValue.Postscript= $("#manual").val();
			formValue.peeAcName= name;
			formValue.PayeeName = Fw.app.Session.getName();
			App.showNext(formValue);
		},
		form2 : function() {
			// 定义表单
			form2 = new Fw.Form({
				contentEl : 'form2',
				resettable : false,
				msgTarget : 'tips'
			});
		},
		onChange2 : function(name, value, oldValue, field) {
		},
		/**
		 * 触发提交事件前触发
		 */
		beforeSubmit2 : function(values) {
		},
		/**
		 * 提交表单
		 */
		doSubmit2 : function(values) {
			
		},
		/**
		 * 转账方式
		 */
		showDropDownListClick : function() {
			$('#skh').removeClass('bank-height');
			$('#skh-h').remove();
			dropDownList.show();
		},
		itemClick : function(data, index) {
			$("#type").val(data.brchna).change();
			formValue.BussName = data.brchna;
			formValue.BussType = data.BussType;
			formValue.BussKind = data.BussKind;
		},
		/**
		 * 付款账户
		 */
		showAccountList : function() {
			if(account.length!=0){
				accountList.show(account);
			}
		},
		showProtocolList : function(){
			if(account.length!=0){
				protocolList.show(agtList);
			}
		},
		accountClick : function(data, index) {
			//
			if (index != -1) {
				$("#account").val(data.option);
				formValue.PayerAccountBankAcType=data.BankAcType;
				formValue.AcNo=data.No;
				formValue.BankAcType=data.BankAcType;
				//根据账号查询余额
				App.queryMoney();
				//查询查询协议
				if(AuthType == "AC00"){
					App.queryProtocol();
				}
			}
		},
		protocolClick : function(data, index){
			$("#proTocol").val(data.AgtNo);
			formValue.AgtNo=data.AgtNo;
			formValue.AgtStatus=data.AgtStatus;
			
			//展示协议查询回来的内容
			$("#name").val(data.OppsAcctName);
			$("#card").val(data.OppsAcctNo);
			$("#showProBank").val(data.RecvBranchName);
			$("#proType").val(App.showProType(data.BussKind));
			formValue.BankId=data.RecvBranchId;
			formValue.PayeeBankName=data.RecvBranchName;
			formValue.peeAcName= data.OppsAcctName;
			formValue.peeAcNo= data.OppsAcctNo;
		},
		showProType : function(data){
			var typeList = {
					"00100" : "电费", "00200" : "水暖费", "00300" : "煤气费","00400" : "电话费", "00500" : "通讯费", "00600" : "保险费",
					"00700" : "房屋管理费","00800" : "代理服务费","00900" : "学教费","01000":"有线电视费","00900" : "学教费","01000":"有线电视费",
					"00900" : "学教费","01000":"有线电视费","00900" : "学教费","01000":"有线电视费","01100" : "企业管理费用","01200":"薪金报酬",
					"02025" : "贷款还款房贷类","02026":"贷款还款车贷类","02027" : "贷款还款信用卡类","09001":"其他","02029" : "收款","02030":"服装类消费",
					"02031" : "饰品类消费","02032":"家居类消费","02033" : "生活类消费","02034":"食品类消费","02035" : "虚拟类消费","02036":"机票类消费",
					"02037" : "旅游类消费","02038":"美容类消费","02039" : "数码类消费","02040":"电器类消费","02041" : "文体类消费","02042":"酒店类消费",
					"02043" : "其他类消费","02024":"慈善捐款","02002" : "理财股票类","02003":"理财基金类","02004" : "理财保险类","02005":"理财彩票类",
					"02006" : "理财黄金类","02007":"理财债券类","02008" : "理财其他类"
			}
			for(var i =0;i<dropDown.length;i++){
				if(dropDown[i].BussKind == data){
					formValue.BussType = dropDown[i].BussType;
					formValue.BussKind = dropDown[i].BussKind;
				}
			}
			formValue.BussName = typeList[data];
			return typeList[data];
		},
		// 支付方式
		showpaymentList : function() {
			paymentList.show(payment);
		},
		paymentClick : function(data, index) {
			$("#pay").val(data.brchna).change();
			formValue.AuthType = data.flag;
			AuthType = data.flag;
			if(AuthType == "AC00"){
				$("#skh").hide();
				$("#showIdCardNo").hide();
				$("#showTelNo").hide();
				$("#showProTo").show();
				$("#showProBank").show();
				$("#showProTy").hide();
				$("#showProType").show();
				$("#friendList").hide();
				$("#name").attr("readonly", "readonly");
				$("#card").attr("readonly", "readonly");
				$("#proBank").attr("readonly", "readonly");
				$("#proType").attr("readonly", "readonly");
				App.queryProtocol();
			}else{
				$("#skh").show();
				$("#showProTy").show();
				$("#showIdCardNo").show();
				$("#showTelNo").show();
				$("#showProType").hide();
				$("#showProTo").hide();
				$("#friendList").show();
				$("#showProBank").hide();
				$("#name").removeAttr("readonly");
				$("#card").removeAttr("readonly");
				$("#proBank").removeAttr("readonly");
				$("#proType").removeAttr("readonly");
			}
		},
		queryProtocol : function(){
			Fw.util.Ajax.query({
				socketAdapter : 'acrossBank/queryProtocol',
				params : {
					CustType : "01",
					SendFlag : "01",
					AgtType : "CAPT",
					AcctNo : formValue.AcNo,
					AcctName : formValue.PayeeName,
					AcctType : "AT01"
				},
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					agtList = data.List;
					$("#proTocol").val(data.List[0].AgtNo);
					formValue.AgtNo=data.List[0].AgtNo;
					formValue.AgtStatus=data.List[0].AgtStatus;
					
					//展示协议查询回来的内容
					$("#proType").val(App.showProType(data.List[0].BussKind));
					$("#name").val(data.List[0].OppsAcctName);
					$("#card").val(data.List[0].OppsAcctNo);
					$("#proBank").val(data.List[0].RecvBranchName);
					formValue.BankId=data.List[0].RecvBranchId;
					formValue.PayeeBankName=data.List[0].RecvBranchName;
					formValue.peeAcName= data.List[0].OppsAcctName;
					formValue.peeAcNo= data.List[0].OppsAcctNo;
				},
				failure : function(statues, textStatus, error) {
					if (error == "查询无返回记录") {
						Fw.Msg.info("查询无协议记录，请先进【跨行支付协议签约】交易进行支付协议的签约")
					}
				}
			});
		},
		showNext : function(data) {
			if(AuthType == "AC03"){
				$("#smsCode").show();
				$("#tip2").show();
				App.executeMCIBPSDebitBusiness();
			}else{
				$("#smsCode").hide();
				$("#tip2").hide();
				stepNum = 2;
				App.initPage(2);
				step.nextStep();
			}
			Fw.apply(addFriendData,data)
			
		},
		next2 : function() {
			if(AuthType == "AC03"){
				if(Fw.isEmpty($("#sms").val())){
					Fw.Tips.info("请输入对方行提供的验证码");
					return;
				}
				formValue.AuthCode = $("#sms").val();
				App.querySmsCodeValidate();
			}else{
				App.executeMCIBPSDebitBusiness();
			}
			
		},
		querySmsCodeValidate : function(){
			Fw.util.Ajax.query({
				socketAdapter : 'acrossBank/querySmsCodeValidate',
				params : formValue,
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					stepNum = 3;
					App.initPage(3);
					step.nextStep();
				},
				failure : function(statues, textStatus, error) {
					Fw.Msg.info(error, function(){
						location.reload();
					})
					return false;
				}
			});
		},
		executeMCIBPSDebitBusiness : function(){
			Fw.util.Ajax.execute({
				socketAdapter : 'otherBankPayeeService/executeMCIBPSDebitBusiness',
				params : formValue,
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					formValue.OriTranPlatSeqNo = data.SupNbankSeqNo
					if(stepNum == 1){
						stepNum = 2;
						App.initPage(2);
						step.nextStep();
					}else{
						stepNum = 3;
						App.initPage(3);
						step.nextStep();
					}
				},
				failure : function(statues, textStatus, error) {
					Fw.Msg.info(error, function(){
						if(stepNum == 2){
							location.reload();
						}
					});
					return false;
				}
			});
		},
		prev : function() {
			this.initPage(1);
			stepNum = 1
			step.prevStep();
		},

		leftButtonHandler : function() {
			if (stepNum == 2) {
				App.prev();
			} else if(stepNum == 3){
				Fw.redirect(Fw.getBasePath() +"/page/pub/otherBankPayee/main.html");
			}else{
				if(isPhone){
					Fw.gotoIndex();
				}else{
					Fw.redirect(Fw.getBasePath() +"/page/pageMenu/otherBank.html")
				}
			}
		},
		//记一笔账
		tallyBook:function(){
			Fw.redirect(Fw.getBasePath() + "/page/pub/accountBook/Note/writeNote/main.html",{AddParam:{AcNo:formValue.AcNo,Amount:formValue.Amount},pageParam:{aimUrl:"/page/pub/otherBankPayee/main.html",BookType:"1"}});
		},
		//转账成功添加联系人
		addFriend:function(){
			//是否加入联系人登记簿
			if(addFriendData.addFriend=="1"){
				if(Fw.isEmpty(formValue.BankId)){
//						if(Fw.isEmpty(formValue.BankId))
					addFriendData.PayeeDeptId=formValue.BranchId;
					addFriendData.PayeeDeptName=addFriendData.bank;
				}else{
					addFriendData.PayeeBankId=formValue.BankId;
					addFriendData.PayeeBankName=formValue.PayeeBankName;
				}
				addFriendData.BankType="1";
				addFriendData.PayeeType="P";
				addFriendData.PayeeAcType="0";
				if(Fw.isEqual(addFriendData.peeAcName, Fw.app.Session.getName())){
					addFriendData.PayeeFlag="0";
				}else{
					addFriendData.PayeeFlag="1";
				}
				
				Fw.util.Ajax.get({
	                socketAdapter:'transferService/insertFriend',
	                params:addFriendData,
	                staticData: false,
	                //请求成功后回调
	                success: function(data, result) {
	                	
	                },
	            });
			}
		},
		print : function() {
			var pif = document.createElement('iframe');
			var doc = null;
			pif.setAttribute("style", "display:none;");
			pif.setAttribute("id", "printIframe");
			pif.setAttribute("name", "printIframeN");
			document.body.appendChild(pif);
			doc = pif.contentWindow.document;
			formValue.TransDate = Fw.util.Format.fmtDate(Fw.getDate(), 'yyyy-MM-dd hh:mm');
			formValue.BDate = Fw.getDate();
			var html = Fw.template(tpl).render(formValue);
			doc.write('<link type="text/css" rel="stylesheet" href="' + Fw.getBasePath() + '/theme/src/default/css/default.css">');
			doc.write('<link type="text/css" rel="stylesheet" href="' + Fw.getBasePath() + '/theme/src/default/css/default.responsive.css">');
			doc.write('<link type="text/css" rel="stylesheet" href="' + Fw.getBasePath() + '/theme/src/default/css/default.pc.css">');
			doc.write(html);
			doc.close();
			pif.contentWindow.document.title = "　";
			pif.contentWindow.focus();
			pif.contentWindow.print();
		},
	}

}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);