/**
 * 创建应用
 */
var App = function() {
	var form;
	var buttons = $('button');
	var dropDownList;
	var dropDownList1;
	var data = [];
	var data1 = [];
	var el;
	var powerData;
	var gotoPageType;
	var template = [ {
		ItemName : '中国移动',
		BussTypeName : '中国移动',
		ItemCode2 : '0002',
		ItemCode1 : '900000',
		ItemCode : '0001',
		BussType : '0001'
	}, {
		ItemName : '中国联通',
		BussTypeName : '中国联通',
		ItemCode2 : '0003',
		ItemCode1 : '900000',
		ItemCode : '0001',
		BussType : '0001'
	}, {
		ItemName : '中国电信',
		BussTypeName : '中国电信',
		ItemCode2 : '0001',
		ItemCode1 : '900000',
		ItemCode : '0001',
		BussType : '0001'
	} ];
	var ItemCode;
	var listView;
	var flag;
	var formValueData = {};
	var functions = [ {
		ItemName : '立即缴费'
	}, {
		ItemName : '修改缴费信息'
	}, {
		ItemName : '删除缴费信息'
	}, {
		ItemName : '取消'
	} ];
	//
	return {
		/**
		 * 依赖组件
		 */
		requires : [
		// 表单
		'Fw.Form',
		// 列表
		'Fw.ListView', 'Fw.DropDownList', 'Fw.TableView', 'Fw.app.Session' ],
		/**
		 * 视图设置 设置标题栏、按钮等 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
		 */
		viewConfig : {
			/**
			 * 标题栏标题 如果为空或未设置，则标题栏不显示、左右按钮不显示
			 */
			title : '我的缴费',
			/**
			 * 左边按钮（默认显示） 如果为false，则左边按钮不显示 leftButton: '左边按钮'
			 */
			leftButton : {
				text : '左边按钮',
			},
		},
		/**
		 * 初始化 应用入口
		 */
		init : function(require) {
			var params = Fw.getParameters() || {};
			powerData = Fw.util.Storage.get('powerData');
			powerData = Fw.decode(powerData);
			// 定义列表 常用缴费查询
			listView = new Fw.ListView(
					{
						contentEl : 'list',
						ajax : {
							service : 'paymentInfoManagement.queryPaymentInfoList',
							params : {
								ItemCode : "",
								ItemCode1 : "",
								ItemCode2 : "",
							},
							rootProperty : 'result.List',
							pageSize : 10,
							page : true,
							staticData : false
						},
						disclosure : true,
						itemTpl : [
								'<div class="bag_pay">',
								'<img  src="images/${item.BussType}.png"  style="width:25px;height:25px;"></img>',
								'</div>',
								'<div class="ui-list-info ui-hand">',
								'<ul class="ui-nowrap" >',
								'<li class="li-info-type">${item.BussTypeName}　</li>',
								'<li class="li-info-company ui-nowrap" >{@if item.BussType!="0001"&&item.BussType!="0002"&&item.BussType!="0003"}${item.TraderCodeName}　{@/if}</li>',
								'<li class="li-info-name" >{@ifitem.UserName=="null" || item.UserName==""|| item.UserName==null}{@else}${item.UserName}|{@/if}{@if item.UserNo!=null||item.UserNo!=""}${item.UserNo}{@/if}{@if item.Remark!=null&&item.Remark!=""}(${item.Remark})　{@/if}</li>',
								'</ul>', '</div>' ]
					});
			// 定义表单
			form = new Fw.Form({
				contentEl : 'form',
				resettable : false,
				msgTarget : 'tips'
			});
			// 实例化下拉
			dropDownList = new Fw.DropDownList({
				result : data1,
				displayNo : false,
				displayName : 'ItemName',
				cursorBtn : false,
				disableFieldValue : '1'
			});
			listView.loadData();
			$('#list-loadmore-text').hide();
			$('#list-loadmore').hide();
			listView.ajax.on('queryerror', this.onQuery, this);
			listView.ajax.on('query', this.onQueryAfter, this);
			// 初始化事件
			this.initEvents();
			this.queryPayment();
			// 手动隐藏等待层
		},
		/**
		 * 初始化事件
		 */
		initEvents : function() {
			// 点击按钮时触发（保存、重置、重发验证码）
			buttons.tap(Fw.bind(this.onButtonClick, this));
			// 选中记录时触发
			listView.on('itemclick', this.onSelect, this);
			// 点击下拉框选择缴费类型
			$('.select-select').on('click', Fw.bind(this.selectClick));
			// 新增按钮跳转新增缴费信息
			$('.add-add').on('click', Fw.bind(this.addLifePayment, this));
			// 监听select点击事件
			dropDownList.on('itemClick', Fw.bind(this.itemClick, this));
		},
		// 下拉框显示内容
		// 缴费类型
		showDropDownListClick1 : function() {
			App.id = "selectetype";
			if (Fw.isEmpty(data1)) {
				App.queryPayment();
			} else {
			}
			dropDownList.show(data1);
		},
		// 立即缴费等
		showDropDownListClick2 : function() {
			App.id = "selectediteam";
			dropDownList.show(functions);
		},
		/**
		 * 监听select点击事件
		 */
		itemClick : function(data, index) {
			if (App.id == "selectetype") {
				Fw.apply(formValueData, data)
				$('#select').text(data.ItemName);
				ItemCode = data.ItemCode;
				ItemCode1 = data.ItemCode1;
				ItemCode2 = data.ItemCode2;
				// 设置查询条件
				if (Fw.isEqual("0001", data.ItemCode)) {
					listView.ajax.setParams({
						'ItemCode1' : ItemCode1,
						'ItemCode2' : ItemCode2
					});
				} else {
					listView.ajax.setParams({
						'ItemCode' : ItemCode,
						'ItemCode1' : "",
						'ItemCode2' : ""
					});
				}
				listView.loadData();
			} else if (App.id == "selectediteam") {
				App.record.ItemCode = App.record.BussType;
				App.record.ItemCode1 = App.record.RegionNo;
				App.record.ItemCode2 = App.record.TraderCode;
				App.record.ItemCode3 = App.record.UserNo;
				App.record.ItemCode4 = App.record.UserName;
				if (App.record.ItemCode == '0001') {
					App.record.ItemName = App.record.BussTypeName;
				} else {
					App.record.ItemCode5 = App.record.BussTypeName;
					App.record.ItemCode7 = App.record.TraderCodeName;
					App.record.ItemCode6 = App.record.RegionNoName;
				}
				App.record.ItemCode9 = "3";
				App.record.ItemCode10 = App.record.CifAgentSeq;
				App.record.index = "1";
				App.dataSet = {
					record : App.record,
					sign : "1",
					mark : 0,
				};
				if (Fw.isEmpty(App.record.RegionNo) || Fw.isEmpty(App.record.TraderCode)) {
					App.dataSet.moveSign = "1";
					App.dataSet.move = "1";
				}
				if (data.ItemName == '立即缴费') {
					if (App.record.BussType == "108") {// 电费
						if (Fw.isTouch) {
							Fw.device.Device.getMenuPower("生活服务", "M040200", "App.phone_GotoJiaofei")
						} else {
							if (Fw.isEqual("T", powerData.df)) {
								if (Fw.isEmpty(App.record.RegionNo) || Fw.isEmpty(App.record.TraderCode)) {
									Fw.redirect(Fw.getBasePath() + '/page/pub/lifeService/electricityPartion/lifePayment.html', App.dataSet);
								} else {
									Fw.redirect(Fw.getBasePath() + '/page/pub/lifeService/electricityPartion/login_payment.html', App.dataSet);
								}
							} else {
								Fw.Msg.info("尊敬的客户，由于系统升级，该功能暂时停用，给您造成的不便，敬请谅解，具体开启时间请关注我行公告。");
							}
						}
					} else if (App.record.BussType == "202") {// 学费
						if (Fw.isTouch) {
							Fw.device.Device.getMenuPower("生活服务", "M040400", "App.phone_GotoJiaofei")
						} else {
							if (Fw.isEqual("T", powerData.xf)) {
								if (Fw.isEmpty(App.record.RegionNo) || Fw.isEmpty(App.record.TraderCode)) {
									Fw.redirect(Fw.getBasePath() + '/page/pub/lifeService/educationPartion/lifePayment.html', App.dataSet);
								} else {
									Fw.redirect(Fw.getBasePath() + '/page/pub/lifeService/educationPartion/login_payment.html', App.dataSet);
								}
							} else {
								Fw.Msg.info("尊敬的客户，由于系统升级，该功能暂时停用，给您造成的不便，敬请谅解，具体开启时间请关注我行公告。");
							}
						}
					} else if (App.record.BussType == "207") {// 物业费
						if (Fw.isTouch) {
							Fw.device.Device.getMenuPower("生活服务", "M040500", "App.phone_GotoJiaofei")
						} else {
							if (Fw.isEqual("T", powerData.wyf)) {
								if (Fw.isEmpty(App.record.RegionNo) || Fw.isEmpty(App.record.TraderCode)) {
									Fw.redirect(Fw.getBasePath() + '/page/pub/lifeService/propertyManagementFee/lifePayment.html', App.dataSet);
								} else {
									Fw.redirect(Fw.getBasePath() + '/page/pub/lifeService/propertyManagementFee/login_payment.html', App.dataSet);
								}
							} else {
								Fw.Msg.info("尊敬的客户，由于系统升级，该功能暂时停用，给您造成的不便，敬请谅解，具体开启时间请关注我行公告。");
							}
						}
					} else if (App.record.BussType == "102") {// 水费
						if (Fw.isTouch) {
							Fw.device.Device.getMenuPower("生活服务", "M040300", "App.phone_GotoJiaofei")
						} else {
							if (Fw.isEqual("T", powerData.sf)) {
								if (Fw.isEmpty(App.record.RegionNo) || Fw.isEmpty(App.record.TraderCode)) {
									Fw.redirect(Fw.getBasePath() + '/page/pub/lifeService/waterPartion/lifePayment.html', App.dataSet);
								} else {
									Fw.redirect(Fw.getBasePath() + '/page/pub/lifeService/waterPartion/login_payment.html', App.dataSet);
								}
							} else {
								Fw.Msg.info("尊敬的客户，由于系统升级，该功能暂时停用，给您造成的不便，敬请谅解，具体开启时间请关注我行公告。");
							}
						}
					} else if (App.record.BussType == "105") {// 有线电视费
						if (Fw.isTouch) {
							Fw.device.Device.getMenuPower("生活服务", "M040600", "App.phone_GotoJiaofei")
						} else {
							if (Fw.isEqual("T", powerData.yxdsf)) {
								if (Fw.isEmpty(App.record.RegionNo) || Fw.isEmpty(App.record.TraderCode)) {
									Fw.redirect(Fw.getBasePath() + '/page/pub/lifeService/wireTelevision/lifePayment.html', App.dataSet);
								} else {
									Fw.redirect(Fw.getBasePath() + '/page/pub/lifeService/wireTelevision/login_payment.html', App.dataSet);
								}
							} else {
								Fw.Msg.info("尊敬的客户，由于系统升级，该功能暂时停用，给您造成的不便，敬请谅解，具体开启时间请关注我行公告。");
							}
						}
					} else if (App.record.BussType == "107") {// 电信缴费
						if (Fw.isTouch) {
							Fw.device.Device.getMenuPower("生活服务", "M040700", "App.phone_GotoJiaofei")
						} else {
							if (Fw.isEqual("T", powerData.dxjf)) {
								if (Fw.isEmpty(App.record.RegionNo) || Fw.isEmpty(App.record.TraderCode)) {
									Fw.redirect(Fw.getBasePath() + '/page/pub/lifeService/telecomunication/lifePayment.html', App.dataSet);
								} else {
									Fw.redirect(Fw.getBasePath() + '/page/pub/lifeService/telecomunication/login_payment.html', App.dataSet);
								}
							}
						}
					} else if (App.record.BussType == "203") {// 公租房租金
						if (Fw.isTouch) {
							Fw.device.Device.getMenuPower("生活服务", "M041910", "App.phone_GotoJiaofei")
						} else {
							if (Fw.isEqual("T", powerData.gzfzj)) {
								Fw.redirect(Fw.getBasePath() + '/page/pub/lifeService/housingPartion/login_payment.html', App.dataSet);
							} else {
								Fw.Msg.info("尊敬的客户，由于系统升级，该功能暂时停用，给您造成的不便，敬请谅解，具体开启时间请关注我行公告。");
							}
						}
					} else if (App.record.BussType == "302") {// 党费
						if (Fw.isTouch) {
							Fw.device.Device.getMenuPower("生活服务", "M041900", "App.phone_GotoJiaofei")
						} else {
							if (Fw.isEqual("T", powerData.dangf)) {
								Fw.redirect(Fw.getBasePath() + '/page/pub/lifeService/partyMembershipDues/login_payment.html', App.dataSet);
							} else {
								Fw.Msg.info("尊敬的客户，由于系统升级，该功能暂时停用，给您造成的不便，敬请谅解，具体开启时间请关注我行公告。");
							}
						}
					} else if (App.record.BussType == "208"){//医保
						if (Fw.isTouch) {
							Fw.device.Device.getMenuPower("生活服务", "M041920", "App.phone_GotoJiaofei")
						} else {
							if (Fw.isEqual("T", powerData.ybdbjf)) {
								Fw.redirect(Fw.getBasePath() + '/page/pub/lifeService/hospital/login_payment.html', App.dataSet);
							} else {
								Fw.Msg.info("尊敬的客户，由于系统升级，该功能暂时停用，给您造成的不便，敬请谅解，具体开启时间请关注我行公告。");
							}
						}
						
					} else if (App.record.ItemCode == '0001' || App.record.ItemCode == '0002' || App.record.ItemCode == '0003') {
						if (Fw.isTouch) {
							Fw.device.Device.getMenuPower("生活服务", "M040100", "App.phone_GotoJiaofei")
						} else {
							if (Fw.isEqual("T", powerData.hfcz)) {
								Fw.redirect(Fw.getBasePath() + '/page/pub/lifeService/recharge/main.html', App.record);
							} else {
								Fw.Msg.info("尊敬的客户，由于系统升级，该功能暂时停用，给您造成的不便，敬请谅解，具体开启时间请关注我行公告。");
							}
						}
					}
				} else if (data.ItemName == '修改缴费信息') {
					console.log(App.record.type);
					Fw.redirect('modify.html', App.record);
				} else if (data.ItemName == '删除缴费信息') {
					App.record.ItemCode = App.record.BussType;
					App.record.ItemCode1 = App.record.RegionNo;
					App.record.ItemCode2 = App.record.TraderCode;
					App.record.ItemCode3 = App.record.UserNo;
					App.record.ItemCode4 = App.record.UserName;
					App.record.ItemCode9 = "3";
					App.record.ItemCode10 = App.record.CifAgentSeq;
					Fw.Msg.cfm('您确定要删除该条缴费记录', function(code, btn, win) {
						if (code == 'yes') {
							Fw.util.Ajax.execute({
								socketAdapter : 'paymentInfoManagement/executeFunctionPaymentInfo',
								params : App.record,
								staticData : false,
								// 请求成功后回调
								success : function(data, result) {
									Fw.Msg.info("删除成功", function() {
										$(el).remove();
										if (Fw.isEqual($("#list").find("li").length, 0)) {
											$('#list-loadmore-text').hide();
											$('#list-loadmore').hide();
											$('#list').html("<p style='height: 45px;line-height:45px;text-align:center;'>未查询到相关信息</p>");
										}
									})
								}
							});
						} else if (code == 'no') {
						}
					});
				} else if (data.ItemName == '取消') {
				}
			}
		},
		phone_GotoJiaofei : function(data) {
			if (Fw.isEqual("T", data)) {
				if (App.record.BussType == "108") {
					if (Fw.isEmpty(App.record.RegionNo) || Fw.isEmpty(App.record.TraderCode)) {
						Fw.redirect(Fw.getBasePath() + '/page/pub/lifeService/electricityPartion/lifePayment.html', App.dataSet);
					} else {
						Fw.redirect(Fw.getBasePath() + '/page/pub/lifeService/electricityPartion/login_payment.html', App.dataSet);
					}
				} else if (App.record.BussType == "202") {
					if (Fw.isEmpty(App.record.RegionNo) || Fw.isEmpty(App.record.TraderCode)) {
						Fw.redirect(Fw.getBasePath() + '/page/pub/lifeService/educationPartion/lifePayment.html', App.dataSet);
					} else {
						Fw.redirect(Fw.getBasePath() + '/page/pub/lifeService/educationPartion/login_payment.html', App.dataSet);
					}
				} else if (App.record.BussType == "302") {
					Fw.redirect(Fw.getBasePath() + '/page/pub/lifeService/partyMembershipDues/login_payment.html', App.dataSet);
				} else if (App.record.BussType == "208"){
					Fw.redirect(Fw.getBasePath() + '/page/pub/lifeService/hospital/login_payment.html', App.dataSet);
				} else if (App.record.BussType == "203") {
					Fw.redirect(Fw.getBasePath() + '/page/pub/lifeService/housingPartion/login_payment.html', App.dataSet);
				} else if (App.record.BussType == "207") {
					if (Fw.isEmpty(App.record.RegionNo) || Fw.isEmpty(App.record.TraderCode)) {
						Fw.redirect(Fw.getBasePath() + '/page/pub/lifeService/propertyManagementFee/lifePayment.html', App.dataSet);
					} else {
						Fw.redirect(Fw.getBasePath() + '/page/pub/lifeService/propertyManagementFee/login_payment.html', App.dataSet);
					}
				} else if (App.record.BussType == "102") {
					if (Fw.isEmpty(App.record.RegionNo) || Fw.isEmpty(App.record.TraderCode)) {
						Fw.redirect(Fw.getBasePath() + '/page/pub/lifeService/waterPartion/lifePayment.html', App.dataSet);
					} else {
						Fw.redirect(Fw.getBasePath() + '/page/pub/lifeService/waterPartion/login_payment.html', App.dataSet);
					}
				} else if (App.record.BussType == "105") {
					if (Fw.isEmpty(App.record.RegionNo) || Fw.isEmpty(App.record.TraderCode)) {
						Fw.redirect(Fw.getBasePath() + '/page/pub/lifeService/wireTelevision/lifePayment.html', App.dataSet);
					} else {
						Fw.redirect(Fw.getBasePath() + '/page/pub/lifeService/wireTelevision/login_payment.html', App.dataSet);
					}
				} else if (App.record.BussType == "107") {
					if (Fw.isEmpty(App.record.RegionNo) || Fw.isEmpty(App.record.TraderCode)) {
						Fw.redirect(Fw.getBasePath() + '/page/pub/lifeService/telecomunication/lifePayment.html', App.dataSet);
					} else {
						Fw.redirect(Fw.getBasePath() + '/page/pub/lifeService/telecomunication/login_payment.html', App.dataSet);
					}
				} else if (App.record.ItemCode == '0001' || App.record.ItemCode == '0002' || App.record.ItemCode == '0003') {
					Fw.redirect(Fw.getBasePath() + '/page/pub/lifeService/recharge/main.html', App.record);
				}
			} else {
				Fw.Msg.info("尊敬的客户，由于系统升级，该功能暂时停用，给您造成的不便，敬请谅解，具体开启时间请关注我行公告。");
			}
		},
		addLifePayment : function(e) {
			Fw.redirect('addLifePayment.html');
		},
		/**
		 * 缴费类型查询
		 */
		queryPayment : function() {
			// 查询数据
			Fw.util.Ajax.query({
				socketAdapter : 'paymentInfoManagement/queryPaymentType',
				params : {},
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					var filterArray = $.grep(data.List, function(value) {// 102 水费， 105 有线电视 ，107 电信话费，108 电费，202 学费，207 物业费
						if (value.ItemCode == '102' || value.ItemCode == '105' || value.ItemCode == '107' || value.ItemCode == '108' || value.ItemCode == '202' || value.ItemCode == '203' || value.ItemCode == '207' || value.ItemCode == '302') {
							return true;
						} else {
							return false;
						}
					});
					Array.prototype.push.apply(template, filterArray);
					App.data = template;
				}
			});
		},
		/**
		 * 查询数据前触发
		 * @param {Object} Ajax对象
		 * @param {Object} 请求报文
		 * @param {String} 请求路径
		 */
		onBeforeQuery : function(ajax, message, url) {
			ajax.setParams('ItemCode', ItemCode);
		},
		/**
		 * 中国移动/中国联通/中国电信
		 */
		onBeforeQueryMobile : function(ajax, message, url) {
			ajax.setParams({
				'ItemCode' : ItemCode,
				'ItemCode1' : ItemCode1,
				'ItemCode2' : ItemCode2
			});
		},
		/**
		 * 查询错误后 query 方法
		 */
		onQuery : function(ajax, data, result, error) {
			if (error == "无符合条件的记录") {
				$("#list").html("<p style='height: 45px;line-height:45px;text-align:center;'>未查询到相关信息</p>");
			} else {
				$('#list-loadmore-text').show();
				$('#list-loadmore').show();
			}
		},
		/**
		 * 查询数据之后没有数据 query方法
		 */
		onQueryAfter : function(ajax, data, result) {
			if (Fw.isEmpty(data)) {
				$("#list").html("<p style='height: 45px;line-height: 45px;text-align:center;'>未查询到相关信息</p>").show();
				$('#list-loadmore-text').hide();
				$('#list-loadmore').hide();
			} else {
				$('#list-loadmore-text').show();
				$('#list-loadmore').show();
				$('#list-loadmore').removeClass("ui-border-t");
			}
		},
		/**
		 * 显示组件
		 */
		selectClick : function() {
			App.id = "selectetype";
			dropDownList.show(App.data);
		},
		/**
		 * 选中记录时触发
		 */
		onSelect : function(record, index, item, e, cmp) {
			App.record = record;
			el = e.currentTarget;
			this.showDropdownlist();
		},
		showDropdownlist : function() {
			App.id = "selectediteam";
			dropDownList.show(functions);
		},
		/**
		 * 点击按钮时触发（保存、重置、重发验证码）
		 */
		onButtonClick : function(e) {
			switch (e.target.id) {
			// 提交表单
			case 'submit-btn':
				form.submit();
				break;
			// 表单重置
			case 'reset-btn':
				form.reset();
				break;
			// 重发验证码
			case 'resend-btn':
				Fw.Tips.info('重发验证码...');
				break;
			}
		},
		leftButtonHandler : function() {
			if (Fw.isTouch) {
				Fw.gotoIndex();
			} else {
				Fw.redirect(Fw.getBasePath() + "/page/pageMenu/lifeService.html");
			}
		}
	};
}();
/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);