/**
 * 创建应用
 */
var App = function() {
	var tab;
	var buttons = $('button[id*=btn]');
	// 下拉框
	var dropDownList1;
	var dropDownList2;
	var dropDownList3;
	var form;
	var data3 = [];
	var data = [];
	var data2 = [];
	var CifAgentSeq;
	var template = [ 
		{
		ItemName : '中国移动',
		ItemCode2 : '0002',
		ItemCode1 : '900000',
		ItemCode : '0001'
	}, {
		ItemName : '中国联通',
		ItemCode2 : '0003',
		ItemCode1 : '900000',
		ItemCode : '0002'
	}, {
		ItemName : '中国电信',
		ItemCode2 : '0004',
		ItemCode1 : '900000',
		ItemCode : '0003'
	}
	];
	var del = Fw.getParameters();
	var BussType;
	return {
		/**
		 * 依赖组件
		 */
		requires : [ 'Fw.DropDownList', 'Fw.Form', ],
		/**
		 * 视图设置 设置标题栏、按钮等 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
		 */
		viewConfig : {
			/**
			 * 标题栏标题 如果为空或未设置，则标题栏不显示、左右按钮不显示
			 */
			title : '修改缴费信息',
			/**
			 * 左边按钮（默认显示） 如果为false，则左边按钮不显示 leftButton: '左边按钮'
			 */
			leftButton : {
			},

		/**
		 * 是否自动显示等待层（默认true） 需手动隐藏等待层
		 */
		// loadMask: false
		},
		/**
		 * 初始化 应用入口
		 */
		init : function(require) {
			// 定义表单
			form = new Fw.Form({
				// EL
				contentEl : 'form',
				// 是否激活重置事件（默认false）
				// 单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
				resettable : false,
				// 校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
				msgTarget : 'tips'
			});
			CifAgentSeq = del.CifAgentSeq;
			if(del.ItemCode == '0001'){
				$('.payment_area').hide();
				$('.payment_corporation').hide();
				$('[name="field3"]').val(del.Remark || "").change();
				$('[name="field2"]').val(del.UserName || "").change();
				$('[name="field1"]').val(del.UserNo || "").change();
				$('[name="select1"]').val(del.BussTypeName || "").change();
				this.queryPaymentTele();
			}else{
				$('[name=field3]').val(del.Remark || "").change();
				$('[name=field2]').val(del.UserName || "").change();
				$('[name=field1]').val(del.UserNo || "").change();
				$('[name=select3]').val(del.TraderCodeName || "").change();
				$('[name=select2]').val(del.RegionNoName || "").change();
				$('[name=select1]').val(del.BussTypeName || "").change();
				BussType= del.BussType;
				this.queryLX();
				this.queryDQ(del.BussType);
				this.queryDW(del.BussType,del.ItemCode1);
				
			}
			
			// 实例化下拉 缴费类型
			dropDownList1 = new Fw.DropDownList({
				result : data,
				displayNo : false,
				displayName : 'ItemName',
				cursorBtn : false,
				disableFieldValue : '1'
			});
			// 实例化下拉 缴费地区
			dropDownList2 = new Fw.DropDownList({
				result : data2,
				displayNo : false,
				displayName : 'ItemName',
				cursorBtn : false,
				disableFieldValue : '1'
			});
			// 实例化下拉 缴费单位
			dropDownList3 = new Fw.DropDownList({
				result : data3,
				displayNo : false,
				displayName : 'ItemName',
				cursorBtn : false,
				disableFieldValue : '1'
			});

			App.data = {};
			App.values = {};// 修改提交数据
			// 初始化事件
			this.initEvents();
		},

		/**
		 * 初始化事件
		 */
		initEvents : function() {
			buttons.tap(Fw.bind(this.onButtonClick, this));
			$('#select1').on('click', Fw.bind(this.select1Click));
			$('#select2').on('click', Fw.bind(this.select2Click));
			$('#select3').on('click', Fw.bind(this.select3Click));
			// 监听select点击事件
			dropDownList1.on('itemClick', Fw.bind(this.item1Click, this));
			dropDownList2.on('itemClick', Fw.bind(this.item2Click, this));
			dropDownList3.on('itemClick', Fw.bind(this.item3Click, this));
			$('[name="field1"]').on('blur',Fw.bind(this.RegxValue,this))
		},
		RegxValue:function(){
			var phoneNum = $('[name="field1"]').val().replace(/[^0-9a-zA-Z+-]/g, "");
			$('[name="field1"]').val(phoneNum);
		},

		leftButtonHandler : function() {
			Fw.redirect('main.html');
		},
		/**
		 * 过滤特殊字符 校验输入特殊字符
		 */
		stripscript : function() {
			var ddd = $('[name="field1"]').val().replace(/\s/g, "");
			var fl = !/^[0-9a-zA-z+-]*$/.test(ddd);
			var phoneNum0 = $('[name="field1"]').val();
			var phoneNum = $('[name="field1"]').val().replace(/[^0-9a-zA-Z+-]/g, "");
			var l = phoneNum0.length - phoneNum.length;
			if(!Fw.isIOS){
				$('[name="field1"]').val(phoneNum + "");
			}else if(Fw.isEmpty(phoneNum)){
				$('[name="field1"]').val("");
			}else if(fl){
				$('[name="field1"]').val(phoneNum + "");
			}else{
				
			}
			
		},
		/**
		 * 点击按钮时触发（）
		 */
		onButtonClick : function(e) {
			switch (e.target.id) {
			// 确认 添加
			case 'btn_sure_modify':
				App.values.UserNo = $('[name=field1]').val();
				App.values.UserName = $('[name=field2]').val();
				App.values.BussTypeName = $('[name="select1" ]').val();
				App.values.RegionNoName = $('[name=select2]').val();
				App.values.TraderCodeName = $('[name=select3]').val();
				App.values.Remark = $('[name="field3"]').val();
				if (App.checkUpdateVal()) {
					
					if ($('.payment_area').is(":hidden") && $('.payment_corporation').is(":hidden")) {
						if (Fw.isEmpty(App.values.UserNo)) {
							Fw.Tips.info('请输入缴费号码');
						} else if(Fw.isEmpty(App.values.UserName)){
							Fw.Tips.info('请输入用户姓名');
						}else {
							Fw.apply(App.data, {
								"ItemCode8" : App.values.Remark,
								"ItemCode5" : App.values.BussTypeName,
								"ItemCode6" : App.values.RegionNoName,
								"ItemCode7" : App.values.TraderCodeName,
								"ItemCode3" : App.values.UserNo,
								"ItemCode4" : App.values.UserName,
								"ItemCode9" : "2",
								"ItemCode10" : CifAgentSeq,
								"ItemCode":BussType
							});
							Fw.Msg.cfm('确认修改', function(code, btn, win) {
								if (code == "yes") {
//									Fw.msg.info(App.data.ItemCode);
									Fw.util.Ajax.execute({
										socketAdapter : 'paymentInfoManagement/executeFunctionPaymentInfo',
										params : App.data,
										staticData : false,
										success : function(data, result) {
											Fw.redirect(Fw.getBasePath() + '/page/pub/paymentInfoManage/main.html');
										}
									});
								} else if (code == "no") {

								}
							});
						}
					} else if ($('.payment_area').is(":visible") && $('.payment_corporation').is(":visible")) {
						if (Fw.isEmpty(App.values.RegionNoName)) {
							Fw.Tips.info('请选择缴费地区');
						} else if (Fw.isEmpty(App.values.TraderCodeName)) {
							Fw.Tips.info('请选择缴费单位');
						}else if(Fw.isEmpty(App.values.UserNo)){
							Fw.Tips.info('请输入缴费号码');
						} else if(Fw.isEmpty(App.values.UserName)){
							Fw.Tips.info('请输入用户姓名');
						}else {
							Fw.apply(App.data, {
								"ItemCode8" : App.values.Remark,
								"ItemCode5" : App.values.BussTypeName,
								"ItemCode6" : App.values.RegionNoName,
								"ItemCode7" : App.values.TraderCodeName,
								"ItemCode3" : App.values.UserNo,
								"ItemCode4" : App.values.UserName,
								"ItemCode9" : "2",
								"ItemCode10" : CifAgentSeq,
								"ItemCode":BussType
							});
							Fw.Msg.cfm('确认修改', function(code, btn, win) {
								if (code == "yes") {
//									Fw.msg.info(App.data.ItemCode);
									Fw.util.Ajax.execute({
										socketAdapter : 'paymentInfoManagement/executeFunctionPaymentInfo',
										params : App.data,
										staticData : false,
										success : function(data, result) {
											Fw.redirect(Fw.getBasePath() + '/page/pub/paymentInfoManage/main.html');
										}
									});
								} else if (code == "no") {

								}
							});
						}
					}
				} else {
					Fw.Msg.info("请做修改后再提交！");
				}
				break;
			}
		},
		checkUpdateVal : function() {
			for ( var key in App.values) {// 遍历判断是否修改过数据
				if (!Fw.isEqual(App.values[key], del[key])) {
					return true;
				}
			}
			return false;
		},
		//联通、电信、移动缴费类型
		queryPaymentTele : function() {
			Fw.apply(App.data, {});
			// 查询数据
			Fw.util.Ajax.query({
				socketAdapter : 'paymentInfoManagement/queryPaymentType',
				params : App.data,
				staticData : false,
				success : function(data, result) {
//					App.data.ItemCode = del.BussType;
					var filterArray = $.grep(data.List, function(value) {//102 水费， 105 有线电视 ，107 电信话费，108 电费，202 学费，207 物业费
						if (value.ItemCode == '102' || value.ItemCode == '105' ||value.ItemCode == '107' 
							||value.ItemCode == '108' ||value.ItemCode == '202' ||value.ItemCode == '202' 
							||value.ItemCode == '207' ) {
							return true ;
						}else {
							return false;
						}
					});
					
					
					App.List1 = filterArray;
					Array.prototype.push.apply(App.List1, template);
				}
			});
		},
		//查询类型
		queryLX:function(){
			Fw.util.Ajax.query({
				socketAdapter : 'paymentInfoManagement/queryPaymentType',
				staticData : false,
				success : function(data, result) {
					var filterArray = $.grep(data.List, function(value) {//102 水费， 105 有线电视 ，107 电信话费，108 电费，202 学费，207 物业费
						if (value.ItemCode == '102' || value.ItemCode == '105' ||value.ItemCode == '107' 
							||value.ItemCode == '108' ||value.ItemCode == '202' ||value.ItemCode == '202' 
							||value.ItemCode == '207' ) {
							return true ;
						}else {
							return false;
						}
					});
					
					
					App.List1 = filterArray;
					Array.prototype.push.apply(App.List1, template);
				}
			})
		},
		//查询地区
		queryDQ:function(data){
			Fw.util.Ajax.query({
				socketAdapter : 'paymentInfoManagement/queryPaymentArea',
				params : {
					ItemCode:data
				},
				staticData : false,
				success : function(data2, result) {
//					App.data.ItemCode1 = data2.List[0].ItemCode;
					App.List2 = data2.List;
				},
				//请求错误后回调
                failure: function(status, textStatus, error) {
                	App.List2 = [];
                }
			})
		},
		//查询单位
		queryDW:function(ItemCode,ItemCode1){
			Fw.util.Ajax.query({
				socketAdapter : 'paymentInfoManagement/queryPaymentCorporation',
				params : {
					ItemCode:ItemCode,
					ItemCode1:ItemCode1
				},
				staticData : false,
				success : function(data3, result) {
//					App.data.ItemCode2 = data3.List[0].ItemCode;
					App.List3 = data3.List;
				},
				//请求错误后回调
                failure: function(status, textStatus, error) {
                	App.List3 = [];
                }
			});
		},
		/**
		 * 显示组件
		 */
		select1Click : function() {
			dropDownList1.show(App.List1);
		},
		select2Click : function() {
			if(Fw.isEmpty(App.List2)){
				Fw.Msg.info("请重新选择缴费类型");
			}else{
				dropDownList2.show(App.List2);
			}
			
		},
		select3Click : function() {
			if(Fw.isEmpty(App.List3)){
				Fw.Msg.info("请重新选择缴费地区");
			}else{
				dropDownList3.show(App.List3);
			}
		},

		//类型点击事件
		item1Click : function(data, index) {
			form.setValues({
				select1 : data.ItemName
			});

			if (data.ItemName == '中国移动' || data.ItemName == '中国联通' || data.ItemName == '中国电信') {
				$('.payment_area').hide();
				$('.payment_corporation').hide();
				BussType= data.ItemCode;
			} else {
				$('.payment_area').show();
				$('.payment_corporation').show();
//				App.data.ItemCode = data.ItemCode;
				BussType= data.ItemCode;
				$("#select2").val("").change();
				$("#select3").val("").change();
				App.queryDQ(data.ItemCode);
			}
		},
		//地区点击事件
		item2Click : function(data, index) {
			form.setValues({
				select2 : data.ItemName
			});

			App.data.ItemCode1 = data.ItemCode;
			App.queryDW(BussType,data.ItemCode);
			$("#select3").val("").change();
		},
		//单位点击事件
		item3Click : function(data, index) {
			form.setValues({
				select3 : data.ItemName
			});
			App.data.ItemCode2 = data.ItemCode;
		},
	};
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
