/**
 * 创建应用
 */
var App = function() {
    //
	var formValue;
    return {
        /**
         * 依赖组件
         */
        requires : [
            //表单
            'Fw.Form',
        ],
        /**
         * 视图设置
         * 设置标题栏、按钮等
         * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
         */
        viewConfig: {
        },
        /**
         * 初始化
         * 应用入口
         */
        init : function(require) {
        	if(Fw.isTouch){
        		var viewConfig = {
    					title : '跨行账户信息查询协议',
    					leftButton : {
    						handler : function(){
    							App.back();
    						}
    					},
    			}
    			Fw.device.Device.applyView(viewConfig);
        		$(".ui-btn-wrap").show();
        	}
        	formValue = Fw.getParameters();
        	$(".AcctNo").text(formValue.AcctName+" "+formValue.AcctNo);
        	$(".OppsBranchName").text(formValue.OpenAcctBranchName);
        	 //初始化事件
            this.initEvents();
            //手动隐藏等待层
            Fw.LoadMask.hide(500);
        },
        /**
         * 初始化事件
         */
        initEvents: function(){
        	$("#yes").on('click', Fw.bind(this.yes, this));
        	$("#no").on('click', Fw.bind(this.no, this));
        },
        yes:function(){
        	formValue.flag="1";
    		Fw.redirect(Fw.getBasePath() +"/page/pub/pendingTran/queryTran.html",formValue);
        },
        no:function(){
        	formValue.flag="2";
    		Fw.redirect(Fw.getBasePath() +"/page/pub/pendingTran/queryTran.html",formValue);
        },
        back:function(){
        	formValue.flag="0";
    		Fw.redirect(Fw.getBasePath() +"/page/pub/pendingTran/queryTran.html",formValue);
        },
    };
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
