/**
 * 创建应用
 */
var App=function(){
	
	var dropDownList,param,select_data_Account,inquiryAccount,AccountNo,listView,acctNo,acctName,acctBankType,listParam,paramer;
	var isPhone = Fw.isPhone;// 判断手机还是PC
	var del = Fw.getParameters() || {};
	return{
		requires : ['Fw.Form','Fw.ListView','Fw.DropDownList'],
		viewConfig : {
			title : '协议查询及撤销',
			leftButton : {
				text : '返回',
				handler:function(){
	    			App.back();
	    		}
			}
			
		},
		back: function(){
			if(isPhone){
				Fw.gotoIndex();
			}else{
				var url=Fw.getBasePath()+"/page/pageMenu/moreMenu.html";
				Fw.redirect(url);
			}
	    },
	    getListView : function(){
	    	if (Fw.isEmpty(listView)) {
				listView = new Fw.ListView({
					// EL
					contentEl : 'list',
					// 数据请求对象（为空时，可通过loadData加载静态数据，但不支持beforequery、query事件）
					ajax : {
						// 数据源（服务接口）
						socketAdapter : 'accountCancelService/executeProtocolInfoList',
						// 请求参数
						params : {
							AgtStatus:"02",
							AcctNo : "",
							AcctName:""
						},
						rootProperty : 'result.List',
						// 分页参数
						
						pageSize : 10,
						// 是否使用数据挡板（默认false）
						staticData : false,
						page : true
					},
					disclosure : true,
					// 数据展现模版
					itemTpl : [ '<form style="width:100%;border-top:0px solid #E6E6E6;" class="ui-form">',
					            '<div class="ui-form-item" style="padding-left:0px;height:34px; line-height: 34px;">',
								'<label class="overHidden" style="text-align:left;margin-left:15px;color:#333;">',
								'{@if (item.CustType=="01")}',
								'付款人账号:',
								'{@else if (item.CustType=="02")}',
								'收款人账号:',
								'{@else if (item.CustType=="03")}',
								'被查询人账号:',
								'{@else}',
								'查询人账号:',
								'{@/if}',
								'</label>',
								'<div style="margin-left: 125px;overflow: hidden;text-overflow: ellipsis;white-space: nowrap;">',
								'{@if (item.CustType=="01")}',
								'${item.OppsAcctNo}',
								'{@else if (item.CustType=="02")}',
								'${item.OppsAcctNo}',
								'{@else if (item.CustType=="03")}',
								'${item.OppsAcctNo}',
								'{@else}',
								'${item.OppsAcctNo}',
								'{@/if}',
								'</div>',
								
								'</div>',
								'<div class="ui-form-item" style="padding-left:0px;height:34px; line-height: 34px;">',
								'<label style="text-align:left;margin-left:15px;color:#333;" >',
								'{@if (item.CustType=="01")}',
								'付款人名称:',
								'{@else if (item.CustType=="02")}',
								'收款人名称:',
								'{@else if (item.CustType=="03")}',
								'被查询人名称:',
								'{@else}',
								'查询人名称:',
								'{@/if}',
								'</label>',
								'<div style="margin-left: 125px;" >',
								'{@if (item.CustType=="01")}',
								'${item.OppsAcctName}',
								'{@else if (item.CustType=="02")}',
								'${item.OppsAcctName}',
								'{@else if (item.CustType=="03")}',
								'${item.OppsAcctName}',
								'{@else}',
								'${item.OppsAcctName}',
								'{@/if}',
								'</div>',
								/*'<i class="x-glyph-f054" style="position: relative;  top: -39px;right: -94%;"></i>',*/
								'</div>',
								'<div class="ui-form-item" style="padding-left:0px;height:34px; line-height: 34px;">',
								'<label style="text-align:left;margin-left:15px;color:#333;" >',
								'{@if (item.CustType=="01")}',
								'付款人银行:',
								'{@else if (item.CustType=="02")}',
								'收款人银行:',
								'{@else if (item.CustType=="03")}',
								'被查询人银行:',
								'{@else}',
								'查询人银行:',
								'{@/if}',
								'</label>',
								'<div style="margin-left: 125px;color:#ef2525;" >',
								'{@if (item.CustType=="01")}',
								'${item.OppsOpenBranchName}',
								'{@else if (item.CustType=="02")}',
								'${item.OppsOpenBranchName}',
								'{@else if (item.CustType=="03")}',
								'${item.OppsOpenBranchName}',
								'{@else}',
								'${item.OppsOpenBranchName}',
								'{@/if}',
								'</div>',
								'</div>',
							'</form>' 
							]
				});
			}
		},
		
		init : function(require){
			Fw.LoadMask.hide();
			this.getAccounts();
			
		},
		
		initEvents : function(){
			
			$("#query").on('click', Fw.bind(this.query, this));
			
			dropDownList = this.initDropDownList(select_data_Account);
			
			$('#inquiry-account').on('click', Fw.bind(this.selected, this, [ dropDownList ]));
			
			dropDownList.on('itemClick', Fw.bind(this.itemClick, this));
			
			
		},
		/*
		 * 获取账号数据
		 */
		getAccounts: function(){
			Fw.util.Ajax.get({
        		service: 'accountService',
                method: 'getAccount',
                params: {
                	type:'2'
                },
                success: function(data, result) {
                	if (data.List.length == 0) {
						Fw.Msg.info('您的账户无转账权限功能，请至我行任一网点开通。',function() {
							
									Fw.redirect(Fw.getBasePath()+"/page/pageMenu/moreMenu.html");
								});
                	}else{
                		App.setAccounts(data);
                		App.getListView();
                		
                		if(del.flag==1){
            				App.query();
            			}
                		$("#list-loadmore").hide();
                	}	
                },
                failure: function(status, textStatus, error) {
                	
                }
            });
		},
		/*
		 * 遍历账号数据
		 */
		setAccounts:function(data){
			var list = data.List;
			select_data_Account=[];
			for(var i = 0;i<list.length;i++){
				select_data_Account[select_data_Account.length]={
						 option : list[i].option,
						 value : list[i].No,
						 type : list[i].Name,
						 acctType : list[i].BankAcType
				}
			}
			App.fadeSelect_set_value(select_data_Account[0].option,select_data_Account[0].value,select_data_Account[0].type,select_data_Account[0].acctType);
			
			App.initEvents();
		},
		/*
		 * 给$('#inquiry-account')赋值
		 */
		fadeSelect_set_value: function(option,value,type,acctType){
			$('#inquiry-account').val(option)
			acctNo = value;
			//console.log(acctNo);
			acctName = type;
			acctBankType = acctType;
        	
		},
		/*
		 * 点击查询button 查询什么数据
		 */
		query : function(){
			
				Fw.LoadMask.hide();
				
				listParam = {
						AgtStatus:"02",
						AcctNo:acctNo,
						AcctName:acctName
				};
				listView.ajax.setParams(listParam);
				// 加载数据AcctNo,AgtStatus,AcctName
				// 查询数据后触发
				// listView.ajax.on('queryerror', this.onQuery, this);
				// 选中一条记录到详细页面
				listView.on('itemclick', this.onSelect, this);
				// 查询数据后触发
				listView.ajax.on('query', this.onQueryAfter, this);
				// 查询错误后触发
				listView.ajax.on('queryerror', this.onQuery, this);
				listView.ajax.on('error', this.onError, this);
				listView.loadData();
		},
		onSelect : function(record, index, item, e, cmp) {
			paramer = {
					AccountNumber : acctNo
			};
			Fw.applyIf(paramer,record);
			var type = record.CustType;
			if(type=="01"){
				Fw.redirect("payment.html",record);
			}else if(type=="02"){
				Fw.redirect("collection.html",record);
			}else if(type=="03"){
				Fw.redirect("queried.html",record);
			}else{
				Fw.redirect("inquiry.html",record);
			}
		},
		onQueryAfter : function(ajax, data, result) {
		},
		onQuery : function(ajax, data, result, error) {
			if(Fw.isEqual(error, "查询无返回记录")){
        		Fw.Msg.info("查询无协议记录",function (){
        		});
        	}else{
        		Fw.Msg.info(error)
        	}
		},
		onError : function(ajax, status, textStatus, error, xhr) {
			$("#" + listView.contentEl + "-loadmore-text").html("未查询到相关记录");
		},
		initDropDownList : function(data) {
			var dropDownList = new Fw.DropDownList({
				
				result : data,
				displayNo : false,
				lastSubNo : 4,
				displayName : "option",
				cursorBtn : false,
				disableFieldValue : '1'
			});
			return dropDownList;
		},
		selected : function(obj) {
			
			obj.show(obj.result);
		},
		itemClick : function(data, index) {
			App.fadeSelect_set_value(data.option,data.value,data.type);
			$("#list").html("");
			App.query();
		},
	};
}();

Fw.onReady(App);
