/**
 * 创建应用
 */
var App=function(){
	
	var smsCountDown,param,SupNbankSeqNo,params0;
	var param = Fw.getParameters();
	
	return{
		requires : ['Fw.SmsCountDown'],
		viewConfig : {
			title : '跨行查询协议签约',
			leftButton : {
				text : '返回',
				handler:function(){
	    			App.back();
	    		}
			}
			
		},
		back : function(){
			
			Fw.redirect("main.html",params0);
		},
		getCrossBankBusiJnlQry : function(){
			Fw.util.Ajax.execute({
				socketAdapter: 'accountCancelService/executeMCIBPSCrossBankBusiJnlQry',
                
                params: {
                	
                	TranType : "5",
                	SeqNo : param.SupNbankSeqNo
                },
                success: function(data, result) {
                	if(data.List[0].BussStatus=="7"){
                		Fw.Msg.info('交易已撤销,请重新发起签约交易', function() {
							Fw.redirect(Fw.getBasePath()+"/page/pub/queryProtocolSigning/main.html");
						});
                	}else if(data.List[0].BussStatus=="b"){
                		var reason=data.List[0].RejectReason;
						Fw.Msg.info(reason, function() {
							Fw.redirect(Fw.getBasePath()+"/page/pub/queryProtocolSigning/main.html");
						});
                	}
                	
                },
                failure: function(status, textStatus, error) {
                }
                
            });
		},
		init : function(require){
			Fw.LoadMask.hide();
			setTimeout('App.getCrossBankBusiJnlQry()',10000);
			this.Writes();
			this.initEvents();
			
		},
		Writes : function(){
			var acctNo = param.AcctNo;
	    	var l=acctNo.length
	    	acctNo = acctNo.substr(0, 4)+"****"+acctNo.substr(l-4);
			$('input[name=field1]').val(acctNo);
			$('input[name=field2]').val("*"+param.AcctName.substr(1));
			$('input[name=field3]').val(param.QueriedAcctNo);
			$('input[name=field4]').val(param.QueriedAcctName);
			$('input[name=field5]').val(param.QueriedBank);
			$('input[name=field6]').val(param.QueriedType);
			$('input[name=field7]').val(param.CertificateNo0);
			$('input[name=field8]').val(param.Phone0);
			params0 = {
					QueriedAcctNo:param.QueriedAcctNo,
					QueriedAcctName:param.QueriedAcctName,
					QueriedBank:param.QueriedBank,
					QueriedType:param.QueriedType,
					CertificateNo0:param.CertificateNo0,
					Phone0:param.Phone0,
					OppsOpenBranchId:param.OppsOpenBranchId,
					OppsAcctType:param.OppsAcctType,
					flag:1
			};
		},
		numberLimit: function(e){
			var $that = $(e.currentTarget);
        	var t_val=$that.val();
        	var Reg =/^\d{1,6}$/;
        	if(Reg.test(t_val)){
        		if(/\D*/g.test(t_val)){
        			$that.val(t_val.replace(/\D/g,""));
        		}else{
        			return true;
        		}
        	}else{
        		$that.val(t_val.substr(0,6));
        	}
        	
        
        },
		initEvents : function(){
			$("#confirm").on("click",Fw.bind(this.confirm,this));
			$("input[name=field9]").on('input', Fw.bind(this.numberLimit, this));
		},
		confirm : function(){
			if($('input[name=field9]').val()==""){
				Fw.Tips.info("请输入对方行提供的验证码");
				return;
			}
			App.checkSms();
		},
		//校验短信验证码
        checkSms : function(){
        	Fw.util.Ajax.execute({
				socketAdapter: 'accountCancelService/executeVerifySmsCode',//per.MCIBPSVerifySmsCode
                
                params: {
                	OriTranPlatSeqNo : param.SupNbankSeqNo,
                	AuthCode:$('input[name=field9]').val()
                },
                success: function(data, result) {
                	Fw.redirect("success.html");
                	
                },
                failure: function(status, textStatus, error) {
                    Fw.Msg.info(error,function(){
						Fw.redirect(Fw.getBasePath()+"/page/pub/queryProtocolSigning/main.html");
					});
                    return false;
                }
            });
        },
	};
}();

Fw.onReady(App);
