/**
 * 创建应用
 */
App.Item2 = function() {
    var searchbar, listView;
    //
    return {
    	requires : ['Fw.ListView','Fw.Form'],
        viewConfig: {
            title: '交易权限设置',
            loadMask : true
        },
        init : function(require) {
        	if(Fw.isTouch){
        		$(".ui-tab-content").addClass("ui-border-t")
        	}else{
        		$(".ui-tab-content").removeClass("ui-border-t")
        	}
            //定义列表
            listView = new Fw.ListView({
                //EL
                contentEl : 'list1',
                //数据请求对象（为空时，可通过loadData加载静态数据，但不支持beforequery、query事件）
                ajax : {
                    //数据源（服务接口）
                    service: 'accountService.queryAccount',
                    //请求参数
                     params: {
//                    	 type : "",//全部
                     },
                    
                    rootProperty:'result.List',
                    page:false,
                    loadMask : false,
                },
                disclosure: true,
                itemTpl: [
				'<form id="form" class="ui-form  x-form" style="width:100%;">',
				'<div class="ui-form-item "  style="padding-left:0px;height:30px; line-height: 30px;width:95%">',
				'<div style="display:none;">${item.BankAcType}</div>',
				'<label class="ui-nowrap" style="text-align:left;margin-left:20px;">${item.option}</label>',
				'<div style="width:100%;text-align:right;" class="MCPayPermissionListQry" data-No="${item.No}" ></div>',
				'</div>',
				'</form>',
                ]
            });
            
            //初始化事件
            this.initEvents();
            
            //加载数据
            listView.loadData();
            
        },
        /**
         * 初始化事件
         */
        initEvents: function(){
            listView.on('itemclick', this.onSelect, this);
            listView.ajax.on('query', this.onQuery, this);
            listView.ajax.on('error', this.onError, this);
        },
        /**
         * 选中记录时触发
         */
        onSelect : function(record, index, item, e, cmp) {
        	this.record=record;
        	var bankAcType=record.BankAcType;
        	//跳转支付开关管理
        	//Fw.redirect('paySwitch.html',record)
        	Fw.redirect('./payLimit/main.html',record);

        },
        onError : function(record, index, item, e, cmp) {
        	Fw.LoadMask.hide();
        },
        onQuery : function(ajax, data, result) {
        	Fw.LoadMask.hide();
        	$("#list1").find("li").each(function(index,item){
        		if($(this).html().indexOf("存折")!=-1||$(this).html().indexOf("SAT")!=-1||$(this).html().indexOf("存单")!=-1){
        			$(this).remove();
        		}
        	})
        	
        	if (Fw.isEmpty(data)||data.length==0) {
        		Fw.Msg.info("请先加挂账户再进行查询",function(){
  				  $("#list1").html("<p style='height: 45px;line-height: 45px;text-align:center;'>未查询到相关记录</p>");
  			  })
        	}else{
//        		Fw.util.Ajax.get({
//	        		socketAdapter: 'quotaManagementService/mCPayPermissionListQry',
//	        		params:{
//	        		},
//	                success: function(data, result) {
//	                	Fw.each(result.result.List,function(v){
//	                		var that =$(".MCPayPermissionListQry[data-No='"+v.AcNo+"']");
//	                		if(that != undefined){
//	                			that.html(v.AllLock == "N" ? "开启" : "关闭")
//	                		}
//	                	});
//	                },
//	               
//	            });
        	}
        },
        leftButtonHandler : function() {
        if(Fw.isTouch){
                Fw.gotoIndex();        		
      	}else{
      		Fw.redirect("../../pageMenu/moreMenu.html");
      	}
		}
    };
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App.Item2);
