/**
 * 创建应用
 */
var App = function() {
	var tpl_list;
	var tpl_unlist;
	var listarr;
	var unlistarr;
	var dropDownList;
	var dropDownList1;
	var page_flag = "0";
	var cfm = true;
	var cardlist;
	var form;
	var form1;
	var ffff = false,acctStatus = true;
	//
	return {
		/**
		 * 依赖组件
		 */
		requires : [ "Fw.DropDownList",// 底部划出下来组件
		'Fw.Form',// 表单验证组件
		'Fw.PayControls',// 支付控件组件
		'Fw.app.Session' ],
		/**
		 * 视图设置 设置标题栏、按钮等 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
		 */
		viewConfig : {
			/**
			 * 标题栏标题 如果为空或未设置，则标题栏不显示、左右按钮不显示
			 */
			title : '短信银行签约管理',
			/**
			 * 左边按钮（默认显示） 如果为false，则左边按钮不显示 leftButton: '左边按钮'
			 */
			leftButton : {
				// 自定义按钮标题（默认'返回'）
				text : '左边按钮',
			// 自定义按钮点击事件（默认App.leftButtonHandler）
			},
			/**
			 * 右边按钮（默认不显示） rightButton: '右边按钮'
			 */
			rightButton : false,
			/**
			 * 是否自动显示等待层（默认true） 需手动隐藏等待层
			 */
			loadMask : false
		},
		/**
		 * 初始化 应用入口
		 */
		init : function(require) {
			Fw.LoadMask.show();
			App.values = {};
			App.subData = {};
			this.initJuicerFn();// 初始化格式化方法
			tpl_list = require('./other/tpl_list').join('');
			tpl_unlist = require('./other/tpl_unlist').join('');
			this.initwidget();
			this.initEvents();
		},
		subData : {},
		/**
		 * 初始化事件
		 */
		initEvents : function() {
			// this.ceshi();
			// 点击按钮时触发（保存、重置、重发验证码）
			$("#checkSignSub").on('click',Fw.bind(this.onButtonCheckClick, this));
			this.queryAccountList();
		},
		initwidget : function() {
			dropDownList = new Fw.DropDownList({
				// 必须参数：结果集
				result : [ {
					"tpname" : "修改签约手机号码",
					"tpindex" : "0"
				}, {
					"tpname" : "短信银行解约",
					"tpindex" : "1"
				}, {
					"tpname" : "退出",
					"tpindex" : "2"
				} ],
				// 可配置参数：1.false,随内容撑出高度，2.num：固定高度，超出滚动显示,默认[220]
//				fixedHeight : "140",
				// 可配置参数：账号，1.false 不显示账号,2.cdopac 具体显示字段名，默认[cdopac]
				displayNo : false,
				// 可配置参数：名称，默认[brchna]
				displayName : 'tpname',
				// 可配置参数：显示时是否重新渲染，默认[false]
				reload : true,
				// 可配置参数：是否显示手工输入按钮，默认[true]
				cursorBtn : false,
			});
			dropDownList.on('itemClick', Fw.bind(this.dropitemClick, this));// 对下拉列表监听
			form = new Fw.Form({
				// EL
				contentEl : 'form',
				// 是否激活重置事件（默认false）
				// 单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
				resettable : false,
				// 校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
				msgTarget : 'tips'
			});
			form.on('beforesubmit', this.beforeSubmit, this);
			// 触发提交事件触发
			form.on('submit', this.showPayControlSign, this);
			// 点击按钮时触发（保存、重置、重发验证码）
			$("#signSub").on("click",Fw.bind(this.onButtonClick, this));

			form1 = new Fw.Form({
				// EL
				contentEl : 'form1',
				// 是否激活重置事件（默认false）
				// 单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
				resettable : false,
				// 校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
				msgTarget : 'tips'
			});
			form1.on('beforesubmit', this.beforeSubmit, this);
			// 触发提交事件触发
			form1.on('submit', this.showPayControlCheckSign, this);
		},
		/**
		 * 查询在数据表中的提示语
		 */
		getMessage : function() {
			$(".kindlyTips-content").html('<p>' + '首次开通免费使用3个月，之后每月收取2元服务费。' + '</p>');
		},
		/**
		 * 短信银行签约签约账户查询未签约账户
		 */
		queryAccountList : function() {
			Fw.util.Ajax.get({
				service : 'smsBankService.getNoticeSignedQuery',
				staticData : ffff,
				params : {
					'QryType' : '0',
					'IdNo' : Fw.app.Session.getIdentno(),
					'IdType' : Fw.app.Session.getIdenttype(),
				},
				loadMask : false,
				success : function(data, result) {
					listarr = data.List;
					unlistarr = data.UnList;
					var html = Fw.template(tpl_list, {
						"data" : data.List
					});
					var html1 = Fw.template(tpl_unlist, {
						"data" : data.UnList
					});

					data.UnList = $.grep(data.UnList, function(value) {
						return App.checkAcStatus(value);
					});

					cardlist = data;
					// 将HTML渲染到页面
					$('#list').html(html + html1);
					$(".ui-list-itemd").on("click", App.clickPerli);// 给每个li绑定事件
					App.showpage("pageA", "0");
					// 手动隐藏等待层
					Fw.LoadMask.hide();
				},
				// 请求错误后回调
				failure : function(status, textStatus, error) {
					Fw.Msg.info(error, function() {
						if (Fw.isTouch) {
							Fw.gotoIndex();
						} else {
							Fw.redirect(Fw.getBasePath() + "/page/pageMenu/moreMenu.html");
						}
					});
				}
			});
		},
		// 绑定事件的方法
		clickPerli : function() {
//			var data = $(this).attr("data-value");
//			data = JSON.parse(data);
			var index = $(this).attr("_index");
			var IsOpenFlag = $(this).attr("data-name");
			if(Fw.isEqual(IsOpenFlag, "1")){
				data = listarr[index];
			}else{
				data = unlistarr[index];
			}
			data.IsOpenFlag = IsOpenFlag;
			App.signData = data;
			App.showpage("pageA", "0");
			if(Fw.isEqual("1", IsOpenFlag)){
				dropDownList.show();
			}else{
				App.checkAccStatus();
			}
//			if (data.IsOpenFlag == "0") {
//				// 显示签约页面
//				App.showPageSign(data);
//			} else if (data.IsOpenFlag == "1") {
//				App.signData = data;
//				// 点击已签约显示下拉弹框
//				dropDownList.show();
//			}
		},
		// 初始化签约页面per.MCNoteNoticeSigned
		showPageSign : function(data) {
			$(".acchtm").html(
					'<div id="bankName" class="">' + data.option + '</div>')
//							+ '<div id="AcctNo" class="ui-bankName-acctni">' + Fw.util.Format.fmtBankAcType(data.BankAcType) + ' '
//							+ Fw.util.Format.fmtAcctNoEnd(data.AcctNo) + '</div>');

			$("#mobile").val(Fw.isEmpty(Fw.app.Session.getMobilephone()) ? "" : Fw.app.Session.getMobilephone()).trigger('change');
			$("#mobile1").val('');
			$("#mobile2").val('');
			if (Fw.isEmpty(dropDownList1)) {
				dropDownList1 = new Fw.DropDownList({
					// 必须参数：结果集
					result : [],
					// 可配置参数：1.false,随内容撑出高度，2.num：固定高度，超出滚动显示,默认[220]
//					fixedHeight : "140",
					// 可配置参数：账号，1.false 不显示账号,2.cdopac 具体显示字段名，默认[cdopac]
					displayNo : false,
					// 可配置参数：从后截取账号显示,1.false 不截取，2.num：截取长度,默认[5]
					// lastSubNo : 4,
					// 可配置参数：名称，默认[brchna]
					displayName : 'option',
					// 可配置参数：显示时是否重新渲染，默认[false]
					reload : true,
					// 可配置参数：是否显示手工输入按钮，默认[true]
					cursorBtn : false,
				});
				dropDownList1.on('itemClick', Fw.bind(this.dropitemClick1, this));// 对下拉列表监听
				if (Fw.isPhone) {
					$(".ui-select").on('click', Fw.bind(this.acselclick, this));
				} else {
					$(".ui-select").addClass("ui-select-disabled");
				}
				// 显示签约界面
			}
			App.showpage("pageB", "00");
		},
		/**
		 * 短信银行修改
		 */
		showPageCheckSign : function() {
			$("#acin").val(App.signData.AcctNo);
			$(".acchtm_signed").html(
					'<div id="bankName_signed">' + App.signData.option + '</div>');
//							+ '<div id="AcctNo_signed" class="ui-bankName-acctni">'
//							+ Fw.util.Format.fmtBankAcType(App.signData.BankAcType) + ' '
//							+ Fw.util.Format.fmtAcctNoEnd(App.signData.AcctNo) + '</div>');
			$("#mobile_c").val(App.signData.SignMobile1).change();
			$("#mobile1_c").val(App.signData.SignMobile2).change();
			$("#mobile2_c").val(App.signData.SignMobile3).change();
			if (Fw.isEmpty(form1)) {

			}
			if (Fw.isPhone) {
				$(".padding-left-120").addClass("padding-left-110");
			}
			App.showpage("pageC", "00");
		},
		/**
		 * 触发提交事件前触发
		 */
		beforeSubmit : function(values) {
			if ((values.SignMobile1 == "" || values.SignMobile1 == undefined)
					&& (values.SignMobile2 == "" || values.SignMobile2 == undefined)
					&& (values.SignMobile3 == "" || values.SignMobile3 == undefined)) {
				Fw.Tips.info('请至少输入一个手机号码！');
				return false;
			} else {
				var b = Fw.isEqual(App.signData ? App.signData.SignMobile1 : "", values.SignMobile1);
				var b1 = Fw.isEqual(App.signData ? App.signData.SignMobile2 : "", values.SignMobile2);
				var b2 = Fw.isEqual(App.signData ? App.signData.SignMobile3 : "", values.SignMobile3);
				if (b && b1 && b2) {
					Fw.Tips.info("请做修改后再次提交！");
					return false;
				} else if ((values.SignMobile1.length == 11 || values.SignMobile1 == "")
						&& (values.SignMobile2.length == 11 || values.SignMobile2 == "")
						&& (values.SignMobile3.length == 11 || values.SignMobile3 == "")) {
					return true;
				} else {
					Fw.Tips.info("请输入11位手机号码");
					return false;
				}
			}
		},
		/**
		 * 短信银行签约提交表单
		 */
		doSubmitSign : function(data, win, type) {
			Fw.apply(App.subData, App.signData);
			if (Fw.isTouch && Fw.isString(data)) {
				try {
					data = JSON.parse(data);
				} catch (e) {
				}
			}
			Fw.apply(App.subData, data);

			App.subData.AcNo = App.subData.AcctNo;
			App.subData.tesType = "S&AP";

			// 提交到后台
			Fw.util.Ajax.execute({
				service : 'smsBankService/executeNoticeSign',
				// 请求参数
				params : App.subData,
				// 允许自定义等待层提示信息（loadMask: '请稍后...'）
				// loadMask: true,
				staticData : ffff,
				// 请求成功后回调
				success : function(data, result) {
					Fw.Msg.info("签约成功！", function() {
						Fw.redirect(Fw.getBasePath() + "/page/pub/smsBank/index.html");
					});
				},
				// 请求错误后回调
				failure : function(status, textStatus, error) {
				}
			});
		},
		/**
		 * 短信银行修改提交表单
		 */
		doSubmitCheckSign : function(data, win, type) {
			if (Fw.isTouch && Fw.isString(data)) {
				try {
					data = JSON.parse(data);
				} catch (e) {
				}
			}
			Fw.apply(App.subData, data);

			App.subData.AcNo = App.subData.SignAcctNo;
			App.subData.tesType = "S&AP";

			// 表单签验证， 支付控件调用
			// 提交到后台
			Fw.util.Ajax.execute({
				service : 'smsBankService.executeNoticeSignedUpdate',//
				// 请求参数
				params : App.subData,
				staticData : ffff,
				// 请求成功后回调
				success : function(data, result) {
					Fw.Msg.info("修改成功！", function() {
						Fw.redirect(Fw.getBasePath() + "/page/pub/smsBank/index.html");
					});
				},
				// 请求错误后回调
				failure : function(status, textStatus, error) {

				}
			});
		},
		/**
		 * 短信银行解约提交
		 */
		doSubmitUnSign : function(data, win, type) {
			if (Fw.isTouch && Fw.isString(data)) {
				try {
					data = JSON.parse(data);
				} catch (e) {
				}
			}
			Fw.apply(App.signData, data);

			App.subData.AcNo = App.subData.AcctNo;
			App.subData.tesType = "S&AP";

			// 表单签验证， 支付控件调用
			// 提交到后台
			Fw.util.Ajax.execute({
				service : 'smsBankService.executeNoticeUnSigned',// 短信银行解约
				// 请求参数
				params : App.signData,
				staticData : ffff,
				success : function(data, result) {
					Fw.Msg.info("解约成功！", function() {
						Fw.redirect(Fw.getBasePath() + "/page/pub/smsBank/index.html");
					});
				},
				// 请求错误后回调
				failure : function(status, textStatus, error) {
				}
			});
		},
		onButtonClick : function(e) {
			form.submit();
		},
		onButtonCheckClick : function(e) {
			form1.submit();
		},
		/**
		 * 下拉框点击事件方法
		 */
		dropitemClick : function(data, index) {
			switch (index) {
			case "0":// 签约手机号修改
				App.getMCAcStateCheck();
				break;
			case "1":// 短信银行解约
				App.showPayControlunSign();
				break;
			case "2":
				break;
			}
		},
		/**
		 * 签约时账户选择 XXX
		 */
		dropitemClick1 : function(data, index) {
			$(".acchtm").html(
					'<div id="bankName" class="">' + data.option + '</div>');
			App.signDataOld = App.signData;
			App.signData = data;
			App.getMCAcStateCheck("chaxun");
		},
		acselclick : function() {
			dropDownList1.show(cardlist.UnList);
		},
		/**
		 * 显示支付窗体 签约支付控件
		 */
		showPayControlSign : function(values) {
			if(acctStatus){
				if(!App.paysf){
					App.paysf = true;
					App.subData = values;
					App.subData._AuthMode = 'O';
					App.showPayControl('App.doSubmitSign');
				}
			}else{
				Fw.Msg.info("该账户状态异常,请重新选择")
			}
			setTimeout(function(){
				App.paysf = false;
			}, 500)
			
		},
		/**
		 * 显示支付窗体 短信银行修改支付进控件
		 */
		showPayControlCheckSign : function(values) {
			App.subData = {};
			Fw.apply(App.subData, App.signData);
			App.subData._AuthMode = 'O';
			Fw.apply(App.subData, values);
			App.showPayControl('App.doSubmitCheckSign');
		},
		/**
		 * 显示支付窗体 解约支付控件
		 */
		showPayControlunSign : function() {
			cfm = true;
			Fw.Msg.cfm('解约后将收不到账户变动提醒信息，确认解约吗', function(code, btn, win) {
				if (Fw.isEqual(code, "yes") && cfm) {
					cfm = false;
					App.subData._AuthMode = 'O';
					App.getMCAcStateCheck('unsign')
				}
			});
		},
		showPayControl : function(Fn) {
			var cardNews = {
					passwordType:'T',//借记卡  T  信用卡  B
					cardNo:App.signData.AcctNo,
			}
			var showInfo = [];
			/**
			 * type S&AP 短信验证码+账户密码 U&AP U-key密码+账户密码(pc端) AP 账户密码 CTP 信用卡交易密码
			 * SMS 短信验证码 IC&AP IC卡+账户密码(手机端)
			 */
			Fw.device.Device.payControls('AP', showInfo, Fn,{},cardNews);
		},
		getValues : function(formId) {
			$("#form").find("input").each(function(index, el) {
				App.values[el.name] = el.value;
			})
		},
		/**
		 * 短信银行签约状态查询
		 * AcctLockFlag:锁定标志	0	否 1	是
		 * DrawType	支取方式1预留密码,2印鉴,3身份证,4	支付密码,5签名,6存折,7密码+印鉴
		 */
		getNoteNoticeSignStatusQuery : function(acctInfo) {
			Fw.util.Ajax.get({
				socketAdapter : 'smsBankService/getNoteNoticeSignStatusQuery',
				// 请求参数
				params : {
					"AcctNo" : App.signData.AcctNo,
					"IdNo" : acctInfo.IdNo,
					"IdType" : acctInfo.IdType,
					"MediaType" : App.signData.MediaType,//介质类型0	折单,1	卡
					"ExistStatus" : "0",//存在状态 0正常,1销户,2合,3冻结,4止付,5	挂失
					"AcctBelongBranch" : Fw.isEmpty(acctInfo.OpenCardBranchId)?acctInfo.AcctBelongBranch:acctInfo.OpenCardBranchId,//归属机构 
					"DrawType" : acctInfo.DrawType,
					"AcctLockFlag" : "0",
					"ChannelType" : '02',
					"SignType" : "1",
					"ClientChar" : "1",
					"Ccy" : acctInfo.Currency,
					"BankAcType" : acctInfo.BankAcType,
					"AccCertificateFlag" : acctInfo.AccCertificateFlag,
					"AcctState" : acctInfo.AcctState,
					"CardNo" : acctInfo.CardNo,
					
					"CardExistStatus" : Fw.isEmpty(acctInfo.CardExistStatus)?"0":acctInfo.CardExistStatus,
					"CvnLockFlag" : acctInfo.CvnLockFlag,
					"CardStopPayFlag" : acctInfo.CardStopPayFlag,
					"ConfiscateCardFlag" : acctInfo.ConfiscateCardFlag,
					"ChangeCardFlag" : acctInfo.ChangeCardFlag,
					"AcceptNopayBlockedFlag" : acctInfo.AcceptNopayBlockedFlag,
					"StopayBlockedFlag" : acctInfo.StopayBlockedFlag,
					"PartialFreezeFlag" : acctInfo.PartialFreezeFlag,
					"PeriodFreezeFlag" : acctInfo.PeriodFreezeFlag,
					"PasswordLossStatus" : acctInfo.PasswordLossStatus,
					"SealLossStatus" : Fw.isEmpty(acctInfo.SealLossStatus)?"0":acctInfo.SealLossStatus,
					"CertLossStatus" : Fw.isEmpty(acctInfo.CertLossStatus)?"0":acctInfo.CertLossStatus,
					"ActiveFlag" : acctInfo.ActiveFlag,
				},
				staticData : false, // 是否使用数据挡板（默认false）
//				LoadMask:false,
				// 请求成功后回调
				success : function(data, result) {
					Fw.Logger.debug(data);
					if(Fw.isEqual(data.SignFlag, "0")){
						App.showPageSign(App.signData);
					}else{
						Fw.Msg.info(data.Reason);
					}
				},	
				// 请求错误后回调
				failure : function(status, textStatus, error) {
				}
			});
		},
		/**
		 * 解约,修改账户状态结果查询 XXX
		 */
		getMCAcStateCheck:function(unsign){
			Fw.util.Ajax.get({
				socketAdapter : 'smsBankService/getMCAcStateCheck',
				// 请求参数
				params : {
					//"AcNo" : '9070711010100100842119',
					"AcNo" : App.signData.AcctNo,
				},
				staticData : false, // 是否使用数据挡板（默认false）
//				LoadMask:false,
				// 请求成功后回调
				success : function(data, result) {
					acctStatus = true;
					if(!Fw.isEmpty(unsign) && Fw.isEqual("unsign", unsign)){
						App.showPayControl('App.doSubmitUnSign');
					}else if(Fw.isEqual("chaxun", unsign)){
						App.checkAccStatus('chaxun')
					}else if(Fw.isEqual(App.signData.IsOpenFlag, "0")){
						App.showPageSign(App.signData);
					} else if (App.signData.IsOpenFlag == "1") {
						App.showPageCheckSign(data);
					}
				},	
				// 请求错误后回调
				failure : function(status, textStatus, error) {
					acctStatus = false;
				}
			});
		},
		/**
		 * 查询账户信息
		 */
		checkAccStatus : function(unsign) {
			Fw.util.Ajax.get({
				socketAdapter : 'accountService/mCAccountBalanceQuery',
				// 请求参数
				params : {
					"AcNo" : App.signData.AcctNo
				},
				staticData : false, // 是否使用数据挡板（默认false）
//				LoadMask:false,
				// 请求成功后回调
				success : function(data, result) {
					App.signData.IdNo = Fw.isEmpty(data.IdNo)?Fw.app.Session.getIdentno():data.IdNo;
					App.signData.IdType = Fw.isEmpty(data.IdType)?Fw.app.Session.getIdenttype():data.IdType;
					App.signData.OpenCardBranchId = Fw.isEmpty(data.OpenCardBranchId)?data.AcctBelongBranch:data.OpenCardBranchId;
					// 显示签约页面
					if(Fw.isEqual('chaxun', unsign)){
						
					}else{
						App.getMCAcStateCheck('');
					}
				},
				// 请求错误后回调
				failure : function(status, textStatus, error) {
				}
			});
		},
		/**
		 * 检查账户状态 是否正常
		 */
		checkAcStatus : function(data) {
			if (Fw.isEqual("0", data.AcctState) || Fw.isEmpty(data.AcctState)) {
				if (Fw.isEqual('0', data.PasswordLossStatus) || Fw.isEmpty(data.PasswordLossStatus)) {
					if (Fw.isEqual('0', data.CertLossStatus) || Fw.isEmpty(data.CertLossStatus)) {
						if (Fw.isEqual('0', data.SealLossStatus) || Fw.isEmpty(data.SealLossStatus)) {
							return true
						} else {
							return false;
						}
					} else {
						return false;
					}
				} else {
					return false;
				}
			} else {
				return false;
			}
		},
		initJuicerFn : function() {
			juicer.register("smsmbnakstatus", function(data) {
				if ("1" == data) {
					return "已签约";
				} else {
					return "未签约";
				}
			});
			juicer.register("JsonToStr", function(data) {
				return JSON.stringify(data);
			});
		},
		/**
		 * 显示页面方法 pageId 显示页面id
		 */
		showpage : function(pageId, flag_page) {
			page_flag = flag_page;
			$(".pagesel").hide();
			$("#" + pageId).show();
		},
		leftButtonHandler : function() {
			if (dropDownList1) {
				dropDownList1.hide();
			}
			if (Fw.isEqual(page_flag, "00")) {
				App.showpage("pageA", "0");
			} else if (Fw.isEqual(page_flag, "0") && !Fw.isTouch) {
				Fw.redirect(Fw.getBasePath() + "/page/pageMenu/moreMenu.html");
			} else {
				Fw.gotoIndex();
			}
		}
	};
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);