/**
 * 创建应用
 */
var App = function() {
	var params, tpl;
//	var ChannelType = {
//		'INNER' : '行内转账',
//		'BEPS' : '小额转账',
//		'HVPS' : '大额转账',
//		'PAY2G' : '跨行实时',
//		'NPS' : '农信银转账',
//	};
	var ChannelType = {
		'INNER' : '行内转账',
		'BEPS' : '跨行转账',
		'HVPS' : '跨行转账',
		'PAY2G' : '跨行转账',
		'NPS' : '跨行转账',
	};
	return {
		/**
		 * 依赖组件
		 */
		requires : [ 'Fw.app.Session' ],
		/**
		 * 视图设置 设置标题栏、按钮等 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
		 */
		viewConfig : {
			title : '转账信息',
			loadMask : true
		},
		/**
		 * 初始化 应用入口
		 */
		init : function(require) {
			tpl = require('page/pub/transfer_accounts/tpl/003.tpl').join('');
			// 初始化事件
			this.initEvents();
			this.initJuicer();
			params = Fw.getParameters() || {};
			App.eBillrecord = params;
			if (params.flag == "1") {
				params.noticeflag = "1";
			} else if (params.flag == "2") {
				params.noticeflag = "2";
			} else if (params.flag == "3") {
				params.noticeflag = "3";
			}
			params.flag = "1";
			if (params) {
				$("#account").html(Fw.app.Session.getName() + " " + Fw.util.Format.fmtAcctNo(params.AcNo, true));
				$("#money").html(Fw.util.Format.fmtAmt(params.Amount));
				$("#name").html(params.peeAcName);
				$("#bank").html(params.bank);
				$("#card").html(Fw.util.Format.fmtAcctNo(params.peeAcNo));
				$("#use").html(params.manual);
			}
			Fw.LoadMask.hide();
		},
		/**
		 * 初始化事件
		 */
		initEvents : function() {
			$("#share").on("click", Fw.bind(this.print, this));
		},
		initJuicer : function() {
			juicer.register("ChannelType", function(data) {
				return ChannelType[data];
			});
		},
		print : function() {
			var pif = document.createElement('iframe');
			var doc = null;
			pif.setAttribute("style", "display:none;");
			pif.setAttribute("id", "printIframe");
			pif.setAttribute("name", "printIframeN");
			document.body.appendChild(pif);
			doc = pif.contentWindow.document;
			App.eBillrecord.TransDate = Fw.util.Format.fmtDate(Fw.getDate(), 'yyyy-MM-dd HH:mm');
			App.eBillrecord.BDate = Fw.getDate();
			var html = Fw.template(tpl).render(params);
			doc.write('<link type="text/css" rel="stylesheet" href="' + Fw.getBasePath() + '/theme/src/default/css/default.css">');
			doc.write('<link type="text/css" rel="stylesheet" href="' + Fw.getBasePath() + '/theme/src/default/css/default.responsive.css">');
			doc.write('<link type="text/css" rel="stylesheet" href="' + Fw.getBasePath() + '/theme/src/default/css/default.pc.css">');
			doc.write(html);
			doc.close();
			pif.contentWindow.document.title = "　";
			pif.contentWindow.focus();
			pif.contentWindow.print();
		},
		leftButtonHandler : function() {
			Fw.redirect(Fw.getBasePath() + "/page/pub/transfer_accounts/bank.html", params)
		}
	};
}();
/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);