/**
 * 创建应用
 */
var App = function() {
	var a=$("input[id=switch]").is(":checked");
	var b=$("input[id=switch2]").is(":checked");
	var c=$("input[id=switch3]").is(":checked");
	var d=$("input[id=switch4]").is(":checked");
	var e=$("input[id=switch5]").is(":checked");
    //
    return {
        /**
         * 依赖组件
         */
        requires : [
            
        ],
        /**
         * 视图设置
         * 设置标题栏、按钮等
         * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
         */
        viewConfig: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: '消息推送设置',
            /**
             * 左边按钮（默认显示）
             * 如果为false，则左边按钮不显示
             * leftButton: '左边按钮'
             */
            leftButton: {
                //自定义按钮标题（默认'返回'）
                text: '左边按钮'
                //自定义按钮点击事件（默认App.leftButtonHandler）
                //handler: XXX
            },
            /**
             * 右边按钮（默认不显示）
             * rightButton: '右边按钮'
             */
            rightButton: {
                //按钮标题
                text: '完成',
                //自定义按钮点击事件（默认App.rightButtonHandler）
//                handler: 
            },
            loadMask: true
        },
        /**
         * 初始化
         * 应用入口
         */
        init : function(require) {
            //手动隐藏等待层
            Fw.LoadMask.hide();
            //初始化事件
            this.initEvents();
        },
        /**
         * 初始化事件
         */
        initEvents: function(){
        	//总开关
        	$("#switch").on("click",Fw.bind(this.masterSwitch,this))
        	//交易提醒
        	$("#switch2").on("click",Fw.bind(this.transSwitch,this))
        	//预约提醒
        	$("#switch3").on("click",Fw.bind(this.orderSwitch,this))
        	//公告提醒
        	$("#switch4").on("click",Fw.bind(this.noticeSwitch,this))
        	//设备登录提醒
        	$("#switch5").on("click",Fw.bind(this.loginSwitch,this))
        },
        //总开关
        masterSwitch:function(){
        	if(!a){
	        	$("#switch").prop("checked",true);
	        	$("#switch2").prop("checked",true);
	        	$("#switch3").prop("checked",true);
	        	$("#switch4").prop("checked",true);
	        	$("#switch5").prop("checked",true);
	        	a=true;
	        	b=true;
	        	c=true;
	        	d=true;
	        	e=true;
        	}else{
        		$("#switch").prop("checked",false);
            	$("#switch2").prop("checked",false);
            	$("#switch3").prop("checked",false);
            	$("#switch4").prop("checked",false);
            	$("#switch5").prop("checked",false);
            	a=false;
            	b=false;
            	c=false;
            	d=false;
            	e=false;
            	
        	}
        },
        //交易提醒
        transSwitch:function(){
        	if(!b){
        		$("#switch2").prop("checked",true);
        		b=true;
        	}else{
        		$("#switch").prop("checked",false);
        		$("#switch2").prop("checked",false);
        		b=false;
        		a=false;
        	}
        	
        },
        //预约提醒
        orderSwitch:function(){
        	if(!c){
        		$("#switch3").prop("checked",true);
        		c=true;
        	}else{
        		$("#switch").prop("checked",false);
        		$("#switch3").prop("checked",false);
        		c=false;
        		a=false;
        	}
        },
        //公告提醒
        noticeSwitch:function(){
        	if(!d){
        		$("#switch4").prop("checked",true);
        		d=true;
        	}else{
        		$("#switch").prop("checked",false);
        		$("#switch4").prop("checked",false);
        		d=false;
        		a=false;
        	}
        	
        },
        //设备登录提醒
        loginSwitch:function(){
        	if(!e){
        		$("#switch5").prop("checked",true);
        		e=true;
        	}else{
        		$("#switch").prop("checked",false);
        		$("#switch5").prop("checked",false);
        		e=false;
        		a=false;
        	}
        },
        //完成---右边按钮开启开关
        rightButtonHandler:function(){
        	
        },
        //判断其余开关是否设置，如果设置则打开总开关
        shouSwitch:function(){
        	if(b&&c&&d&&e){
        		$("#switch").prop("checked",true);
        		a=true;
        	}
        }
    };
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
